
-- 
-- Definition of  BRM1553D_ver8_4_Limited_40Mhz
-- 
--      02/04/19 12:23:39
--      
--      Precision RTL Synthesis, 2010a_Update1.228
-- 

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity ram_new_0_RAM2_5_16_1_Sital is 
   port (
      wr_data1 : IN std_logic_vector (15 DOWNTO 0) ;
      rd_data1 : OUT std_logic_vector (15 DOWNTO 0) ;
      addr1 : IN std_logic_vector (4 DOWNTO 0) ;
      wr_clk1 : IN std_logic ;
      rd_clk1 : IN std_logic ;
      wr_ena1 : IN std_logic ;
      rd_ena1 : IN std_logic ;
      ena1 : IN std_logic ;
      rst1 : IN std_logic ;
      regce1 : IN std_logic) ;
end ram_new_0_RAM2_5_16_1_Sital ;

architecture INTERFACE of ram_new_0_RAM2_5_16_1_Sital is 
   component clocked_ram_16_5_32_F_F_F_F_F_F_F_F_F
      generic (ram_type : integer := 1) ;
      
      port (
         clk : IN std_logic ;
         we : IN std_logic ;
         address : IN std_logic_vector (4 DOWNTO 0) ;
         data : IN std_logic_vector (15 DOWNTO 0) ;
         q : OUT std_logic_vector (15 DOWNTO 0)) ;
   end component ;
   signal nx44, nx46, nx48, nx50: std_logic ;

begin
   nx44 <= '0' ;
   nx46 <= '1' ;
   mem : clocked_ram_16_5_32_F_F_F_F_F_F_F_F_F port map ( clk=>wr_clk1, we=>
      nx48, address(4)=>addr1(4), address(3)=>addr1(3), address(2)=>addr1(2), 
      address(1)=>addr1(1), address(0)=>addr1(0), data(15)=>wr_data1(15), 
      data(14)=>wr_data1(14), data(13)=>wr_data1(13), data(12)=>wr_data1(12), 
      data(11)=>wr_data1(11), data(10)=>wr_data1(10), data(9)=>wr_data1(9), 
      data(8)=>wr_data1(8), data(7)=>wr_data1(7), data(6)=>wr_data1(6), 
      data(5)=>wr_data1(5), data(4)=>wr_data1(4), data(3)=>wr_data1(3), 
      data(2)=>wr_data1(2), data(1)=>wr_data1(1), data(0)=>wr_data1(0), 
      q(15)=>rd_data1(15), q(14)=>rd_data1(14), q(13)=>rd_data1(13), q(12)=>
      rd_data1(12), q(11)=>rd_data1(11), q(10)=>rd_data1(10), q(9)=>
      rd_data1(9), q(8)=>rd_data1(8), q(7)=>rd_data1(7), q(6)=>rd_data1(6), 
      q(5)=>rd_data1(5), q(4)=>rd_data1(4), q(3)=>rd_data1(3), q(2)=>
      rd_data1(2), q(1)=>rd_data1(1), q(0)=>rd_data1(0));
   nx48 <= wr_ena1 AND ena1 ;
   nx50 <= rd_ena1 AND ena1 ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity RAM2_5_16_1 is 
   port (
      D : IN std_logic_vector (15 DOWNTO 0) ;
      A : IN std_logic_vector (4 DOWNTO 0) ;
      WE : IN std_logic ;
      Q : OUT std_logic_vector (15 DOWNTO 0) ;
      Clock : IN std_logic) ;
end RAM2_5_16_1 ;

architecture Sital of RAM2_5_16_1 is 
   component ram_new_0_RAM2_5_16_1_Sital
      port (
         wr_data1 : IN std_logic_vector (15 DOWNTO 0) ;
         rd_data1 : OUT std_logic_vector (15 DOWNTO 0) ;
         addr1 : IN std_logic_vector (4 DOWNTO 0) ;
         wr_clk1 : IN std_logic ;
         rd_clk1 : IN std_logic ;
         wr_ena1 : IN std_logic ;
         rd_ena1 : IN std_logic ;
         ena1 : IN std_logic ;
         rst1 : IN std_logic ;
         regce1 : IN std_logic) ;
   end component ;
   signal nx28, nx30: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   mem : ram_new_0_RAM2_5_16_1_Sital port map ( wr_data1(15)=>D(15), 
      wr_data1(14)=>D(14), wr_data1(13)=>D(13), wr_data1(12)=>D(12), 
      wr_data1(11)=>D(11), wr_data1(10)=>D(10), wr_data1(9)=>D(9), 
      wr_data1(8)=>D(8), wr_data1(7)=>D(7), wr_data1(6)=>D(6), wr_data1(5)=>
      D(5), wr_data1(4)=>D(4), wr_data1(3)=>D(3), wr_data1(2)=>D(2), 
      wr_data1(1)=>D(1), wr_data1(0)=>D(0), rd_data1(15)=>Q(15), 
      rd_data1(14)=>Q(14), rd_data1(13)=>Q(13), rd_data1(12)=>Q(12), 
      rd_data1(11)=>Q(11), rd_data1(10)=>Q(10), rd_data1(9)=>Q(9), 
      rd_data1(8)=>Q(8), rd_data1(7)=>Q(7), rd_data1(6)=>Q(6), rd_data1(5)=>
      Q(5), rd_data1(4)=>Q(4), rd_data1(3)=>Q(3), rd_data1(2)=>Q(2), 
      rd_data1(1)=>Q(1), rd_data1(0)=>Q(0), addr1(4)=>A(4), addr1(3)=>A(3), 
      addr1(2)=>A(2), addr1(1)=>A(1), addr1(0)=>A(0), wr_clk1=>Clock, 
      rd_clk1=>DANGLING(0), wr_ena1=>WE, rd_ena1=>nx30, ena1=>nx30, rst1=>
      nx28, regce1=>nx30);
   nx28 <= '0' ;
   nx30 <= '1' ;
end Sital ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_5 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (4 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (4 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_5 ;

architecture INTERFACE_unfold_1 of 
   counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_5 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_5u_5u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic_vector (4 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx15, nx18, nx21, nx24, nx25, nx26, nx27, nx28, nx29, nx30, 
      nx31, nx32, nx33, nx34, nx35, nx36, nx37, nx38, PWR, nx42, nx44, nx46, 
      nx48, nx50, NOT_nx17: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(4) <= nx25 ;
   q(3) <= nx27 ;
   q(2) <= nx29 ;
   q(1) <= nx31 ;
   q(0) <= nx33 ;
   GND <= '0' ;
   nx15 <= cnt_en OR sload ;
   nx18 <= nx15 OR sclear ;
   nx21 <= nx18 AND clk_en ;
   DFFPCE (nx24,GND,aclear,nx21,clock,nx25) ;
   DFFPCE (nx26,GND,aclear,nx21,clock,nx27) ;
   DFFPCE (nx28,GND,aclear,nx21,clock,nx29) ;
   DFFPCE (nx30,GND,aclear,nx21,clock,nx31) ;
   DFFPCE (nx32,GND,aclear,nx21,clock,nx33) ;
   inc : inc_5u_5u_0_0 port map ( cin=>PWR, a(4)=>nx25, a(3)=>nx27, a(2)=>
      nx29, a(1)=>nx31, a(0)=>nx33, d(4)=>nx34, d(3)=>nx35, d(2)=>nx36, d(1)
      =>nx37, d(0)=>nx38, cout=>DANGLING(0));
   PWR <= '1' ;
   nx42 <= data(4) when sload = '1' else nx34 ;
   nx44 <= data(3) when sload = '1' else nx35 ;
   nx46 <= data(2) when sload = '1' else nx36 ;
   nx48 <= data(1) when sload = '1' else nx37 ;
   nx50 <= data(0) when sload = '1' else nx38 ;
   NOT_nx17 <= NOT sclear ;
   nx24 <= nx42 AND NOT_nx17 ;
   nx26 <= nx44 AND NOT_nx17 ;
   nx28 <= nx46 AND NOT_nx17 ;
   nx30 <= nx48 AND NOT_nx17 ;
   nx32 <= nx50 AND NOT_nx17 ;
end INTERFACE_unfold_1 ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_up_cnt_en_sclear_aclear_clock_clk_en_0_7 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (6 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (6 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_up_cnt_en_sclear_aclear_clock_clk_en_0_7 ;

architecture INTERFACE_unfold_1 of 
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_7 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_7u_7u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx19, nx22, nx25, nx26, nx27, nx28, nx29, nx30, nx31, nx32, 
      nx33, nx34, nx35, nx36, nx37, nx38, nx39, nx40, nx41, nx42, nx43, nx44, 
      nx45, PWR, NOT_nx18: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(6) <= nx26 ;
   q(5) <= nx28 ;
   q(4) <= nx30 ;
   q(3) <= nx32 ;
   q(2) <= nx34 ;
   q(1) <= nx36 ;
   q(0) <= nx38 ;
   GND <= '0' ;
   nx19 <= cnt_en OR sclear ;
   nx22 <= nx19 AND clk_en ;
   DFFPCE (nx25,GND,aclear,nx22,clock,nx26) ;
   DFFPCE (nx27,GND,aclear,nx22,clock,nx28) ;
   DFFPCE (nx29,GND,aclear,nx22,clock,nx30) ;
   DFFPCE (nx31,GND,aclear,nx22,clock,nx32) ;
   DFFPCE (nx33,GND,aclear,nx22,clock,nx34) ;
   DFFPCE (nx35,GND,aclear,nx22,clock,nx36) ;
   DFFPCE (nx37,GND,aclear,nx22,clock,nx38) ;
   inc : inc_7u_7u_0_0 port map ( cin=>PWR, a(6)=>nx26, a(5)=>nx28, a(4)=>
      nx30, a(3)=>nx32, a(2)=>nx34, a(1)=>nx36, a(0)=>nx38, d(6)=>nx39, d(5)
      =>nx40, d(4)=>nx41, d(3)=>nx42, d(2)=>nx43, d(1)=>nx44, d(0)=>nx45, 
      cout=>DANGLING(0));
   PWR <= '1' ;
   NOT_nx18 <= NOT sclear ;
   nx25 <= nx39 AND NOT_nx18 ;
   nx27 <= nx40 AND NOT_nx18 ;
   nx29 <= nx41 AND NOT_nx18 ;
   nx31 <= nx42 AND NOT_nx18 ;
   nx33 <= nx43 AND NOT_nx18 ;
   nx35 <= nx44 AND NOT_nx18 ;
   nx37 <= nx45 AND NOT_nx18 ;
end INTERFACE_unfold_1 ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_dn_sload_aclear_clock_clk_en_0_6 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (5 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (5 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_dn_sload_aclear_clock_clk_en_0_6 ;

architecture INTERFACE_unfold_2 of counter_dn_sload_aclear_clock_clk_en_0_6
    is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component dec_6u_6u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx17, nx18, nx19, nx20, nx21, nx22, nx23, nx24, nx25, nx26, 
      nx27, nx28, nx29, nx30, nx31, nx32, nx33, nx34: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(5) <= nx18 ;
   q(4) <= nx20 ;
   q(3) <= nx22 ;
   q(2) <= nx24 ;
   q(1) <= nx26 ;
   q(0) <= nx28 ;
   GND <= '0' ;
   DFFPCE (nx17,GND,aclear,clk_en,clock,nx18) ;
   DFFPCE (nx19,GND,aclear,clk_en,clock,nx20) ;
   DFFPCE (nx21,GND,aclear,clk_en,clock,nx22) ;
   DFFPCE (nx23,GND,aclear,clk_en,clock,nx24) ;
   DFFPCE (nx25,GND,aclear,clk_en,clock,nx26) ;
   DFFPCE (nx27,GND,aclear,clk_en,clock,nx28) ;
   dec : dec_6u_6u_0_0 port map ( cin=>GND, a(5)=>nx18, a(4)=>nx20, a(3)=>
      nx22, a(2)=>nx24, a(1)=>nx26, a(0)=>nx28, d(5)=>nx29, d(4)=>nx30, d(3)
      =>nx31, d(2)=>nx32, d(1)=>nx33, d(0)=>nx34, cout=>DANGLING(0));
   nx17 <= data(5) when sload = '1' else nx29 ;
   nx19 <= data(4) when sload = '1' else nx30 ;
   nx21 <= data(3) when sload = '1' else nx31 ;
   nx23 <= data(2) when sload = '1' else nx32 ;
   nx25 <= data(1) when sload = '1' else nx33 ;
   nx27 <= data(0) when sload = '1' else nx34 ;
end INTERFACE_unfold_2 ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_dn_cnt_en_sload_sclear_aclear_clock_clk_en_0_16 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (15 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (15 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_dn_cnt_en_sload_sclear_aclear_clock_clk_en_0_16 ;

architecture INTERFACE_unfold_1 of 
   counter_dn_cnt_en_sload_sclear_aclear_clock_clk_en_0_16 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component dec_16u_16u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (15 DOWNTO 0) ;
         d : OUT std_logic_vector (15 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx37, nx40, nx43, nx46, nx47, nx48, nx49, nx50, nx51, nx52, 
      nx53, nx54, nx55, nx56, nx57, nx58, nx59, nx60, nx61, nx62, nx63, nx64, 
      nx65, nx66, nx67, nx68, nx69, nx70, nx71, nx72, nx73, nx74, nx75, nx76, 
      nx77, nx78, nx79, nx80, nx81, nx82, nx83, nx84, nx85, nx86, nx87, nx88, 
      nx89, nx90, nx91, nx92, nx93, nx95, nx97, nx99, nx101, nx103, nx105, 
      nx107, nx109, nx111, nx113, nx115, nx117, nx119, nx121, nx123, nx125, 
      NOT_nx39: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(15) <= nx47 ;
   q(14) <= nx49 ;
   q(13) <= nx51 ;
   q(12) <= nx53 ;
   q(11) <= nx55 ;
   q(10) <= nx57 ;
   q(9) <= nx59 ;
   q(8) <= nx61 ;
   q(7) <= nx63 ;
   q(6) <= nx65 ;
   q(5) <= nx67 ;
   q(4) <= nx69 ;
   q(3) <= nx71 ;
   q(2) <= nx73 ;
   q(1) <= nx75 ;
   q(0) <= nx77 ;
   GND <= '0' ;
   nx37 <= cnt_en OR sload ;
   nx40 <= nx37 OR sclear ;
   nx43 <= nx40 AND clk_en ;
   DFFPCE (nx46,GND,aclear,nx43,clock,nx47) ;
   DFFPCE (nx48,GND,aclear,nx43,clock,nx49) ;
   DFFPCE (nx50,GND,aclear,nx43,clock,nx51) ;
   DFFPCE (nx52,GND,aclear,nx43,clock,nx53) ;
   DFFPCE (nx54,GND,aclear,nx43,clock,nx55) ;
   DFFPCE (nx56,GND,aclear,nx43,clock,nx57) ;
   DFFPCE (nx58,GND,aclear,nx43,clock,nx59) ;
   DFFPCE (nx60,GND,aclear,nx43,clock,nx61) ;
   DFFPCE (nx62,GND,aclear,nx43,clock,nx63) ;
   DFFPCE (nx64,GND,aclear,nx43,clock,nx65) ;
   DFFPCE (nx66,GND,aclear,nx43,clock,nx67) ;
   DFFPCE (nx68,GND,aclear,nx43,clock,nx69) ;
   DFFPCE (nx70,GND,aclear,nx43,clock,nx71) ;
   DFFPCE (nx72,GND,aclear,nx43,clock,nx73) ;
   DFFPCE (nx74,GND,aclear,nx43,clock,nx75) ;
   DFFPCE (nx76,GND,aclear,nx43,clock,nx77) ;
   dec : dec_16u_16u_0_0 port map ( cin=>GND, a(15)=>nx47, a(14)=>nx49, 
      a(13)=>nx51, a(12)=>nx53, a(11)=>nx55, a(10)=>nx57, a(9)=>nx59, a(8)=>
      nx61, a(7)=>nx63, a(6)=>nx65, a(5)=>nx67, a(4)=>nx69, a(3)=>nx71, a(2)
      =>nx73, a(1)=>nx75, a(0)=>nx77, d(15)=>nx78, d(14)=>nx79, d(13)=>nx80, 
      d(12)=>nx81, d(11)=>nx82, d(10)=>nx83, d(9)=>nx84, d(8)=>nx85, d(7)=>
      nx86, d(6)=>nx87, d(5)=>nx88, d(4)=>nx89, d(3)=>nx90, d(2)=>nx91, d(1)
      =>nx92, d(0)=>nx93, cout=>DANGLING(0));
   nx95 <= data(15) when sload = '1' else nx78 ;
   nx97 <= data(14) when sload = '1' else nx79 ;
   nx99 <= data(13) when sload = '1' else nx80 ;
   nx101 <= data(12) when sload = '1' else nx81 ;
   nx103 <= data(11) when sload = '1' else nx82 ;
   nx105 <= data(10) when sload = '1' else nx83 ;
   nx107 <= data(9) when sload = '1' else nx84 ;
   nx109 <= data(8) when sload = '1' else nx85 ;
   nx111 <= data(7) when sload = '1' else nx86 ;
   nx113 <= data(6) when sload = '1' else nx87 ;
   nx115 <= data(5) when sload = '1' else nx88 ;
   nx117 <= data(4) when sload = '1' else nx89 ;
   nx119 <= data(3) when sload = '1' else nx90 ;
   nx121 <= data(2) when sload = '1' else nx91 ;
   nx123 <= data(1) when sload = '1' else nx92 ;
   nx125 <= data(0) when sload = '1' else nx93 ;
   NOT_nx39 <= NOT sclear ;
   nx46 <= nx95 AND NOT_nx39 ;
   nx48 <= nx97 AND NOT_nx39 ;
   nx50 <= nx99 AND NOT_nx39 ;
   nx52 <= nx101 AND NOT_nx39 ;
   nx54 <= nx103 AND NOT_nx39 ;
   nx56 <= nx105 AND NOT_nx39 ;
   nx58 <= nx107 AND NOT_nx39 ;
   nx60 <= nx109 AND NOT_nx39 ;
   nx62 <= nx111 AND NOT_nx39 ;
   nx64 <= nx113 AND NOT_nx39 ;
   nx66 <= nx115 AND NOT_nx39 ;
   nx68 <= nx117 AND NOT_nx39 ;
   nx70 <= nx119 AND NOT_nx39 ;
   nx72 <= nx121 AND NOT_nx39 ;
   nx74 <= nx123 AND NOT_nx39 ;
   nx76 <= nx125 AND NOT_nx39 ;
end INTERFACE_unfold_1 ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_dn_sload_aclear_clock_clk_en_0_12 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (11 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (11 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_dn_sload_aclear_clock_clk_en_0_12 ;

architecture INTERFACE of counter_dn_sload_aclear_clock_clk_en_0_12 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component dec_12u_12u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (11 DOWNTO 0) ;
         d : OUT std_logic_vector (11 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx29, nx30, nx31, nx32, nx33, nx34, nx35, nx36, nx37, nx38, 
      nx39, nx40, nx41, nx42, nx43, nx44, nx45, nx46, nx47, nx48, nx49, nx50, 
      nx51, nx52, nx53, nx54, nx55, nx56, nx57, nx58, nx59, nx60, nx61, nx62, 
      nx63, nx64: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(11) <= nx30 ;
   q(10) <= nx32 ;
   q(9) <= nx34 ;
   q(8) <= nx36 ;
   q(7) <= nx38 ;
   q(6) <= nx40 ;
   q(5) <= nx42 ;
   q(4) <= nx44 ;
   q(3) <= nx46 ;
   q(2) <= nx48 ;
   q(1) <= nx50 ;
   q(0) <= nx52 ;
   GND <= '0' ;
   DFFPCE (nx29,GND,aclear,clk_en,clock,nx30) ;
   DFFPCE (nx31,GND,aclear,clk_en,clock,nx32) ;
   DFFPCE (nx33,GND,aclear,clk_en,clock,nx34) ;
   DFFPCE (nx35,GND,aclear,clk_en,clock,nx36) ;
   DFFPCE (nx37,GND,aclear,clk_en,clock,nx38) ;
   DFFPCE (nx39,GND,aclear,clk_en,clock,nx40) ;
   DFFPCE (nx41,GND,aclear,clk_en,clock,nx42) ;
   DFFPCE (nx43,GND,aclear,clk_en,clock,nx44) ;
   DFFPCE (nx45,GND,aclear,clk_en,clock,nx46) ;
   DFFPCE (nx47,GND,aclear,clk_en,clock,nx48) ;
   DFFPCE (nx49,GND,aclear,clk_en,clock,nx50) ;
   DFFPCE (nx51,GND,aclear,clk_en,clock,nx52) ;
   dec : dec_12u_12u_0_0 port map ( cin=>GND, a(11)=>nx30, a(10)=>nx32, a(9)
      =>nx34, a(8)=>nx36, a(7)=>nx38, a(6)=>nx40, a(5)=>nx42, a(4)=>nx44, 
      a(3)=>nx46, a(2)=>nx48, a(1)=>nx50, a(0)=>nx52, d(11)=>nx53, d(10)=>
      nx54, d(9)=>nx55, d(8)=>nx56, d(7)=>nx57, d(6)=>nx58, d(5)=>nx59, d(4)
      =>nx60, d(3)=>nx61, d(2)=>nx62, d(1)=>nx63, d(0)=>nx64, cout=>DANGLING
      (0));
   nx29 <= data(11) when sload = '1' else nx53 ;
   nx31 <= data(10) when sload = '1' else nx54 ;
   nx33 <= data(9) when sload = '1' else nx55 ;
   nx35 <= data(8) when sload = '1' else nx56 ;
   nx37 <= data(7) when sload = '1' else nx57 ;
   nx39 <= data(6) when sload = '1' else nx58 ;
   nx41 <= data(5) when sload = '1' else nx59 ;
   nx43 <= data(4) when sload = '1' else nx60 ;
   nx45 <= data(3) when sload = '1' else nx61 ;
   nx47 <= data(2) when sload = '1' else nx62 ;
   nx49 <= data(1) when sload = '1' else nx63 ;
   nx51 <= data(0) when sload = '1' else nx64 ;
end INTERFACE ;


architecture INTERFACE of 
   counter_dn_cnt_en_sload_sclear_aclear_clock_clk_en_0_16 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component dec_16u_16u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (15 DOWNTO 0) ;
         d : OUT std_logic_vector (15 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx37, nx40, nx43, nx46, nx47, nx48, nx49, nx50, nx51, nx52, 
      nx53, nx54, nx55, nx56, nx57, nx58, nx59, nx60, nx61, nx62, nx63, nx64, 
      nx65, nx66, nx67, nx68, nx69, nx70, nx71, nx72, nx73, nx74, nx75, nx76, 
      nx77, nx78, nx79, nx80, nx81, nx82, nx83, nx84, nx85, nx86, nx87, nx88, 
      nx89, nx90, nx91, nx92, nx93, nx95, nx97, nx99, nx101, nx103, nx105, 
      nx107, nx109, nx111, nx113, nx115, nx117, nx119, nx121, nx123, nx125, 
      NOT_nx39: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(15) <= nx47 ;
   q(14) <= nx49 ;
   q(13) <= nx51 ;
   q(12) <= nx53 ;
   q(11) <= nx55 ;
   q(10) <= nx57 ;
   q(9) <= nx59 ;
   q(8) <= nx61 ;
   q(7) <= nx63 ;
   q(6) <= nx65 ;
   q(5) <= nx67 ;
   q(4) <= nx69 ;
   q(3) <= nx71 ;
   q(2) <= nx73 ;
   q(1) <= nx75 ;
   q(0) <= nx77 ;
   GND <= '0' ;
   nx37 <= cnt_en OR sload ;
   nx40 <= nx37 OR sclear ;
   nx43 <= nx40 AND clk_en ;
   DFFPCE (nx46,GND,aclear,nx43,clock,nx47) ;
   DFFPCE (nx48,GND,aclear,nx43,clock,nx49) ;
   DFFPCE (nx50,GND,aclear,nx43,clock,nx51) ;
   DFFPCE (nx52,GND,aclear,nx43,clock,nx53) ;
   DFFPCE (nx54,GND,aclear,nx43,clock,nx55) ;
   DFFPCE (nx56,GND,aclear,nx43,clock,nx57) ;
   DFFPCE (nx58,GND,aclear,nx43,clock,nx59) ;
   DFFPCE (nx60,GND,aclear,nx43,clock,nx61) ;
   DFFPCE (nx62,GND,aclear,nx43,clock,nx63) ;
   DFFPCE (nx64,GND,aclear,nx43,clock,nx65) ;
   DFFPCE (nx66,GND,aclear,nx43,clock,nx67) ;
   DFFPCE (nx68,GND,aclear,nx43,clock,nx69) ;
   DFFPCE (nx70,GND,aclear,nx43,clock,nx71) ;
   DFFPCE (nx72,GND,aclear,nx43,clock,nx73) ;
   DFFPCE (nx74,GND,aclear,nx43,clock,nx75) ;
   DFFPCE (nx76,GND,aclear,nx43,clock,nx77) ;
   dec : dec_16u_16u_0_0 port map ( cin=>GND, a(15)=>nx47, a(14)=>nx49, 
      a(13)=>nx51, a(12)=>nx53, a(11)=>nx55, a(10)=>nx57, a(9)=>nx59, a(8)=>
      nx61, a(7)=>nx63, a(6)=>nx65, a(5)=>nx67, a(4)=>nx69, a(3)=>nx71, a(2)
      =>nx73, a(1)=>nx75, a(0)=>nx77, d(15)=>nx78, d(14)=>nx79, d(13)=>nx80, 
      d(12)=>nx81, d(11)=>nx82, d(10)=>nx83, d(9)=>nx84, d(8)=>nx85, d(7)=>
      nx86, d(6)=>nx87, d(5)=>nx88, d(4)=>nx89, d(3)=>nx90, d(2)=>nx91, d(1)
      =>nx92, d(0)=>nx93, cout=>DANGLING(0));
   nx95 <= data(15) when sload = '1' else nx78 ;
   nx97 <= data(14) when sload = '1' else nx79 ;
   nx99 <= data(13) when sload = '1' else nx80 ;
   nx101 <= data(12) when sload = '1' else nx81 ;
   nx103 <= data(11) when sload = '1' else nx82 ;
   nx105 <= data(10) when sload = '1' else nx83 ;
   nx107 <= data(9) when sload = '1' else nx84 ;
   nx109 <= data(8) when sload = '1' else nx85 ;
   nx111 <= data(7) when sload = '1' else nx86 ;
   nx113 <= data(6) when sload = '1' else nx87 ;
   nx115 <= data(5) when sload = '1' else nx88 ;
   nx117 <= data(4) when sload = '1' else nx89 ;
   nx119 <= data(3) when sload = '1' else nx90 ;
   nx121 <= data(2) when sload = '1' else nx91 ;
   nx123 <= data(1) when sload = '1' else nx92 ;
   nx125 <= data(0) when sload = '1' else nx93 ;
   NOT_nx39 <= NOT sclear ;
   nx46 <= nx95 AND NOT_nx39 ;
   nx48 <= nx97 AND NOT_nx39 ;
   nx50 <= nx99 AND NOT_nx39 ;
   nx52 <= nx101 AND NOT_nx39 ;
   nx54 <= nx103 AND NOT_nx39 ;
   nx56 <= nx105 AND NOT_nx39 ;
   nx58 <= nx107 AND NOT_nx39 ;
   nx60 <= nx109 AND NOT_nx39 ;
   nx62 <= nx111 AND NOT_nx39 ;
   nx64 <= nx113 AND NOT_nx39 ;
   nx66 <= nx115 AND NOT_nx39 ;
   nx68 <= nx117 AND NOT_nx39 ;
   nx70 <= nx119 AND NOT_nx39 ;
   nx72 <= nx121 AND NOT_nx39 ;
   nx74 <= nx123 AND NOT_nx39 ;
   nx76 <= nx125 AND NOT_nx39 ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_up_sclear_aclear_clock_clk_en_0_6 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (5 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (5 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_up_sclear_aclear_clock_clk_en_0_6 ;

architecture INTERFACE_unfold_1 of counter_up_sclear_aclear_clock_clk_en_0_6
    is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_6u_6u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx17, nx18, nx19, nx20, nx21, nx22, nx23, nx24, nx25, nx26, 
      nx27, nx28, nx29, nx30, nx31, nx32, nx33, nx34, PWR, NOT_SCLEAR: 
   std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(5) <= nx18 ;
   q(4) <= nx20 ;
   q(3) <= nx22 ;
   q(2) <= nx24 ;
   q(1) <= nx26 ;
   q(0) <= nx28 ;
   GND <= '0' ;
   DFFPCE (nx17,GND,aclear,clk_en,clock,nx18) ;
   DFFPCE (nx19,GND,aclear,clk_en,clock,nx20) ;
   DFFPCE (nx21,GND,aclear,clk_en,clock,nx22) ;
   DFFPCE (nx23,GND,aclear,clk_en,clock,nx24) ;
   DFFPCE (nx25,GND,aclear,clk_en,clock,nx26) ;
   DFFPCE (nx27,GND,aclear,clk_en,clock,nx28) ;
   inc : inc_6u_6u_0_0 port map ( cin=>PWR, a(5)=>nx18, a(4)=>nx20, a(3)=>
      nx22, a(2)=>nx24, a(1)=>nx26, a(0)=>nx28, d(5)=>nx29, d(4)=>nx30, d(3)
      =>nx31, d(2)=>nx32, d(1)=>nx33, d(0)=>nx34, cout=>DANGLING(0));
   PWR <= '1' ;
   NOT_SCLEAR <= NOT sclear ;
   nx17 <= nx29 AND NOT_SCLEAR ;
   nx19 <= nx30 AND NOT_SCLEAR ;
   nx21 <= nx31 AND NOT_SCLEAR ;
   nx23 <= nx32 AND NOT_SCLEAR ;
   nx25 <= nx33 AND NOT_SCLEAR ;
   nx27 <= nx34 AND NOT_SCLEAR ;
end INTERFACE_unfold_1 ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_updn_cnt_en_sload_aclear_clock_clk_en_0_16 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (15 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (15 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_updn_cnt_en_sload_aclear_clock_clk_en_0_16 ;

architecture INTERFACE of counter_updn_cnt_en_sload_aclear_clock_clk_en_0_16
    is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_16u_16u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (15 DOWNTO 0) ;
         d : OUT std_logic_vector (15 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component dec_16u_16u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (15 DOWNTO 0) ;
         d : OUT std_logic_vector (15 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal q_EXMPLR333: std_logic_vector (15 DOWNTO 0) ;
   
   signal nx33, nx37, nx40, nx43, nx44, nx45, nx46, nx47, nx48, nx49, nx50, 
      nx51, nx52, nx53, nx54, nx55, nx56, nx57, nx58, nx59, nx60, nx61, nx62, 
      nx63, nx64, nx65, nx66, nx67, nx68, nx69, nx70, nx71, nx72, nx73, nx74, 
      nx75, nx76, nx77, nx78, nx79, nx80, nx81, nx82, nx83, nx84, nx85, nx86, 
      nx87, nx88, nx89, nx90, nx92, nx94, nx95, nx96, nx97, nx98, nx99, 
      nx100, nx101, nx102, nx103, nx104, nx105, nx106, nx107, nx108, nx109, 
      nx111, nx113, nx115, nx117, nx119, nx121, nx123, nx125, nx127, nx129, 
      nx131, nx133, nx135, nx137, nx139, nx141: std_logic ;
   
   signal DANGLING : std_logic_vector (1 downto 0 );

begin
   q(15) <= nx44 ;
   q(14) <= nx46 ;
   q(13) <= nx48 ;
   q(12) <= nx50 ;
   q(11) <= nx52 ;
   q(10) <= nx54 ;
   q(9) <= nx56 ;
   q(8) <= nx58 ;
   q(7) <= nx60 ;
   q(6) <= nx62 ;
   q(5) <= nx64 ;
   q(4) <= nx66 ;
   q(3) <= nx68 ;
   q(2) <= nx70 ;
   q(1) <= nx72 ;
   q(0) <= nx74 ;
   nx33 <= '0' ;
   nx37 <= cnt_en OR sload ;
   nx40 <= nx37 AND clk_en ;
   DFFPCE (nx43,nx33,aclear,nx40,clock,nx44) ;
   DFFPCE (nx45,nx33,aclear,nx40,clock,nx46) ;
   DFFPCE (nx47,nx33,aclear,nx40,clock,nx48) ;
   DFFPCE (nx49,nx33,aclear,nx40,clock,nx50) ;
   DFFPCE (nx51,nx33,aclear,nx40,clock,nx52) ;
   DFFPCE (nx53,nx33,aclear,nx40,clock,nx54) ;
   DFFPCE (nx55,nx33,aclear,nx40,clock,nx56) ;
   DFFPCE (nx57,nx33,aclear,nx40,clock,nx58) ;
   DFFPCE (nx59,nx33,aclear,nx40,clock,nx60) ;
   DFFPCE (nx61,nx33,aclear,nx40,clock,nx62) ;
   DFFPCE (nx63,nx33,aclear,nx40,clock,nx64) ;
   DFFPCE (nx65,nx33,aclear,nx40,clock,nx66) ;
   DFFPCE (nx67,nx33,aclear,nx40,clock,nx68) ;
   DFFPCE (nx69,nx33,aclear,nx40,clock,nx70) ;
   DFFPCE (nx71,nx33,aclear,nx40,clock,nx72) ;
   DFFPCE (nx73,nx33,aclear,nx40,clock,nx74) ;
   inc : inc_16u_16u_0_0 port map ( cin=>nx92, a(15)=>nx44, a(14)=>nx46, 
      a(13)=>nx48, a(12)=>nx50, a(11)=>nx52, a(10)=>nx54, a(9)=>nx56, a(8)=>
      nx58, a(7)=>nx60, a(6)=>nx62, a(5)=>nx64, a(4)=>nx66, a(3)=>nx68, a(2)
      =>nx70, a(1)=>nx72, a(0)=>nx74, d(15)=>nx75, d(14)=>nx76, d(13)=>nx77, 
      d(12)=>nx78, d(11)=>nx79, d(10)=>nx80, d(9)=>nx81, d(8)=>nx82, d(7)=>
      nx83, d(6)=>nx84, d(5)=>nx85, d(4)=>nx86, d(3)=>nx87, d(2)=>nx88, d(1)
      =>nx89, d(0)=>nx90, cout=>DANGLING(0));
   nx92 <= '1' ;
   dec : dec_16u_16u_0_0 port map ( cin=>nx33, a(15)=>nx44, a(14)=>nx46, 
      a(13)=>nx48, a(12)=>nx50, a(11)=>nx52, a(10)=>nx54, a(9)=>nx56, a(8)=>
      nx58, a(7)=>nx60, a(6)=>nx62, a(5)=>nx64, a(4)=>nx66, a(3)=>nx68, a(2)
      =>nx70, a(1)=>nx72, a(0)=>nx74, d(15)=>nx94, d(14)=>nx95, d(13)=>nx96, 
      d(12)=>nx97, d(11)=>nx98, d(10)=>nx99, d(9)=>nx100, d(8)=>nx101, d(7)
      =>nx102, d(6)=>nx103, d(5)=>nx104, d(4)=>nx105, d(3)=>nx106, d(2)=>
      nx107, d(1)=>nx108, d(0)=>nx109, cout=>DANGLING(1));
   nx111 <= nx75 when updn = '1' else nx94 ;
   nx113 <= nx76 when updn = '1' else nx95 ;
   nx115 <= nx77 when updn = '1' else nx96 ;
   nx117 <= nx78 when updn = '1' else nx97 ;
   nx119 <= nx79 when updn = '1' else nx98 ;
   nx121 <= nx80 when updn = '1' else nx99 ;
   nx123 <= nx81 when updn = '1' else nx100 ;
   nx125 <= nx82 when updn = '1' else nx101 ;
   nx127 <= nx83 when updn = '1' else nx102 ;
   nx129 <= nx84 when updn = '1' else nx103 ;
   nx131 <= nx85 when updn = '1' else nx104 ;
   nx133 <= nx86 when updn = '1' else nx105 ;
   nx135 <= nx87 when updn = '1' else nx106 ;
   nx137 <= nx88 when updn = '1' else nx107 ;
   nx139 <= nx89 when updn = '1' else nx108 ;
   nx141 <= nx90 when updn = '1' else nx109 ;
   nx43 <= data(15) when sload = '1' else nx111 ;
   nx45 <= data(14) when sload = '1' else nx113 ;
   nx47 <= data(13) when sload = '1' else nx115 ;
   nx49 <= data(12) when sload = '1' else nx117 ;
   nx51 <= data(11) when sload = '1' else nx119 ;
   nx53 <= data(10) when sload = '1' else nx121 ;
   nx55 <= data(9) when sload = '1' else nx123 ;
   nx57 <= data(8) when sload = '1' else nx125 ;
   nx59 <= data(7) when sload = '1' else nx127 ;
   nx61 <= data(6) when sload = '1' else nx129 ;
   nx63 <= data(5) when sload = '1' else nx131 ;
   nx65 <= data(4) when sload = '1' else nx133 ;
   nx67 <= data(3) when sload = '1' else nx135 ;
   nx69 <= data(2) when sload = '1' else nx137 ;
   nx71 <= data(1) when sload = '1' else nx139 ;
   nx73 <= data(0) when sload = '1' else nx141 ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_up_sload_aclear_clock_clk_en_1_15 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (15 DOWNTO 1) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (15 DOWNTO 1) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_up_sload_aclear_clock_clk_en_1_15 ;

architecture INTERFACE of counter_up_sload_aclear_clock_clk_en_1_15 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_15u_15u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (14 DOWNTO 0) ;
         d : OUT std_logic_vector (14 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal q_EXMPLR397: std_logic_vector (15 DOWNTO 1) ;
   
   signal nx31, nx35, nx36, nx37, nx38, nx39, nx40, nx41, nx42, nx43, nx44, 
      nx45, nx46, nx47, nx48, nx49, nx50, nx51, nx52, nx53, nx54, nx55, nx56, 
      nx57, nx58, nx59, nx60, nx61, nx62, nx63, nx64, nx65, nx66, nx67, nx68, 
      nx69, nx70, nx71, nx72, nx73, nx74, nx75, nx76, nx77, nx78, nx79, nx81
   : std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(15) <= nx36 ;
   q(14) <= nx38 ;
   q(13) <= nx40 ;
   q(12) <= nx42 ;
   q(11) <= nx44 ;
   q(10) <= nx46 ;
   q(9) <= nx48 ;
   q(8) <= nx50 ;
   q(7) <= nx52 ;
   q(6) <= nx54 ;
   q(5) <= nx56 ;
   q(4) <= nx58 ;
   q(3) <= nx60 ;
   q(2) <= nx62 ;
   q(1) <= nx64 ;
   nx31 <= '0' ;
   DFFPCE (nx35,nx31,aclear,clk_en,clock,nx36) ;
   DFFPCE (nx37,nx31,aclear,clk_en,clock,nx38) ;
   DFFPCE (nx39,nx31,aclear,clk_en,clock,nx40) ;
   DFFPCE (nx41,nx31,aclear,clk_en,clock,nx42) ;
   DFFPCE (nx43,nx31,aclear,clk_en,clock,nx44) ;
   DFFPCE (nx45,nx31,aclear,clk_en,clock,nx46) ;
   DFFPCE (nx47,nx31,aclear,clk_en,clock,nx48) ;
   DFFPCE (nx49,nx31,aclear,clk_en,clock,nx50) ;
   DFFPCE (nx51,nx31,aclear,clk_en,clock,nx52) ;
   DFFPCE (nx53,nx31,aclear,clk_en,clock,nx54) ;
   DFFPCE (nx55,nx31,aclear,clk_en,clock,nx56) ;
   DFFPCE (nx57,nx31,aclear,clk_en,clock,nx58) ;
   DFFPCE (nx59,nx31,aclear,clk_en,clock,nx60) ;
   DFFPCE (nx61,nx31,aclear,clk_en,clock,nx62) ;
   DFFPCE (nx63,nx31,aclear,clk_en,clock,nx64) ;
   inc : inc_15u_15u_0_0 port map ( cin=>nx81, a(14)=>nx36, a(13)=>nx38, 
      a(12)=>nx40, a(11)=>nx42, a(10)=>nx44, a(9)=>nx46, a(8)=>nx48, a(7)=>
      nx50, a(6)=>nx52, a(5)=>nx54, a(4)=>nx56, a(3)=>nx58, a(2)=>nx60, a(1)
      =>nx62, a(0)=>nx64, d(14)=>nx65, d(13)=>nx66, d(12)=>nx67, d(11)=>nx68, 
      d(10)=>nx69, d(9)=>nx70, d(8)=>nx71, d(7)=>nx72, d(6)=>nx73, d(5)=>
      nx74, d(4)=>nx75, d(3)=>nx76, d(2)=>nx77, d(1)=>nx78, d(0)=>nx79, cout
      =>DANGLING(0));
   nx81 <= '1' ;
   nx35 <= data(15) when sload = '1' else nx65 ;
   nx37 <= data(14) when sload = '1' else nx66 ;
   nx39 <= data(13) when sload = '1' else nx67 ;
   nx41 <= data(12) when sload = '1' else nx68 ;
   nx43 <= data(11) when sload = '1' else nx69 ;
   nx45 <= data(10) when sload = '1' else nx70 ;
   nx47 <= data(9) when sload = '1' else nx71 ;
   nx49 <= data(8) when sload = '1' else nx72 ;
   nx51 <= data(7) when sload = '1' else nx73 ;
   nx53 <= data(6) when sload = '1' else nx74 ;
   nx55 <= data(5) when sload = '1' else nx75 ;
   nx57 <= data(4) when sload = '1' else nx76 ;
   nx59 <= data(3) when sload = '1' else nx77 ;
   nx61 <= data(2) when sload = '1' else nx78 ;
   nx63 <= data(1) when sload = '1' else nx79 ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity 
   rom_4_7_128_0_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman
    is 
   port (
      address : IN std_logic_vector (6 DOWNTO 0) ;
      inclock : IN std_logic ;
      outclock : IN std_logic ;
      outclockena : IN std_logic ;
      q : OUT std_logic_vector (3 DOWNTO 0)) ;
end rom_4_7_128_0_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman
 ;

architecture INTERFACE of 
   rom_4_7_128_0_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman
    is 
   component mux_128u_128u
      port (
         a : IN std_logic_vector (127 DOWNTO 0) ;
         b : IN std_logic_vector (127 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   signal GND, PWR: std_logic ;

begin
   GND <= '0' ;
   PWR <= '1' ;
   modgen_mux_757 : mux_128u_128u port map ( a(127)=>GND, a(126)=>GND, 
      a(125)=>GND, a(124)=>GND, a(123)=>GND, a(122)=>GND, a(121)=>GND, 
      a(120)=>GND, a(119)=>GND, a(118)=>GND, a(117)=>GND, a(116)=>GND, 
      a(115)=>GND, a(114)=>GND, a(113)=>GND, a(112)=>GND, a(111)=>GND, 
      a(110)=>GND, a(109)=>GND, a(108)=>GND, a(107)=>GND, a(106)=>GND, 
      a(105)=>GND, a(104)=>PWR, a(103)=>GND, a(102)=>GND, a(101)=>GND, 
      a(100)=>GND, a(99)=>GND, a(98)=>GND, a(97)=>GND, a(96)=>GND, a(95)=>
      GND, a(94)=>GND, a(93)=>GND, a(92)=>GND, a(91)=>GND, a(90)=>GND, a(89)
      =>GND, a(88)=>GND, a(87)=>GND, a(86)=>GND, a(85)=>GND, a(84)=>GND, 
      a(83)=>GND, a(82)=>GND, a(81)=>GND, a(80)=>GND, a(79)=>GND, a(78)=>PWR, 
      a(77)=>GND, a(76)=>GND, a(75)=>GND, a(74)=>GND, a(73)=>GND, a(72)=>GND, 
      a(71)=>GND, a(70)=>GND, a(69)=>GND, a(68)=>GND, a(67)=>GND, a(66)=>GND, 
      a(65)=>GND, a(64)=>GND, a(63)=>GND, a(62)=>GND, a(61)=>GND, a(60)=>GND, 
      a(59)=>GND, a(58)=>GND, a(57)=>GND, a(56)=>GND, a(55)=>GND, a(54)=>GND, 
      a(53)=>GND, a(52)=>GND, a(51)=>GND, a(50)=>GND, a(49)=>GND, a(48)=>GND, 
      a(47)=>GND, a(46)=>GND, a(45)=>GND, a(44)=>GND, a(43)=>GND, a(42)=>GND, 
      a(41)=>GND, a(40)=>GND, a(39)=>GND, a(38)=>GND, a(37)=>GND, a(36)=>GND, 
      a(35)=>GND, a(34)=>GND, a(33)=>GND, a(32)=>GND, a(31)=>GND, a(30)=>GND, 
      a(29)=>GND, a(28)=>GND, a(27)=>GND, a(26)=>GND, a(25)=>GND, a(24)=>GND, 
      a(23)=>GND, a(22)=>GND, a(21)=>GND, a(20)=>GND, a(19)=>GND, a(18)=>GND, 
      a(17)=>GND, a(16)=>GND, a(15)=>GND, a(14)=>GND, a(13)=>GND, a(12)=>GND, 
      a(11)=>GND, a(10)=>GND, a(9)=>GND, a(8)=>GND, a(7)=>GND, a(6)=>GND, 
      a(5)=>GND, a(4)=>GND, a(3)=>GND, a(2)=>GND, a(1)=>GND, a(0)=>GND, 
      b(127)=>GND, b(126)=>GND, b(125)=>GND, b(124)=>GND, b(123)=>GND, 
      b(122)=>GND, b(121)=>GND, b(120)=>GND, b(119)=>GND, b(118)=>GND, 
      b(117)=>GND, b(116)=>GND, b(115)=>GND, b(114)=>GND, b(113)=>GND, 
      b(112)=>GND, b(111)=>GND, b(110)=>GND, b(109)=>GND, b(108)=>GND, 
      b(107)=>GND, b(106)=>GND, b(105)=>GND, b(104)=>GND, b(103)=>GND, 
      b(102)=>GND, b(101)=>GND, b(100)=>GND, b(99)=>GND, b(98)=>GND, b(97)=>
      GND, b(96)=>GND, b(95)=>GND, b(94)=>GND, b(93)=>GND, b(92)=>GND, b(91)
      =>GND, b(90)=>GND, b(89)=>GND, b(88)=>GND, b(87)=>GND, b(86)=>GND, 
      b(85)=>GND, b(84)=>GND, b(83)=>GND, b(82)=>GND, b(81)=>GND, b(80)=>GND, 
      b(79)=>GND, b(78)=>GND, b(77)=>GND, b(76)=>GND, b(75)=>GND, b(74)=>GND, 
      b(73)=>GND, b(72)=>GND, b(71)=>GND, b(70)=>GND, b(69)=>GND, b(68)=>GND, 
      b(67)=>GND, b(66)=>GND, b(65)=>GND, b(64)=>GND, b(63)=>GND, b(62)=>GND, 
      b(61)=>GND, b(60)=>GND, b(59)=>GND, b(58)=>GND, b(57)=>GND, b(56)=>GND, 
      b(55)=>GND, b(54)=>GND, b(53)=>GND, b(52)=>GND, b(51)=>GND, b(50)=>GND, 
      b(49)=>GND, b(48)=>GND, b(47)=>GND, b(46)=>GND, b(45)=>GND, b(44)=>GND, 
      b(43)=>GND, b(42)=>GND, b(41)=>GND, b(40)=>GND, b(39)=>GND, b(38)=>GND, 
      b(37)=>GND, b(36)=>GND, b(35)=>GND, b(34)=>GND, b(33)=>GND, b(32)=>GND, 
      b(31)=>GND, b(30)=>GND, b(29)=>GND, b(28)=>GND, b(27)=>GND, b(26)=>GND, 
      b(25)=>GND, b(24)=>GND, b(23)=>GND, b(22)=>GND, b(21)=>GND, b(20)=>GND, 
      b(19)=>GND, b(18)=>GND, b(17)=>GND, b(16)=>GND, b(15)=>GND, b(14)=>GND, 
      b(13)=>GND, b(12)=>GND, b(11)=>GND, b(10)=>GND, b(9)=>GND, b(8)=>GND, 
      b(7)=>GND, b(6)=>address(6), b(5)=>address(5), b(4)=>address(4), b(3)
      =>address(3), b(2)=>address(2), b(1)=>address(1), b(0)=>address(0), d
      =>q(3));
   modgen_mux_758 : mux_128u_128u port map ( a(127)=>GND, a(126)=>GND, 
      a(125)=>GND, a(124)=>GND, a(123)=>GND, a(122)=>GND, a(121)=>GND, 
      a(120)=>GND, a(119)=>GND, a(118)=>GND, a(117)=>GND, a(116)=>GND, 
      a(115)=>GND, a(114)=>GND, a(113)=>GND, a(112)=>GND, a(111)=>GND, 
      a(110)=>GND, a(109)=>GND, a(108)=>GND, a(107)=>GND, a(106)=>GND, 
      a(105)=>GND, a(104)=>GND, a(103)=>GND, a(102)=>GND, a(101)=>GND, 
      a(100)=>GND, a(99)=>GND, a(98)=>GND, a(97)=>GND, a(96)=>GND, a(95)=>
      GND, a(94)=>GND, a(93)=>GND, a(92)=>GND, a(91)=>GND, a(90)=>GND, a(89)
      =>GND, a(88)=>PWR, a(87)=>GND, a(86)=>GND, a(85)=>GND, a(84)=>GND, 
      a(83)=>GND, a(82)=>GND, a(81)=>GND, a(80)=>GND, a(79)=>GND, a(78)=>GND, 
      a(77)=>GND, a(76)=>PWR, a(75)=>GND, a(74)=>GND, a(73)=>GND, a(72)=>GND, 
      a(71)=>GND, a(70)=>GND, a(69)=>GND, a(68)=>GND, a(67)=>GND, a(66)=>GND, 
      a(65)=>GND, a(64)=>GND, a(63)=>GND, a(62)=>GND, a(61)=>GND, a(60)=>GND, 
      a(59)=>GND, a(58)=>GND, a(57)=>GND, a(56)=>GND, a(55)=>GND, a(54)=>GND, 
      a(53)=>GND, a(52)=>GND, a(51)=>GND, a(50)=>GND, a(49)=>GND, a(48)=>GND, 
      a(47)=>GND, a(46)=>GND, a(45)=>GND, a(44)=>GND, a(43)=>GND, a(42)=>GND, 
      a(41)=>GND, a(40)=>GND, a(39)=>GND, a(38)=>GND, a(37)=>GND, a(36)=>GND, 
      a(35)=>GND, a(34)=>GND, a(33)=>GND, a(32)=>GND, a(31)=>GND, a(30)=>GND, 
      a(29)=>GND, a(28)=>GND, a(27)=>GND, a(26)=>GND, a(25)=>GND, a(24)=>GND, 
      a(23)=>GND, a(22)=>GND, a(21)=>GND, a(20)=>GND, a(19)=>GND, a(18)=>GND, 
      a(17)=>GND, a(16)=>GND, a(15)=>GND, a(14)=>GND, a(13)=>GND, a(12)=>GND, 
      a(11)=>GND, a(10)=>GND, a(9)=>GND, a(8)=>GND, a(7)=>GND, a(6)=>GND, 
      a(5)=>GND, a(4)=>GND, a(3)=>GND, a(2)=>GND, a(1)=>GND, a(0)=>GND, 
      b(127)=>GND, b(126)=>GND, b(125)=>GND, b(124)=>GND, b(123)=>GND, 
      b(122)=>GND, b(121)=>GND, b(120)=>GND, b(119)=>GND, b(118)=>GND, 
      b(117)=>GND, b(116)=>GND, b(115)=>GND, b(114)=>GND, b(113)=>GND, 
      b(112)=>GND, b(111)=>GND, b(110)=>GND, b(109)=>GND, b(108)=>GND, 
      b(107)=>GND, b(106)=>GND, b(105)=>GND, b(104)=>GND, b(103)=>GND, 
      b(102)=>GND, b(101)=>GND, b(100)=>GND, b(99)=>GND, b(98)=>GND, b(97)=>
      GND, b(96)=>GND, b(95)=>GND, b(94)=>GND, b(93)=>GND, b(92)=>GND, b(91)
      =>GND, b(90)=>GND, b(89)=>GND, b(88)=>GND, b(87)=>GND, b(86)=>GND, 
      b(85)=>GND, b(84)=>GND, b(83)=>GND, b(82)=>GND, b(81)=>GND, b(80)=>GND, 
      b(79)=>GND, b(78)=>GND, b(77)=>GND, b(76)=>GND, b(75)=>GND, b(74)=>GND, 
      b(73)=>GND, b(72)=>GND, b(71)=>GND, b(70)=>GND, b(69)=>GND, b(68)=>GND, 
      b(67)=>GND, b(66)=>GND, b(65)=>GND, b(64)=>GND, b(63)=>GND, b(62)=>GND, 
      b(61)=>GND, b(60)=>GND, b(59)=>GND, b(58)=>GND, b(57)=>GND, b(56)=>GND, 
      b(55)=>GND, b(54)=>GND, b(53)=>GND, b(52)=>GND, b(51)=>GND, b(50)=>GND, 
      b(49)=>GND, b(48)=>GND, b(47)=>GND, b(46)=>GND, b(45)=>GND, b(44)=>GND, 
      b(43)=>GND, b(42)=>GND, b(41)=>GND, b(40)=>GND, b(39)=>GND, b(38)=>GND, 
      b(37)=>GND, b(36)=>GND, b(35)=>GND, b(34)=>GND, b(33)=>GND, b(32)=>GND, 
      b(31)=>GND, b(30)=>GND, b(29)=>GND, b(28)=>GND, b(27)=>GND, b(26)=>GND, 
      b(25)=>GND, b(24)=>GND, b(23)=>GND, b(22)=>GND, b(21)=>GND, b(20)=>GND, 
      b(19)=>GND, b(18)=>GND, b(17)=>GND, b(16)=>GND, b(15)=>GND, b(14)=>GND, 
      b(13)=>GND, b(12)=>GND, b(11)=>GND, b(10)=>GND, b(9)=>GND, b(8)=>GND, 
      b(7)=>GND, b(6)=>address(6), b(5)=>address(5), b(4)=>address(4), b(3)
      =>address(3), b(2)=>address(2), b(1)=>address(1), b(0)=>address(0), d
      =>q(2));
   modgen_mux_759 : mux_128u_128u port map ( a(127)=>GND, a(126)=>GND, 
      a(125)=>GND, a(124)=>GND, a(123)=>GND, a(122)=>GND, a(121)=>GND, 
      a(120)=>GND, a(119)=>GND, a(118)=>GND, a(117)=>GND, a(116)=>GND, 
      a(115)=>GND, a(114)=>GND, a(113)=>GND, a(112)=>GND, a(111)=>GND, 
      a(110)=>GND, a(109)=>GND, a(108)=>GND, a(107)=>GND, a(106)=>GND, 
      a(105)=>GND, a(104)=>GND, a(103)=>GND, a(102)=>GND, a(101)=>GND, 
      a(100)=>GND, a(99)=>GND, a(98)=>GND, a(97)=>GND, a(96)=>GND, a(95)=>
      GND, a(94)=>PWR, a(93)=>GND, a(92)=>PWR, a(91)=>GND, a(90)=>PWR, a(89)
      =>GND, a(88)=>GND, a(87)=>GND, a(86)=>GND, a(85)=>GND, a(84)=>GND, 
      a(83)=>GND, a(82)=>GND, a(81)=>GND, a(80)=>GND, a(79)=>GND, a(78)=>GND, 
      a(77)=>GND, a(76)=>GND, a(75)=>GND, a(74)=>GND, a(73)=>GND, a(72)=>GND, 
      a(71)=>GND, a(70)=>GND, a(69)=>GND, a(68)=>GND, a(67)=>GND, a(66)=>GND, 
      a(65)=>GND, a(64)=>GND, a(63)=>GND, a(62)=>GND, a(61)=>GND, a(60)=>GND, 
      a(59)=>GND, a(58)=>GND, a(57)=>GND, a(56)=>GND, a(55)=>GND, a(54)=>GND, 
      a(53)=>GND, a(52)=>GND, a(51)=>GND, a(50)=>GND, a(49)=>GND, a(48)=>GND, 
      a(47)=>GND, a(46)=>GND, a(45)=>GND, a(44)=>GND, a(43)=>GND, a(42)=>GND, 
      a(41)=>GND, a(40)=>GND, a(39)=>GND, a(38)=>GND, a(37)=>GND, a(36)=>GND, 
      a(35)=>GND, a(34)=>GND, a(33)=>GND, a(32)=>GND, a(31)=>GND, a(30)=>GND, 
      a(29)=>GND, a(28)=>GND, a(27)=>GND, a(26)=>GND, a(25)=>GND, a(24)=>GND, 
      a(23)=>GND, a(22)=>GND, a(21)=>GND, a(20)=>GND, a(19)=>GND, a(18)=>GND, 
      a(17)=>GND, a(16)=>GND, a(15)=>GND, a(14)=>GND, a(13)=>GND, a(12)=>GND, 
      a(11)=>GND, a(10)=>GND, a(9)=>GND, a(8)=>GND, a(7)=>GND, a(6)=>GND, 
      a(5)=>GND, a(4)=>GND, a(3)=>GND, a(2)=>GND, a(1)=>GND, a(0)=>GND, 
      b(127)=>GND, b(126)=>GND, b(125)=>GND, b(124)=>GND, b(123)=>GND, 
      b(122)=>GND, b(121)=>GND, b(120)=>GND, b(119)=>GND, b(118)=>GND, 
      b(117)=>GND, b(116)=>GND, b(115)=>GND, b(114)=>GND, b(113)=>GND, 
      b(112)=>GND, b(111)=>GND, b(110)=>GND, b(109)=>GND, b(108)=>GND, 
      b(107)=>GND, b(106)=>GND, b(105)=>GND, b(104)=>GND, b(103)=>GND, 
      b(102)=>GND, b(101)=>GND, b(100)=>GND, b(99)=>GND, b(98)=>GND, b(97)=>
      GND, b(96)=>GND, b(95)=>GND, b(94)=>GND, b(93)=>GND, b(92)=>GND, b(91)
      =>GND, b(90)=>GND, b(89)=>GND, b(88)=>GND, b(87)=>GND, b(86)=>GND, 
      b(85)=>GND, b(84)=>GND, b(83)=>GND, b(82)=>GND, b(81)=>GND, b(80)=>GND, 
      b(79)=>GND, b(78)=>GND, b(77)=>GND, b(76)=>GND, b(75)=>GND, b(74)=>GND, 
      b(73)=>GND, b(72)=>GND, b(71)=>GND, b(70)=>GND, b(69)=>GND, b(68)=>GND, 
      b(67)=>GND, b(66)=>GND, b(65)=>GND, b(64)=>GND, b(63)=>GND, b(62)=>GND, 
      b(61)=>GND, b(60)=>GND, b(59)=>GND, b(58)=>GND, b(57)=>GND, b(56)=>GND, 
      b(55)=>GND, b(54)=>GND, b(53)=>GND, b(52)=>GND, b(51)=>GND, b(50)=>GND, 
      b(49)=>GND, b(48)=>GND, b(47)=>GND, b(46)=>GND, b(45)=>GND, b(44)=>GND, 
      b(43)=>GND, b(42)=>GND, b(41)=>GND, b(40)=>GND, b(39)=>GND, b(38)=>GND, 
      b(37)=>GND, b(36)=>GND, b(35)=>GND, b(34)=>GND, b(33)=>GND, b(32)=>GND, 
      b(31)=>GND, b(30)=>GND, b(29)=>GND, b(28)=>GND, b(27)=>GND, b(26)=>GND, 
      b(25)=>GND, b(24)=>GND, b(23)=>GND, b(22)=>GND, b(21)=>GND, b(20)=>GND, 
      b(19)=>GND, b(18)=>GND, b(17)=>GND, b(16)=>GND, b(15)=>GND, b(14)=>GND, 
      b(13)=>GND, b(12)=>GND, b(11)=>GND, b(10)=>GND, b(9)=>GND, b(8)=>GND, 
      b(7)=>GND, b(6)=>address(6), b(5)=>address(5), b(4)=>address(4), b(3)
      =>address(3), b(2)=>address(2), b(1)=>address(1), b(0)=>address(0), d
      =>q(1));
   modgen_mux_760 : mux_128u_128u port map ( a(127)=>GND, a(126)=>GND, 
      a(125)=>GND, a(124)=>GND, a(123)=>GND, a(122)=>GND, a(121)=>GND, 
      a(120)=>GND, a(119)=>GND, a(118)=>GND, a(117)=>GND, a(116)=>GND, 
      a(115)=>GND, a(114)=>GND, a(113)=>GND, a(112)=>GND, a(111)=>GND, 
      a(110)=>GND, a(109)=>GND, a(108)=>GND, a(107)=>GND, a(106)=>PWR, 
      a(105)=>GND, a(104)=>GND, a(103)=>GND, a(102)=>GND, a(101)=>GND, 
      a(100)=>GND, a(99)=>GND, a(98)=>GND, a(97)=>GND, a(96)=>GND, a(95)=>
      GND, a(94)=>GND, a(93)=>GND, a(92)=>GND, a(91)=>GND, a(90)=>GND, a(89)
      =>GND, a(88)=>GND, a(87)=>GND, a(86)=>GND, a(85)=>GND, a(84)=>GND, 
      a(83)=>GND, a(82)=>GND, a(81)=>GND, a(80)=>GND, a(79)=>GND, a(78)=>GND, 
      a(77)=>GND, a(76)=>GND, a(75)=>GND, a(74)=>GND, a(73)=>GND, a(72)=>GND, 
      a(71)=>GND, a(70)=>GND, a(69)=>GND, a(68)=>GND, a(67)=>GND, a(66)=>PWR, 
      a(65)=>GND, a(64)=>GND, a(63)=>GND, a(62)=>GND, a(61)=>GND, a(60)=>GND, 
      a(59)=>GND, a(58)=>GND, a(57)=>GND, a(56)=>GND, a(55)=>GND, a(54)=>GND, 
      a(53)=>GND, a(52)=>GND, a(51)=>GND, a(50)=>GND, a(49)=>GND, a(48)=>GND, 
      a(47)=>GND, a(46)=>GND, a(45)=>GND, a(44)=>GND, a(43)=>GND, a(42)=>GND, 
      a(41)=>GND, a(40)=>GND, a(39)=>GND, a(38)=>GND, a(37)=>GND, a(36)=>GND, 
      a(35)=>GND, a(34)=>GND, a(33)=>GND, a(32)=>GND, a(31)=>GND, a(30)=>GND, 
      a(29)=>GND, a(28)=>GND, a(27)=>GND, a(26)=>GND, a(25)=>GND, a(24)=>GND, 
      a(23)=>GND, a(22)=>GND, a(21)=>GND, a(20)=>GND, a(19)=>GND, a(18)=>GND, 
      a(17)=>GND, a(16)=>GND, a(15)=>GND, a(14)=>GND, a(13)=>GND, a(12)=>GND, 
      a(11)=>GND, a(10)=>GND, a(9)=>GND, a(8)=>GND, a(7)=>GND, a(6)=>GND, 
      a(5)=>GND, a(4)=>GND, a(3)=>GND, a(2)=>GND, a(1)=>GND, a(0)=>GND, 
      b(127)=>GND, b(126)=>GND, b(125)=>GND, b(124)=>GND, b(123)=>GND, 
      b(122)=>GND, b(121)=>GND, b(120)=>GND, b(119)=>GND, b(118)=>GND, 
      b(117)=>GND, b(116)=>GND, b(115)=>GND, b(114)=>GND, b(113)=>GND, 
      b(112)=>GND, b(111)=>GND, b(110)=>GND, b(109)=>GND, b(108)=>GND, 
      b(107)=>GND, b(106)=>GND, b(105)=>GND, b(104)=>GND, b(103)=>GND, 
      b(102)=>GND, b(101)=>GND, b(100)=>GND, b(99)=>GND, b(98)=>GND, b(97)=>
      GND, b(96)=>GND, b(95)=>GND, b(94)=>GND, b(93)=>GND, b(92)=>GND, b(91)
      =>GND, b(90)=>GND, b(89)=>GND, b(88)=>GND, b(87)=>GND, b(86)=>GND, 
      b(85)=>GND, b(84)=>GND, b(83)=>GND, b(82)=>GND, b(81)=>GND, b(80)=>GND, 
      b(79)=>GND, b(78)=>GND, b(77)=>GND, b(76)=>GND, b(75)=>GND, b(74)=>GND, 
      b(73)=>GND, b(72)=>GND, b(71)=>GND, b(70)=>GND, b(69)=>GND, b(68)=>GND, 
      b(67)=>GND, b(66)=>GND, b(65)=>GND, b(64)=>GND, b(63)=>GND, b(62)=>GND, 
      b(61)=>GND, b(60)=>GND, b(59)=>GND, b(58)=>GND, b(57)=>GND, b(56)=>GND, 
      b(55)=>GND, b(54)=>GND, b(53)=>GND, b(52)=>GND, b(51)=>GND, b(50)=>GND, 
      b(49)=>GND, b(48)=>GND, b(47)=>GND, b(46)=>GND, b(45)=>GND, b(44)=>GND, 
      b(43)=>GND, b(42)=>GND, b(41)=>GND, b(40)=>GND, b(39)=>GND, b(38)=>GND, 
      b(37)=>GND, b(36)=>GND, b(35)=>GND, b(34)=>GND, b(33)=>GND, b(32)=>GND, 
      b(31)=>GND, b(30)=>GND, b(29)=>GND, b(28)=>GND, b(27)=>GND, b(26)=>GND, 
      b(25)=>GND, b(24)=>GND, b(23)=>GND, b(22)=>GND, b(21)=>GND, b(20)=>GND, 
      b(19)=>GND, b(18)=>GND, b(17)=>GND, b(16)=>GND, b(15)=>GND, b(14)=>GND, 
      b(13)=>GND, b(12)=>GND, b(11)=>GND, b(10)=>GND, b(9)=>GND, b(8)=>GND, 
      b(7)=>GND, b(6)=>address(6), b(5)=>address(5), b(4)=>address(4), b(3)
      =>address(3), b(2)=>address(2), b(1)=>address(1), b(0)=>address(0), d
      =>q(0));
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity 
   rom_new_0_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman_unfold_3298
    is 
   port (
      rd_data1 : OUT std_logic_vector (3 DOWNTO 0) ;
      addr1 : IN std_logic_vector (6 DOWNTO 0) ;
      rd_clk1 : IN std_logic ;
      rd_ena1 : IN std_logic ;
      regce1 : IN std_logic ;
      rst1 : IN std_logic) ;
end 
rom_new_0_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman_unfold_3298
 ;

architecture INTERFACE of 
   rom_new_0_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman_unfold_3298
    is 
   component 
      rom_4_7_128_0_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman
      port (
         address : IN std_logic_vector (6 DOWNTO 0) ;
         inclock : IN std_logic ;
         outclock : IN std_logic ;
         outclockena : IN std_logic ;
         q : OUT std_logic_vector (3 DOWNTO 0)) ;
   end component ;
   signal nx15, nx17: std_logic ;
   
   signal DANGLING : std_logic_vector (2 downto 0 );

begin
   nx15 <= '0' ;
   nx17 <= '1' ;
   modgen_rom_ix7607 : 
      rom_4_7_128_0_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman
       port map ( address(6)=>addr1(6), address(5)=>addr1(5), address(4)=>
      addr1(4), address(3)=>addr1(3), address(2)=>addr1(2), address(1)=>
      addr1(1), address(0)=>addr1(0), inclock=>DANGLING(0), outclock=>
      DANGLING(1), outclockena=>DANGLING(2), q(3)=>rd_data1(3), q(2)=>
      rd_data1(2), q(1)=>rd_data1(1), q(0)=>rd_data1(0));
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity rom_7_5_19_1_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman
    is 
   port (
      address : IN std_logic_vector (4 DOWNTO 0) ;
      inclock : IN std_logic ;
      outclock : IN std_logic ;
      outclockena : IN std_logic ;
      q : OUT std_logic_vector (6 DOWNTO 0)) ;
end rom_7_5_19_1_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman ;

architecture INTERFACE of 
   rom_7_5_19_1_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman is 
   component mux_19u_19u
      port (
         a : IN std_logic_vector (18 DOWNTO 0) ;
         b : IN std_logic_vector (18 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   signal GND, PWR: std_logic ;

begin
   GND <= '0' ;
   PWR <= '1' ;
   modgen_mux_761 : mux_19u_19u port map ( a(18)=>GND, a(17)=>PWR, a(16)=>
      GND, a(15)=>GND, a(14)=>GND, a(13)=>PWR, a(12)=>GND, a(11)=>PWR, a(10)
      =>GND, a(9)=>PWR, a(8)=>PWR, a(7)=>PWR, a(6)=>PWR, a(5)=>PWR, a(4)=>
      PWR, a(3)=>PWR, a(2)=>PWR, a(1)=>GND, a(0)=>GND, b(18)=>GND, b(17)=>
      GND, b(16)=>GND, b(15)=>GND, b(14)=>GND, b(13)=>GND, b(12)=>GND, b(11)
      =>GND, b(10)=>GND, b(9)=>GND, b(8)=>GND, b(7)=>GND, b(6)=>GND, b(5)=>
      GND, b(4)=>address(4), b(3)=>address(3), b(2)=>address(2), b(1)=>
      address(1), b(0)=>address(0), d=>q(6));
   modgen_mux_762 : mux_19u_19u port map ( a(18)=>PWR, a(17)=>GND, a(16)=>
      PWR, a(15)=>PWR, a(14)=>PWR, a(13)=>GND, a(12)=>PWR, a(11)=>GND, a(10)
      =>PWR, a(9)=>PWR, a(8)=>PWR, a(7)=>PWR, a(6)=>PWR, a(5)=>GND, a(4)=>
      PWR, a(3)=>PWR, a(2)=>GND, a(1)=>PWR, a(0)=>PWR, b(18)=>GND, b(17)=>
      GND, b(16)=>GND, b(15)=>GND, b(14)=>GND, b(13)=>GND, b(12)=>GND, b(11)
      =>GND, b(10)=>GND, b(9)=>GND, b(8)=>GND, b(7)=>GND, b(6)=>GND, b(5)=>
      GND, b(4)=>address(4), b(3)=>address(3), b(2)=>address(2), b(1)=>
      address(1), b(0)=>address(0), d=>q(5));
   modgen_mux_763 : mux_19u_19u port map ( a(18)=>GND, a(17)=>GND, a(16)=>
      PWR, a(15)=>PWR, a(14)=>GND, a(13)=>PWR, a(12)=>GND, a(11)=>GND, a(10)
      =>GND, a(9)=>GND, a(8)=>GND, a(7)=>GND, a(6)=>GND, a(5)=>PWR, a(4)=>
      GND, a(3)=>PWR, a(2)=>PWR, a(1)=>GND, a(0)=>GND, b(18)=>GND, b(17)=>
      GND, b(16)=>GND, b(15)=>GND, b(14)=>GND, b(13)=>GND, b(12)=>GND, b(11)
      =>GND, b(10)=>GND, b(9)=>GND, b(8)=>GND, b(7)=>GND, b(6)=>GND, b(5)=>
      GND, b(4)=>address(4), b(3)=>address(3), b(2)=>address(2), b(1)=>
      address(1), b(0)=>address(0), d=>q(4));
   modgen_mux_764 : mux_19u_19u port map ( a(18)=>GND, a(17)=>PWR, a(16)=>
      GND, a(15)=>GND, a(14)=>PWR, a(13)=>GND, a(12)=>PWR, a(11)=>PWR, a(10)
      =>GND, a(9)=>GND, a(8)=>PWR, a(7)=>PWR, a(6)=>GND, a(5)=>GND, a(4)=>
      PWR, a(3)=>GND, a(2)=>GND, a(1)=>GND, a(0)=>GND, b(18)=>GND, b(17)=>
      GND, b(16)=>GND, b(15)=>GND, b(14)=>GND, b(13)=>GND, b(12)=>GND, b(11)
      =>GND, b(10)=>GND, b(9)=>GND, b(8)=>GND, b(7)=>GND, b(6)=>GND, b(5)=>
      GND, b(4)=>address(4), b(3)=>address(3), b(2)=>address(2), b(1)=>
      address(1), b(0)=>address(0), d=>q(3));
   modgen_mux_765 : mux_19u_19u port map ( a(18)=>GND, a(17)=>GND, a(16)=>
      GND, a(15)=>PWR, a(14)=>PWR, a(13)=>PWR, a(12)=>PWR, a(11)=>GND, a(10)
      =>GND, a(9)=>PWR, a(8)=>PWR, a(7)=>PWR, a(6)=>GND, a(5)=>PWR, a(4)=>
      PWR, a(3)=>PWR, a(2)=>GND, a(1)=>GND, a(0)=>GND, b(18)=>GND, b(17)=>
      GND, b(16)=>GND, b(15)=>GND, b(14)=>GND, b(13)=>GND, b(12)=>GND, b(11)
      =>GND, b(10)=>GND, b(9)=>GND, b(8)=>GND, b(7)=>GND, b(6)=>GND, b(5)=>
      GND, b(4)=>address(4), b(3)=>address(3), b(2)=>address(2), b(1)=>
      address(1), b(0)=>address(0), d=>q(2));
   modgen_mux_766 : mux_19u_19u port map ( a(18)=>GND, a(17)=>GND, a(16)=>
      PWR, a(15)=>GND, a(14)=>GND, a(13)=>GND, a(12)=>GND, a(11)=>GND, a(10)
      =>GND, a(9)=>PWR, a(8)=>GND, a(7)=>PWR, a(6)=>PWR, a(5)=>GND, a(4)=>
      GND, a(3)=>GND, a(2)=>PWR, a(1)=>GND, a(0)=>GND, b(18)=>GND, b(17)=>
      GND, b(16)=>GND, b(15)=>GND, b(14)=>GND, b(13)=>GND, b(12)=>GND, b(11)
      =>GND, b(10)=>GND, b(9)=>GND, b(8)=>GND, b(7)=>GND, b(6)=>GND, b(5)=>
      GND, b(4)=>address(4), b(3)=>address(3), b(2)=>address(2), b(1)=>
      address(1), b(0)=>address(0), d=>q(1));
   modgen_mux_767 : mux_19u_19u port map ( a(18)=>GND, a(17)=>PWR, a(16)=>
      PWR, a(15)=>PWR, a(14)=>PWR, a(13)=>GND, a(12)=>PWR, a(11)=>PWR, a(10)
      =>GND, a(9)=>PWR, a(8)=>GND, a(7)=>GND, a(6)=>PWR, a(5)=>GND, a(4)=>
      GND, a(3)=>GND, a(2)=>PWR, a(1)=>GND, a(0)=>GND, b(18)=>GND, b(17)=>
      GND, b(16)=>GND, b(15)=>GND, b(14)=>GND, b(13)=>GND, b(12)=>GND, b(11)
      =>GND, b(10)=>GND, b(9)=>GND, b(8)=>GND, b(7)=>GND, b(6)=>GND, b(5)=>
      GND, b(4)=>address(4), b(3)=>address(3), b(2)=>address(2), b(1)=>
      address(1), b(0)=>address(0), d=>q(0));
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity 
   rom_new_1_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman_unfold_3298
    is 
   port (
      rd_data1 : OUT std_logic_vector (6 DOWNTO 0) ;
      addr1 : IN std_logic_vector (4 DOWNTO 0) ;
      rd_clk1 : IN std_logic ;
      rd_ena1 : IN std_logic ;
      regce1 : IN std_logic ;
      rst1 : IN std_logic) ;
end 
rom_new_1_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman_unfold_3298
 ;

architecture INTERFACE of 
   rom_new_1_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman_unfold_3298
    is 
   component 
      rom_7_5_19_1_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman
      port (
         address : IN std_logic_vector (4 DOWNTO 0) ;
         inclock : IN std_logic ;
         outclock : IN std_logic ;
         outclockena : IN std_logic ;
         q : OUT std_logic_vector (6 DOWNTO 0)) ;
   end component ;
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   signal nx16, nx18, dup_0_Do_once_4, dup_0_Do_once_3, dup_0_Do_once_2, 
      dup_0_Do_once_1, dup_0_Do_once_0: std_logic ;
   
   signal DANGLING : std_logic_vector (2 downto 0 );

begin
   nx16 <= '0' ;
   nx18 <= '1' ;
   modgen_rom_ix7608 : 
      rom_7_5_19_1_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman
       port map ( address(4)=>dup_0_Do_once_4, address(3)=>dup_0_Do_once_3, 
      address(2)=>dup_0_Do_once_2, address(1)=>dup_0_Do_once_1, address(0)=>
      dup_0_Do_once_0, inclock=>DANGLING(0), outclock=>DANGLING(1), 
      outclockena=>DANGLING(2), q(6)=>rd_data1(6), q(5)=>rd_data1(5), q(4)=>
      rd_data1(4), q(3)=>rd_data1(3), q(2)=>rd_data1(2), q(1)=>rd_data1(1), 
      q(0)=>rd_data1(0));
   DFFPCE (addr1(4),nx16,rst1,rd_ena1,rd_clk1,dup_0_Do_once_4) ;
   DFFPCE (addr1(3),nx16,rst1,rd_ena1,rd_clk1,dup_0_Do_once_3) ;
   DFFPCE (addr1(2),nx16,rst1,rd_ena1,rd_clk1,dup_0_Do_once_2) ;
   DFFPCE (addr1(1),nx16,rst1,rd_ena1,rd_clk1,dup_0_Do_once_1) ;
   DFFPCE (addr1(0),nx16,rst1,rd_ena1,rd_clk1,dup_0_Do_once_0) ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity rom_7_5_20_2_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman
    is 
   port (
      address : IN std_logic_vector (4 DOWNTO 0) ;
      inclock : IN std_logic ;
      outclock : IN std_logic ;
      outclockena : IN std_logic ;
      q : OUT std_logic_vector (6 DOWNTO 0)) ;
end rom_7_5_20_2_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman ;

architecture INTERFACE of 
   rom_7_5_20_2_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman is 
   component mux_20u_20u
      port (
         a : IN std_logic_vector (19 DOWNTO 0) ;
         b : IN std_logic_vector (19 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   signal GND, PWR: std_logic ;

begin
   GND <= '0' ;
   PWR <= '1' ;
   modgen_mux_768 : mux_20u_20u port map ( a(19)=>GND, a(18)=>PWR, a(17)=>
      GND, a(16)=>GND, a(15)=>GND, a(14)=>PWR, a(13)=>PWR, a(12)=>PWR, a(11)
      =>PWR, a(10)=>PWR, a(9)=>PWR, a(8)=>PWR, a(7)=>PWR, a(6)=>PWR, a(5)=>
      GND, a(4)=>PWR, a(3)=>PWR, a(2)=>GND, a(1)=>GND, a(0)=>GND, b(19)=>GND, 
      b(18)=>GND, b(17)=>GND, b(16)=>GND, b(15)=>GND, b(14)=>GND, b(13)=>GND, 
      b(12)=>GND, b(11)=>GND, b(10)=>GND, b(9)=>GND, b(8)=>GND, b(7)=>GND, 
      b(6)=>GND, b(5)=>GND, b(4)=>address(4), b(3)=>address(3), b(2)=>
      address(2), b(1)=>address(1), b(0)=>address(0), d=>q(6));
   modgen_mux_769 : mux_20u_20u port map ( a(19)=>PWR, a(18)=>GND, a(17)=>
      PWR, a(16)=>PWR, a(15)=>PWR, a(14)=>GND, a(13)=>GND, a(12)=>GND, a(11)
      =>GND, a(10)=>PWR, a(9)=>PWR, a(8)=>PWR, a(7)=>PWR, a(6)=>PWR, a(5)=>
      PWR, a(4)=>PWR, a(3)=>PWR, a(2)=>PWR, a(1)=>PWR, a(0)=>GND, b(19)=>GND, 
      b(18)=>GND, b(17)=>GND, b(16)=>GND, b(15)=>GND, b(14)=>GND, b(13)=>GND, 
      b(12)=>GND, b(11)=>GND, b(10)=>GND, b(9)=>GND, b(8)=>GND, b(7)=>GND, 
      b(6)=>GND, b(5)=>GND, b(4)=>address(4), b(3)=>address(3), b(2)=>
      address(2), b(1)=>address(1), b(0)=>address(0), d=>q(5));
   modgen_mux_770 : mux_20u_20u port map ( a(19)=>GND, a(18)=>PWR, a(17)=>
      GND, a(16)=>PWR, a(15)=>PWR, a(14)=>GND, a(13)=>PWR, a(12)=>GND, a(11)
      =>GND, a(10)=>PWR, a(9)=>GND, a(8)=>GND, a(7)=>GND, a(6)=>GND, a(5)=>
      GND, a(4)=>GND, a(3)=>GND, a(2)=>GND, a(1)=>GND, a(0)=>GND, b(19)=>GND, 
      b(18)=>GND, b(17)=>GND, b(16)=>GND, b(15)=>GND, b(14)=>GND, b(13)=>GND, 
      b(12)=>GND, b(11)=>GND, b(10)=>GND, b(9)=>GND, b(8)=>GND, b(7)=>GND, 
      b(6)=>GND, b(5)=>GND, b(4)=>address(4), b(3)=>address(3), b(2)=>
      address(2), b(1)=>address(1), b(0)=>address(0), d=>q(4));
   modgen_mux_771 : mux_20u_20u port map ( a(19)=>GND, a(18)=>GND, a(17)=>
      GND, a(16)=>GND, a(15)=>GND, a(14)=>GND, a(13)=>GND, a(12)=>PWR, a(11)
      =>PWR, a(10)=>PWR, a(9)=>PWR, a(8)=>PWR, a(7)=>PWR, a(6)=>GND, a(5)=>
      GND, a(4)=>GND, a(3)=>PWR, a(2)=>GND, a(1)=>GND, a(0)=>GND, b(19)=>GND, 
      b(18)=>GND, b(17)=>GND, b(16)=>GND, b(15)=>GND, b(14)=>GND, b(13)=>GND, 
      b(12)=>GND, b(11)=>GND, b(10)=>GND, b(9)=>GND, b(8)=>GND, b(7)=>GND, 
      b(6)=>GND, b(5)=>GND, b(4)=>address(4), b(3)=>address(3), b(2)=>
      address(2), b(1)=>address(1), b(0)=>address(0), d=>q(3));
   modgen_mux_772 : mux_20u_20u port map ( a(19)=>GND, a(18)=>GND, a(17)=>
      GND, a(16)=>PWR, a(15)=>GND, a(14)=>PWR, a(13)=>GND, a(12)=>PWR, a(11)
      =>PWR, a(10)=>GND, a(9)=>PWR, a(8)=>PWR, a(7)=>GND, a(6)=>PWR, a(5)=>
      GND, a(4)=>GND, a(3)=>GND, a(2)=>GND, a(1)=>GND, a(0)=>GND, b(19)=>GND, 
      b(18)=>GND, b(17)=>GND, b(16)=>GND, b(15)=>GND, b(14)=>GND, b(13)=>GND, 
      b(12)=>GND, b(11)=>GND, b(10)=>GND, b(9)=>GND, b(8)=>GND, b(7)=>GND, 
      b(6)=>GND, b(5)=>GND, b(4)=>address(4), b(3)=>address(3), b(2)=>
      address(2), b(1)=>address(1), b(0)=>address(0), d=>q(2));
   modgen_mux_773 : mux_20u_20u port map ( a(19)=>GND, a(18)=>GND, a(17)=>
      GND, a(16)=>GND, a(15)=>GND, a(14)=>GND, a(13)=>PWR, a(12)=>GND, a(11)
      =>GND, a(10)=>GND, a(9)=>PWR, a(8)=>PWR, a(7)=>GND, a(6)=>GND, a(5)=>
      GND, a(4)=>GND, a(3)=>GND, a(2)=>GND, a(1)=>GND, a(0)=>GND, b(19)=>GND, 
      b(18)=>GND, b(17)=>GND, b(16)=>GND, b(15)=>GND, b(14)=>GND, b(13)=>GND, 
      b(12)=>GND, b(11)=>GND, b(10)=>GND, b(9)=>GND, b(8)=>GND, b(7)=>GND, 
      b(6)=>GND, b(5)=>GND, b(4)=>address(4), b(3)=>address(3), b(2)=>
      address(2), b(1)=>address(1), b(0)=>address(0), d=>q(1));
   modgen_mux_774 : mux_20u_20u port map ( a(19)=>GND, a(18)=>GND, a(17)=>
      GND, a(16)=>PWR, a(15)=>PWR, a(14)=>GND, a(13)=>PWR, a(12)=>GND, a(11)
      =>PWR, a(10)=>PWR, a(9)=>PWR, a(8)=>PWR, a(7)=>GND, a(6)=>PWR, a(5)=>
      GND, a(4)=>PWR, a(3)=>PWR, a(2)=>GND, a(1)=>GND, a(0)=>GND, b(19)=>GND, 
      b(18)=>GND, b(17)=>GND, b(16)=>GND, b(15)=>GND, b(14)=>GND, b(13)=>GND, 
      b(12)=>GND, b(11)=>GND, b(10)=>GND, b(9)=>GND, b(8)=>GND, b(7)=>GND, 
      b(6)=>GND, b(5)=>GND, b(4)=>address(4), b(3)=>address(3), b(2)=>
      address(2), b(1)=>address(1), b(0)=>address(0), d=>q(0));
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity 
   rom_new_2_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman_unfold_3298
    is 
   port (
      rd_data1 : OUT std_logic_vector (6 DOWNTO 0) ;
      addr1 : IN std_logic_vector (4 DOWNTO 0) ;
      rd_clk1 : IN std_logic ;
      rd_ena1 : IN std_logic ;
      regce1 : IN std_logic ;
      rst1 : IN std_logic) ;
end 
rom_new_2_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman_unfold_3298
 ;

architecture INTERFACE of 
   rom_new_2_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman_unfold_3298
    is 
   component 
      rom_7_5_20_2_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman
      port (
         address : IN std_logic_vector (4 DOWNTO 0) ;
         inclock : IN std_logic ;
         outclock : IN std_logic ;
         outclockena : IN std_logic ;
         q : OUT std_logic_vector (6 DOWNTO 0)) ;
   end component ;
   signal nx16, nx18: std_logic ;
   
   signal DANGLING : std_logic_vector (2 downto 0 );

begin
   nx16 <= '0' ;
   nx18 <= '1' ;
   modgen_rom_ix7609 : 
      rom_7_5_20_2_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman
       port map ( address(4)=>addr1(4), address(3)=>addr1(3), address(2)=>
      addr1(2), address(1)=>addr1(1), address(0)=>addr1(0), inclock=>
      DANGLING(0), outclock=>DANGLING(1), outclockena=>DANGLING(2), q(6)=>
      rd_data1(6), q(5)=>rd_data1(5), q(4)=>rd_data1(4), q(3)=>rd_data1(3), 
      q(2)=>rd_data1(2), q(1)=>rd_data1(1), q(0)=>rd_data1(0));
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity selcounter_9_9_9_0_1_up is 
   port (
      cin : IN std_logic ;
      mode : IN std_logic ;
      updn : IN std_logic ;
      a : IN std_logic_vector (8 DOWNTO 0) ;
      k : IN std_logic_vector (8 DOWNTO 0) ;
      d : OUT std_logic_vector (8 DOWNTO 0)) ;
end selcounter_9_9_9_0_1_up ;

architecture INTERFACE of selcounter_9_9_9_0_1_up is 
   component inc_9u_9u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (8 DOWNTO 0) ;
         d : OUT std_logic_vector (8 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal nx30, nx31, nx32, nx33, nx34, nx35, nx36, nx37, nx38, nx39, nx41, 
      nx43, nx45, nx47, nx49, nx51, nx53, nx55, nx57, nx69, nx70, nx72: 
   std_logic ;

begin
   nx39 <= k(8) when mode = '1' else a(8) ;
   nx41 <= k(7) when mode = '1' else a(7) ;
   nx43 <= k(6) when mode = '1' else a(6) ;
   nx45 <= k(5) when mode = '1' else a(5) ;
   nx47 <= k(4) when mode = '1' else a(4) ;
   nx49 <= k(3) when mode = '1' else a(3) ;
   nx51 <= k(2) when mode = '1' else a(2) ;
   nx53 <= k(1) when mode = '1' else a(1) ;
   nx55 <= k(0) when mode = '1' else a(0) ;
   modgen_inc_124 : inc_9u_9u_0 port map ( cin=>nx72, a(8)=>nx39, a(7)=>nx41, 
      a(6)=>nx43, a(5)=>nx45, a(4)=>nx47, a(3)=>nx49, a(2)=>nx51, a(1)=>nx53, 
      a(0)=>nx55, d=>d, cout=>nx69);
   nx70 <= '0' ;
   nx72 <= nx70 when mode = '1' else cin ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1 is 
   port (
      Ack : IN std_logic ;
      Address : IN std_logic_vector (15 DOWNTO 0) ;
      BC_1553A_ME : IN std_logic ;
      BC_Command_Sync : IN std_logic ;
      BC_Coupling_error : IN std_logic ;
      BC_DISABLE : IN std_logic ;
      BC_Echo : IN std_logic ;
      BC_FE_All_Errors : IN std_logic ;
      BC_FE_Logic_error : IN std_logic ;
      BC_Found_Format_Error : IN std_logic ;
      BC_Found_wrong_RT_Address : IN std_logic ;
      BC_Found_wrong_word_count : IN std_logic ;
      BC_Loopback_error : IN std_logic ;
      BC_Message_Active : IN std_logic ;
      BC_Read : IN std_logic ;
      BC_Response_timeout_Error : IN std_logic ;
      BC_Rx_Data : IN std_logic_vector (15 DOWNTO 0) ;
      BC_Write : IN std_logic ;
      BC_wrong_sync : IN std_logic ;
      BE_Revision : IN std_logic_vector (15 DOWNTO 0) ;
      CE : IN std_logic ;
      CPU_Address : IN std_logic_vector (15 DOWNTO 0) ;
      CPU_CS : IN std_logic ;
      CPU_Data_in_wide : IN std_logic_vector (31 DOWNTO 0) ;
      CPU_RE_vec : IN std_logic_vector (1 DOWNTO 0) ;
      CPU_WE_vec : IN std_logic_vector (1 DOWNTO 0) ;
      Channel_Status : IN std_logic_vector (10 DOWNTO 0) ;
      Constants_readback : IN std_logic_vector (15 DOWNTO 0) ;
      Current_command : IN std_logic_vector (15 DOWNTO 0) ;
      Data_From_FE : IN std_logic_vector (15 DOWNTO 0) ;
      Data_o_temp : IN std_logic_vector (15 DOWNTO 0) ;
      Ext_Trigger : IN std_logic ;
      Goldenberg : IN std_logic ;
      Good_data_block_recieved : IN std_logic ;
      Handshake_Error : IN std_logic ;
      M1760 : IN std_logic ;
      MEM_Data_out_wide : IN std_logic_vector (31 DOWNTO 0) ;
      MEM_nREG : IN std_logic ;
      MIL1553_errors_Inhibit_TF : IN std_logic ;
      MIL1553_errors_invalid_command : IN std_logic ;
      MIL1553_errors_RT2RT_format_gap : IN std_logic ;
      MIL1553_errors_RT2RT_format_error : IN std_logic ;
      MIL1553_errors_Invalid_word : IN std_logic ;
      MIL1553_errors_Parity_Manchester : IN std_logic ;
      MIL1553_errors_incorrect_data_sync : IN std_logic ;
      MIL1553_errors_Low_word_count : IN std_logic ;
      MIL1553_errors_high_word_count : IN std_logic ;
      MIL1553_errors_Format_error : IN std_logic ;
      MIL1553_errors_Message_Error_set : IN std_logic ;
      MIL1553_errors_Address_Parity : IN std_logic ;
      MIL1553_errors_echo_back_bus_B : IN std_logic ;
      MIL1553_errors_echo_back_bus_A : IN std_logic ;
      MIL1553_errors_bus_B_shutdown : IN std_logic ;
      MIL1553_errors_bus_A_shutdown : IN std_logic ;
      MIL1553_errors_transmitter_timout : IN std_logic ;
      Message_ended_OK : IN std_logic ;
      Message_ended_not_OK : IN std_logic ;
      Monitor_Active_command : IN std_logic_vector (15 DOWNTO 0) ;
      Monitor_Ended_not_OK : IN std_logic ;
      Monitor_MIL1553_errors_Inhibit_TF : IN std_logic ;
      Monitor_MIL1553_errors_invalid_command : IN std_logic ;
      Monitor_MIL1553_errors_RT2RT_format_gap : IN std_logic ;
      Monitor_MIL1553_errors_RT2RT_format_error : IN std_logic ;
      Monitor_MIL1553_errors_Invalid_word : IN std_logic ;
      Monitor_MIL1553_errors_Parity_Manchester : IN std_logic ;
      Monitor_MIL1553_errors_incorrect_data_sync : IN std_logic ;
      Monitor_MIL1553_errors_Low_word_count : IN std_logic ;
      Monitor_MIL1553_errors_high_word_count : IN std_logic ;
      Monitor_MIL1553_errors_Format_error : IN std_logic ;
      Monitor_MIL1553_errors_Message_Error_set : IN std_logic ;
      Monitor_MIL1553_errors_Address_Parity : IN std_logic ;
      Monitor_MIL1553_errors_echo_back_bus_B : IN std_logic ;
      Monitor_MIL1553_errors_echo_back_bus_A : IN std_logic ;
      Monitor_MIL1553_errors_bus_B_shutdown : IN std_logic ;
      Monitor_MIL1553_errors_bus_A_shutdown : IN std_logic ;
      Monitor_MIL1553_errors_transmitter_timout : IN std_logic ;
      Monitor_RT2RT_Message : IN std_logic ;
      Monitor_bus_a : IN std_logic ;
      Monitor_ended_OK : IN std_logic ;
      Monitor_new_command : IN std_logic ;
      Monitor_write : IN std_logic ;
      Monitor_write_data : IN std_logic_vector (15 DOWNTO 0) ;
      New_command : IN std_logic ;
      RT2RT_Message : IN std_logic ;
      RTAD : IN std_logic_vector (4 DOWNTO 0) ;
      RTADP : IN std_logic ;
      RTAD_SW_EN : IN std_logic ;
      RT_ADR_LAT : IN std_logic ;
      Raw_resetN : IN std_logic ;
      Read : IN std_logic ;
      Set_SSFLAG : IN std_logic ;
      Strobe_TT : IN std_logic ;
      Tag_CLK : IN std_logic ;
      Tails_data_out_wide : IN std_logic_vector (31 DOWNTO 0) ;
      Tx_InhB : IN std_logic ;
      Tx_inhA : IN std_logic ;
      WM_Descriptor : IN std_logic_vector (15 DOWNTO 0) ;
      WM_Req : IN std_logic ;
      WM_Word : IN std_logic_vector (15 DOWNTO 0) ;
      Write : IN std_logic ;
      bus_A : IN std_logic ;
      clock : IN std_logic ;
      last_command : IN std_logic_vector (15 DOWNTO 0) ;
      pTDR_INT : IN std_logic ;
      ADDr_i_A : OUT std_logic_vector (15 DOWNTO 0) ;
      BC_FE_ResetN : OUT std_logic ;
      BC_RT2RT : OUT std_logic ;
      BC_Test : OUT std_logic ;
      BIT_Word : OUT std_logic_vector (15 DOWNTO 0) ;
      CPU_Data_out_wide : OUT std_logic_vector (31 DOWNTO 0) ;
      Data_i_A : OUT std_logic_vector (15 DOWNTO 0) ;
      ENC_TEST_GO : OUT std_logic ;
      ENC_TEST_on : OUT std_logic ;
      INTn : OUT std_logic ;
      IP_Freq_sel : OUT std_logic_vector (1 DOWNTO 0) ;
      No_Response_timeout : OUT std_logic_vector (2 DOWNTO 0) ;
      RE_A : OUT std_logic ;
      TT_Load : OUT std_logic ;
      Tails_WE_vec : OUT std_logic_vector (1 DOWNTO 0) ;
      WE_A : OUT std_logic ;
      debug : OUT std_logic_vector (15 DOWNTO 0) ;
      mem_WE_vec : OUT std_logic_vector (1 DOWNTO 0) ;
      n16Mhz_12 : OUT std_logic ;
      one_micro_increment : OUT std_logic ;
      pTDR_CS : OUT std_logic ;
      record_message_A : OUT std_logic ;
      record_message_B : OUT std_logic ;
      BC_1553A : OUT std_logic ;
      BC_BUS_A : OUT std_logic ;
      BC_Go : OUT std_logic ;
      BC_TX_Data : OUT std_logic_vector (15 DOWNTO 0) ;
      BC_on : OUT std_logic ;
      Config_reg_4 : OUT std_logic_vector (15 DOWNTO 0) ;
      Data_to_FE : OUT std_logic_vector (15 DOWNTO 0) ;
      Do_illegal : OUT std_logic ;
      MODE_CODE1553A : OUT std_logic ;
      NO_BCST : OUT std_logic ;
      RT_Address : OUT std_logic_vector (5 DOWNTO 0) ;
      RT_On : OUT std_logic ;
      ResetN : OUT std_logic ;
      WM_Ack : OUT std_logic ;
      WM_Started : OUT std_logic ;
      host_status_bits : OUT std_logic_vector (10 DOWNTO 0) ;
      illegal_message : OUT std_logic ;
      time_tag : OUT std_logic_vector (15 DOWNTO 0)) ;
end DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1 ;

architecture Sital_Ofer_hofman_unfold_3298 of 
   DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1 is 
   component RAM2_5_16_1
      port (
         D : IN std_logic_vector (15 DOWNTO 0) ;
         A : IN std_logic_vector (4 DOWNTO 0) ;
         WE : IN std_logic ;
         Q : OUT std_logic_vector (15 DOWNTO 0) ;
         Clock : IN std_logic) ;
   end component ;
   component select_3_3
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         b : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_4_4
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_5_5
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         b : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component mux_16u_16u
      port (
         a : IN std_logic_vector (15 DOWNTO 0) ;
         b : IN std_logic_vector (15 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component dec_16u_16u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (15 DOWNTO 0) ;
         d : OUT std_logic_vector (15 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component or_11u_11u
      port (
         a : IN std_logic_vector (10 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_6u_6u
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_13u_13u
      port (
         a : IN std_logic_vector (12 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_8u_8u
      port (
         a : IN std_logic_vector (7 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_18u_18u
      port (
         a : IN std_logic_vector (17 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_12u_12u
      port (
         a : IN std_logic_vector (11 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_15u_15u
      port (
         a : IN std_logic_vector (14 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_17u_17u
      port (
         a : IN std_logic_vector (16 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_10u_10u
      port (
         a : IN std_logic_vector (9 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_25u_25u
      port (
         a : IN std_logic_vector (24 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component inc_16u_16u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (15 DOWNTO 0) ;
         d : OUT std_logic_vector (15 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component addsub_16u_16u_16u_0
      port (
         mode : IN std_logic ;
         cin : IN std_logic ;
         a : IN std_logic_vector (15 DOWNTO 0) ;
         b : IN std_logic_vector (15 DOWNTO 0) ;
         d : OUT std_logic_vector (15 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component and_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component gt_16u_16u
      port (
         a : IN std_logic_vector (15 DOWNTO 0) ;
         b : IN std_logic_vector (15 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component inc_6u_6u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component select_16_16
      port (
         a : IN std_logic_vector (15 DOWNTO 0) ;
         b : IN std_logic_vector (15 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_12_12
      port (
         a : IN std_logic_vector (11 DOWNTO 0) ;
         b : IN std_logic_vector (11 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_13_13
      port (
         a : IN std_logic_vector (12 DOWNTO 0) ;
         b : IN std_logic_vector (12 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_14_14
      port (
         a : IN std_logic_vector (13 DOWNTO 0) ;
         b : IN std_logic_vector (13 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_15_15
      port (
         a : IN std_logic_vector (14 DOWNTO 0) ;
         b : IN std_logic_vector (14 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component mux_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_6_6
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         b : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_7_7
      port (
         a : IN std_logic_vector (6 DOWNTO 0) ;
         b : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_9_9
      port (
         a : IN std_logic_vector (8 DOWNTO 0) ;
         b : IN std_logic_vector (8 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_10_10
      port (
         a : IN std_logic_vector (9 DOWNTO 0) ;
         b : IN std_logic_vector (9 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_11_11
      port (
         a : IN std_logic_vector (10 DOWNTO 0) ;
         b : IN std_logic_vector (10 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component mux_8u_8u
      port (
         a : IN std_logic_vector (7 DOWNTO 0) ;
         b : IN std_logic_vector (7 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_9u_9u
      port (
         a : IN std_logic_vector (8 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_7u_7u
      port (
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_7u_7u
      port (
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_44u_44u
      port (
         a : IN std_logic_vector (43 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_6u_6u
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_16u_16u
      port (
         a : IN std_logic_vector (15 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_12u_12u
      port (
         a : IN std_logic_vector (11 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_9u_9u
      port (
         a : IN std_logic_vector (8 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_11u_11u
      port (
         a : IN std_logic_vector (10 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component inc_12u_12u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (11 DOWNTO 0) ;
         d : OUT std_logic_vector (11 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component inc_5u_5u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic_vector (4 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component or_14u_14u
      port (
         a : IN std_logic_vector (13 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_5
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (4 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (4 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_up_cnt_en_sclear_aclear_clock_clk_en_0_7
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (6 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (6 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_dn_sload_aclear_clock_clk_en_0_6
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (5 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (5 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_dn_cnt_en_sload_sclear_aclear_clock_clk_en_0_16
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (15 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (15 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_dn_sload_aclear_clock_clk_en_0_12
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (11 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (11 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_up_sclear_aclear_clock_clk_en_0_6
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (5 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (5 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component inc_15u_15u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (14 DOWNTO 0) ;
         d : OUT std_logic_vector (14 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component inc_14u_14u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (13 DOWNTO 0) ;
         d : OUT std_logic_vector (13 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component eq_16u_16u
      port (
         a : IN std_logic_vector (15 DOWNTO 0) ;
         b : IN std_logic_vector (15 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component eq_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         b : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   procedure DFFPC (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           q <= data and data ;    -- takes care of q<='X' if data='Z'
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPC ;
   procedure DFFRSE (
      constant data   : in std_logic;
      constant set    : in std_logic;
      constant reset  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (clk'event and clk'last_value = '0' and clk = '1') then
           if (reset = '1') then
               q <= '0' ;
           elsif (set = '1') then
               q <= '1' ;
           elsif (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((set/='1' or reset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFRSE ;
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component and_3u_3u
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_3u_3u
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_2_2
      port (
         a : IN std_logic_vector (1 DOWNTO 0) ;
         b : IN std_logic_vector (1 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component counter_updn_cnt_en_sload_aclear_clock_clk_en_0_16
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (15 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (15 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_up_sload_aclear_clock_clk_en_1_15
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (15 DOWNTO 1) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (15 DOWNTO 1) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component 
      rom_new_0_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman_unfold_3298
      port (
         rd_data1 : OUT std_logic_vector (3 DOWNTO 0) ;
         addr1 : IN std_logic_vector (6 DOWNTO 0) ;
         rd_clk1 : IN std_logic ;
         rd_ena1 : IN std_logic ;
         regce1 : IN std_logic ;
         rst1 : IN std_logic) ;
   end component ;
   component 
      rom_new_1_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman_unfold_3298
      port (
         rd_data1 : OUT std_logic_vector (6 DOWNTO 0) ;
         addr1 : IN std_logic_vector (4 DOWNTO 0) ;
         rd_clk1 : IN std_logic ;
         rd_ena1 : IN std_logic ;
         regce1 : IN std_logic ;
         rst1 : IN std_logic) ;
   end component ;
   component 
      rom_new_2_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman_unfold_3298
      port (
         rd_data1 : OUT std_logic_vector (6 DOWNTO 0) ;
         addr1 : IN std_logic_vector (4 DOWNTO 0) ;
         rd_clk1 : IN std_logic ;
         rd_ena1 : IN std_logic ;
         regce1 : IN std_logic ;
         rst1 : IN std_logic) ;
   end component ;
   component and_8u_8u
      port (
         a : IN std_logic_vector (7 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_17u_17u
      port (
         a : IN std_logic_vector (16 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_28u_28u
      port (
         a : IN std_logic_vector (27 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_13u_13u
      port (
         a : IN std_logic_vector (12 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component selcounter_9_9_9_0_1_up
      port (
         cin : IN std_logic ;
         mode : IN std_logic ;
         updn : IN std_logic ;
         a : IN std_logic_vector (8 DOWNTO 0) ;
         k : IN std_logic_vector (8 DOWNTO 0) ;
         d : OUT std_logic_vector (8 DOWNTO 0)) ;
   end component ;
   for modgen_counter_INTn_count : 
   counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_5 use entity work.
   counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_5(INTERFACE_unfold_1
   );
   for modgen_counter_Timeout_counter : 
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_7 use entity work.
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_7(INTERFACE_unfold_1);
   
   for modgen_counter_Micro_second_counter : 
   counter_dn_sload_aclear_clock_clk_en_0_6 use entity work.
   counter_dn_sload_aclear_clock_clk_en_0_6(INTERFACE_unfold_2);
   for modgen_counter_BC_GAP_to_next_msg_counter : 
   counter_dn_cnt_en_sload_sclear_aclear_clock_clk_en_0_16 use entity work.
   counter_dn_cnt_en_sload_sclear_aclear_clock_clk_en_0_16(
   INTERFACE_unfold_1);
   for modgen_counter_BC_frame_GAP_counter : 
   counter_dn_cnt_en_sload_sclear_aclear_clock_clk_en_0_16 use entity work.
   counter_dn_cnt_en_sload_sclear_aclear_clock_clk_en_0_16(INTERFACE);
   for modgen_counter_count_1us : counter_up_sclear_aclear_clock_clk_en_0_6
    use entity work.counter_up_sclear_aclear_clock_clk_en_0_6(
   INTERFACE_unfold_1);
   signal BC_RT2RT_EXMPLR797, BC_Test_EXMPLR798: std_logic ;
   
   signal IP_Freq_sel_EXMPLR1009: std_logic_vector (1 DOWNTO 0) ;
   
   signal n16Mhz_12_EXMPLR875, BC_1553A_EXMPLR879, BC_BUS_A_EXMPLR880, 
      BC_Go_EXMPLR881, BC_TX_Data_10_EXMPLR887, BC_TX_Data_9_EXMPLR888, 
      BC_TX_Data_8_EXMPLR889, BC_TX_Data_7_EXMPLR890, BC_TX_Data_6_EXMPLR891, 
      BC_TX_Data_5_EXMPLR892, BC_TX_Data_4_EXMPLR893, BC_TX_Data_3_EXMPLR894, 
      BC_TX_Data_2_EXMPLR895, BC_TX_Data_1_EXMPLR896, BC_TX_Data_0_EXMPLR897, 
      BC_on_EXMPLR898: std_logic ;
   
   signal Config_reg_4_EXMPLR1013: std_logic_vector (15 DOWNTO 0) ;
   
   signal Data_to_FE_EXMPLR1014: std_logic_vector (15 DOWNTO 0) ;
   
   signal Do_illegal_EXMPLR931, MODE_CODE1553A_EXMPLR932: std_logic ;
   
   signal RT_Address_EXMPLR1015: std_logic_vector (5 DOWNTO 0) ;
   
   signal RT_On_EXMPLR939, ResetN_EXMPLR940, WM_Ack_EXMPLR941, 
      WM_Started_EXMPLR942, host_status_bits_3_EXMPLR950, 
      illegal_message_EXMPLR954: std_logic ;
   
   signal time_tag_EXMPLR1017: std_logic_vector (15 DOWNTO 0) ;
   
   signal Arbiter_timeout, BCR, BC_Control_word_15, BC_Control_word_14, 
      BC_Control_word_13, BC_Control_word_12, BC_Control_word_11, 
      BC_Control_word_10, BC_Control_word_9, BC_Control_word_8, 
      BC_Control_word_7: std_logic ;
   
   signal debug_EXMPLR1018: std_logic_vector (15 DOWNTO 15) ;
   
   signal BC_Control_word_5, BC_Control_word_4, BC_Control_word_2, 
      BC_Control_word_1, BC_EOF, BC_EOM: std_logic ;
   
   signal BC_Echo_word: std_logic_vector (15 DOWNTO 0) ;
   
   signal BC_First_write, BC_Frame_active_part: std_logic ;
   
   signal BC_GAP_to_next_msg_counter: std_logic_vector (15 DOWNTO 0) ;
   
   signal BC_IDLE, BC_Load_frame_gap_counter, BC_Load_msg_gap_counter: 
   std_logic ;
   
   signal BC_Num_Msgs: std_logic_vector (15 DOWNTO 0) ;
   
   signal BC_OFF: std_logic ;
   
   signal BC_Ram_Address: std_logic_vector (15 DOWNTO 0) ;
   
   signal BC_Ram_RE, BC_Ram_WE: std_logic ;
   
   signal BC_Ram_data: std_logic_vector (15 DOWNTO 0) ;
   
   signal BC_Retry_pulse, BC_SP, BC_SP_D, BC_START, BC_STS_Word_12_d: 
   std_logic ;
   
   signal BC_Stack_pointer: std_logic_vector (15 DOWNTO 0) ;
   
   signal BC_Started, BC_Stop_EOF, BC_Stop_EOM: std_logic ;
   
   signal BC_Sts_Word: std_logic_vector (13 DOWNTO 0) ;
   
   signal BC_frame_GAP_counter: std_logic_vector (15 DOWNTO 0) ;
   
   signal BC_msg_pointer: std_logic_vector (15 DOWNTO 0) ;
   
   signal BC_reported_errors: std_logic ;
   
   signal BC_word_number: std_logic_vector (1 DOWNTO 0) ;
   
   signal BIT_Test_complete, Clean_ISR1_by_write, Clean_ISR2_by_write, 
      Clean_status2_bits, Clean_status_bits, Clear_Intn_level, 
      Clear_Stop_EOF, Clear_Stop_EOM, Clear_Test_Status_reg: std_logic ;
   
   signal Config_reg_1: std_logic_vector (15 DOWNTO 0) ;
   
   signal Config_reg_2: std_logic_vector (15 DOWNTO 0) ;
   
   signal Config_reg_3_15, Config_reg_3_14, Config_reg_3_13, Config_reg_3_12, 
      Config_reg_3_11, Config_reg_3_10, Config_reg_3_9, Config_reg_3_8, 
      Config_reg_3_7, Config_reg_3_6, Config_reg_3_5, Config_reg_3_4, 
      Config_reg_3_3, Config_reg_3_2, Config_reg_3_0: std_logic ;
   
   signal Config_reg_5: std_logic_vector (14 DOWNTO 0) ;
   
   signal Config_reg_6_15, Config_reg_6_14, Config_reg_6_13, Config_reg_6_12, 
      Config_reg_6_11, Config_reg_6_10, Config_reg_6_9, Config_reg_6_8, 
      Config_reg_6_7, Config_reg_6_6, Config_reg_6_5, Config_reg_6_4, 
      Config_reg_6_3, Config_reg_6_2: std_logic ;
   
   signal Counter_100us: std_logic_vector (11 DOWNTO 0) ;
   
   signal Current_Area_B, Current_command_is_sync_with_data, 
      Current_command_is_sync_without_data: std_logic ;
   
   signal Data_Pointer_register: std_logic_vector (15 DOWNTO 0) ;
   
   signal Data_Rollover, Do_Protocol_test, Do_RAM_test: std_logic ;
   
   signal Dummy_register_0x4: std_logic_vector (15 DOWNTO 0) ;
   
   signal EOM_phase_go, EOM_req, Enhanced_status_set_dt, Ext_Trigger_D, 
      Ext_Trigger_DD, Ext_Trigger_Dx, First_After_Reset, First_time: 
   std_logic ;
   
   signal Frame_length_reg_0xD: std_logic_vector (15 DOWNTO 0) ;
   
   signal GMM: std_logic_vector (2 DOWNTO 0) ;
   
   signal HW_ResetN: std_logic ;
   
   signal INTn_count: std_logic_vector (4 DOWNTO 0) ;
   
   signal INTn_level, INTn_level_D, INTn_pulse, ISR1_during_clear_13, 
      ISR1_during_clear_12, ISR1_during_clear_11, ISR1_during_clear_10, 
      ISR1_during_clear_8, ISR1_during_clear_6, ISR1_during_clear_5, 
      ISR1_during_clear_4, ISR1_during_clear_3, ISR1_during_clear_2, 
      ISR1_during_clear_1, ISR1_during_clear_0, ISR2_during_clear_14, 
      ISR2_during_clear_12, ISR2_during_clear_11, ISR2_during_clear_10, 
      ISR2_during_clear_7, ISR2_during_clear_6, ISR2_during_clear_5, 
      ISR2_during_clear_4, ISR2_during_clear_3, ISR2_during_clear_1, 
      Int1_Chain, Internal_BIT_Word_15, Internal_BIT_Word_14, 
      Internal_BIT_Word_13, Internal_BIT_Word_11, Internal_BIT_Word_10, 
      Internal_BIT_Word_9: std_logic ;
   
   signal Interrupt_mask_register_1: std_logic_vector (15 DOWNTO 0) ;
   
   signal Interrupt_mask_register_2: std_logic_vector (15 DOWNTO 0) ;
   
   signal Interrupt_status_register_1: std_logic_vector (13 DOWNTO 0) ;
   
   signal Interrupt_status_register_2_15, Interrupt_status_register_2_14, 
      Interrupt_status_register_2_12, Interrupt_status_register_2_11, 
      Interrupt_status_register_2_10, Interrupt_status_register_2_7, 
      Interrupt_status_register_2_6, Interrupt_status_register_2_5, 
      Interrupt_status_register_2_4, Interrupt_status_register_2_3, 
      Interrupt_status_register_2_2, Interrupt_status_register_2_1, 
      Interrupt_status_register_2_0, Ksts: std_logic ;
   
   signal LIFO_Pointer: std_logic_vector (4 DOWNTO 0) ;
   
   signal LUT_Control: std_logic_vector (15 DOWNTO 0) ;
   
   signal Latched_Monitor_data_stack_rollover, Latched_Monitor_ended_OK: 
   std_logic ;
   
   signal Latched_TT: std_logic_vector (15 DOWNTO 0) ;
   
   signal MM: std_logic_vector (2 DOWNTO 0) ;
   
   signal MM_Error_detected, MON_EOM_phase_go, MON_EOM_req, MON_SOM_phase_go, 
      MON_SOM_req, MON_WR_req, MON_phase_go, MT_On, MT_On_Async, M_W, 
      Message_failed: std_logic ;
   
   signal Micro_second_counter: std_logic_vector (5 DOWNTO 0) ;
   
   signal Monitor_command_is_sync_with_data, 
      Monitor_command_is_sync_without_data, Monitor_command_stack_half_pass, 
      Monitor_command_stack_rollover, Monitor_data_stack_half_pass, 
      Monitor_data_stack_rollover, NO, New_command_record, Non_masked_Event, 
      Non_masked_Event_D, Once, PrimeCheck, RETRY_ON_1553A: std_logic ;
   
   signal Ram_Address: std_logic_vector (15 DOWNTO 0) ;
   
   signal Ram_RE, Ram_WE: std_logic ;
   
   signal Ram_data_i: std_logic_vector (15 DOWNTO 0) ;
   
   signal ReTry_count: std_logic_vector (1 DOWNTO 0) ;
   
   signal Read_from_int_vec, Read_from_int_vec2, Record_enable, 
      Rollover_Int_Enable, SOM_phase_go, SOM_req, STM_ended, SW_Reset: 
   std_logic ;
   
   signal Strobe_TT_D: std_logic_vector (1 DOWNTO 0) ;
   
   signal Sync_with_Data, Tag_CLK_D, Tag_CLK_DD, Test_Status_reg_15, 
      Test_Status_reg_14, Test_Status_reg_11, Test_Status_reg_7, 
      Test_Status_reg_6: std_logic ;
   
   signal Timeout_counter: std_logic_vector (6 DOWNTO 0) ;
   
   signal Tx_Timeout_D: std_logic ;
   
   signal VARAM_ADD: std_logic_vector (4 DOWNTO 0) ;
   
   signal VARAM_D: std_logic_vector (15 DOWNTO 0) ;
   
   signal VARAM_Q: std_logic_vector (15 DOWNTO 0) ;
   
   signal VARAM_WE, WM_On: std_logic ;
   
   signal WM_RAM_Address: std_logic_vector (15 DOWNTO 0) ;
   
   signal WM_RAM_WE: std_logic ;
   
   signal WM_RAM_data_i: std_logic_vector (15 DOWNTO 0) ;
   
   signal WM_Ram_RE, WM_Trigger_event, WM_triggered, WRD_req, W_R: std_logic
    ;
   
   signal WhichVAR: std_logic_vector (3 DOWNTO 0) ;
   
   signal Wire_RT_Address: std_logic_vector (5 DOWNTO 0) ;
   
   signal YES, arbiter: std_logic ;
   
   signal count_1us: std_logic_vector (5 DOWNTO 0) ;
   
   signal count_T_RESus: std_logic_vector (5 DOWNTO 0) ;
   
   signal data_pointer: std_logic_vector (15 DOWNTO 0) ;
   
   signal eBC, eBC_Bad_Parity, eBC_Bad_instruction, eBC_CFT_do, eBC_CMT_do, 
      eBC_CMV_do, eBC_Conditions_11, eBC_Conditions_9, eBC_FT_Load: 
   std_logic ;
   
   signal eBC_Frame_length: std_logic_vector (15 DOWNTO 0) ;
   
   signal eBC_GP: std_logic_vector (7 DOWNTO 0) ;
   
   signal eBC_GP_do, eBC_IRQ_do, eBC_Inc_Q_pointer: std_logic ;
   
   signal eBC_Q_pointer: std_logic_vector (15 DOWNTO 0) ;
   
   signal eBC_Stack_error, eBC_TT_do, eBC_Watchdog_enable, eBC_Watchdog_eq0, 
      eBC_start_FT, frame_gap_eq_0, gap_eq_0, illegalization_enable, 
      mode_command: std_logic ;
   
   signal monitor_data_pointer: std_logic_vector (15 DOWNTO 0) ;
   
   signal monitor_pointer_protection_error: std_logic ;
   
   signal monitor_stack_pointer: std_logic_vector (15 DOWNTO 0) ;
   
   signal monitor_stack_pointer_plus4: std_logic_vector (15 DOWNTO 0) ;
   
   signal not_SP, one_micro_increment_wide, phase_go: std_logic ;
   
   signal reg_data_out_wide: std_logic_vector (31 DOWNTO 0) ;
   
   signal stack_pointer: std_logic_vector (15 DOWNTO 0) ;
   
   signal status_set, status_set_dt, status_set_in_frame, test_complete, 
      time_tag15d, time_tag_inc: std_logic ;
   
   signal state: std_logic_vector (8 DOWNTO 0) ;
   
   signal BC_State: std_logic_vector (91 DOWNTO 0) ;
   
   signal MON_Phase: std_logic_vector (1 DOWNTO 0) ;
   
   signal MON_SOM_phase: std_logic_vector (7 DOWNTO 0) ;
   
   signal MON_EOM_phase: std_logic_vector (1 DOWNTO 0) ;
   
   signal Phase: std_logic_vector (1 DOWNTO 0) ;
   
   signal SOM_phase_8, SOM_phase_7, SOM_phase_6, SOM_phase_5, SOM_phase_4, 
      SOM_phase_3, SOM_phase_1, SOM_phase_0: std_logic ;
   
   signal EOM_phase: std_logic_vector (4 DOWNTO 0) ;
   
   signal PWR, eBC_Conditions_9_0n0s3, eBC_Conditions_9_0n0s2, 
      not_Ext_Trigger_DD, Ext_Trigger_Dx_0n0s4, Ext_Trigger_Dx_0n0s6, 
      Ext_Trigger_Dx_0n0s2, not_stack_pointer_7, rtlc0n18, not_WM_Started, 
      not_BC_State_1, rtlc2n30, rtlc2_P5_SS0_n33, not_rtlcn1222, 
      not_SW_Reset, not_MEM_nREG, not_BC_SP, rtlc13n13, rtlc14n16, 
      not_Config_reg_6_5, not_RTAD_SW_EN, rtlc17n20, not_RT_ADR_LAT, 
      rtlc17n22, not_ResetN, monitor_stack_pointer_plus4_26n1ss1_13, 
      monitor_stack_pointer_plus4_26n1ss1_12, 
      monitor_stack_pointer_plus4_26n1ss1_11, 
      monitor_stack_pointer_plus4_26n1ss1_10, 
      monitor_stack_pointer_plus4_26n1ss1_9, 
      monitor_stack_pointer_plus4_26n1ss1_8, Ram_Address_26n4ss1_15, 
      Ram_Address_26n4ss1_14, Ram_Address_26n4ss1_13, Ram_Address_26n4ss1_12, 
      Ram_Address_26n4ss1_11, Ram_Address_26n4ss1_10: std_logic ;
   
   signal Ram_Address_26n25ss1: std_logic_vector (1 DOWNTO 1) ;
   
   signal Ram_Address_26n27ss1: std_logic_vector (1 DOWNTO 1) ;
   
   signal Ram_data_i_26n27ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal STM_ended_26n27ss1: std_logic ;
   
   signal data_pointer_26n43ss1: std_logic_vector (1 DOWNTO 0) ;
   
   signal data_pointer_26n45ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal Ram_Address_26n47ss1_8, Ram_Address_26n47ss1_6, 
      Ram_Address_26n47ss1_5, Ram_Address_26n47ss1_4, Ram_Address_26n47ss1_3, 
      Ram_Address_26n47ss1_2, Ram_Address_26n47ss1_0, Ram_data_i_26n47ss1_15, 
      Ram_data_i_26n47ss1_14, Ram_data_i_26n47ss1_13, Ram_data_i_26n47ss1_11, 
      Ram_data_i_26n47ss1_8, Ram_data_i_26n47ss1_7, Ram_data_i_26n47ss1_6, 
      Ram_data_i_26n47ss1_5, Ram_data_i_26n47ss1_4, Ram_data_i_26n47ss1_3, 
      Ram_data_i_26n47ss1_2, Ram_data_i_26n47ss1_1, Ram_data_i_26n47ss1_0, 
      stack_pointer_26n47ss1_10, stack_pointer_26n47ss1_9, 
      stack_pointer_26n47ss1_8, stack_pointer_26n47ss1_7, 
      stack_pointer_26n47ss1_6, stack_pointer_26n47ss1_5, 
      stack_pointer_26n47ss1_4, stack_pointer_26n47ss1_3, 
      stack_pointer_26n47ss1_2, illegal_message_26n47ss1, 
      Ram_Address_26n49ss1_4, Ram_Address_26n51ss1_8, Ram_Address_26n51ss1_5, 
      Ram_Address_26n51ss1_4, Ram_Address_26n51ss1_3, Ram_Address_26n51ss1_2, 
      Ram_Address_26n51ss1_1, Ram_Address_26n51ss1_0, 
      Ram_Address_26n73ss1_15, Ram_Address_26n73ss1_14, 
      Ram_Address_26n73ss1_13, Ram_Address_26n73ss1_12, 
      Ram_Address_26n73ss1_11, Ram_Address_26n73ss1_10, 
      Ram_Address_26n73ss1_8, Ram_Address_26n73ss1_2, Ram_Address_26n73ss1_1, 
      Ram_Address_26n73ss1_0: std_logic ;
   
   signal Ram_data_i_26n73ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal data_pointer_26n73ss1: std_logic_vector (12 DOWNTO 0) ;
   
   signal Monitor_command_stack_rollover_26n77ss1, 
      Monitor_command_stack_half_pass_26n77ss1, Ram_Address_26n81ss1_2: 
   std_logic ;
   
   signal Ram_Address_26n82ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal Ram_data_i_26n82ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal Monitor_command_stack_rollover_26n82ss1, 
      Monitor_command_stack_half_pass_26n82ss1, 
      Latched_Monitor_MIL1553_errors_26n82ss1_11, 
      Latched_Monitor_MIL1553_errors_26n82ss1_8, 
      Latched_Monitor_MIL1553_errors_26n82ss1_6, 
      Latched_Monitor_MIL1553_errors_26n82ss1_4, 
      Latched_Monitor_MIL1553_errors_26n82ss1_3, 
      Latched_Monitor_MIL1553_errors_26n82ss1_2, 
      Latched_Monitor_MIL1553_errors_26n82ss1_1, 
      Latched_Monitor_data_stack_rollover_26n82ss1, 
      Latched_Monitor_ended_OK_26n82ss1: std_logic ;
   
   signal Ram_Address_26n100ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal Ram_data_i_26n100ss1_15, Ram_data_i_26n100ss1_14, 
      Ram_data_i_26n100ss1_13, Ram_data_i_26n100ss1_12, 
      Ram_data_i_26n100ss1_11, Ram_data_i_26n100ss1_10, 
      Ram_data_i_26n100ss1_9, Ram_data_i_26n100ss1_8, Ram_data_i_26n100ss1_7, 
      Ram_data_i_26n100ss1_5, Ram_data_i_26n100ss1_4, Ram_data_i_26n100ss1_3, 
      Ram_data_i_26n100ss1_2, Ram_data_i_26n100ss1_1, Ram_data_i_26n100ss1_0, 
      record_message_A_26n100ss1, record_message_B_26n100ss1, not_rtlcn11404, 
      Monitor_data_stack_rollover_26n104ss1, 
      Monitor_data_stack_half_pass_26n104ss1: std_logic ;
   
   signal Ram_Address_26n105ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal Ram_data_i_26n105ss1_15, Ram_data_i_26n105ss1_13, 
      Ram_data_i_26n105ss1_12, Ram_data_i_26n105ss1_11, 
      Ram_data_i_26n105ss1_10, Ram_data_i_26n105ss1_9, 
      Ram_data_i_26n105ss1_8, Ram_data_i_26n105ss1_7, Ram_data_i_26n105ss1_6, 
      Ram_data_i_26n105ss1_5, Ram_data_i_26n105ss1_4, Ram_data_i_26n105ss1_3, 
      Ram_data_i_26n105ss1_2, Ram_data_i_26n105ss1_1, Ram_data_i_26n105ss1_0, 
      Ram_WE_26n105ss1: std_logic ;
   
   signal Data_Pointer_register_26n105ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal monitor_data_pointer_26n105ss1: std_logic_vector (14 DOWNTO 0) ;
   
   signal Monitor_data_stack_rollover_26n105ss1, 
      Monitor_data_stack_half_pass_26n105ss1, STM_ended_26n105ss1: std_logic
    ;
   
   signal MM_26n108ss1: std_logic_vector (2 DOWNTO 0) ;
   
   signal MM_26n109ss1: std_logic_vector (2 DOWNTO 0) ;
   
   signal Rollover_Int_Enable_26n111ss1, MM_Error_detected_26n1s1, 
      Latched_Monitor_MIL1553_errors_6_26n1s8, 
      Latched_Monitor_MIL1553_errors_5_26n1s7, 
      Latched_Monitor_MIL1553_errors_5_26n1s6, 
      Latched_Monitor_MIL1553_errors_4_26n1s5, 
      Latched_Monitor_MIL1553_errors_3_26n1s4, 
      Latched_Monitor_MIL1553_errors_2_26n1s3, 
      Latched_Monitor_MIL1553_errors_1_26n1s2, 
      Latched_Monitor_MIL1553_errors_0_26n1s1, 
      Latched_Monitor_data_stack_rollover_26n1s1, 
      Latched_Monitor_ended_OK_26n1s1, monitor_stack_pointer_plus4_26n1s4_13, 
      monitor_stack_pointer_plus4_26n1s4_12, 
      monitor_stack_pointer_plus4_26n1s4_11, 
      monitor_stack_pointer_plus4_26n1s4_10, 
      monitor_stack_pointer_plus4_26n1s4_9, 
      monitor_stack_pointer_plus4_26n1s4_8, 
      monitor_stack_pointer_plus4_26n1s4_7, 
      monitor_stack_pointer_plus4_26n1s4_6, 
      monitor_stack_pointer_plus4_26n1s4_5, 
      monitor_stack_pointer_plus4_26n1s4_4, 
      monitor_stack_pointer_plus4_26n1s4_3, 
      monitor_stack_pointer_plus4_26n1s4_2, rtlc26n6797, rtlc26n6798, 
      Ram_data_i_0_26n2s1, Ram_data_i_1_26n2s3, Ram_data_i_2_26n2s4, 
      Ram_data_i_3_26n2s5, Ram_data_i_4_26n2s6, Ram_data_i_5_26n2s7, 
      Ram_data_i_6_26n2s8: std_logic ;
   
   signal Ram_data_i_26n2s11: std_logic_vector (5 DOWNTO 1) ;
   
   signal Ram_data_i_8_26n2s10, Ram_data_i_9_26n2s12, Ram_data_i_10_26n2s13, 
      Ram_data_i_11_26n2s14, Ram_data_i_12_26n2s15, Ram_data_i_13_26n2s16, 
      Ram_data_i_14_26n2s17: std_logic ;
   
   signal Ram_Address_26n2s1: std_logic_vector (15 DOWNTO 0) ;
   
   signal rtlc26n6970, not_illegal_message, not_EOM_phase_go, not_bus_A, 
      Ram_data_i_8_26n8s3, not_rtlcs94, not_rtlcs93, rtlc26n7231, 
      rtlc26n7237, rtlc26n7238, rtlc26n7239, not_data_pointer_5, 
      not_Config_reg_2_1, rtlc26n7261, rtlc26n7271, rtlc26n7285, rtlc26n7305, 
      rtlc26n7310, rtlc26n7311, rtlc26n7312, rtlc26n7313, 
      not_Message_ended_not_OK, rtlc26n7322, not_SOM_phase_go, not_BCR, 
      illegal_message_26n30s1, rtlc26n7472, rtlc26n7474, rtlc26n7475, 
      not_mode_command, rtlc26n7516, not_Current_command_10, not_rtlcn10597, 
      rtlc26n7553, rtlc26n7554, not_phase_go, rtlc26n7601, rtlc26n7606, 
      rtlc26n7624, rtlc26n7630, rtlc26n7648, rtlc26n7654, rtlc26n7670, 
      rtlc26n7676, rtlc26n7692, rtlc26n7698, not_rtlc26n7692, rtlc26n7714, 
      rtlc26n7720, not_rtlc26n7714, rtlc26n7736, rtlc26n7742, 
      not_rtlc26n7736, rtlc26n7768, rtlc26n7773, not_Address_10, not_Read, 
      rtlc26n7821, rtlc26n7822, rtlc26n7824, rtlc26n7827, rtlc26n7830, 
      rtlc26n7833, rtlc26n7844, rtlc26n7847, rtlc26n7851, rtlc26n7856, 
      rtlc26n7862, rtlc26n7869, rtlc26n7877, rtlc26n7884, rtlc26n7891, 
      rtlc26n7915, rtlc26n7919, rtlc26n7920, rtlc26n7921, rtlc26n7922, 
      rtlc26n7923, rtlc26n7924, rtlc26n7925, rtlc26n7927, rtlc26n7928, 
      rtlc26n7929, not_MON_EOM_phase_go, not_Monitor_bus_a, 
      Ram_data_i_12_26n75s1, Monitor_command_stack_rollover_26n77s1, 
      Monitor_command_stack_half_pass_26n77s1, 
      Monitor_command_stack_rollover_26n77s2, 
      Monitor_command_stack_half_pass_26n77s2, 
      Monitor_command_stack_rollover_26n77s3, 
      Monitor_command_stack_half_pass_26n77s3, 
      Monitor_command_stack_rollover_26n77s4, 
      Monitor_command_stack_half_pass_26n77s4, rtlc26n8081, 
      not_MON_SOM_phase_go, Record_enable_26n84s2, Record_enable_26n84s1, 
      not_Record_enable, rtlc26n8245, rtlc26n8261, rtlc26n8262, rtlc26n8274, 
      rtlc26n8275, rtlc26n8281, rtlc26n8283, rtlc26n8284, rtlc26n8295, 
      rtlc26n8326, rtlc26n8327, rtlc26n8328, 
      not_monitor_pointer_protection_error, rtlc26n8349, 
      Monitor_data_stack_rollover_26n104s1, 
      Monitor_data_stack_half_pass_26n104s1, 
      Monitor_data_stack_rollover_26n104s2, 
      Monitor_data_stack_half_pass_26n104s2, 
      Monitor_data_stack_rollover_26n104s3, 
      Monitor_data_stack_half_pass_26n104s3, 
      Monitor_data_stack_rollover_26n104s4, 
      Monitor_data_stack_half_pass_26n104s4, 
      Monitor_data_stack_rollover_26n104s5, 
      Monitor_data_stack_half_pass_26n104s5, 
      Monitor_data_stack_rollover_26n104s6, 
      Monitor_data_stack_half_pass_26n104s6, rtlc26_PS488_n8476, 
      Monitor_data_stack_rollover_26n104s7, 
      Monitor_data_stack_half_pass_26n104s7, rtlc26n8589, not_rtlc26n6970, 
      rtlc26n9509, rtlc26n9511, rtlc26n9513, not_rtlc26n9513, rtlc26n9531, 
      rtlc26n9547, not_rtlc26n9547, rtlc26n9588, rtlc26n9590, rtlc26n9674, 
      rtlc26n9703, rtlc26n9753, rtlc26n9764, rtlc26n9769, rtlc26n9771, 
      rtlc26n9795, rtlc26n9797, rtlc26n9860, rtlc26n9862, rtlc26n9863, 
      rtlc26n9865, rtlc26n9884, rtlc26n9931, rtlc26n9934, rtlc26n9937, 
      rtlc26n9959, rtlc26n9975, rtlc26n9984, rtlc26n9985, rtlc26n9986, 
      rtlc26n9987, rtlc26n9992, rtlc26n10008, rtlc26n10015, rtlc26n10016, 
      rtlc26n10017, rtlc26n10018, rtlc26n10019, rtlc26n10020, rtlc26n10021, 
      rtlc26n10024, rtlc26n10028, rtlc26n10044, rtlc26n10045, rtlc26n10046, 
      rtlc26n10047, rtlc26n10063, rtlc26n10088, rtlc26n10089, rtlc26n10090, 
      rtlc26n10091, rtlc26n10092, rtlc26n10093, rtlc26n10094, rtlc26n10095, 
      rtlc26n10096, rtlc26n10097, rtlc26n10113, rtlc26n10169, rtlc26n10170, 
      rtlc26n10171, rtlc26n10173, rtlc26n10181, rtlc26n10183, rtlc26n10185, 
      rtlc26n10194, rtlc26n10199, not_rtlc26n9771, not_rtlcs54, 
      not_rtlc26n9863, not_SOM_phase_1, rtlc26n10706, not_rtlcn1217, 
      rtlc26n10771, not_rtlcn1219, BC_Num_Msgs_30n12ss1_10, 
      BC_Num_Msgs_30n12ss1_9, BC_Num_Msgs_30n12ss1_8, 
      BC_State_fsm_30n69ss1_70, BC_State_fsm_30n69ss1_63, 
      BC_State_fsm_30n69ss1_61, BC_State_fsm_30n69ss1_34, 
      BC_State_fsm_30n116ss1_54, BC_State_fsm_30n116ss1_52, 
      BC_BUS_A_30n180ss1, BC_EOM_30n180ss1: std_logic ;
   
   signal BC_Echo_word_30n180ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal BC_Go_30n180ss1, BC_Load_msg_gap_counter_30n180ss1: std_logic ;
   
   signal BC_Ram_Address_30n180ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal BC_Ram_data_30n180ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal BC_Stack_pointer_30n180ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal BC_TX_Data_30n180ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal BC_msg_pointer_30n180ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal BC_word_number_30n180ss1: std_logic_vector (1 DOWNTO 0) ;
   
   signal ReTry_count_30n180ss1: std_logic_vector (1 DOWNTO 0) ;
   
   signal VARAM_ADD_30n180ss1: std_logic_vector (4 DOWNTO 0) ;
   
   signal VARAM_D_30n180ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal VARAM_WE_30n180ss1, eBC_Bad_Parity_30n180ss1, eBC_CMV_do_30n180ss1, 
      eBC_FT_Load_30n180ss1, eBC_GP_do_30n180ss1, eBC_IRQ_do_30n180ss1, 
      eBC_Inc_Q_pointer_30n180ss1, eBC_TT_do_30n180ss1, 
      eBC_start_FT_30n180ss1, BC_State_fsm_30n180ss1_54, 
      BC_State_fsm_30n180ss1_20, BC_State_fsm_30n182ss1_77, 
      BC_State_fsm_30n182ss1_70, BC_State_fsm_30n182ss1_66, 
      BC_State_fsm_30n182ss1_63, BC_State_fsm_30n182ss1_61, 
      BC_State_fsm_30n182ss1_55, BC_State_fsm_30n182ss1_54, 
      BC_State_fsm_30n182ss1_53, BC_State_fsm_30n182ss1_52, 
      BC_State_fsm_30n182ss1_51, BC_State_fsm_30n182ss1_40, 
      BC_State_fsm_30n182ss1_34, BC_State_fsm_30n182ss1_29, 
      BC_State_fsm_30n182ss1_22, BC_State_fsm_30n182ss1_21, 
      BC_State_fsm_30n182ss1_20, BC_State_fsm_30n182ss1_12, 
      not_Config_reg_6_15, not_BC_OFF, rtlc30n12411, rtlc30n12420, 
      rtlc30n12433, rtlc30n12453, not_rtlc30n12453, rtlc30n12456: std_logic
    ;
   
   signal BC_Num_Msgs_30n12s1: std_logic_vector (10 DOWNTO 0) ;
   
   signal BC_Ram_data_30n15s1: std_logic_vector (15 DOWNTO 0) ;
   
   signal not_BC_Echo, rtlc30n12605, rtlc30n12606: std_logic ;
   
   signal BC_Ram_data_30n30s4: std_logic_vector (8 DOWNTO 0) ;
   
   signal BC_msg_pointer_30n43s1_15, BC_msg_pointer_30n43s1_14, 
      BC_msg_pointer_30n43s1_13, BC_msg_pointer_30n43s1_12, 
      BC_msg_pointer_30n43s1_11, BC_msg_pointer_30n43s1_10, 
      BC_msg_pointer_30n43s1_9, rtlc30n12831, not_BC_Control_word_7, 
      rtlc30_PS144_n12960, not_ReTry_count_1, not_Config_reg_1_5, 
      not_rtlcn1211, rtlc30n12997, rtlc30n13006, rtlc30n13010, rtlc30n13011, 
      rtlc30n13029, rtlc30n13033, rtlc30n13136, rtlc30n13143, rtlc30n13186, 
      rtlc30n13215, rtlc30n13216, rtlc30n13221, rtlc30n13223, rtlc30n13224, 
      rtlc30n13226, rtlc30n13228, rtlc30n13287, rtlc30n13362, rtlc30n13363, 
      rtlc30n13376, rtlc30n13385, rtlc30n13420, not_BC_Message_Active, 
      not_rtlc30n13609, rtlc30n13609, not_Config_reg_1_4, 
      not_BC_Control_word_8, rtlc30n13630, rtlc30n13638, not_Config_reg_1_3, 
      rtlc30n13648, rtlc30n13649, not_rtlc30n13649, rtlc30n13666, 
      rtlc30n13667, rtlc30n13668, rtlc30n13669, rtlc30n13670, 
      not_BC_msg_pointer_4, not_LIFO_Pointer_4, not_BC_Echo_word_10, 
      rtlc30n13804: std_logic ;
   
   signal LIFO_Pointer_30n126s1: std_logic_vector (4 DOWNTO 0) ;
   
   signal not_rtlc30n13804, not_BC_Echo_word_13, not_BC_Echo_word_14, 
      rtlc30n13911, rtlc30n14005, not_BC_Echo_word_11, rtlc30n14098, 
      eBC_Bad_Parity_30n180s2, not_eBC_Bad_Parity_30n180s2, rtlc30n14253, 
      not_rtlcs144, rtlc30n14288, BC_Stack_pointer_30n167s1_15, 
      BC_Stack_pointer_30n167s1_14, BC_Stack_pointer_30n167s1_13, 
      BC_Stack_pointer_30n167s1_12, BC_Stack_pointer_30n167s1_11, 
      BC_Stack_pointer_30n167s1_10, BC_Stack_pointer_30n167s1_9, 
      rtlc30n14347, VARAM_D_30n172s1_15, VARAM_D_30n172s1_14, 
      VARAM_D_30n172s1_13, VARAM_D_30n172s1_12, VARAM_D_30n172s1_11, 
      VARAM_D_30n172s1_10, VARAM_D_30n172s1_9, VARAM_D_30n172s1_8, 
      VARAM_D_30n172s1_7, VARAM_D_30n172s1_6, VARAM_D_30n172s1_5, 
      rtlc30n14472, rtlc30n14476, rtlc30n14477, rtlc30n14479, rtlc30n14518, 
      rtlc30n14547, rtlc30n14550, rtlc30n14564, not_Config_reg_3_15, 
      rtlc30n14569, rtlc30n14571, rtlc30n14572: std_logic ;
   
   signal BC_Stack_pointer_30n31s1: std_logic_vector (5 DOWNTO 0) ;
   
   signal BC_Stack_pointer_30n31s2_6, BC_Stack_pointer_30n31s3_7, 
      BC_Stack_pointer_30n31s4_8, rtlc30n14720, rtlc30n14724, rtlc30n14725, 
      rtlc30n14727, rtlc30n14728, not_rtlcs344, rtlc30n14905, 
      not_rtlc30n14905, rtlc30n14907, rtlc30n14908, not_Data_o_temp_12, 
      not_Data_o_temp_14, rtlc30_PS697_n14986, not_Data_o_temp_13, 
      rtlc30_PS698_n14994, rtlc30n15003, rtlc30n15051, rtlc30n15055, 
      rtlc30n15102, not_BC_reported_errors, rtlc30n15160, rtlc30n15170, 
      not_eBC, rtlc30n15172, rtlc30n15192, rtlc30n15216, VARAM_WE_30n125s2, 
      rtlc30n15255, eBC_FT_Load_30n148s1, rtlc30n15353, rtlc30n15465, 
      rtlc30n15481, rtlc30n15787, rtlc30n15899, rtlc30n15921, rtlc30n15978, 
      not_rtlc30n15978, rtlc30n15982, not_rtlc30n16767, rtlc30n16072, 
      rtlc30n16096, rtlc30n16103, rtlc30n16106, rtlc30n16113, rtlc30n16114, 
      rtlc30n16115, rtlc30n16122, rtlc30n16123, rtlc30n16130, rtlc30n16132, 
      rtlc30n16184, not_rtlc30n16184, rtlc30n16187, rtlc30n16188, 
      rtlc30n16189, rtlc30n16190, rtlc30n16289, rtlc30n16305, rtlc30n16307, 
      rtlc30n16336, rtlc30n16338, rtlc30n16340, not_rtlc30n17321, 
      rtlc30n16346, rtlc30n16359, rtlc30n16365, rtlc30n16767, rtlc30n16897, 
      rtlc30n16913, rtlc30n16931, rtlc30n16933, rtlc30n16934, rtlc30n16954, 
      rtlc30n16970, rtlc30n16997, rtlc30n16998, rtlc30n16999, rtlc30n17000, 
      rtlc30n17005, rtlc30n17022, rtlc30n17038, rtlc30n17041, rtlc30n17050, 
      rtlc30n17051, rtlc30n17053, rtlc30n17054, rtlc30n17059, rtlc30n17075, 
      rtlc30n17081, rtlc30n17094, rtlc30n17267, rtlc30n17270, rtlc30n17273, 
      rtlc30n17277, not_rtlc30n17277, rtlc30n17281, rtlc30n17284, 
      rtlc30n17298, rtlc30n17301, rtlc30n17304, rtlc30n17307, 
      not_rtlc30n17307, rtlc30n17315, rtlc30n17318, rtlc30n17321, 
      rtlc30n17325, rtlc30n18647, not_rtlc30n18647, rtlc30n18651, 
      rtlc30n18654, rtlc30n18656, rtlc30n18805, rtlc30n18806, rtlc30n18993, 
      rtlc30n19450, rtlc30n19493, Non_masked_Event_D_33n1ss1, rtlc33n261, 
      rtlc33n262, rtlc33n292, rtlc33n298, rtlc33n304, rtlc33n310, rtlc33n316, 
      rtlc33n322, rtlc33n328, rtlc33n334, rtlc33n340, rtlc33n346, rtlc33n352, 
      rtlc33n358, rtlc33n364, rtlc33n370, rtlc33n371, rtlc33n383, rtlc33n388, 
      rtlc33n394, rtlc33n400, rtlc33n406, rtlc33n412, rtlc33n418, rtlc33n424, 
      rtlc33n430, rtlc33n436, rtlc33n442, rtlc33n443, not_Non_masked_Event_D, 
      rtlc33n455, rtlc33n463, rtlc33n464, rtlc33n472, rtlc33n518, rtlc33n526, 
      rtlc33n609, rtlc33n642, not_INTn_count_4, not_INTn_count_3, 
      not_INTn_count_2, not_rtlcn1236, rtlc33n682, rtlc33n683, rtlc33n684, 
      WRD_req_36n14ss1, MON_WR_req_36n14ss1, rtlc36n408, 
      not_host_status_bits_3, rtlc36n411, not_rtlc36n411, rtlc36n426, 
      not_Channel_Status_3, rtlc36n429, not_rtlc36n429, W_R_36n3s1, not_W_R, 
      rtlc36n441, rtlc36n450, rtlc36n451, not_rtlc36n451, rtlc36n459, 
      not_rtlc36n459, not_M_W, rtlc36n468, not_rtlc36n468, not_WRD_req, 
      not_EOM_req, not_SOM_req, not_MON_WR_req, not_MON_EOM_req, 
      not_MON_SOM_req, not_STM_ended, rtlc36n551, rtlc36n552, rtlc36n554, 
      rtlc36n555, rtlc36n556, rtlc36n557, not_arbiter, rtlc36n581, 
      rtlc36n583, rtlc36n700, rtlc36n701, rtlc36n702, rtlc36n703, rtlc36n704, 
      rtlc36n705, rtlc36n706, rtlc36n754, not_rtlc36n754, rtlc36n757, 
      not_rtlcn1215, rtlc36n760, not_MODE_CODE1553A, rtlc39n91, rtlc39n98, 
      not_BC_Go, rtlc42n63, BC_Sts_Word_45n13ss1_13, BC_Sts_Word_45n13ss1_4, 
      rtlc45n105, rtlc45n128, rtlc45n130, rtlc45n132, rtlc45n148, rtlc45n341, 
      rtlc45n342, rtlc45n343, rtlc45n344, rtlc45n346, rtlc45n347, rtlc45n348, 
      rtlc45n349, rtlc45n350, rtlc45n351, rtlc45n352, rtlc45n353, rtlc48n159, 
      rtlc48n161, not_BC_Control_word_14, rtlc48n168, not_BC_Control_word_13, 
      rtlc48n176, not_BC_Control_word_12, rtlc48n182, not_BC_Control_word_11, 
      rtlc48n188, not_BC_Control_word_10, rtlc48n197, not_rtlcn1209, 
      rtlc48n222, rtlc48n225, rtlc48n226, not_rtlcs162, rtlc48n263, 
      not_rtlcn1210, rtlc48n271, not_BC_Control_word_5, rtlc48n274, 
      rtlc48n275, rtlc48n314, rtlc48n315, YES_49n1ss1, YES_49n2ss1, 
      YES_49n1s2, YES_49n2s1, YES_49n2s2, gap_eq_0_52n3ss1, gap_eq_0_52n3s1, 
      not_BC_Load_msg_gap_counter, rtlc52_X_0_n213, not_rtlc52n346, 
      rtlc52n257, rtlc52n346, frame_gap_eq_0_55n5ss1, 
      eBC_Watchdog_eq0_55n5ss1, frame_gap_eq_0_55n6ss1, 
      eBC_Watchdog_eq0_55n6ss1, frame_gap_eq_0_55n6s1, frame_gap_eq_0_55n5s1, 
      rtlc55n160, not_BC_Load_frame_gap_counter, rtlc55_X_0_n289, 
      rtlc55_X_0_n319, not_rtlc55n502, rtlc55n378, rtlc55n394, rtlc55n502, 
      BC_SP_58n1ss1, BC_SP_58n1s1, BC_SP_58n1s2, BC_SP_58n1s3, BC_SP_58n1s4, 
      Tag_CLK_D_64n5ss1: std_logic ;
   
   signal time_tag_64n13ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal time_tag_64n15ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal one_micro_increment_64n16ss1, MT_On_Async_64n27ss1, 
      MT_On_Async_64n28ss1: std_logic ;
   
   signal time_tag_64n30ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal Clear_Test_Status_reg_64n33ss1, eBC_GP_64n34ss1, eBC_GP_64n35ss1, 
      eBC_GP_64n36ss1, eBC_GP_64n37ss1, eBC_GP_64n38ss1, eBC_GP_64n39ss1, 
      eBC_GP_64n40ss1, eBC_GP_64n41ss1: std_logic ;
   
   signal count_T_RESus_64n43ss1: std_logic_vector (5 DOWNTO 0) ;
   
   signal time_tag_64n43ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal Tag_CLK_D_64n43ss1, Config_reg_1_64n43ss1_15, 
      Config_reg_1_64n43ss1_14, Config_reg_1_64n43ss1_13, 
      Config_reg_1_64n43ss1_12, Config_reg_1_64n43ss1_11, 
      Config_reg_1_64n43ss1_10, Config_reg_1_64n43ss1_8, 
      Config_reg_1_64n43ss1_7, Config_reg_1_64n43ss1_6, 
      Config_reg_1_64n43ss1_5, Config_reg_1_64n43ss1_4, 
      Config_reg_1_64n43ss1_3, Config_reg_1_64n43ss1_1: std_logic ;
   
   signal Dummy_register_0x4_64n43ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal Clear_Test_Status_reg_64n43ss1: std_logic ;
   
   signal host_status_bits_64n45ss1: std_logic_vector (10 DOWNTO 0) ;
   
   signal Config_reg_5_64n50ss1: std_logic_vector (2 DOWNTO 0) ;
   
   signal eBC_Q_pointer_64n50ss1: std_logic_vector (5 DOWNTO 0) ;
   
   signal eBC_GP_64n54ss1, eBC_GP_64n55ss1, eBC_GP_64n56ss1, eBC_GP_64n57ss1, 
      eBC_GP_64n58ss1, eBC_GP_64n59ss1, eBC_GP_64n60ss1, eBC_GP_64n61ss1: 
   std_logic ;
   
   signal eBC_GP_64n72ss1: std_logic_vector (7 DOWNTO 0) ;
   
   signal Clean_status_bits_64n75ss1, Clean_status2_bits_64n77ss1, 
      Config_reg_1_64n83ss1, Config_reg_1_64n88ss1: std_logic ;
   
   signal Config_reg_1_64n89ss1: std_logic_vector (2 DOWNTO 0) ;
   
   signal host_status_bits_64n90ss1: std_logic_vector (1 DOWNTO 0) ;
   
   signal Config_reg_1_64n90ss1_3, Config_reg_1_64n90ss1_1: std_logic ;
   
   signal GMM_64n91ss1: std_logic_vector (2 DOWNTO 0) ;
   
   signal rtlc64n4992, not_rtlc64n4992, rtlc64n5065, rtlc64n5077, 
      rtlc64n5090, rtlc64n5103, rtlc64n5116, rtlc64n5129, rtlc64n5130: 
   std_logic ;
   
   signal count_T_RESus_64n6s1: std_logic_vector (5 DOWNTO 0) ;
   
   signal not_Tag_CLK_DD: std_logic ;
   
   signal time_tag_64n10s1: std_logic_vector (15 DOWNTO 0) ;
   
   signal Current_command_is_sync_with_data_64n11s2, 
      Current_command_is_sync_with_data_64n11s3, 
      Current_command_is_sync_with_data_64n11s1, 
      Current_command_is_sync_without_data_64n11s2, 
      Current_command_is_sync_without_data_64n11s3, 
      Current_command_is_sync_without_data_64n11s1, 
      Monitor_command_is_sync_with_data_64n11s5, 
      Monitor_command_is_sync_with_data_64n11s6, 
      Monitor_command_is_sync_with_data_64n11s4, 
      Monitor_command_is_sync_with_data_64n11s3, 
      Monitor_command_is_sync_with_data_64n11s2, not_RT_On, 
      Monitor_command_is_sync_with_data_64n11s1, 
      Monitor_command_is_sync_without_data_64n11s5, 
      Monitor_command_is_sync_without_data_64n11s6, 
      Monitor_command_is_sync_without_data_64n11s4, 
      Monitor_command_is_sync_without_data_64n11s3, 
      Monitor_command_is_sync_without_data_64n11s2, 
      Monitor_command_is_sync_without_data_64n11s1, not_Test_Status_reg_14, 
      rtlc64n5262, not_Test_Status_reg_6, rtlc64n5265, rtlc64n5266, 
      rtlc64n5271, rtlc64n5273, rtlc64n5274, rtlc64n5275, rtlc64n5277, 
      rtlc64n5278, not_MON_Phase_1, rtlc64n5291, rtlc64n5292, rtlc64n5293, 
      not_rtlc64n5293, rtlc64n5304, rtlc64n5306, rtlc64n5307, rtlc64n5313, 
      not_rtlcn10779, not_rtlcn1229, rtlc64n5337, rtlc64n5338, rtlc64n5340, 
      rtlc64n5341, rtlc64n5378, not_CPU_Data_in_wide_30, MT_On_Async_64n18s2, 
      MT_On_Async_64n18s1, not_rtlc64n5378, rtlc64n5418, not_WM_On, 
      Clear_Test_Status_reg_64n20s1, not_CPU_Data_in_wide_25, rtlc64n5436, 
      not_CPU_Data_in_wide_23, rtlc64n5445, not_CPU_Data_in_wide_22, 
      not_CPU_Data_in_wide_21, not_CPU_Data_in_wide_20, 
      not_CPU_Data_in_wide_19, rtlc64n5481, not_CPU_Data_in_wide_18, 
      MT_On_Async_64n27s3, not_MT_On_Async_64n27s3, MT_On_Async_64n27s1, 
      rtlc64n5511, rtlc64n5513, rtlc64n5514, rtlc64n5520, rtlc64n5523, 
      rtlc64n5533, not_rtlc64n5533, rtlc64n5549, not_rtlc64n5549, 
      rtlc64n5555, rtlc64n5556, not_CPU_Address_1, not_CPU_Address_2, 
      rtlc64n5620, not_eBC_GP_0, not_eBC_GP_1, not_eBC_GP_2, not_eBC_GP_3, 
      not_eBC_GP_4, not_eBC_GP_5, not_eBC_GP_6, not_eBC_GP_7, rtlc64n5848, 
      rtlc64n5849, rtlc64n5850, rtlc64n5851, rtlc64n5852, rtlc64n5853, 
      rtlc64n5854, rtlc64n5855, rtlc64n5857, rtlc64n5858, rtlc64n5859, 
      rtlc64n5860, rtlc64n5868, rtlc64n5869, rtlc64n5870, rtlc64n5872, 
      rtlc64n5873, rtlc64n5874, rtlc64n5879, rtlc64n5880, rtlc64n5881, 
      rtlc64n5882, rtlc64n5883, rtlc64n5884, rtlc64n5885, rtlc64n5886, 
      rtlc64n5887, not_Config_reg_3_5, rtlc64n5895, not_Config_reg_1_7, 
      not_Config_reg_1_8, host_status_bits_2_64n45s2, not_Config_reg_1_10, 
      not_rtlcn10592, rtlc64n5932, not_rtlc64n5932, rtlc64n5945, rtlc64n5947, 
      not_rtlc64n5947: std_logic ;
   
   signal eBC_Q_pointer_64n49s1: std_logic_vector (5 DOWNTO 0) ;
   
   signal not_eBC_Inc_Q_pointer, rtlc64n5997, rtlc64n5998, rtlc64n5999, 
      rtlc64n6005, rtlc64n6006, rtlc64n6019, rtlc64n6029, rtlc64n6383, 
      rtlc64n6384, rtlc64n6387, rtlc64n6388, rtlc64n6389, rtlc64n6390, 
      rtlc64n6391, rtlc64n6392, rtlc64n6393, rtlc64n6394, not_test_complete, 
      rtlc64n6418, rtlc64n6421, not_Read_from_int_vec, rtlc64n6439, 
      rtlc64n6444, rtlc64n6451, rtlc64n6454, not_Read_from_int_vec2, 
      rtlc64n6489, rtlc64n6497, rtlc64n6505, not_rtlc64n6497, rtlc64n6529, 
      rtlc64n6532, not_rtlcn11076, not_BC_IDLE, rtlc64n6557, rtlc64n6568, 
      not_rtlc36n408, rtlc64n6578, not_rtlc64n6578, rtlc64n6591, rtlc64n6593, 
      not_rtlc64n6593, not_rtlc36n450, not_BC_on, rtlc64n6624, rtlc64n6625, 
      rtlc64n6626, rtlc64n6628, rtlc64n6629, rtlc64n6630, rtlc64n6631, 
      rtlc64n6632, rtlc64n6641, rtlc64n6644, rtlc64n6651, rtlc64n6652, 
      rtlc64n6656, rtlc64n6659, rtlc64n6666, rtlc64n6667, rtlc64n6668, 
      rtlc64n6669, rtlc64n7189, rtlc64n7195, rtlc64n7200, not_rtlc64n5857, 
      not_rtlc64n5858, not_rtlc64n5859, not_rtlc64n6628, not_rtlc64n6629, 
      not_rtlc64n6630, not_rtlc64n6631, not_rtlc64n6632, rtlc64n7248, 
      not_rtlc64n5860, rtlc64n7270, rtlc64n7286, rtlc64n7302, rtlc64n7316, 
      rtlc64n7318, rtlc64n7334, rtlc64n7350, rtlc64n7366, rtlc64n7367, 
      rtlc64n7368, not_rtlc64n5869, not_rtlc64n5870, rtlc64n7401, 
      not_rtlc64n5997, not_rtlc64n5998, not_rtlc64n5874, rtlc64n7406, 
      rtlc64n7407, rtlc64n7408, rtlc64n7409, not_rtlc64n5999, 
      not_rtlc64n5879, not_rtlc64n6387, not_rtlc64n6388, not_rtlc64n6389, 
      not_rtlc64n6390, not_rtlc64n6391, not_rtlc64n6392, not_rtlc64n6393, 
      not_rtlc64n6394, rtlc64n7442, not_rtlcs228, not_rtlc64n7200, 
      rtlc64n7590, rtlc64n7610, rtlc64n7612, rtlc64n7873, rtlc64n7923, 
      not_Raw_resetN, not_Config_reg_1_14, RT_On_67n1s1, not_Config_reg_1_15, 
      WM_On_67n3s2, not_Config_reg_1_12, WM_On_67n3s1, eBC_67n3s1, 
      SW_Reset_70n1ss1, rtlc70n47, 
      rtlc79_Interrupt_status_register_1_D_n486_13, 
      rtlc79_Interrupt_status_register_1_D_n486_12, 
      rtlc79_Interrupt_status_register_1_D_n486_11, 
      rtlc79_Interrupt_status_register_1_D_n486_10, 
      rtlc79_Interrupt_status_register_1_D_n486_8, 
      rtlc79_Interrupt_status_register_1_D_n486_6, 
      rtlc79_Interrupt_status_register_1_D_n486_5, 
      rtlc79_Interrupt_status_register_1_D_n486_4, 
      rtlc79_Interrupt_status_register_1_D_n486_3, 
      rtlc79_Interrupt_status_register_1_D_n486_2, 
      rtlc79_Interrupt_status_register_1_D_n486_1, 
      rtlc79_Interrupt_status_register_1_D_n486_0, 
      rtlc79_Interrupt_status_register_2_D_n487_15, 
      rtlc79_Interrupt_status_register_2_D_n487_12, 
      rtlc79_Interrupt_status_register_2_D_n487_11, 
      rtlc79_Interrupt_status_register_2_D_n487_10, 
      rtlc79_Interrupt_status_register_2_D_n487_7, 
      rtlc79_Interrupt_status_register_2_D_n487_6, 
      rtlc79_Interrupt_status_register_2_D_n487_1, 
      rtlc79_ISR1_during_clear_D_n491_13: std_logic ;
   
   signal Interrupt_status_register_1_79n7ss1: std_logic_vector
    (13 DOWNTO 0) ;
   
   signal Interrupt_status_register_2_79n7ss1_14, 
      Interrupt_status_register_2_79n7ss1_12, 
      Interrupt_status_register_2_79n7ss1_11, 
      Interrupt_status_register_2_79n7ss1_10, 
      Interrupt_status_register_2_79n7ss1_7, 
      Interrupt_status_register_2_79n7ss1_6, 
      Interrupt_status_register_2_79n7ss1_5, 
      Interrupt_status_register_2_79n7ss1_4, 
      Interrupt_status_register_2_79n7ss1_3, 
      Interrupt_status_register_2_79n7ss1_2, 
      Interrupt_status_register_2_79n7ss1_1: std_logic ;
   
   signal Interrupt_status_register_2_79n25ss1: std_logic_vector
    (1 DOWNTO 1) ;
   
   signal Non_masked_Event_79n30ss1, Non_masked_Event_79n32ss1, 
      Non_masked_Event_79n34ss1: std_logic ;
   
   signal Interrupt_status_register_2_79n35ss1: std_logic_vector
    (3 DOWNTO 0) ;
   
   signal Non_masked_Event_79n36ss1: std_logic ;
   
   signal reg_data_out_wide_79n40ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal reg_data_out_wide_79n42ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal reg_data_out_wide_79n49ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal reg_data_out_wide_79n53ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal reg_data_out_wide_79n68ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal reg_data_out_wide_79n69ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal reg_data_out_wide_79n70ss1: std_logic_vector (31 DOWNTO 0) ;
   
   signal Non_masked_Event_79n1s3_13, Non_masked_Event_79n1s3_12, 
      Non_masked_Event_79n1s3_11, Non_masked_Event_79n1s3_10, 
      Non_masked_Event_79n1s3_8, Non_masked_Event_79n1s3_6, 
      Non_masked_Event_79n1s3_5, Non_masked_Event_79n1s3_4, 
      Non_masked_Event_79n1s3_3, Non_masked_Event_79n1s3_2, 
      Non_masked_Event_79n1s3_1, Non_masked_Event_79n1s3_0, 
      Non_masked_Event_79n1s1, Non_masked_Event_79n3s3_14, 
      Non_masked_Event_79n3s3_12, Non_masked_Event_79n3s3_11, 
      Non_masked_Event_79n3s3_10, Non_masked_Event_79n3s3_7, 
      Non_masked_Event_79n3s3_6, Non_masked_Event_79n3s3_5, 
      Non_masked_Event_79n3s3_4, Non_masked_Event_79n3s3_3, 
      Non_masked_Event_79n3s3_1, Non_masked_Event_79n3s1, 
      not_Clean_status2_bits, rtlc79n1416, rtlc79n1417, rtlc79n1419: 
   std_logic ;
   
   signal Interrupt_status_register_1_79n6s2: std_logic_vector (14 DOWNTO 0)
    ;
   
   signal Interrupt_status_register_1_79n6s1_13, 
      Interrupt_status_register_1_79n6s1_12, 
      Interrupt_status_register_1_79n6s1_11, 
      Interrupt_status_register_1_79n6s1_10, 
      Interrupt_status_register_1_79n6s1_9, 
      Interrupt_status_register_1_79n6s1_8, 
      Interrupt_status_register_1_79n6s1_6, 
      Interrupt_status_register_1_79n6s1_5, 
      Interrupt_status_register_1_79n6s1_4, 
      Interrupt_status_register_1_79n6s1_3, 
      Interrupt_status_register_1_79n6s1_2, 
      Interrupt_status_register_1_79n6s1_1, 
      Interrupt_status_register_1_79n6s1_0, 
      Interrupt_status_register_2_79n6s1_14, 
      Interrupt_status_register_2_79n6s1_12, 
      Interrupt_status_register_2_79n6s1_11, 
      Interrupt_status_register_2_79n6s1_10, 
      Interrupt_status_register_2_79n6s1_7, 
      Interrupt_status_register_2_79n6s1_6, 
      Interrupt_status_register_2_79n6s1_5, 
      Interrupt_status_register_2_79n6s1_4, 
      Interrupt_status_register_2_79n6s1_3, 
      Interrupt_status_register_2_79n6s1_2, 
      Interrupt_status_register_2_79n6s1_1, rtlc79n1473, rtlc79n1474, 
      Non_masked_Event_79n9s1, not_Tx_Timeout_D, rtlc79n1506, 
      not_Clean_status_bits, not_time_tag_15, rtlc79n1606, rtlc79n1618, 
      rtlc79n1621, rtlc79n1624, rtlc79n1639, rtlc79n1646, rtlc79n1649, 
      rtlc79n1654, rtlc79n1657, rtlc79n1658, rtlc79n1663, rtlc79n1670, 
      rtlc79n1671, rtlc79n1672, rtlc79n1673, rtlc79n1687, rtlc79n1689, 
      not_BC_STS_Word_12_d, rtlc79n1716, rtlc79n1723, rtlc79n1724, 
      rtlc79n1738, rtlc79n1747, rtlc79n1749, rtlc79n1752, rtlc79n1753, 
      rtlc79n1754, rtlc79n1769, rtlc79n1772, rtlc79n1774, rtlc79n1775, 
      rtlc79n1777, rtlc79n1778, rtlc79n1807, not_rtlcn11047, 
      not_BC_msg_pointer_3, not_BC_msg_pointer_1, not_BC_msg_pointer_0, 
      rtlc79n1920, rtlc79n1927, rtlc79n1928, rtlc79n1929, rtlc79n1930, 
      rtlc79n1931, rtlc79n2784, rtlc79n2785, rtlc79n2786, rtlc79n2787, 
      rtlc79n2788, rtlc79n2789, rtlc79n2790, rtlc79n2792, rtlc79n2794, 
      rtlc79n2795, rtlc79n2796, rtlc79n2797, rtlc79n2799, rtlc79n2800, 
      rtlc79n2801, rtlc79n2802, rtlc79n2803, rtlc79n2804, rtlc79n2805, 
      rtlc79n2808, rtlc79n2809, rtlc79n2810, rtlc79n2812, rtlc79n2813, 
      rtlc79n2814, rtlc79n2815, rtlc79n2816, rtlc79n2817, rtlc79n2818, 
      rtlc79n2819, rtlc79n2820, rtlc79n2821, rtlc79n2822, rtlc79n2824, 
      rtlc79n2826, rtlc79n2827, rtlc79n2828, rtlc79n2829, rtlc79n2833, 
      not_rtlc79n1929, not_rtlc79n1930, not_rtlc79n1931, rtlc79n2838, 
      rtlc79n2839, rtlc79n2842, rtlc79n2843, rtlc79n2844, rtlc79n2846, 
      rtlc79n2848, not_rtlcs262, not_rtlcs238, rtlc82n119, rtlc82n136, 
      rtlc82n145, rtlc82n394, rtlc82n395, rtlc82n396, rtlc82n398, rtlc82n399, 
      rtlc82n400, rtlc85n54, rtlc85n71, rtlc85n79, rtlc85n82, rtlc85n121, 
      not_HW_ResetN: std_logic ;
   
   signal Test_Status_reg_88n4ss1: std_logic_vector (1 DOWNTO 0) ;
   
   signal Test_Status_reg_88n7ss1: std_logic_vector (1 DOWNTO 0) ;
   
   signal BIT_Test_complete_88n7ss1, rtlc88n98, rtlc88n99, rtlc88n141, 
      not_rtlcs302, rtlc88n174, rtlc88n177, rtlc88n179, rtlc88n180, 
      rtlc88n235, not_rtlc88n180, not_rtlc88n179, rtlc88n247, not_rtlc88n141, 
      rtlc88n251, not_rtlcn1230: std_logic ;
   
   signal WM_RAM_Address_91n12ss1: std_logic_vector (15 DOWNTO 1) ;
   
   signal WM_Ack_91n14ss1: std_logic ;
   
   signal WM_RAM_Address_91n14ss1: std_logic_vector (0 DOWNTO 0) ;
   
   signal WM_RAM_data_i_91n14ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal WM_Ack_91n15ss1, WM_RAM_WE_91n15ss1, WM_Ram_RE_91n15ss1, 
      state_fsm_91n15ss1_6, not_Config_reg_1_11, rtlc91n382, rtlc91n385, 
      rtlc91n421, rtlc91n441, not_eBC_Q_pointer_10, rtlc91n444, rtlc91n447, 
      not_rtlc91n447, rtlc91n449, rtlc91n458, rtlc91n482, rtlc91n485, 
      not_Ack, WM_RAM_data_i_6_91n10s3, WM_RAM_data_i_6_91n10s2, rtlc91n553, 
      rtlc91n564, rtlc91n567, rtlc91n662, rtlc91n682, rtlc91n730, rtlc91n745, 
      rtlc91n762, rtlc91n836, rtlcn1209, rtlcn1210, rtlcn1211, rtlcn1212, 
      rtlcn1213, rtlcn1214, rtlcn1215, rtlcn1216, rtlcn1217, rtlcn1218, 
      rtlcn1219, rtlcn1222, rtlcn1225, rtlcn1229, rtlcn1230, rtlcn1236, 
      rtlcn1241, not_rtlcn9809, not_rtlcn8762, rtlcn2043, rtlcn2062, 
      rtlcn2064, rtlcn2066, rtlcn2067, rtlcn2068, rtlcn2069, rtlcn2127, 
      rtlcn2155, rtlcn2218, rtlcn2254, rtlcn2260, rtlcn2281, rtlcn2282, 
      rtlcn2379, rtlcn2387, rtlcn2389, rtlcn2395, rtlcn2399, rtlcn2404, 
      rtlcn2406, rtlcn2409, rtlcn2431, rtlcn2451, rtlcn2453, rtlcn2454, 
      rtlcn2455, rtlcn2462, rtlcn2464, rtlcn2465, rtlcn2466, rtlcn2467, 
      rtlcn2468, rtlcn2469, rtlcn2470, rtlcn2472, rtlcn2473, rtlcn2474, 
      rtlcn2481, rtlcn2482, rtlcn2483, rtlcn2484, rtlcn2499, rtlcn2507, 
      rtlcn2509, rtlcn2511, rtlcn2611, rtlcn2612, rtlcn2624, rtlcn2658, 
      rtlcn2664, rtlcn2674, rtlcn2689, rtlcn2704, rtlcn2715, rtlcn2724, 
      rtlcn2745, rtlcn2746, rtlcn2747, rtlcn2753, not_rtlcn9820, rtlcn2769, 
      rtlcn2782, rtlcn2801, rtlcn2846, rtlcn2863, rtlcn2874, rtlcn2885, 
      rtlcn2900, rtlcn2911, rtlcn2926, rtlcn2981, rtlcn3021, rtlcn3029, 
      rtlcn3033, rtlcn3043, rtlcn3044, rtlcn3083, rtlcn3092, rtlcn3111, 
      rtlcn3122, rtlcn3133, rtlcn3144, rtlcn3155, rtlcn3166, rtlcn3177, 
      rtlcn3188, rtlcn3199, rtlcn3210, rtlcn3229, rtlcn3248, rtlcn3271, 
      rtlcn3281, rtlcn3282, rtlcn3286, rtlcn3293, rtlcn3320, rtlcn3343, 
      rtlcn3360, rtlcn3375, rtlcn3390, rtlcn3401, rtlcn3410, rtlcn3421, 
      rtlcn3432, rtlcn3443, rtlcn3454, rtlcn3466, rtlcn3489, rtlcn3501, 
      rtlcn3522, rtlcn3532, rtlcn3538, rtlcn3553, rtlcn3564, rtlcn3576, 
      rtlcn3601, rtlcn3625, rtlcn3653, rtlcn3662, rtlcn3678, rtlcn3689, 
      rtlcn3705, rtlcn3709, rtlcn3721, rtlcn3733, rtlcn3743, rtlcn3758, 
      rtlcn3795, rtlcn3811, rtlcn3822, rtlcn3834, rtlcn3842, rtlcn3845, 
      rtlcn3914, rtlcn3915, rtlcn3916, rtlcn3917, rtlcn3923, rtlcn3935, 
      rtlcn3946, rtlcn3970, rtlcn3971, rtlcn3986, rtlcn4001, rtlcn4016, 
      rtlcn4027, rtlcn4042, rtlcn4051, rtlcn4064, rtlcn4072, rtlcn4084, 
      rtlcn4096, rtlcn4127, rtlcn4130, rtlcn4142, rtlcn4143, rtlcn4144, 
      rtlcn4145, rtlcn4171, rtlcn4172, rtlcn4173, not_rtlcn9837, rtlcn4204, 
      rtlcn4230, rtlcn4239, not_rtlcn4239, rtlcn4251, not_rtlcn4251, 
      rtlcn4271, not_rtlcn9824, rtlcn4275, rtlcn4301, not_rtlcn4301, 
      rtlcn4339, not_rtlcn9838, not_rtlcn9841, rtlcn4436, rtlcn4440, 
      rtlcn4443, rtlcn4457, rtlcn4461, rtlcn4465, rtlcn4469, rtlcn4492, 
      rtlcn4508, rtlcn4510, rtlcn4514, not_rtlcn9842, rtlcn4540, rtlcn4543, 
      rtlcn4552, rtlcn4556, rtlcn4560, rtlcn4564, rtlcn4568, rtlcn4572, 
      rtlcn4576, rtlcn4601, rtlcn4605, rtlcn4609, rtlcn4617, not_rtlcn9840, 
      not_rtlcn9839, rtlcn5158, rtlcn5218, rtlcn5372, rtlcn5373, rtlcn5374, 
      rtlcn5375, rtlcn5376, rtlcn5384, rtlcn5394, rtlcn5396, rtlcn5397, 
      rtlcn5398, rtlcn5405, rtlcn5509, rtlcn5551, rtlcn5615, rtlcn5661, 
      rtlcn5702, rtlcn5710, rtlcn5798, rtlcn5799, rtlcn5813, rtlcn5814, 
      rtlcn5853, rtlcn5854, rtlcn5897, rtlcn5908, rtlcn5910, rtlcn5940, 
      rtlcn5943, rtlcn5945, rtlcn5954, rtlcn5957, rtlcn5968, rtlcn5977, 
      rtlcn5978, rtlcn5987, rtlcn5988, rtlcn6000, rtlcn6001, rtlcn6005, 
      rtlcn6040, rtlcn6044, rtlcn6066, rtlcn6099, rtlcn6104, rtlcn6117, 
      rtlcn6150, rtlcn6338, rtlcn6599, rtlcn6640, rtlcn6642, rtlcn6644, 
      rtlcn6651, rtlcn6663, rtlcn6705, rtlcn6730, rtlcn6755, rtlcn6879, 
      rtlcn6958, rtlcn6998, rtlcn7009, rtlcn7010, rtlcn7011, rtlcn7025, 
      rtlcn7028, rtlcn7035, rtlcn7042, rtlcn7043, rtlcn7044, not_rtlc26n9884, 
      rtlcn7051, rtlcn7052, rtlcn7102, rtlcn7145, rtlcn7154, rtlcn7155, 
      rtlcn7169, rtlcn7170, rtlcn7188, rtlcn7189, rtlcn7195, rtlcn7196, 
      rtlcn7211, rtlcn7271, rtlcn7272, rtlcn7306, rtlcn7323, rtlcn7324, 
      rtlcn7329, not_rtlcn9831, rtlcn7357, rtlcn7365, rtlcn7393, rtlcn7402, 
      rtlcn7410, rtlcn7424, rtlcn7439, rtlcn7440, rtlcn7536, rtlcn7540, 
      rtlcn7545, rtlcn7560, rtlcn7587, not_rtlc26n7670, not_rtlc26n7648, 
      not_rtlc26n7624, not_rtlc26n7601, rtlcn7885, rtlcn7886, not_rtlcn9818, 
      not_rtlcn9821, not_rtlcn9822, not_rtlcn9823, not_rtlcn9825, 
      not_rtlcn9828, not_rtlcn9829, rtlcn8077, rtlcn8187, rtlcn8204, 
      rtlcn8220, rtlcn8227, rtlcn8238, rtlcn8294, rtlcn8301, rtlcn8309, 
      rtlcn8318, rtlcn8322, rtlcn8326, rtlcn8329, rtlcn8333, rtlcn8339, 
      rtlcn8350, rtlcn8360, rtlcn8365, not_rtlcn9833, rtlcn8426, rtlcn8431, 
      rtlcn8434, rtlcn8507, not_rtlcn9830, not_rtlcn9832, rtlcn8524, 
      rtlcn8529, rtlcn8550, rtlcn8601, rtlcn8611, rtlcn8613, rtlcn8614, 
      rtlcn8619, rtlcn8620, rtlcn8621, rtlcn8636, rtlcn8637, rtlcn8649, 
      rtlcn8653, rtlcn8675, not_Config_reg_3_12, not_Config_reg_3_11, 
      not_MON_EOM_phase_1, not_MON_EOM_phase_0, not_MON_Phase_0, 
      not_rtlcn9810, not_Config_reg_5_9, rtlcn8754, not_rtlcn8754, rtlcn8756, 
      not_rtlcn8756, not_rtlcn9826, rtlcn8762, rtlcn8763, rtlcn8764, 
      rtlcn8765, rtlcn8766, rtlcn8767, rtlcn8770, rtlcn8771, rtlcn8772, 
      rtlcn8773, rtlcn8774, rtlcn8775, rtlcn8776, rtlcn8777, rtlcn8778, 
      rtlcn8779, rtlcn8780, rtlcn8782, rtlcn8783, rtlcn8784, rtlcn8785, 
      rtlcn8786, rtlcn8787, rtlcn8788, rtlcn8789, rtlcn8790, rtlcn8792, 
      rtlcn8793, rtlcn8796, rtlcn8797, rtlcn8798, rtlcn8799, rtlcn8800, 
      not_rtlcn9834, rtlcn8803, rtlcn8805, rtlcn8809, rtlcn8810, rtlcn8811, 
      rtlcn8812, rtlcn8813, rtlcn8814, rtlcn8815, rtlcn8816, rtlcn8817, 
      rtlcn8820, rtlcn8821, rtlcn8824, rtlcn8825, rtlcn8826, rtlcn8828, 
      rtlcn8830, rtlcn8831, rtlcn8832, rtlcn8833, rtlcn8834, rtlcn8836, 
      rtlcn8837, rtlcn8838, rtlcn8839, rtlcn8840, rtlcn8841, rtlcn8842, 
      rtlcn8843, rtlcn8844, rtlcn8845, rtlcn8846, rtlcn8848, rtlcn8849, 
      rtlcn8850, rtlcn8851, rtlcn8853, rtlcn8858, rtlcn8859, rtlcn8862, 
      rtlcn8863, rtlcn8865, rtlcn8866, rtlcn8867, rtlcn8868, rtlcn8869, 
      rtlcn8870, rtlcn8872, rtlcn8873, rtlcn8874, rtlcn8875, rtlcn8876, 
      rtlcn8877, rtlcn8878, rtlcn8879, rtlcn8880, rtlcn8881, rtlcn8882, 
      rtlcn8883, rtlcn8884, rtlcn8885, rtlcn8886, rtlcn8887, rtlcn8888, 
      rtlcn8890, rtlcn8891, rtlcn8892, rtlcn8895, rtlcn8897, rtlcn8898, 
      rtlcn8899, rtlcn8900, rtlcn8901, rtlcn8902, rtlcn8903, rtlcn8904, 
      rtlcn8905, rtlcn8906, rtlcn8907, rtlcn8908, rtlcn8909, rtlcn8910, 
      rtlcn8911, rtlcn8912, rtlcn8913, rtlcn8914, rtlcn8915, rtlcn8916, 
      rtlcn8917, rtlcn8918, rtlcn8920, rtlcn8921, rtlcn8922, rtlcn8923, 
      rtlcn8924, not_rtlc64n5418, not_CPU_Address_4, not_rtlcn8763, 
      rtlcn8934, not_rtlc91n421, rtlcn8936, not_CE, not_rtlcn2625, rtlcn8942, 
      not_rtlcn9819, not_eBC_start_FT, rtlcn8948, not_rtlc30n15172, 
      rtlcn8950, not_rtlc30n15481, rtlcn8954, rtlcn8955, rtlcn8958, 
      not_eBC_CFT_do, not_eBC_CMT_do, not_eBC_CMV_do, not_rtlcn10428, 
      rtlcn8966, rtlcn8967, rtlcn8968, not_rtlcs348, rtlcn8970, not_rtlcs346, 
      rtlcn8972, not_rtlcs347, rtlcn8974, rtlcn8976, rtlcn8978, rtlcn8980, 
      rtlcn8981, rtlcn8982, rtlcn8983, rtlcn8984, not_rtlc30n13287, 
      rtlcn8986, not_BC_Command_Sync, not_MON_SOM_phase_2, not_rtlcn8809, 
      not_CPU_Data_in_wide_17, rtlcn8993, rtlcn8994, rtlcn8996, rtlcn8997, 
      not_rtlcn8773, rtlcn9000, not_First_After_Reset, 
      not_New_command_record, not_rtlcn8779, rtlcn9005, rtlcn9008, rtlcn9009, 
      rtlcn9010, rtlcn9011, rtlcn9012, rtlcn9013, not_rtlc26n7768, 
      not_Config_reg_2_0, not_Current_Area_B, not_rtlcn8798, not_rtlcn8767, 
      rtlcn9028, rtlcn9029, not_rtlc26n7773, rtlcn9033, rtlcn9034, rtlcn9035, 
      rtlcn9036, rtlcn9037, rtlcn9038, rtlcn9039, rtlcn9042, rtlcn9043, 
      not_rtlc30n13420, rtlcn9045, not_rtlcn9827, not_rtlcn7587, rtlcn9051, 
      rtlcn9053, not_MON_SOM_phase_3, not_rtlc26n9931, not_rtlc26n9703, 
      rtlcn9060, rtlcn9064, not_rtlc64n6591, rtlcn9068, rtlcn9073, rtlcn9074, 
      not_rtlc26n7891, rtlcn9077, rtlcn9079, not_Phase_1, not_rtlcs59, 
      rtlcn9082, rtlcn9085, not_Data_Rollover, rtlcn9087, not_rtlcs143, 
      not_Config_reg_3_14, rtlcn9090, rtlcn9091, rtlcn9092, not_rtlcs142, 
      rtlcn9094, rtlcn9095, not_rtlc30n16072, not_BC_State_18, rtlcn9106, 
      rtlcn9107, rtlcn9108, rtlcn9109, not_BC_msg_pointer_2, rtlcn9115, 
      rtlcn9116, not_rtlc30n13033, rtlcn9118, not_rtlc30n15055, rtlcn9120, 
      rtlcn9123, not_rtlc26n7231, rtlcn9125, rtlcn9126, rtlcn9131, rtlcn9133, 
      rtlcn9134, rtlcn9136, rtlcn9142, rtlcn9143, rtlcn9146, not_rtlc64n5313, 
      rtlcn9153, not_rtlc64n6439, rtlcn9162, not_rtlc91n449, not_WM_Ack, 
      rtlcn9165, not_rtlc91n567, rtlcn9167, rtlcn9168, rtlcn9169, 
      not_rtlc91n485, not_rtlc91n458, rtlcn9172, rtlcn9173, rtlcn9174, 
      rtlcn9175, not_rtlcn8832, rtlcn9177, rtlcn9178, rtlcn9179, 
      not_BC_START, rtlcn9181, rtlcn9182, not_rtlc30n14479, rtlcn9184, 
      not_rtlc30n12456, rtlcn9186, not_rtlc30n12997, rtlcn9188, 
      not_rtlc30n12411, rtlcn9190, rtlcn9191, rtlcn9192, not_rtlc30n12433, 
      not_rtlc30n12420, rtlcn9195, rtlcn9196, rtlcn9197, rtlcn9198, 
      rtlcn9199, not_rtlc30n14518, rtlcn9201, rtlcn9202, rtlcn9203, 
      rtlcn9204, rtlcn9206, rtlcn9207, rtlcn9208, rtlcn9209, rtlcn9210, 
      rtlcn9211, rtlcn9212, rtlcn9213, rtlcn9214, rtlcn9216, rtlcn9217, 
      rtlcn9218, rtlcn9219, not_rtlc30n13143, not_rtlc30n13136, rtlcn9222, 
      not_rtlc30n14908, not_rtlc30n13228, rtlcn9225, rtlcn9226, rtlcn9227, 
      not_rtlc30n15003, rtlcn9229, not_BC_State_57, not_rtlcn8788, 
      not_rtlcn8820, not_BC_State_52, rtlcn9236, rtlcn9237, rtlcn9238, 
      rtlcn9239, rtlcn9240, not_rtlcn8787, rtlcn9242, not_rtlc30n14347, 
      rtlcn9244, rtlcn9245, rtlcn9246, rtlcn9247, not_BC_Read, rtlcn9250, 
      rtlcn9251, rtlcn9252, rtlcn9253, rtlcn9254, rtlcn9255, rtlcn9256, 
      rtlcn9257, rtlcn9258, rtlcn9259, rtlcn9260, rtlcn9261, rtlcn9262, 
      rtlcn9264, rtlcn9265, rtlcn9266, rtlcn9267, rtlcn9268, rtlcn9269, 
      rtlcn9270, rtlcn9271, rtlcn9272, rtlcn9273, rtlcn9274, 
      not_rtlc30n13186, rtlcn9276, rtlcn9277, rtlcn9278, rtlcn9279, 
      rtlcn9280, not_BC_State_8, rtlcn9282, not_rtlc30n14572, not_rtlcn8780, 
      rtlcn9285, rtlcn9286, rtlcn9287, not_rtlc30n12606, rtlcn9289, 
      not_rtlc30n13385, rtlcn9291, rtlcn9292, rtlcn9293, rtlcn9294, 
      rtlcn9295, rtlcn9296, rtlcn9297, not_rtlc30n12831, rtlcn9299, 
      rtlcn9300, rtlcn9301, rtlcn9302, rtlcn9303, rtlcn9304, rtlcn9305, 
      rtlcn9306, rtlcn9307, rtlcn9308, rtlcn9309, rtlcn9310, rtlcn9311, 
      rtlcn9312, not_BC_First_write, rtlcn9314, not_rtlc30n14288, rtlcn9316, 
      rtlcn9317, not_Clear_Test_Status_reg, rtlcn9319, rtlcn9321, 
      not_rtlc30n14728, rtlcn9323, not_BC_State_24, not_rtlcn9835, rtlcn9330, 
      rtlcn9331, rtlcn9332, rtlcn9333, not_rtlc30n15353, rtlcn9335, 
      not_rtlc30n14098, rtlcn9337, rtlcn9338, rtlcn9339, rtlcn9340, 
      rtlcn9341, rtlcn9342, rtlcn9343, rtlcn9344, rtlcn9345, rtlcn9346, 
      rtlcn9347, rtlcn9348, rtlcn9349, rtlcn9350, rtlcn9351, rtlcn9352, 
      rtlcn9353, rtlcn9354, rtlcn9355, rtlcn9356, not_rtlc30n13376, 
      rtlcn9358, not_rtlcn9836, rtlcn9362, not_rtlc30n14005, rtlcn9364, 
      rtlcn9365, rtlcn9366, rtlcn9367, rtlcn9368, rtlcn9369, 
      not_rtlc30n14253, rtlcn9371, rtlcn9372, rtlcn9373, 
      not_Ext_Trigger_Dx_0n0s4, rtlcn9375, not_rtlc30n13911, rtlcn9377, 
      not_rtlc30n15170, rtlcn9379, rtlcn9380, rtlcn9381, not_rtlc91n662, 
      not_Arbiter_timeout, not_rtlc36n760, not_rtlcn8789, not_rtlcn8803, 
      rtlcn9397, not_rtlcn8865, not_rtlc64n6421, not_rtlc26n8275, rtlcn9406, 
      rtlcn9407, not_rtlc64n6454, not_rtlcn9843, not_Config_reg_2_3, 
      rtlcn9415, not_rtlc91n836, not_rtlc33n684, not_rtlc26n9795, 
      not_rtlcs60, not_rtlc26n9588, rtlcn9422, rtlcn9423, rtlcn9426, 
      not_rtlc26n9797, rtlcn9428, rtlcn9430, not_state_3, rtlcn9432, 
      rtlcn9433, not_rtlc26n9753, rtlcn9438, not_rtlcn8833, not_rtlcn8796, 
      not_rtlcn9845, not_rtlcn5158, not_rtlcn9844, not_rtlcn8799, 
      not_rtlcn9846, rtlcn9451, rtlcn9453, rtlcn9454, rtlcn9455, 
      not_rtlcn8805, rtlcn9457, rtlcn9458, rtlcn9459, rtlcn9460, 
      not_rtlc26n7720, rtlcn9462, not_rtlc26n7742, rtlcn9465, not_rtlcn8766, 
      rtlcn9467, not_rtlcs77, not_rtlcs61, not_rtlcn8868, rtlcn9471, 
      not_rtlcn8863, rtlcn9473, rtlcn9474, rtlcn9475, not_rtlcn8782, 
      not_Write, rtlcn9479, rtlcn9480, rtlcn9481, not_rtlc26n7271, rtlcn9483, 
      rtlcn9484, not_rtlc26n9590, not_rtlcs96, not_rtlc26n6798, rtlcn9488, 
      rtlcn9489, rtlcn9490, rtlcn9491, rtlcn9492, rtlcn9493, rtlcn9494, 
      rtlcn9495, rtlcn9497, rtlcn9498, not_rtlcn8830, rtlcn9501, rtlcn9507, 
      not_rtlc30n16096, rtlcn9787, not_rtlcn9787, rtlcn9794, rtlcn9802, 
      not_rtlcn3733, rtlcn9807, rtlcn9809, rtlcn9810, rtlcn9812, 
      not_rtlcn9812, rtlcn9815, not_rtlcn9815, rtlcn9818, rtlcn9819, 
      rtlcn9820, rtlcn9821, rtlcn9822, rtlcn9823, rtlcn9824, rtlcn9825, 
      rtlcn9826, rtlcn9827, rtlcn9828, rtlcn9829, rtlcn9830, rtlcn9831, 
      rtlcn9832, rtlcn9833, rtlcn9834, rtlcn9835, rtlcn9836, rtlcn9837, 
      rtlcn9838, rtlcn9839, rtlcn9840, rtlcn9841, rtlcn9842, rtlcn9843, 
      rtlcn9844, rtlcn9845, rtlcn9846, rtlcn9857, rtlcn9858, rtlcn9859, 
      rtlcn9860, rtlcn9861, rtlcn9862, rtlcn9863, rtlcn9864, rtlcn9865, 
      rtlcn9866, rtlcn9867, rtlcn9868, rtlcn9869, rtlcn9870, rtlcn9871, 
      rtlcn9872, rtlcn9873, rtlcn9875, rtlcn9877, rtlcn9878, rtlcn9881, 
      rtlcn9882, rtlcn9883, rtlcn9884, rtlcn9885, rtlcn9886, rtlcn9887, 
      rtlcn9888, rtlcn9889, rtlcn9890, rtlcn9891, rtlcn9892, rtlcn9893, 
      rtlcn9894, rtlcn9895, rtlcn9896, rtlcn9897, rtlcn9898, rtlcn9899, 
      rtlcn9900, rtlcn9901, rtlcn9902, rtlcn9903, not_rtlcn2062, rtlcn9905, 
      not_rtlcn2064, rtlcn9907, not_rtlc26n7928, rtlcn9909, not_rtlcn2066, 
      rtlcn9911, not_rtlcn2069, rtlcn9913, not_rtlcs53, not_rtlc26n8349, 
      not_rtlcs42, rtlcn9917, rtlcn9918, not_rtlc26n7929, not_rtlc26n7927, 
      not_rtlcn8816, rtlcn9925, rtlcn9926, rtlcn9927, rtlcn9928, rtlcn9929, 
      rtlcn9930, not_rtlcn2455, rtlcn9932, not_rtlcn2454, rtlcn9934, 
      not_rtlcn2453, rtlcn9936, rtlcn9937, not_rtlc26n8328, not_rtlc26n8327, 
      not_rtlc26n8326, rtlcn9941, not_rtlc26n7554, not_rtlc26n7553, 
      not_rtlc26n7925, not_rtlc26n7924, not_rtlc26n7923, not_rtlc26n7922, 
      not_rtlc26n7921, not_rtlc26n7920, not_rtlc26n7919, rtlcn9951, 
      not_rtlc26n7312, rtlcn9954, not_rtlc26n7311, rtlcn9956, 
      not_rtlc26n7310, rtlcn9958, rtlcn9959, rtlcn9960, not_EOM_phase_0, 
      not_rtlcs57, not_rtlc26n9674, rtlcn9966, not_rtlcn10972, 
      not_SOM_phase_0, not_rtlcs95, not_MON_SOM_phase_0, rtlcn9976, 
      not_rtlc30n16365, rtlcn9979, not_rtlcn2484, not_BC_State_83, rtlcn9983, 
      not_rtlcn2511, rtlcn9988, not_BC_State_13, rtlcn9990, not_rtlc30n15465, 
      not_BC_Write, not_BC_State_44, not_rtlc30n18993, not_BC_State_15, 
      rtlcn9996, not_BC_State_40, rtlcn9998, not_rtlcn2509, rtlcn10001, 
      not_rtlcn2507, rtlcn10004, not_rtlc30n16305, not_rtlc26n7239, 
      rtlcn10012, not_rtlc26n7238, rtlcn10015, not_rtlc26n7237, rtlcn10017, 
      rtlcn10018, not_rtlcn2499, rtlcn10020, not_BC_State_16, 
      not_BC_State_17, not_BC_State_21, not_BC_State_23, not_BC_State_26, 
      not_BC_State_27, not_BC_State_28, not_BC_State_29, not_BC_State_33, 
      not_BC_State_34, not_BC_State_35, not_BC_State_41, not_BC_State_46, 
      not_BC_State_50, not_BC_State_53, not_BC_State_55, not_BC_State_60, 
      not_BC_State_61, not_BC_State_63, not_BC_State_64, not_BC_State_66, 
      not_BC_State_67, not_BC_State_68, not_BC_State_69, not_BC_State_70, 
      not_BC_State_72, not_BC_State_76, not_BC_State_77, not_BC_State_78, 
      not_BC_State_80, not_BC_State_81, not_BC_State_82, not_BC_State_85, 
      not_BC_State_89, not_BC_State_90, not_BC_State_91, not_rtlcn9885, 
      not_rtlcn2282, not_BC_State_7, not_BC_State_32, rtlcn10064, rtlcn10066, 
      not_rtlc36n583, not_rtlc36n556, not_rtlc36n555, not_rtlc36n554, 
      not_rtlcn2466, not_rtlc36n552, not_rtlc36n551, rtlcn10076, rtlcn10077, 
      rtlcn10078, rtlcn10079, rtlcn10080, rtlcn10081, rtlcn10082, rtlcn10083, 
      rtlcn10084, rtlcn10085, rtlcn10086, rtlcn10087, rtlcn10088, rtlcn10089, 
      rtlcn10090, rtlcn10092, rtlcn10094, not_rtlcn10204, not_rtlc64n5523, 
      rtlcn10100, rtlcn10101, not_rtlc64n5868, not_rtlcn2474, not_rtlcn2472, 
      not_rtlcn7545, not_rtlc79n1419, not_rtlc79n1928, not_rtlcn9857, 
      not_rtlcn10154, not_rtlcn10153, not_rtlc79n1927, not_rtlc79n1474, 
      not_rtlcn10158, not_rtlcn10157, not_rtlcn10156, not_rtlcn10155, 
      not_rtlc79n1473, rtlcn10124, rtlcn10125, rtlcn10126, rtlcn10127, 
      rtlcn10128, rtlcn10129, not_rtlcn2483, not_rtlcn2482, rtlcn10141, 
      rtlcn10143, rtlcn10144, rtlcn10145, rtlcn10146, rtlcn10147, rtlcn10150, 
      rtlcn10151, rtlcn10152, rtlcn10153, rtlcn10154, rtlcn10155, rtlcn10156, 
      rtlcn10157, rtlcn10158, rtlcn10159, rtlcn10160, rtlcn10161, rtlcn10162, 
      rtlcn10163, rtlcn10164, rtlcn10165, rtlcn10166, rtlcn10167, rtlcn10168, 
      rtlcn10169, rtlcn10170, rtlcn10171, rtlcs2, rtlcs6, rtlcs8, rtlcs9, 
      rtlcs11, not_monitor_data_pointer_14, not_monitor_data_pointer_13, 
      not_monitor_data_pointer_12, not_monitor_data_pointer_11, 
      not_monitor_data_pointer_10, not_monitor_data_pointer_9, rtlcs40, 
      rtlcs41, rtlcs43, rtlcs44, rtlcs45, rtlcs46, rtlcs47, rtlcs49, rtlcs50, 
      rtlcs52, rtlcs53, rtlcs54, rtlcs55, rtlcs57, rtlcs58, rtlcs59, rtlcs60, 
      rtlcs61, rtlcs62, rtlcs63, rtlcs64, rtlcs65, rtlcs66, rtlcs67, rtlcs68, 
      rtlcs69, rtlcs70, rtlcs71, rtlcs72, rtlcs74, rtlcs75, rtlcs76, rtlcs77, 
      rtlcs78, rtlcs79, rtlcs80, rtlcs81, rtlcs82, rtlcs83, rtlcs84, rtlcs85, 
      rtlcs86, rtlcs87, rtlcs88, rtlcs90, rtlcs91, rtlcs92, rtlcs93, rtlcs94, 
      rtlcs95, rtlcs96, rtlcs98, rtlcs99, rtlcs101, rtlcs102, rtlcs107, 
      rtlcs108, rtlcs109, rtlcs110, rtlcs111, rtlcs112, rtlcs113, rtlcs114, 
      rtlcs115, rtlcs118, rtlcs122, rtlcs124, rtlcs127, rtlcs128, rtlcs129, 
      rtlcs130, rtlcs131, rtlcs133, rtlcs134, rtlcs135, rtlcs136, rtlcs139, 
      rtlcs141, rtlcs142, rtlcs143, rtlcs144, rtlcs145, rtlcs148, rtlcs149, 
      rtlcs150, rtlcs151, rtlcs153, rtlcs154, rtlcs156, rtlcs157, rtlcs160, 
      rtlcs162, rtlcs163, rtlcs164, rtlcs165, rtlcs166, rtlcs170, 
      not_Current_command_4, rtlcs184, rtlcs191, rtlcs201, rtlcs202, 
      rtlcs203, rtlcs204, rtlcs205, rtlcs206, rtlcs207, rtlcs208, rtlcs209, 
      rtlcs210, rtlcs211, rtlcs212, rtlcs213, rtlcs214, rtlcs215, rtlcs216, 
      rtlcs217, rtlcs218, rtlcs219, rtlcs220, rtlcs222, rtlcs223, rtlcs224, 
      rtlcs226, rtlcs227, rtlcs228, rtlcs229, rtlcs231, rtlcs232, rtlcs234, 
      rtlcs235, rtlcs236, rtlcs238, rtlcs240, rtlcs241, rtlcs242, rtlcs243, 
      rtlcs244, rtlcs249, rtlcs250, rtlcs251, rtlcs252, rtlcs253, rtlcs254, 
      rtlcs256, rtlcs257, rtlcs259, rtlcs261, rtlcs262, rtlcs264, rtlcs265, 
      rtlcs266, rtlcs267, rtlcs268, rtlcs269, rtlcs273, rtlcs274, rtlcs277, 
      not_count_T_RESus_2, rtlcs280, rtlcs281, rtlcs282, not_count_T_RESus_3, 
      rtlcs284, rtlcs285, rtlcs286, rtlcs297, rtlcs299, rtlcs300, rtlcs302, 
      rtlcs310, rtlcs311, not_CPU_Address_3, not_Config_reg_4_2, 
      not_Config_reg_4_0, not_Data_o_temp_11, rtlcn10204, not_BC_Rx_Data_7, 
      not_BC_Rx_Data_6, not_BC_Rx_Data_5, not_rtlc30n13670, 
      not_Data_o_temp_15, not_Current_command_9, not_Current_command_8, 
      not_Current_command_7, not_Current_command_6, not_Current_command_5, 
      not_Current_command_3, not_Current_command_0, not_Current_command_2, 
      not_Current_command_1, not_Frame_length_reg_0xD_15, 
      not_Frame_length_reg_0xD_14, not_Frame_length_reg_0xD_13, 
      not_Frame_length_reg_0xD_12, not_Frame_length_reg_0xD_11, 
      not_Frame_length_reg_0xD_10, not_Frame_length_reg_0xD_9, 
      not_Frame_length_reg_0xD_8, not_Frame_length_reg_0xD_7, 
      not_Frame_length_reg_0xD_6, not_Frame_length_reg_0xD_5, 
      not_Frame_length_reg_0xD_4, not_Frame_length_reg_0xD_3, 
      not_Frame_length_reg_0xD_2, not_Frame_length_reg_0xD_1, 
      not_Frame_length_reg_0xD_0, not_Counter_100us_11, not_Counter_100us_10, 
      not_Counter_100us_9, not_Counter_100us_8, not_Counter_100us_7, 
      not_Counter_100us_6, not_Counter_100us_5, not_Counter_100us_4, 
      not_Counter_100us_3, not_Counter_100us_2, not_Counter_100us_1, 
      not_Counter_100us_0, not_Micro_second_counter_5, 
      not_Micro_second_counter_4, not_Micro_second_counter_3, 
      not_Micro_second_counter_2, not_Micro_second_counter_1, 
      not_Micro_second_counter_0, not_ReTry_count_0, not_Config_reg_3_13, 
      not_BC_State_86, not_LIFO_Pointer_3, not_LIFO_Pointer_2, 
      not_LIFO_Pointer_1, not_LIFO_Pointer_0, not_rtlcn2757, 
      not_CPU_Data_in_wide_31, not_rtlcs224, not_BC_msg_pointer_15, 
      not_BC_msg_pointer_7, not_rtlcn3842, not_BC_msg_pointer_14, 
      not_BC_msg_pointer_6, not_CPU_Data_in_wide_29, not_BC_msg_pointer_13, 
      not_BC_msg_pointer_5, not_CPU_Data_in_wide_28, not_BC_msg_pointer_12, 
      not_CPU_Data_in_wide_27, not_BC_msg_pointer_11, 
      not_CPU_Data_in_wide_26, not_BC_msg_pointer_10, rtlcn10428, 
      not_BC_msg_pointer_9, not_eBC_GP_do, not_CPU_Data_in_wide_24, 
      not_CPU_Data_in_wide_16, not_BC_msg_pointer_8, not_BC_Echo_word_1, 
      not_eBC_Frame_length_15, not_eBC_Frame_length_14, 
      not_eBC_Frame_length_13, not_eBC_Frame_length_12, 
      not_eBC_Frame_length_11, not_eBC_Frame_length_10, 
      not_eBC_Frame_length_9, not_eBC_Frame_length_8, not_eBC_Frame_length_7, 
      not_eBC_Frame_length_6, not_eBC_Frame_length_5, not_eBC_Frame_length_4, 
      not_eBC_Frame_length_3, not_eBC_Frame_length_2, not_eBC_Frame_length_1, 
      not_eBC_Frame_length_0, not_BC_frame_GAP_counter_15, 
      not_BC_frame_GAP_counter_14, not_BC_frame_GAP_counter_13, 
      not_BC_frame_GAP_counter_12, not_BC_frame_GAP_counter_11, 
      not_BC_frame_GAP_counter_10, not_BC_frame_GAP_counter_9, 
      not_BC_frame_GAP_counter_8, not_BC_frame_GAP_counter_7, 
      not_BC_frame_GAP_counter_6, not_BC_frame_GAP_counter_5, 
      not_BC_frame_GAP_counter_4, not_BC_frame_GAP_counter_3, 
      not_BC_frame_GAP_counter_2, not_BC_frame_GAP_counter_1, not_state_6, 
      rtlcn10572, not_BC_word_number_1, not_rtlcn4230, rtlcn10592, 
      rtlcn10593, not_rtlcn4271, rtlcn10595, rtlcn10596, rtlcn10597, 
      not_GMM_2, not_GMM_1, not_GMM_0, not_LUT_Control_15, not_MM_2, 
      not_MM_1, not_MM_0, not_Config_reg_3_10, not_Config_reg_3_9, 
      not_Config_reg_3_8, not_rtlcs41, not_Phase_0, not_SOM_phase_7, 
      not_rtlc26n7516, not_Do_once_4, not_Do_once_3, not_Do_once_2, 
      not_Do_once_1, not_Do_once_0, not_EOM_phase_1, rtlcn10693, rtlcn10694, 
      rtlcn10695, rtlcn10696, rtlcn10697, rtlcn10698, rtlcn10699, rtlcn10700, 
      not_Monitor_Active_command_10, not_Monitor_Active_command_9, 
      not_Monitor_Active_command_8, not_Monitor_Active_command_7, 
      not_Monitor_Active_command_6, not_Monitor_Active_command_5, 
      not_Monitor_Active_command_3, not_Monitor_Active_command_2, 
      not_Monitor_Active_command_1, not_Address_9, not_Address_8, 
      not_Address_7, not_Address_6, not_Address_5, not_Address_3, 
      not_Address_2, not_Address_1, not_Config_reg_2_9, not_Config_reg_2_8, 
      not_Config_reg_2_7, not_rtlcn8675, rtlcn10779, not_count_T_RESus_5, 
      not_count_T_RESus_4, not_count_T_RESus_1, not_time_tag_14, 
      not_time_tag_13, not_time_tag_12, not_time_tag_11, not_time_tag_10, 
      not_time_tag_9, not_time_tag_8, not_time_tag_7, not_time_tag_6, 
      not_time_tag_5, not_time_tag_3, not_time_tag_2, not_time_tag_1, 
      not_time_tag_0, not_rtlc88n99, not_Do_RAM_test, 
      not_Monitor_Active_command_4, not_BC_Rx_Data_10, not_BC_Rx_Data_9, 
      not_BC_Rx_Data_8, not_eBC_IRQ_do, not_monitor_data_pointer_8, 
      not_monitor_stack_pointer_13, not_monitor_stack_pointer_11, 
      not_monitor_stack_pointer_9, not_monitor_stack_pointer_7, 
      not_Strobe_TT_D_1, rtlcn10903, rtlcn10905, rtlcn10907, rtlcn10908, 
      rtlcn10972, rtlcn10975, rtlcn10999, rtlcn11000, rtlcn11001, rtlcn11003, 
      rtlcn11047, not_rtlc33n262, not_INTn_count_1, not_INTn_count_0, 
      not_Config_reg_5_10, not_BC_word_number_0, not_BC_TX_Data_10, 
      not_BC_TX_Data_3, not_BC_TX_Data_2, not_BC_TX_Data_1, not_BC_TX_Data_9, 
      not_BC_TX_Data_8, not_BC_TX_Data_7, not_BC_TX_Data_6, not_BC_TX_Data_5, 
      rtlcn11076, not_rtlc64n5895, rtlcn11403, rtlcn11404, rtlcn12043, 
      rtlcn12045, rtlcn12047, rtlcn12049, rtlcn12051, rtlcn12069, rtlcn12070, 
      rtlcn12071, rtlcn12080, rtlcn12085: std_logic ;
   
   signal rtlcn12086: std_logic_vector (15 DOWNTO 0) ;
   
   signal rtlcn12089: std_logic_vector (14 DOWNTO 0) ;
   
   signal rtlcn12090: std_logic_vector (13 DOWNTO 0) ;
   
   signal not_rtlc55n276, rtlcs343, rtlcs344, rtlcs346, rtlcs347, rtlcs348, 
      rtlcs350, rtlcn14934, rtlcn14936, not_rtlcn14936, rtlcn14942, 
      not_rtlcn14942, rtlcn14946, not_rtlcn14946, rtlcn14956, rtlcn14957, 
      rtlcn14958, rtlcn14959, rtlcn14960, rtlcn14961, rtlcn14962, rtlcn14963, 
      Latched_Monitor_MIL1553_errors_invalid_command, 
      Latched_Monitor_MIL1553_errors_RT2RT_format_gap, 
      Latched_Monitor_MIL1553_errors_RT2RT_format_error, 
      Latched_Monitor_MIL1553_errors_Invalid_word, 
      Latched_Monitor_MIL1553_errors_incorrect_data_sync, 
      Latched_Monitor_MIL1553_errors_high_word_count, 
      Latched_Monitor_MIL1553_errors_Address_Parity, rtlcn15170, rtlcn15171
   : std_logic ;
   
   signal BC_msg_pointer_30n43s1f1: std_logic_vector (8 DOWNTO 0) ;
   
   signal BC_Stack_pointer_30n167s1f1: std_logic_vector (8 DOWNTO 0) ;
   
   signal VARAM_D_30n172s1f1: std_logic_vector (4 DOWNTO 0) ;
   
   signal VARAM_D_30n172s1f2: std_logic_vector (4 DOWNTO 0) ;
   
   signal NOT_BC_State_59, NOT_BC_State_12, not_rtlc64n7195, not_rtlc64n7873, 
      not_rtlc64n7923, g0_I1_I_d, g0_I1_not_I_d, g0_I2_I_d, g0_I2_not_I_d, 
      rtlc26_1090_or_59_nx0, rtlc30_1554_or_91_nx0, rtlc30n16290, 
      rtlc30_2362_or_116_nx0, rtlc30_3207_or_127_nx0, rtlc30_3711_or_129_nx0, 
      rtlc30_5650_and_132_nx0, rtlc36_334_and_144_nx0, 
      rtlc36_337_and_145_nx0, rtlc55_258_and_150_nx0, rtlc64_1057_or_152_nx0, 
      rtlc64_1061_or_153_nx0, rtlc64_2584_and_158_nx0, rtlc_3201_or_204_nx0, 
      rtlc_12521_or_464_nx0, rtlc_12579_or_465_nx0, rtlc_13619_or_466_nx0, 
      rtlc_13646_or_468_nx0, rtlc_13649_or_469_nx0, rtlc_13653_or_471_nx0, 
      rtlc_13669_or_472_nx0, rtlc_13699_and_474_nx0, rtlc_13717_and_475_nx0, 
      rtlc_13735_and_476_nx0, rtlc_13741_or_477_nx0, rtlc_13748_or_478_nx0, 
      rtlc_13759_or_480_nx0, rtlc_13763_or_481_nx0, rtlc_13809_or_485_nx0, 
      rtlc_13817_or_486_nx0, rtlc_13826_or_487_nx0, rtlc_13838_or_489_nx0, 
      rtlcn9001, rtlc_13873_and_491_nx0, rtlc_13908_and_494_nx0, 
      rtlc_13918_or_499_nx0, rtlc_13922_or_500_nx0, rtlc_13923_or_501_nx0, 
      rtlc_13925_or_502_nx0, rtlc_13948_and_503_nx0, rtlcs103, 
      eBC_TT_do_30n148s1, rtlc_14070_or_506_nx0, rtlc_14073_and_507_nx0, 
      rtlc_14086_or_508_nx0, rtlc_14101_and_510_nx0, rtlc_14109_or_511_nx0, 
      rtlcn2625, rtlc_14146_or_514_nx0, rtlc_14170_and_516_nx0, 
      rtlc_14171_or_517_nx0, rtlc_14175_and_518_nx0, rtlc_14182_and_519_nx0, 
      rtlc_14190_and_520_nx0, rtlc_14195_and_522_nx0, rtlc_14197_and_523_nx0, 
      rtlc_14208_and_524_nx0, rtlc_14215_and_526_nx0, rtlc_14218_or_528_nx0, 
      rtlc_14224_and_529_nx0, rtlc_14233_and_530_nx0, rtlc_14244_and_531_nx0, 
      rtlc_14256_and_533_nx0, rtlc_14257_or_534_nx0, rtlc_14297_and_539_nx0, 
      rtlc_14298_or_540_nx0, rtlc_14311_and_541_nx0, rtlc_14315_and_542_nx0, 
      rtlc_14347_and_543_nx0, rtlc_14349_and_544_nx0, rtlc_14350_and_545_nx0, 
      rtlc_14364_or_547_nx0, rtlc_14366_and_548_nx0, rtlc_14374_and_551_nx0, 
      rtlc_14393_and_554_nx0, rtlc_14397_and_556_nx0, rtlc_14401_and_557_nx0, 
      rtlc_14430_and_561_nx0, rtlc_14434_and_562_nx0, rtlc_14466_and_564_nx0, 
      rtlc_14481_and_566_nx0, rtlc_14484_and_567_nx0, rtlc_14492_or_568_nx0, 
      rtlc_14503_and_569_nx0, rtlc_14505_and_570_nx0, rtlc_14513_and_572_nx0, 
      rtlc_14527_and_573_nx0, rtlc_14536_and_574_nx0, rtlc_14540_and_575_nx0, 
      rtlc_14570_and_578_nx0, rtlc_14581_or_579_nx0, rtlc_14604_or_582_nx0, 
      rtlc_14632_and_583_nx0, rtlc_14656_and_585_nx0, rtlc_14671_and_586_nx0, 
      rtlc_14675_and_588_nx0, rtlc_14677_and_589_nx0, rtlc_14678_or_590_nx0, 
      rtlc_14679_or_591_nx0, rtlc_14691_and_593_nx0, rtlc_14721_and_595_nx0, 
      rtlc_14724_and_597_nx0, rtlc_14726_and_598_nx0, rtlc_14727_or_599_nx0, 
      rtlc_14730_and_600_nx0, rtlc_14736_and_602_nx0, rtlc_14747_and_604_nx0, 
      rtlc_14748_and_605_nx0, rtlc_14749_or_606_nx0, rtlc_14758_or_607_nx0, 
      rtlc_14765_and_609_nx0, rtlc_14772_and_611_nx0, rtlc_14777_or_612_nx0, 
      rtlc_14786_and_613_nx0, rtlc_14866_or_614_nx0, rtlc_14867_or_615_nx0, 
      rtlc_14868_and_616_nx0, rtlc_14869_and_617_nx0, rtlc_14870_and_618_nx0, 
      rtlc_14874_or_622_nx0, rtlc_14875_or_623_nx0, rtlc_14876_and_624_nx0, 
      rtlc_14877_or_625_nx0, rtlc_14880_and_627_nx0, rtlc_14881_or_628_nx0, 
      rtlc_14882_or_629_nx0, rtlc_16181_or_633_nx0, rtlc_16190_or_634_nx0, 
      rtlc_16223_or_636_nx0, rtlc_17390_and_645_nx0, rtlc_17401_and_646_nx0, 
      rtlc_17406_and_647_nx0, rtlc_17410_or_648_nx0, rtlc_17416_and_649_nx0, 
      rtlc_17428_and_650_nx0, rtlc_17430_and_651_nx0, rtlc_17433_and_652_nx0, 
      rtlc_17447_and_653_nx0, rtlc_17515_and_655_nx0, rtlc_17528_and_656_nx0, 
      rtlc_17576_and_659_nx0, rtlc55n276, rtlc_17609_or_661_nx0, rtlcn2757, 
      rtlc_17778_or_664_nx0, rtlc91n674, rtlc_17799_and_668_nx0, 
      rtlc_17801_and_670_nx0, rtlc_17802_and_671_nx0, rtlcn2415, 
      rtlc_17845_or_674_nx0, rtlc_17877_and_675_nx0, rtlc_17890_and_676_nx0, 
      rtlc_17895_and_677_nx0, rtlc_17904_and_678_nx0, rtlc_17939_and_679_nx0, 
      rtlc_18449_and_699_nx0, rtlc_18459_and_700_nx0, rtlc_18490_and_701_nx0, 
      rtlc_18787_and_721_nx0, rtlc_18792_and_722_nx0, rtlc_18801_and_724_nx0, 
      rtlc_18883_and_730_nx0, rtlc_19027_or_735_nx0, rtlc_19695_or_750_nx0, 
      rtlc_19696_or_751_nx0, nx99, nx105, nx113, nx120, nx146, nx149, nx153, 
      nx157, nx165, nx169, nx176, nx182, nx189, nx196, nx202, nx208, nx216, 
      nx223, nx229, nx235, nx242, nx250, nx258, nx265, nx272, nx280, nx288, 
      nx292, nx296, nx300, nx304, nx308, nx312, nx316, nx320, nx324, nx328, 
      nx332, nx336, nx340, nx344, nx348, nx352, nx356, nx360, nx366, nx372, 
      nx378, nx444, nx445, nx446, nx447, nx448, nx449, nx450, nx451, nx452, 
      nx453, nx454, nx455, nx456, nx457, nx458, nx459, nx460, rtlcn9876, 
      modgen_counter_Do_once_nx18, modgen_counter_Do_once_nx21, 
      modgen_counter_Do_once_nx24, modgen_counter_Do_once_nx26, 
      modgen_counter_Do_once_nx28, modgen_counter_Do_once_nx30, 
      modgen_counter_Do_once_nx32, modgen_counter_Do_once_nx34, 
      modgen_counter_Do_once_nx35, modgen_counter_Do_once_nx36, 
      modgen_counter_Do_once_nx37, modgen_counter_Do_once_nx40, 
      modgen_counter_Do_once_nx42, modgen_counter_Do_once_nx44, 
      modgen_counter_Do_once_nx46, modgen_counter_Do_once_nx48, 
      modgen_counter_Do_once_dec_nx28, modgen_counter_Do_once_dec_nx42, 
      modgen_counter_Do_once_dec_nx56, nx593: std_logic ;
   
   signal Do_once: std_logic_vector (4 DOWNTO 0) ;
   
   signal nx598, nx602, nx606, nx610, nx635, nx700, nx702, nx704, nx706, 
      nx709, nx711, nx713, nx715, nx717, nx719, nx721, nx723, nx725, nx727, 
      nx735, nx737, nx739, nx741, nx743, nx745, nx747, nx749, nx751, nx753, 
      nx755, nx757, nx759, nx762: std_logic ;
   
   signal DANGLING : std_logic_vector (25 downto 0 );

begin
   BC_RT2RT <= BC_RT2RT_EXMPLR797 ;
   BC_Test <= BC_Test_EXMPLR798 ;
   IP_Freq_sel(1) <= debug_EXMPLR1018(15) ;
   IP_Freq_sel(0) <= debug_EXMPLR1018(15) ;
   TT_Load <= debug_EXMPLR1018(15) ;
   Tails_WE_vec(1) <= debug_EXMPLR1018(15) ;
   Tails_WE_vec(0) <= debug_EXMPLR1018(15) ;
   debug(15) <= debug_EXMPLR1018(15) ;
   debug(14) <= debug_EXMPLR1018(15) ;
   debug(13) <= debug_EXMPLR1018(15) ;
   debug(12) <= debug_EXMPLR1018(15) ;
   debug(11) <= debug_EXMPLR1018(15) ;
   debug(10) <= debug_EXMPLR1018(15) ;
   debug(9) <= debug_EXMPLR1018(15) ;
   debug(8) <= debug_EXMPLR1018(15) ;
   debug(7) <= debug_EXMPLR1018(15) ;
   debug(6) <= debug_EXMPLR1018(15) ;
   debug(5) <= debug_EXMPLR1018(15) ;
   debug(4) <= debug_EXMPLR1018(15) ;
   debug(3) <= debug_EXMPLR1018(15) ;
   debug(2) <= debug_EXMPLR1018(15) ;
   debug(1) <= debug_EXMPLR1018(15) ;
   debug(0) <= debug_EXMPLR1018(15) ;
   n16Mhz_12 <= debug_EXMPLR1018(15) ;
   pTDR_CS <= debug_EXMPLR1018(15) ;
   BC_1553A <= BC_1553A_EXMPLR879 ;
   BC_BUS_A <= BC_BUS_A_EXMPLR880 ;
   BC_Go <= BC_Go_EXMPLR881 ;
   BC_TX_Data(10) <= BC_TX_Data_10_EXMPLR887 ;
   BC_TX_Data(9) <= BC_TX_Data_9_EXMPLR888 ;
   BC_TX_Data(8) <= BC_TX_Data_8_EXMPLR889 ;
   BC_TX_Data(7) <= BC_TX_Data_7_EXMPLR890 ;
   BC_TX_Data(6) <= BC_TX_Data_6_EXMPLR891 ;
   BC_TX_Data(5) <= BC_TX_Data_5_EXMPLR892 ;
   BC_TX_Data(4) <= BC_TX_Data_4_EXMPLR893 ;
   BC_TX_Data(3) <= BC_TX_Data_3_EXMPLR894 ;
   BC_TX_Data(2) <= BC_TX_Data_2_EXMPLR895 ;
   BC_TX_Data(1) <= BC_TX_Data_1_EXMPLR896 ;
   BC_TX_Data(0) <= BC_TX_Data_0_EXMPLR897 ;
   BC_on <= BC_on_EXMPLR898 ;
   Config_reg_4(15) <= debug_EXMPLR1018(15) ;
   Config_reg_4(14) <= debug_EXMPLR1018(15) ;
   Config_reg_4(13) <= debug_EXMPLR1018(15) ;
   Config_reg_4(12) <= debug_EXMPLR1018(15) ;
   Config_reg_4(11) <= debug_EXMPLR1018(15) ;
   Config_reg_4(10) <= debug_EXMPLR1018(15) ;
   Config_reg_4(9) <= debug_EXMPLR1018(15) ;
   Config_reg_4(8) <= debug_EXMPLR1018(15) ;
   Config_reg_4(7) <= debug_EXMPLR1018(15) ;
   Config_reg_4(6) <= Config_reg_4_EXMPLR1013(6) ;
   Config_reg_4(5) <= Config_reg_4_EXMPLR1013(5) ;
   Config_reg_4(4) <= debug_EXMPLR1018(15) ;
   Config_reg_4(3) <= debug_EXMPLR1018(15) ;
   Config_reg_4(2) <= debug_EXMPLR1018(15) ;
   Config_reg_4(1) <= debug_EXMPLR1018(15) ;
   Config_reg_4(0) <= debug_EXMPLR1018(15) ;
   Data_to_FE(15) <= Data_to_FE_EXMPLR1014(15) ;
   Data_to_FE(14) <= Data_to_FE_EXMPLR1014(14) ;
   Data_to_FE(13) <= Data_to_FE_EXMPLR1014(13) ;
   Data_to_FE(12) <= Data_to_FE_EXMPLR1014(12) ;
   Data_to_FE(11) <= Data_to_FE_EXMPLR1014(11) ;
   Data_to_FE(10) <= Data_to_FE_EXMPLR1014(10) ;
   Data_to_FE(9) <= Data_to_FE_EXMPLR1014(9) ;
   Data_to_FE(8) <= Data_to_FE_EXMPLR1014(8) ;
   Data_to_FE(7) <= Data_to_FE_EXMPLR1014(7) ;
   Data_to_FE(6) <= Data_to_FE_EXMPLR1014(6) ;
   Data_to_FE(5) <= Data_to_FE_EXMPLR1014(5) ;
   Data_to_FE(4) <= Data_to_FE_EXMPLR1014(4) ;
   Data_to_FE(3) <= Data_to_FE_EXMPLR1014(3) ;
   Data_to_FE(2) <= Data_to_FE_EXMPLR1014(2) ;
   Data_to_FE(1) <= Data_to_FE_EXMPLR1014(1) ;
   Data_to_FE(0) <= Data_to_FE_EXMPLR1014(0) ;
   Do_illegal <= Do_illegal_EXMPLR931 ;
   MODE_CODE1553A <= MODE_CODE1553A_EXMPLR932 ;
   NO_BCST <= debug_EXMPLR1018(15) ;
   RT_Address(5) <= debug_EXMPLR1018(15) ;
   RT_Address(4) <= debug_EXMPLR1018(15) ;
   RT_Address(3) <= debug_EXMPLR1018(15) ;
   RT_Address(2) <= debug_EXMPLR1018(15) ;
   RT_Address(1) <= debug_EXMPLR1018(15) ;
   RT_Address(0) <= debug_EXMPLR1018(15) ;
   RT_On <= RT_On_EXMPLR939 ;
   ResetN <= ResetN_EXMPLR940 ;
   WM_Ack <= WM_Ack_EXMPLR941 ;
   WM_Started <= WM_Started_EXMPLR942 ;
   host_status_bits(3) <= host_status_bits_3_EXMPLR950 ;
   illegal_message <= illegal_message_EXMPLR954 ;
   time_tag(15) <= time_tag_EXMPLR1017(15) ;
   time_tag(14) <= time_tag_EXMPLR1017(14) ;
   time_tag(13) <= time_tag_EXMPLR1017(13) ;
   time_tag(12) <= time_tag_EXMPLR1017(12) ;
   time_tag(11) <= time_tag_EXMPLR1017(11) ;
   time_tag(10) <= time_tag_EXMPLR1017(10) ;
   time_tag(9) <= time_tag_EXMPLR1017(9) ;
   time_tag(8) <= time_tag_EXMPLR1017(8) ;
   time_tag(7) <= time_tag_EXMPLR1017(7) ;
   time_tag(6) <= time_tag_EXMPLR1017(6) ;
   time_tag(5) <= time_tag_EXMPLR1017(5) ;
   time_tag(4) <= time_tag_EXMPLR1017(4) ;
   time_tag(3) <= time_tag_EXMPLR1017(3) ;
   time_tag(2) <= time_tag_EXMPLR1017(2) ;
   time_tag(1) <= time_tag_EXMPLR1017(1) ;
   time_tag(0) <= time_tag_EXMPLR1017(0) ;
   debug_EXMPLR1018(15) <= '0' ;
   PWR <= '1' ;
   g0_I5 : RAM2_5_16_1 port map ( D(15)=>VARAM_D(15), D(14)=>VARAM_D(14), 
      D(13)=>VARAM_D(13), D(12)=>VARAM_D(12), D(11)=>VARAM_D(11), D(10)=>
      VARAM_D(10), D(9)=>VARAM_D(9), D(8)=>VARAM_D(8), D(7)=>VARAM_D(7), 
      D(6)=>VARAM_D(6), D(5)=>VARAM_D(5), D(4)=>VARAM_D(4), D(3)=>VARAM_D(3), 
      D(2)=>VARAM_D(2), D(1)=>VARAM_D(1), D(0)=>VARAM_D(0), A(4)=>
      VARAM_ADD(4), A(3)=>VARAM_ADD(3), A(2)=>VARAM_ADD(2), A(1)=>
      VARAM_ADD(1), A(0)=>VARAM_ADD(0), WE=>VARAM_WE, Q(15)=>VARAM_Q(15), 
      Q(14)=>VARAM_Q(14), Q(13)=>VARAM_Q(13), Q(12)=>VARAM_Q(12), Q(11)=>
      VARAM_Q(11), Q(10)=>VARAM_Q(10), Q(9)=>VARAM_Q(9), Q(8)=>VARAM_Q(8), 
      Q(7)=>VARAM_Q(7), Q(6)=>VARAM_Q(6), Q(5)=>VARAM_Q(5), Q(4)=>VARAM_Q(4), 
      Q(3)=>VARAM_Q(3), Q(2)=>VARAM_Q(2), Q(1)=>VARAM_Q(1), Q(0)=>VARAM_Q(0), 
      Clock=>clock);
   eBC_Conditions_9 <= eBC_Conditions_9_0n0s2 OR BC_Sts_Word(3) ;
   eBC_Conditions_9_0n0s2 <= eBC_Conditions_9_0n0s3 OR BC_Sts_Word(2) ;
   eBC_Conditions_9_0n0s3 <= BC_Sts_Word(0) OR BC_Sts_Word(1) ;
   Ext_Trigger_Dx <= Ext_Trigger_Dx_0n0s2 AND Config_reg_1(7) ;
   Ext_Trigger_Dx_0n0s2 <= Ext_Trigger_Dx_0n0s4 AND Ext_Trigger_Dx_0n0s6 ;
   Ext_Trigger_Dx_0n0s4 <= Ext_Trigger_D AND not_Ext_Trigger_DD ;
   not_Ext_Trigger_DD <= NOT Ext_Trigger_DD ;
   Ext_Trigger_Dx_0n0s6 <= BC_on_EXMPLR898 OR WM_On ;
   test_complete <= Test_Status_reg_15 OR Test_Status_reg_7 ;
   RETRY_ON_1553A <= Config_reg_4_EXMPLR1013(10) AND BC_1553A_EXMPLR879 ;
   rtlc0n18 <= not_SP AND not_stack_pointer_7 ;
   not_stack_pointer_7 <= NOT stack_pointer(7) ;
   ADDr_i_A_select_0Bus1_0 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_Address(0), b(1)=>BC_Ram_Address(0), b(0)=>Ram_Address(0), 
      d=>ADDr_i_A(0));
   ADDr_i_A_select_0Bus1_1 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_Address(1), b(1)=>BC_Ram_Address(1), b(0)=>Ram_Address(1), 
      d=>ADDr_i_A(1));
   ADDr_i_A_select_0Bus1_2 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_Address(2), b(1)=>BC_Ram_Address(2), b(0)=>Ram_Address(2), 
      d=>ADDr_i_A(2));
   ADDr_i_A_select_0Bus1_3 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_Address(3), b(1)=>BC_Ram_Address(3), b(0)=>Ram_Address(3), 
      d=>ADDr_i_A(3));
   ADDr_i_A_select_0Bus1_4 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_Address(4), b(1)=>BC_Ram_Address(4), b(0)=>Ram_Address(4), 
      d=>ADDr_i_A(4));
   ADDr_i_A_select_0Bus1_5 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_Address(5), b(1)=>BC_Ram_Address(5), b(0)=>Ram_Address(5), 
      d=>ADDr_i_A(5));
   ADDr_i_A_select_0Bus1_6 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_Address(6), b(1)=>BC_Ram_Address(6), b(0)=>Ram_Address(6), 
      d=>ADDr_i_A(6));
   ADDr_i_A_select_0Bus1_7 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_Address(7), b(1)=>BC_Ram_Address(7), b(0)=>Ram_Address(7), 
      d=>ADDr_i_A(7));
   ADDr_i_A_select_0Bus1_8 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_Address(8), b(1)=>BC_Ram_Address(8), b(0)=>Ram_Address(8), 
      d=>ADDr_i_A(8));
   ADDr_i_A_select_0Bus1_9 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_Address(9), b(1)=>BC_Ram_Address(9), b(0)=>Ram_Address(9), 
      d=>ADDr_i_A(9));
   ADDr_i_A_select_0Bus1_10 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_Address(10), b(1)=>BC_Ram_Address(10), b(0)=>
      Ram_Address(10), d=>ADDr_i_A(10));
   ADDr_i_A_select_0Bus1_11 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_Address(11), b(1)=>BC_Ram_Address(11), b(0)=>
      Ram_Address(11), d=>ADDr_i_A(11));
   ADDr_i_A_select_0Bus1_12 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_Address(12), b(1)=>BC_Ram_Address(12), b(0)=>
      Ram_Address(12), d=>ADDr_i_A(12));
   ADDr_i_A_select_0Bus1_13 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_Address(13), b(1)=>BC_Ram_Address(13), b(0)=>
      Ram_Address(13), d=>ADDr_i_A(13));
   ADDr_i_A_select_0Bus1_14 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_Address(14), b(1)=>BC_Ram_Address(14), b(0)=>
      Ram_Address(14), d=>ADDr_i_A(14));
   ADDr_i_A_select_0Bus1_15 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_Address(15), b(1)=>BC_Ram_Address(15), b(0)=>
      Ram_Address(15), d=>ADDr_i_A(15));
   not_BC_State_1 <= NOT BC_State(1) ;
   rtlc2n30 <= BC_on_EXMPLR898 AND not_BC_State_1 ;
   not_WM_Started <= NOT WM_Started_EXMPLR942 ;
   rtlc2_P5_SS0_n33 <= not_WM_Started AND rtlc2n30 ;
   Data_i_A_select_16Bus6_0 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_data_i(0), b(1)=>BC_Ram_data(0), b(0)=>Ram_data_i(0), d=>
      Data_i_A(0));
   Data_i_A_select_16Bus6_1 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_data_i(1), b(1)=>BC_Ram_data(1), b(0)=>Ram_data_i(1), d=>
      Data_i_A(1));
   Data_i_A_select_16Bus6_2 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_data_i(2), b(1)=>BC_Ram_data(2), b(0)=>Ram_data_i(2), d=>
      Data_i_A(2));
   Data_i_A_select_16Bus6_3 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_data_i(3), b(1)=>BC_Ram_data(3), b(0)=>Ram_data_i(3), d=>
      Data_i_A(3));
   Data_i_A_select_16Bus6_4 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_data_i(4), b(1)=>BC_Ram_data(4), b(0)=>Ram_data_i(4), d=>
      Data_i_A(4));
   Data_i_A_select_16Bus6_5 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_data_i(5), b(1)=>BC_Ram_data(5), b(0)=>Ram_data_i(5), d=>
      Data_i_A(5));
   Data_i_A_select_16Bus6_6 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_data_i(6), b(1)=>BC_Ram_data(6), b(0)=>Ram_data_i(6), d=>
      Data_i_A(6));
   Data_i_A_select_16Bus6_7 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_data_i(7), b(1)=>BC_Ram_data(7), b(0)=>Ram_data_i(7), d=>
      Data_i_A(7));
   Data_i_A_select_16Bus6_8 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_data_i(8), b(1)=>BC_Ram_data(8), b(0)=>Ram_data_i(8), d=>
      Data_i_A(8));
   Data_i_A_select_16Bus6_9 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_data_i(9), b(1)=>BC_Ram_data(9), b(0)=>Ram_data_i(9), d=>
      Data_i_A(9));
   Data_i_A_select_16Bus6_10 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_data_i(10), b(1)=>BC_Ram_data(10), b(0)=>Ram_data_i(10), 
      d=>Data_i_A(10));
   Data_i_A_select_16Bus6_11 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_data_i(11), b(1)=>BC_Ram_data(11), b(0)=>Ram_data_i(11), 
      d=>Data_i_A(11));
   Data_i_A_select_16Bus6_12 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_data_i(12), b(1)=>BC_Ram_data(12), b(0)=>Ram_data_i(12), 
      d=>Data_i_A(12));
   Data_i_A_select_16Bus6_13 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_data_i(13), b(1)=>BC_Ram_data(13), b(0)=>Ram_data_i(13), 
      d=>Data_i_A(13));
   Data_i_A_select_16Bus6_14 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_data_i(14), b(1)=>BC_Ram_data(14), b(0)=>Ram_data_i(14), 
      d=>Data_i_A(14));
   Data_i_A_select_16Bus6_15 : select_3_3 port map ( a(2)=>
      WM_Started_EXMPLR942, a(1)=>rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, 
      b(2)=>WM_RAM_data_i(15), b(1)=>BC_Ram_data(15), b(0)=>Ram_data_i(15), 
      d=>Data_i_A(15));
   WE_A_select_32 : select_3_3 port map ( a(2)=>WM_Started_EXMPLR942, a(1)=>
      rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, b(2)=>WM_RAM_WE, b(1)=>
      BC_Ram_WE, b(0)=>Ram_WE, d=>WE_A);
   RE_A_select_33 : select_3_3 port map ( a(2)=>WM_Started_EXMPLR942, a(1)=>
      rtlc2_P5_SS0_n33, a(0)=>not_rtlcn1222, b(2)=>WM_Ram_RE, b(1)=>
      BC_Ram_RE, b(0)=>Ram_RE, d=>RE_A);
   not_SW_Reset <= NOT SW_Reset ;
   not_MEM_nREG <= NOT MEM_nREG ;
   not_BC_SP <= NOT BC_SP ;
   rtlc13n13 <= BC_SP_D AND not_BC_SP ;
   rtlc14n16 <= MEM_nREG AND CPU_CS ;
   rtlc17n20 <= not_Config_reg_6_5 OR not_RTAD_SW_EN ;
   rtlc17n22 <= rtlc17n20 OR not_RT_ADR_LAT ;
   not_Config_reg_6_5 <= NOT Config_reg_6_5 ;
   not_RTAD_SW_EN <= NOT RTAD_SW_EN ;
   not_RT_ADR_LAT <= NOT RT_ADR_LAT ;
   Latched_Monitor_MIL1553_errors_0_26n1s1 <= 
   Latched_Monitor_MIL1553_errors_invalid_command OR 
   Monitor_MIL1553_errors_invalid_command ;
   Latched_Monitor_MIL1553_errors_1_26n1s2 <= 
   Latched_Monitor_MIL1553_errors_RT2RT_format_gap OR 
   Monitor_MIL1553_errors_RT2RT_format_gap ;
   Latched_Monitor_MIL1553_errors_2_26n1s3 <= 
   Latched_Monitor_MIL1553_errors_RT2RT_format_error OR 
   Monitor_MIL1553_errors_RT2RT_format_error ;
   Latched_Monitor_MIL1553_errors_3_26n1s4 <= 
   Latched_Monitor_MIL1553_errors_Invalid_word OR 
   Monitor_MIL1553_errors_Invalid_word ;
   Latched_Monitor_MIL1553_errors_4_26n1s5 <= 
   Latched_Monitor_MIL1553_errors_incorrect_data_sync OR 
   Monitor_MIL1553_errors_incorrect_data_sync ;
   Latched_Monitor_MIL1553_errors_5_26n1s6 <= 
   Latched_Monitor_MIL1553_errors_5_26n1s7 OR 
   Monitor_MIL1553_errors_Low_word_count ;
   Latched_Monitor_MIL1553_errors_5_26n1s7 <= 
   Latched_Monitor_MIL1553_errors_high_word_count OR 
   Monitor_MIL1553_errors_high_word_count ;
   Latched_Monitor_MIL1553_errors_6_26n1s8 <= 
   Latched_Monitor_MIL1553_errors_Address_Parity OR 
   Monitor_MIL1553_errors_Address_Parity ;
   Latched_Monitor_data_stack_rollover_26n1s1 <= 
   Latched_Monitor_data_stack_rollover OR Monitor_data_stack_rollover ;
   Latched_Monitor_ended_OK_26n1s1 <= Latched_Monitor_ended_OK OR 
   Monitor_MIL1553_errors_Inhibit_TF ;
   Ram_data_i_8_26n8s3 <= MIL1553_errors_echo_back_bus_A OR 
   MIL1553_errors_echo_back_bus_B ;
   not_bus_A <= NOT bus_A ;
   not_data_pointer_5 <= NOT data_pointer(5) ;
   rtlc26n9511 <= EOM_phase(1) OR EOM_phase(3) ;
   rtlc26n9513 <= EOM_phase(0) OR EOM_phase(1) ;
   not_rtlc26n9513 <= NOT rtlc26n9513 ;
   Ram_data_i_select_26i1Bus87_0 : select_4_4 port map ( a(3)=>EOM_phase(0), 
      a(2)=>EOM_phase(1), a(1)=>rtlc26n9531, a(0)=>EOM_phase(3), b(3)=>
      Ram_data_i_0_26n2s1, b(2)=>debug_EXMPLR1018(15), b(1)=>data_pointer(0), 
      b(0)=>stack_pointer(0), d=>Ram_data_i_26n27ss1(0));
   rtlc26n9531 <= EOM_phase(2) OR EOM_phase(4) ;
   Ram_data_i_select_26i1Bus87_1 : select_4_4 port map ( a(3)=>EOM_phase(0), 
      a(2)=>EOM_phase(1), a(1)=>rtlc26n9531, a(0)=>EOM_phase(3), b(3)=>
      Ram_data_i_1_26n2s3, b(2)=>debug_EXMPLR1018(15), b(1)=>data_pointer(1), 
      b(0)=>stack_pointer(1), d=>Ram_data_i_26n27ss1(1));
   Ram_data_i_select_26i1Bus87_2 : select_4_4 port map ( a(3)=>EOM_phase(0), 
      a(2)=>EOM_phase(1), a(1)=>rtlc26n9531, a(0)=>EOM_phase(3), b(3)=>
      Ram_data_i_2_26n2s4, b(2)=>debug_EXMPLR1018(15), b(1)=>data_pointer(2), 
      b(0)=>stack_pointer(2), d=>Ram_data_i_26n27ss1(2));
   Ram_data_i_select_26i1Bus87_3 : select_4_4 port map ( a(3)=>EOM_phase(0), 
      a(2)=>EOM_phase(1), a(1)=>rtlc26n9531, a(0)=>EOM_phase(3), b(3)=>
      Ram_data_i_3_26n2s5, b(2)=>debug_EXMPLR1018(15), b(1)=>data_pointer(3), 
      b(0)=>stack_pointer(3), d=>Ram_data_i_26n27ss1(3));
   Ram_data_i_select_26i1Bus87_4 : select_4_4 port map ( a(3)=>EOM_phase(0), 
      a(2)=>EOM_phase(1), a(1)=>rtlc26n9531, a(0)=>EOM_phase(3), b(3)=>
      Ram_data_i_4_26n2s6, b(2)=>debug_EXMPLR1018(15), b(1)=>data_pointer(4), 
      b(0)=>stack_pointer(4), d=>Ram_data_i_26n27ss1(4));
   Ram_data_i_select_26i6 : select_5_5 port map ( a(4)=>EOM_phase(0), a(3)=>
      EOM_phase(1), a(2)=>EOM_phase(2), a(1)=>EOM_phase(3), a(0)=>
      EOM_phase(4), b(4)=>Ram_data_i_5_26n2s7, b(3)=>debug_EXMPLR1018(15), 
      b(2)=>not_data_pointer_5, b(1)=>stack_pointer(5), b(0)=>
      data_pointer(5), d=>Ram_data_i_26n27ss1(5));
   Ram_data_i_select_26i7Bus88_6 : select_4_4 port map ( a(3)=>EOM_phase(0), 
      a(2)=>EOM_phase(1), a(1)=>rtlc26n9531, a(0)=>EOM_phase(3), b(3)=>
      Ram_data_i_6_26n2s8, b(2)=>illegal_message_EXMPLR954, b(1)=>
      data_pointer(6), b(0)=>stack_pointer(6), d=>Ram_data_i_26n27ss1(6));
   Ram_data_i_select_26i7Bus88_8 : select_4_4 port map ( a(3)=>EOM_phase(0), 
      a(2)=>EOM_phase(1), a(1)=>rtlc26n9531, a(0)=>EOM_phase(3), b(3)=>
      Ram_data_i_8_26n2s10, b(2)=>Ram_data_i_8_26n8s3, b(1)=>data_pointer(8), 
      b(0)=>stack_pointer(8), d=>Ram_data_i_26n27ss1(8));
   Ram_data_i_select_26i9 : select_4_4 port map ( a(3)=>EOM_phase(0), a(2)=>
      EOM_phase(1), a(1)=>rtlc26n9531, a(0)=>EOM_phase(3), b(3)=>
      Ram_data_i_11_26n2s14, b(2)=>RT2RT_Message, b(1)=>data_pointer(11), 
      b(0)=>stack_pointer(11), d=>Ram_data_i_26n27ss1(11));
   Ram_data_i_select_26i10 : select_4_4 port map ( a(3)=>EOM_phase(0), a(2)
      =>EOM_phase(1), a(1)=>rtlc26n9531, a(0)=>EOM_phase(3), b(3)=>
      debug_EXMPLR1018(15), b(2)=>PWR, b(1)=>data_pointer(15), b(0)=>
      stack_pointer(15), d=>Ram_data_i_26n27ss1(15));
   rtlc26n9547 <= EOM_phase(0) OR EOM_phase(4) ;
   not_rtlc26n9547 <= NOT rtlc26n9547 ;
   illegal_message_mux_26i11 : mux_16u_16u port map ( a(15)=>Data_o_temp(15), 
      a(14)=>Data_o_temp(14), a(13)=>Data_o_temp(13), a(12)=>Data_o_temp(12), 
      a(11)=>Data_o_temp(11), a(10)=>Data_o_temp(10), a(9)=>Data_o_temp(9), 
      a(8)=>Data_o_temp(8), a(7)=>Data_o_temp(7), a(6)=>Data_o_temp(6), a(5)
      =>Data_o_temp(5), a(4)=>Data_o_temp(4), a(3)=>Data_o_temp(3), a(2)=>
      Data_o_temp(2), a(1)=>Data_o_temp(1), a(0)=>Data_o_temp(0), b(15)=>
      debug_EXMPLR1018(15), b(14)=>debug_EXMPLR1018(15), b(13)=>
      debug_EXMPLR1018(15), b(12)=>debug_EXMPLR1018(15), b(11)=>
      debug_EXMPLR1018(15), b(10)=>debug_EXMPLR1018(15), b(9)=>
      debug_EXMPLR1018(15), b(8)=>debug_EXMPLR1018(15), b(7)=>
      debug_EXMPLR1018(15), b(6)=>debug_EXMPLR1018(15), b(5)=>
      debug_EXMPLR1018(15), b(4)=>debug_EXMPLR1018(15), b(3)=>
      Current_command(3), b(2)=>Current_command(2), b(1)=>Current_command(1), 
      b(0)=>Current_command(0), d=>illegal_message_26n30s1);
   not_Current_command_10 <= NOT Current_command(10) ;
   rtlc26_434_or_45 : or_4u_4u port map ( a(3)=>SOM_phase_1, a(2)=>
      Do_illegal_EXMPLR931, a(1)=>SOM_phase_3, a(0)=>SOM_phase_7, d=>
      rtlc26n9588);
   Ram_data_i_select_26i12Bus95_0 : select_5_5 port map ( a(4)=>
      not_rtlc26n9590, a(3)=>SOM_phase_4, a(2)=>SOM_phase_5, a(1)=>
      SOM_phase_6, a(0)=>SOM_phase_8, b(4)=>Ram_data_i_26n27ss1(0), b(3)=>
      debug_EXMPLR1018(15), b(2)=>Current_command(0), b(1)=>
      time_tag_EXMPLR1017(0), b(0)=>data_pointer(0), d=>
      Ram_data_i_26n47ss1_0);
   Ram_data_i_select_26i12Bus95_1 : select_5_5 port map ( a(4)=>
      not_rtlc26n9590, a(3)=>SOM_phase_4, a(2)=>SOM_phase_5, a(1)=>
      SOM_phase_6, a(0)=>SOM_phase_8, b(4)=>Ram_data_i_26n27ss1(1), b(3)=>
      debug_EXMPLR1018(15), b(2)=>Current_command(1), b(1)=>
      time_tag_EXMPLR1017(1), b(0)=>data_pointer(1), d=>
      Ram_data_i_26n47ss1_1);
   Ram_data_i_select_26i12Bus95_2 : select_5_5 port map ( a(4)=>
      not_rtlc26n9590, a(3)=>SOM_phase_4, a(2)=>SOM_phase_5, a(1)=>
      SOM_phase_6, a(0)=>SOM_phase_8, b(4)=>Ram_data_i_26n27ss1(2), b(3)=>
      debug_EXMPLR1018(15), b(2)=>Current_command(2), b(1)=>
      time_tag_EXMPLR1017(2), b(0)=>data_pointer(2), d=>
      Ram_data_i_26n47ss1_2);
   Ram_data_i_select_26i12Bus95_3 : select_5_5 port map ( a(4)=>
      not_rtlc26n9590, a(3)=>SOM_phase_4, a(2)=>SOM_phase_5, a(1)=>
      SOM_phase_6, a(0)=>SOM_phase_8, b(4)=>Ram_data_i_26n27ss1(3), b(3)=>
      debug_EXMPLR1018(15), b(2)=>Current_command(3), b(1)=>
      time_tag_EXMPLR1017(3), b(0)=>data_pointer(3), d=>
      Ram_data_i_26n47ss1_3);
   Ram_data_i_select_26i12Bus95_4 : select_5_5 port map ( a(4)=>
      not_rtlc26n9590, a(3)=>SOM_phase_4, a(2)=>SOM_phase_5, a(1)=>
      SOM_phase_6, a(0)=>SOM_phase_8, b(4)=>Ram_data_i_26n27ss1(4), b(3)=>
      debug_EXMPLR1018(15), b(2)=>Current_command(4), b(1)=>
      time_tag_EXMPLR1017(4), b(0)=>data_pointer(4), d=>
      Ram_data_i_26n47ss1_4);
   Ram_data_i_select_26i12Bus95_5 : select_5_5 port map ( a(4)=>
      not_rtlc26n9590, a(3)=>SOM_phase_4, a(2)=>SOM_phase_5, a(1)=>
      SOM_phase_6, a(0)=>SOM_phase_8, b(4)=>Ram_data_i_26n27ss1(5), b(3)=>
      debug_EXMPLR1018(15), b(2)=>Current_command(5), b(1)=>
      time_tag_EXMPLR1017(5), b(0)=>data_pointer(5), d=>
      Ram_data_i_26n47ss1_5);
   Ram_data_i_select_26i12Bus95_6 : select_5_5 port map ( a(4)=>
      not_rtlc26n9590, a(3)=>SOM_phase_4, a(2)=>SOM_phase_5, a(1)=>
      SOM_phase_6, a(0)=>SOM_phase_8, b(4)=>Ram_data_i_26n27ss1(6), b(3)=>
      debug_EXMPLR1018(15), b(2)=>Current_command(6), b(1)=>
      time_tag_EXMPLR1017(6), b(0)=>data_pointer(6), d=>
      Ram_data_i_26n47ss1_6);
   Ram_data_i_select_26i12Bus95_7 : select_5_5 port map ( a(4)=>
      not_rtlc26n9590, a(3)=>SOM_phase_4, a(2)=>SOM_phase_5, a(1)=>
      SOM_phase_6, a(0)=>SOM_phase_8, b(4)=>Ram_data_i_26n27ss1(7), b(3)=>
      debug_EXMPLR1018(15), b(2)=>Current_command(7), b(1)=>
      time_tag_EXMPLR1017(7), b(0)=>data_pointer(7), d=>
      Ram_data_i_26n47ss1_7);
   Ram_data_i_select_26i12Bus95_8 : select_5_5 port map ( a(4)=>
      not_rtlc26n9590, a(3)=>SOM_phase_4, a(2)=>SOM_phase_5, a(1)=>
      SOM_phase_6, a(0)=>SOM_phase_8, b(4)=>Ram_data_i_26n27ss1(8), b(3)=>
      debug_EXMPLR1018(15), b(2)=>Current_command(8), b(1)=>
      time_tag_EXMPLR1017(8), b(0)=>data_pointer(8), d=>
      Ram_data_i_26n47ss1_8);
   Ram_data_i_select_26i21 : select_5_5 port map ( a(4)=>not_rtlc26n9590, 
      a(3)=>SOM_phase_4, a(2)=>SOM_phase_5, a(1)=>SOM_phase_6, a(0)=>
      SOM_phase_8, b(4)=>Ram_data_i_26n27ss1(11), b(3)=>debug_EXMPLR1018(15), 
      b(2)=>Current_command(11), b(1)=>time_tag_EXMPLR1017(11), b(0)=>
      data_pointer(11), d=>Ram_data_i_26n47ss1_11);
   Ram_data_i_select_26i22 : select_5_5 port map ( a(4)=>not_rtlc26n9590, 
      a(3)=>SOM_phase_4, a(2)=>SOM_phase_5, a(1)=>SOM_phase_6, a(0)=>
      SOM_phase_8, b(4)=>Ram_data_i_26n27ss1(15), b(3)=>debug_EXMPLR1018(15), 
      b(2)=>Current_command(15), b(1)=>time_tag_EXMPLR1017(15), b(0)=>
      data_pointer(15), d=>Ram_data_i_26n47ss1_15);
   rtlc26n9674 <= rtlcs58 OR rtlcs95 ;
   Ram_data_i_12_26n75s1 <= MM_Error_detected OR 
   Latched_Monitor_MIL1553_errors_Address_Parity ;
   rtlc26n9764 <= rtlcs57 OR rtlcs54 ;
   Record_enable_26n84s1 <= Record_enable_26n84s2 AND Config_reg_1(12) ;
   Record_enable_mux_26i23 : mux_16u_16u port map ( a(15)=>Data_o_temp(15), 
      a(14)=>Data_o_temp(14), a(13)=>Data_o_temp(13), a(12)=>Data_o_temp(12), 
      a(11)=>Data_o_temp(11), a(10)=>Data_o_temp(10), a(9)=>Data_o_temp(9), 
      a(8)=>Data_o_temp(8), a(7)=>Data_o_temp(7), a(6)=>Data_o_temp(6), a(5)
      =>Data_o_temp(5), a(4)=>Data_o_temp(4), a(3)=>Data_o_temp(3), a(2)=>
      Data_o_temp(2), a(1)=>Data_o_temp(1), a(0)=>Data_o_temp(0), b(15)=>
      debug_EXMPLR1018(15), b(14)=>debug_EXMPLR1018(15), b(13)=>
      debug_EXMPLR1018(15), b(12)=>debug_EXMPLR1018(15), b(11)=>
      debug_EXMPLR1018(15), b(10)=>debug_EXMPLR1018(15), b(9)=>
      debug_EXMPLR1018(15), b(8)=>debug_EXMPLR1018(15), b(7)=>
      debug_EXMPLR1018(15), b(6)=>debug_EXMPLR1018(15), b(5)=>
      debug_EXMPLR1018(15), b(4)=>debug_EXMPLR1018(15), b(3)=>
      Monitor_Active_command(8), b(2)=>Monitor_Active_command(7), b(1)=>
      Monitor_Active_command(6), b(0)=>Monitor_Active_command(5), d=>
      Record_enable_26n84s2);
   Ram_Address_select_26i93Bus106_1 : select_4_4 port map ( a(3)=>
      MON_SOM_phase(0), a(2)=>MON_SOM_phase(1), a(1)=>not_rtlcn8754, a(0)=>
      rtlc26n9769, b(3)=>Ram_Address_26n82ss1(1), b(2)=>
      Monitor_Active_command(10), b(1)=>PWR, b(0)=>debug_EXMPLR1018(15), d=>
      Ram_Address_26n100ss1(1));
   rtlc26n9769 <= MON_SOM_phase(4) OR MON_SOM_phase(5) ;
   rtlc26n9771 <= MON_SOM_phase(2) OR MON_SOM_phase(3) ;
   Ram_data_i_select_26i25Bus109_0 : select_5_5 port map ( a(4)=>rtlc26n9797, 
      a(3)=>MON_SOM_phase(4), a(2)=>MON_SOM_phase(5), a(1)=>MON_SOM_phase(6), 
      a(0)=>MON_SOM_phase(7), b(4)=>Ram_data_i_26n82ss1(0), b(3)=>
      debug_EXMPLR1018(15), b(2)=>time_tag_EXMPLR1017(0), b(1)=>
      monitor_data_pointer(0), b(0)=>Monitor_Active_command(0), d=>
      Ram_data_i_26n100ss1_0);
   rtlc26_1093_or_61 : or_4u_4u port map ( a(3)=>MON_SOM_phase(0), a(2)=>
      MON_SOM_phase(1), a(1)=>MON_SOM_phase(2), a(0)=>MON_SOM_phase(3), d=>
      rtlc26n9797);
   Ram_data_i_select_26i25Bus109_1 : select_5_5 port map ( a(4)=>rtlc26n9797, 
      a(3)=>MON_SOM_phase(4), a(2)=>MON_SOM_phase(5), a(1)=>MON_SOM_phase(6), 
      a(0)=>MON_SOM_phase(7), b(4)=>Ram_data_i_26n82ss1(1), b(3)=>
      debug_EXMPLR1018(15), b(2)=>time_tag_EXMPLR1017(1), b(1)=>
      monitor_data_pointer(1), b(0)=>Monitor_Active_command(1), d=>
      Ram_data_i_26n100ss1_1);
   Ram_data_i_select_26i25Bus109_2 : select_5_5 port map ( a(4)=>rtlc26n9797, 
      a(3)=>MON_SOM_phase(4), a(2)=>MON_SOM_phase(5), a(1)=>MON_SOM_phase(6), 
      a(0)=>MON_SOM_phase(7), b(4)=>Ram_data_i_26n82ss1(2), b(3)=>
      debug_EXMPLR1018(15), b(2)=>time_tag_EXMPLR1017(2), b(1)=>
      monitor_data_pointer(2), b(0)=>Monitor_Active_command(2), d=>
      Ram_data_i_26n100ss1_2);
   Ram_data_i_select_26i25Bus109_3 : select_5_5 port map ( a(4)=>rtlc26n9797, 
      a(3)=>MON_SOM_phase(4), a(2)=>MON_SOM_phase(5), a(1)=>MON_SOM_phase(6), 
      a(0)=>MON_SOM_phase(7), b(4)=>Ram_data_i_26n82ss1(3), b(3)=>
      debug_EXMPLR1018(15), b(2)=>time_tag_EXMPLR1017(3), b(1)=>
      monitor_data_pointer(3), b(0)=>Monitor_Active_command(3), d=>
      Ram_data_i_26n100ss1_3);
   Ram_data_i_select_26i25Bus109_4 : select_5_5 port map ( a(4)=>rtlc26n9797, 
      a(3)=>MON_SOM_phase(4), a(2)=>MON_SOM_phase(5), a(1)=>MON_SOM_phase(6), 
      a(0)=>MON_SOM_phase(7), b(4)=>Ram_data_i_26n82ss1(4), b(3)=>
      debug_EXMPLR1018(15), b(2)=>time_tag_EXMPLR1017(4), b(1)=>
      monitor_data_pointer(4), b(0)=>Monitor_Active_command(4), d=>
      Ram_data_i_26n100ss1_4);
   Ram_data_i_select_26i25Bus109_5 : select_5_5 port map ( a(4)=>rtlc26n9797, 
      a(3)=>MON_SOM_phase(4), a(2)=>MON_SOM_phase(5), a(1)=>MON_SOM_phase(6), 
      a(0)=>MON_SOM_phase(7), b(4)=>Ram_data_i_26n82ss1(5), b(3)=>
      debug_EXMPLR1018(15), b(2)=>time_tag_EXMPLR1017(5), b(1)=>
      monitor_data_pointer(5), b(0)=>Monitor_Active_command(5), d=>
      Ram_data_i_26n100ss1_5);
   Ram_data_i_select_26i31Bus110_7 : select_5_5 port map ( a(4)=>rtlc26n9797, 
      a(3)=>MON_SOM_phase(4), a(2)=>MON_SOM_phase(5), a(1)=>MON_SOM_phase(6), 
      a(0)=>MON_SOM_phase(7), b(4)=>Ram_data_i_26n82ss1(7), b(3)=>
      debug_EXMPLR1018(15), b(2)=>time_tag_EXMPLR1017(7), b(1)=>
      monitor_data_pointer(7), b(0)=>Monitor_Active_command(7), d=>
      Ram_data_i_26n100ss1_7);
   Ram_data_i_select_26i31Bus110_8 : select_5_5 port map ( a(4)=>rtlc26n9797, 
      a(3)=>MON_SOM_phase(4), a(2)=>MON_SOM_phase(5), a(1)=>MON_SOM_phase(6), 
      a(0)=>MON_SOM_phase(7), b(4)=>Ram_data_i_26n82ss1(8), b(3)=>
      debug_EXMPLR1018(15), b(2)=>time_tag_EXMPLR1017(8), b(1)=>
      monitor_data_pointer(8), b(0)=>Monitor_Active_command(8), d=>
      Ram_data_i_26n100ss1_8);
   Ram_data_i_select_26i31Bus110_9 : select_5_5 port map ( a(4)=>rtlc26n9797, 
      a(3)=>MON_SOM_phase(4), a(2)=>MON_SOM_phase(5), a(1)=>MON_SOM_phase(6), 
      a(0)=>MON_SOM_phase(7), b(4)=>Ram_data_i_26n82ss1(9), b(3)=>
      debug_EXMPLR1018(15), b(2)=>time_tag_EXMPLR1017(9), b(1)=>
      monitor_data_pointer(9), b(0)=>Monitor_Active_command(9), d=>
      Ram_data_i_26n100ss1_9);
   Ram_data_i_select_26i31Bus110_10 : select_5_5 port map ( a(4)=>
      rtlc26n9797, a(3)=>MON_SOM_phase(4), a(2)=>MON_SOM_phase(5), a(1)=>
      MON_SOM_phase(6), a(0)=>MON_SOM_phase(7), b(4)=>
      Ram_data_i_26n82ss1(10), b(3)=>debug_EXMPLR1018(15), b(2)=>
      time_tag_EXMPLR1017(10), b(1)=>monitor_data_pointer(10), b(0)=>
      Monitor_Active_command(10), d=>Ram_data_i_26n100ss1_10);
   Ram_data_i_select_26i31Bus110_11 : select_5_5 port map ( a(4)=>
      rtlc26n9797, a(3)=>MON_SOM_phase(4), a(2)=>MON_SOM_phase(5), a(1)=>
      MON_SOM_phase(6), a(0)=>MON_SOM_phase(7), b(4)=>
      Ram_data_i_26n82ss1(11), b(3)=>debug_EXMPLR1018(15), b(2)=>
      time_tag_EXMPLR1017(11), b(1)=>monitor_data_pointer(11), b(0)=>
      Monitor_Active_command(11), d=>Ram_data_i_26n100ss1_11);
   Ram_data_i_select_26i31Bus110_12 : select_5_5 port map ( a(4)=>
      rtlc26n9797, a(3)=>MON_SOM_phase(4), a(2)=>MON_SOM_phase(5), a(1)=>
      MON_SOM_phase(6), a(0)=>MON_SOM_phase(7), b(4)=>
      Ram_data_i_26n82ss1(12), b(3)=>debug_EXMPLR1018(15), b(2)=>
      time_tag_EXMPLR1017(12), b(1)=>monitor_data_pointer(12), b(0)=>
      Monitor_Active_command(12), d=>Ram_data_i_26n100ss1_12);
   Ram_data_i_select_26i31Bus110_13 : select_5_5 port map ( a(4)=>
      rtlc26n9797, a(3)=>MON_SOM_phase(4), a(2)=>MON_SOM_phase(5), a(1)=>
      MON_SOM_phase(6), a(0)=>MON_SOM_phase(7), b(4)=>
      Ram_data_i_26n82ss1(13), b(3)=>not_Monitor_bus_a, b(2)=>
      time_tag_EXMPLR1017(13), b(1)=>monitor_data_pointer(13), b(0)=>
      Monitor_Active_command(13), d=>Ram_data_i_26n100ss1_13);
   Ram_data_i_select_26i38 : select_5_5 port map ( a(4)=>rtlc26n9797, a(3)=>
      MON_SOM_phase(4), a(2)=>MON_SOM_phase(5), a(1)=>MON_SOM_phase(6), a(0)
      =>MON_SOM_phase(7), b(4)=>Ram_data_i_26n82ss1(15), b(3)=>
      debug_EXMPLR1018(15), b(2)=>time_tag_EXMPLR1017(15), b(1)=>
      monitor_data_pointer(15), b(0)=>Monitor_Active_command(15), d=>
      Ram_data_i_26n100ss1_15);
   rtlc26n9865 <= rtlcs50 OR rtlcs47 ;
   rtlc26n9937 <= rtlcs40 OR rtlcs53 ;
   rtlc26n7877 <= rtlc26n7869 AND not_rtlc26n7601 ;
   rtlc26n7869 <= rtlc26n7862 AND not_rtlc26n7624 ;
   rtlc26n7862 <= rtlc26n7856 AND not_rtlc26n7648 ;
   rtlc26n7856 <= rtlc26n7851 AND not_rtlc26n7670 ;
   rtlc26n7851 <= rtlc26n7847 AND not_rtlc26n7692 ;
   rtlc26n7847 <= rtlc26n7844 AND not_rtlc26n7714 ;
   rtlc26n7844 <= rtlc26n7553 AND not_rtlc26n7736 ;
   rtlc26n7322 <= rtlc26n7313 AND not_Message_ended_not_OK ;
   rtlc26n7474 <= rtlc26n7472 AND illegalization_enable ;
   rtlc26n7472 <= rtlc26n7322 AND not_Ack ;
   rtlc26_1848_select_75 : select_3_3 port map ( a(2)=>not_rtlc26n9771, a(1)
      =>MON_SOM_phase(2), a(0)=>MON_SOM_phase(3), b(2)=>not_rtlcs54, b(1)=>
      rtlc26n8274, b(0)=>rtlc26n8283, d=>rtlc26n8326);
   not_rtlcs54 <= NOT rtlcs54 ;
   rtlc26n8274 <= not_rtlcs54 AND Record_enable ;
   rtlc26n8283 <= rtlc26n8281 AND not_Monitor_bus_a ;
   rtlc26n8281 <= not_rtlcs54 AND not_Record_enable ;
   rtlc26_1858_select_76 : select_3_3 port map ( a(2)=>not_rtlc26n9771, a(1)
      =>MON_SOM_phase(2), a(0)=>MON_SOM_phase(3), b(2)=>not_rtlcs54, b(1)=>
      rtlc26n8274, b(0)=>rtlc26n8284, d=>rtlc26n8327);
   rtlc26n8284 <= rtlc26n8281 AND Monitor_bus_a ;
   rtlc26n7285 <= not_Ack AND rtlc26n7271 ;
   rtlc26n7475 <= not_Ack AND illegalization_enable ;
   rtlc26n7915 <= not_Ack AND rtlc26n7891 ;
   rtlc26n8081 <= not_Ack AND Record_enable ;
   rtlc26n8295 <= not_Ack AND New_command_record ;
   not_SOM_phase_1 <= NOT SOM_phase_1 ;
   rtlc26n7824 <= not_SOM_phase_1 AND rtlc26n7606 ;
   rtlc26n7827 <= not_SOM_phase_1 AND rtlc26n7630 ;
   rtlc26n7830 <= not_SOM_phase_1 AND rtlc26n7654 ;
   rtlc26n7833 <= not_SOM_phase_1 AND rtlc26n7676 ;
   rtlc26n7821 <= not_Read OR not_Ack ;
   rtlc26n8275 <= not_Record_enable OR not_Ack ;
   rtlc26n7231 <= not_EOM_phase_go OR not_illegal_message ;
   not_rtlc26n6970 <= NOT rtlc26n6970 ;
   rtlc26n8589 <= not_rtlcs93 OR not_rtlcs94 ;
   rtlc26_PS488_n8476 <= rtlcs52 OR rtlcs44 ;
   rtlc26n8349 <= Monitor_write AND not_monitor_pointer_protection_error ;
   rtlc26n8261 <= rtlcn1218 AND not_rtlcn1219 ;
   rtlc26n8245 <= rtlcn1216 AND not_rtlcn1217 ;
   rtlc26n8262 <= rtlc26n8245 OR rtlc26n8261 ;
   not_MON_SOM_phase_go <= NOT MON_SOM_phase_go ;
   not_MON_EOM_phase_go <= NOT MON_EOM_phase_go ;
   rtlc26n7891 <= mode_command AND Address(4) ;
   rtlc26n7773 <= BCR AND Config_reg_2(0) ;
   rtlc26n7768 <= rtlc26n7891 AND Config_reg_3_0 ;
   rtlc26n7736 <= rtlcs82 OR rtlcs66 ;
   rtlc26n7714 <= rtlcs80 OR rtlcs64 ;
   rtlc26n7692 <= rtlcs84 OR rtlcs68 ;
   rtlc26n7670 <= rtlcs78 OR rtlcs62 ;
   rtlc26n7648 <= rtlcs90 OR rtlcs74 ;
   rtlc26n7624 <= rtlcs88 OR rtlcs72 ;
   rtlc26n7601 <= rtlcs92 OR rtlcs76 ;
   not_phase_go <= NOT phase_go ;
   rtlc26n7516 <= mode_command AND Config_reg_3_0 ;
   not_SOM_phase_go <= NOT SOM_phase_go ;
   not_Message_ended_not_OK <= NOT Message_ended_not_OK ;
   rtlc26n7261 <= LUT_Control(15) OR not_Config_reg_2_1 ;
   not_EOM_phase_go <= NOT EOM_phase_go ;
   rtlc26n6797 <= WM_On OR BC_START ;
   rtlc26n6798 <= rtlc26n6797 OR RT_On_EXMPLR939 ;
   Ram_Address_dec16_26i39 : dec_16u_16u_0 port map ( cin=>
      debug_EXMPLR1018(15), a(15)=>Ram_Address(15), a(14)=>Ram_Address(14), 
      a(13)=>Ram_Address(13), a(12)=>Ram_Address(12), a(11)=>Ram_Address(11), 
      a(10)=>Ram_Address(10), a(9)=>Ram_Address(9), a(8)=>Ram_Address(8), 
      a(7)=>Ram_Address(7), a(6)=>Ram_Address(6), a(5)=>Ram_Address(5), a(4)
      =>Ram_Address(4), a(3)=>Ram_Address(3), a(2)=>Ram_Address(2), a(1)=>
      Ram_Address(1), a(0)=>Ram_Address(0), d(15)=>Ram_Address_26n2s1(15), 
      d(14)=>Ram_Address_26n2s1(14), d(13)=>Ram_Address_26n2s1(13), d(12)=>
      Ram_Address_26n2s1(12), d(11)=>Ram_Address_26n2s1(11), d(10)=>
      Ram_Address_26n2s1(10), d(9)=>Ram_Address_26n2s1(9), d(8)=>
      Ram_Address_26n2s1(8), d(7)=>Ram_Address_26n2s1(7), d(6)=>
      Ram_Address_26n2s1(6), d(5)=>Ram_Address_26n2s1(5), d(4)=>
      Ram_Address_26n2s1(4), d(3)=>Ram_Address_26n2s1(3), d(2)=>
      Ram_Address_26n2s1(2), d(1)=>Ram_Address_26n2s1(1), d(0)=>
      Ram_Address_26n2s1(0), cout=>DANGLING(0));
   not_monitor_pointer_protection_error <= NOT 
   monitor_pointer_protection_error ;
   not_Config_reg_2_1 <= NOT Config_reg_2(1) ;
   rtlc26n10706 <= monitor_data_pointer(9) AND monitor_data_pointer(8) ;
   rtlc26n10771 <= monitor_stack_pointer(9) AND monitor_stack_pointer(8) ;
   BC_Num_Msgs_30n12s1(0) <= NOT Data_o_temp(0) ;
   BC_Num_Msgs_30n12s1(1) <= NOT Data_o_temp(1) ;
   BC_Num_Msgs_30n12s1(2) <= NOT Data_o_temp(2) ;
   BC_Num_Msgs_30n12s1(3) <= NOT Data_o_temp(3) ;
   BC_Num_Msgs_30n12s1(4) <= NOT Data_o_temp(4) ;
   BC_Num_Msgs_30n12s1(5) <= NOT Data_o_temp(5) ;
   BC_Num_Msgs_30n12s1(6) <= NOT Data_o_temp(6) ;
   BC_Num_Msgs_30n12s1(7) <= NOT Data_o_temp(7) ;
   BC_Num_Msgs_30n12s1(8) <= NOT Data_o_temp(8) ;
   BC_Num_Msgs_30n12s1(9) <= NOT Data_o_temp(9) ;
   BC_Num_Msgs_30n12s1(10) <= NOT Data_o_temp(10) ;
   BC_Ram_data_30n15s1(0) <= NOT BC_Num_Msgs(0) ;
   BC_Ram_data_30n15s1(1) <= NOT BC_Num_Msgs(1) ;
   BC_Ram_data_30n15s1(2) <= NOT BC_Num_Msgs(2) ;
   BC_Ram_data_30n15s1(3) <= NOT BC_Num_Msgs(3) ;
   BC_Ram_data_30n15s1(4) <= NOT BC_Num_Msgs(4) ;
   BC_Ram_data_30n15s1(5) <= NOT BC_Num_Msgs(5) ;
   BC_Ram_data_30n15s1(6) <= NOT BC_Num_Msgs(6) ;
   BC_Ram_data_30n15s1(7) <= NOT BC_Num_Msgs(7) ;
   BC_Ram_data_30n15s1(8) <= NOT BC_Num_Msgs(8) ;
   BC_Ram_data_30n15s1(9) <= NOT BC_Num_Msgs(9) ;
   BC_Ram_data_30n15s1(10) <= NOT BC_Num_Msgs(10) ;
   BC_Ram_data_30n15s1(11) <= NOT BC_Num_Msgs(11) ;
   BC_Ram_data_30n15s1(12) <= NOT BC_Num_Msgs(12) ;
   BC_Ram_data_30n15s1(13) <= NOT BC_Num_Msgs(13) ;
   BC_Ram_data_30n15s1(14) <= NOT BC_Num_Msgs(14) ;
   BC_Ram_data_30n15s1(15) <= NOT BC_Num_Msgs(15) ;
   not_BC_Control_word_7 <= NOT BC_Control_word_7 ;
   not_BC_msg_pointer_4 <= NOT BC_msg_pointer(4) ;
   VARAM_WE_30n125s2 <= LIFO_Pointer(4) AND BC_Echo_word(10) ;
   rtlc30n15899 <= BC_State(8) OR BC_State(24) ;
   rtlc30n15921 <= BC_State(76) OR BC_State(77) ;
   rtlc30n15978 <= BC_State(55) OR BC_State(54) ;
   not_rtlc30n15978 <= NOT rtlc30n15978 ;
   rtlc30n15982 <= BC_State(52) OR BC_State(56) ;
   rtlc30n16072 <= BC_State(14) OR BC_State(48) ;
   rtlc30_1422_or_83 : or_11u_11u port map ( a(10)=>BC_State(0), a(9)=>
      BC_State(1), a(8)=>BC_State(2), a(7)=>BC_State(3), a(6)=>BC_State(4), 
      a(5)=>BC_State(5), a(4)=>BC_State(6), a(3)=>BC_State(24), a(2)=>
      BC_State(30), a(1)=>BC_State(31), a(0)=>BC_State(90), d=>rtlc30n16096
   );
   rtlc30n16106 <= BC_State(5) OR BC_State(30) ;
   rtlc30_1460_or_84 : or_6u_6u port map ( a(5)=>BC_State(10), a(4)=>
      BC_State(18), a(3)=>BC_State(19), a(2)=>BC_State(25), a(1)=>
      BC_State(37), a(0)=>BC_State(75), d=>rtlc30n16113);
   rtlc30_1461_or_85 : or_13u_13u port map ( a(12)=>BC_State(32), a(11)=>
      BC_State(36), a(10)=>BC_State(56), a(9)=>BC_State(58), a(8)=>
      BC_State(62), a(7)=>BC_State(65), a(6)=>BC_State(71), a(5)=>
      BC_State(74), a(4)=>BC_State(79), a(3)=>BC_State(83), a(2)=>
      BC_State(86), a(1)=>BC_State(87), a(0)=>BC_State(88), d=>rtlc30n16114
   );
   rtlc30n16115 <= BC_State(73) OR BC_State(84) ;
   rtlc30_1471_or_86 : or_8u_8u port map ( a(7)=>BC_State(2), a(6)=>
      BC_State(3), a(5)=>BC_State(4), a(4)=>BC_State(5), a(3)=>BC_State(6), 
      a(2)=>BC_State(12), a(1)=>BC_State(13), a(0)=>BC_State(30), d=>
      rtlc30n16122);
   rtlc30_1472_or_87 : or_18u_18u port map ( a(17)=>BC_State(7), a(16)=>
      BC_State(8), a(15)=>BC_State(9), a(14)=>BC_State(14), a(13)=>
      BC_State(20), a(12)=>BC_State(32), a(11)=>BC_State(36), a(10)=>
      BC_State(56), a(9)=>BC_State(58), a(8)=>BC_State(62), a(7)=>
      BC_State(65), a(6)=>BC_State(71), a(5)=>BC_State(74), a(4)=>
      BC_State(79), a(3)=>BC_State(83), a(2)=>BC_State(86), a(1)=>
      BC_State(87), a(0)=>BC_State(88), d=>rtlc30n16123);
   rtlc30_1480_or_88 : or_12u_12u port map ( a(11)=>BC_State(10), a(10)=>
      BC_State(18), a(9)=>BC_State(19), a(8)=>BC_State(25), a(7)=>
      BC_State(37), a(6)=>BC_State(38), a(5)=>BC_State(45), a(4)=>
      BC_State(47), a(3)=>BC_State(48), a(2)=>BC_State(49), a(1)=>
      BC_State(54), a(0)=>BC_State(75), d=>rtlc30n16130);
   rtlc30_1483_or_89 : or_12u_12u port map ( a(11)=>BC_State(0), a(10)=>
      BC_State(2), a(9)=>BC_State(3), a(8)=>BC_State(4), a(7)=>BC_State(5), 
      a(6)=>BC_State(6), a(5)=>BC_State(11), a(4)=>BC_State(12), a(3)=>
      BC_State(13), a(2)=>BC_State(30), a(1)=>BC_State(31), a(0)=>
      BC_State(42), d=>rtlc30n16132);
   rtlc30_1549_or_90 : or_15u_15u port map ( a(14)=>BC_State(4), a(13)=>
      BC_State(6), a(12)=>BC_State(9), a(11)=>BC_State(12), a(10)=>
      BC_State(13), a(9)=>BC_State(18), a(8)=>BC_State(19), a(7)=>
      BC_State(20), a(6)=>BC_State(43), a(5)=>BC_State(45), a(4)=>
      BC_State(49), a(3)=>BC_State(54), a(2)=>BC_State(56), a(1)=>
      BC_State(73), a(0)=>BC_State(84), d=>rtlc30n16184);
   not_rtlc30n16184 <= NOT rtlc30n16184 ;
   rtlc30n16187 <= BC_State(4) OR BC_State(12) ;
   rtlc30n16188 <= BC_State(9) OR BC_State(49) ;
   rtlc30n16190 <= BC_State(20) OR BC_State(54) ;
   rtlc30n16289 <= BC_State(22) OR BC_State(51) ;
   rtlc30n16307 <= BC_State(33) OR BC_State(90) ;
   rtlc30n16336 <= BC_State(80) OR BC_State(81) ;
   rtlc30n16338 <= BC_State(13) OR BC_State(52) ;
   rtlc30_1785_or_93 : or_4u_4u port map ( a(3)=>BC_State(1), a(2)=>
      BC_State(13), a(1)=>BC_State(31), a(0)=>BC_State(52), d=>rtlc30n16340
   );
   VARAM_ADD_select_30i1Bus133_0 : select_4_4 port map ( a(3)=>BC_State(32), 
      a(2)=>BC_State(59), a(1)=>BC_State(82), a(0)=>BC_State(83), b(3)=>
      LIFO_Pointer(0), b(2)=>LIFO_Pointer_30n126s1(0), b(1)=>WhichVAR(0), 
      b(0)=>Data_o_temp(0), d=>VARAM_ADD_30n180ss1(0));
   VARAM_ADD_select_30i1Bus133_1 : select_4_4 port map ( a(3)=>BC_State(32), 
      a(2)=>BC_State(59), a(1)=>BC_State(82), a(0)=>BC_State(83), b(3)=>
      LIFO_Pointer(1), b(2)=>LIFO_Pointer_30n126s1(1), b(1)=>WhichVAR(1), 
      b(0)=>Data_o_temp(1), d=>VARAM_ADD_30n180ss1(1));
   VARAM_ADD_select_30i1Bus133_2 : select_4_4 port map ( a(3)=>BC_State(32), 
      a(2)=>BC_State(59), a(1)=>BC_State(82), a(0)=>BC_State(83), b(3)=>
      LIFO_Pointer(2), b(2)=>LIFO_Pointer_30n126s1(2), b(1)=>WhichVAR(2), 
      b(0)=>Data_o_temp(2), d=>VARAM_ADD_30n180ss1(2));
   VARAM_ADD_select_30i1Bus133_3 : select_4_4 port map ( a(3)=>BC_State(32), 
      a(2)=>BC_State(59), a(1)=>BC_State(82), a(0)=>BC_State(83), b(3)=>
      LIFO_Pointer(3), b(2)=>LIFO_Pointer_30n126s1(3), b(1)=>WhichVAR(3), 
      b(0)=>Data_o_temp(3), d=>VARAM_ADD_30n180ss1(3));
   VARAM_D_select_30i5Bus134_0 : select_3_3 port map ( a(2)=>BC_State(58), 
      a(1)=>BC_State(86), a(0)=>BC_State(87), b(2)=>BC_Stack_pointer(0), 
      b(1)=>LIFO_Pointer_30n126s1(0), b(0)=>Data_o_temp(0), d=>
      VARAM_D_30n180ss1(0));
   VARAM_D_select_30i5Bus134_1 : select_3_3 port map ( a(2)=>BC_State(58), 
      a(1)=>BC_State(86), a(0)=>BC_State(87), b(2)=>BC_Stack_pointer(1), 
      b(1)=>LIFO_Pointer_30n126s1(1), b(0)=>Data_o_temp(1), d=>
      VARAM_D_30n180ss1(1));
   VARAM_D_select_30i5Bus134_2 : select_3_3 port map ( a(2)=>BC_State(58), 
      a(1)=>BC_State(86), a(0)=>BC_State(87), b(2)=>BC_Stack_pointer(2), 
      b(1)=>LIFO_Pointer_30n126s1(2), b(0)=>Data_o_temp(2), d=>
      VARAM_D_30n180ss1(2));
   VARAM_D_select_30i5Bus134_3 : select_3_3 port map ( a(2)=>BC_State(58), 
      a(1)=>BC_State(86), a(0)=>BC_State(87), b(2)=>BC_Stack_pointer(3), 
      b(1)=>LIFO_Pointer_30n126s1(3), b(0)=>Data_o_temp(3), d=>
      VARAM_D_30n180ss1(3));
   VARAM_D_select_30i5Bus134_4 : select_3_3 port map ( a(2)=>BC_State(58), 
      a(1)=>BC_State(86), a(0)=>BC_State(87), b(2)=>BC_Stack_pointer(4), 
      b(1)=>LIFO_Pointer_30n126s1(4), b(0)=>Data_o_temp(4), d=>
      VARAM_D_30n180ss1(4));
   VARAM_D_select_30i5Bus134_5 : select_3_3 port map ( a(2)=>BC_State(58), 
      a(1)=>BC_State(86), a(0)=>BC_State(87), b(2)=>BC_Stack_pointer(5), 
      b(1)=>VARAM_D_30n172s1_5, b(0)=>Data_o_temp(5), d=>
      VARAM_D_30n180ss1(5));
   VARAM_D_select_30i5Bus134_6 : select_3_3 port map ( a(2)=>BC_State(58), 
      a(1)=>BC_State(86), a(0)=>BC_State(87), b(2)=>BC_Stack_pointer(6), 
      b(1)=>VARAM_D_30n172s1_6, b(0)=>Data_o_temp(6), d=>
      VARAM_D_30n180ss1(6));
   VARAM_D_select_30i5Bus134_7 : select_3_3 port map ( a(2)=>BC_State(58), 
      a(1)=>BC_State(86), a(0)=>BC_State(87), b(2)=>BC_Stack_pointer(7), 
      b(1)=>VARAM_D_30n172s1_7, b(0)=>Data_o_temp(7), d=>
      VARAM_D_30n180ss1(7));
   VARAM_D_select_30i5Bus134_8 : select_3_3 port map ( a(2)=>BC_State(58), 
      a(1)=>BC_State(86), a(0)=>BC_State(87), b(2)=>BC_Stack_pointer(8), 
      b(1)=>VARAM_D_30n172s1_8, b(0)=>Data_o_temp(8), d=>
      VARAM_D_30n180ss1(8));
   VARAM_D_select_30i5Bus134_9 : select_3_3 port map ( a(2)=>BC_State(58), 
      a(1)=>BC_State(86), a(0)=>BC_State(87), b(2)=>BC_Stack_pointer(9), 
      b(1)=>VARAM_D_30n172s1_9, b(0)=>Data_o_temp(9), d=>
      VARAM_D_30n180ss1(9));
   VARAM_D_select_30i5Bus134_10 : select_3_3 port map ( a(2)=>BC_State(58), 
      a(1)=>BC_State(86), a(0)=>BC_State(87), b(2)=>BC_Stack_pointer(10), 
      b(1)=>VARAM_D_30n172s1_10, b(0)=>Data_o_temp(10), d=>
      VARAM_D_30n180ss1(10));
   VARAM_D_select_30i5Bus134_11 : select_3_3 port map ( a(2)=>BC_State(58), 
      a(1)=>BC_State(86), a(0)=>BC_State(87), b(2)=>BC_Stack_pointer(11), 
      b(1)=>VARAM_D_30n172s1_11, b(0)=>Data_o_temp(11), d=>
      VARAM_D_30n180ss1(11));
   VARAM_D_select_30i5Bus134_12 : select_3_3 port map ( a(2)=>BC_State(58), 
      a(1)=>BC_State(86), a(0)=>BC_State(87), b(2)=>BC_Stack_pointer(12), 
      b(1)=>VARAM_D_30n172s1_12, b(0)=>Data_o_temp(12), d=>
      VARAM_D_30n180ss1(12));
   VARAM_D_select_30i5Bus134_13 : select_3_3 port map ( a(2)=>BC_State(58), 
      a(1)=>BC_State(86), a(0)=>BC_State(87), b(2)=>BC_Stack_pointer(13), 
      b(1)=>VARAM_D_30n172s1_13, b(0)=>Data_o_temp(13), d=>
      VARAM_D_30n180ss1(13));
   VARAM_D_select_30i5Bus134_14 : select_3_3 port map ( a(2)=>BC_State(58), 
      a(1)=>BC_State(86), a(0)=>BC_State(87), b(2)=>BC_Stack_pointer(14), 
      b(1)=>VARAM_D_30n172s1_14, b(0)=>Data_o_temp(14), d=>
      VARAM_D_30n180ss1(14));
   VARAM_D_select_30i5Bus134_15 : select_3_3 port map ( a(2)=>BC_State(58), 
      a(1)=>BC_State(86), a(0)=>BC_State(87), b(2)=>BC_Stack_pointer(15), 
      b(1)=>VARAM_D_30n172s1_15, b(0)=>Data_o_temp(15), d=>
      VARAM_D_30n180ss1(15));
   rtlc30_1810_select_114 : select_3_3 port map ( a(2)=>not_rtlc30n17321, 
      a(1)=>BC_State(58), a(0)=>rtlc30n16346, b(2)=>debug_EXMPLR1018(15), 
      b(1)=>VARAM_WE_30n125s2, b(0)=>PWR, d=>rtlcn2462);
   not_rtlc30n17321 <= NOT rtlc30n17321 ;
   rtlc30n16346 <= BC_State(86) OR BC_State(87) ;
   rtlc30n16359 <= BC_State(57) OR BC_State(59) ;
   rtlc30n16365 <= BC_State(12) OR BC_State(52) ;
   BC_State_fsm_select_30i21 : select_3_3 port map ( a(2)=>not_rtlc30n15978, 
      a(1)=>BC_State(55), a(0)=>BC_State(54), b(2)=>debug_EXMPLR1018(15), 
      b(1)=>PWR, b(0)=>BC_State_fsm_30n116ss1_54, d=>
      BC_State_fsm_30n180ss1_54);
   not_eBC_Bad_Parity_30n180s2 <= NOT eBC_Bad_Parity_30n180s2 ;
   rtlc30_3111_or_117 : or_5u_5u port map ( a(4)=>BC_State(14), a(3)=>
      BC_State(22), a(2)=>BC_State(48), a(1)=>BC_State(51), a(0)=>
      BC_State(80), d=>rtlc30n17267);
   rtlc30n17270 <= BC_State(10) OR BC_State(37) ;
   rtlc30n17273 <= BC_State(17) OR BC_State(32) ;
   rtlc30_3131_or_118 : or_6u_6u port map ( a(5)=>BC_State(5), a(4)=>
      BC_State(12), a(3)=>BC_State(30), a(2)=>BC_State(40), a(1)=>
      BC_State(44), a(0)=>BC_State(47), d=>rtlc30n17277);
   not_rtlc30n17277 <= NOT rtlc30n17277 ;
   rtlc30_3139_or_119 : or_17u_17u port map ( a(16)=>BC_State(2), a(15)=>
      BC_State(3), a(14)=>BC_State(33), a(13)=>BC_State(34), a(12)=>
      BC_State(35), a(11)=>BC_State(57), a(10)=>BC_State(58), a(9)=>
      BC_State(59), a(8)=>BC_State(60), a(7)=>BC_State(61), a(6)=>
      BC_State(63), a(5)=>BC_State(64), a(4)=>BC_State(67), a(3)=>
      BC_State(69), a(2)=>BC_State(70), a(1)=>BC_State(72), a(0)=>
      BC_State(82), d=>rtlc30n17281);
   rtlc30_3144_or_120 : or_18u_18u port map ( a(17)=>BC_State(2), a(16)=>
      BC_State(3), a(15)=>BC_State(12), a(14)=>BC_State(33), a(13)=>
      BC_State(34), a(12)=>BC_State(35), a(11)=>BC_State(57), a(10)=>
      BC_State(58), a(9)=>BC_State(59), a(8)=>BC_State(60), a(7)=>
      BC_State(61), a(6)=>BC_State(63), a(5)=>BC_State(64), a(4)=>
      BC_State(67), a(3)=>BC_State(69), a(2)=>BC_State(70), a(1)=>
      BC_State(72), a(0)=>BC_State(82), d=>rtlc30n17284);
   rtlc30_3173_or_122 : or_10u_10u port map ( a(9)=>BC_State(8), a(8)=>
      BC_State(15), a(7)=>BC_State(16), a(6)=>BC_State(36), a(5)=>
      BC_State(62), a(4)=>BC_State(71), a(3)=>BC_State(74), a(2)=>
      BC_State(75), a(1)=>BC_State(79), a(0)=>BC_State(88), d=>rtlc30n17301
   );
   rtlc30_3178_or_123 : or_5u_5u port map ( a(4)=>BC_State(14), a(3)=>
      BC_State(15), a(2)=>BC_State(40), a(1)=>BC_State(44), a(0)=>
      BC_State(48), d=>rtlc30n17304);
   rtlc30_3182_select_124 : select_3_3 port map ( a(2)=>not_rtlc30n17307, 
      a(1)=>BC_State(58), a(0)=>BC_State(59), b(2)=>PWR, b(1)=>rtlc30n15216, 
      b(0)=>not_rtlc30n13804, d=>rtlc30n15465);
   rtlc30n17307 <= BC_State(58) OR BC_State(59) ;
   rtlc30_3197_or_125 : or_4u_4u port map ( a(3)=>BC_State(14), a(2)=>
      BC_State(26), a(1)=>BC_State(41), a(0)=>BC_State(48), d=>rtlc30n17315
   );
   rtlc30_3202_or_126 : or_4u_4u port map ( a(3)=>BC_State(32), a(2)=>
      BC_State(59), a(1)=>BC_State(82), a(0)=>BC_State(83), d=>rtlc30n17318
   );
   rtlc30_3215_or_128 : or_5u_5u port map ( a(4)=>BC_State(1), a(3)=>
      BC_State(4), a(2)=>BC_State(12), a(1)=>BC_State(31), a(0)=>
      BC_State(52), d=>rtlc30n17325);
   rtlc30n15102 <= BC_Write OR BC_Command_Sync ;
   rtlc30n15481 <= eBC AND eBC_Watchdog_eq0 ;
   rtlc30n15353 <= Ack AND not_BC_Echo_word_10 ;
   rtlc30n15192 <= not_LIFO_Pointer_4 AND BC_Echo_word(10) ;
   rtlc30n15170 <= not_Config_reg_1_5 OR gap_eq_0 ;
   rtlc30n15051 <= rtlcs134 AND Sync_with_Data ;
   rtlc30n15055 <= rtlc30n15051 AND BC_Control_word_15 ;
   rtlc30_4620_and_130 : and_5u_5u port map ( a(4)=>Data_o_temp(9), a(3)=>
      not_Data_o_temp_12, a(2)=>not_Data_o_temp_13, a(1)=>not_Data_o_temp_14, 
      a(0)=>Ack, d=>rtlc30_PS698_n14994);
   rtlc30_4628_and_131 : and_5u_5u port map ( a(4)=>BC_Num_Msgs_30n12s1(9), 
      a(3)=>not_Data_o_temp_12, a(2)=>not_Data_o_temp_13, a(1)=>
      Data_o_temp(14), a(0)=>Ack, d=>rtlc30_PS697_n14986);
   rtlc30n14905 <= rtlcs128 OR rtlcs130 ;
   not_rtlc30n14905 <= NOT rtlc30n14905 ;
   not_rtlcs344 <= NOT rtlcs344 ;
   rtlc30n14907 <= not_rtlcs344 OR not_rtlc30n14905 ;
   rtlc30n14908 <= Ack AND rtlc30n14907 ;
   rtlc30n14724 <= Config_reg_1(10) AND eBC_Conditions_11 ;
   rtlc30n14720 <= Config_reg_1(12) AND BC_reported_errors ;
   rtlc30n14725 <= rtlc30n14720 OR rtlc30n14724 ;
   rtlc30n14727 <= rtlc30n14725 OR BC_Stop_EOM ;
   rtlc30n14728 <= Ack AND rtlc30n14727 ;
   rtlc30n14569 <= not_Config_reg_1_8 OR not_Config_reg_3_15 ;
   rtlc30n14571 <= rtlc30n14569 OR BC_Stop_EOF ;
   rtlc30n14572 <= rtlc30n14564 AND rtlc30n14571 ;
   rtlc30n14547 <= rtlc30n14564 AND Config_reg_1(8) ;
   rtlc30n14550 <= rtlc30n14547 AND Config_reg_3_15 ;
   rtlc30n14518 <= Ack AND Config_reg_1(15) ;
   rtlc30n14476 <= Config_reg_1(9) AND status_set_in_frame ;
   rtlc30n14472 <= Config_reg_1(11) AND Message_failed ;
   rtlc30n14477 <= rtlc30n14472 OR rtlc30n14476 ;
   rtlc30n14479 <= rtlc30n14477 OR BC_Stop_EOF ;
   not_rtlcs144 <= NOT rtlcs144 ;
   rtlc30n14288 <= not_WM_On OR not_rtlcs144 ;
   rtlc30n14253 <= gap_eq_0 OR not_eBC ;
   rtlc30n14098 <= YES AND not_BC_Echo_word_11 ;
   rtlc30n14005 <= frame_gap_eq_0 OR not_eBC ;
   rtlc30n13911 <= YES AND not_BC_Echo_word_14 ;
   rtlc30n13804 <= YES AND rtlc30n18806 ;
   not_LIFO_Pointer_4 <= NOT LIFO_Pointer(4) ;
   rtlc30n13668 <= RETRY_ON_1553A AND BC_1553A_ME ;
   rtlc30n13666 <= eBC_Conditions_11 AND Config_reg_4_EXMPLR1013(9) ;
   rtlc30n13667 <= BC_reported_errors OR rtlc30n13666 ;
   rtlc30n13669 <= rtlc30n13667 OR rtlc30n13668 ;
   rtlc30n13670 <= Ack AND rtlc30n13669 ;
   rtlc30n13648 <= YES_49n2s1 AND not_Config_reg_1_3 ;
   rtlc30n13630 <= not_Config_reg_1_4 OR not_BC_Control_word_8 ;
   rtlc30n13638 <= rtlc30n13630 OR rtlcs141 ;
   rtlc30n13649 <= rtlc30n13638 OR rtlc30n13648 ;
   rtlc30n13609 <= rtlcs139 OR rtlc30_PS144_n12960 ;
   not_rtlc30n13609 <= NOT rtlc30n13609 ;
   rtlc30n13420 <= rtlc30n18993 AND BC_RT2RT_EXMPLR797 ;
   rtlc30n13385 <= BC_Write AND BC_Echo ;
   rtlc30n13376 <= BC_Write AND not_BC_Echo ;
   rtlc30n13362 <= rtlcs136 OR rtlcs135 ;
   rtlc30n13363 <= rtlcs134 AND rtlc30n13362 ;
   rtlc30n13287 <= rtlcs134 AND BC_RT2RT_EXMPLR797 ;
   rtlc30n13221 <= Config_reg_1(10) OR Config_reg_1(9) ;
   rtlc30n13223 <= rtlc30n13221 AND status_set_in_frame ;
   rtlc30n13215 <= Config_reg_1(12) OR Config_reg_1(11) ;
   rtlc30n13216 <= rtlc30n13215 AND Message_failed ;
   rtlc30n13224 <= rtlc30n13216 OR rtlc30n13223 ;
   rtlc30n13226 <= rtlc30n13224 OR BC_Stop_EOM ;
   rtlc30n13228 <= rtlc30n13226 OR not_eBC ;
   rtlc30n13186 <= NO AND not_BC_Echo_word_14 ;
   rtlc30n13143 <= BC_START OR Ext_Trigger_Dx ;
   rtlc30n13136 <= not_eBC OR BC_OFF ;
   rtlc30n13029 <= rtlcs133 AND Sync_with_Data ;
   rtlc30n13033 <= rtlc30n13029 AND BC_Control_word_15 ;
   rtlc30n13006 <= frame_gap_eq_0 AND Config_reg_1(6) ;
   rtlc30n13010 <= rtlc30n13006 OR Ext_Trigger_Dx ;
   rtlc30n13011 <= rtlc30n13010 OR BC_START ;
   rtlc30n12997 <= not_rtlcn1211 OR BC_Stop_EOF ;
   rtlc30n12831 <= Ack AND not_BC_Message_Active ;
   rtlc30n12605 <= not_BC_Message_Active AND BC_First_write ;
   rtlc30n12606 <= rtlc30n13376 OR rtlc30n12605 ;
   rtlc30n12453 <= rtlcs145 AND not_Config_reg_6_15 ;
   not_rtlc30n12453 <= NOT rtlc30n12453 ;
   rtlc30n12456 <= not_rtlc30n12453 OR BC_OFF ;
   rtlc30n12433 <= WM_On AND rtlcs144 ;
   rtlc30n12420 <= eBC AND not_BC_OFF ;
   rtlc30n12411 <= rtlc30n12453 AND not_BC_OFF ;
   not_BC_Echo <= NOT BC_Echo ;
   not_Config_reg_1_5 <= NOT Config_reg_1(5) ;
   not_Data_o_temp_12 <= NOT Data_o_temp(12) ;
   not_Data_o_temp_14 <= NOT Data_o_temp(14) ;
   not_Data_o_temp_13 <= NOT Data_o_temp(13) ;
   not_BC_Echo_word_14 <= NOT BC_Echo_word(14) ;
   not_BC_Echo_word_11 <= NOT BC_Echo_word(11) ;
   not_Config_reg_6_15 <= NOT Config_reg_6_15 ;
   not_BC_OFF <= NOT BC_OFF ;
   not_Config_reg_1_4 <= NOT Config_reg_1(4) ;
   not_BC_Control_word_8 <= NOT BC_Control_word_8 ;
   not_Config_reg_1_3 <= NOT Config_reg_1(3) ;
   not_Config_reg_1_7 <= NOT Config_reg_1(7) ;
   not_ReTry_count_1 <= NOT ReTry_count(1) ;
   not_BC_Echo_word_13 <= NOT BC_Echo_word(13) ;
   rtlc30_8054_or_133 : or_5u_5u port map ( a(4)=>BC_State(0), a(3)=>
      BC_State(1), a(2)=>BC_State(2), a(1)=>BC_State(3), a(0)=>BC_State(31), 
      d=>rtlc30n18647);
   rtlc30_8065_or_135 : or_25u_25u port map ( a(24)=>BC_State(2), a(23)=>
      BC_State(3), a(22)=>BC_State(5), a(21)=>BC_State(7), a(20)=>
      BC_State(8), a(19)=>BC_State(10), a(18)=>BC_State(25), a(17)=>
      BC_State(30), a(16)=>BC_State(32), a(15)=>BC_State(36), a(14)=>
      BC_State(37), a(13)=>BC_State(38), a(12)=>BC_State(39), a(11)=>
      BC_State(47), a(10)=>BC_State(58), a(9)=>BC_State(62), a(8)=>
      BC_State(65), a(7)=>BC_State(71), a(6)=>BC_State(74), a(5)=>
      BC_State(75), a(4)=>BC_State(79), a(3)=>BC_State(83), a(2)=>
      BC_State(86), a(1)=>BC_State(87), a(0)=>BC_State(88), d=>rtlc30n18654
   );
   rtlc30_8068_or_136 : or_17u_17u port map ( a(16)=>BC_State(4), a(15)=>
      BC_State(6), a(14)=>BC_State(9), a(13)=>BC_State(12), a(12)=>
      BC_State(13), a(11)=>BC_State(14), a(10)=>BC_State(18), a(9)=>
      BC_State(19), a(8)=>BC_State(20), a(7)=>BC_State(43), a(6)=>
      BC_State(45), a(5)=>BC_State(48), a(4)=>BC_State(49), a(3)=>
      BC_State(54), a(2)=>BC_State(56), a(1)=>BC_State(73), a(0)=>
      BC_State(84), d=>rtlc30n18656);
   rtlc30_8146_or_137 : or_4u_4u port map ( a(3)=>LIFO_Pointer(0), a(2)=>
      LIFO_Pointer(1), a(1)=>LIFO_Pointer(2), a(0)=>LIFO_Pointer(3), d=>
      rtlc30n18805);
   rtlc30n18806 <= rtlc30n18805 AND LIFO_Pointer(4) ;
   rtlc30n18993 <= BC_word_number(1) AND BC_word_number(0) ;
   BC_msg_pointer_inc16_30i22 : inc_16u_16u_0 port map ( cin=>PWR, a(15)=>
      BC_msg_pointer(15), a(14)=>BC_msg_pointer(14), a(13)=>
      BC_msg_pointer(13), a(12)=>BC_msg_pointer(12), a(11)=>
      BC_msg_pointer(11), a(10)=>BC_msg_pointer(10), a(9)=>BC_msg_pointer(9), 
      a(8)=>BC_msg_pointer_30n43s1f1(8), a(7)=>BC_msg_pointer_30n43s1f1(7), 
      a(6)=>BC_msg_pointer_30n43s1f1(6), a(5)=>BC_msg_pointer_30n43s1f1(5), 
      a(4)=>BC_msg_pointer_30n43s1f1(4), a(3)=>BC_msg_pointer_30n43s1f1(3), 
      a(2)=>BC_msg_pointer_30n43s1f1(2), a(1)=>BC_msg_pointer_30n43s1f1(1), 
      a(0)=>BC_msg_pointer_30n43s1f1(0), d(15)=>BC_msg_pointer_30n43s1_15, 
      d(14)=>BC_msg_pointer_30n43s1_14, d(13)=>BC_msg_pointer_30n43s1_13, 
      d(12)=>BC_msg_pointer_30n43s1_12, d(11)=>BC_msg_pointer_30n43s1_11, 
      d(10)=>BC_msg_pointer_30n43s1_10, d(9)=>BC_msg_pointer_30n43s1_9, d(8)
      =>BC_Ram_data_30n30s4(8), d(7)=>BC_Ram_data_30n30s4(7), d(6)=>
      BC_Ram_data_30n30s4(6), d(5)=>BC_Ram_data_30n30s4(5), d(4)=>
      BC_Ram_data_30n30s4(4), d(3)=>BC_Ram_data_30n30s4(3), d(2)=>
      BC_Ram_data_30n30s4(2), d(1)=>BC_Ram_data_30n30s4(1), d(0)=>
      BC_Ram_data_30n30s4(0), cout=>DANGLING(1));
   BC_Stack_pointer_inc16_30i23 : inc_16u_16u_0 port map ( cin=>PWR, a(15)=>
      BC_Stack_pointer(15), a(14)=>BC_Stack_pointer(14), a(13)=>
      BC_Stack_pointer(13), a(12)=>BC_Stack_pointer(12), a(11)=>
      BC_Stack_pointer(11), a(10)=>BC_Stack_pointer(10), a(9)=>
      BC_Stack_pointer(9), a(8)=>BC_Stack_pointer_30n167s1f1(8), a(7)=>
      BC_Stack_pointer_30n167s1f1(7), a(6)=>BC_Stack_pointer_30n167s1f1(6), 
      a(5)=>BC_Stack_pointer_30n167s1f1(5), a(4)=>
      BC_Stack_pointer_30n167s1f1(4), a(3)=>BC_Stack_pointer_30n167s1f1(3), 
      a(2)=>BC_Stack_pointer_30n167s1f1(2), a(1)=>
      BC_Stack_pointer_30n167s1f1(1), a(0)=>BC_Stack_pointer_30n167s1f1(0), 
      d(15)=>BC_Stack_pointer_30n167s1_15, d(14)=>
      BC_Stack_pointer_30n167s1_14, d(13)=>BC_Stack_pointer_30n167s1_13, 
      d(12)=>BC_Stack_pointer_30n167s1_12, d(11)=>
      BC_Stack_pointer_30n167s1_11, d(10)=>BC_Stack_pointer_30n167s1_10, 
      d(9)=>BC_Stack_pointer_30n167s1_9, d(8)=>BC_Stack_pointer_30n31s4_8, 
      d(7)=>BC_Stack_pointer_30n31s3_7, d(6)=>BC_Stack_pointer_30n31s2_6, 
      d(5)=>BC_Stack_pointer_30n31s1(5), d(4)=>BC_Stack_pointer_30n31s1(4), 
      d(3)=>BC_Stack_pointer_30n31s1(3), d(2)=>BC_Stack_pointer_30n31s1(2), 
      d(1)=>BC_Stack_pointer_30n31s1(1), d(0)=>BC_Stack_pointer_30n31s1(0), 
      cout=>DANGLING(2));
   NOT_BC_State_59 <= NOT BC_State(59) ;
   VARAM_D_addsub16_30i24 : addsub_16u_16u_16u_0 port map ( mode=>
      NOT_BC_State_59, cin=>BC_State(59), a(15)=>Data_o_temp(15), a(14)=>
      Data_o_temp(14), a(13)=>Data_o_temp(13), a(12)=>Data_o_temp(12), a(11)
      =>Data_o_temp(11), a(10)=>Data_o_temp(10), a(9)=>Data_o_temp(9), a(8)
      =>Data_o_temp(8), a(7)=>Data_o_temp(7), a(6)=>Data_o_temp(6), a(5)=>
      Data_o_temp(5), a(4)=>VARAM_D_30n172s1f1(4), a(3)=>
      VARAM_D_30n172s1f1(3), a(2)=>VARAM_D_30n172s1f1(2), a(1)=>
      VARAM_D_30n172s1f1(1), a(0)=>VARAM_D_30n172s1f1(0), b(15)=>VARAM_Q(15), 
      b(14)=>VARAM_Q(14), b(13)=>VARAM_Q(13), b(12)=>VARAM_Q(12), b(11)=>
      VARAM_Q(11), b(10)=>VARAM_Q(10), b(9)=>VARAM_Q(9), b(8)=>VARAM_Q(8), 
      b(7)=>VARAM_Q(7), b(6)=>VARAM_Q(6), b(5)=>VARAM_Q(5), b(4)=>
      VARAM_D_30n172s1f2(4), b(3)=>VARAM_D_30n172s1f2(3), b(2)=>
      VARAM_D_30n172s1f2(2), b(1)=>VARAM_D_30n172s1f2(1), b(0)=>
      VARAM_D_30n172s1f2(0), d(15)=>VARAM_D_30n172s1_15, d(14)=>
      VARAM_D_30n172s1_14, d(13)=>VARAM_D_30n172s1_13, d(12)=>
      VARAM_D_30n172s1_12, d(11)=>VARAM_D_30n172s1_11, d(10)=>
      VARAM_D_30n172s1_10, d(9)=>VARAM_D_30n172s1_9, d(8)=>
      VARAM_D_30n172s1_8, d(7)=>VARAM_D_30n172s1_7, d(6)=>VARAM_D_30n172s1_6, 
      d(5)=>VARAM_D_30n172s1_5, d(4)=>LIFO_Pointer_30n126s1(4), d(3)=>
      LIFO_Pointer_30n126s1(3), d(2)=>LIFO_Pointer_30n126s1(2), d(1)=>
      LIFO_Pointer_30n126s1(1), d(0)=>LIFO_Pointer_30n126s1(0), cout=>
      DANGLING(3));
   VARAM_D_select_30i26Bus188_1 : select_3_3 port map ( a(2)=>BC_State(86), 
      a(1)=>rtlc30n17307, a(0)=>rtlcn2254, b(2)=>Data_o_temp(1), b(1)=>
      LIFO_Pointer(1), b(0)=>BC_word_number(1), d=>VARAM_D_30n172s1f1(1));
   VARAM_D_select_30i26Bus188_0 : select_3_3 port map ( a(2)=>BC_State(86), 
      a(1)=>rtlc30n17307, a(0)=>rtlcn2254, b(2)=>Data_o_temp(0), b(1)=>
      LIFO_Pointer(0), b(0)=>BC_word_number(0), d=>VARAM_D_30n172s1f1(0));
   NOT_BC_State_12 <= NOT BC_State(12) ;
   rtlc33n609 <= rtlc33n464 OR rtlc33n472 ;
   rtlc33n526 <= Clean_ISR1_by_write OR Clean_ISR2_by_write ;
   rtlc33n518 <= Clean_status_bits OR Clean_status2_bits ;
   rtlc33n472 <= rtlc79_Interrupt_status_register_2_D_n487_15 AND 
   INTn_level_D ;
   rtlc33n463 <= rtlcs149 OR rtlcs148 ;
   not_Non_masked_Event_D <= NOT Non_masked_Event_D ;
   rtlc33n455 <= Non_masked_Event AND not_Non_masked_Event_D ;
   rtlc33n464 <= rtlc33n455 AND rtlc33n463 ;
   rtlc33n442 <= Interrupt_status_register_2_1 AND 
   Interrupt_mask_register_2(1) ;
   rtlc33n436 <= Interrupt_status_register_2_2 AND 
   Interrupt_mask_register_2(2) ;
   rtlc33n430 <= Interrupt_status_register_2_3 AND 
   Interrupt_mask_register_2(3) ;
   rtlc33n424 <= Interrupt_status_register_2_4 AND 
   Interrupt_mask_register_2(4) ;
   rtlc33n418 <= Interrupt_status_register_2_5 AND 
   Interrupt_mask_register_2(5) ;
   rtlc33n412 <= Interrupt_status_register_2_6 AND 
   Interrupt_mask_register_2(6) ;
   rtlc33n406 <= Interrupt_status_register_2_7 AND 
   Interrupt_mask_register_2(7) ;
   rtlc33n400 <= Interrupt_status_register_2_10 AND 
   Interrupt_mask_register_2(10) ;
   rtlc33n394 <= Interrupt_status_register_2_11 AND 
   Interrupt_mask_register_2(11) ;
   rtlc33n388 <= Interrupt_status_register_2_12 AND 
   Interrupt_mask_register_2(12) ;
   rtlc33n383 <= Interrupt_status_register_2_14 AND 
   Interrupt_mask_register_2(14) ;
   rtlc33n370 <= Interrupt_status_register_1(0) AND 
   Interrupt_mask_register_1(0) ;
   rtlc33n364 <= Interrupt_status_register_1(1) AND 
   Interrupt_mask_register_1(1) ;
   rtlc33n358 <= Interrupt_status_register_1(2) AND 
   Interrupt_mask_register_1(2) ;
   rtlc33n352 <= Interrupt_status_register_1(3) AND 
   Interrupt_mask_register_1(3) ;
   rtlc33n346 <= Interrupt_status_register_1(4) AND 
   Interrupt_mask_register_1(4) ;
   rtlc33n340 <= Interrupt_status_register_1(5) AND 
   Interrupt_mask_register_1(5) ;
   rtlc33n334 <= Interrupt_status_register_1(6) AND 
   Interrupt_mask_register_1(6) ;
   rtlc33n328 <= Interrupt_status_register_1(7) AND 
   Interrupt_mask_register_1(7) ;
   rtlc33n322 <= Interrupt_status_register_1(8) AND 
   Interrupt_mask_register_1(8) ;
   rtlc33n316 <= Interrupt_status_register_1(9) AND 
   Interrupt_mask_register_1(9) ;
   rtlc33n310 <= Interrupt_status_register_1(10) AND 
   Interrupt_mask_register_1(10) ;
   rtlc33n304 <= Interrupt_status_register_1(11) AND 
   Interrupt_mask_register_1(11) ;
   rtlc33n298 <= Interrupt_status_register_1(12) AND 
   Interrupt_mask_register_1(12) ;
   rtlc33n292 <= Interrupt_status_register_1(13) AND 
   Interrupt_mask_register_1(13) ;
   rtlc33n261 <= rtlc33n518 OR Clean_ISR1_by_write ;
   rtlc33n262 <= rtlc33n261 OR Clean_ISR2_by_write ;
   rtlc79_Interrupt_status_register_2_D_n487_15 <= NOT INTn_level ;
   not_INTn_count_4 <= NOT INTn_count(4) ;
   not_INTn_count_3 <= NOT INTn_count(3) ;
   not_INTn_count_2 <= NOT INTn_count(2) ;
   rtlc33n682 <= not_INTn_count_2 OR not_rtlcn1236 ;
   rtlc33n683 <= not_INTn_count_3 AND rtlc33n682 ;
   rtlc33n684 <= rtlc33n683 OR not_INTn_count_4 ;
   W_R_36n3s1 <= Write OR Read ;
   rtlc36n557 <= not_STM_ended AND arbiter ;
   rtlc36n581 <= rtlc36n557 AND rtlc36n760 ;
   not_STM_ended <= NOT STM_ended ;
   not_rtlc36n468 <= NOT rtlc36n468 ;
   rtlc36n468 <= Monitor_write AND not_M_W ;
   not_rtlc36n459 <= NOT rtlc36n459 ;
   rtlc36n459 <= Monitor_new_command AND MT_On_Async ;
   not_rtlc36n451 <= NOT rtlc36n451 ;
   rtlc36n450 <= Monitor_Ended_not_OK OR Monitor_ended_OK ;
   rtlc36n451 <= rtlc36n450 AND MT_On ;
   rtlc36n441 <= W_R_36n3s1 AND not_W_R ;
   not_rtlc36n429 <= NOT rtlc36n429 ;
   rtlc36n426 <= Message_ended_OK AND RT_On_EXMPLR939 ;
   rtlc36n429 <= rtlc36n426 AND not_Channel_Status_3 ;
   not_rtlc36n411 <= NOT rtlc36n411 ;
   rtlc36n408 <= New_command AND RT_On_EXMPLR939 ;
   rtlc36n411 <= rtlc36n408 AND not_host_status_bits_3 ;
   not_Channel_Status_3 <= NOT Channel_Status(3) ;
   not_M_W <= NOT M_W ;
   not_W_R <= NOT W_R ;
   not_host_status_bits_3 <= NOT host_status_bits_3_EXMPLR950 ;
   not_rtlc36n754 <= NOT rtlc36n754 ;
   rtlc36n760 <= not_rtlcn1215 OR not_rtlc36n754 ;
   not_MODE_CODE1553A <= NOT MODE_CODE1553A_EXMPLR932 ;
   rtlc39n91 <= rtlcs156 AND not_MODE_CODE1553A ;
   rtlc39n98 <= rtlc39n91 OR rtlcs150 ;
   rtlc45n148 <= BC_Loopback_error OR BC_Coupling_error ;
   rtlc45n128 <= BC_Found_Format_Error OR BC_wrong_sync ;
   rtlc45n130 <= rtlc45n128 OR BC_Found_wrong_word_count ;
   rtlc45n132 <= rtlc45n130 OR BC_Found_wrong_RT_Address ;
   rtlc45n105 <= BC_FE_All_Errors OR BC_FE_Logic_error ;
   rtlc48n271 <= Config_reg_4_EXMPLR1013(11) AND BC_Rx_Data(4) ;
   rtlc48n274 <= rtlc48n271 AND not_BC_Control_word_5 ;
   not_rtlcs162 <= NOT rtlcs162 ;
   rtlc48n222 <= Config_reg_4_EXMPLR1013(11) AND not_BC_Control_word_5 ;
   rtlc48n225 <= rtlc48n222 AND BC_Rx_Data(4) ;
   rtlc48n197 <= not_BC_Control_word_10 AND BC_Rx_Data(0) ;
   rtlc48n188 <= not_BC_Control_word_11 AND BC_Rx_Data(2) ;
   rtlc48n182 <= not_BC_Control_word_12 AND BC_Rx_Data(3) ;
   rtlc48n176 <= not_BC_Control_word_13 AND BC_Rx_Data(8) ;
   rtlc48n168 <= not_BC_Control_word_14 AND BC_Rx_Data(10) ;
   rtlc48n159 <= rtlc30n13376 AND BC_Command_Sync ;
   rtlc48n161 <= rtlc48n159 AND not_BC_reported_errors ;
   not_BC_Control_word_5 <= NOT BC_Control_word_5 ;
   not_BC_Control_word_14 <= NOT BC_Control_word_14 ;
   not_BC_Control_word_13 <= NOT BC_Control_word_13 ;
   not_BC_Control_word_12 <= NOT BC_Control_word_12 ;
   not_BC_Control_word_11 <= NOT BC_Control_word_11 ;
   not_BC_Control_word_10 <= NOT BC_Control_word_10 ;
   YES_mux_49i1 : mux_16u_16u port map ( a(15)=>PWR, a(14)=>BC_Sts_Word(6), 
      a(13)=>BC_Sts_Word(5), a(12)=>BC_Sts_Word(12), a(11)=>
      eBC_Conditions_11, a(10)=>Good_data_block_recieved, a(9)=>
      eBC_Conditions_9, a(8)=>BC_Sts_Word(9), a(7)=>eBC_GP(7), a(6)=>
      eBC_GP(6), a(5)=>eBC_GP(5), a(4)=>eBC_GP(4), a(3)=>eBC_GP(3), a(2)=>
      eBC_GP(2), a(1)=>eBC_GP(1), a(0)=>eBC_GP(0), b(15)=>
      debug_EXMPLR1018(15), b(14)=>debug_EXMPLR1018(15), b(13)=>
      debug_EXMPLR1018(15), b(12)=>debug_EXMPLR1018(15), b(11)=>
      debug_EXMPLR1018(15), b(10)=>debug_EXMPLR1018(15), b(9)=>
      debug_EXMPLR1018(15), b(8)=>debug_EXMPLR1018(15), b(7)=>
      debug_EXMPLR1018(15), b(6)=>debug_EXMPLR1018(15), b(5)=>
      debug_EXMPLR1018(15), b(4)=>debug_EXMPLR1018(15), b(3)=>
      BC_Echo_word(3), b(2)=>BC_Echo_word(2), b(1)=>BC_Echo_word(1), b(0)=>
      BC_Echo_word(0), d=>YES_49n1s2);
   not_rtlc52n346 <= NOT rtlc52n346 ;
   rtlc52_179_or_148 : or_15u_15u port map ( a(14)=>
      BC_GAP_to_next_msg_counter(1), a(13)=>BC_GAP_to_next_msg_counter(2), 
      a(12)=>BC_GAP_to_next_msg_counter(3), a(11)=>
      BC_GAP_to_next_msg_counter(4), a(10)=>BC_GAP_to_next_msg_counter(5), 
      a(9)=>BC_GAP_to_next_msg_counter(6), a(8)=>
      BC_GAP_to_next_msg_counter(7), a(7)=>BC_GAP_to_next_msg_counter(8), 
      a(6)=>BC_GAP_to_next_msg_counter(9), a(5)=>
      BC_GAP_to_next_msg_counter(10), a(4)=>BC_GAP_to_next_msg_counter(11), 
      a(3)=>BC_GAP_to_next_msg_counter(12), a(2)=>
      BC_GAP_to_next_msg_counter(13), a(1)=>BC_GAP_to_next_msg_counter(14), 
      a(0)=>BC_GAP_to_next_msg_counter(15), d=>rtlc52n346);
   rtlc55_173_and_149 : and_4u_4u port map ( a(3)=>not_rtlc55n502, a(2)=>
      rtlcn1212, a(1)=>not_eBC_start_FT, a(0)=>not_BC_Load_frame_gap_counter, 
      d=>rtlc55_X_0_n319);
   not_rtlc55n502 <= NOT rtlc55n502 ;
   rtlc55_360_or_151 : or_15u_15u port map ( a(14)=>BC_frame_GAP_counter(1), 
      a(13)=>BC_frame_GAP_counter(2), a(12)=>BC_frame_GAP_counter(3), a(11)
      =>BC_frame_GAP_counter(4), a(10)=>BC_frame_GAP_counter(5), a(9)=>
      BC_frame_GAP_counter(6), a(8)=>BC_frame_GAP_counter(7), a(7)=>
      BC_frame_GAP_counter(8), a(6)=>BC_frame_GAP_counter(9), a(5)=>
      BC_frame_GAP_counter(10), a(4)=>BC_frame_GAP_counter(11), a(3)=>
      BC_frame_GAP_counter(12), a(2)=>BC_frame_GAP_counter(13), a(1)=>
      BC_frame_GAP_counter(14), a(0)=>BC_frame_GAP_counter(15), d=>
      rtlc55n502);
   Current_command_is_sync_with_data_64n11s1 <= 
   Current_command_is_sync_with_data_64n11s2 OR 
   Current_command_is_sync_with_data_64n11s3 ;
   Current_command_is_sync_without_data_64n11s1 <= 
   Current_command_is_sync_without_data_64n11s2 OR 
   Current_command_is_sync_without_data_64n11s3 ;
   Monitor_command_is_sync_with_data_64n11s1 <= 
   Monitor_command_is_sync_with_data_64n11s2 AND not_RT_On ;
   Monitor_command_is_sync_with_data_64n11s2 <= 
   Monitor_command_is_sync_with_data_64n11s3 AND MT_On ;
   Monitor_command_is_sync_with_data_64n11s3 <= 
   Monitor_command_is_sync_with_data_64n11s4 AND Config_reg_6_3 ;
   Monitor_command_is_sync_with_data_64n11s4 <= 
   Monitor_command_is_sync_with_data_64n11s5 OR 
   Monitor_command_is_sync_with_data_64n11s6 ;
   not_RT_On <= NOT RT_On_EXMPLR939 ;
   Monitor_command_is_sync_without_data_64n11s1 <= 
   Monitor_command_is_sync_without_data_64n11s2 AND not_RT_On ;
   Monitor_command_is_sync_without_data_64n11s2 <= 
   Monitor_command_is_sync_without_data_64n11s3 AND MT_On ;
   Monitor_command_is_sync_without_data_64n11s3 <= 
   Monitor_command_is_sync_without_data_64n11s4 AND Config_reg_6_3 ;
   Monitor_command_is_sync_without_data_64n11s4 <= 
   Monitor_command_is_sync_without_data_64n11s5 OR 
   Monitor_command_is_sync_without_data_64n11s6 ;
   MT_On_Async_64n18s1 <= MT_On_Async_64n18s2 AND CPU_Data_in_wide(28) ;
   MT_On_Async_64n18s2 <= CPU_Data_in_wide(31) AND not_CPU_Data_in_wide_30 ;
   Clear_Test_Status_reg_64n20s1 <= CPU_Data_in_wide(26) AND not_WM_On ;
   MT_On_Async_64n27s1 <= not_MT_On_Async_64n27s3 AND Config_reg_1(12) ;
   not_MT_On_Async_64n27s3 <= NOT MT_On_Async_64n27s3 ;
   not_eBC_GP_0 <= NOT eBC_GP(0) ;
   not_eBC_GP_1 <= NOT eBC_GP(1) ;
   not_eBC_GP_2 <= NOT eBC_GP(2) ;
   not_eBC_GP_3 <= NOT eBC_GP(3) ;
   not_eBC_GP_4 <= NOT eBC_GP(4) ;
   not_eBC_GP_5 <= NOT eBC_GP(5) ;
   not_eBC_GP_6 <= NOT eBC_GP(6) ;
   not_eBC_GP_7 <= NOT eBC_GP(7) ;
   host_status_bits_2_64n45s2 <= Set_SSFLAG OR not_Config_reg_1_8 ;
   not_Config_reg_1_10 <= NOT Config_reg_1(10) ;
   rtlc64n7200 <= rtlcs299 OR rtlcs297 ;
   not_BC_IDLE <= NOT BC_IDLE ;
   rtlc64n5555 <= rtlc64n5513 AND not_rtlc64n5549 ;
   rtlc64n5556 <= rtlc64n5514 AND not_rtlc64n5549 ;
   rtlc64n5481 <= rtlc64n5445 AND not_CPU_Data_in_wide_19 ;
   rtlc64n5445 <= rtlc64n5436 AND not_CPU_Data_in_wide_23 ;
   rtlc64n5436 <= rtlc64n5338 AND not_CPU_Data_in_wide_25 ;
   rtlc64n6625 <= rtlc64n6557 AND not_WM_On ;
   rtlc64n6557 <= rtlc64n5860 AND not_BC_on ;
   rtlc64n6626 <= rtlc64n6568 AND not_WM_On ;
   rtlc64n6568 <= rtlc64n6557 AND not_rtlc64n6591 ;
   rtlc64n5620 <= rtlc64n5520 AND not_rtlcs228 ;
   rtlc64n5520 <= not_CE AND not_rtlc64n5418 ;
   rtlc64n5511 <= not_CPU_Data_in_wide_22 AND not_CPU_Data_in_wide_17 ;
   rtlc64n5887 <= not_rtlc64n6439 OR rtlc64n5855 ;
   rtlc64n5886 <= not_rtlc64n6439 OR rtlc64n5854 ;
   rtlc64n5885 <= not_rtlc64n6439 OR rtlc64n5853 ;
   rtlc64n5884 <= not_rtlc64n6439 OR rtlc64n5852 ;
   rtlc64n5883 <= not_rtlc64n6439 OR rtlc64n5851 ;
   rtlc64n5882 <= not_rtlc64n6439 OR rtlc64n5850 ;
   rtlc64n5881 <= not_rtlc64n6439 OR rtlc64n5849 ;
   rtlc64n5880 <= not_rtlc64n6439 OR rtlc64n5848 ;
   rtlc64n5341 <= not_CE OR not_rtlc64n4992 ;
   rtlc64n5340 <= not_CE OR not_rtlc64n5293 ;
   rtlc64n5338 <= not_CE OR not_rtlcn1229 ;
   rtlc64n5337 <= not_CE OR not_rtlcn10779 ;
   rtlc64n6656 <= not_Current_command_10 AND not_BCR ;
   rtlc64n6659 <= rtlc64n6656 AND LUT_Control(15) ;
   rtlc64n6667 <= rtlc64n6659 AND rtlc64n6666 ;
   rtlc64n6641 <= not_Current_command_10 AND BCR ;
   rtlc64n6644 <= rtlc64n6641 AND LUT_Control(15) ;
   rtlc64n6652 <= rtlc64n6644 AND rtlc64n6651 ;
   rtlc64n6668 <= rtlc64n6652 OR rtlc64n6667 ;
   rtlc64n6669 <= Config_reg_6_12 AND rtlc64n6668 ;
   rtlc64n6591 <= not_RT_On AND MT_On ;
   rtlc64n6593 <= rtlc64n6591 AND Monitor_new_command ;
   rtlc64n6578 <= Message_ended_OK OR Message_ended_not_OK ;
   rtlc64n6529 <= MIL1553_errors_transmitter_timout OR 
   MIL1553_errors_echo_back_bus_B ;
   rtlc64n6532 <= rtlc64n6529 OR MIL1553_errors_echo_back_bus_A ;
   rtlc64n6505 <= Config_reg_3_5 AND Config_reg_3_15 ;
   rtlc64n6489 <= rtlcs157 OR rtlcs151 ;
   not_Read_from_int_vec2 <= NOT Read_from_int_vec2 ;
   rtlc64n6439 <= CPU_CS AND not_MEM_nREG ;
   rtlc64n6444 <= rtlc64n6439 AND Config_reg_2(4) ;
   rtlc64n6451 <= rtlc64n6444 AND rtlcs235 ;
   rtlc64n6454 <= rtlc64n6451 AND CPU_RE_vec(0) ;
   rtlc64n6418 <= rtlc64n6444 AND rtlcs261 ;
   rtlc64n6421 <= rtlc64n6418 AND CPU_RE_vec(0) ;
   rtlc64_1710_gt_154 : gt_16u_16u port map ( a(15)=>VARAM_Q(15), a(14)=>
      VARAM_Q(14), a(13)=>VARAM_Q(13), a(12)=>VARAM_Q(12), a(11)=>
      VARAM_Q(11), a(10)=>VARAM_Q(10), a(9)=>VARAM_Q(9), a(8)=>VARAM_Q(8), 
      a(7)=>VARAM_Q(7), a(6)=>VARAM_Q(6), a(5)=>VARAM_Q(5), a(4)=>VARAM_Q(4), 
      a(3)=>VARAM_Q(3), a(2)=>VARAM_Q(2), a(1)=>VARAM_Q(1), a(0)=>VARAM_Q(0), 
      b(15)=>BC_msg_pointer(15), b(14)=>BC_msg_pointer(14), b(13)=>
      BC_msg_pointer(13), b(12)=>BC_msg_pointer(12), b(11)=>
      BC_msg_pointer(11), b(10)=>BC_msg_pointer(10), b(9)=>BC_msg_pointer(9), 
      b(8)=>BC_msg_pointer(8), b(7)=>BC_msg_pointer(7), b(6)=>
      BC_msg_pointer(6), b(5)=>BC_msg_pointer(5), b(4)=>BC_msg_pointer(4), 
      b(3)=>BC_msg_pointer(3), b(2)=>BC_msg_pointer(2), b(1)=>
      BC_msg_pointer(1), b(0)=>BC_msg_pointer(0), d=>not_rtlc64n7195);
   rtlc64n7195 <= NOT not_rtlc64n7195 ;
   rtlc64n6029 <= MON_SOM_phase_go AND not_RT_On ;
   rtlc64n6019 <= RT_On_EXMPLR939 AND SOM_req ;
   rtlc64n6005 <= BC_IDLE OR BC_EOF ;
   rtlc64n6006 <= BC_on_EXMPLR898 AND rtlc64n6005 ;
   not_eBC_Inc_Q_pointer <= NOT eBC_Inc_Q_pointer ;
   not_rtlc64n5947 <= NOT rtlc64n5947 ;
   rtlc64n5945 <= Clear_Stop_EOF OR Clear_Stop_EOM ;
   rtlc64n5947 <= rtlc64n5945 OR not_BC_on ;
   not_rtlc64n5932 <= NOT rtlc64n5932 ;
   rtlc64n5932 <= Clear_Stop_EOM OR not_BC_on ;
   rtlc64n5895 <= not_Config_reg_3_5 OR not_Config_reg_3_15 ;
   rtlc64n5549 <= rtlcs259 AND CPU_WE_vec(1) ;
   not_rtlc64n5533 <= NOT rtlc64n5533 ;
   rtlc64n5533 <= rtlcs259 AND CPU_WE_vec(0) ;
   not_CPU_Data_in_wide_18 <= NOT CPU_Data_in_wide(18) ;
   not_CPU_Data_in_wide_20 <= NOT CPU_Data_in_wide(20) ;
   not_CPU_Data_in_wide_21 <= NOT CPU_Data_in_wide(21) ;
   rtlc64n5418 <= rtlcs264 AND CPU_WE_vec(1) ;
   rtlc64n5378 <= rtlcs265 AND CPU_WE_vec(1) ;
   rtlc64n5313 <= Monitor_ended_OK AND Monitor_command_is_sync_with_data ;
   rtlc64n5304 <= Write AND Config_reg_2(5) ;
   rtlc64n5306 <= rtlc64n5304 AND not_illegal_message ;
   rtlc64n5307 <= rtlc64n5306 AND Current_command_is_sync_with_data ;
   not_rtlc64n5293 <= NOT rtlc64n5293 ;
   rtlc64n5291 <= MON_Phase(0) AND not_MON_Phase_1 ;
   rtlc64n5292 <= Once AND rtlc64n5291 ;
   rtlc64n5293 <= rtlc64n5292 AND Monitor_command_is_sync_with_data ;
   rtlc64n5277 <= Monitor_command_is_sync_without_data AND Monitor_ended_OK
    ;
   rtlc64n5271 <= Do_illegal_EXMPLR931 AND Config_reg_2(6) ;
   rtlc64n5273 <= rtlc64n5271 AND not_illegal_message ;
   rtlc64n5274 <= rtlc64n5273 AND Current_command_is_sync_without_data ;
   rtlc64n5265 <= Do_RAM_test AND not_Test_Status_reg_6 ;
   rtlc64n5262 <= Do_Protocol_test AND not_Test_Status_reg_14 ;
   rtlc64n5266 <= rtlc64n5262 OR rtlc64n5265 ;
   rtlc64n5275 <= rtlc64n5266 OR rtlc64n5274 ;
   rtlc64n5278 <= rtlc64n5275 OR rtlc64n5277 ;
   rtlc64n5103 <= rtlcs273 AND rtlcs281 ;
   rtlc64n5090 <= rtlcs274 AND rtlcs285 ;
   not_rtlc64n4992 <= NOT rtlc64n4992 ;
   rtlc64n4992 <= BC_Started OR WM_Started_EXMPLR942 ;
   count_T_RESus_inc6_64i1 : inc_6u_6u_0 port map ( cin=>PWR, a(5)=>
      count_T_RESus(5), a(4)=>count_T_RESus(4), a(3)=>count_T_RESus(3), a(2)
      =>count_T_RESus(2), a(1)=>count_T_RESus(1), a(0)=>count_T_RESus(0), 
      d(5)=>count_T_RESus_64n6s1(5), d(4)=>count_T_RESus_64n6s1(4), d(3)=>
      count_T_RESus_64n6s1(3), d(2)=>count_T_RESus_64n6s1(2), d(1)=>
      count_T_RESus_64n6s1(1), d(0)=>count_T_RESus_64n6s1(0), cout=>DANGLING
      (4));
   time_tag_inc16_64i2 : inc_16u_16u_0 port map ( cin=>PWR, a(15)=>
      time_tag_EXMPLR1017(15), a(14)=>time_tag_EXMPLR1017(14), a(13)=>
      time_tag_EXMPLR1017(13), a(12)=>time_tag_EXMPLR1017(12), a(11)=>
      time_tag_EXMPLR1017(11), a(10)=>time_tag_EXMPLR1017(10), a(9)=>
      time_tag_EXMPLR1017(9), a(8)=>time_tag_EXMPLR1017(8), a(7)=>
      time_tag_EXMPLR1017(7), a(6)=>time_tag_EXMPLR1017(6), a(5)=>
      time_tag_EXMPLR1017(5), a(4)=>time_tag_EXMPLR1017(4), a(3)=>
      time_tag_EXMPLR1017(3), a(2)=>time_tag_EXMPLR1017(2), a(1)=>
      time_tag_EXMPLR1017(1), a(0)=>time_tag_EXMPLR1017(0), d(15)=>
      time_tag_64n10s1(15), d(14)=>time_tag_64n10s1(14), d(13)=>
      time_tag_64n10s1(13), d(12)=>time_tag_64n10s1(12), d(11)=>
      time_tag_64n10s1(11), d(10)=>time_tag_64n10s1(10), d(9)=>
      time_tag_64n10s1(9), d(8)=>time_tag_64n10s1(8), d(7)=>
      time_tag_64n10s1(7), d(6)=>time_tag_64n10s1(6), d(5)=>
      time_tag_64n10s1(5), d(4)=>time_tag_64n10s1(4), d(3)=>
      time_tag_64n10s1(3), d(2)=>time_tag_64n10s1(2), d(1)=>
      time_tag_64n10s1(1), d(0)=>time_tag_64n10s1(0), cout=>DANGLING(5));
   eBC_Q_pointer_inc6_64i3 : inc_6u_6u_0 port map ( cin=>PWR, a(5)=>
      eBC_Q_pointer(5), a(4)=>eBC_Q_pointer(4), a(3)=>eBC_Q_pointer(3), a(2)
      =>eBC_Q_pointer(2), a(1)=>eBC_Q_pointer(1), a(0)=>eBC_Q_pointer(0), 
      d(5)=>eBC_Q_pointer_64n49s1(5), d(4)=>eBC_Q_pointer_64n49s1(4), d(3)=>
      eBC_Q_pointer_64n49s1(3), d(2)=>eBC_Q_pointer_64n49s1(2), d(1)=>
      eBC_Q_pointer_64n49s1(1), d(0)=>eBC_Q_pointer_64n49s1(0), cout=>
      DANGLING(6));
   not_CPU_Address_1 <= NOT CPU_Address(1) ;
   not_CPU_Address_2 <= NOT CPU_Address(2) ;
   not_Test_Status_reg_14 <= NOT Test_Status_reg_14 ;
   not_Test_Status_reg_6 <= NOT Test_Status_reg_6 ;
   not_MON_Phase_1 <= NOT MON_Phase(1) ;
   not_Tag_CLK_DD <= NOT Tag_CLK_DD ;
   not_Config_reg_3_5 <= NOT Config_reg_3_5 ;
   not_CPU_Data_in_wide_30 <= NOT CPU_Data_in_wide(30) ;
   rtlc64_2646_gt_159 : gt_16u_16u port map ( a(15)=>
      BC_frame_GAP_counter(15), a(14)=>BC_frame_GAP_counter(14), a(13)=>
      BC_frame_GAP_counter(13), a(12)=>BC_frame_GAP_counter(12), a(11)=>
      BC_frame_GAP_counter(11), a(10)=>BC_frame_GAP_counter(10), a(9)=>
      BC_frame_GAP_counter(9), a(8)=>BC_frame_GAP_counter(8), a(7)=>
      BC_frame_GAP_counter(7), a(6)=>BC_frame_GAP_counter(6), a(5)=>
      BC_frame_GAP_counter(5), a(4)=>BC_frame_GAP_counter(4), a(3)=>
      BC_frame_GAP_counter(3), a(2)=>BC_frame_GAP_counter(2), a(1)=>
      BC_frame_GAP_counter(1), a(0)=>BC_frame_GAP_counter(0), b(15)=>
      BC_msg_pointer(15), b(14)=>BC_msg_pointer(14), b(13)=>
      BC_msg_pointer(13), b(12)=>BC_msg_pointer(12), b(11)=>
      BC_msg_pointer(11), b(10)=>BC_msg_pointer(10), b(9)=>BC_msg_pointer(9), 
      b(8)=>BC_msg_pointer(8), b(7)=>BC_msg_pointer(7), b(6)=>
      BC_msg_pointer(6), b(5)=>BC_msg_pointer(5), b(4)=>BC_msg_pointer(4), 
      b(3)=>BC_msg_pointer(3), b(2)=>BC_msg_pointer(2), b(1)=>
      BC_msg_pointer(1), b(0)=>BC_msg_pointer(0), d=>not_rtlc64n7873);
   rtlc64n7873 <= NOT not_rtlc64n7873 ;
   rtlc64_2671_gt_160 : gt_16u_16u port map ( a(15)=>
      BC_GAP_to_next_msg_counter(15), a(14)=>BC_GAP_to_next_msg_counter(14), 
      a(13)=>BC_GAP_to_next_msg_counter(13), a(12)=>
      BC_GAP_to_next_msg_counter(12), a(11)=>BC_GAP_to_next_msg_counter(11), 
      a(10)=>BC_GAP_to_next_msg_counter(10), a(9)=>
      BC_GAP_to_next_msg_counter(9), a(8)=>BC_GAP_to_next_msg_counter(8), 
      a(7)=>BC_GAP_to_next_msg_counter(7), a(6)=>
      BC_GAP_to_next_msg_counter(6), a(5)=>BC_GAP_to_next_msg_counter(5), 
      a(4)=>BC_GAP_to_next_msg_counter(4), a(3)=>
      BC_GAP_to_next_msg_counter(3), a(2)=>BC_GAP_to_next_msg_counter(2), 
      a(1)=>BC_GAP_to_next_msg_counter(1), a(0)=>
      BC_GAP_to_next_msg_counter(0), b(15)=>BC_msg_pointer(15), b(14)=>
      BC_msg_pointer(14), b(13)=>BC_msg_pointer(13), b(12)=>
      BC_msg_pointer(12), b(11)=>BC_msg_pointer(11), b(10)=>
      BC_msg_pointer(10), b(9)=>BC_msg_pointer(9), b(8)=>BC_msg_pointer(8), 
      b(7)=>BC_msg_pointer(7), b(6)=>BC_msg_pointer(6), b(5)=>
      BC_msg_pointer(5), b(4)=>BC_msg_pointer(4), b(3)=>BC_msg_pointer(3), 
      b(2)=>BC_msg_pointer(2), b(1)=>BC_msg_pointer(1), b(0)=>
      BC_msg_pointer(0), d=>not_rtlc64n7923);
   rtlc64n7923 <= NOT not_rtlc64n7923 ;
   RT_On_67n1s1 <= Config_reg_1(15) AND not_Config_reg_1_14 ;
   WM_On_67n3s1 <= WM_On_67n3s2 AND not_Config_reg_1_12 ;
   WM_On_67n3s2 <= not_Config_reg_1_15 AND Config_reg_1(14) ;
   not_Config_reg_1_14 <= NOT Config_reg_1(14) ;
   not_Config_reg_1_15 <= NOT Config_reg_1(15) ;
   not_Config_reg_1_12 <= NOT Config_reg_1(12) ;
   rtlc70n47 <= rtlc64n6439 AND rtlcs264 ;
   Non_masked_Event_79n1s3_0 <= ISR1_during_clear_0 AND 
   Interrupt_mask_register_1(0) ;
   Non_masked_Event_79n1s3_1 <= ISR1_during_clear_1 AND 
   Interrupt_mask_register_1(1) ;
   Non_masked_Event_79n1s3_2 <= ISR1_during_clear_2 AND 
   Interrupt_mask_register_1(2) ;
   Non_masked_Event_79n1s3_3 <= ISR1_during_clear_3 AND 
   Interrupt_mask_register_1(3) ;
   Non_masked_Event_79n1s3_4 <= ISR1_during_clear_4 AND 
   Interrupt_mask_register_1(4) ;
   Non_masked_Event_79n1s3_5 <= ISR1_during_clear_5 AND 
   Interrupt_mask_register_1(5) ;
   Non_masked_Event_79n1s3_6 <= ISR1_during_clear_6 AND 
   Interrupt_mask_register_1(6) ;
   Non_masked_Event_79n1s3_8 <= ISR1_during_clear_8 AND 
   Interrupt_mask_register_1(8) ;
   Non_masked_Event_79n1s3_10 <= ISR1_during_clear_10 AND 
   Interrupt_mask_register_1(10) ;
   Non_masked_Event_79n1s3_11 <= ISR1_during_clear_11 AND 
   Interrupt_mask_register_1(11) ;
   Non_masked_Event_79n1s3_12 <= ISR1_during_clear_12 AND 
   Interrupt_mask_register_1(12) ;
   Non_masked_Event_79n1s3_13 <= ISR1_during_clear_13 AND 
   Interrupt_mask_register_1(13) ;
   Non_masked_Event_79n3s3_1 <= ISR2_during_clear_1 AND 
   Interrupt_mask_register_2(1) ;
   Non_masked_Event_79n3s3_3 <= ISR2_during_clear_3 AND 
   Interrupt_mask_register_2(3) ;
   Non_masked_Event_79n3s3_4 <= ISR2_during_clear_4 AND 
   Interrupt_mask_register_2(4) ;
   Non_masked_Event_79n3s3_5 <= ISR2_during_clear_5 AND 
   Interrupt_mask_register_2(5) ;
   Non_masked_Event_79n3s3_6 <= ISR2_during_clear_6 AND 
   Interrupt_mask_register_2(6) ;
   Non_masked_Event_79n3s3_7 <= ISR2_during_clear_7 AND 
   Interrupt_mask_register_2(7) ;
   Non_masked_Event_79n3s3_10 <= ISR2_during_clear_10 AND 
   Interrupt_mask_register_2(10) ;
   Non_masked_Event_79n3s3_11 <= ISR2_during_clear_11 AND 
   Interrupt_mask_register_2(11) ;
   Non_masked_Event_79n3s3_12 <= ISR2_during_clear_12 AND 
   Interrupt_mask_register_2(12) ;
   Non_masked_Event_79n3s3_14 <= ISR2_during_clear_14 AND 
   Interrupt_mask_register_2(14) ;
   Interrupt_status_register_1_79n6s1_0 <= Interrupt_status_register_1(0)
    AND Interrupt_status_register_1_79n6s2(0) ;
   Interrupt_status_register_1_79n6s1_1 <= Interrupt_status_register_1(1)
    AND Interrupt_status_register_1_79n6s2(1) ;
   Interrupt_status_register_1_79n6s1_2 <= Interrupt_status_register_1(2)
    AND Interrupt_status_register_1_79n6s2(2) ;
   Interrupt_status_register_1_79n6s1_3 <= Interrupt_status_register_1(3)
    AND Interrupt_status_register_1_79n6s2(3) ;
   Interrupt_status_register_1_79n6s1_4 <= Interrupt_status_register_1(4)
    AND Interrupt_status_register_1_79n6s2(4) ;
   Interrupt_status_register_1_79n6s1_5 <= Interrupt_status_register_1(5)
    AND Interrupt_status_register_1_79n6s2(5) ;
   Interrupt_status_register_1_79n6s1_6 <= Interrupt_status_register_1(6)
    AND Interrupt_status_register_1_79n6s2(6) ;
   Interrupt_status_register_1_79n6s1_8 <= Interrupt_status_register_1(8)
    AND Interrupt_status_register_1_79n6s2(8) ;
   Interrupt_status_register_1_79n6s1_9 <= Interrupt_status_register_1(9)
    AND Interrupt_status_register_1_79n6s2(9) ;
   Interrupt_status_register_1_79n6s1_10 <= Interrupt_status_register_1(10)
    AND Interrupt_status_register_1_79n6s2(10) ;
   Interrupt_status_register_1_79n6s1_11 <= Interrupt_status_register_1(11)
    AND Interrupt_status_register_1_79n6s2(11) ;
   Interrupt_status_register_1_79n6s1_12 <= Interrupt_status_register_1(12)
    AND Interrupt_status_register_1_79n6s2(12) ;
   Interrupt_status_register_1_79n6s1_13 <= Interrupt_status_register_1(13)
    AND Interrupt_status_register_1_79n6s2(13) ;
   Interrupt_status_register_1_79n6s2(0) <= NOT CPU_Data_in_wide(0) ;
   Interrupt_status_register_1_79n6s2(1) <= NOT CPU_Data_in_wide(1) ;
   Interrupt_status_register_1_79n6s2(2) <= NOT CPU_Data_in_wide(2) ;
   Interrupt_status_register_1_79n6s2(3) <= NOT CPU_Data_in_wide(3) ;
   Interrupt_status_register_1_79n6s2(4) <= NOT CPU_Data_in_wide(4) ;
   Interrupt_status_register_1_79n6s2(5) <= NOT CPU_Data_in_wide(5) ;
   Interrupt_status_register_1_79n6s2(6) <= NOT CPU_Data_in_wide(6) ;
   Interrupt_status_register_1_79n6s2(7) <= NOT CPU_Data_in_wide(7) ;
   Interrupt_status_register_1_79n6s2(8) <= NOT CPU_Data_in_wide(8) ;
   Interrupt_status_register_1_79n6s2(9) <= NOT CPU_Data_in_wide(9) ;
   Interrupt_status_register_1_79n6s2(10) <= NOT CPU_Data_in_wide(10) ;
   Interrupt_status_register_1_79n6s2(11) <= NOT CPU_Data_in_wide(11) ;
   Interrupt_status_register_1_79n6s2(12) <= NOT CPU_Data_in_wide(12) ;
   Interrupt_status_register_1_79n6s2(13) <= NOT CPU_Data_in_wide(13) ;
   Interrupt_status_register_1_79n6s2(14) <= NOT CPU_Data_in_wide(14) ;
   Interrupt_status_register_2_79n6s1_1 <= Interrupt_status_register_2_1
    AND Interrupt_status_register_1_79n6s2(1) ;
   Interrupt_status_register_2_79n6s1_2 <= Interrupt_status_register_2_2
    AND Interrupt_status_register_1_79n6s2(2) ;
   Interrupt_status_register_2_79n6s1_3 <= Interrupt_status_register_2_3
    AND Interrupt_status_register_1_79n6s2(3) ;
   Interrupt_status_register_2_79n6s1_4 <= Interrupt_status_register_2_4
    AND Interrupt_status_register_1_79n6s2(4) ;
   Interrupt_status_register_2_79n6s1_5 <= Interrupt_status_register_2_5
    AND Interrupt_status_register_1_79n6s2(5) ;
   Interrupt_status_register_2_79n6s1_6 <= Interrupt_status_register_2_6
    AND Interrupt_status_register_1_79n6s2(6) ;
   Interrupt_status_register_2_79n6s1_7 <= Interrupt_status_register_2_7
    AND Interrupt_status_register_1_79n6s2(7) ;
   Interrupt_status_register_2_79n6s1_10 <= Interrupt_status_register_2_10
    AND Interrupt_status_register_1_79n6s2(10) ;
   Interrupt_status_register_2_79n6s1_11 <= Interrupt_status_register_2_11
    AND Interrupt_status_register_1_79n6s2(11) ;
   Interrupt_status_register_2_79n6s1_12 <= Interrupt_status_register_2_12
    AND Interrupt_status_register_1_79n6s2(12) ;
   Interrupt_status_register_2_79n6s1_14 <= Interrupt_status_register_2_14
    AND Interrupt_status_register_1_79n6s2(14) ;
   Non_masked_Event_79n9s1 <= Interrupt_mask_register_1(13) AND 
   not_Tx_Timeout_D ;
   not_Tx_Timeout_D <= NOT Tx_Timeout_D ;
   not_rtlcs262 <= NOT rtlcs262 ;
   not_rtlcs238 <= NOT rtlcs238 ;
   rtlc79n1417 <= not_CE OR not_Clean_status2_bits ;
   rtlc79n1416 <= not_CE OR not_Clean_status_bits ;
   not_BC_msg_pointer_0 <= NOT BC_msg_pointer(0) ;
   not_BC_msg_pointer_1 <= NOT BC_msg_pointer(1) ;
   rtlc79n1777 <= Monitor_Ended_not_OK AND MT_On ;
   rtlc79n1774 <= Monitor_ended_OK AND MT_On ;
   rtlc79n1769 <= RT_On_EXMPLR939 AND rtlc64n6578 ;
   rtlc79n1772 <= rtlc79n1769 OR BC_EOM ;
   rtlc79n1775 <= rtlc79n1772 OR rtlc79n1774 ;
   rtlc79n1778 <= rtlc79n1775 OR rtlc79n1777 ;
   rtlc79_1668_mux_161 : mux_16u_16u port map ( a(15)=>LUT_Control(15), 
      a(14)=>LUT_Control(14), a(13)=>LUT_Control(13), a(12)=>LUT_Control(12), 
      a(11)=>LUT_Control(11), a(10)=>LUT_Control(10), a(9)=>LUT_Control(9), 
      a(8)=>LUT_Control(8), a(7)=>LUT_Control(7), a(6)=>LUT_Control(6), a(5)
      =>LUT_Control(5), a(4)=>LUT_Control(4), a(3)=>LUT_Control(3), a(2)=>
      LUT_Control(2), a(1)=>LUT_Control(1), a(0)=>LUT_Control(0), b(15)=>
      debug_EXMPLR1018(15), b(14)=>debug_EXMPLR1018(15), b(13)=>
      debug_EXMPLR1018(15), b(12)=>debug_EXMPLR1018(15), b(11)=>
      debug_EXMPLR1018(15), b(10)=>debug_EXMPLR1018(15), b(9)=>
      debug_EXMPLR1018(15), b(8)=>debug_EXMPLR1018(15), b(7)=>
      debug_EXMPLR1018(15), b(6)=>debug_EXMPLR1018(15), b(5)=>
      debug_EXMPLR1018(15), b(4)=>debug_EXMPLR1018(15), b(3)=>
      Current_command(3), b(2)=>Current_command(2), b(1)=>Current_command(1), 
      b(0)=>Current_command(0), d=>rtlc79n1747);
   rtlc79n1749 <= mode_command AND rtlc79n1747 ;
   rtlc79n1752 <= rtlc79n1749 AND EOM_phase(4) ;
   rtlc79n1738 <= status_set_dt OR BC_Found_wrong_RT_Address ;
   rtlc79n1753 <= rtlc79n1738 OR rtlc79n1752 ;
   rtlc79n1754 <= rtlc79n1753 OR WM_Trigger_event ;
   rtlc79n1723 <= MON_EOM_phase_go AND Ram_data_i_12_26n75s1 ;
   rtlc79n1716 <= BC_Sts_Word(12) AND not_BC_STS_Word_12_d ;
   rtlc79n1687 <= not_eBC AND BC_EOF ;
   rtlc79n1689 <= rtlc79n1687 OR rtlc30n15481 ;
   rtlc79n1663 <= LUT_Control(4) AND EOM_phase(4) ;
   rtlc79n1670 <= rtlc79n1663 AND rtlcs160 ;
   rtlc79n1654 <= LUT_Control(9) AND EOM_phase(4) ;
   rtlc79n1657 <= rtlc79n1654 AND not_Current_command_10 ;
   rtlc79n1646 <= LUT_Control(14) AND EOM_phase(4) ;
   rtlc79n1649 <= rtlc79n1646 AND Current_command(10) ;
   rtlc79n1658 <= rtlc79n1649 OR rtlc79n1657 ;
   rtlc79n1671 <= rtlc79n1658 OR rtlc79n1670 ;
   rtlc79n1672 <= not_mode_command AND rtlc79n1671 ;
   rtlc79n1639 <= BC_EOM AND BC_Control_word_4 ;
   rtlc79n1673 <= rtlc79n1639 OR rtlc79n1672 ;
   rtlc79n1618 <= Rollover_Int_Enable AND Data_Rollover ;
   rtlc79n1621 <= rtlc79n1618 AND Config_reg_2(1) ;
   rtlc79n1624 <= rtlc79n1621 AND EOM_phase(4) ;
   rtlc79n1606 <= not_time_tag_15 AND time_tag15d ;
   not_Clean_status_bits <= NOT Clean_status_bits ;
   rtlc79n1506 <= rtlc13n13 OR rtlc0n18 ;
   not_Clean_status2_bits <= NOT Clean_status2_bits ;
   not_BC_STS_Word_12_d <= NOT BC_STS_Word_12_d ;
   not_time_tag_15 <= NOT time_tag_EXMPLR1017(15) ;
   rtlc82n136 <= mode_command AND Current_command(10) ;
   rtlc85n71 <= rtlc64n6439 AND Config_reg_4_EXMPLR1013(3) ;
   rtlc85n79 <= rtlc85n71 AND rtlcs253 ;
   rtlc85n82 <= rtlc85n79 AND CPU_WE_vec(1) ;
   rtlc85n54 <= CE AND First_After_Reset ;
   rtlc88n174 <= not_Clear_Test_Status_reg AND not_rtlcs302 ;
   rtlc88n177 <= rtlc88n174 AND rtlcn1230 ;
   rtlc88n98 <= Do_Protocol_test AND not_WM_On ;
   rtlc88n99 <= First_time OR rtlc88n98 ;
   WM_RAM_data_i_6_91n10s2 <= WM_RAM_data_i_6_91n10s3 AND WM_Descriptor(3) ;
   rtlc91n662 <= state(0) OR state(1) ;
   rtlc91n682 <= state(8) OR state(6) ;
   rtlc91n553 <= Config_reg_1(11) AND Config_reg_1(9) ;
   rtlc91n564 <= rtlc91n553 AND rtlcs350 ;
   rtlc91n567 <= rtlc91n564 AND WM_Descriptor(3) ;
   rtlc91n482 <= rtlc91n564 AND WM_Req ;
   rtlc91n485 <= rtlc91n482 AND WM_Descriptor(3) ;
   rtlc91n458 <= WM_Req AND not_WM_Ack ;
   not_rtlc91n447 <= NOT rtlc91n447 ;
   rtlc91n441 <= rtlc91n458 AND rtlcs144 ;
   rtlc91n444 <= rtlc91n441 AND not_eBC_Q_pointer_10 ;
   rtlc91n449 <= rtlc91n444 AND not_rtlc91n447 ;
   rtlc91n382 <= not_Config_reg_1_11 OR not_Config_reg_1_10 ;
   rtlc91n385 <= rtlc91n382 AND not_Config_reg_1_7 ;
   not_Config_reg_1_11 <= NOT Config_reg_1(11) ;
   not_eBC_Q_pointer_10 <= NOT eBC_Q_pointer(10) ;
   rtlc91_737_or_163 : or_4u_4u port map ( a(3)=>state(0), a(2)=>state(1), 
      a(1)=>state(2), a(0)=>state(7), d=>rtlc91n836);
   not_rtlcn1209 <= NOT rtlcn1209 ;
   not_rtlcn1210 <= NOT rtlcn1210 ;
   not_rtlcn1211 <= NOT rtlcn1211 ;
   rtlc30n19450 <= BC_State(15) OR BC_State(16) ;
   rtlc30n19493 <= BC_State(12) AND rtlcs142 ;
   not_rtlcn1215 <= NOT rtlcn1215 ;
   not_rtlcn1217 <= NOT rtlcn1217 ;
   not_rtlcn1219 <= NOT rtlcn1219 ;
   not_rtlcn1222 <= NOT rtlcn1222 ;
   rtlc64n7610 <= count_1us(4) OR count_1us(3) ;
   not_rtlcn1229 <= NOT rtlcn1229 ;
   not_rtlcn1236 <= NOT rtlcn1236 ;
   rtlcn1209 <= BC_Control_word_9 OR rtlcs164 ;
   rtlcn1210 <= Config_reg_4_EXMPLR1013(11) OR rtlc48n263 ;
   rtlcn1211 <= Config_reg_1(6) OR Config_reg_1(7) ;
   rtlcn1212 <= rtlcs170 OR frame_gap_eq_0 ;
   rtlcn1213 <= rtlcs166 OR gap_eq_0 ;
   rtlcn1215 <= Timeout_counter(3) OR rtlc36n757 ;
   rtlcn1222 <= WM_Started_EXMPLR942 OR rtlc2n30 ;
   rtlcn1225 <= rtlc64n7610 OR rtlc64n7612 ;
   rtlcn1236 <= INTn_count(1) OR INTn_count(0) ;
   rtlc_1898_and_164 : and_5u_5u port map ( a(4)=>Data_o_temp(11), a(3)=>
      not_Data_o_temp_12, a(2)=>not_Data_o_temp_13, a(1)=>not_Data_o_temp_14, 
      a(0)=>Ack, d=>rtlcn1241);
   Clear_Test_Status_reg_select_64i4 : select_3_3 port map ( a(2)=>rtlcs228, 
      a(1)=>not_rtlcn9809, a(0)=>rtlc64n5418, b(2)=>CPU_Data_in_wide(28), 
      b(1)=>debug_EXMPLR1018(15), b(0)=>Clear_Test_Status_reg_64n20s1, d=>
      Clear_Test_Status_reg_64n33ss1);
   reg_data_out_wide_select_79i1 : select_16_16 port map ( a(15)=>rtlcs235, 
      a(14)=>rtlcs243, a(13)=>rtlcs223, a(12)=>rtlcs231, a(11)=>rtlcs217, 
      a(10)=>rtlcs242, a(9)=>rtlcs219, a(8)=>rtlcs249, a(7)=>rtlcs256, a(6)
      =>rtlcs251, a(5)=>rtlcs253, a(4)=>rtlcs261, a(3)=>rtlcs259, a(2)=>
      rtlcs264, a(1)=>rtlcs265, a(0)=>not_rtlcn8762, b(15)=>eBC_Q_pointer(9), 
      b(14)=>Interrupt_mask_register_2(9), b(13)=>eBC_Conditions_9, b(12)=>
      PrimeCheck, b(11)=>debug_EXMPLR1018(15), b(10)=>Latched_TT(9), b(9)=>
      PWR, b(8)=>Internal_BIT_Word_9, b(7)=>reg_data_out_wide_79n53ss1(9), 
      b(6)=>BC_frame_GAP_counter(9), b(5)=>Config_reg_5(9), b(4)=>
      Config_reg_3_9, b(3)=>time_tag_EXMPLR1017(9), b(2)=>
      reg_data_out_wide_79n40ss1(9), b(1)=>Config_reg_1(9), b(0)=>
      debug_EXMPLR1018(15), d=>reg_data_out_wide_79n69ss1(9));
   rtlc_2919_select_167 : select_4_4 port map ( a(3)=>EOM_phase(0), a(2)=>
      rtlc26n9511, a(1)=>EOM_phase(2), a(0)=>EOM_phase(4), b(3)=>
      not_EOM_phase_go, b(2)=>not_Ack, b(1)=>rtlc26n7285, b(0)=>rtlc26n7305, 
      d=>rtlcn2062);
   rtlc_2922_select_168 : select_4_4 port map ( a(3)=>SOM_phase_0, a(2)=>
      SOM_phase_1, a(1)=>not_rtlcn9810, a(0)=>SOM_phase_7, b(3)=>
      not_SOM_phase_go, b(2)=>rtlc26n7475, b(1)=>not_Ack, b(0)=>
      not_rtlcn10597, d=>rtlcn2064);
   rtlc_2929_select_169 : select_4_4 port map ( a(3)=>MON_SOM_phase(0), a(2)
      =>rtlcn2067, a(1)=>MON_SOM_phase(2), a(0)=>rtlcn2068, b(3)=>
      not_MON_SOM_phase_go, b(2)=>not_Ack, b(1)=>rtlc26n8081, b(0)=>
      rtlc26n8295, d=>rtlcn2069);
   BC_Go_select_30i28 : select_3_3 port map ( a(2)=>not_rtlcn8756, a(1)=>
      BC_State(80), a(0)=>rtlc30n16072, b(2)=>debug_EXMPLR1018(15), b(1)=>
      eBC_Q_pointer(11), b(0)=>Ack, d=>BC_Go_30n180ss1);
   BC_Stack_pointer_select_30i45 : select_5_5 port map ( a(4)=>BC_State(33), 
      a(3)=>BC_State(60), a(2)=>rtlcn2218, a(1)=>rtlc30n16290, a(0)=>
      BC_State(58), b(4)=>Frame_length_reg_0xD(0), b(3)=>VARAM_Q(0), b(2)=>
      BC_Stack_pointer_30n31s1(0), b(1)=>Data_o_temp(0), b(0)=>
      debug_EXMPLR1018(15), d=>BC_Stack_pointer_30n180ss1(0));
   BC_Stack_pointer_select_30i46 : select_4_4 port map ( a(3)=>BC_State(33), 
      a(2)=>BC_State(60), a(1)=>rtlcn2218, a(0)=>rtlc30n16305, b(3)=>
      Frame_length_reg_0xD(1), b(2)=>VARAM_Q(1), b(1)=>
      BC_Stack_pointer_30n31s1(1), b(0)=>Data_o_temp(1), d=>
      BC_Stack_pointer_30n180ss1(1));
   BC_Stack_pointer_select_30i47Bus127_2 : select_5_5 port map ( a(4)=>
      BC_State(33), a(3)=>BC_State(60), a(2)=>rtlcn2218, a(1)=>rtlc30n16305, 
      a(0)=>BC_State(12), b(4)=>Frame_length_reg_0xD(2), b(3)=>VARAM_Q(2), 
      b(2)=>BC_Stack_pointer_30n31s1(2), b(1)=>Data_o_temp(2), b(0)=>
      BC_Stack_pointer_30n31s1(0), d=>BC_Stack_pointer_30n180ss1(2));
   BC_Stack_pointer_select_30i47Bus127_3 : select_5_5 port map ( a(4)=>
      BC_State(33), a(3)=>BC_State(60), a(2)=>rtlcn2218, a(1)=>rtlc30n16305, 
      a(0)=>BC_State(12), b(4)=>Frame_length_reg_0xD(3), b(3)=>VARAM_Q(3), 
      b(2)=>BC_Stack_pointer_30n31s1(3), b(1)=>Data_o_temp(3), b(0)=>
      BC_Stack_pointer_30n31s1(1), d=>BC_Stack_pointer_30n180ss1(3));
   BC_Stack_pointer_select_30i47Bus127_4 : select_5_5 port map ( a(4)=>
      BC_State(33), a(3)=>BC_State(60), a(2)=>rtlcn2218, a(1)=>rtlc30n16305, 
      a(0)=>BC_State(12), b(4)=>Frame_length_reg_0xD(4), b(3)=>VARAM_Q(4), 
      b(2)=>BC_Stack_pointer_30n31s1(4), b(1)=>Data_o_temp(4), b(0)=>
      BC_Stack_pointer_30n31s1(2), d=>BC_Stack_pointer_30n180ss1(4));
   BC_Stack_pointer_select_30i47Bus127_5 : select_5_5 port map ( a(4)=>
      BC_State(33), a(3)=>BC_State(60), a(2)=>rtlcn2218, a(1)=>rtlc30n16305, 
      a(0)=>BC_State(12), b(4)=>Frame_length_reg_0xD(5), b(3)=>VARAM_Q(5), 
      b(2)=>BC_Stack_pointer_30n31s1(5), b(1)=>Data_o_temp(5), b(0)=>
      BC_Stack_pointer_30n31s1(3), d=>BC_Stack_pointer_30n180ss1(5));
   BC_Stack_pointer_select_30i47Bus127_6 : select_5_5 port map ( a(4)=>
      BC_State(33), a(3)=>BC_State(60), a(2)=>rtlcn2218, a(1)=>rtlc30n16305, 
      a(0)=>BC_State(12), b(4)=>Frame_length_reg_0xD(6), b(3)=>VARAM_Q(6), 
      b(2)=>BC_Stack_pointer_30n31s2_6, b(1)=>Data_o_temp(6), b(0)=>
      BC_Stack_pointer_30n31s1(4), d=>BC_Stack_pointer_30n180ss1(6));
   BC_Stack_pointer_select_30i47Bus127_7 : select_5_5 port map ( a(4)=>
      BC_State(33), a(3)=>BC_State(60), a(2)=>rtlcn2218, a(1)=>rtlc30n16305, 
      a(0)=>BC_State(12), b(4)=>Frame_length_reg_0xD(7), b(3)=>VARAM_Q(7), 
      b(2)=>BC_Stack_pointer_30n31s3_7, b(1)=>Data_o_temp(7), b(0)=>
      BC_Stack_pointer_30n31s1(5), d=>BC_Stack_pointer_30n180ss1(7));
   BC_Stack_pointer_select_30i47Bus127_8 : select_5_5 port map ( a(4)=>
      BC_State(33), a(3)=>BC_State(60), a(2)=>rtlcn2218, a(1)=>rtlc30n16305, 
      a(0)=>BC_State(12), b(4)=>Frame_length_reg_0xD(8), b(3)=>VARAM_Q(8), 
      b(2)=>BC_Stack_pointer_30n31s4_8, b(1)=>Data_o_temp(8), b(0)=>
      BC_Stack_pointer_30n31s2_6, d=>BC_Stack_pointer_30n180ss1(8));
   BC_Stack_pointer_select_30i47Bus127_9 : select_5_5 port map ( a(4)=>
      BC_State(33), a(3)=>BC_State(60), a(2)=>rtlcn2218, a(1)=>rtlc30n16305, 
      a(0)=>BC_State(12), b(4)=>Frame_length_reg_0xD(9), b(3)=>VARAM_Q(9), 
      b(2)=>BC_Stack_pointer_30n167s1_9, b(1)=>Data_o_temp(9), b(0)=>
      BC_Stack_pointer_30n31s3_7, d=>BC_Stack_pointer_30n180ss1(9));
   BC_Stack_pointer_select_30i47Bus127_10 : select_5_5 port map ( a(4)=>
      BC_State(33), a(3)=>BC_State(60), a(2)=>rtlcn2218, a(1)=>rtlc30n16305, 
      a(0)=>BC_State(12), b(4)=>Frame_length_reg_0xD(10), b(3)=>VARAM_Q(10), 
      b(2)=>BC_Stack_pointer_30n167s1_10, b(1)=>Data_o_temp(10), b(0)=>
      BC_Stack_pointer_30n31s4_8, d=>BC_Stack_pointer_30n180ss1(10));
   BC_Stack_pointer_select_30i56Bus128_11 : select_4_4 port map ( a(3)=>
      BC_State(33), a(2)=>BC_State(60), a(1)=>rtlcn2218, a(0)=>rtlc30n16305, 
      b(3)=>Frame_length_reg_0xD(11), b(2)=>VARAM_Q(11), b(1)=>
      BC_Stack_pointer_30n167s1_11, b(0)=>Data_o_temp(11), d=>
      BC_Stack_pointer_30n180ss1(11));
   BC_Stack_pointer_select_30i56Bus128_12 : select_4_4 port map ( a(3)=>
      BC_State(33), a(2)=>BC_State(60), a(1)=>rtlcn2218, a(0)=>rtlc30n16305, 
      b(3)=>Frame_length_reg_0xD(12), b(2)=>VARAM_Q(12), b(1)=>
      BC_Stack_pointer_30n167s1_12, b(0)=>Data_o_temp(12), d=>
      BC_Stack_pointer_30n180ss1(12));
   BC_Stack_pointer_select_30i56Bus128_13 : select_4_4 port map ( a(3)=>
      BC_State(33), a(2)=>BC_State(60), a(1)=>rtlcn2218, a(0)=>rtlc30n16305, 
      b(3)=>Frame_length_reg_0xD(13), b(2)=>VARAM_Q(13), b(1)=>
      BC_Stack_pointer_30n167s1_13, b(0)=>Data_o_temp(13), d=>
      BC_Stack_pointer_30n180ss1(13));
   BC_Stack_pointer_select_30i56Bus128_14 : select_4_4 port map ( a(3)=>
      BC_State(33), a(2)=>BC_State(60), a(1)=>rtlcn2218, a(0)=>rtlc30n16305, 
      b(3)=>Frame_length_reg_0xD(14), b(2)=>VARAM_Q(14), b(1)=>
      BC_Stack_pointer_30n167s1_14, b(0)=>Data_o_temp(14), d=>
      BC_Stack_pointer_30n180ss1(14));
   rtlc_3147_or_202 : or_12u_12u port map ( a(11)=>BC_State(34), a(10)=>
      BC_State(35), a(9)=>BC_State(57), a(8)=>BC_State(59), a(7)=>
      BC_State(61), a(6)=>BC_State(63), a(5)=>BC_State(64), a(4)=>
      BC_State(67), a(3)=>BC_State(69), a(2)=>BC_State(70), a(1)=>
      BC_State(72), a(0)=>BC_State(82), d=>rtlcn2218);
   BC_Stack_pointer_select_30i56Bus128_15 : select_4_4 port map ( a(3)=>
      BC_State(33), a(2)=>BC_State(60), a(1)=>rtlcn2218, a(0)=>rtlc30n16305, 
      b(3)=>Frame_length_reg_0xD(15), b(2)=>VARAM_Q(15), b(1)=>
      BC_Stack_pointer_30n167s1_15, b(0)=>Data_o_temp(15), d=>
      BC_Stack_pointer_30n180ss1(15));
   VARAM_ADD_select_30i61 : select_3_3 port map ( a(2)=>BC_State(32), a(1)=>
      BC_State(59), a(0)=>rtlcn2260, b(2)=>LIFO_Pointer(4), b(1)=>
      LIFO_Pointer_30n126s1(4), b(0)=>debug_EXMPLR1018(15), d=>
      VARAM_ADD_30n180ss1(4));
   rtlc_3242_select_206 : select_4_4 port map ( a(3)=>not_rtlc30n17277, a(2)
      =>rtlcn2281, a(1)=>BC_State(40), a(0)=>BC_State(44), b(3)=>PWR, b(2)=>
      not_Ack, b(1)=>BC_Command_Sync, b(0)=>rtlc30n15102, d=>rtlcn2282);
   rtlc_3245_select_207 : select_3_3 port map ( a(2)=>not_rtlc30n17321, a(1)
      =>BC_State(58), a(0)=>rtlc30n16346, b(2)=>PWR, b(1)=>
      not_BC_Echo_word_10, b(0)=>debug_EXMPLR1018(15), d=>rtlcn2484);
   BC_msg_pointer_select_30i63Bus185_1 : select_3_3 port map ( a(2)=>
      rtlc30n19450, a(1)=>BC_State(12), a(0)=>rtlc30n16289, b(2)=>
      BC_msg_pointer(1), b(1)=>BC_Stack_pointer(3), b(0)=>ReTry_count(1), d
      =>BC_msg_pointer_30n43s1f1(1));
   BC_msg_pointer_select_30i63Bus185_0 : select_3_3 port map ( a(2)=>
      rtlc30n19450, a(1)=>BC_State(12), a(0)=>rtlc30n16289, b(2)=>
      BC_msg_pointer(0), b(1)=>BC_Stack_pointer(2), b(0)=>ReTry_count(0), d
      =>BC_msg_pointer_30n43s1f1(0));
   reg_data_out_wide_select_79i2Bus167_0 : select_12_12 port map ( a(11)=>
      rtlcs235, a(10)=>rtlcn2379, a(9)=>rtlcs223, a(8)=>rtlcs231, a(7)=>
      rtlcs249, a(6)=>rtlcs256, a(5)=>rtlcs251, a(4)=>rtlcs253, a(3)=>
      rtlcs261, a(2)=>rtlcs259, a(1)=>rtlcs264, a(0)=>rtlcs265, b(11)=>
      Interrupt_status_register_2_0, b(10)=>debug_EXMPLR1018(15), b(9)=>PWR, 
      b(8)=>IP_Freq_sel_EXMPLR1009(0), b(7)=>Channel_Status(0), b(6)=>
      BC_GAP_to_next_msg_counter(0), b(5)=>reg_data_out_wide_79n49ss1(0), 
      b(4)=>Config_reg_4_EXMPLR1013(0), b(3)=>Interrupt_status_register_1(0), 
      b(2)=>reg_data_out_wide_79n42ss1(0), b(1)=>Config_reg_2(0), b(0)=>
      Interrupt_mask_register_1(0), d=>reg_data_out_wide_79n68ss1(0));
   reg_data_out_wide_select_79i2Bus167_1 : select_12_12 port map ( a(11)=>
      rtlcs235, a(10)=>rtlcn2379, a(9)=>rtlcs223, a(8)=>rtlcs231, a(7)=>
      rtlcs249, a(6)=>rtlcs256, a(5)=>rtlcs251, a(4)=>rtlcs253, a(3)=>
      rtlcs261, a(2)=>rtlcs259, a(1)=>rtlcs264, a(0)=>rtlcs265, b(11)=>
      Interrupt_status_register_2_1, b(10)=>debug_EXMPLR1018(15), b(9)=>
      debug_EXMPLR1018(15), b(8)=>IP_Freq_sel_EXMPLR1009(1), b(7)=>
      Channel_Status(1), b(6)=>BC_GAP_to_next_msg_counter(1), b(5)=>
      reg_data_out_wide_79n49ss1(1), b(4)=>Config_reg_4_EXMPLR1013(1), b(3)
      =>Interrupt_status_register_1(1), b(2)=>reg_data_out_wide_79n42ss1(1), 
      b(1)=>Config_reg_2(1), b(0)=>Interrupt_mask_register_1(1), d=>
      reg_data_out_wide_79n68ss1(1));
   reg_data_out_wide_select_79i2Bus167_2 : select_12_12 port map ( a(11)=>
      rtlcs235, a(10)=>rtlcn2379, a(9)=>rtlcs223, a(8)=>rtlcs231, a(7)=>
      rtlcs249, a(6)=>rtlcs256, a(5)=>rtlcs251, a(4)=>rtlcs253, a(3)=>
      rtlcs261, a(2)=>rtlcs259, a(1)=>rtlcs264, a(0)=>rtlcs265, b(11)=>
      Interrupt_status_register_2_2, b(10)=>debug_EXMPLR1018(15), b(9)=>
      debug_EXMPLR1018(15), b(8)=>Config_reg_6_2, b(7)=>Channel_Status(2), 
      b(6)=>BC_GAP_to_next_msg_counter(2), b(5)=>
      reg_data_out_wide_79n49ss1(2), b(4)=>Config_reg_4_EXMPLR1013(2), b(3)
      =>Interrupt_status_register_1(2), b(2)=>reg_data_out_wide_79n42ss1(2), 
      b(1)=>Config_reg_2(2), b(0)=>Interrupt_mask_register_1(2), d=>
      reg_data_out_wide_79n68ss1(2));
   reg_data_out_wide_select_79i5Bus168_3 : select_13_13 port map ( a(12)=>
      rtlcs235, a(11)=>rtlcn2387, a(10)=>rtlcs223, a(9)=>rtlcs231, a(8)=>
      rtlcs217, a(7)=>rtlcs249, a(6)=>rtlcs256, a(5)=>rtlcs251, a(4)=>
      rtlcs253, a(3)=>rtlcs261, a(2)=>rtlcs259, a(1)=>rtlcs264, a(0)=>
      rtlcs265, b(12)=>Interrupt_status_register_2_3, b(11)=>
      debug_EXMPLR1018(15), b(10)=>PWR, b(9)=>Config_reg_6_3, b(8)=>PWR, 
      b(7)=>Channel_Status(3), b(6)=>BC_GAP_to_next_msg_counter(3), b(5)=>
      reg_data_out_wide_79n49ss1(3), b(4)=>Config_reg_4_EXMPLR1013(3), b(3)
      =>Interrupt_status_register_1(3), b(2)=>reg_data_out_wide_79n42ss1(3), 
      b(1)=>Config_reg_2(3), b(0)=>Interrupt_mask_register_1(3), d=>
      reg_data_out_wide_79n68ss1(3));
   reg_data_out_wide_select_79i5Bus168_4 : select_13_13 port map ( a(12)=>
      rtlcs235, a(11)=>rtlcn2389, a(10)=>rtlcs223, a(9)=>rtlcs231, a(8)=>
      rtlcs219, a(7)=>rtlcs249, a(6)=>rtlcs256, a(5)=>rtlcs251, a(4)=>
      rtlcs253, a(3)=>rtlcs261, a(2)=>rtlcs259, a(1)=>rtlcs264, a(0)=>
      rtlcs265, b(12)=>Interrupt_status_register_2_4, b(11)=>
      debug_EXMPLR1018(15), b(10)=>PWR, b(9)=>Config_reg_6_4, b(8)=>PWR, 
      b(7)=>Channel_Status(4), b(6)=>BC_GAP_to_next_msg_counter(4), b(5)=>
      reg_data_out_wide_79n49ss1(4), b(4)=>Config_reg_4_EXMPLR1013(4), b(3)
      =>Interrupt_status_register_1(4), b(2)=>reg_data_out_wide_79n42ss1(4), 
      b(1)=>Config_reg_2(4), b(0)=>Interrupt_mask_register_1(4), d=>
      reg_data_out_wide_79n68ss1(4));
   reg_data_out_wide_select_79i5Bus168_5 : select_13_13 port map ( a(12)=>
      rtlcs235, a(11)=>rtlcs243, a(10)=>rtlcs223, a(9)=>rtlcs231, a(8)=>
      not_rtlcn9812, a(7)=>rtlcs249, a(6)=>rtlcs256, a(5)=>rtlcs251, a(4)=>
      rtlcs253, a(3)=>rtlcs261, a(2)=>rtlcs259, a(1)=>rtlcs264, a(0)=>
      rtlcs265, b(12)=>Interrupt_status_register_2_5, b(11)=>
      Test_Status_reg_7, b(10)=>debug_EXMPLR1018(15), b(9)=>Config_reg_6_5, 
      b(8)=>debug_EXMPLR1018(15), b(7)=>Channel_Status(5), b(6)=>
      BC_GAP_to_next_msg_counter(5), b(5)=>reg_data_out_wide_79n49ss1(5), 
      b(4)=>Config_reg_4_EXMPLR1013(5), b(3)=>Interrupt_status_register_1(5), 
      b(2)=>reg_data_out_wide_79n42ss1(5), b(1)=>Config_reg_2(5), b(0)=>
      Interrupt_mask_register_1(5), d=>reg_data_out_wide_79n68ss1(5));
   reg_data_out_wide_select_79i5Bus168_6 : select_13_13 port map ( a(12)=>
      rtlcs235, a(11)=>rtlcs243, a(10)=>rtlcs223, a(9)=>rtlcs231, a(8)=>
      not_rtlcn9812, a(7)=>rtlcs249, a(6)=>rtlcs256, a(5)=>rtlcs251, a(4)=>
      rtlcs253, a(3)=>rtlcs261, a(2)=>rtlcs259, a(1)=>rtlcs264, a(0)=>
      rtlcs265, b(12)=>Interrupt_status_register_2_6, b(11)=>
      Test_Status_reg_6, b(10)=>debug_EXMPLR1018(15), b(9)=>Config_reg_6_6, 
      b(8)=>debug_EXMPLR1018(15), b(7)=>Channel_Status(6), b(6)=>
      BC_GAP_to_next_msg_counter(6), b(5)=>reg_data_out_wide_79n49ss1(6), 
      b(4)=>Config_reg_4_EXMPLR1013(6), b(3)=>Interrupt_status_register_1(6), 
      b(2)=>reg_data_out_wide_79n42ss1(6), b(1)=>Config_reg_2(6), b(0)=>
      Interrupt_mask_register_1(6), d=>reg_data_out_wide_79n68ss1(6));
   reg_data_out_wide_select_79i9 : select_14_14 port map ( a(13)=>rtlcs235, 
      a(12)=>rtlcs243, a(11)=>rtlcs223, a(10)=>rtlcs231, a(9)=>rtlcs217, 
      a(8)=>rtlcn2395, a(7)=>rtlcs249, a(6)=>rtlcs256, a(5)=>rtlcs251, a(4)
      =>rtlcs253, a(3)=>rtlcs261, a(2)=>rtlcs259, a(1)=>rtlcs264, a(0)=>
      rtlcs265, b(13)=>Interrupt_status_register_2_7, b(12)=>
      Test_Status_reg_7, b(11)=>debug_EXMPLR1018(15), b(10)=>Config_reg_6_7, 
      b(9)=>PWR, b(8)=>debug_EXMPLR1018(15), b(7)=>Channel_Status(7), b(6)=>
      BC_GAP_to_next_msg_counter(7), b(5)=>reg_data_out_wide_79n49ss1(7), 
      b(4)=>Config_reg_4_EXMPLR1013(7), b(3)=>Interrupt_status_register_1(7), 
      b(2)=>reg_data_out_wide_79n42ss1(7), b(1)=>Config_reg_2(7), b(0)=>
      Interrupt_mask_register_1(7), d=>reg_data_out_wide_79n68ss1(7));
   reg_data_out_wide_select_79i10 : select_13_13 port map ( a(12)=>rtlcs235, 
      a(11)=>rtlcn2387, a(10)=>rtlcs223, a(9)=>rtlcs231, a(8)=>rtlcs217, 
      a(7)=>rtlcs249, a(6)=>rtlcs256, a(5)=>rtlcs251, a(4)=>rtlcs253, a(3)=>
      rtlcs261, a(2)=>rtlcs259, a(1)=>rtlcs264, a(0)=>rtlcs265, b(12)=>
      Interrupt_status_register_2_10, b(11)=>debug_EXMPLR1018(15), b(10)=>
      debug_EXMPLR1018(15), b(9)=>Config_reg_6_10, b(8)=>PWR, b(7)=>
      Channel_Status(10), b(6)=>BC_GAP_to_next_msg_counter(10), b(5)=>
      reg_data_out_wide_79n49ss1(10), b(4)=>Config_reg_4_EXMPLR1013(10), 
      b(3)=>Interrupt_status_register_1(10), b(2)=>
      reg_data_out_wide_79n42ss1(10), b(1)=>Config_reg_2(10), b(0)=>
      Interrupt_mask_register_1(10), d=>reg_data_out_wide_79n68ss1(10));
   reg_data_out_wide_select_79i11Bus169_11 : select_12_12 port map ( a(11)=>
      rtlcs235, a(10)=>rtlcs243, a(9)=>rtlcs223, a(8)=>rtlcs231, a(7)=>
      rtlcn2404, a(6)=>rtlcs256, a(5)=>rtlcs251, a(4)=>rtlcs253, a(3)=>
      rtlcs261, a(2)=>rtlcs259, a(1)=>rtlcs264, a(0)=>rtlcs265, b(11)=>
      Interrupt_status_register_2_11, b(10)=>Test_Status_reg_11, b(9)=>
      debug_EXMPLR1018(15), b(8)=>Config_reg_6_11, b(7)=>
      debug_EXMPLR1018(15), b(6)=>BC_GAP_to_next_msg_counter(11), b(5)=>
      reg_data_out_wide_79n49ss1(11), b(4)=>Config_reg_4_EXMPLR1013(11), 
      b(3)=>Interrupt_status_register_1(11), b(2)=>
      reg_data_out_wide_79n42ss1(11), b(1)=>Config_reg_2(11), b(0)=>
      Interrupt_mask_register_1(11), d=>reg_data_out_wide_79n68ss1(11));
   reg_data_out_wide_select_79i11Bus169_12 : select_12_12 port map ( a(11)=>
      rtlcs235, a(10)=>rtlcn2406, a(9)=>rtlcs223, a(8)=>rtlcs231, a(7)=>
      rtlcs216, a(6)=>rtlcs256, a(5)=>rtlcs251, a(4)=>rtlcs253, a(3)=>
      rtlcs261, a(2)=>rtlcs259, a(1)=>rtlcs264, a(0)=>rtlcs265, b(11)=>
      Interrupt_status_register_2_12, b(10)=>debug_EXMPLR1018(15), b(9)=>PWR, 
      b(8)=>Config_reg_6_12, b(7)=>PWR, b(6)=>BC_GAP_to_next_msg_counter(12), 
      b(5)=>reg_data_out_wide_79n49ss1(12), b(4)=>
      Config_reg_4_EXMPLR1013(12), b(3)=>Interrupt_status_register_1(12), 
      b(2)=>reg_data_out_wide_79n42ss1(12), b(1)=>Config_reg_2(12), b(0)=>
      Interrupt_mask_register_1(12), d=>reg_data_out_wide_79n68ss1(12));
   reg_data_out_wide_select_79i13 : select_13_13 port map ( a(12)=>rtlcs235, 
      a(11)=>rtlcs243, a(10)=>rtlcs223, a(9)=>rtlcs231, a(8)=>not_rtlcn9812, 
      a(7)=>rtlcs249, a(6)=>rtlcs256, a(5)=>rtlcs251, a(4)=>rtlcs253, a(3)=>
      rtlcs261, a(2)=>rtlcs259, a(1)=>rtlcs264, a(0)=>rtlcs265, b(12)=>
      Interrupt_status_register_2_15, b(11)=>Test_Status_reg_15, b(10)=>
      debug_EXMPLR1018(15), b(9)=>Config_reg_6_15, b(8)=>
      debug_EXMPLR1018(15), b(7)=>Ksts, b(6)=>BC_GAP_to_next_msg_counter(15), 
      b(5)=>reg_data_out_wide_79n49ss1(15), b(4)=>
      Config_reg_4_EXMPLR1013(15), b(3)=>Interrupt_status_register_2_0, b(2)
      =>reg_data_out_wide_79n42ss1(15), b(1)=>Config_reg_2(15), b(0)=>
      Interrupt_mask_register_1(15), d=>reg_data_out_wide_79n68ss1(15));
   reg_data_out_wide_select_79i14 : select_14_14 port map ( a(13)=>rtlcs235, 
      a(12)=>rtlcs243, a(11)=>rtlcs223, a(10)=>rtlcn2415, a(9)=>rtlcs217, 
      a(8)=>rtlcs242, a(7)=>rtlcs249, a(6)=>rtlcs256, a(5)=>rtlcs251, a(4)=>
      rtlcs253, a(3)=>rtlcs261, a(2)=>rtlcs259, a(1)=>rtlcs264, a(0)=>
      rtlcs265, b(13)=>eBC_Q_pointer(0), b(12)=>Interrupt_mask_register_2(0), 
      b(11)=>eBC_GP(0), b(10)=>debug_EXMPLR1018(15), b(9)=>
      debug_EXMPLR1018(15), b(8)=>Latched_TT(0), b(7)=>debug_EXMPLR1018(15), 
      b(6)=>reg_data_out_wide_79n53ss1(0), b(5)=>BC_frame_GAP_counter(0), 
      b(4)=>RT_Address_EXMPLR1015(5), b(3)=>Config_reg_3_0, b(2)=>
      time_tag_EXMPLR1017(0), b(1)=>reg_data_out_wide_79n40ss1(0), b(0)=>
      Config_reg_1(0), d=>reg_data_out_wide_79n69ss1(0));
   reg_data_out_wide_select_79i15 : select_15_15 port map ( a(14)=>rtlcs235, 
      a(13)=>rtlcs243, a(12)=>rtlcs223, a(11)=>not_rtlcn9815, a(10)=>
      rtlcs217, a(9)=>rtlcs242, a(8)=>rtlcs219, a(7)=>rtlcs249, a(6)=>
      rtlcs256, a(5)=>rtlcs251, a(4)=>rtlcs253, a(3)=>rtlcs261, a(2)=>
      rtlcs259, a(1)=>rtlcs264, a(0)=>rtlcs265, b(14)=>eBC_Q_pointer(2), 
      b(13)=>Interrupt_mask_register_2(2), b(12)=>eBC_GP(2), b(11)=>
      debug_EXMPLR1018(15), b(10)=>debug_EXMPLR1018(15), b(9)=>Latched_TT(2), 
      b(8)=>PWR, b(7)=>debug_EXMPLR1018(15), b(6)=>
      reg_data_out_wide_79n53ss1(2), b(5)=>BC_frame_GAP_counter(2), b(4)=>
      RT_Address_EXMPLR1015(1), b(3)=>Config_reg_3_2, b(2)=>
      time_tag_EXMPLR1017(2), b(1)=>reg_data_out_wide_79n40ss1(2), b(0)=>
      Config_reg_1(2), d=>reg_data_out_wide_79n69ss1(2));
   reg_data_out_wide_select_79i16 : select_14_14 port map ( a(13)=>rtlcs235, 
      a(12)=>rtlcs243, a(11)=>rtlcs223, a(10)=>rtlcn2415, a(9)=>rtlcs217, 
      a(8)=>rtlcs242, a(7)=>rtlcs249, a(6)=>rtlcs256, a(5)=>rtlcs251, a(4)=>
      rtlcs253, a(3)=>rtlcs261, a(2)=>rtlcs259, a(1)=>rtlcs264, a(0)=>
      rtlcs265, b(13)=>eBC_Q_pointer(3), b(12)=>Interrupt_mask_register_2(3), 
      b(11)=>eBC_GP(3), b(10)=>debug_EXMPLR1018(15), b(9)=>
      debug_EXMPLR1018(15), b(8)=>Latched_TT(3), b(7)=>debug_EXMPLR1018(15), 
      b(6)=>reg_data_out_wide_79n53ss1(3), b(5)=>BC_frame_GAP_counter(3), 
      b(4)=>RT_Address_EXMPLR1015(2), b(3)=>Config_reg_3_3, b(2)=>
      time_tag_EXMPLR1017(3), b(1)=>reg_data_out_wide_79n40ss1(3), b(0)=>
      Config_reg_1(3), d=>reg_data_out_wide_79n69ss1(3));
   reg_data_out_wide_select_79i17 : select_15_15 port map ( a(14)=>rtlcs235, 
      a(13)=>rtlcs243, a(12)=>rtlcs223, a(11)=>not_rtlcn9815, a(10)=>
      rtlcs217, a(9)=>rtlcs242, a(8)=>rtlcs219, a(7)=>rtlcs249, a(6)=>
      rtlcs256, a(5)=>rtlcs251, a(4)=>rtlcs253, a(3)=>rtlcs261, a(2)=>
      rtlcs259, a(1)=>rtlcs264, a(0)=>rtlcs265, b(14)=>eBC_Q_pointer(4), 
      b(13)=>Interrupt_mask_register_2(4), b(12)=>eBC_GP(4), b(11)=>
      debug_EXMPLR1018(15), b(10)=>debug_EXMPLR1018(15), b(9)=>Latched_TT(4), 
      b(8)=>PWR, b(7)=>debug_EXMPLR1018(15), b(6)=>
      reg_data_out_wide_79n53ss1(4), b(5)=>BC_frame_GAP_counter(4), b(4)=>
      RT_Address_EXMPLR1015(3), b(3)=>Config_reg_3_4, b(2)=>
      time_tag_EXMPLR1017(4), b(1)=>reg_data_out_wide_79n40ss1(4), b(0)=>
      Config_reg_1(4), d=>reg_data_out_wide_79n69ss1(4));
   reg_data_out_wide_select_79i18 : select_15_15 port map ( a(14)=>rtlcs235, 
      a(13)=>rtlcs243, a(12)=>rtlcs223, a(11)=>not_rtlcn9815, a(10)=>
      rtlcs217, a(9)=>rtlcs242, a(8)=>rtlcs219, a(7)=>rtlcs249, a(6)=>
      rtlcs256, a(5)=>rtlcs251, a(4)=>rtlcs253, a(3)=>rtlcs261, a(2)=>
      rtlcs259, a(1)=>rtlcs264, a(0)=>rtlcs265, b(14)=>eBC_Q_pointer(6), 
      b(13)=>Interrupt_mask_register_2(6), b(12)=>eBC_GP(6), b(11)=>
      debug_EXMPLR1018(15), b(10)=>debug_EXMPLR1018(15), b(9)=>Latched_TT(6), 
      b(8)=>PWR, b(7)=>debug_EXMPLR1018(15), b(6)=>
      reg_data_out_wide_79n53ss1(6), b(5)=>BC_frame_GAP_counter(6), b(4)=>
      Config_reg_5(6), b(3)=>Config_reg_3_6, b(2)=>time_tag_EXMPLR1017(6), 
      b(1)=>reg_data_out_wide_79n40ss1(6), b(0)=>Config_reg_1(6), d=>
      reg_data_out_wide_79n69ss1(6));
   reg_data_out_wide_select_79i19 : select_14_14 port map ( a(13)=>rtlcs235, 
      a(12)=>rtlcs243, a(11)=>rtlcs223, a(10)=>rtlcn2415, a(9)=>rtlcs217, 
      a(8)=>rtlcs242, a(7)=>rtlcs249, a(6)=>rtlcs256, a(5)=>rtlcs251, a(4)=>
      rtlcs253, a(3)=>rtlcs261, a(2)=>rtlcs259, a(1)=>rtlcs264, a(0)=>
      rtlcs265, b(13)=>eBC_Q_pointer(7), b(12)=>Interrupt_mask_register_2(7), 
      b(11)=>eBC_GP(7), b(10)=>debug_EXMPLR1018(15), b(9)=>
      debug_EXMPLR1018(15), b(8)=>Latched_TT(7), b(7)=>debug_EXMPLR1018(15), 
      b(6)=>reg_data_out_wide_79n53ss1(7), b(5)=>BC_frame_GAP_counter(7), 
      b(4)=>Config_reg_5(7), b(3)=>Config_reg_3_7, b(2)=>
      time_tag_EXMPLR1017(7), b(1)=>reg_data_out_wide_79n40ss1(7), b(0)=>
      Config_reg_1(7), d=>reg_data_out_wide_79n69ss1(7));
   reg_data_out_wide_select_79i20 : select_13_13 port map ( a(12)=>rtlcs235, 
      a(11)=>rtlcs243, a(10)=>rtlcs223, a(9)=>rtlcn2431, a(8)=>rtlcs217, 
      a(7)=>rtlcs242, a(6)=>rtlcs256, a(5)=>rtlcs251, a(4)=>rtlcs253, a(3)=>
      rtlcs261, a(2)=>rtlcs259, a(1)=>rtlcs264, a(0)=>rtlcs265, b(12)=>
      eBC_Q_pointer(8), b(11)=>Interrupt_mask_register_2(8), b(10)=>
      BC_Sts_Word(9), b(9)=>debug_EXMPLR1018(15), b(8)=>debug_EXMPLR1018(15), 
      b(7)=>Latched_TT(8), b(6)=>reg_data_out_wide_79n53ss1(8), b(5)=>
      BC_frame_GAP_counter(8), b(4)=>Config_reg_5(8), b(3)=>Config_reg_3_8, 
      b(2)=>time_tag_EXMPLR1017(8), b(1)=>reg_data_out_wide_79n40ss1(8), 
      b(0)=>Config_reg_1(8), d=>reg_data_out_wide_79n69ss1(8));
   reg_data_out_wide_select_79i21 : select_15_15 port map ( a(14)=>rtlcs235, 
      a(13)=>rtlcs243, a(12)=>rtlcs223, a(11)=>not_rtlcn9815, a(10)=>
      rtlcs217, a(9)=>rtlcs242, a(8)=>rtlcs219, a(7)=>rtlcs249, a(6)=>
      rtlcs256, a(5)=>rtlcs251, a(4)=>rtlcs253, a(3)=>rtlcs261, a(2)=>
      rtlcs259, a(1)=>rtlcs264, a(0)=>rtlcs265, b(14)=>eBC_Q_pointer(10), 
      b(13)=>Interrupt_mask_register_2(10), b(12)=>Good_data_block_recieved, 
      b(11)=>debug_EXMPLR1018(15), b(10)=>debug_EXMPLR1018(15), b(9)=>
      Latched_TT(10), b(8)=>PWR, b(7)=>Internal_BIT_Word_10, b(6)=>
      reg_data_out_wide_79n53ss1(10), b(5)=>BC_frame_GAP_counter(10), b(4)=>
      Config_reg_5(10), b(3)=>Config_reg_3_10, b(2)=>time_tag_EXMPLR1017(10), 
      b(1)=>reg_data_out_wide_79n40ss1(10), b(0)=>Config_reg_1(10), d=>
      reg_data_out_wide_79n69ss1(10));
   reg_data_out_wide_select_79i22 : select_14_14 port map ( a(13)=>rtlcs235, 
      a(12)=>rtlcs243, a(11)=>rtlcs223, a(10)=>rtlcn2415, a(9)=>rtlcs217, 
      a(8)=>rtlcs242, a(7)=>rtlcs249, a(6)=>rtlcs256, a(5)=>rtlcs251, a(4)=>
      rtlcs253, a(3)=>rtlcs261, a(2)=>rtlcs259, a(1)=>rtlcs264, a(0)=>
      rtlcs265, b(13)=>eBC_Q_pointer(11), b(12)=>
      Interrupt_mask_register_2(11), b(11)=>eBC_Conditions_11, b(10)=>
      debug_EXMPLR1018(15), b(9)=>debug_EXMPLR1018(15), b(8)=>Latched_TT(11), 
      b(7)=>Internal_BIT_Word_11, b(6)=>reg_data_out_wide_79n53ss1(11), b(5)
      =>BC_frame_GAP_counter(11), b(4)=>Config_reg_5(11), b(3)=>
      Config_reg_3_11, b(2)=>time_tag_EXMPLR1017(11), b(1)=>
      reg_data_out_wide_79n40ss1(11), b(0)=>Config_reg_1(11), d=>
      reg_data_out_wide_79n69ss1(11));
   reg_data_out_wide_select_79i23Bus170_13 : select_15_15 port map ( a(14)=>
      rtlcs235, a(13)=>rtlcs243, a(12)=>rtlcs223, a(11)=>not_rtlcn9815, 
      a(10)=>rtlcs217, a(9)=>rtlcs242, a(8)=>rtlcs219, a(7)=>rtlcs249, a(6)
      =>rtlcs256, a(5)=>rtlcs251, a(4)=>rtlcs253, a(3)=>rtlcs261, a(2)=>
      rtlcs259, a(1)=>rtlcs264, a(0)=>rtlcs265, b(14)=>eBC_Q_pointer(13), 
      b(13)=>Interrupt_mask_register_2(13), b(12)=>BC_Sts_Word(5), b(11)=>
      debug_EXMPLR1018(15), b(10)=>debug_EXMPLR1018(15), b(9)=>
      Latched_TT(13), b(8)=>PWR, b(7)=>Internal_BIT_Word_13, b(6)=>
      reg_data_out_wide_79n53ss1(13), b(5)=>BC_frame_GAP_counter(13), b(4)=>
      Config_reg_5(13), b(3)=>Config_reg_3_13, b(2)=>time_tag_EXMPLR1017(13), 
      b(1)=>reg_data_out_wide_79n40ss1(13), b(0)=>Current_Area_B, d=>
      reg_data_out_wide_79n69ss1(13));
   reg_data_out_wide_select_79i23Bus170_14 : select_15_15 port map ( a(14)=>
      rtlcs235, a(13)=>rtlcs243, a(12)=>rtlcs223, a(11)=>not_rtlcn9815, 
      a(10)=>rtlcs217, a(9)=>rtlcs242, a(8)=>rtlcs219, a(7)=>rtlcs249, a(6)
      =>rtlcs256, a(5)=>rtlcs251, a(4)=>rtlcs253, a(3)=>rtlcs261, a(2)=>
      rtlcs259, a(1)=>rtlcs264, a(0)=>rtlcs265, b(14)=>eBC_Q_pointer(14), 
      b(13)=>Interrupt_mask_register_2(14), b(12)=>BC_Sts_Word(6), b(11)=>
      debug_EXMPLR1018(15), b(10)=>debug_EXMPLR1018(15), b(9)=>
      Latched_TT(14), b(8)=>PWR, b(7)=>Internal_BIT_Word_14, b(6)=>
      reg_data_out_wide_79n53ss1(14), b(5)=>BC_frame_GAP_counter(14), b(4)=>
      Config_reg_5(14), b(3)=>Config_reg_3_14, b(2)=>time_tag_EXMPLR1017(14), 
      b(1)=>reg_data_out_wide_79n40ss1(14), b(0)=>Config_reg_1(14), d=>
      reg_data_out_wide_79n69ss1(14));
   reg_data_out_wide_select_79i25 : select_14_14 port map ( a(13)=>rtlcs235, 
      a(12)=>rtlcs243, a(11)=>rtlcs223, a(10)=>rtlcn2415, a(9)=>rtlcs217, 
      a(8)=>rtlcs242, a(7)=>rtlcs249, a(6)=>rtlcs256, a(5)=>rtlcs251, a(4)=>
      rtlcs253, a(3)=>rtlcs261, a(2)=>rtlcs259, a(1)=>rtlcs264, a(0)=>
      rtlcs265, b(13)=>eBC_Q_pointer(15), b(12)=>
      Interrupt_mask_register_2(15), b(11)=>PWR, b(10)=>debug_EXMPLR1018(15), 
      b(9)=>debug_EXMPLR1018(15), b(8)=>Latched_TT(15), b(7)=>
      Internal_BIT_Word_15, b(6)=>reg_data_out_wide_79n53ss1(15), b(5)=>
      BC_frame_GAP_counter(15), b(4)=>n16Mhz_12_EXMPLR875, b(3)=>
      Config_reg_3_15, b(2)=>time_tag_EXMPLR1017(15), b(1)=>
      reg_data_out_wide_79n40ss1(15), b(0)=>Config_reg_1(15), d=>
      reg_data_out_wide_79n69ss1(15));
   rtlc26n7305 <= not_Ack AND rtlc26n8589 ;
   rtlc26n7822 <= not_Ack AND W_R_36n3s1 ;
   VARAM_WE_30n180ss1 <= Ack AND rtlcn2462 ;
   Ram_Address_mux_26i41Bus99_0 : mux_4u_4u port map ( a(3)=>PWR, a(2)=>
      debug_EXMPLR1018(15), a(1)=>Ram_Address_26n51ss1_0, a(0)=>
      Ram_Address_26n47ss1_0, b(3)=>debug_EXMPLR1018(15), b(2)=>
      debug_EXMPLR1018(15), b(1)=>Phase(1), b(0)=>Phase(0), d=>
      Ram_Address_26n73ss1_0);
   Ram_Address_mux_26i41Bus99_1 : mux_4u_4u port map ( a(3)=>PWR, a(2)=>PWR, 
      a(1)=>Ram_Address_26n51ss1_1, a(0)=>rtlcn10700, b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>Phase(1), b(0)
      =>Phase(0), d=>Ram_Address_26n73ss1_1);
   Ram_Address_mux_26i41Bus99_2 : mux_4u_4u port map ( a(3)=>PWR, a(2)=>
      stack_pointer(2), a(1)=>Ram_Address_26n51ss1_2, a(0)=>
      Ram_Address_26n47ss1_2, b(3)=>debug_EXMPLR1018(15), b(2)=>
      debug_EXMPLR1018(15), b(1)=>Phase(1), b(0)=>Phase(0), d=>
      Ram_Address_26n73ss1_2);
   Ram_Address_mux_26i44 : mux_4u_4u port map ( a(3)=>PWR, a(2)=>
      stack_pointer(8), a(1)=>Ram_Address_26n51ss1_8, a(0)=>
      Ram_Address_26n47ss1_8, b(3)=>debug_EXMPLR1018(15), b(2)=>
      debug_EXMPLR1018(15), b(1)=>Phase(1), b(0)=>Phase(0), d=>
      Ram_Address_26n73ss1_8);
   Monitor_command_stack_rollover_mux_26i45 : mux_4u_4u port map ( a(3)=>
      Monitor_command_stack_rollover_26n77s4, a(2)=>
      Monitor_command_stack_rollover_26n77s3, a(1)=>
      Monitor_command_stack_rollover_26n77s2, a(0)=>
      Monitor_command_stack_rollover_26n77s1, b(3)=>debug_EXMPLR1018(15), 
      b(2)=>debug_EXMPLR1018(15), b(1)=>Config_reg_3_12, b(0)=>
      Config_reg_3_11, d=>Monitor_command_stack_rollover_26n77ss1);
   Monitor_command_stack_half_pass_mux_26i46 : mux_4u_4u port map ( a(3)=>
      Monitor_command_stack_half_pass_26n77s4, a(2)=>
      Monitor_command_stack_half_pass_26n77s3, a(1)=>
      Monitor_command_stack_half_pass_26n77s2, a(0)=>
      Monitor_command_stack_half_pass_26n77s1, b(3)=>debug_EXMPLR1018(15), 
      b(2)=>debug_EXMPLR1018(15), b(1)=>Config_reg_3_12, b(0)=>
      Config_reg_3_11, d=>Monitor_command_stack_half_pass_26n77ss1);
   Ram_Address_mux_26i47Bus103_0 : mux_4u_4u port map ( a(3)=>PWR, a(2)=>
      debug_EXMPLR1018(15), a(1)=>debug_EXMPLR1018(15), a(0)=>
      Ram_Address_26n73ss1_0, b(3)=>debug_EXMPLR1018(15), b(2)=>
      debug_EXMPLR1018(15), b(1)=>MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), 
      d=>Ram_Address_26n82ss1(0));
   Ram_Address_mux_26i47Bus103_1 : mux_4u_4u port map ( a(3)=>PWR, a(2)=>PWR, 
      a(1)=>debug_EXMPLR1018(15), a(0)=>Ram_Address_26n73ss1_1, b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), d=>Ram_Address_26n82ss1(1));
   Ram_Address_mux_26i47Bus103_2 : mux_4u_4u port map ( a(3)=>
      Ram_Address_26n81ss1_2, a(2)=>Current_Area_B, a(1)=>
      monitor_stack_pointer(2), a(0)=>Ram_Address_26n73ss1_2, b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), d=>Ram_Address_26n82ss1(2));
   Ram_Address_mux_26i47Bus103_3 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>debug_EXMPLR1018(15), a(1)=>
      monitor_stack_pointer(3), a(0)=>rtlcn10699, b(3)=>debug_EXMPLR1018(15), 
      b(2)=>debug_EXMPLR1018(15), b(1)=>MON_EOM_phase(1), b(0)=>
      MON_EOM_phase(0), d=>Ram_Address_26n82ss1(3));
   Ram_Address_mux_26i47Bus103_4 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>debug_EXMPLR1018(15), a(1)=>
      monitor_stack_pointer(4), a(0)=>rtlcn10698, b(3)=>debug_EXMPLR1018(15), 
      b(2)=>debug_EXMPLR1018(15), b(1)=>MON_EOM_phase(1), b(0)=>
      MON_EOM_phase(0), d=>Ram_Address_26n82ss1(4));
   Ram_Address_mux_26i47Bus103_5 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>debug_EXMPLR1018(15), a(1)=>
      monitor_stack_pointer(5), a(0)=>rtlcn10697, b(3)=>debug_EXMPLR1018(15), 
      b(2)=>debug_EXMPLR1018(15), b(1)=>MON_EOM_phase(1), b(0)=>
      MON_EOM_phase(0), d=>Ram_Address_26n82ss1(5));
   Ram_Address_mux_26i47Bus103_6 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>debug_EXMPLR1018(15), a(1)=>
      monitor_stack_pointer(6), a(0)=>rtlcn10696, b(3)=>debug_EXMPLR1018(15), 
      b(2)=>debug_EXMPLR1018(15), b(1)=>MON_EOM_phase(1), b(0)=>
      MON_EOM_phase(0), d=>Ram_Address_26n82ss1(6));
   Ram_Address_mux_26i47Bus103_7 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>debug_EXMPLR1018(15), a(1)=>
      monitor_stack_pointer(7), a(0)=>rtlcn10695, b(3)=>debug_EXMPLR1018(15), 
      b(2)=>debug_EXMPLR1018(15), b(1)=>MON_EOM_phase(1), b(0)=>
      MON_EOM_phase(0), d=>Ram_Address_26n82ss1(7));
   Ram_Address_mux_26i47Bus103_8 : mux_4u_4u port map ( a(3)=>PWR, a(2)=>PWR, 
      a(1)=>monitor_stack_pointer(8), a(0)=>Ram_Address_26n73ss1_8, b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), d=>Ram_Address_26n82ss1(8));
   Ram_Address_mux_26i47Bus103_9 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>debug_EXMPLR1018(15), a(1)=>
      monitor_stack_pointer(9), a(0)=>rtlcn10693, b(3)=>debug_EXMPLR1018(15), 
      b(2)=>debug_EXMPLR1018(15), b(1)=>MON_EOM_phase(1), b(0)=>
      MON_EOM_phase(0), d=>Ram_Address_26n82ss1(9));
   Ram_Address_mux_26i47Bus103_10 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>debug_EXMPLR1018(15), a(1)=>
      monitor_stack_pointer(10), a(0)=>Ram_Address_26n73ss1_10, b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), d=>Ram_Address_26n82ss1(10)
   );
   Ram_Address_mux_26i47Bus103_11 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>debug_EXMPLR1018(15), a(1)=>
      monitor_stack_pointer(11), a(0)=>Ram_Address_26n73ss1_11, b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), d=>Ram_Address_26n82ss1(11)
   );
   Ram_Address_mux_26i47Bus103_12 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>debug_EXMPLR1018(15), a(1)=>
      monitor_stack_pointer(12), a(0)=>Ram_Address_26n73ss1_12, b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), d=>Ram_Address_26n82ss1(12)
   );
   Ram_Address_mux_26i47Bus103_13 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>debug_EXMPLR1018(15), a(1)=>
      monitor_stack_pointer(13), a(0)=>Ram_Address_26n73ss1_13, b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), d=>Ram_Address_26n82ss1(13)
   );
   Ram_Address_mux_26i47Bus103_14 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>debug_EXMPLR1018(15), a(1)=>
      monitor_stack_pointer(14), a(0)=>Ram_Address_26n73ss1_14, b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), d=>Ram_Address_26n82ss1(14)
   );
   Ram_Address_mux_26i47Bus103_15 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>debug_EXMPLR1018(15), a(1)=>
      monitor_stack_pointer(15), a(0)=>Ram_Address_26n73ss1_15, b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), d=>Ram_Address_26n82ss1(15)
   );
   Ram_data_i_mux_26i63Bus104_0 : mux_4u_4u port map ( a(3)=>
      monitor_data_pointer(0), a(2)=>monitor_stack_pointer_plus4(0), a(1)=>
      Latched_Monitor_MIL1553_errors_invalid_command, a(0)=>
      Ram_data_i_26n73ss1(0), b(3)=>debug_EXMPLR1018(15), b(2)=>
      debug_EXMPLR1018(15), b(1)=>MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), 
      d=>Ram_data_i_26n82ss1(0));
   Ram_data_i_mux_26i63Bus104_1 : mux_4u_4u port map ( a(3)=>
      monitor_data_pointer(1), a(2)=>monitor_stack_pointer_plus4(1), a(1)=>
      Latched_Monitor_MIL1553_errors_RT2RT_format_error, a(0)=>
      Ram_data_i_26n73ss1(1), b(3)=>debug_EXMPLR1018(15), b(2)=>
      debug_EXMPLR1018(15), b(1)=>MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), 
      d=>Ram_data_i_26n82ss1(1));
   Ram_data_i_mux_26i63Bus104_2 : mux_4u_4u port map ( a(3)=>
      monitor_data_pointer(2), a(2)=>monitor_stack_pointer_plus4(2), a(1)=>
      Latched_Monitor_MIL1553_errors_RT2RT_format_gap, a(0)=>
      Ram_data_i_26n73ss1(2), b(3)=>debug_EXMPLR1018(15), b(2)=>
      debug_EXMPLR1018(15), b(1)=>MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), 
      d=>Ram_data_i_26n82ss1(2));
   Ram_data_i_mux_26i63Bus104_3 : mux_4u_4u port map ( a(3)=>
      monitor_data_pointer(3), a(2)=>monitor_stack_pointer_plus4(3), a(1)=>
      Latched_Monitor_MIL1553_errors_Invalid_word, a(0)=>
      Ram_data_i_26n73ss1(3), b(3)=>debug_EXMPLR1018(15), b(2)=>
      debug_EXMPLR1018(15), b(1)=>MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), 
      d=>Ram_data_i_26n82ss1(3));
   Ram_data_i_mux_26i63Bus104_4 : mux_4u_4u port map ( a(3)=>
      monitor_data_pointer(4), a(2)=>monitor_stack_pointer_plus4(4), a(1)=>
      Latched_Monitor_MIL1553_errors_incorrect_data_sync, a(0)=>
      Ram_data_i_26n73ss1(4), b(3)=>debug_EXMPLR1018(15), b(2)=>
      debug_EXMPLR1018(15), b(1)=>MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), 
      d=>Ram_data_i_26n82ss1(4));
   Ram_data_i_mux_26i63Bus104_5 : mux_4u_4u port map ( a(3)=>
      monitor_data_pointer(5), a(2)=>monitor_stack_pointer_plus4(5), a(1)=>
      Latched_Monitor_MIL1553_errors_high_word_count, a(0)=>
      Ram_data_i_26n73ss1(5), b(3)=>debug_EXMPLR1018(15), b(2)=>
      debug_EXMPLR1018(15), b(1)=>MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), 
      d=>Ram_data_i_26n82ss1(5));
   Ram_data_i_mux_26i63Bus104_7 : mux_4u_4u port map ( a(3)=>
      monitor_data_pointer(7), a(2)=>monitor_stack_pointer_plus4(7), a(1)=>
      Latched_Monitor_data_stack_rollover, a(0)=>Ram_data_i_26n73ss1(7), 
      b(3)=>debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), d=>Ram_data_i_26n82ss1(7));
   Ram_data_i_mux_26i63Bus104_8 : mux_4u_4u port map ( a(3)=>
      monitor_data_pointer(8), a(2)=>monitor_stack_pointer_plus4(8), a(1)=>
      Latched_Monitor_ended_OK, a(0)=>Ram_data_i_26n73ss1(8), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), d=>Ram_data_i_26n82ss1(8));
   Ram_data_i_mux_26i63Bus104_9 : mux_4u_4u port map ( a(3)=>
      monitor_data_pointer(9), a(2)=>monitor_stack_pointer_plus4(9), a(1)=>
      Latched_Monitor_MIL1553_errors_Address_Parity, a(0)=>
      Ram_data_i_26n73ss1(9), b(3)=>debug_EXMPLR1018(15), b(2)=>
      debug_EXMPLR1018(15), b(1)=>MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), 
      d=>Ram_data_i_26n82ss1(9));
   Ram_data_i_mux_26i63Bus104_10 : mux_4u_4u port map ( a(3)=>
      monitor_data_pointer(10), a(2)=>monitor_stack_pointer_plus4(10), a(1)
      =>MM_Error_detected, a(0)=>Ram_data_i_26n73ss1(10), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), d=>Ram_data_i_26n82ss1(10));
   Ram_data_i_mux_26i63Bus104_11 : mux_4u_4u port map ( a(3)=>
      monitor_data_pointer(11), a(2)=>monitor_stack_pointer_plus4(11), a(1)
      =>Monitor_RT2RT_Message, a(0)=>Ram_data_i_26n73ss1(11), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), d=>Ram_data_i_26n82ss1(11));
   Ram_data_i_mux_26i63Bus104_12 : mux_4u_4u port map ( a(3)=>
      monitor_data_pointer(12), a(2)=>monitor_stack_pointer_plus4(12), a(1)
      =>Ram_data_i_12_26n75s1, a(0)=>Ram_data_i_26n73ss1(12), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), d=>Ram_data_i_26n82ss1(12));
   Ram_data_i_mux_26i63Bus104_13 : mux_4u_4u port map ( a(3)=>
      monitor_data_pointer(13), a(2)=>monitor_stack_pointer_plus4(13), a(1)
      =>not_Monitor_bus_a, a(0)=>Ram_data_i_26n73ss1(13), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), d=>Ram_data_i_26n82ss1(13));
   Ram_data_i_mux_26i76 : mux_4u_4u port map ( a(3)=>
      monitor_data_pointer(15), a(2)=>monitor_stack_pointer_plus4(15), a(1)
      =>PWR, a(0)=>Ram_data_i_26n73ss1(15), b(3)=>debug_EXMPLR1018(15), b(2)
      =>debug_EXMPLR1018(15), b(1)=>MON_EOM_phase(1), b(0)=>MON_EOM_phase(0), 
      d=>Ram_data_i_26n82ss1(15));
   Ram_Address_mux_26i77Bus111_0 : mux_4u_4u port map ( a(3)=>PWR, a(2)=>
      Ram_Address_26n100ss1(0), a(1)=>monitor_data_pointer(0), a(0)=>
      Ram_Address_26n100ss1(0), b(3)=>debug_EXMPLR1018(15), b(2)=>
      debug_EXMPLR1018(15), b(1)=>MON_Phase(1), b(0)=>MON_Phase(0), d=>
      Ram_Address_26n105ss1(0));
   Ram_Address_mux_26i77Bus111_1 : mux_4u_4u port map ( a(3)=>PWR, a(2)=>
      Ram_Address_26n100ss1(1), a(1)=>monitor_data_pointer(1), a(0)=>
      Ram_Address_26n100ss1(1), b(3)=>debug_EXMPLR1018(15), b(2)=>
      debug_EXMPLR1018(15), b(1)=>MON_Phase(1), b(0)=>MON_Phase(0), d=>
      Ram_Address_26n105ss1(1));
   Ram_Address_mux_26i77Bus111_2 : mux_4u_4u port map ( a(3)=>PWR, a(2)=>
      Ram_Address_26n100ss1(2), a(1)=>monitor_data_pointer(2), a(0)=>
      Ram_Address_26n100ss1(2), b(3)=>debug_EXMPLR1018(15), b(2)=>
      debug_EXMPLR1018(15), b(1)=>MON_Phase(1), b(0)=>MON_Phase(0), d=>
      Ram_Address_26n105ss1(2));
   Ram_Address_mux_26i77Bus111_3 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>Ram_Address_26n100ss1(3), a(1)=>
      monitor_data_pointer(3), a(0)=>Ram_Address_26n100ss1(3), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>MON_Phase(1), 
      b(0)=>MON_Phase(0), d=>Ram_Address_26n105ss1(3));
   Ram_Address_mux_26i77Bus111_4 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>Ram_Address_26n100ss1(4), a(1)=>
      monitor_data_pointer(4), a(0)=>Ram_Address_26n100ss1(4), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>MON_Phase(1), 
      b(0)=>MON_Phase(0), d=>Ram_Address_26n105ss1(4));
   Ram_Address_mux_26i77Bus111_5 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>Ram_Address_26n100ss1(5), a(1)=>
      monitor_data_pointer(5), a(0)=>Ram_Address_26n100ss1(5), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>MON_Phase(1), 
      b(0)=>MON_Phase(0), d=>Ram_Address_26n105ss1(5));
   Ram_Address_mux_26i77Bus111_6 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>Ram_Address_26n100ss1(6), a(1)=>
      monitor_data_pointer(6), a(0)=>Ram_Address_26n100ss1(6), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>MON_Phase(1), 
      b(0)=>MON_Phase(0), d=>Ram_Address_26n105ss1(6));
   Ram_Address_mux_26i77Bus111_7 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>Ram_Address_26n100ss1(7), a(1)=>
      monitor_data_pointer(7), a(0)=>Ram_Address_26n100ss1(7), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>MON_Phase(1), 
      b(0)=>MON_Phase(0), d=>Ram_Address_26n105ss1(7));
   Ram_Address_mux_26i77Bus111_8 : mux_4u_4u port map ( a(3)=>PWR, a(2)=>
      Ram_Address_26n100ss1(8), a(1)=>monitor_data_pointer(8), a(0)=>
      Ram_Address_26n100ss1(8), b(3)=>debug_EXMPLR1018(15), b(2)=>
      debug_EXMPLR1018(15), b(1)=>MON_Phase(1), b(0)=>MON_Phase(0), d=>
      Ram_Address_26n105ss1(8));
   Ram_Address_mux_26i77Bus111_9 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>Ram_Address_26n100ss1(9), a(1)=>
      monitor_data_pointer(9), a(0)=>Ram_Address_26n100ss1(9), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>MON_Phase(1), 
      b(0)=>MON_Phase(0), d=>Ram_Address_26n105ss1(9));
   Ram_Address_mux_26i77Bus111_10 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>Ram_Address_26n100ss1(10), a(1)=>
      monitor_data_pointer(10), a(0)=>Ram_Address_26n100ss1(10), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>MON_Phase(1), 
      b(0)=>MON_Phase(0), d=>Ram_Address_26n105ss1(10));
   Ram_Address_mux_26i77Bus111_11 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>Ram_Address_26n100ss1(11), a(1)=>
      monitor_data_pointer(11), a(0)=>Ram_Address_26n100ss1(11), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>MON_Phase(1), 
      b(0)=>MON_Phase(0), d=>Ram_Address_26n105ss1(11));
   Ram_Address_mux_26i77Bus111_12 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>Ram_Address_26n100ss1(12), a(1)=>
      monitor_data_pointer(12), a(0)=>Ram_Address_26n100ss1(12), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>MON_Phase(1), 
      b(0)=>MON_Phase(0), d=>Ram_Address_26n105ss1(12));
   Ram_Address_mux_26i77Bus111_13 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>Ram_Address_26n100ss1(13), a(1)=>
      monitor_data_pointer(13), a(0)=>Ram_Address_26n100ss1(13), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>MON_Phase(1), 
      b(0)=>MON_Phase(0), d=>Ram_Address_26n105ss1(13));
   Ram_Address_mux_26i77Bus111_14 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>Ram_Address_26n100ss1(14), a(1)=>
      monitor_data_pointer(14), a(0)=>Ram_Address_26n100ss1(14), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>MON_Phase(1), 
      b(0)=>MON_Phase(0), d=>Ram_Address_26n105ss1(14));
   Ram_Address_mux_26i77Bus111_15 : mux_4u_4u port map ( a(3)=>
      debug_EXMPLR1018(15), a(2)=>Ram_Address_26n100ss1(15), a(1)=>
      monitor_data_pointer(15), a(0)=>Ram_Address_26n100ss1(15), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>MON_Phase(1), 
      b(0)=>MON_Phase(0), d=>Ram_Address_26n105ss1(15));
   rtlc_3980_mux_286 : mux_4u_4u port map ( a(3)=>debug_EXMPLR1018(15), a(2)
      =>rtlc26n7915, a(1)=>rtlc26n7822, a(0)=>not_phase_go, b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>Phase(1), b(0)
      =>Phase(0), d=>rtlc26n7928);
   BC_SP_mux_58i1 : mux_4u_4u port map ( a(3)=>BC_SP_58n1s4, a(2)=>
      BC_SP_58n1s3, a(1)=>BC_SP_58n1s2, a(0)=>BC_SP_58n1s1, b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      Config_reg_3_14, b(0)=>Config_reg_3_13, d=>BC_SP_58n1ss1);
   eBC_GP_mux_64i5 : mux_4u_4u port map ( a(3)=>not_eBC_GP_0, a(2)=>
      debug_EXMPLR1018(15), a(1)=>PWR, a(0)=>debug_EXMPLR1018(15), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      CPU_Data_in_wide(24), b(0)=>CPU_Data_in_wide(16), d=>eBC_GP_64n34ss1);
   eBC_GP_mux_64i6 : mux_4u_4u port map ( a(3)=>not_eBC_GP_1, a(2)=>
      debug_EXMPLR1018(15), a(1)=>PWR, a(0)=>debug_EXMPLR1018(15), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      CPU_Data_in_wide(25), b(0)=>CPU_Data_in_wide(17), d=>eBC_GP_64n35ss1);
   eBC_GP_mux_64i7 : mux_4u_4u port map ( a(3)=>not_eBC_GP_2, a(2)=>
      debug_EXMPLR1018(15), a(1)=>PWR, a(0)=>debug_EXMPLR1018(15), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      CPU_Data_in_wide(26), b(0)=>CPU_Data_in_wide(18), d=>eBC_GP_64n36ss1);
   eBC_GP_mux_64i8 : mux_4u_4u port map ( a(3)=>not_eBC_GP_3, a(2)=>
      debug_EXMPLR1018(15), a(1)=>PWR, a(0)=>debug_EXMPLR1018(15), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      CPU_Data_in_wide(27), b(0)=>CPU_Data_in_wide(19), d=>eBC_GP_64n37ss1);
   eBC_GP_mux_64i9 : mux_4u_4u port map ( a(3)=>not_eBC_GP_4, a(2)=>
      debug_EXMPLR1018(15), a(1)=>PWR, a(0)=>debug_EXMPLR1018(15), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      CPU_Data_in_wide(28), b(0)=>CPU_Data_in_wide(20), d=>eBC_GP_64n38ss1);
   eBC_GP_mux_64i10 : mux_4u_4u port map ( a(3)=>not_eBC_GP_5, a(2)=>
      debug_EXMPLR1018(15), a(1)=>PWR, a(0)=>debug_EXMPLR1018(15), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      CPU_Data_in_wide(29), b(0)=>CPU_Data_in_wide(21), d=>eBC_GP_64n39ss1);
   eBC_GP_mux_64i11 : mux_4u_4u port map ( a(3)=>not_eBC_GP_6, a(2)=>
      debug_EXMPLR1018(15), a(1)=>PWR, a(0)=>debug_EXMPLR1018(15), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      CPU_Data_in_wide(30), b(0)=>CPU_Data_in_wide(22), d=>eBC_GP_64n40ss1);
   eBC_GP_mux_64i12 : mux_4u_4u port map ( a(3)=>not_eBC_GP_7, a(2)=>
      debug_EXMPLR1018(15), a(1)=>PWR, a(0)=>debug_EXMPLR1018(15), b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      CPU_Data_in_wide(31), b(0)=>CPU_Data_in_wide(23), d=>eBC_GP_64n41ss1);
   eBC_GP_mux_64i13 : mux_4u_4u port map ( a(3)=>not_eBC_GP_0, a(2)=>
      debug_EXMPLR1018(15), a(1)=>PWR, a(0)=>eBC_GP_64n34ss1, b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      BC_msg_pointer(8), b(0)=>BC_msg_pointer(0), d=>eBC_GP_64n54ss1);
   eBC_GP_mux_64i14 : mux_4u_4u port map ( a(3)=>not_eBC_GP_1, a(2)=>
      debug_EXMPLR1018(15), a(1)=>PWR, a(0)=>eBC_GP_64n35ss1, b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      BC_msg_pointer(9), b(0)=>BC_msg_pointer(1), d=>eBC_GP_64n55ss1);
   eBC_GP_mux_64i15 : mux_4u_4u port map ( a(3)=>not_eBC_GP_2, a(2)=>
      debug_EXMPLR1018(15), a(1)=>PWR, a(0)=>eBC_GP_64n36ss1, b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      BC_msg_pointer(10), b(0)=>BC_msg_pointer(2), d=>eBC_GP_64n56ss1);
   eBC_GP_mux_64i16 : mux_4u_4u port map ( a(3)=>not_eBC_GP_3, a(2)=>
      debug_EXMPLR1018(15), a(1)=>PWR, a(0)=>eBC_GP_64n37ss1, b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      BC_msg_pointer(11), b(0)=>BC_msg_pointer(3), d=>eBC_GP_64n57ss1);
   eBC_GP_mux_64i17 : mux_4u_4u port map ( a(3)=>not_eBC_GP_4, a(2)=>
      debug_EXMPLR1018(15), a(1)=>PWR, a(0)=>eBC_GP_64n38ss1, b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      BC_msg_pointer(12), b(0)=>BC_msg_pointer(4), d=>eBC_GP_64n58ss1);
   eBC_GP_mux_64i18 : mux_4u_4u port map ( a(3)=>not_eBC_GP_5, a(2)=>
      debug_EXMPLR1018(15), a(1)=>PWR, a(0)=>eBC_GP_64n39ss1, b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      BC_msg_pointer(13), b(0)=>BC_msg_pointer(5), d=>eBC_GP_64n59ss1);
   eBC_GP_mux_64i19 : mux_4u_4u port map ( a(3)=>not_eBC_GP_6, a(2)=>
      debug_EXMPLR1018(15), a(1)=>PWR, a(0)=>eBC_GP_64n40ss1, b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      BC_msg_pointer(14), b(0)=>BC_msg_pointer(6), d=>eBC_GP_64n60ss1);
   eBC_GP_mux_64i20 : mux_4u_4u port map ( a(3)=>not_eBC_GP_7, a(2)=>
      debug_EXMPLR1018(15), a(1)=>PWR, a(0)=>eBC_GP_64n41ss1, b(3)=>
      debug_EXMPLR1018(15), b(2)=>debug_EXMPLR1018(15), b(1)=>
      BC_msg_pointer(15), b(0)=>BC_msg_pointer(7), d=>eBC_GP_64n61ss1);
   WM_Ack_select_91i1 : select_3_3 port map ( a(2)=>rtlc91n682, a(1)=>
      not_rtlcn9818, a(0)=>rtlcn2674, b(2)=>PWR, b(1)=>debug_EXMPLR1018(15), 
      b(0)=>WM_Req, d=>WM_Ack_91n14ss1);
   Config_reg_1_select_64i21 : select_3_3 port map ( a(2)=>rtlcn2746, a(1)=>
      rtlcn2747, a(0)=>rtlcn2745, b(2)=>PWR, b(1)=>CPU_Data_in_wide(25), 
      b(0)=>debug_EXMPLR1018(15), d=>Config_reg_1_64n90ss1_3);
   rtlc_4193_select_306 : select_3_3 port map ( a(2)=>eBC_start_FT, a(1)=>
      not_rtlcn9820, a(0)=>rtlcn2769, b(2)=>frame_gap_eq_0_55n5s1, b(1)=>
      debug_EXMPLR1018(15), b(0)=>PWR, d=>rtlcn10141);
   BC_State_fsm_select_30i64 : select_3_3 port map ( a(2)=>not_rtlcn9821, 
      a(1)=>rtlcn3043, a(0)=>rtlcn3044, b(2)=>debug_EXMPLR1018(15), b(1)=>
      PWR, b(0)=>BC_State_fsm_30n116ss1_52, d=>BC_State_fsm_30n182ss1_52);
   BC_State_fsm_select_30i65 : select_3_3 port map ( a(2)=>not_rtlcn9822, 
      a(1)=>rtlcn3281, a(0)=>rtlcn3282, b(2)=>debug_EXMPLR1018(15), b(1)=>
      PWR, b(0)=>BC_State_fsm_30n116ss1_52, d=>BC_State_fsm_30n182ss1_12);
   BC_State_fsm_select_30i66 : select_3_3 port map ( a(2)=>rtlcn3286, a(1)=>
      not_rtlcn9823, a(0)=>BC_State(20), b(2)=>PWR, b(1)=>
      debug_EXMPLR1018(15), b(0)=>BC_State_fsm_30n116ss1_54, d=>
      BC_State_fsm_30n180ss1_20);
   eBC_GP_select_64i23Bus152_1 : select_4_4 port map ( a(3)=>rtlcn3917, a(2)
      =>rtlcn3914, a(1)=>rtlcn3915, a(0)=>rtlcn3916, b(3)=>eBC_GP_64n35ss1, 
      b(2)=>PWR, b(1)=>debug_EXMPLR1018(15), b(0)=>eBC_GP_64n55ss1, d=>
      eBC_GP_64n72ss1(1));
   eBC_GP_select_64i23Bus152_0 : select_4_4 port map ( a(3)=>rtlcn3917, a(2)
      =>rtlcn3970, a(1)=>rtlcn3971, a(0)=>rtlcn3916, b(3)=>eBC_GP_64n34ss1, 
      b(2)=>PWR, b(1)=>debug_EXMPLR1018(15), b(0)=>eBC_GP_64n54ss1, d=>
      eBC_GP_64n72ss1(0));
   BC_Ram_Address_select_30i67Bus121_0 : select_6_6 port map ( a(5)=>
      rtlcn4142, a(4)=>rtlcn4143, a(3)=>rtlc30n16113, a(2)=>rtlc30n16114, 
      a(1)=>rtlc30n16115, a(0)=>rtlcn4144, b(5)=>debug_EXMPLR1018(15), b(4)
      =>PWR, b(3)=>BC_msg_pointer(0), b(2)=>BC_Stack_pointer(0), b(1)=>
      eBC_Q_pointer(0), b(0)=>BC_Num_Msgs(0), d=>BC_Ram_Address_30n180ss1(0)
   );
   Ram_Address_select_26i93Bus106_0 : select_4_4 port map ( a(3)=>
      MON_SOM_phase(0), a(2)=>MON_SOM_phase(1), a(1)=>rtlcn4171, a(0)=>
      rtlcn4172, b(3)=>Ram_Address_26n82ss1(0), b(2)=>
      Monitor_Active_command(9), b(1)=>PWR, b(0)=>debug_EXMPLR1018(15), d=>
      Ram_Address_26n100ss1(0));
   MT_On_Async_select_64i24 : select_3_3 port map ( a(2)=>
      CPU_Data_in_wide(17), a(1)=>not_rtlcn9824, a(0)=>rtlcn4275, b(2)=>
      MT_On_Async_64n27s1, b(1)=>MT_On_Async_64n18s1, b(0)=>
      debug_EXMPLR1018(15), d=>MT_On_Async_64n27ss1);
   not_Config_reg_1_8 <= NOT Config_reg_1(8) ;
   not_eBC <= NOT eBC ;
   NO <= NOT YES ;
   rtlc30n15172 <= rtlc30n15170 OR not_eBC ;
   not_MON_WR_req <= NOT MON_WR_req ;
   not_SOM_req <= NOT SOM_req ;
   not_EOM_req <= NOT EOM_req ;
   not_WRD_req <= NOT WRD_req ;
   not_arbiter <= NOT arbiter ;
   not_CPU_Data_in_wide_22 <= NOT CPU_Data_in_wide(22) ;
   not_MON_EOM_req <= NOT MON_EOM_req ;
   not_rtlc26n9863 <= NOT rtlc26n9863 ;
   illegalization_enable <= NOT Config_reg_3_7 ;
   not_illegal_message <= NOT illegal_message_EXMPLR954 ;
   Ram_Address_select_26i94 : select_5_5 port map ( a(4)=>rtlcn5373, a(3)=>
      rtlcn5374, a(2)=>rtlcn5375, a(1)=>rtlcn5376, a(0)=>rtlcn5372, b(4)=>
      Current_command(4), b(3)=>debug_EXMPLR1018(15), b(2)=>PWR, b(1)=>
      Current_command(5), b(0)=>Ram_Address_26n2s1(0), d=>
      Ram_Address_26n47ss1_0);
   Ram_Address_select_26i105Bus108_15 : select_3_3 port map ( a(2)=>
      MON_SOM_phase(0), a(1)=>not_rtlcn9825, a(0)=>rtlcn5384, b(2)=>
      Ram_Address_26n82ss1(15), b(1)=>debug_EXMPLR1018(15), b(0)=>
      monitor_stack_pointer(15), d=>Ram_Address_26n100ss1(15));
   Ram_Address_select_26i106Bus100_15 : select_4_4 port map ( a(3)=>
      rtlcn5397, a(2)=>rtlcn5398, a(1)=>rtlcn5394, a(0)=>rtlcn5396, b(3)=>
      debug_EXMPLR1018(15), b(2)=>stack_pointer(15), b(1)=>
      Ram_Address_26n4ss1_15, b(0)=>data_pointer(15), d=>
      Ram_Address_26n73ss1_15);
   Ram_Address_select_26i105Bus108_14 : select_3_3 port map ( a(2)=>
      MON_SOM_phase(0), a(1)=>rtlcn5405, a(0)=>rtlcn5384, b(2)=>
      Ram_Address_26n82ss1(14), b(1)=>debug_EXMPLR1018(15), b(0)=>
      monitor_stack_pointer(14), d=>Ram_Address_26n100ss1(14));
   Ram_Address_select_26i106Bus100_14 : select_4_4 port map ( a(3)=>
      rtlcn5397, a(2)=>rtlcn5398, a(1)=>rtlcn5394, a(0)=>rtlcn5396, b(3)=>
      debug_EXMPLR1018(15), b(2)=>stack_pointer(14), b(1)=>
      Ram_Address_26n4ss1_14, b(0)=>data_pointer(14), d=>
      Ram_Address_26n73ss1_14);
   Ram_Address_select_26i105Bus108_13 : select_3_3 port map ( a(2)=>
      MON_SOM_phase(0), a(1)=>rtlcn5405, a(0)=>rtlcn5384, b(2)=>
      Ram_Address_26n82ss1(13), b(1)=>debug_EXMPLR1018(15), b(0)=>
      monitor_stack_pointer(13), d=>Ram_Address_26n100ss1(13));
   Ram_Address_select_26i106Bus100_13 : select_4_4 port map ( a(3)=>
      rtlcn5397, a(2)=>rtlcn5398, a(1)=>rtlcn5394, a(0)=>rtlcn5396, b(3)=>
      debug_EXMPLR1018(15), b(2)=>stack_pointer(13), b(1)=>
      Ram_Address_26n4ss1_13, b(0)=>data_pointer(13), d=>
      Ram_Address_26n73ss1_13);
   Ram_Address_select_26i105Bus108_12 : select_3_3 port map ( a(2)=>
      MON_SOM_phase(0), a(1)=>rtlcn5405, a(0)=>rtlcn5384, b(2)=>
      Ram_Address_26n82ss1(12), b(1)=>debug_EXMPLR1018(15), b(0)=>
      monitor_stack_pointer(12), d=>Ram_Address_26n100ss1(12));
   Ram_Address_select_26i106Bus100_12 : select_4_4 port map ( a(3)=>
      rtlcn5397, a(2)=>rtlcn5398, a(1)=>rtlcn5394, a(0)=>rtlcn5396, b(3)=>
      debug_EXMPLR1018(15), b(2)=>stack_pointer(12), b(1)=>
      Ram_Address_26n4ss1_12, b(0)=>data_pointer(12), d=>
      Ram_Address_26n73ss1_12);
   Ram_Address_select_26i105Bus108_11 : select_3_3 port map ( a(2)=>
      MON_SOM_phase(0), a(1)=>rtlcn5405, a(0)=>rtlcn5384, b(2)=>
      Ram_Address_26n82ss1(11), b(1)=>debug_EXMPLR1018(15), b(0)=>
      monitor_stack_pointer(11), d=>Ram_Address_26n100ss1(11));
   Ram_Address_select_26i106Bus100_11 : select_4_4 port map ( a(3)=>
      rtlcn5397, a(2)=>rtlcn5398, a(1)=>rtlcn5394, a(0)=>rtlcn5396, b(3)=>
      debug_EXMPLR1018(15), b(2)=>stack_pointer(11), b(1)=>
      Ram_Address_26n4ss1_11, b(0)=>data_pointer(11), d=>
      Ram_Address_26n73ss1_11);
   Ram_Address_select_26i105Bus108_10 : select_3_3 port map ( a(2)=>
      MON_SOM_phase(0), a(1)=>rtlcn5405, a(0)=>rtlcn5384, b(2)=>
      Ram_Address_26n82ss1(10), b(1)=>debug_EXMPLR1018(15), b(0)=>
      monitor_stack_pointer(10), d=>Ram_Address_26n100ss1(10));
   Ram_Address_select_26i106Bus100_10 : select_4_4 port map ( a(3)=>
      rtlcn5397, a(2)=>rtlcn5398, a(1)=>rtlcn5394, a(0)=>rtlcn5396, b(3)=>
      debug_EXMPLR1018(15), b(2)=>stack_pointer(10), b(1)=>
      Ram_Address_26n4ss1_10, b(0)=>data_pointer(10), d=>
      Ram_Address_26n73ss1_10);
   Ram_Address_select_26i115Bus107_9 : select_4_4 port map ( a(3)=>
      MON_SOM_phase(0), a(2)=>MON_SOM_phase(1), a(1)=>rtlcn5551, a(0)=>
      rtlcn5384, b(3)=>Ram_Address_26n82ss1(9), b(2)=>PWR, b(1)=>
      debug_EXMPLR1018(15), b(0)=>monitor_stack_pointer(9), d=>
      Ram_Address_26n100ss1(9));
   Ram_Address_select_26i115Bus107_8 : select_4_4 port map ( a(3)=>
      MON_SOM_phase(0), a(2)=>MON_SOM_phase(1), a(1)=>rtlcn5551, a(0)=>
      rtlcn5384, b(3)=>Ram_Address_26n82ss1(8), b(2)=>debug_EXMPLR1018(15), 
      b(1)=>PWR, b(0)=>monitor_stack_pointer(8), d=>Ram_Address_26n100ss1(8)
   );
   Ram_Address_select_26i115Bus107_7 : select_4_4 port map ( a(3)=>
      MON_SOM_phase(0), a(2)=>MON_SOM_phase(1), a(1)=>rtlcn5551, a(0)=>
      rtlcn5384, b(3)=>Ram_Address_26n82ss1(7), b(2)=>PWR, b(1)=>
      debug_EXMPLR1018(15), b(0)=>monitor_stack_pointer(7), d=>
      Ram_Address_26n100ss1(7));
   Ram_Address_select_26i115Bus107_6 : select_4_4 port map ( a(3)=>
      MON_SOM_phase(0), a(2)=>MON_SOM_phase(1), a(1)=>rtlcn5551, a(0)=>
      rtlcn5384, b(3)=>Ram_Address_26n82ss1(6), b(2)=>
      Monitor_Active_command(15), b(1)=>debug_EXMPLR1018(15), b(0)=>
      monitor_stack_pointer(6), d=>Ram_Address_26n100ss1(6));
   Ram_Address_select_26i115Bus107_5 : select_4_4 port map ( a(3)=>
      MON_SOM_phase(0), a(2)=>MON_SOM_phase(1), a(1)=>rtlcn5551, a(0)=>
      rtlcn5384, b(3)=>Ram_Address_26n82ss1(5), b(2)=>
      Monitor_Active_command(14), b(1)=>debug_EXMPLR1018(15), b(0)=>
      monitor_stack_pointer(5), d=>Ram_Address_26n100ss1(5));
   Ram_Address_select_26i114Bus98_5 : select_3_3 port map ( a(2)=>
      not_rtlc26n7768, a(1)=>rtlcn5798, a(0)=>rtlcn5799, b(2)=>
      data_pointer(5), b(1)=>PWR, b(0)=>Address(10), d=>
      Ram_Address_26n51ss1_5);
   Ram_Address_select_26i115Bus107_4 : select_4_4 port map ( a(3)=>
      MON_SOM_phase(0), a(2)=>MON_SOM_phase(1), a(1)=>rtlcn5551, a(0)=>
      rtlcn5384, b(3)=>Ram_Address_26n82ss1(4), b(2)=>
      Monitor_Active_command(13), b(1)=>debug_EXMPLR1018(15), b(0)=>
      monitor_stack_pointer(4), d=>Ram_Address_26n100ss1(4));
   Ram_Address_select_26i114Bus98_4 : select_3_3 port map ( a(2)=>
      not_rtlc26n7768, a(1)=>rtlcn5798, a(0)=>rtlcn5799, b(2)=>
      Ram_Address_26n49ss1_4, b(1)=>PWR, b(0)=>not_Address_10, d=>
      Ram_Address_26n51ss1_4);
   Ram_Address_select_26i115Bus107_3 : select_4_4 port map ( a(3)=>
      MON_SOM_phase(0), a(2)=>MON_SOM_phase(1), a(1)=>rtlcn5551, a(0)=>
      rtlcn5384, b(3)=>Ram_Address_26n82ss1(3), b(2)=>
      Monitor_Active_command(12), b(1)=>debug_EXMPLR1018(15), b(0)=>
      monitor_stack_pointer(3), d=>Ram_Address_26n100ss1(3));
   Ram_Address_select_26i116 : select_5_5 port map ( a(4)=>MON_SOM_phase(0), 
      a(3)=>MON_SOM_phase(1), a(2)=>rtlcn5908, a(1)=>rtlcn5384, a(0)=>
      rtlcn5910, b(4)=>Ram_Address_26n82ss1(2), b(3)=>
      Monitor_Active_command(11), b(2)=>Current_Area_B, b(1)=>
      monitor_stack_pointer(2), b(0)=>PWR, d=>Ram_Address_26n100ss1(2));
   Ram_Address_select_26i117 : select_7_7 port map ( a(6)=>SOM_phase_1, a(5)
      =>rtlcn5943, a(4)=>rtlcn5661, a(3)=>rtlcn5945, a(2)=>rtlcn5376, a(1)=>
      rtlcn5372, a(0)=>rtlcn5940, b(6)=>Current_command(6), b(5)=>
      Current_Area_B, b(4)=>stack_pointer(2), b(3)=>PWR, b(2)=>
      Current_command(7), b(1)=>Ram_Address_26n2s1(2), b(0)=>BCR, d=>
      Ram_Address_26n47ss1_2);
   BC_Ram_Address_select_30i67Bus121_1 : select_6_6 port map ( a(5)=>
      rtlcn5977, a(4)=>rtlcn5978, a(3)=>rtlc30n16113, a(2)=>rtlc30n16114, 
      a(1)=>rtlc30n16115, a(0)=>rtlcn4144, b(5)=>debug_EXMPLR1018(15), b(4)
      =>PWR, b(3)=>BC_msg_pointer(1), b(2)=>BC_Stack_pointer(1), b(1)=>
      eBC_Q_pointer(1), b(0)=>BC_Num_Msgs(1), d=>BC_Ram_Address_30n180ss1(1)
   );
   BC_Ram_Address_select_30i69 : select_7_7 port map ( a(6)=>rtlcn5987, a(5)
      =>rtlc30n16122, a(4)=>rtlc30n16123, a(3)=>rtlc30n16113, a(2)=>
      rtlcn5988, a(1)=>rtlc30n16115, a(0)=>rtlcn4144, b(6)=>
      debug_EXMPLR1018(15), b(5)=>Current_Area_B, b(4)=>BC_Stack_pointer(2), 
      b(3)=>BC_msg_pointer(2), b(2)=>PWR, b(1)=>eBC_Q_pointer(2), b(0)=>
      BC_Num_Msgs(2), d=>BC_Ram_Address_30n180ss1(2));
   BC_Ram_Address_select_30i70 : select_6_6 port map ( a(5)=>rtlcn6000, a(4)
      =>rtlc30n16122, a(3)=>rtlc30n16123, a(2)=>rtlcn6001, a(1)=>
      rtlc30n16115, a(0)=>rtlcn4144, b(5)=>PWR, b(4)=>debug_EXMPLR1018(15), 
      b(3)=>BC_Stack_pointer(3), b(2)=>BC_msg_pointer(3), b(1)=>
      eBC_Q_pointer(3), b(0)=>BC_Num_Msgs(3), d=>BC_Ram_Address_30n180ss1(3)
   );
   BC_Ram_Address_select_30i71Bus122_4 : select_5_5 port map ( a(4)=>
      rtlc30n16132, a(3)=>rtlc30n16123, a(2)=>rtlcn6005, a(1)=>rtlc30n16115, 
      a(0)=>rtlcn4144, b(4)=>debug_EXMPLR1018(15), b(3)=>BC_Stack_pointer(4), 
      b(2)=>BC_msg_pointer(4), b(1)=>eBC_Q_pointer(4), b(0)=>BC_Num_Msgs(4), 
      d=>BC_Ram_Address_30n180ss1(4));
   BC_Ram_Address_select_30i71Bus122_5 : select_5_5 port map ( a(4)=>
      rtlc30n16132, a(3)=>rtlc30n16123, a(2)=>rtlcn6005, a(1)=>rtlc30n16115, 
      a(0)=>rtlcn4144, b(4)=>debug_EXMPLR1018(15), b(3)=>BC_Stack_pointer(5), 
      b(2)=>BC_msg_pointer(5), b(1)=>eBC_Q_pointer(5), b(0)=>BC_Num_Msgs(5), 
      d=>BC_Ram_Address_30n180ss1(5));
   BC_Ram_Address_select_30i71Bus122_6 : select_5_5 port map ( a(4)=>
      rtlc30n16132, a(3)=>rtlc30n16123, a(2)=>rtlcn6005, a(1)=>rtlc30n16115, 
      a(0)=>rtlcn4144, b(4)=>debug_EXMPLR1018(15), b(3)=>BC_Stack_pointer(6), 
      b(2)=>BC_msg_pointer(6), b(1)=>eBC_Q_pointer(6), b(0)=>BC_Num_Msgs(6), 
      d=>BC_Ram_Address_30n180ss1(6));
   BC_Ram_Address_select_30i71Bus122_7 : select_5_5 port map ( a(4)=>
      rtlc30n16132, a(3)=>rtlc30n16123, a(2)=>rtlcn6005, a(1)=>rtlc30n16115, 
      a(0)=>rtlcn4144, b(4)=>debug_EXMPLR1018(15), b(3)=>BC_Stack_pointer(7), 
      b(2)=>BC_msg_pointer(7), b(1)=>eBC_Q_pointer(7), b(0)=>BC_Num_Msgs(7), 
      d=>BC_Ram_Address_30n180ss1(7));
   BC_Ram_Address_select_30i71Bus122_8 : select_5_5 port map ( a(4)=>
      rtlc30n16132, a(3)=>rtlc30n16123, a(2)=>rtlcn6005, a(1)=>rtlc30n16115, 
      a(0)=>rtlcn4144, b(4)=>PWR, b(3)=>BC_Stack_pointer(8), b(2)=>
      BC_msg_pointer(8), b(1)=>eBC_Q_pointer(8), b(0)=>BC_Num_Msgs(8), d=>
      BC_Ram_Address_30n180ss1(8));
   BC_Ram_Address_select_30i71Bus122_9 : select_5_5 port map ( a(4)=>
      rtlc30n16132, a(3)=>rtlc30n16123, a(2)=>rtlcn6005, a(1)=>rtlc30n16115, 
      a(0)=>rtlcn4144, b(4)=>debug_EXMPLR1018(15), b(3)=>BC_Stack_pointer(9), 
      b(2)=>BC_msg_pointer(9), b(1)=>eBC_Q_pointer(9), b(0)=>BC_Num_Msgs(9), 
      d=>BC_Ram_Address_30n180ss1(9));
   BC_Ram_Address_select_30i71Bus122_10 : select_5_5 port map ( a(4)=>
      rtlc30n16132, a(3)=>rtlc30n16123, a(2)=>rtlcn6005, a(1)=>rtlc30n16115, 
      a(0)=>rtlcn4144, b(4)=>debug_EXMPLR1018(15), b(3)=>
      BC_Stack_pointer(10), b(2)=>BC_msg_pointer(10), b(1)=>
      eBC_Q_pointer(10), b(0)=>BC_Num_Msgs(10), d=>
      BC_Ram_Address_30n180ss1(10));
   BC_Ram_Address_select_30i71Bus122_11 : select_5_5 port map ( a(4)=>
      rtlc30n16132, a(3)=>rtlc30n16123, a(2)=>rtlcn6005, a(1)=>rtlc30n16115, 
      a(0)=>rtlcn4144, b(4)=>debug_EXMPLR1018(15), b(3)=>
      BC_Stack_pointer(11), b(2)=>BC_msg_pointer(11), b(1)=>
      eBC_Q_pointer(11), b(0)=>BC_Num_Msgs(11), d=>
      BC_Ram_Address_30n180ss1(11));
   BC_Ram_Address_select_30i71Bus122_12 : select_5_5 port map ( a(4)=>
      rtlc30n16132, a(3)=>rtlc30n16123, a(2)=>rtlcn6005, a(1)=>rtlc30n16115, 
      a(0)=>rtlcn4144, b(4)=>debug_EXMPLR1018(15), b(3)=>
      BC_Stack_pointer(12), b(2)=>BC_msg_pointer(12), b(1)=>
      eBC_Q_pointer(12), b(0)=>BC_Num_Msgs(12), d=>
      BC_Ram_Address_30n180ss1(12));
   BC_Ram_Address_select_30i71Bus122_13 : select_5_5 port map ( a(4)=>
      rtlc30n16132, a(3)=>rtlc30n16123, a(2)=>rtlcn6005, a(1)=>rtlc30n16115, 
      a(0)=>rtlcn4144, b(4)=>debug_EXMPLR1018(15), b(3)=>
      BC_Stack_pointer(13), b(2)=>BC_msg_pointer(13), b(1)=>
      eBC_Q_pointer(13), b(0)=>BC_Num_Msgs(13), d=>
      BC_Ram_Address_30n180ss1(13));
   BC_Ram_Address_select_30i71Bus122_14 : select_5_5 port map ( a(4)=>
      rtlc30n16132, a(3)=>rtlc30n16123, a(2)=>rtlcn6005, a(1)=>rtlc30n16115, 
      a(0)=>rtlcn4144, b(4)=>debug_EXMPLR1018(15), b(3)=>
      BC_Stack_pointer(14), b(2)=>BC_msg_pointer(14), b(1)=>
      eBC_Q_pointer(14), b(0)=>BC_Num_Msgs(14), d=>
      BC_Ram_Address_30n180ss1(14));
   BC_Ram_Address_select_30i71Bus122_15 : select_5_5 port map ( a(4)=>
      rtlc30n16132, a(3)=>rtlc30n16123, a(2)=>rtlcn6005, a(1)=>rtlc30n16115, 
      a(0)=>rtlcn4144, b(4)=>debug_EXMPLR1018(15), b(3)=>
      BC_Stack_pointer(15), b(2)=>BC_msg_pointer(15), b(1)=>
      eBC_Q_pointer(15), b(0)=>BC_Num_Msgs(15), d=>
      BC_Ram_Address_30n180ss1(15));
   time_tag_select_64i40Bus142_15 : select_3_3 port map ( a(2)=>rtlc64n5549, 
      a(1)=>rtlcn6099, a(0)=>not_rtlcn9826, b(2)=>CPU_Data_in_wide(31), b(1)
      =>time_tag_64n15ss1(15), b(0)=>debug_EXMPLR1018(15), d=>
      time_tag_64n30ss1(15));
   time_tag_select_64i40Bus142_14 : select_3_3 port map ( a(2)=>rtlc64n5549, 
      a(1)=>rtlcn6099, a(0)=>rtlcn6117, b(2)=>CPU_Data_in_wide(30), b(1)=>
      time_tag_64n15ss1(14), b(0)=>debug_EXMPLR1018(15), d=>
      time_tag_64n30ss1(14));
   time_tag_select_64i40Bus142_13 : select_3_3 port map ( a(2)=>rtlc64n5549, 
      a(1)=>rtlcn6099, a(0)=>rtlcn6117, b(2)=>CPU_Data_in_wide(29), b(1)=>
      time_tag_64n15ss1(13), b(0)=>debug_EXMPLR1018(15), d=>
      time_tag_64n30ss1(13));
   time_tag_select_64i40Bus142_12 : select_3_3 port map ( a(2)=>rtlc64n5549, 
      a(1)=>rtlcn6099, a(0)=>rtlcn6117, b(2)=>CPU_Data_in_wide(28), b(1)=>
      time_tag_64n15ss1(12), b(0)=>debug_EXMPLR1018(15), d=>
      time_tag_64n30ss1(12));
   time_tag_select_64i40Bus142_11 : select_3_3 port map ( a(2)=>rtlc64n5549, 
      a(1)=>rtlcn6099, a(0)=>rtlcn6117, b(2)=>CPU_Data_in_wide(27), b(1)=>
      time_tag_64n15ss1(11), b(0)=>debug_EXMPLR1018(15), d=>
      time_tag_64n30ss1(11));
   time_tag_select_64i40Bus142_10 : select_3_3 port map ( a(2)=>rtlc64n5549, 
      a(1)=>rtlcn6099, a(0)=>rtlcn6117, b(2)=>CPU_Data_in_wide(26), b(1)=>
      time_tag_64n15ss1(10), b(0)=>debug_EXMPLR1018(15), d=>
      time_tag_64n30ss1(10));
   time_tag_select_64i40Bus142_9 : select_3_3 port map ( a(2)=>rtlc64n5549, 
      a(1)=>rtlcn6099, a(0)=>rtlcn6117, b(2)=>CPU_Data_in_wide(25), b(1)=>
      time_tag_64n15ss1(9), b(0)=>debug_EXMPLR1018(15), d=>
      time_tag_64n30ss1(9));
   time_tag_select_64i40Bus142_8 : select_3_3 port map ( a(2)=>rtlc64n5549, 
      a(1)=>rtlcn6099, a(0)=>rtlcn6117, b(2)=>CPU_Data_in_wide(24), b(1)=>
      time_tag_64n15ss1(8), b(0)=>debug_EXMPLR1018(15), d=>
      time_tag_64n30ss1(8));
   time_tag_select_64i40Bus142_7 : select_3_3 port map ( a(2)=>rtlc64n5549, 
      a(1)=>rtlcn6099, a(0)=>rtlcn6117, b(2)=>CPU_Data_in_wide(23), b(1)=>
      time_tag_64n15ss1(7), b(0)=>debug_EXMPLR1018(15), d=>
      time_tag_64n30ss1(7));
   time_tag_select_64i40Bus142_6 : select_3_3 port map ( a(2)=>rtlc64n5549, 
      a(1)=>rtlcn6099, a(0)=>rtlcn6117, b(2)=>CPU_Data_in_wide(22), b(1)=>
      time_tag_64n15ss1(6), b(0)=>debug_EXMPLR1018(15), d=>
      time_tag_64n30ss1(6));
   time_tag_select_64i40Bus142_5 : select_3_3 port map ( a(2)=>rtlc64n5549, 
      a(1)=>rtlcn6099, a(0)=>rtlcn6117, b(2)=>CPU_Data_in_wide(21), b(1)=>
      time_tag_64n15ss1(5), b(0)=>debug_EXMPLR1018(15), d=>
      time_tag_64n30ss1(5));
   time_tag_select_64i40Bus142_4 : select_3_3 port map ( a(2)=>rtlc64n5549, 
      a(1)=>rtlcn6099, a(0)=>rtlcn6117, b(2)=>CPU_Data_in_wide(20), b(1)=>
      time_tag_64n15ss1(4), b(0)=>debug_EXMPLR1018(15), d=>
      time_tag_64n30ss1(4));
   time_tag_select_64i40Bus142_3 : select_3_3 port map ( a(2)=>rtlc64n5549, 
      a(1)=>rtlcn6099, a(0)=>rtlcn6117, b(2)=>CPU_Data_in_wide(19), b(1)=>
      time_tag_64n15ss1(3), b(0)=>debug_EXMPLR1018(15), d=>
      time_tag_64n30ss1(3));
   time_tag_select_64i40Bus142_2 : select_3_3 port map ( a(2)=>rtlc64n5549, 
      a(1)=>rtlcn6099, a(0)=>rtlcn6117, b(2)=>CPU_Data_in_wide(18), b(1)=>
      time_tag_64n15ss1(2), b(0)=>debug_EXMPLR1018(15), d=>
      time_tag_64n30ss1(2));
   time_tag_select_64i40Bus142_1 : select_3_3 port map ( a(2)=>rtlc64n5549, 
      a(1)=>rtlcn6099, a(0)=>rtlcn6117, b(2)=>CPU_Data_in_wide(17), b(1)=>
      time_tag_64n15ss1(1), b(0)=>debug_EXMPLR1018(15), d=>
      time_tag_64n30ss1(1));
   time_tag_select_64i40Bus142_0 : select_3_3 port map ( a(2)=>rtlc64n5549, 
      a(1)=>rtlcn6099, a(0)=>rtlcn6117, b(2)=>CPU_Data_in_wide(16), b(1)=>
      time_tag_64n15ss1(0), b(0)=>debug_EXMPLR1018(15), d=>
      time_tag_64n30ss1(0));
   BC_EOM_select_30i83 : select_3_3 port map ( a(2)=>not_rtlcn9828, a(1)=>
      BC_State(54), a(0)=>rtlcn6599, b(2)=>debug_EXMPLR1018(15), b(1)=>
      BC_State_fsm_30n116ss1_52, b(0)=>PWR, d=>BC_EOM_30n180ss1);
   Data_Pointer_register_select_26i118Bus113_0 : select_3_3 port map ( a(2)
      =>rtlcn6642, a(1)=>rtlcn6640, a(0)=>not_rtlcn9829, b(2)=>
      Ram_Address(0), b(1)=>data_pointer(0), b(0)=>Data_o_temp(0), d=>
      Data_Pointer_register_26n105ss1(0));
   Data_Pointer_register_select_26i118Bus113_1 : select_3_3 port map ( a(2)
      =>rtlcn6642, a(1)=>rtlcn6640, a(0)=>not_rtlcn9829, b(2)=>
      Ram_Address(1), b(1)=>data_pointer(1), b(0)=>Data_o_temp(1), d=>
      Data_Pointer_register_26n105ss1(1));
   Data_Pointer_register_select_26i118Bus113_2 : select_3_3 port map ( a(2)
      =>rtlcn6642, a(1)=>rtlcn6640, a(0)=>not_rtlcn9829, b(2)=>
      Ram_Address(2), b(1)=>data_pointer(2), b(0)=>Data_o_temp(2), d=>
      Data_Pointer_register_26n105ss1(2));
   Data_Pointer_register_select_26i118Bus113_3 : select_3_3 port map ( a(2)
      =>rtlcn6642, a(1)=>rtlcn6640, a(0)=>not_rtlcn9829, b(2)=>
      Ram_Address(3), b(1)=>data_pointer(3), b(0)=>Data_o_temp(3), d=>
      Data_Pointer_register_26n105ss1(3));
   Data_Pointer_register_select_26i118Bus113_4 : select_3_3 port map ( a(2)
      =>rtlcn6642, a(1)=>rtlcn6640, a(0)=>not_rtlcn9829, b(2)=>
      Ram_Address(4), b(1)=>data_pointer(4), b(0)=>Data_o_temp(4), d=>
      Data_Pointer_register_26n105ss1(4));
   Data_Pointer_register_select_26i118Bus113_5 : select_3_3 port map ( a(2)
      =>rtlcn6642, a(1)=>rtlcn6640, a(0)=>not_rtlcn9829, b(2)=>
      Ram_Address(5), b(1)=>data_pointer(5), b(0)=>Data_o_temp(5), d=>
      Data_Pointer_register_26n105ss1(5));
   Data_Pointer_register_select_26i118Bus113_6 : select_3_3 port map ( a(2)
      =>rtlcn6642, a(1)=>rtlcn6640, a(0)=>not_rtlcn9829, b(2)=>
      Ram_Address(6), b(1)=>data_pointer(6), b(0)=>Data_o_temp(6), d=>
      Data_Pointer_register_26n105ss1(6));
   Data_Pointer_register_select_26i118Bus113_7 : select_3_3 port map ( a(2)
      =>rtlcn6642, a(1)=>rtlcn6640, a(0)=>not_rtlcn9829, b(2)=>
      Ram_Address(7), b(1)=>data_pointer(7), b(0)=>Data_o_temp(7), d=>
      Data_Pointer_register_26n105ss1(7));
   Data_Pointer_register_select_26i118Bus113_8 : select_3_3 port map ( a(2)
      =>rtlcn6642, a(1)=>rtlcn6640, a(0)=>not_rtlcn9829, b(2)=>
      Ram_Address(8), b(1)=>data_pointer(8), b(0)=>Data_o_temp(8), d=>
      Data_Pointer_register_26n105ss1(8));
   Data_Pointer_register_select_26i118Bus113_9 : select_3_3 port map ( a(2)
      =>rtlcn6642, a(1)=>rtlcn6640, a(0)=>not_rtlcn9829, b(2)=>
      Ram_Address(9), b(1)=>data_pointer(9), b(0)=>Data_o_temp(9), d=>
      Data_Pointer_register_26n105ss1(9));
   Data_Pointer_register_select_26i118Bus113_10 : select_3_3 port map ( a(2)
      =>rtlcn6642, a(1)=>rtlcn6640, a(0)=>not_rtlcn9829, b(2)=>
      Ram_Address(10), b(1)=>data_pointer(10), b(0)=>Data_o_temp(10), d=>
      Data_Pointer_register_26n105ss1(10));
   Data_Pointer_register_select_26i118Bus113_11 : select_3_3 port map ( a(2)
      =>rtlcn6642, a(1)=>rtlcn6640, a(0)=>not_rtlcn9829, b(2)=>
      Ram_Address(11), b(1)=>data_pointer(11), b(0)=>Data_o_temp(11), d=>
      Data_Pointer_register_26n105ss1(11));
   Data_Pointer_register_select_26i118Bus113_12 : select_3_3 port map ( a(2)
      =>rtlcn6642, a(1)=>rtlcn6640, a(0)=>not_rtlcn9829, b(2)=>
      Ram_Address(12), b(1)=>data_pointer(12), b(0)=>Data_o_temp(12), d=>
      Data_Pointer_register_26n105ss1(12));
   Data_Pointer_register_select_26i118Bus113_13 : select_3_3 port map ( a(2)
      =>rtlcn6642, a(1)=>rtlcn6640, a(0)=>not_rtlcn9829, b(2)=>
      Ram_Address(13), b(1)=>data_pointer(13), b(0)=>Data_o_temp(13), d=>
      Data_Pointer_register_26n105ss1(13));
   Data_Pointer_register_select_26i118Bus113_14 : select_3_3 port map ( a(2)
      =>rtlcn6642, a(1)=>rtlcn6640, a(0)=>not_rtlcn9829, b(2)=>
      Ram_Address(14), b(1)=>data_pointer(14), b(0)=>Data_o_temp(14), d=>
      Data_Pointer_register_26n105ss1(14));
   Data_Pointer_register_select_26i118Bus113_15 : select_3_3 port map ( a(2)
      =>rtlcn6642, a(1)=>rtlcn6640, a(0)=>not_rtlcn9829, b(2)=>
      Ram_Address(15), b(1)=>data_pointer(15), b(0)=>Data_o_temp(15), d=>
      Data_Pointer_register_26n105ss1(15));
   Config_reg_1_select_64i41 : select_3_3 port map ( a(2)=>WM_On, a(1)=>
      rtlcn7009, a(0)=>rtlcn7010, b(2)=>WM_triggered, b(1)=>
      Config_reg_1_64n43ss1_1, b(0)=>BC_Frame_active_part, d=>
      Config_reg_1_64n89ss1(1));
   BC_Ram_data_select_30i84Bus123_0 : select_9_9 port map ( a(8)=>
      not_rtlc30n16184, a(7)=>rtlc30n16187, a(6)=>rtlcn2155, a(5)=>rtlcn7042, 
      a(4)=>BC_State(18), a(3)=>rtlc30n16189, a(2)=>rtlcn7043, a(1)=>
      rtlcn7044, a(0)=>BC_State(84), b(8)=>debug_EXMPLR1018(15), b(7)=>
      BC_Stack_pointer(0), b(6)=>BC_Ram_data_30n15s1(0), b(5)=>
      time_tag_EXMPLR1017(0), b(4)=>BC_Echo_word(0), b(3)=>BC_Rx_Data(0), 
      b(2)=>BC_Sts_Word(0), b(1)=>BC_msg_pointer(0), b(0)=>VARAM_Q(0), d=>
      BC_Ram_data_30n180ss1(0));
   Ram_data_i_select_26i134Bus101_0 : select_3_3 port map ( a(2)=>rtlcn7051, 
      a(1)=>rtlcn7052, a(0)=>rtlcn8077, b(2)=>Ram_data_i_26n47ss1_0, b(1)=>
      Data_From_FE(0), b(0)=>Data_to_FE_EXMPLR1014(0), d=>
      Ram_data_i_26n73ss1(0));
   BC_Ram_data_select_30i84Bus123_1 : select_9_9 port map ( a(8)=>
      not_rtlc30n16184, a(7)=>rtlc30n16187, a(6)=>rtlcn2155, a(5)=>rtlcn7042, 
      a(4)=>BC_State(18), a(3)=>rtlc30n16189, a(2)=>rtlcn7043, a(1)=>
      rtlcn7044, a(0)=>BC_State(84), b(8)=>debug_EXMPLR1018(15), b(7)=>
      BC_Stack_pointer(1), b(6)=>BC_Ram_data_30n15s1(1), b(5)=>
      time_tag_EXMPLR1017(1), b(4)=>BC_Echo_word(1), b(3)=>BC_Rx_Data(1), 
      b(2)=>BC_Sts_Word(1), b(1)=>BC_msg_pointer(1), b(0)=>VARAM_Q(1), d=>
      BC_Ram_data_30n180ss1(1));
   Ram_data_i_select_26i134Bus101_1 : select_3_3 port map ( a(2)=>rtlcn7051, 
      a(1)=>rtlcn7052, a(0)=>rtlcn8077, b(2)=>Ram_data_i_26n47ss1_1, b(1)=>
      Data_From_FE(1), b(0)=>Data_to_FE_EXMPLR1014(1), d=>
      Ram_data_i_26n73ss1(1));
   BC_Ram_data_select_30i86Bus124_2 : select_10_10 port map ( a(9)=>
      not_rtlc30n16184, a(8)=>BC_State(4), a(7)=>rtlcn2155, a(6)=>rtlcn7042, 
      a(5)=>BC_State(12), a(4)=>BC_State(18), a(3)=>rtlc30n16189, a(2)=>
      rtlcn7043, a(1)=>rtlcn7044, a(0)=>BC_State(84), b(9)=>
      debug_EXMPLR1018(15), b(8)=>BC_Stack_pointer(2), b(7)=>
      BC_Ram_data_30n15s1(2), b(6)=>time_tag_EXMPLR1017(2), b(5)=>
      BC_Ram_data_30n30s4(0), b(4)=>BC_Echo_word(2), b(3)=>BC_Rx_Data(2), 
      b(2)=>BC_Sts_Word(2), b(1)=>BC_msg_pointer(2), b(0)=>VARAM_Q(2), d=>
      BC_Ram_data_30n180ss1(2));
   Ram_data_i_select_26i134Bus101_2 : select_3_3 port map ( a(2)=>rtlcn7051, 
      a(1)=>rtlcn7052, a(0)=>rtlcn8077, b(2)=>Ram_data_i_26n47ss1_2, b(1)=>
      Data_From_FE(2), b(0)=>Data_to_FE_EXMPLR1014(2), d=>
      Ram_data_i_26n73ss1(2));
   BC_Ram_data_select_30i86Bus124_3 : select_10_10 port map ( a(9)=>
      not_rtlc30n16184, a(8)=>BC_State(4), a(7)=>rtlcn2155, a(6)=>rtlcn7042, 
      a(5)=>BC_State(12), a(4)=>BC_State(18), a(3)=>rtlc30n16189, a(2)=>
      rtlcn7043, a(1)=>rtlcn7044, a(0)=>BC_State(84), b(9)=>
      debug_EXMPLR1018(15), b(8)=>BC_Stack_pointer(3), b(7)=>
      BC_Ram_data_30n15s1(3), b(6)=>time_tag_EXMPLR1017(3), b(5)=>
      BC_Ram_data_30n30s4(1), b(4)=>BC_Echo_word(3), b(3)=>BC_Rx_Data(3), 
      b(2)=>BC_Sts_Word(3), b(1)=>BC_msg_pointer(3), b(0)=>VARAM_Q(3), d=>
      BC_Ram_data_30n180ss1(3));
   Ram_data_i_select_26i134Bus101_3 : select_3_3 port map ( a(2)=>rtlcn7051, 
      a(1)=>rtlcn7052, a(0)=>rtlcn8077, b(2)=>Ram_data_i_26n47ss1_3, b(1)=>
      Data_From_FE(3), b(0)=>Data_to_FE_EXMPLR1014(3), d=>
      Ram_data_i_26n73ss1(3));
   BC_Ram_data_select_30i88 : select_11_11 port map ( a(10)=>
      not_rtlc30n16184, a(9)=>BC_State(4), a(8)=>rtlcn2155, a(7)=>rtlcn7042, 
      a(6)=>BC_State(12), a(5)=>BC_State(18), a(4)=>rtlc30n16189, a(3)=>
      rtlcn7043, a(2)=>BC_State(56), a(1)=>BC_State(84), a(0)=>rtlcn7102, 
      b(10)=>debug_EXMPLR1018(15), b(9)=>BC_Stack_pointer(4), b(8)=>
      BC_Ram_data_30n15s1(4), b(7)=>time_tag_EXMPLR1017(4), b(6)=>
      BC_Ram_data_30n30s4(2), b(5)=>BC_Echo_word(4), b(4)=>BC_Rx_Data(4), 
      b(3)=>BC_Sts_Word(4), b(2)=>not_BC_msg_pointer_4, b(1)=>VARAM_Q(4), 
      b(0)=>BC_msg_pointer(4), d=>BC_Ram_data_30n180ss1(4));
   Ram_data_i_select_26i134Bus101_4 : select_3_3 port map ( a(2)=>rtlcn7051, 
      a(1)=>rtlcn7052, a(0)=>rtlcn8077, b(2)=>Ram_data_i_26n47ss1_4, b(1)=>
      Data_From_FE(4), b(0)=>Data_to_FE_EXMPLR1014(4), d=>
      Ram_data_i_26n73ss1(4));
   BC_Ram_data_select_30i89Bus125_5 : select_10_10 port map ( a(9)=>
      not_rtlc30n16184, a(8)=>BC_State(4), a(7)=>rtlcn2155, a(6)=>rtlcn7042, 
      a(5)=>BC_State(12), a(4)=>BC_State(18), a(3)=>rtlc30n16189, a(2)=>
      rtlcn7043, a(1)=>rtlcn7044, a(0)=>BC_State(84), b(9)=>
      debug_EXMPLR1018(15), b(8)=>BC_Stack_pointer(5), b(7)=>
      BC_Ram_data_30n15s1(5), b(6)=>time_tag_EXMPLR1017(5), b(5)=>
      BC_Ram_data_30n30s4(3), b(4)=>BC_Echo_word(5), b(3)=>BC_Rx_Data(5), 
      b(2)=>BC_Sts_Word(5), b(1)=>BC_msg_pointer(5), b(0)=>VARAM_Q(5), d=>
      BC_Ram_data_30n180ss1(5));
   Ram_data_i_select_26i134Bus101_5 : select_3_3 port map ( a(2)=>rtlcn7051, 
      a(1)=>rtlcn7052, a(0)=>rtlcn8077, b(2)=>Ram_data_i_26n47ss1_5, b(1)=>
      Data_From_FE(5), b(0)=>Data_to_FE_EXMPLR1014(5), d=>
      Ram_data_i_26n73ss1(5));
   BC_Ram_data_select_30i89Bus125_6 : select_10_10 port map ( a(9)=>
      not_rtlc30n16184, a(8)=>BC_State(4), a(7)=>rtlcn2155, a(6)=>rtlcn7042, 
      a(5)=>BC_State(12), a(4)=>BC_State(18), a(3)=>rtlc30n16189, a(2)=>
      rtlcn7043, a(1)=>rtlcn7044, a(0)=>BC_State(84), b(9)=>
      debug_EXMPLR1018(15), b(8)=>BC_Stack_pointer(6), b(7)=>
      BC_Ram_data_30n15s1(6), b(6)=>time_tag_EXMPLR1017(6), b(5)=>
      BC_Ram_data_30n30s4(4), b(4)=>BC_Echo_word(6), b(3)=>BC_Rx_Data(6), 
      b(2)=>BC_Sts_Word(6), b(1)=>BC_msg_pointer(6), b(0)=>VARAM_Q(6), d=>
      BC_Ram_data_30n180ss1(6));
   Ram_data_i_select_26i134Bus101_6 : select_3_3 port map ( a(2)=>rtlcn7051, 
      a(1)=>rtlcn7052, a(0)=>rtlcn8077, b(2)=>Ram_data_i_26n47ss1_6, b(1)=>
      Data_From_FE(6), b(0)=>Data_to_FE_EXMPLR1014(6), d=>
      Ram_data_i_26n73ss1(6));
   BC_Ram_data_select_30i89Bus125_7 : select_10_10 port map ( a(9)=>
      not_rtlc30n16184, a(8)=>BC_State(4), a(7)=>rtlcn2155, a(6)=>rtlcn7042, 
      a(5)=>BC_State(12), a(4)=>BC_State(18), a(3)=>rtlc30n16189, a(2)=>
      rtlcn7043, a(1)=>rtlcn7044, a(0)=>BC_State(84), b(9)=>
      debug_EXMPLR1018(15), b(8)=>BC_Stack_pointer(7), b(7)=>
      BC_Ram_data_30n15s1(7), b(6)=>time_tag_EXMPLR1017(7), b(5)=>
      BC_Ram_data_30n30s4(5), b(4)=>BC_Echo_word(7), b(3)=>BC_Rx_Data(7), 
      b(2)=>BC_Sts_Word(7), b(1)=>BC_msg_pointer(7), b(0)=>VARAM_Q(7), d=>
      BC_Ram_data_30n180ss1(7));
   Ram_data_i_select_26i134Bus101_7 : select_3_3 port map ( a(2)=>rtlcn7051, 
      a(1)=>rtlcn7052, a(0)=>rtlcn8077, b(2)=>Ram_data_i_26n47ss1_7, b(1)=>
      Data_From_FE(7), b(0)=>Data_to_FE_EXMPLR1014(7), d=>
      Ram_data_i_26n73ss1(7));
   BC_Ram_data_select_30i89Bus125_8 : select_10_10 port map ( a(9)=>
      not_rtlc30n16184, a(8)=>rtlcn7170, a(7)=>rtlcn2155, a(6)=>rtlcn7042, 
      a(5)=>BC_State(18), a(4)=>rtlc30n16189, a(3)=>rtlcn7043, a(2)=>
      rtlcn7044, a(1)=>BC_State(84), a(0)=>rtlcn7169, b(9)=>
      debug_EXMPLR1018(15), b(8)=>BC_Stack_pointer(8), b(7)=>
      BC_Ram_data_30n15s1(8), b(6)=>time_tag_EXMPLR1017(8), b(5)=>
      BC_Echo_word(8), b(4)=>BC_Rx_Data(8), b(3)=>BC_Sts_Word(8), b(2)=>
      BC_msg_pointer(8), b(1)=>VARAM_Q(8), b(0)=>BC_Ram_data_30n30s4(6), d=>
      BC_Ram_data_30n180ss1(8));
   Ram_data_i_select_26i134Bus101_8 : select_3_3 port map ( a(2)=>rtlcn7051, 
      a(1)=>rtlcn7052, a(0)=>rtlcn8077, b(2)=>Ram_data_i_26n47ss1_8, b(1)=>
      Data_From_FE(8), b(0)=>Data_to_FE_EXMPLR1014(8), d=>
      Ram_data_i_26n73ss1(8));
   BC_Ram_data_select_30i89Bus125_9 : select_10_10 port map ( a(9)=>
      not_rtlc30n16184, a(8)=>rtlcn7189, a(7)=>rtlcn2155, a(6)=>rtlcn7042, 
      a(5)=>BC_State(18), a(4)=>rtlc30n16189, a(3)=>rtlcn7043, a(2)=>
      rtlcn7044, a(1)=>BC_State(84), a(0)=>rtlcn7188, b(9)=>
      debug_EXMPLR1018(15), b(8)=>BC_Stack_pointer(9), b(7)=>
      BC_Ram_data_30n15s1(9), b(6)=>time_tag_EXMPLR1017(9), b(5)=>
      BC_Echo_word(9), b(4)=>BC_Rx_Data(9), b(3)=>BC_Sts_Word(9), b(2)=>
      BC_msg_pointer(9), b(1)=>VARAM_Q(9), b(0)=>BC_Ram_data_30n30s4(7), d=>
      BC_Ram_data_30n180ss1(9));
   Ram_data_i_select_26i134Bus101_9 : select_3_3 port map ( a(2)=>rtlcn7051, 
      a(1)=>rtlcn7052, a(0)=>rtlcn8077, b(2)=>rtlcn10999, b(1)=>
      Data_From_FE(9), b(0)=>Data_to_FE_EXMPLR1014(9), d=>
      Ram_data_i_26n73ss1(9));
   BC_Ram_data_select_30i89Bus125_10 : select_10_10 port map ( a(9)=>
      not_rtlc30n16184, a(8)=>rtlcn7211, a(7)=>rtlcn2155, a(6)=>rtlcn7042, 
      a(5)=>BC_State(18), a(4)=>rtlc30n16189, a(3)=>rtlcn7043, a(2)=>
      rtlcn7044, a(1)=>BC_State(84), a(0)=>rtlc30n19493, b(9)=>
      debug_EXMPLR1018(15), b(8)=>BC_Stack_pointer(10), b(7)=>
      BC_Ram_data_30n15s1(10), b(6)=>time_tag_EXMPLR1017(10), b(5)=>
      BC_Echo_word(10), b(4)=>BC_Rx_Data(10), b(3)=>BC_Sts_Word(10), b(2)=>
      BC_msg_pointer(10), b(1)=>VARAM_Q(10), b(0)=>BC_Ram_data_30n30s4(8), d
      =>BC_Ram_data_30n180ss1(10));
   Ram_data_i_select_26i134Bus101_10 : select_3_3 port map ( a(2)=>rtlcn7051, 
      a(1)=>rtlcn7052, a(0)=>rtlcn8077, b(2)=>rtlcn11000, b(1)=>
      Data_From_FE(10), b(0)=>Data_to_FE_EXMPLR1014(10), d=>
      Ram_data_i_26n73ss1(10));
   BC_Ram_data_select_30i95Bus126_11 : select_9_9 port map ( a(8)=>
      not_rtlc30n16184, a(7)=>rtlc30n16187, a(6)=>rtlcn2155, a(5)=>rtlcn7042, 
      a(4)=>BC_State(18), a(3)=>rtlc30n16189, a(2)=>rtlcn7043, a(1)=>
      rtlcn7044, a(0)=>BC_State(84), b(8)=>debug_EXMPLR1018(15), b(7)=>
      BC_Stack_pointer(11), b(6)=>BC_Ram_data_30n15s1(11), b(5)=>
      time_tag_EXMPLR1017(11), b(4)=>BC_Echo_word(11), b(3)=>BC_Rx_Data(11), 
      b(2)=>BC_Sts_Word(11), b(1)=>BC_msg_pointer(11), b(0)=>VARAM_Q(11), d
      =>BC_Ram_data_30n180ss1(11));
   Ram_data_i_select_26i134Bus101_11 : select_3_3 port map ( a(2)=>rtlcn7051, 
      a(1)=>rtlcn7052, a(0)=>rtlcn8077, b(2)=>Ram_data_i_26n47ss1_11, b(1)=>
      Data_From_FE(11), b(0)=>Data_to_FE_EXMPLR1014(11), d=>
      Ram_data_i_26n73ss1(11));
   BC_Ram_data_select_30i95Bus126_12 : select_9_9 port map ( a(8)=>
      not_rtlc30n16184, a(7)=>rtlc30n16187, a(6)=>rtlcn2155, a(5)=>rtlcn7042, 
      a(4)=>BC_State(18), a(3)=>rtlc30n16189, a(2)=>rtlcn7043, a(1)=>
      rtlcn7044, a(0)=>BC_State(84), b(8)=>debug_EXMPLR1018(15), b(7)=>
      BC_Stack_pointer(12), b(6)=>BC_Ram_data_30n15s1(12), b(5)=>
      time_tag_EXMPLR1017(12), b(4)=>BC_Echo_word(12), b(3)=>BC_Rx_Data(12), 
      b(2)=>BC_Sts_Word(12), b(1)=>BC_msg_pointer(12), b(0)=>VARAM_Q(12), d
      =>BC_Ram_data_30n180ss1(12));
   Ram_data_i_select_26i134Bus101_12 : select_3_3 port map ( a(2)=>rtlcn7051, 
      a(1)=>rtlcn7052, a(0)=>rtlcn8077, b(2)=>rtlcn11001, b(1)=>
      Data_From_FE(12), b(0)=>Data_to_FE_EXMPLR1014(12), d=>
      Ram_data_i_26n73ss1(12));
   BC_Ram_data_select_30i95Bus126_13 : select_9_9 port map ( a(8)=>
      not_rtlc30n16184, a(7)=>rtlc30n16187, a(6)=>rtlcn2155, a(5)=>rtlcn7042, 
      a(4)=>BC_State(18), a(3)=>rtlc30n16189, a(2)=>rtlcn7043, a(1)=>
      rtlcn7044, a(0)=>BC_State(84), b(8)=>debug_EXMPLR1018(15), b(7)=>
      BC_Stack_pointer(13), b(6)=>BC_Ram_data_30n15s1(13), b(5)=>
      time_tag_EXMPLR1017(13), b(4)=>BC_Echo_word(13), b(3)=>BC_Rx_Data(13), 
      b(2)=>BC_Sts_Word(13), b(1)=>BC_msg_pointer(13), b(0)=>VARAM_Q(13), d
      =>BC_Ram_data_30n180ss1(13));
   BC_BUS_A_select_30i98 : select_3_3 port map ( a(2)=>BC_State(80), a(1)=>
      rtlcn7272, a(0)=>rtlcn7271, b(2)=>eBC_Q_pointer(15), b(1)=>
      BC_Control_word_7, b(0)=>not_BC_Control_word_7, d=>BC_BUS_A_30n180ss1
   );
   Ram_data_i_select_26i147 : select_5_5 port map ( a(4)=>not_rtlc26n9590, 
      a(3)=>rtlcn7195, a(2)=>SOM_phase_5, a(1)=>SOM_phase_6, a(0)=>rtlcn7196, 
      b(4)=>Ram_data_i_26n27ss1(13), b(3)=>not_bus_A, b(2)=>
      Current_command(13), b(1)=>time_tag_EXMPLR1017(13), b(0)=>
      data_pointer(13), d=>Ram_data_i_26n47ss1_13);
   Ram_data_i_select_26i134Bus101_13 : select_3_3 port map ( a(2)=>rtlcn7051, 
      a(1)=>rtlcn7052, a(0)=>rtlcn8077, b(2)=>Ram_data_i_26n47ss1_13, b(1)=>
      Data_From_FE(13), b(0)=>Data_to_FE_EXMPLR1014(13), d=>
      Ram_data_i_26n73ss1(13));
   BC_Ram_data_select_30i95Bus126_14 : select_9_9 port map ( a(8)=>
      not_rtlcn9830, a(7)=>rtlc30n16187, a(6)=>rtlcn2155, a(5)=>rtlcn7042, 
      a(4)=>rtlc30n16072, a(3)=>BC_State(18), a(2)=>rtlc30n16189, a(1)=>
      rtlcn7044, a(0)=>BC_State(84), b(8)=>debug_EXMPLR1018(15), b(7)=>
      BC_Stack_pointer(14), b(6)=>BC_Ram_data_30n15s1(14), b(5)=>
      time_tag_EXMPLR1017(14), b(4)=>PWR, b(3)=>BC_Echo_word(14), b(2)=>
      BC_Rx_Data(14), b(1)=>BC_msg_pointer(14), b(0)=>VARAM_Q(14), d=>
      BC_Ram_data_30n180ss1(14));
   Ram_data_i_select_26i149 : select_3_3 port map ( a(2)=>not_rtlc26n9590, 
      a(1)=>SOM_phase_5, a(0)=>rtlcn7196, b(2)=>Ram_data_i_26n27ss1(14), 
      b(1)=>Current_command(14), b(0)=>data_pointer(14), d=>
      Ram_data_i_26n47ss1_14);
   Ram_data_i_select_26i134Bus101_14 : select_3_3 port map ( a(2)=>rtlcn7051, 
      a(1)=>rtlcn7052, a(0)=>rtlcn7306, b(2)=>Ram_data_i_26n47ss1_14, b(1)=>
      Data_From_FE(14), b(0)=>Data_to_FE_EXMPLR1014(14), d=>
      Ram_data_i_26n73ss1(14));
   Ram_data_i_select_26i151 : select_3_3 port map ( a(2)=>rtlc26n9797, a(1)
      =>rtlcn7145, a(0)=>MON_SOM_phase(7), b(2)=>Ram_data_i_26n82ss1(14), 
      b(1)=>monitor_data_pointer(14), b(0)=>Monitor_Active_command(14), d=>
      Ram_data_i_26n100ss1_14);
   BC_Ram_data_select_30i95Bus126_15 : select_9_9 port map ( a(8)=>rtlcn7329, 
      a(7)=>rtlc30n16187, a(6)=>rtlcn2155, a(5)=>rtlcn7042, a(4)=>
      BC_State(18), a(3)=>rtlc30n16189, a(2)=>rtlc30n16190, a(1)=>rtlcn7044, 
      a(0)=>BC_State(84), b(8)=>debug_EXMPLR1018(15), b(7)=>
      BC_Stack_pointer(15), b(6)=>BC_Ram_data_30n15s1(15), b(5)=>
      time_tag_EXMPLR1017(15), b(4)=>BC_Echo_word(15), b(3)=>BC_Rx_Data(15), 
      b(2)=>PWR, b(1)=>BC_msg_pointer(15), b(0)=>VARAM_Q(15), d=>
      BC_Ram_data_30n180ss1(15));
   Ram_data_i_select_26i134Bus101_15 : select_3_3 port map ( a(2)=>rtlcn7051, 
      a(1)=>rtlcn7052, a(0)=>rtlcn8077, b(2)=>Ram_data_i_26n47ss1_15, b(1)=>
      Data_From_FE(15), b(0)=>Data_to_FE_EXMPLR1014(15), d=>
      Ram_data_i_26n73ss1(15));
   Non_masked_Event_select_79i26 : select_3_3 port map ( a(2)=>
      BC_msg_pointer(2), a(1)=>not_rtlcn9831, a(0)=>rtlcn7357, b(2)=>
      Interrupt_mask_register_2(4), b(1)=>Non_masked_Event_79n30ss1, b(0)=>
      Interrupt_mask_register_2(5), d=>Non_masked_Event_79n32ss1);
   BC_TX_Data_select_30i101Bus129_0 : select_3_3 port map ( a(2)=>
      BC_State(80), a(1)=>rtlcn7439, a(0)=>rtlcn7440, b(2)=>
      Frame_length_reg_0xD(0), b(1)=>time_tag_EXMPLR1017(0), b(0)=>
      Data_o_temp(0), d=>BC_TX_Data_30n180ss1(0));
   BC_TX_Data_select_30i101Bus129_10 : select_3_3 port map ( a(2)=>
      BC_State(80), a(1)=>rtlcn7439, a(0)=>rtlcn7440, b(2)=>
      Frame_length_reg_0xD(10), b(1)=>time_tag_EXMPLR1017(10), b(0)=>
      Data_o_temp(10), d=>BC_TX_Data_30n180ss1(10));
   BC_TX_Data_select_30i101Bus129_9 : select_3_3 port map ( a(2)=>
      BC_State(80), a(1)=>rtlcn7439, a(0)=>rtlcn7440, b(2)=>
      Frame_length_reg_0xD(9), b(1)=>time_tag_EXMPLR1017(9), b(0)=>
      Data_o_temp(9), d=>BC_TX_Data_30n180ss1(9));
   BC_TX_Data_select_30i101Bus129_8 : select_3_3 port map ( a(2)=>
      BC_State(80), a(1)=>rtlcn7439, a(0)=>rtlcn7440, b(2)=>
      Frame_length_reg_0xD(8), b(1)=>time_tag_EXMPLR1017(8), b(0)=>
      Data_o_temp(8), d=>BC_TX_Data_30n180ss1(8));
   BC_TX_Data_select_30i101Bus129_7 : select_3_3 port map ( a(2)=>
      BC_State(80), a(1)=>rtlcn7439, a(0)=>rtlcn7440, b(2)=>
      Frame_length_reg_0xD(7), b(1)=>time_tag_EXMPLR1017(7), b(0)=>
      Data_o_temp(7), d=>BC_TX_Data_30n180ss1(7));
   BC_TX_Data_select_30i101Bus129_6 : select_3_3 port map ( a(2)=>
      BC_State(80), a(1)=>rtlcn7439, a(0)=>rtlcn7440, b(2)=>
      Frame_length_reg_0xD(6), b(1)=>time_tag_EXMPLR1017(6), b(0)=>
      Data_o_temp(6), d=>BC_TX_Data_30n180ss1(6));
   BC_TX_Data_select_30i101Bus129_5 : select_3_3 port map ( a(2)=>
      BC_State(80), a(1)=>rtlcn7439, a(0)=>rtlcn7440, b(2)=>
      Frame_length_reg_0xD(5), b(1)=>time_tag_EXMPLR1017(5), b(0)=>
      Data_o_temp(5), d=>BC_TX_Data_30n180ss1(5));
   BC_TX_Data_select_30i101Bus129_4 : select_3_3 port map ( a(2)=>
      BC_State(80), a(1)=>rtlcn7439, a(0)=>rtlcn7440, b(2)=>
      Frame_length_reg_0xD(4), b(1)=>time_tag_EXMPLR1017(4), b(0)=>
      Data_o_temp(4), d=>BC_TX_Data_30n180ss1(4));
   BC_TX_Data_select_30i101Bus129_3 : select_3_3 port map ( a(2)=>
      BC_State(80), a(1)=>rtlcn7439, a(0)=>rtlcn7440, b(2)=>
      Frame_length_reg_0xD(3), b(1)=>time_tag_EXMPLR1017(3), b(0)=>
      Data_o_temp(3), d=>BC_TX_Data_30n180ss1(3));
   BC_TX_Data_select_30i101Bus129_2 : select_3_3 port map ( a(2)=>
      BC_State(80), a(1)=>rtlcn7439, a(0)=>rtlcn7440, b(2)=>
      Frame_length_reg_0xD(2), b(1)=>time_tag_EXMPLR1017(2), b(0)=>
      Data_o_temp(2), d=>BC_TX_Data_30n180ss1(2));
   BC_TX_Data_select_30i101Bus129_1 : select_3_3 port map ( a(2)=>
      BC_State(80), a(1)=>rtlcn7439, a(0)=>rtlcn7440, b(2)=>
      Frame_length_reg_0xD(1), b(1)=>time_tag_EXMPLR1017(1), b(0)=>
      Data_o_temp(1), d=>BC_TX_Data_30n180ss1(1));
   BC_TX_Data_select_30i101Bus129_11 : select_3_3 port map ( a(2)=>
      BC_State(80), a(1)=>rtlcn7439, a(0)=>rtlcn7440, b(2)=>
      Frame_length_reg_0xD(11), b(1)=>time_tag_EXMPLR1017(11), b(0)=>
      Data_o_temp(11), d=>BC_TX_Data_30n180ss1(11));
   BC_TX_Data_select_30i101Bus129_12 : select_3_3 port map ( a(2)=>
      BC_State(80), a(1)=>rtlcn7439, a(0)=>rtlcn7440, b(2)=>
      Frame_length_reg_0xD(12), b(1)=>time_tag_EXMPLR1017(12), b(0)=>
      Data_o_temp(12), d=>BC_TX_Data_30n180ss1(12));
   BC_TX_Data_select_30i101Bus129_13 : select_3_3 port map ( a(2)=>
      BC_State(80), a(1)=>rtlcn7439, a(0)=>rtlcn7440, b(2)=>
      Frame_length_reg_0xD(13), b(1)=>time_tag_EXMPLR1017(13), b(0)=>
      Data_o_temp(13), d=>BC_TX_Data_30n180ss1(13));
   BC_TX_Data_select_30i101Bus129_14 : select_3_3 port map ( a(2)=>
      BC_State(80), a(1)=>rtlcn7439, a(0)=>rtlcn7440, b(2)=>
      Frame_length_reg_0xD(14), b(1)=>time_tag_EXMPLR1017(14), b(0)=>
      Data_o_temp(14), d=>BC_TX_Data_30n180ss1(14));
   BC_TX_Data_select_30i101Bus129_15 : select_3_3 port map ( a(2)=>
      BC_State(80), a(1)=>rtlcn7439, a(0)=>rtlcn7440, b(2)=>
      Frame_length_reg_0xD(15), b(1)=>time_tag_EXMPLR1017(15), b(0)=>
      Data_o_temp(15), d=>BC_TX_Data_30n180ss1(15));
   not_rtlcs93 <= NOT rtlcs93 ;
   not_mode_command <= NOT mode_command ;
   not_BCR <= NOT BCR ;
   not_CPU_Data_in_wide_19 <= NOT CPU_Data_in_wide(19) ;
   not_rtlc26n7714 <= NOT rtlc26n7714 ;
   not_rtlc36n450 <= NOT rtlc36n450 ;
   not_rtlc64n6593 <= NOT rtlc64n6593 ;
   not_BC_on <= NOT BC_on_EXMPLR898 ;
   not_rtlc64n6578 <= NOT rtlc64n6578 ;
   not_rtlc36n408 <= NOT rtlc36n408 ;
   not_BC_Echo_word_10 <= NOT BC_Echo_word(10) ;
   not_Address_10 <= NOT Address(10) ;
   not_Monitor_bus_a <= NOT Monitor_bus_a ;
   not_rtlc64n6497 <= NOT rtlc64n6497 ;
   STM_ended_select_26i153 : select_3_3 port map ( a(2)=>rtlcn7885, a(1)=>
      rtlcn7886, a(0)=>rtlcn5957, b(2)=>debug_EXMPLR1018(15), b(1)=>PWR, 
      b(0)=>Ram_Address_26n25ss1(1), d=>STM_ended_26n27ss1);
   not_rtlcs94 <= NOT rtlcs94 ;
   not_Read <= NOT Read ;
   not_rtlc26n7624 <= NOT rtlc26n7624 ;
   not_rtlc26n7601 <= NOT rtlc26n7601 ;
   not_rtlc26n7648 <= NOT rtlc26n7648 ;
   not_rtlc26n7670 <= NOT rtlc26n7670 ;
   not_rtlc26n7692 <= NOT rtlc26n7692 ;
   Ram_Address_select_26i154 : select_4_4 port map ( a(3)=>not_rtlcn9832, 
      a(2)=>rtlcn5661, a(1)=>rtlcn5372, a(0)=>rtlcn8339, b(3)=>PWR, b(2)=>
      stack_pointer(8), b(1)=>Ram_Address_26n2s1(8), b(0)=>
      debug_EXMPLR1018(15), d=>Ram_Address_26n47ss1_8);
   time_tag_select_64i57Bus139_15 : select_3_3 port map ( a(2)=>rtlc64n5313, 
      a(1)=>rtlcn8365, a(0)=>not_rtlcn9833, b(2)=>Dummy_register_0x4(15), 
      b(1)=>debug_EXMPLR1018(15), b(0)=>time_tag_64n10s1(15), d=>
      time_tag_64n13ss1(15));
   time_tag_select_64i57Bus139_14 : select_3_3 port map ( a(2)=>rtlc64n5313, 
      a(1)=>rtlcn8365, a(0)=>not_rtlcn9833, b(2)=>Dummy_register_0x4(14), 
      b(1)=>debug_EXMPLR1018(15), b(0)=>time_tag_64n10s1(14), d=>
      time_tag_64n13ss1(14));
   time_tag_select_64i57Bus139_13 : select_3_3 port map ( a(2)=>rtlc64n5313, 
      a(1)=>rtlcn8365, a(0)=>not_rtlcn9833, b(2)=>Dummy_register_0x4(13), 
      b(1)=>debug_EXMPLR1018(15), b(0)=>time_tag_64n10s1(13), d=>
      time_tag_64n13ss1(13));
   time_tag_select_64i57Bus139_12 : select_3_3 port map ( a(2)=>rtlc64n5313, 
      a(1)=>rtlcn8365, a(0)=>not_rtlcn9833, b(2)=>Dummy_register_0x4(12), 
      b(1)=>debug_EXMPLR1018(15), b(0)=>time_tag_64n10s1(12), d=>
      time_tag_64n13ss1(12));
   time_tag_select_64i57Bus139_11 : select_3_3 port map ( a(2)=>rtlc64n5313, 
      a(1)=>rtlcn8365, a(0)=>not_rtlcn9833, b(2)=>Dummy_register_0x4(11), 
      b(1)=>debug_EXMPLR1018(15), b(0)=>time_tag_64n10s1(11), d=>
      time_tag_64n13ss1(11));
   time_tag_select_64i57Bus139_10 : select_3_3 port map ( a(2)=>rtlc64n5313, 
      a(1)=>rtlcn8365, a(0)=>not_rtlcn9833, b(2)=>Dummy_register_0x4(10), 
      b(1)=>debug_EXMPLR1018(15), b(0)=>time_tag_64n10s1(10), d=>
      time_tag_64n13ss1(10));
   time_tag_select_64i57Bus139_9 : select_3_3 port map ( a(2)=>rtlc64n5313, 
      a(1)=>rtlcn8365, a(0)=>not_rtlcn9833, b(2)=>Dummy_register_0x4(9), 
      b(1)=>debug_EXMPLR1018(15), b(0)=>time_tag_64n10s1(9), d=>
      time_tag_64n13ss1(9));
   time_tag_select_64i57Bus139_8 : select_3_3 port map ( a(2)=>rtlc64n5313, 
      a(1)=>rtlcn8365, a(0)=>not_rtlcn9833, b(2)=>Dummy_register_0x4(8), 
      b(1)=>debug_EXMPLR1018(15), b(0)=>time_tag_64n10s1(8), d=>
      time_tag_64n13ss1(8));
   time_tag_select_64i57Bus139_7 : select_3_3 port map ( a(2)=>rtlc64n5313, 
      a(1)=>rtlcn8365, a(0)=>not_rtlcn9833, b(2)=>Dummy_register_0x4(7), 
      b(1)=>debug_EXMPLR1018(15), b(0)=>time_tag_64n10s1(7), d=>
      time_tag_64n13ss1(7));
   time_tag_select_64i57Bus139_6 : select_3_3 port map ( a(2)=>rtlc64n5313, 
      a(1)=>rtlcn8365, a(0)=>not_rtlcn9833, b(2)=>Dummy_register_0x4(6), 
      b(1)=>debug_EXMPLR1018(15), b(0)=>time_tag_64n10s1(6), d=>
      time_tag_64n13ss1(6));
   time_tag_select_64i57Bus139_5 : select_3_3 port map ( a(2)=>rtlc64n5313, 
      a(1)=>rtlcn8365, a(0)=>not_rtlcn9833, b(2)=>Dummy_register_0x4(5), 
      b(1)=>debug_EXMPLR1018(15), b(0)=>time_tag_64n10s1(5), d=>
      time_tag_64n13ss1(5));
   time_tag_select_64i57Bus139_4 : select_3_3 port map ( a(2)=>rtlc64n5313, 
      a(1)=>rtlcn8365, a(0)=>not_rtlcn9833, b(2)=>Dummy_register_0x4(4), 
      b(1)=>debug_EXMPLR1018(15), b(0)=>time_tag_64n10s1(4), d=>
      time_tag_64n13ss1(4));
   time_tag_select_64i57Bus139_3 : select_3_3 port map ( a(2)=>rtlc64n5313, 
      a(1)=>rtlcn8365, a(0)=>not_rtlcn9833, b(2)=>Dummy_register_0x4(3), 
      b(1)=>debug_EXMPLR1018(15), b(0)=>time_tag_64n10s1(3), d=>
      time_tag_64n13ss1(3));
   time_tag_select_64i57Bus139_2 : select_3_3 port map ( a(2)=>rtlc64n5313, 
      a(1)=>rtlcn8365, a(0)=>not_rtlcn9833, b(2)=>Dummy_register_0x4(2), 
      b(1)=>debug_EXMPLR1018(15), b(0)=>time_tag_64n10s1(2), d=>
      time_tag_64n13ss1(2));
   time_tag_select_64i57Bus139_1 : select_3_3 port map ( a(2)=>rtlc64n5313, 
      a(1)=>rtlcn8365, a(0)=>not_rtlcn9833, b(2)=>Dummy_register_0x4(1), 
      b(1)=>debug_EXMPLR1018(15), b(0)=>time_tag_64n10s1(1), d=>
      time_tag_64n13ss1(1));
   time_tag_select_64i57Bus139_0 : select_3_3 port map ( a(2)=>rtlc64n5313, 
      a(1)=>rtlcn8365, a(0)=>not_rtlcn9833, b(2)=>Dummy_register_0x4(0), 
      b(1)=>debug_EXMPLR1018(15), b(0)=>time_tag_64n10s1(0), d=>
      time_tag_64n13ss1(0));
   not_MON_SOM_req <= NOT MON_SOM_req ;
   not_rtlc26n7736 <= NOT rtlc26n7736 ;
   not_rtlc64n5378 <= NOT rtlc64n5378 ;
   not_Record_enable <= NOT Record_enable ;
   Monitor_data_stack_rollover_mux_26i155 : mux_8u_8u port map ( a(7)=>
      Monitor_data_stack_rollover_26n104s7, a(6)=>
      Monitor_data_stack_rollover_26n104s6, a(5)=>
      Monitor_data_stack_rollover_26n104s5, a(4)=>
      Monitor_data_stack_rollover_26n104s4, a(3)=>
      Monitor_data_stack_rollover_26n104s3, a(2)=>
      Monitor_data_stack_rollover_26n104s2, a(1)=>
      Monitor_data_stack_rollover_26n104s1, a(0)=>
      Monitor_data_stack_rollover_26n104s7, b(7)=>debug_EXMPLR1018(15), b(6)
      =>debug_EXMPLR1018(15), b(5)=>debug_EXMPLR1018(15), b(4)=>
      debug_EXMPLR1018(15), b(3)=>debug_EXMPLR1018(15), b(2)=>
      Config_reg_3_10, b(1)=>Config_reg_3_9, b(0)=>Config_reg_3_8, d=>
      Monitor_data_stack_rollover_26n104ss1);
   Monitor_data_stack_half_pass_mux_26i156 : mux_8u_8u port map ( a(7)=>
      Monitor_data_stack_half_pass_26n104s7, a(6)=>
      Monitor_data_stack_half_pass_26n104s6, a(5)=>
      Monitor_data_stack_half_pass_26n104s5, a(4)=>
      Monitor_data_stack_half_pass_26n104s4, a(3)=>
      Monitor_data_stack_half_pass_26n104s3, a(2)=>
      Monitor_data_stack_half_pass_26n104s2, a(1)=>
      Monitor_data_stack_half_pass_26n104s1, a(0)=>
      Monitor_data_stack_half_pass_26n104s7, b(7)=>debug_EXMPLR1018(15), 
      b(6)=>debug_EXMPLR1018(15), b(5)=>debug_EXMPLR1018(15), b(4)=>
      debug_EXMPLR1018(15), b(3)=>debug_EXMPLR1018(15), b(2)=>
      Config_reg_3_10, b(1)=>Config_reg_3_9, b(0)=>Config_reg_3_8, d=>
      Monitor_data_stack_half_pass_26n104ss1);
   reg_data_out_wide_mux_79i27 : mux_16u_16u port map ( a(15)=>
      eBC_Q_pointer(1), a(14)=>Interrupt_mask_register_2(1), a(13)=>
      eBC_GP(1), a(12)=>eBC_Watchdog_enable, a(11)=>debug_EXMPLR1018(15), 
      a(10)=>Latched_TT(1), a(9)=>debug_EXMPLR1018(15), a(8)=>
      debug_EXMPLR1018(15), a(7)=>debug_EXMPLR1018(15), a(6)=>
      reg_data_out_wide_79n53ss1(1), a(5)=>BC_frame_GAP_counter(1), a(4)=>
      RT_Address_EXMPLR1015(0), a(3)=>MODE_CODE1553A_EXMPLR932, a(2)=>
      time_tag_EXMPLR1017(1), a(1)=>reg_data_out_wide_79n40ss1(1), a(0)=>
      Config_reg_1(1), b(15)=>debug_EXMPLR1018(15), b(14)=>
      debug_EXMPLR1018(15), b(13)=>debug_EXMPLR1018(15), b(12)=>
      debug_EXMPLR1018(15), b(11)=>debug_EXMPLR1018(15), b(10)=>
      debug_EXMPLR1018(15), b(9)=>debug_EXMPLR1018(15), b(8)=>
      debug_EXMPLR1018(15), b(7)=>debug_EXMPLR1018(15), b(6)=>
      debug_EXMPLR1018(15), b(5)=>debug_EXMPLR1018(15), b(4)=>
      debug_EXMPLR1018(15), b(3)=>CPU_Address(4), b(2)=>CPU_Address(3), b(1)
      =>CPU_Address(2), b(0)=>CPU_Address(1), d=>
      reg_data_out_wide_79n69ss1(1));
   reg_data_out_wide_mux_79i28 : mux_16u_16u port map ( a(15)=>
      eBC_Q_pointer(5), a(14)=>Interrupt_mask_register_2(5), a(13)=>
      eBC_GP(5), a(12)=>PrimeCheck, a(11)=>debug_EXMPLR1018(15), a(10)=>
      Latched_TT(5), a(9)=>debug_EXMPLR1018(15), a(8)=>debug_EXMPLR1018(15), 
      a(7)=>debug_EXMPLR1018(15), a(6)=>reg_data_out_wide_79n53ss1(5), a(5)
      =>BC_frame_GAP_counter(5), a(4)=>RT_Address_EXMPLR1015(4), a(3)=>
      Config_reg_3_5, a(2)=>time_tag_EXMPLR1017(5), a(1)=>
      reg_data_out_wide_79n40ss1(5), a(0)=>Config_reg_1(5), b(15)=>
      debug_EXMPLR1018(15), b(14)=>debug_EXMPLR1018(15), b(13)=>
      debug_EXMPLR1018(15), b(12)=>debug_EXMPLR1018(15), b(11)=>
      debug_EXMPLR1018(15), b(10)=>debug_EXMPLR1018(15), b(9)=>
      debug_EXMPLR1018(15), b(8)=>debug_EXMPLR1018(15), b(7)=>
      debug_EXMPLR1018(15), b(6)=>debug_EXMPLR1018(15), b(5)=>
      debug_EXMPLR1018(15), b(4)=>debug_EXMPLR1018(15), b(3)=>CPU_Address(4), 
      b(2)=>CPU_Address(3), b(1)=>CPU_Address(2), b(0)=>CPU_Address(1), d=>
      reg_data_out_wide_79n69ss1(5));
   reg_data_out_wide_mux_79i29 : mux_16u_16u port map ( a(15)=>
      eBC_Q_pointer(12), a(14)=>Interrupt_mask_register_2(12), a(13)=>
      BC_Sts_Word(12), a(12)=>debug_EXMPLR1018(15), a(11)=>
      debug_EXMPLR1018(15), a(10)=>Latched_TT(12), a(9)=>PWR, a(8)=>
      debug_EXMPLR1018(15), a(7)=>debug_EXMPLR1018(15), a(6)=>
      reg_data_out_wide_79n53ss1(12), a(5)=>BC_frame_GAP_counter(12), a(4)=>
      Config_reg_5(12), a(3)=>Config_reg_3_12, a(2)=>time_tag_EXMPLR1017(12), 
      a(1)=>reg_data_out_wide_79n40ss1(12), a(0)=>Config_reg_1(12), b(15)=>
      debug_EXMPLR1018(15), b(14)=>debug_EXMPLR1018(15), b(13)=>
      debug_EXMPLR1018(15), b(12)=>debug_EXMPLR1018(15), b(11)=>
      debug_EXMPLR1018(15), b(10)=>debug_EXMPLR1018(15), b(9)=>
      debug_EXMPLR1018(15), b(8)=>debug_EXMPLR1018(15), b(7)=>
      debug_EXMPLR1018(15), b(6)=>debug_EXMPLR1018(15), b(5)=>
      debug_EXMPLR1018(15), b(4)=>debug_EXMPLR1018(15), b(3)=>CPU_Address(4), 
      b(2)=>CPU_Address(3), b(1)=>CPU_Address(2), b(0)=>CPU_Address(1), d=>
      reg_data_out_wide_79n69ss1(12));
   not_Config_reg_3_12 <= NOT Config_reg_3_12 ;
   not_Config_reg_3_11 <= NOT Config_reg_3_11 ;
   rtlc26n9509 <= not_Config_reg_3_12 OR not_Config_reg_3_11 ;
   not_MON_EOM_phase_1 <= NOT MON_EOM_phase(1) ;
   not_MON_EOM_phase_0 <= NOT MON_EOM_phase(0) ;
   rtlc26n9753 <= not_MON_EOM_phase_1 OR not_MON_EOM_phase_0 ;
   not_MON_Phase_0 <= NOT MON_Phase(0) ;
   rtlc26n9884 <= MON_Phase(1) OR not_MON_Phase_0 ;
   rtlc26n9931 <= not_MON_Phase_1 OR MON_Phase(0) ;
   rtlc26n9934 <= not_MON_Phase_1 OR not_MON_Phase_0 ;
   rtlc26n9703 <= not_Phase_1 OR Phase(0) ;
   rtlc26n9863 <= rtlcs46 OR rtlcs49 ;
   rtlc26n9860 <= rtlcs45 OR rtlcs52 ;
   rtlc30n15787 <= Config_reg_3_14 OR Config_reg_3_13 ;
   not_Config_reg_5_9 <= NOT Config_reg_5(9) ;
   not_rtlcn8754 <= NOT rtlcn8754 ;
   rtlcn8756 <= BC_State(80) OR rtlc30n16072 ;
   not_rtlcn8756 <= NOT rtlcn8756 ;
   not_rtlc30n17307 <= NOT rtlc30n17307 ;
   not_rtlc64n5418 <= NOT rtlc64n5418 ;
   not_rtlcs228 <= NOT rtlcs228 ;
   not_CPU_Address_4 <= NOT CPU_Address(4) ;
   rtlc_13637_or_467 : or_4u_4u port map ( a(3)=>CPU_Address(1), a(2)=>
      CPU_Address(2), a(1)=>CPU_Address(3), a(0)=>not_CPU_Address_4, d=>
      rtlcn8762);
   not_rtlcn8762 <= NOT rtlcn8762 ;
   rtlcn2067 <= MON_SOM_phase(1) OR MON_SOM_phase(3) ;
   rtlcn8845 <= MON_SOM_phase(4) OR MON_SOM_phase(6) ;
   rtlcn2260 <= BC_State(82) OR BC_State(83) ;
   rtlc_13651_or_470 : or_4u_4u port map ( a(3)=>BC_State(5), a(2)=>
      BC_State(12), a(1)=>BC_State(30), a(0)=>BC_State(47), d=>rtlcn2281);
   not_rtlcn8763 <= NOT rtlcn8763 ;
   rtlcn2379 <= rtlcs216 OR rtlcn2399 ;
   rtlcn2387 <= rtlcs219 OR rtlcn2399 ;
   rtlcn2389 <= rtlcs217 OR rtlcn2399 ;
   rtlcn2406 <= rtlcs249 OR rtlcn2399 ;
   rtlcn8846 <= BC_State(12) OR BC_State(3) ;
   rtlcn2507 <= BC_State(25) OR BC_State(39) ;
   rtlc_13673_or_473 : or_5u_5u port map ( a(4)=>BC_State(8), a(3)=>
      BC_State(36), a(2)=>BC_State(74), a(1)=>BC_State(75), a(0)=>rtlcn8867, 
      d=>rtlcn2509);
   rtlcn2511 <= BC_State(26) OR BC_State(41) ;
   not_Ack <= NOT Ack ;
   rtlcn8934 <= not_Ack AND state(7) ;
   rtlcn2612 <= state(4) OR rtlcn8934 ;
   rtlcn2611 <= Ack AND state(7) ;
   rtlcn8793 <= Ext_Trigger_Dx OR rtlc91n385 ;
   not_rtlc91n421 <= NOT rtlc91n421 ;
   rtlcn8863 <= not_rtlc91n421 OR rtlcn8793 ;
   rtlcn8936 <= state(2) AND rtlcn8863 ;
   rtlcn2674 <= state(7) OR rtlcn8936 ;
   not_CE <= NOT CE ;
   rtlcn7545 <= not_CE OR not_rtlc64n6497 ;
   not_rtlcn2625 <= NOT rtlcn2625 ;
   rtlcn8942 <= not_rtlcn2625 AND rtlcn7545 ;
   rtlcn2746 <= rtlcn8942 OR not_rtlcn9819 ;
   rtlcn2747 <= rtlcn2625 AND rtlcn7545 ;
   not_eBC_start_FT <= NOT eBC_start_FT ;
   rtlcn2769 <= not_eBC_start_FT AND rtlc55n160 ;
   rtlcn8948 <= rtlc30n13649 AND BC_State(53) ;
   not_rtlc30n15172 <= NOT rtlc30n15172 ;
   rtlcn8950 <= BC_State(52) AND not_rtlc30n15172 ;
   rtlcn8887 <= rtlcn8948 OR rtlcn8950 ;
   rtlcn3043 <= not_rtlc30n15481 AND rtlcn8887 ;
   rtlcn3044 <= BC_State(54) AND not_rtlc30n15481 ;
   rtlcn8771 <= not_Ack AND not_rtlc30n15481 ;
   rtlcn8954 <= BC_State(12) AND rtlcn8771 ;
   rtlcn3281 <= rtlcn8954 OR rtlcn8955 ;
   rtlcn3282 <= not_rtlc30n15481 AND BC_State(20) ;
   rtlcn8958 <= rtlc30n12831 AND BC_State(18) ;
   rtlcn3286 <= BC_State(29) OR rtlcn8958 ;
   not_eBC_CFT_do <= NOT eBC_CFT_do ;
   not_eBC_CMT_do <= NOT eBC_CMT_do ;
   not_eBC_CMV_do <= NOT eBC_CMV_do ;
   rtlcn3917 <= not_CE OR not_rtlcn10428 ;
   rtlcn8811 <= CE AND not_eBC_CMV_do ;
   rtlcn8842 <= CE AND eBC_CMV_do ;
   rtlcn8844 <= eBC_CMT_do AND rtlcn8811 ;
   rtlcn8966 <= rtlcs348 AND rtlcn8764 ;
   rtlcn8967 <= rtlcs346 AND rtlcn8842 ;
   rtlcn8968 <= rtlcs347 AND rtlcn8844 ;
   not_rtlcs348 <= NOT rtlcs348 ;
   rtlcn8970 <= not_rtlcs348 AND rtlcn8764 ;
   not_rtlcs346 <= NOT rtlcs346 ;
   rtlcn8972 <= not_rtlcs346 AND rtlcn8842 ;
   not_rtlcs347 <= NOT rtlcs347 ;
   rtlcn8974 <= not_rtlcs347 AND rtlcn8844 ;
   rtlc_13749_and_479 : and_4u_4u port map ( a(3)=>eBC_GP_do, a(2)=>
      not_eBC_CFT_do, a(1)=>not_eBC_CMT_do, a(0)=>rtlcn8811, d=>rtlcn3916);
   rtlcn8976 <= rtlcn8764 AND not_rtlc64n7873 ;
   rtlcn8978 <= not_rtlc64n7195 AND rtlcn8842 ;
   rtlcn8980 <= not_rtlc64n7923 AND rtlcn8844 ;
   rtlcn8981 <= rtlcn8764 AND rtlc64n7873 ;
   rtlcn8982 <= rtlc64n7195 AND rtlcn8842 ;
   rtlcn8983 <= rtlc64n7923 AND rtlcn8844 ;
   rtlcn8800 <= BC_State(39) AND BC_Command_Sync ;
   rtlcn8984 <= rtlc30n13287 AND rtlcn8800 ;
   rtlcn8866 <= rtlcn8836 OR rtlcn8984 ;
   rtlc_13769_or_482 : or_11u_11u port map ( a(10)=>BC_State(0), a(9)=>
      BC_State(2), a(8)=>BC_State(4), a(7)=>BC_State(7), a(6)=>BC_State(14), 
      a(5)=>BC_State(20), a(4)=>BC_State(45), a(3)=>BC_State(47), a(2)=>
      BC_State(49), a(1)=>rtlcn8846, a(0)=>rtlcn8866, d=>rtlcn4142);
   rtlcn8790 <= BC_Command_Sync AND BC_State(43) ;
   rtlcn8828 <= BC_State(5) OR BC_State(6) ;
   rtlcn8848 <= BC_State(54) OR BC_State(48) ;
   not_rtlc30n13287 <= NOT rtlc30n13287 ;
   rtlcn8986 <= not_rtlc30n13287 AND rtlcn8800 ;
   rtlc_13775_or_483 : or_9u_9u port map ( a(8)=>BC_State(8), a(7)=>
      BC_State(9), a(6)=>BC_State(13), a(5)=>BC_State(30), a(4)=>
      BC_State(38), a(3)=>rtlcn8790, a(2)=>rtlcn8828, a(1)=>rtlcn8848, a(0)
      =>rtlcn8986, d=>rtlcn4143);
   rtlcn8888 <= BC_State(39) OR BC_State(43) ;
   not_BC_Command_Sync <= NOT BC_Command_Sync ;
   rtlcn4144 <= not_BC_Command_Sync AND rtlcn8888 ;
   rtlcn8825 <= MON_SOM_phase(2) AND not_Record_enable ;
   rtlc_13781_or_484 : or_4u_4u port map ( a(3)=>MON_SOM_phase(3), a(2)=>
      MON_SOM_phase(5), a(1)=>MON_SOM_phase(7), a(0)=>rtlcn8825, d=>
      rtlcn4171);
   not_MON_SOM_phase_2 <= NOT MON_SOM_phase(2) ;
   rtlcn8809 <= not_MON_SOM_phase_2 OR not_Record_enable ;
   not_rtlcn8809 <= NOT rtlcn8809 ;
   rtlcn4172 <= not_rtlcn8809 OR rtlcn8845 ;
   not_CPU_Data_in_wide_17 <= NOT CPU_Data_in_wide(17) ;
   rtlcn4275 <= not_CPU_Data_in_wide_17 AND CPU_Data_in_wide(22) ;
   rtlcn5940 <= mode_command AND SOM_phase_3 ;
   rtlcn5373 <= SOM_phase_1 OR rtlcn5940 ;
   rtlcn8993 <= SOM_phase_8 AND not_Ack ;
   rtlcn8849 <= SOM_phase_4 OR rtlcn8993 ;
   rtlcn8994 <= SOM_phase_0 AND rtlc26n9511 ;
   rtlcn8850 <= Do_illegal_EXMPLR931 OR rtlcn8994 ;
   rtlcn5374 <= rtlcn8849 OR rtlcn8850 ;
   rtlcn8773 <= Ack OR rtlcs94 ;
   rtlcn8824 <= EOM_phase(4) AND SOM_phase_0 ;
   rtlcn8876 <= SOM_phase_7 AND not_rtlcs93 ;
   rtlcn8996 <= rtlcn8773 AND rtlcn8824 ;
   rtlcn8775 <= rtlcn8876 OR rtlcn8996 ;
   rtlcn8840 <= EOM_phase(0) AND First_After_Reset ;
   rtlcn8885 <= SOM_phase_8 AND Ack ;
   rtlcn8997 <= SOM_phase_0 AND rtlcn8840 ;
   rtlcn8814 <= rtlcn8885 OR rtlcn8997 ;
   rtlcn8851 <= SOM_phase_5 OR SOM_phase_6 ;
   not_rtlcn8773 <= NOT rtlcn8773 ;
   rtlcn8880 <= EOM_phase(4) AND not_rtlcn8773 ;
   rtlcn8776 <= EOM_phase(2) OR rtlcn8880 ;
   rtlcn8765 <= SOM_phase_0 AND rtlcn8776 ;
   rtlcn9000 <= not_mode_command AND SOM_phase_3 ;
   not_First_After_Reset <= NOT First_After_Reset ;
   rtlcn5954 <= EOM_phase(0) AND not_First_After_Reset ;
   rtlcn5372 <= rtlcn5954 AND SOM_phase_0 ;
   not_New_command_record <= NOT New_command_record ;
   rtlcn8779 <= Ack OR not_New_command_record ;
   not_rtlcn8779 <= NOT rtlcn8779 ;
   rtlcn9005 <= MON_SOM_phase(7) AND not_rtlcn8779 ;
   rtlcn8777 <= SOM_phase_0 AND rtlcs95 ;
   rtlcn9008 <= rtlcs95 AND rtlcn8885 ;
   rtlcn9009 <= rtlc26n7768 AND rtlcs60 ;
   rtlcn9010 <= rtlcs95 AND rtlc26n9588 ;
   rtlcn9011 <= not_rtlc26n9513 AND rtlcn8777 ;
   rtlcn9012 <= EOM_phase(1) AND SOM_phase_0 ;
   rtlcn9013 <= rtlcs95 AND rtlcn5661 ;
   rtlcn5398 <= rtlcs59 OR rtlcn9013 ;
   rtlcn5394 <= EOM_phase(0) AND rtlcn8777 ;
   not_rtlc26n7768 <= NOT rtlc26n7768 ;
   rtlcn5396 <= not_rtlc26n7768 AND rtlcs60 ;
   rtlcn8839 <= MON_SOM_phase(7) AND rtlcn8779 ;
   rtlcn5405 <= rtlc26n9795 OR rtlcn8839 ;
   rtlcn5551 <= rtlc26n9771 OR rtlcn8839 ;
   not_Config_reg_2_0 <= NOT Config_reg_2(0) ;
   rtlcn8767 <= not_BCR OR not_Config_reg_2_0 ;
   not_Current_Area_B <= NOT Current_Area_B ;
   rtlcn8798 <= not_Current_Area_B OR rtlcn8767 ;
   rtlcn8812 <= SOM_phase_3 AND rtlcs95 ;
   rtlcn8813 <= SOM_phase_7 AND rtlcs95 ;
   not_rtlcn8798 <= NOT rtlcn8798 ;
   rtlcn5854 <= rtlcn8777 AND rtlcn8840 ;
   not_rtlcn8767 <= NOT rtlcn8767 ;
   rtlcn8778 <= rtlcn9000 OR rtlcn9028 ;
   rtlcn5710 <= rtlcn5854 OR rtlcn9029 ;
   rtlcn5798 <= rtlc26n7768 AND rtlc26n7773 ;
   not_rtlc26n7773 <= NOT rtlc26n7773 ;
   rtlcn5799 <= rtlc26n7768 AND not_rtlc26n7773 ;
   rtlcn8886 <= rtlcn5940 AND rtlcs95 ;
   rtlcn9033 <= not_mode_command AND rtlcn8812 ;
   rtlcn5813 <= rtlcn5854 OR rtlcn9033 ;
   rtlcn8878 <= rtlcs93 AND rtlcn8767 ;
   rtlcn8883 <= rtlcn8776 AND rtlcn8777 ;
   rtlcn9034 <= rtlcn8813 AND rtlcn8878 ;
   rtlcn9035 <= rtlcn8767 AND rtlcn8883 ;
   rtlcn5814 <= rtlcn9034 OR rtlcn9035 ;
   rtlcn5853 <= rtlcs95 AND rtlcn5376 ;
   rtlcn5897 <= rtlcn5854 OR rtlcn8886 ;
   rtlcn5908 <= MON_SOM_phase(3) OR not_rtlcn8809 ;
   rtlcn5910 <= rtlcn8825 OR rtlcn8839 ;
   rtlcn9036 <= EOM_phase(3) AND SOM_phase_0 ;
   rtlc_13898_and_492 : and_4u_4u port map ( a(3)=>not_Ack, a(2)=>
      not_rtlcs93, a(1)=>rtlcs94, a(0)=>rtlcn8824, d=>rtlcn9037);
   rtlc_13899_or_493 : or_4u_4u port map ( a(3)=>Do_illegal_EXMPLR931, a(2)
      =>rtlcn8876, a(1)=>rtlcn9036, a(0)=>rtlcn9037, d=>rtlcn5943);
   rtlcn9038 <= rtlcs93 AND rtlcs94 ;
   rtlcn8890 <= Ack OR rtlcn9038 ;
   rtlcn9039 <= rtlcn8824 AND rtlcn8890 ;
   rtlcn5945 <= rtlcn8814 OR rtlcn9039 ;
   rtlcn5957 <= rtlcs94 AND EOM_phase(4) ;
   rtlc_13909_or_495 : or_4u_4u port map ( a(3)=>SOM_phase_5, a(2)=>
      SOM_phase_8, a(1)=>rtlcn8997, a(0)=>rtlcn9042, d=>rtlcn5968);
   rtlcn9043 <= rtlc30n13420 AND rtlcn8790 ;
   rtlcn8815 <= BC_State(0) OR rtlcn9043 ;
   rtlc_13912_or_496 : or_12u_12u port map ( a(11)=>BC_State(4), a(10)=>
      BC_State(9), a(9)=>BC_State(13), a(8)=>BC_State(14), a(7)=>
      BC_State(20), a(6)=>BC_State(49), a(5)=>rtlcn8800, a(4)=>rtlcn8815, 
      a(3)=>rtlcn8828, a(2)=>rtlcn8836, a(1)=>rtlcn8846, a(0)=>rtlcn8848, d
      =>rtlcn5977);
   not_rtlc30n13420 <= NOT rtlc30n13420 ;
   rtlcn9045 <= not_rtlc30n13420 AND rtlcn8790 ;
   rtlcn8853 <= BC_State(45) OR rtlcn9045 ;
   rtlc_13916_or_497 : or_7u_7u port map ( a(6)=>BC_State(2), a(5)=>
      BC_State(7), a(4)=>BC_State(8), a(3)=>BC_State(30), a(2)=>BC_State(38), 
      a(1)=>BC_State(47), a(0)=>rtlcn8853, d=>rtlcn5978);
   rtlc_13917_or_498 : or_5u_5u port map ( a(4)=>BC_State(38), a(3)=>
      BC_State(47), a(2)=>rtlcn8800, a(1)=>rtlcn8815, a(0)=>rtlcn8836, d=>
      rtlcn5987);
   rtlcn6000 <= rtlcn8815 OR rtlcn8866 ;
   not_rtlcn7587 <= NOT rtlcn7587 ;
   rtlcn9051 <= rtlc64n5418 AND not_rtlcn7587 ;
   rtlcn6099 <= not_rtlcn9827 OR rtlcn9051 ;
   not_rtlc64n5549 <= NOT rtlc64n5549 ;
   rtlcn6117 <= rtlc64n5418 AND rtlcn7587 ;
   rtlcn8882 <= BC_State(13) AND rtlc30n14728 ;
   rtlcn9053 <= BC_State(13) AND Ack ;
   not_MON_SOM_phase_3 <= NOT MON_SOM_phase(3) ;
   rtlcn8816 <= not_MON_SOM_phase_3 OR not_Ack ;
   not_rtlc26n9931 <= NOT rtlc26n9931 ;
   not_rtlc26n9703 <= NOT rtlc26n9703 ;
   rtlcn9060 <= not_rtlc26n9703 AND rtlcn8816 ;
   rtlcn6642 <= not_rtlc26n9931 OR rtlcn9060 ;
   rtlcn9064 <= rtlc36n408 AND not_rtlc36n450 ;
   rtlcn8891 <= rtlc64n6593 OR rtlcn9064 ;
   rtlcn6998 <= not_BC_on AND rtlcn8891 ;
   not_WM_On <= NOT WM_On ;
   rtlcn7009 <= not_BC_on AND not_WM_On ;
   rtlcn7010 <= BC_on_EXMPLR898 AND not_WM_On ;
   rtlcn7025 <= MT_On_Async AND rtlc64n6591 ;
   not_rtlc64n6591 <= NOT rtlc64n6591 ;
   rtlcn7028 <= BC_on_EXMPLR898 AND not_rtlc64n6591 ;
   rtlcn9068 <= rtlcn7009 AND not_rtlc64n6591 ;
   rtlcn8817 <= not_CE OR rtlcn9068 ;
   rtlcn7035 <= rtlcn2625 AND rtlcn8817 ;
   rtlcn2155 <= BC_State(6) OR BC_State(13) ;
   rtlcn7042 <= rtlc30n16188 OR rtlcn9073 ;
   rtlcn7043 <= rtlc30n16190 OR rtlcn9074 ;
   rtlcn7102 <= BC_Echo_word(11) AND BC_State(73) ;
   rtlcn7044 <= BC_State(56) OR rtlcn7102 ;
   not_rtlc26n7891 <= NOT rtlc26n7891 ;
   rtlcn9077 <= rtlcs59 AND not_rtlc26n7891 ;
   rtlcn7051 <= rtlc26n9674 OR rtlcn9077 ;
   rtlcn8881 <= rtlcs59 AND rtlc26n7891 ;
   rtlcn9079 <= not_Address_10 AND rtlcn8881 ;
   rtlcn7052 <= rtlcs60 OR rtlcn9079 ;
   not_Phase_1 <= NOT Phase(1) ;
   not_rtlcs59 <= NOT rtlcs59 ;
   rtlcn9082 <= rtlc26n7891 AND Address(10) ;
   rtlcn8892 <= not_rtlcs59 OR rtlcn9082 ;
   rtlcn8077 <= not_rtlc26n9703 AND rtlcn8892 ;
   rtlcn9085 <= rtlc26n9797 AND rtlcs54 ;
   rtlcn7145 <= MON_SOM_phase(6) OR rtlcn9085 ;
   not_Data_Rollover <= NOT Data_Rollover ;
   rtlcn7154 <= EOM_phase(1) AND not_Data_Rollover ;
   rtlcn7155 <= Data_Rollover AND EOM_phase(1) ;
   rtlcn9087 <= BC_State(12) AND rtlcs143 ;
   rtlcn7170 <= BC_State(4) OR rtlcn9087 ;
   not_rtlcs143 <= NOT rtlcs143 ;
   rtlcn7169 <= BC_State(12) AND not_rtlcs143 ;
   not_Config_reg_3_14 <= NOT Config_reg_3_14 ;
   rtlcn9090 <= BC_State(12) AND not_Config_reg_3_14 ;
   rtlcn7189 <= BC_State(4) OR rtlcn9090 ;
   rtlcn7188 <= BC_State(12) AND Config_reg_3_14 ;
   rtlcn9091 <= EOM_phase(1) AND not_rtlc26n9590 ;
   rtlcn7195 <= SOM_phase_4 OR rtlcn9091 ;
   rtlcn9092 <= rtlc26n9531 AND not_rtlc26n9590 ;
   rtlcn7196 <= SOM_phase_8 OR rtlcn9092 ;
   not_rtlcs142 <= NOT rtlcs142 ;
   rtlcn9094 <= BC_State(12) AND not_rtlcs142 ;
   rtlcn7211 <= BC_State(4) OR rtlcn9094 ;
   rtlcn9095 <= not_rtlc30n13609 AND rtlc30n16289 ;
   rtlcn7272 <= rtlc30n16072 OR rtlcn9095 ;
   rtlcn7271 <= rtlc30n16289 AND rtlc30n13609 ;
   not_rtlc30n16072 <= NOT rtlc30n16072 ;
   not_BC_State_18 <= NOT BC_State(18) ;
   rtlcn7306 <= Address(10) AND rtlcn8881 ;
   not_rtlc26n9884 <= NOT rtlc26n9884 ;
   rtlcn8838 <= rtlc26n9797 AND rtlc26n9884 ;
   rtlcn9106 <= MON_SOM_phase(4) AND rtlc26n9884 ;
   rtlcn9107 <= SOM_phase_4 AND rtlcn8872 ;
   rtlcn7323 <= rtlcn9106 OR rtlcn9107 ;
   rtlcn9108 <= MON_SOM_phase(5) AND rtlc26n9884 ;
   rtlcn9109 <= SOM_phase_6 AND rtlcn8872 ;
   rtlcn7324 <= rtlcn9108 OR rtlcn9109 ;
   rtlcn7329 <= not_rtlc30n16184 OR rtlcn9074 ;
   not_BC_msg_pointer_2 <= NOT BC_msg_pointer(2) ;
   not_BC_msg_pointer_3 <= NOT BC_msg_pointer(3) ;
   rtlcn7357 <= not_BC_msg_pointer_2 AND BC_msg_pointer(3) ;
   rtlcn9115 <= BC_State(25) AND rtlc30n13033 ;
   rtlcn9116 <= BC_State(39) AND rtlc30n15055 ;
   rtlcn7439 <= rtlcn9115 OR rtlcn9116 ;
   not_rtlc30n13033 <= NOT rtlc30n13033 ;
   rtlcn9118 <= BC_State(25) AND not_rtlc30n13033 ;
   not_rtlc30n15055 <= NOT rtlc30n15055 ;
   rtlcn9120 <= BC_State(39) AND not_rtlc30n15055 ;
   rtlcn7440 <= rtlcn9118 OR rtlcn9120 ;
   rtlcn9123 <= EOM_phase(0) AND rtlc26n7231 ;
   not_rtlc26n7231 <= NOT rtlc26n7231 ;
   rtlcn9125 <= EOM_phase(0) AND not_rtlc26n7231 ;
   rtlcn7886 <= rtlcn9125 OR rtlcn9126 ;
   rtlcn9131 <= Current_Area_B AND rtlcn8778 ;
   rtlcn8895 <= SOM_phase_1 OR rtlcn9131 ;
   rtlcn9133 <= not_rtlcn8798 AND rtlcn8883 ;
   rtlcn9134 <= rtlcs95 AND rtlcn8895 ;
   rtlcn8329 <= rtlcn5372 AND rtlcs95 ;
   rtlcn8339 <= rtlcn9131 OR rtlcn9136 ;
   rtlcn5702 <= SOM_phase_7 AND rtlcn8878 ;
   rtlcn8870 <= rtlcn8765 AND rtlcn8767 ;
   rtlcn9142 <= Current_Area_B AND rtlcn8870 ;
   rtlcn8350 <= rtlcn9142 OR rtlcn9143 ;
   rtlcn9146 <= rtlcs95 AND rtlcn8870 ;
   not_rtlc64n5313 <= NOT rtlc64n5313 ;
   rtlcn8365 <= not_rtlc64n5313 AND rtlc64n5278 ;
   rtlc_14117_and_512 : and_5u_5u port map ( a(4)=>not_rtlc64n6593, a(3)=>
      not_rtlc36n408, a(2)=>not_rtlc36n450, a(1)=>rtlcn7009, a(0)=>
      not_rtlc64n6578, d=>rtlcn9153);
   rtlcn8784 <= not_CE OR rtlcn9153 ;
   not_rtlc64n6439 <= NOT rtlc64n6439 ;
   not_BC_Message_Active <= NOT BC_Message_Active ;
   not_rtlc30n13649 <= NOT rtlc30n13649 ;
   not_rtlc30n18647 <= NOT rtlc30n18647 ;
   not_rtlc30n16767 <= NOT rtlc30n16767 ;
   not_ResetN <= NOT ResetN_EXMPLR940 ;
   not_rtlc64n7200 <= NOT rtlc64n7200 ;
   not_Raw_resetN <= NOT Raw_resetN ;
   not_HW_ResetN <= NOT HW_ResetN ;
   rtlcn2043 <= Config_reg_3_12 OR Config_reg_3_11 ;
   rtlcn8843 <= WM_On AND state(3) ;
   rtlcn8877 <= not_Ack AND WM_On ;
   rtlcn9162 <= state(4) AND rtlcn8877 ;
   not_rtlc91n449 <= NOT rtlc91n449 ;
   not_WM_Ack <= NOT WM_Ack_EXMPLR941 ;
   rtlc_14158_and_515 : and_4u_4u port map ( a(3)=>not_rtlc91n449, a(2)=>
      WM_Req, a(1)=>not_WM_Ack, a(0)=>rtlcn8843, d=>rtlcn9165);
   rtlcn2624 <= rtlcn9162 OR rtlcn9165 ;
   rtlcn8832 <= rtlc91n421 OR rtlcn8793 ;
   rtlcn8884 <= state(2) AND WM_On ;
   not_rtlc91n567 <= NOT rtlc91n567 ;
   rtlcn9167 <= state(6) AND not_rtlc91n567 ;
   rtlcn8897 <= state(8) OR rtlcn9167 ;
   rtlcn9168 <= rtlcn8832 AND rtlcn8884 ;
   rtlcn9169 <= WM_On AND rtlcn8897 ;
   not_rtlc91n485 <= NOT rtlc91n485 ;
   not_rtlc91n458 <= NOT rtlc91n458 ;
   rtlcn2664 <= rtlc91n449 AND rtlcn8843 ;
   rtlcn9173 <= state(5) AND rtlcn8877 ;
   rtlcn2689 <= rtlcn9173 OR rtlcn9174 ;
   rtlcn9175 <= rtlcn2611 AND WM_On ;
   not_rtlcn8832 <= NOT rtlcn8832 ;
   rtlcn9177 <= not_rtlcn8832 AND rtlcn8884 ;
   rtlcn2704 <= rtlcn9175 OR rtlcn9177 ;
   rtlcn9178 <= state(7) AND rtlcn8877 ;
   rtlcn2715 <= rtlcn9178 OR rtlcn9179 ;
   not_BC_START <= NOT BC_START ;
   rtlcn9181 <= not_BC_START AND state(1) ;
   rtlcn8898 <= state(0) OR rtlcn9181 ;
   rtlcn2724 <= WM_On AND rtlcn8898 ;
   rtlcn2753 <= CPU_Data_in_wide(17) AND rtlcn2757 ;
   not_rtlc30n14479 <= NOT rtlc30n14479 ;
   rtlcn2782 <= rtlcn9182 OR rtlcn9184 ;
   not_rtlc30n12456 <= NOT rtlc30n12456 ;
   not_rtlc30n12997 <= NOT rtlc30n12997 ;
   rtlcn8899 <= rtlcn9186 OR rtlcn9188 ;
   rtlcn2801 <= not_rtlc30n15481 AND rtlcn8899 ;
   rtlcn8874 <= not_rtlc30n15481 AND BC_State(81) ;
   not_rtlc30n12411 <= NOT rtlc30n12411 ;
   rtlcn8873 <= BC_State(0) AND not_rtlc30n12411 ;
   rtlcn9190 <= rtlc30n12456 AND BC_State(1) ;
   rtlcn9191 <= BC_State(31) AND rtlc30n13136 ;
   rtlcn9192 <= BC_State(7) AND rtlc30n14518 ;
   not_rtlc30n12433 <= NOT rtlc30n12433 ;
   not_rtlc30n12420 <= NOT rtlc30n12420 ;
   rtlc_14209_or_525 : or_4u_4u port map ( a(3)=>rtlcn9190, a(2)=>rtlcn9191, 
      a(1)=>rtlcn9192, a(0)=>rtlcn9195, d=>rtlcn8900);
   rtlcn9196 <= rtlc30n14288 AND rtlcn8874 ;
   rtlcn9197 <= not_rtlc30n15481 AND rtlcn8900 ;
   rtlcn2846 <= rtlcn9196 OR rtlcn9197 ;
   rtlcn8772 <= Ack AND not_rtlc30n15481 ;
   rtlcn9198 <= rtlcn8772 AND rtlcn8828 ;
   not_rtlc30n14518 <= NOT rtlc30n14518 ;
   rtlcn9202 <= BC_State(5) AND rtlcn8771 ;
   rtlcn9203 <= BC_State(3) AND rtlcn8772 ;
   rtlcn2874 <= rtlcn9202 OR rtlcn9203 ;
   rtlcn9204 <= BC_State(3) AND rtlcn8771 ;
   rtlcn2885 <= rtlcn9204 OR rtlcn9206 ;
   rtlcn9207 <= BC_State(6) AND rtlcn8771 ;
   rtlcn9208 <= BC_State(4) AND rtlcn8772 ;
   rtlcn2900 <= rtlcn9207 OR rtlcn9208 ;
   rtlcn9209 <= BC_State(4) AND rtlcn8771 ;
   rtlcn9210 <= BC_State(30) AND rtlcn8772 ;
   rtlcn2911 <= rtlcn9209 OR rtlcn9210 ;
   rtlcn9211 <= BC_State(30) AND rtlcn8771 ;
   rtlcn2926 <= rtlcn9211 OR rtlcn9212 ;
   rtlcn9213 <= BC_State(59) AND rtlc30n15255 ;
   rtlcn9214 <= rtlc30n13911 AND BC_State(63) ;
   rtlcn9216 <= BC_State(32) AND not_eBC ;
   rtlcn9217 <= rtlc30n13228 AND BC_State(35) ;
   rtlcn9218 <= rtlc30n15192 AND BC_State(57) ;
   rtlcn9219 <= rtlc30n12420 AND rtlcn8873 ;
   not_rtlc30n13143 <= NOT rtlc30n13143 ;
   not_rtlc30n13136 <= NOT rtlc30n13136 ;
   rtlc_14245_or_532 : or_9u_9u port map ( a(8)=>rtlc30n15481, a(7)=>
      rtlc30n15921, a(6)=>rtlcn9213, a(5)=>rtlcn9214, a(4)=>rtlcn9216, a(3)
      =>rtlcn9217, a(2)=>rtlcn9218, a(1)=>rtlcn9219, a(0)=>rtlcn9222, d=>
      rtlcn8601);
   rtlcn8783 <= BC_State(32) AND eBC ;
   not_rtlc30n14908 <= NOT rtlc30n14908 ;
   rtlcn3029 <= not_rtlc30n14908 AND rtlcn8783 ;
   not_rtlc30n13228 <= NOT rtlc30n13228 ;
   rtlcn9225 <= not_rtlc30n13228 AND BC_State(35) ;
   rtlcn8901 <= BC_State(33) OR rtlcn9225 ;
   rtlcn9226 <= BC_State(58) AND rtlcn8772 ;
   rtlcn9227 <= not_rtlc30n15481 AND rtlcn8901 ;
   not_rtlc30n15003 <= NOT rtlc30n15003 ;
   rtlcn8821 <= BC_State(82) AND not_rtlc30n15481 ;
   rtlcn8788 <= NOT_BC_State_59 OR rtlc30n15255 ;
   not_BC_State_57 <= NOT BC_State(57) ;
   rtlcn8820 <= rtlc30n15192 OR not_BC_State_57 ;
   not_rtlcn8788 <= NOT rtlcn8788 ;
   not_rtlcn8820 <= NOT rtlcn8820 ;
   rtlc_14267_or_535 : or_8u_8u port map ( a(7)=>BC_State(61), a(6)=>
      BC_State(63), a(5)=>BC_State(64), a(4)=>BC_State(67), a(3)=>
      BC_State(70), a(2)=>BC_State(72), a(1)=>not_rtlcn8788, a(0)=>
      not_rtlcn8820, d=>rtlcn8904);
   not_BC_State_52 <= NOT BC_State(52) ;
   rtlcn8787 <= not_BC_State_52 OR rtlc30n15160 ;
   rtlcn9236 <= rtlc30n13186 AND BC_State(34) ;
   rtlcn9238 <= Ext_Trigger_Dx_0n0s4 AND BC_State(91) ;
   rtlcn9239 <= rtlc30n14005 AND BC_State(68) ;
   rtlcn9240 <= rtlc30n14253 AND BC_State(78) ;
   not_rtlcn8787 <= NOT rtlcn8787 ;
   rtlcn9242 <= rtlc30n15172 AND not_rtlcn8787 ;
   rtlc_14277_or_536 : or_7u_7u port map ( a(6)=>BC_State(60), a(5)=>
      rtlcn9236, a(4)=>rtlcn9237, a(3)=>rtlcn9238, a(2)=>rtlcn9239, a(1)=>
      rtlcn9240, a(0)=>rtlcn9242, d=>rtlcn8903);
   rtlc_14278_or_537 : or_6u_6u port map ( a(5)=>BC_State(56), a(4)=>
      BC_State(62), a(3)=>BC_State(73), a(2)=>BC_State(84), a(1)=>
      rtlc30n16346, a(0)=>rtlcn8867, d=>rtlcn8902);
   not_rtlc30n14347 <= NOT rtlc30n14347 ;
   rtlcn9244 <= not_rtlc30n14347 AND rtlcn8821 ;
   rtlcn9246 <= not_rtlc30n15481 AND rtlcn8903 ;
   rtlcn9247 <= rtlcn8772 AND rtlcn8902 ;
   rtlc_14284_or_538 : or_4u_4u port map ( a(3)=>rtlcn9244, a(2)=>rtlcn9245, 
      a(1)=>rtlcn9246, a(0)=>rtlcn9247, d=>rtlcn3021);
   rtlcn3033 <= not_rtlc30n15481 AND rtlcn3029 ;
   rtlcn8875 <= BC_State(42) AND not_rtlcn9834 ;
   not_BC_Read <= NOT BC_Read ;
   rtlcn8906 <= BC_State(44) OR BC_State(50) ;
   rtlcn9250 <= BC_State(41) AND not_rtlc30n15481 ;
   rtlcn9251 <= BC_Message_Active AND rtlcn8875 ;
   rtlcn8905 <= rtlcn9250 OR rtlcn9251 ;
   rtlcn9252 <= not_rtlcn9834 AND rtlcn8906 ;
   rtlcn9253 <= not_BC_Read AND rtlcn8905 ;
   rtlcn9255 <= BC_State(41) AND BC_Read ;
   rtlcn8907 <= BC_State(40) OR rtlcn9255 ;
   rtlcn3092 <= not_rtlc30n15481 AND rtlcn8907 ;
   rtlcn9256 <= BC_State(39) AND rtlcn8771 ;
   rtlcn9257 <= BC_Read AND rtlcn8875 ;
   rtlcn3111 <= rtlcn9256 OR rtlcn9257 ;
   rtlcn8841 <= not_rtlc30n15481 AND BC_Write ;
   rtlcn9258 <= BC_State(43) AND rtlcn8772 ;
   rtlcn9259 <= BC_State(44) AND rtlcn8841 ;
   rtlcn3122 <= rtlcn9258 OR rtlcn9259 ;
   rtlcn9260 <= BC_State(43) AND rtlcn8771 ;
   rtlcn3133 <= rtlcn9260 OR rtlcn9261 ;
   rtlcn9262 <= BC_State(48) AND rtlcn8772 ;
   rtlcn3144 <= rtlcn9262 OR rtlcn9264 ;
   rtlcn9265 <= BC_State(48) AND rtlcn8771 ;
   rtlcn9266 <= BC_State(49) AND rtlcn8772 ;
   rtlcn3155 <= rtlcn9265 OR rtlcn9266 ;
   rtlcn9267 <= BC_State(49) AND rtlcn8771 ;
   rtlcn9268 <= BC_State(38) AND rtlcn8772 ;
   rtlcn3166 <= rtlcn9267 OR rtlcn9268 ;
   rtlcn9269 <= BC_State(38) AND rtlcn8771 ;
   rtlcn9270 <= BC_State(47) AND rtlcn8772 ;
   rtlcn3177 <= rtlcn9269 OR rtlcn9270 ;
   rtlcn9271 <= BC_State(47) AND rtlcn8771 ;
   rtlcn9272 <= BC_State(37) AND rtlcn8772 ;
   rtlcn3188 <= rtlcn9271 OR rtlcn9272 ;
   rtlcn9273 <= BC_State(37) AND rtlcn8771 ;
   rtlcn9274 <= BC_State(36) AND rtlcn8772 ;
   rtlcn3199 <= rtlcn9273 OR rtlcn9274 ;
   not_rtlc30n13186 <= NOT rtlc30n13186 ;
   rtlcn9276 <= not_rtlc30n13186 AND BC_State(34) ;
   rtlcn8908 <= BC_State(51) OR rtlcn9276 ;
   rtlcn9277 <= BC_State(36) AND rtlcn8771 ;
   rtlcn9278 <= not_rtlc30n15481 AND rtlcn8908 ;
   rtlcn3210 <= rtlcn9277 OR rtlcn9278 ;
   rtlcn9279 <= BC_State(10) AND rtlcn8771 ;
   rtlcn9280 <= BC_State(9) AND rtlcn8772 ;
   rtlcn3229 <= rtlcn9279 OR rtlcn9280 ;
   not_BC_State_8 <= NOT BC_State(8) ;
   rtlcn8780 <= not_BC_State_8 OR rtlc30n14550 ;
   rtlcn9282 <= BC_State(9) AND rtlcn8771 ;
   not_rtlc30n14572 <= NOT rtlc30n14572 ;
   not_rtlcn8780 <= NOT rtlcn8780 ;
   rtlcn3248 <= rtlcn9282 OR rtlcn9285 ;
   rtlcn3271 <= rtlcn9286 OR rtlcn9287 ;
   rtlcn8826 <= not_rtlc30n15481 AND BC_State(11) ;
   not_rtlc30n12606 <= NOT rtlc30n12606 ;
   rtlcn3293 <= not_rtlc30n12606 AND rtlcn8826 ;
   rtlcn8910 <= BC_State(17) OR BC_State(28) ;
   rtlcn8879 <= BC_Message_Active AND rtlcn3293 ;
   rtlcn9289 <= BC_State(26) AND not_rtlc30n15481 ;
   not_rtlc30n13385 <= NOT rtlc30n13385 ;
   rtlcn9291 <= not_rtlc30n13385 AND rtlcn8879 ;
   rtlcn8909 <= rtlcn9289 OR rtlcn9291 ;
   rtlcn9292 <= not_rtlcn9834 AND rtlcn8910 ;
   rtlcn9293 <= not_BC_Read AND rtlcn8909 ;
   rtlcn9295 <= BC_State(17) AND rtlcn8841 ;
   rtlcn3343 <= rtlcn9295 OR rtlcn9296 ;
   rtlcn3360 <= BC_Read AND rtlcn8879 ;
   not_rtlc30n12831 <= NOT rtlc30n12831 ;
   rtlcn3375 <= rtlcn9297 OR rtlcn9299 ;
   rtlcn9300 <= rtlc30n12606 AND rtlcn8826 ;
   rtlcn3390 <= rtlcn9300 OR rtlcn9301 ;
   rtlcn9302 <= BC_State(25) AND rtlcn8772 ;
   rtlcn3401 <= rtlcn9302 OR rtlcn9303 ;
   rtlcn9304 <= BC_State(15) AND not_rtlc30n15481 ;
   rtlcn9305 <= BC_State(25) AND rtlcn8771 ;
   rtlcn3410 <= rtlcn9304 OR rtlcn9305 ;
   rtlcn9306 <= BC_State(14) AND rtlcn8772 ;
   rtlcn3421 <= rtlcn9306 OR rtlcn9307 ;
   rtlcn9308 <= BC_State(14) AND rtlcn8771 ;
   rtlcn9309 <= BC_State(10) AND rtlcn8772 ;
   rtlcn3432 <= rtlcn9308 OR rtlcn9309 ;
   rtlcn9310 <= BC_State(19) AND rtlcn8772 ;
   rtlcn9311 <= BC_State(28) AND rtlcn8841 ;
   rtlcn3443 <= rtlcn9310 OR rtlcn9311 ;
   rtlcn9312 <= BC_State(19) AND rtlcn8771 ;
   not_BC_First_write <= NOT BC_First_write ;
   rtlcn3454 <= rtlcn9312 OR rtlcn9314 ;
   not_rtlc30n14288 <= NOT rtlc30n14288 ;
   rtlcn8911 <= BC_State(80) OR rtlcn9316 ;
   rtlcn9317 <= not_rtlc30n15481 AND rtlcn8911 ;
   not_Clear_Test_Status_reg <= NOT Clear_Test_Status_reg ;
   rtlcn3489 <= rtlcn9317 OR rtlcn9319 ;
   rtlcn3501 <= not_CE OR not_rtlc64n5947 ;
   rtlcn9321 <= BC_State(12) AND rtlcn8772 ;
   not_rtlc30n14728 <= NOT rtlc30n14728 ;
   rtlcn3522 <= rtlcn9321 OR rtlcn9323 ;
   rtlcn3532 <= not_CE OR not_rtlc64n5932 ;
   rtlcn3538 <= rtlcn8882 OR rtlcn9217 ;
   not_BC_State_24 <= NOT BC_State(24) ;
   rtlcn8831 <= not_BC_State_24 OR not_rtlcn9835 ;
   rtlc_14418_and_559 : and_4u_4u port map ( a(3)=>not_rtlc30n15481, a(2)=>
      rtlc30n15899, a(1)=>rtlcn8780, a(0)=>rtlcn8831, d=>rtlcn3553);
   rtlcn3564 <= Ack AND BC_State(71) ;
   rtlcn8792 <= not_rtlc30n15481 AND YES ;
   rtlcn9330 <= BC_State(71) AND rtlcn8771 ;
   rtlcn9331 <= BC_State(70) AND rtlcn8792 ;
   rtlcn3576 <= rtlcn9330 OR rtlcn9331 ;
   rtlcn9332 <= BC_State(62) AND rtlcn8771 ;
   rtlcn9333 <= BC_State(61) AND rtlcn8792 ;
   rtlcn3601 <= rtlcn9332 OR rtlcn9333 ;
   not_rtlc30n15353 <= NOT rtlc30n15353 ;
   not_rtlc30n14098 <= NOT rtlc30n14098 ;
   rtlcn3625 <= rtlcn9335 OR rtlcn9337 ;
   rtlcn9338 <= BC_State(75) AND rtlcn8771 ;
   rtlcn3653 <= rtlcn9338 OR rtlcn9339 ;
   rtlcn9340 <= not_rtlc30n15481 AND BC_State(69) ;
   rtlcn9341 <= BC_State(79) AND rtlcn8771 ;
   rtlcn3662 <= rtlcn9340 OR rtlcn9341 ;
   rtlcn9342 <= BC_State(88) AND rtlcn8771 ;
   rtlcn9343 <= rtlcs101 AND rtlcn8821 ;
   rtlcn3689 <= rtlcn9342 OR rtlcn9343 ;
   rtlcn3705 <= rtlc30_PS698_n14994 AND rtlcn3033 ;
   rtlcn3709 <= not_rtlc30n15481 AND BC_State(89) ;
   rtlcn3721 <= not_rtlcn8788 AND rtlcn8792 ;
   rtlcn9344 <= BC_State(86) AND rtlcn8771 ;
   rtlcn9345 <= rtlcs107 AND rtlcn8821 ;
   rtlcn3743 <= rtlcn9344 OR rtlcn9345 ;
   rtlcn9346 <= BC_State(58) AND rtlcn8771 ;
   rtlcn9347 <= rtlcn8792 AND not_rtlcn8820 ;
   rtlcn3758 <= rtlcn9346 OR rtlcn9347 ;
   rtlcn9348 <= BC_State(87) AND rtlcn8771 ;
   rtlcn9349 <= rtlcs98 AND rtlcn8821 ;
   rtlcn3822 <= rtlcn9348 OR rtlcn9349 ;
   rtlcn9350 <= BC_State(83) AND rtlcn8771 ;
   rtlcn9351 <= rtlcs103 AND rtlcn8821 ;
   rtlcn3834 <= rtlcn9350 OR rtlcn9351 ;
   rtlcn3842 <= CE AND eBC_GP_do ;
   rtlcn3845 <= Ack AND BC_State(62) ;
   rtlcn9352 <= BC_State(65) AND rtlcn8771 ;
   rtlcn9353 <= BC_State(64) AND rtlcn8792 ;
   rtlcn3946 <= rtlcn9352 OR rtlcn9353 ;
   rtlcn9354 <= BC_State(45) AND rtlcn8772 ;
   rtlcn9355 <= BC_State(50) AND rtlcn8841 ;
   rtlcn3986 <= rtlcn9354 OR rtlcn9355 ;
   rtlcn9356 <= BC_State(45) AND rtlcn8771 ;
   not_rtlc30n13376 <= NOT rtlc30n13376 ;
   rtlc_14475_and_565 : and_4u_4u port map ( a(3)=>not_rtlc30n15481, a(2)=>
      BC_State(42), a(1)=>not_rtlc30n13376, a(0)=>rtlc30n13385, d=>rtlcn9358
   );
   rtlcn4001 <= rtlcn9356 OR rtlcn9358 ;
   rtlcn8862 <= rtlcn8771 OR not_rtlcn9836 ;
   rtlcn9362 <= BC_State(67) AND rtlcn8792 ;
   not_rtlc30n14005 <= NOT rtlc30n14005 ;
   rtlcn4027 <= rtlcn9362 OR rtlcn9364 ;
   rtlcn9365 <= BC_State(72) AND rtlc30n14098 ;
   rtlcn9366 <= BC_State(74) AND rtlc30n15353 ;
   rtlcn8912 <= rtlcn9365 OR rtlcn9366 ;
   rtlcn9367 <= BC_State(73) AND rtlcn8771 ;
   rtlcn9368 <= BC_State(75) AND rtlcn8772 ;
   rtlcn9369 <= not_rtlc30n15481 AND rtlcn8912 ;
   not_rtlc30n14253 <= NOT rtlc30n14253 ;
   rtlcn9371 <= not_rtlc30n14253 AND BC_State(78) ;
   rtlcn8913 <= BC_State(66) OR rtlcn9371 ;
   rtlcn4051 <= not_rtlc30n15481 AND rtlcn8913 ;
   rtlcn9372 <= not_rtlc30n15481 AND BC_State(85) ;
   rtlcn9373 <= BC_State(84) AND rtlcn8771 ;
   rtlcn4064 <= rtlcn9372 OR rtlcn9373 ;
   not_Ext_Trigger_Dx_0n0s4 <= NOT Ext_Trigger_Dx_0n0s4 ;
   not_rtlc30n13911 <= NOT rtlc30n13911 ;
   rtlcn4084 <= rtlcn9375 OR rtlcn9377 ;
   not_rtlc30n15170 <= NOT rtlc30n15170 ;
   rtlcn9379 <= not_rtlc30n15170 AND BC_State(23) ;
   rtlcn8914 <= BC_State(22) OR rtlcn9379 ;
   rtlcn9380 <= not_rtlc30n15481 AND rtlcn8914 ;
   rtlcn4127 <= rtlcn9380 OR rtlcn9381 ;
   not_rtlc91n662 <= NOT rtlc91n662 ;
   rtlcn4130 <= WM_On AND not_rtlc91n662 ;
   rtlcn4145 <= CE AND eBC_Inc_Q_pointer ;
   rtlcn4173 <= not_rtlc26n7768 AND rtlc26n8589 ;
   not_Arbiter_timeout <= NOT Arbiter_timeout ;
   not_rtlc36n760 <= NOT rtlc36n760 ;
   rtlcn4204 <= arbiter AND not_rtlc36n760 ;
   rtlcn4230 <= not_arbiter AND WRD_req ;
   not_rtlcn4239 <= NOT rtlcn4239 ;
   rtlcn8785 <= EOM_req OR WRD_req ;
   rtlcn8789 <= arbiter OR rtlcn8785 ;
   not_rtlcn8789 <= NOT rtlcn8789 ;
   rtlcn4251 <= SOM_req AND not_rtlcn8789 ;
   not_rtlcn4251 <= NOT rtlcn4251 ;
   rtlcn8803 <= MON_WR_req OR SOM_req ;
   not_rtlcn8803 <= NOT rtlcn8803 ;
   not_rtlcn4301 <= NOT rtlcn4301 ;
   rtlcn8833 <= MON_EOM_req OR rtlcn8803 ;
   rtlcn8619 <= rtlc26_PS488_n8476 OR rtlc26n9931 ;
   rtlcn4436 <= not_Arbiter_timeout AND not_rtlcn8809 ;
   rtlcn4440 <= MON_SOM_phase(1) AND not_Arbiter_timeout ;
   rtlcn4443 <= MON_SOM_phase(0) AND not_Arbiter_timeout ;
   rtlcn4457 <= MON_SOM_phase(6) AND not_Arbiter_timeout ;
   rtlcn4461 <= MON_SOM_phase(5) AND not_Arbiter_timeout ;
   rtlcn4465 <= MON_SOM_phase(4) AND not_Arbiter_timeout ;
   rtlcn4469 <= MON_SOM_phase(3) AND not_Arbiter_timeout ;
   rtlcn4492 <= not_MON_SOM_phase_2 AND Record_enable ;
   rtlcn8620 <= rtlc26n9931 OR rtlc26n9860 ;
   rtlcn8621 <= rtlc26n9931 OR rtlc26n9862 ;
   rtlcn4508 <= rtlc26n9931 OR not_rtlc26n9863 ;
   rtlcn4510 <= not_rtlc26n9931 AND rtlc26n9865 ;
   rtlcn4514 <= not_rtlc26n9931 AND rtlcs50 ;
   rtlcn4543 <= SOM_phase_0 AND not_Arbiter_timeout ;
   rtlcn8613 <= Arbiter_timeout OR SOM_phase_8 ;
   rtlcn4552 <= SOM_phase_7 AND not_Arbiter_timeout ;
   rtlcn4556 <= SOM_phase_6 AND not_Arbiter_timeout ;
   rtlcn4560 <= SOM_phase_5 AND not_Arbiter_timeout ;
   rtlcn4564 <= SOM_phase_4 AND not_Arbiter_timeout ;
   rtlcn4568 <= SOM_phase_3 AND not_Arbiter_timeout ;
   rtlcn4572 <= Do_illegal_EXMPLR931 AND not_Arbiter_timeout ;
   rtlcn4576 <= SOM_phase_1 AND not_Arbiter_timeout ;
   rtlcn9397 <= EOM_phase(0) AND illegal_message_EXMPLR954 ;
   rtlcn4601 <= EOM_phase(3) AND not_Arbiter_timeout ;
   rtlcn4605 <= EOM_phase(2) AND not_Arbiter_timeout ;
   rtlcn4609 <= EOM_phase(1) AND not_Arbiter_timeout ;
   rtlcn5158 <= not_rtlc26n9703 AND not_rtlc26n7601 ;
   rtlcn8796 <= rtlc26n7601 OR rtlc26n7624 ;
   rtlcn8865 <= rtlc26n9703 OR rtlcn8796 ;
   not_rtlcn8865 <= NOT rtlcn8865 ;
   rtlcn5218 <= not_rtlc26n7648 AND not_rtlcn8865 ;
   rtlc_14600_or_581 : or_5u_5u port map ( a(4)=>rtlcn8837, a(3)=>rtlcs62, 
      a(2)=>rtlcs75, a(1)=>rtlcs78, a(0)=>rtlcs91, d=>rtlcn8636);
   rtlcn5509 <= Ack AND Do_illegal_EXMPLR931 ;
   rtlcn8915 <= rtlc30n14572 OR rtlc30n14550 ;
   rtlcn5615 <= BC_State(8) AND rtlcn8915 ;
   rtlcn6040 <= rtlc64n6439 AND rtlcs262 ;
   not_rtlc64n6421 <= NOT rtlc64n6421 ;
   rtlcn6044 <= not_rtlc64n6421 AND Read_from_int_vec ;
   not_rtlc26n8275 <= NOT rtlc26n8275 ;
   rtlcn6066 <= rtlcs55 AND not_rtlc26n8275 ;
   rtlcn6104 <= rtlc64n6439 AND rtlc64n5533 ;
   rtlcn6150 <= rtlcn9406 OR rtlcn9407 ;
   rtlcn6338 <= CPU_Data_in_wide(20) AND rtlcn2757 ;
   rtlcn6644 <= rtlc64n6439 AND rtlcs238 ;
   Test_Status_reg_88n7ss1(0) <= Do_RAM_test AND rtlcs302 ;
   rtlcn6651 <= BC_msg_pointer(0) AND eBC_IRQ_do ;
   rtlcn8649 <= rtlcn6651 OR BIT_Test_complete ;
   not_rtlc64n6454 <= NOT rtlc64n6454 ;
   rtlcn6663 <= not_rtlc64n6454 AND Read_from_int_vec2 ;
   rtlcn6705 <= eBC_IRQ_do AND BC_msg_pointer(1) ;
   rtlcn6730 <= eBC_IRQ_do AND BC_msg_pointer(2) ;
   rtlcn6755 <= eBC_IRQ_do AND BC_msg_pointer(3) ;
   not_Config_reg_2_3 <= NOT Config_reg_2(3) ;
   rtlcn9415 <= not_Config_reg_2_3 AND rtlc33n526 ;
   rtlcn6958 <= not_rtlcn9843 OR rtlcn9415 ;
   not_rtlc91n836 <= NOT rtlc91n836 ;
   rtlcn7011 <= WM_On AND not_rtlc91n836 ;
   not_rtlc33n684 <= NOT rtlc33n684 ;
   rtlc_14642_or_584 : or_6u_6u port map ( a(5)=>Config_reg_2(3), a(4)=>
      rtlc33n464, a(3)=>rtlc33n472, a(2)=>rtlc33n518, a(1)=>not_rtlc33n684, 
      a(0)=>rtlcs149, d=>rtlcn8653);
   rtlcn7365 <= not_Ack AND rtlc30n18654 ;
   not_rtlc26n9795 <= NOT rtlc26n9795 ;
   rtlcn8774 <= not_rtlc26n9795 OR rtlcn8825 ;
   not_rtlcs60 <= NOT rtlcs60 ;
   rtlcn8782 <= not_rtlcs60 OR not_Read ;
   not_rtlc26n9588 <= NOT rtlc26n9588 ;
   rtlcn9422 <= SOM_phase_7 AND rtlc26n7516 ;
   rtlcn9423 <= SOM_phase_1 AND Config_reg_3_7 ;
   rtlcn7402 <= rtlcn9833 OR rtlc64n5307 ;
   rtlcn7410 <= not_Ack AND rtlc30n18656 ;
   rtlcn9426 <= not_rtlc26n9884 AND rtlc26n8349 ;
   not_rtlc26n9797 <= NOT rtlc26n9797 ;
   rtlcn7424 <= rtlcn9426 OR rtlcn9428 ;
   rtlcn7540 <= CE AND rtlc64n6532 ;
   rtlcn7560 <= CPU_Data_in_wide(18) AND rtlcn2757 ;
   rtlc_14674_and_587 : and_4u_4u port map ( a(3)=>not_rtlc30n15481, a(2)=>
      BC_State(31), a(1)=>rtlc30n13143, a(0)=>not_rtlc30n13136, d=>rtlcn8187
   );
   not_state_3 <= NOT state(3) ;
   rtlcn8220 <= not_arbiter AND rtlcn8916 ;
   rtlcn8830 <= Ack OR not_Record_enable ;
   rtlcn8917 <= rtlcs58 OR rtlcn8830 ;
   rtlcn9433 <= rtlcs58 AND rtlc26n9753 ;
   not_rtlc26n9753 <= NOT rtlc26n9753 ;
   rtlcn9438 <= not_rtlc26n9753 AND rtlcn8917 ;
   not_rtlcn8833 <= NOT rtlcn8833 ;
   rtlcn8805 <= rtlc26n7648 OR rtlc26n7670 ;
   not_rtlcn8796 <= NOT rtlcn8796 ;
   rtlcn8238 <= rtlc26n9703 OR not_rtlcn9845 ;
   not_rtlcn5158 <= NOT rtlcn5158 ;
   rtlcn8294 <= not_rtlcn5158 OR not_rtlcn9844 ;
   rtlcn8301 <= rtlcn8834 AND not_rtlcn8865 ;
   rtlcn8309 <= rtlcn5218 AND rtlcn8918 ;
   not_rtlcn8799 <= NOT rtlcn8799 ;
   rtlcn8322 <= rtlcn8637 OR not_rtlcn9846 ;
   rtlc_14714_or_594 : or_4u_4u port map ( a(3)=>not_rtlc26n7736, a(2)=>
      rtlcn8868, a(1)=>rtlcs63, a(0)=>rtlcs79, d=>rtlcn8326);
   rtlcn8858 <= not_rtlc64n5418 OR CPU_Data_in_wide(19) ;
   rtlcn9451 <= CPU_Data_in_wide(19) AND rtlcn2757 ;
   rtlcn9454 <= rtlc26n7648 AND rtlc26n7654 ;
   not_rtlcn8805 <= NOT rtlcn8805 ;
   rtlcn9458 <= rtlc26n7601 AND rtlc26n7606 ;
   rtlcn9459 <= not_rtlcn8796 AND rtlcn8920 ;
   rtlc_14731_or_601 : or_4u_4u port map ( a(3)=>rtlc26n9703, a(2)=>
      rtlcn9458, a(1)=>rtlcn9459, a(0)=>rtlcn9460, d=>rtlcn8766);
   not_rtlc26n7720 <= NOT rtlc26n7720 ;
   rtlcn9462 <= rtlc26n7714 AND not_rtlc26n7720 ;
   not_rtlc26n7742 <= NOT rtlc26n7742 ;
   rtlcn8786 <= rtlcn9462 OR rtlcn9465 ;
   not_rtlcn8766 <= NOT rtlcn8766 ;
   rtlcn9467 <= rtlcn8637 AND not_rtlcn8766 ;
   not_rtlcs77 <= NOT rtlcs77 ;
   not_rtlcs61 <= NOT rtlcs61 ;
   not_rtlcn8868 <= NOT rtlcn8868 ;
   rtlc_14743_and_603 : and_4u_4u port map ( a(3)=>not_rtlcs77, a(2)=>
      not_rtlcs61, a(1)=>rtlcn8786, a(0)=>not_rtlcn8868, d=>rtlcn9471);
   rtlcn8426 <= rtlcn9467 OR rtlcn9471 ;
   not_rtlcn8863 <= NOT rtlcn8863 ;
   rtlcn9473 <= not_rtlcn8863 AND rtlcn8884 ;
   not_rtlcn8782 <= NOT rtlcn8782 ;
   not_Write <= NOT Write ;
   rtlcn9479 <= rtlcs60 AND not_Write ;
   rtlcn9480 <= EOM_phase(4) AND not_rtlcs93 ;
   rtlcn9481 <= EOM_phase(2) AND rtlc26n7271 ;
   rtlc_14761_or_608 : or_4u_4u port map ( a(3)=>rtlc26n9511, a(2)=>
      rtlc26n9590, a(1)=>rtlcn9480, a(0)=>rtlcn9481, d=>rtlcn8923);
   not_rtlc26n7271 <= NOT rtlc26n7271 ;
   rtlcn9483 <= EOM_phase(2) AND not_rtlc26n7271 ;
   not_rtlc26n9590 <= NOT rtlc26n9590 ;
   not_rtlcs96 <= NOT rtlcs96 ;
   not_rtlc26n6798 <= NOT rtlc26n6798 ;
   rtlc_14770_and_610 : and_5u_5u port map ( a(4)=>not_First_After_Reset, 
      a(3)=>not_rtlc26n9590, a(2)=>not_rtlcs96, a(1)=>not_rtlc26n6798, a(0)
      =>rtlcn8810, d=>rtlcn9488);
   rtlcn8922 <= rtlcn8880 OR rtlcn9488 ;
   rtlcn8921 <= rtlcn8881 OR rtlcn9489 ;
   rtlcn9491 <= rtlcn8770 AND rtlcn8922 ;
   rtlcn9492 <= not_Ack AND rtlcn8921 ;
   rtlcn9493 <= BC_State(2) AND rtlc30n14479 ;
   rtlcn8797 <= rtlcn8882 OR rtlcn9493 ;
   rtlcn9494 <= rtlc30n14572 AND not_rtlcn8780 ;
   rtlcn9497 <= BC_State(0) AND rtlc30n12411 ;
   rtlcn8859 <= rtlcn9497 OR rtlcn9498 ;
   rtlcn8924 <= rtlcn8529 OR rtlcn8859 ;
   rtlcn8524 <= not_rtlc30n15481 AND rtlcn8924 ;
   not_rtlcn8830 <= NOT rtlcn8830 ;
   rtlcn9501 <= rtlcn8507 AND rtlc26n8275 ;
   rtlcn8550 <= not_rtlcn8830 OR rtlcn9501 ;
   rtlcn3733 <= rtlcs112 AND rtlcn3029 ;
   rtlc_14871_and_619 : and_7u_7u port map ( a(6)=>BC_Num_Msgs_30n12s1(9), 
      a(5)=>Data_o_temp(11), a(4)=>not_Data_o_temp_12, a(3)=>Data_o_temp(13), 
      a(2)=>not_Data_o_temp_14, a(1)=>Ack, a(0)=>rtlcn3033, d=>rtlcn3678);
   rtlc_14873_and_621 : and_4u_4u port map ( a(3)=>BC_State(83), a(2)=>
      not_rtlc30n15481, a(1)=>NO, a(0)=>Ack, d=>rtlcn4072);
   rtlc_14879_or_626 : or_4u_4u port map ( a(3)=>rtlc26n9674, a(2)=>
      rtlcn9077, a(1)=>not_rtlcn8782, a(0)=>rtlcn9479, d=>rtlcn8770);
   rtlc_14886_and_630 : and_4u_4u port map ( a(3)=>BC_Num_Msgs_30n12s1(9), 
      a(2)=>Data_o_temp(11), a(1)=>not_Data_o_temp_14, a(0)=>Ack, d=>
      rtlcn9507);
   rtlc_14887_or_631 : or_8u_8u port map ( a(7)=>rtlc30_PS697_n14986, a(6)=>
      rtlc30_PS698_n14994, a(5)=>rtlcn1241, a(4)=>rtlcn9507, a(3)=>rtlcs108, 
      a(2)=>rtlcs111, a(1)=>rtlcs115, a(0)=>rtlcs118, d=>rtlc30n15003);
   rtlcn9495 <= rtlc30n12997 AND BC_State(24) ;
   rtlcn6599 <= rtlcn9053 OR rtlcn8948 ;
   not_rtlc30n16096 <= NOT rtlc30n16096 ;
   not_rtlcn3733 <= NOT rtlcn3733 ;
   rtlcn9787 <= rtlc30n15481 OR not_rtlcn3733 ;
   not_rtlc30n15481 <= NOT rtlc30n15481 ;
   not_rtlcn9787 <= NOT rtlcn9787 ;
   rtlc_16175_or_632 : or_4u_4u port map ( a(3)=>rtlc33n464, a(2)=>
      rtlc33n472, a(1)=>rtlc33n518, a(0)=>rtlc33n684, d=>rtlcn9807);
   not_rtlcn9809 <= NOT rtlcn9809 ;
   not_rtlcn9810 <= NOT rtlcn9810 ;
   rtlcn2399 <= rtlcs241 OR not_rtlcn8763 ;
   rtlcn9812 <= not_CPU_Address_4 OR CPU_Address(3) ;
   not_rtlcn9812 <= NOT rtlcn9812 ;
   rtlcn2395 <= rtlcs220 OR not_rtlcn8763 ;
   not_rtlcn9815 <= NOT rtlcn9815 ;
   not_rtlcn9818 <= NOT rtlcn9818 ;
   not_rtlcn9819 <= NOT rtlcn9819 ;
   not_rtlcn9820 <= NOT rtlcn9820 ;
   not_rtlcn9821 <= NOT rtlcn9821 ;
   not_rtlcn9822 <= NOT rtlcn9822 ;
   not_rtlcn9823 <= NOT rtlcn9823 ;
   not_rtlcn9824 <= NOT rtlcn9824 ;
   not_rtlcn9825 <= NOT rtlcn9825 ;
   not_rtlcn9826 <= NOT rtlcn9826 ;
   not_rtlcn9827 <= NOT rtlcn9827 ;
   not_rtlcn9828 <= NOT rtlcn9828 ;
   not_rtlcn9829 <= NOT rtlcn9829 ;
   rtlc_16219_or_635 : or_8u_8u port map ( a(7)=>BC_State(18), a(6)=>
      BC_State(84), a(5)=>rtlc30n16072, a(4)=>rtlc30n16187, a(3)=>
      rtlc30n16189, a(2)=>rtlcn2155, a(1)=>rtlcn7044, a(0)=>rtlcn7042, d=>
      rtlcn9830);
   not_rtlcn9830 <= NOT rtlcn9830 ;
   not_rtlcn9831 <= NOT rtlcn9831 ;
   not_rtlcn9832 <= NOT rtlcn9832 ;
   not_rtlcn9833 <= NOT rtlcn9833 ;
   not_rtlcn9834 <= NOT rtlcn9834 ;
   not_rtlcn9835 <= NOT rtlcn9835 ;
   not_rtlcn9836 <= NOT rtlcn9836 ;
   not_rtlcn9837 <= NOT rtlcn9837 ;
   not_rtlcn9838 <= NOT rtlcn9838 ;
   not_rtlcn9839 <= NOT rtlcn9839 ;
   not_rtlcn9840 <= NOT rtlcn9840 ;
   not_rtlcn9841 <= NOT rtlcn9841 ;
   not_rtlcn9842 <= NOT rtlcn9842 ;
   not_rtlcn9843 <= NOT rtlcn9843 ;
   not_rtlcn9844 <= NOT rtlcn9844 ;
   not_rtlcn9845 <= NOT rtlcn9845 ;
   not_rtlcn9846 <= NOT rtlcn9846 ;
   rtlc_16253_or_637 : or_6u_6u port map ( a(5)=>GMM(0), a(4)=>GMM(1), a(3)
      =>GMM(2), a(2)=>MM(0), a(1)=>MM(1), a(0)=>MM(2), d=>rtlcn9845);
   rtlc_16254_or_638 : or_4u_4u port map ( a(3)=>GMM(1), a(2)=>GMM(2), a(1)
      =>MM(1), a(0)=>MM(2), d=>rtlcn9844);
   rtlc_16257_or_639 : or_4u_4u port map ( a(3)=>GMM(2), a(2)=>MM(2), a(1)=>
      rtlcs70, a(0)=>rtlcs86, d=>rtlcn8834);
   rtlcn8918 <= MM(2) OR GMM(2) ;
   rtlc_16263_or_640 : or_9u_9u port map ( a(8)=>Phase(0), a(7)=>not_Phase_1, 
      a(6)=>not_rtlcn8799, a(5)=>rtlcs62, a(4)=>rtlcs71, a(3)=>rtlcs75, a(2)
      =>rtlcs78, a(1)=>rtlcs87, a(0)=>rtlcs91, d=>rtlcn8318);
   rtlc_16268_or_641 : or_4u_4u port map ( a(3)=>rtlcs65, a(2)=>rtlcs67, 
      a(1)=>rtlcs81, a(0)=>rtlcs83, d=>rtlcn8799);
   INTn <= INTn_level when Config_reg_2(3) = '1' else INTn_pulse ;
   CPU_Data_out_wide(0) <= MEM_Data_out_wide(0) when MEM_nREG = '1' else 
   reg_data_out_wide(0) ;
   CPU_Data_out_wide(1) <= MEM_Data_out_wide(1) when MEM_nREG = '1' else 
   reg_data_out_wide(1) ;
   CPU_Data_out_wide(2) <= MEM_Data_out_wide(2) when MEM_nREG = '1' else 
   reg_data_out_wide(2) ;
   CPU_Data_out_wide(3) <= MEM_Data_out_wide(3) when MEM_nREG = '1' else 
   reg_data_out_wide(3) ;
   CPU_Data_out_wide(4) <= MEM_Data_out_wide(4) when MEM_nREG = '1' else 
   reg_data_out_wide(4) ;
   CPU_Data_out_wide(5) <= MEM_Data_out_wide(5) when MEM_nREG = '1' else 
   reg_data_out_wide(5) ;
   CPU_Data_out_wide(6) <= MEM_Data_out_wide(6) when MEM_nREG = '1' else 
   reg_data_out_wide(6) ;
   CPU_Data_out_wide(7) <= MEM_Data_out_wide(7) when MEM_nREG = '1' else 
   reg_data_out_wide(7) ;
   CPU_Data_out_wide(8) <= MEM_Data_out_wide(8) when MEM_nREG = '1' else 
   reg_data_out_wide(8) ;
   CPU_Data_out_wide(9) <= MEM_Data_out_wide(9) when MEM_nREG = '1' else 
   reg_data_out_wide(9) ;
   CPU_Data_out_wide(10) <= MEM_Data_out_wide(10) when MEM_nREG = '1' else 
   reg_data_out_wide(10) ;
   CPU_Data_out_wide(11) <= MEM_Data_out_wide(11) when MEM_nREG = '1' else 
   reg_data_out_wide(11) ;
   CPU_Data_out_wide(12) <= MEM_Data_out_wide(12) when MEM_nREG = '1' else 
   reg_data_out_wide(12) ;
   CPU_Data_out_wide(13) <= MEM_Data_out_wide(13) when MEM_nREG = '1' else 
   reg_data_out_wide(13) ;
   CPU_Data_out_wide(14) <= MEM_Data_out_wide(14) when MEM_nREG = '1' else 
   reg_data_out_wide(14) ;
   CPU_Data_out_wide(15) <= MEM_Data_out_wide(15) when MEM_nREG = '1' else 
   reg_data_out_wide(15) ;
   CPU_Data_out_wide(16) <= MEM_Data_out_wide(16) when MEM_nREG = '1' else 
   reg_data_out_wide(16) ;
   CPU_Data_out_wide(17) <= MEM_Data_out_wide(17) when MEM_nREG = '1' else 
   reg_data_out_wide(17) ;
   CPU_Data_out_wide(18) <= MEM_Data_out_wide(18) when MEM_nREG = '1' else 
   reg_data_out_wide(18) ;
   CPU_Data_out_wide(19) <= MEM_Data_out_wide(19) when MEM_nREG = '1' else 
   reg_data_out_wide(19) ;
   CPU_Data_out_wide(20) <= MEM_Data_out_wide(20) when MEM_nREG = '1' else 
   reg_data_out_wide(20) ;
   CPU_Data_out_wide(21) <= MEM_Data_out_wide(21) when MEM_nREG = '1' else 
   reg_data_out_wide(21) ;
   CPU_Data_out_wide(22) <= MEM_Data_out_wide(22) when MEM_nREG = '1' else 
   reg_data_out_wide(22) ;
   CPU_Data_out_wide(23) <= MEM_Data_out_wide(23) when MEM_nREG = '1' else 
   reg_data_out_wide(23) ;
   CPU_Data_out_wide(24) <= MEM_Data_out_wide(24) when MEM_nREG = '1' else 
   reg_data_out_wide(24) ;
   CPU_Data_out_wide(25) <= MEM_Data_out_wide(25) when MEM_nREG = '1' else 
   reg_data_out_wide(25) ;
   CPU_Data_out_wide(26) <= MEM_Data_out_wide(26) when MEM_nREG = '1' else 
   reg_data_out_wide(26) ;
   CPU_Data_out_wide(27) <= MEM_Data_out_wide(27) when MEM_nREG = '1' else 
   reg_data_out_wide(27) ;
   CPU_Data_out_wide(28) <= MEM_Data_out_wide(28) when MEM_nREG = '1' else 
   reg_data_out_wide(28) ;
   CPU_Data_out_wide(29) <= MEM_Data_out_wide(29) when MEM_nREG = '1' else 
   reg_data_out_wide(29) ;
   CPU_Data_out_wide(30) <= MEM_Data_out_wide(30) when MEM_nREG = '1' else 
   reg_data_out_wide(30) ;
   CPU_Data_out_wide(31) <= MEM_Data_out_wide(31) when MEM_nREG = '1' else 
   reg_data_out_wide(31) ;
   BIT_Word(9) <= Data_to_FE_EXMPLR1014(9) when Config_reg_4_EXMPLR1013(15)
    = '1' else Internal_BIT_Word_9 ;
   BIT_Word(10) <= Data_to_FE_EXMPLR1014(10) when 
   Config_reg_4_EXMPLR1013(15) = '1' else Internal_BIT_Word_10 ;
   BIT_Word(11) <= Data_to_FE_EXMPLR1014(11) when 
   Config_reg_4_EXMPLR1013(15) = '1' else Internal_BIT_Word_11 ;
   BIT_Word(13) <= Data_to_FE_EXMPLR1014(13) when 
   Config_reg_4_EXMPLR1013(15) = '1' else Internal_BIT_Word_13 ;
   BIT_Word(14) <= Data_to_FE_EXMPLR1014(14) when 
   Config_reg_4_EXMPLR1013(15) = '1' else Internal_BIT_Word_14 ;
   BIT_Word(15) <= Data_to_FE_EXMPLR1014(15) when 
   Config_reg_4_EXMPLR1013(15) = '1' else Internal_BIT_Word_15 ;
   RT_Address_EXMPLR1015(0) <= Wire_RT_Address(0) when rtlc17n22 = '1' else 
   Config_reg_5(1) ;
   RT_Address_EXMPLR1015(1) <= Wire_RT_Address(1) when rtlc17n22 = '1' else 
   Config_reg_5(2) ;
   RT_Address_EXMPLR1015(2) <= Wire_RT_Address(2) when rtlc17n22 = '1' else 
   Config_reg_5(3) ;
   RT_Address_EXMPLR1015(3) <= Wire_RT_Address(3) when rtlc17n22 = '1' else 
   Config_reg_5(4) ;
   RT_Address_EXMPLR1015(4) <= Wire_RT_Address(4) when rtlc17n22 = '1' else 
   Config_reg_5(5) ;
   RT_Address_EXMPLR1015(5) <= Wire_RT_Address(5) when rtlc17n22 = '1' else 
   Config_reg_5(0) ;
   monitor_stack_pointer_plus4_26n1ss1_12 <= monitor_stack_pointer(12) when 
   rtlc26n9509 = '1' else monitor_stack_pointer_plus4_26n1s4_12 ;
   monitor_stack_pointer_plus4_26n1ss1_13 <= monitor_stack_pointer(13) when 
   rtlc26n9509 = '1' else monitor_stack_pointer_plus4_26n1s4_13 ;
   data_pointer_26n45ss1(0) <= Current_command(0) when rtlc26n7516
    = '1' else Data_o_temp(0) ;
   data_pointer_26n45ss1(1) <= Current_command(1) when rtlc26n7516
    = '1' else Data_o_temp(1) ;
   data_pointer_26n45ss1(2) <= Current_command(2) when rtlc26n7516
    = '1' else Data_o_temp(2) ;
   data_pointer_26n45ss1(3) <= Current_command(3) when rtlc26n7516
    = '1' else Data_o_temp(3) ;
   data_pointer_26n45ss1(4) <= data_pointer_26n43ss1(0) when rtlc26n7516
    = '1' else Data_o_temp(4) ;
   data_pointer_26n45ss1(5) <= data_pointer_26n43ss1(1) when rtlc26n7516
    = '1' else Data_o_temp(5) ;
   Ram_Address_26n49ss1_4 <= data_pointer(4) when rtlc26n8589 = '1' else 
   Address(4) ;
   Ram_data_i_26n105ss1_0 <= Monitor_write_data(0) when rtlc64n5291
    = '1' else Ram_data_i_26n100ss1_0 ;
   Ram_data_i_26n105ss1_1 <= Monitor_write_data(1) when rtlc64n5291
    = '1' else Ram_data_i_26n100ss1_1 ;
   Ram_data_i_26n105ss1_2 <= Monitor_write_data(2) when rtlc64n5291
    = '1' else Ram_data_i_26n100ss1_2 ;
   Ram_data_i_26n105ss1_3 <= Monitor_write_data(3) when rtlc64n5291
    = '1' else Ram_data_i_26n100ss1_3 ;
   Ram_data_i_26n105ss1_4 <= Monitor_write_data(4) when rtlc64n5291
    = '1' else Ram_data_i_26n100ss1_4 ;
   Ram_data_i_26n105ss1_5 <= Monitor_write_data(5) when rtlc64n5291
    = '1' else Ram_data_i_26n100ss1_5 ;
   Ram_data_i_26n105ss1_6 <= Monitor_write_data(6) when rtlc64n5291
    = '1' else rtlcn10975 ;
   Ram_data_i_26n105ss1_7 <= Monitor_write_data(7) when rtlc64n5291
    = '1' else Ram_data_i_26n100ss1_7 ;
   Ram_data_i_26n105ss1_8 <= Monitor_write_data(8) when rtlc64n5291
    = '1' else Ram_data_i_26n100ss1_8 ;
   Ram_data_i_26n105ss1_9 <= Monitor_write_data(9) when rtlc64n5291
    = '1' else Ram_data_i_26n100ss1_9 ;
   Ram_data_i_26n105ss1_10 <= Monitor_write_data(10) when rtlc64n5291
    = '1' else Ram_data_i_26n100ss1_10 ;
   Ram_data_i_26n105ss1_11 <= Monitor_write_data(11) when rtlc64n5291
    = '1' else Ram_data_i_26n100ss1_11 ;
   Ram_data_i_26n105ss1_12 <= Monitor_write_data(12) when rtlc64n5291
    = '1' else Ram_data_i_26n100ss1_12 ;
   Ram_data_i_26n105ss1_13 <= Monitor_write_data(13) when rtlc64n5291
    = '1' else Ram_data_i_26n100ss1_13 ;
   Ram_data_i_26n105ss1_15 <= Monitor_write_data(15) when rtlc64n5291
    = '1' else Ram_data_i_26n100ss1_15 ;
   monitor_data_pointer_26n105ss1(0) <= rtlcn12089(0) when rtlcs41
    = '1' else Data_o_temp(0) ;
   monitor_data_pointer_26n105ss1(1) <= rtlcn12089(1) when rtlcs41
    = '1' else Data_o_temp(1) ;
   monitor_data_pointer_26n105ss1(2) <= rtlcn12089(2) when rtlcs41
    = '1' else Data_o_temp(2) ;
   monitor_data_pointer_26n105ss1(3) <= rtlcn12089(3) when rtlcs41
    = '1' else Data_o_temp(3) ;
   monitor_data_pointer_26n105ss1(4) <= rtlcn12089(4) when rtlcs41
    = '1' else Data_o_temp(4) ;
   monitor_data_pointer_26n105ss1(5) <= rtlcn12089(5) when rtlcs41
    = '1' else Data_o_temp(5) ;
   monitor_data_pointer_26n105ss1(6) <= rtlcn12089(6) when rtlcs41
    = '1' else Data_o_temp(6) ;
   monitor_data_pointer_26n105ss1(7) <= rtlcn12089(7) when rtlcs41
    = '1' else Data_o_temp(7) ;
   monitor_data_pointer_26n105ss1(8) <= rtlcn12089(8) when rtlcs41
    = '1' else Data_o_temp(8) ;
   rtlc26n7919 <= rtlc26n7877 when rtlcs59 = '1' else rtlc26n7553 ;
   rtlc26n7554 <= rtlc26n7474 when SOM_phase_1 = '1' else rtlc26n7322 ;
   rtlc26n7929 <= rtlc26n7884 when rtlcs59 = '1' else not_SOM_phase_1 ;
   BC_Echo_word_30n180ss1(0) <= Data_o_temp(0) when BC_State(32) = '1' else 
   BC_Rx_Data(0) ;
   BC_Echo_word_30n180ss1(1) <= Data_o_temp(1) when BC_State(32) = '1' else 
   BC_Rx_Data(1) ;
   BC_Echo_word_30n180ss1(2) <= Data_o_temp(2) when BC_State(32) = '1' else 
   BC_Rx_Data(2) ;
   BC_Echo_word_30n180ss1(3) <= Data_o_temp(3) when BC_State(32) = '1' else 
   BC_Rx_Data(3) ;
   BC_Echo_word_30n180ss1(4) <= Data_o_temp(4) when BC_State(32) = '1' else 
   BC_Rx_Data(4) ;
   BC_Echo_word_30n180ss1(5) <= Data_o_temp(5) when BC_State(32) = '1' else 
   BC_Rx_Data(5) ;
   BC_Echo_word_30n180ss1(6) <= Data_o_temp(6) when BC_State(32) = '1' else 
   BC_Rx_Data(6) ;
   BC_Echo_word_30n180ss1(7) <= Data_o_temp(7) when BC_State(32) = '1' else 
   BC_Rx_Data(7) ;
   BC_Echo_word_30n180ss1(8) <= Data_o_temp(8) when BC_State(32) = '1' else 
   BC_Rx_Data(8) ;
   BC_Echo_word_30n180ss1(9) <= Data_o_temp(9) when BC_State(32) = '1' else 
   BC_Rx_Data(9) ;
   BC_Echo_word_30n180ss1(10) <= Data_o_temp(10) when BC_State(32)
    = '1' else BC_Rx_Data(10) ;
   BC_Echo_word_30n180ss1(11) <= Data_o_temp(11) when BC_State(32)
    = '1' else BC_Rx_Data(11) ;
   BC_Echo_word_30n180ss1(12) <= Data_o_temp(12) when BC_State(32)
    = '1' else BC_Rx_Data(12) ;
   BC_Echo_word_30n180ss1(13) <= Data_o_temp(13) when BC_State(32)
    = '1' else BC_Rx_Data(13) ;
   BC_Echo_word_30n180ss1(14) <= Data_o_temp(14) when BC_State(32)
    = '1' else BC_Rx_Data(14) ;
   BC_Echo_word_30n180ss1(15) <= Data_o_temp(15) when BC_State(32)
    = '1' else BC_Rx_Data(15) ;
   BC_msg_pointer_30n43s1f1(8) <= BC_Stack_pointer(10) when rtlc30n19493
    = '1' else BC_msg_pointer(8) ;
   BC_Stack_pointer_30n167s1f1(8) <= BC_Stack_pointer(10) when rtlc30n19493
    = '1' else BC_Stack_pointer(8) ;
   VARAM_D_30n172s1f1(4) <= Data_o_temp(4) when BC_State(86) = '1' else 
   LIFO_Pointer(4) ;
   VARAM_D_30n172s1f1(3) <= Data_o_temp(3) when BC_State(86) = '1' else 
   LIFO_Pointer(3) ;
   VARAM_D_30n172s1f1(2) <= Data_o_temp(2) when BC_State(86) = '1' else 
   LIFO_Pointer(2) ;
   rtlc36n583 <= rtlc36n581 when arbiter = '1' else rtlc36n557 ;
   YES <= YES_49n2ss1 when rtlcs165 = '1' else YES_49n1ss1 ;
   frame_gap_eq_0_55n6ss1 <= frame_gap_eq_0_55n6s1 when 
   BC_Load_frame_gap_counter = '1' else frame_gap_eq_0_55n5ss1 ;
   MT_On_Async_64n28ss1 <= MT_On_Async_64n27ss1 when rtlc64n5418 = '1' else 
   MT_On_Async_64n18s1 ;
   time_tag_64n43ss1(0) <= time_tag_64n30ss1(0) when rtlc64n6439 = '1' else 
   time_tag_64n15ss1(0) ;
   time_tag_64n43ss1(1) <= time_tag_64n30ss1(1) when rtlc64n6439 = '1' else 
   time_tag_64n15ss1(1) ;
   time_tag_64n43ss1(2) <= time_tag_64n30ss1(2) when rtlc64n6439 = '1' else 
   time_tag_64n15ss1(2) ;
   time_tag_64n43ss1(3) <= time_tag_64n30ss1(3) when rtlc64n6439 = '1' else 
   time_tag_64n15ss1(3) ;
   time_tag_64n43ss1(4) <= time_tag_64n30ss1(4) when rtlc64n6439 = '1' else 
   time_tag_64n15ss1(4) ;
   time_tag_64n43ss1(5) <= time_tag_64n30ss1(5) when rtlc64n6439 = '1' else 
   time_tag_64n15ss1(5) ;
   time_tag_64n43ss1(6) <= time_tag_64n30ss1(6) when rtlc64n6439 = '1' else 
   time_tag_64n15ss1(6) ;
   time_tag_64n43ss1(7) <= time_tag_64n30ss1(7) when rtlc64n6439 = '1' else 
   time_tag_64n15ss1(7) ;
   time_tag_64n43ss1(8) <= time_tag_64n30ss1(8) when rtlc64n6439 = '1' else 
   time_tag_64n15ss1(8) ;
   time_tag_64n43ss1(9) <= time_tag_64n30ss1(9) when rtlc64n6439 = '1' else 
   time_tag_64n15ss1(9) ;
   time_tag_64n43ss1(10) <= time_tag_64n30ss1(10) when rtlc64n6439
    = '1' else time_tag_64n15ss1(10) ;
   time_tag_64n43ss1(11) <= time_tag_64n30ss1(11) when rtlc64n6439
    = '1' else time_tag_64n15ss1(11) ;
   time_tag_64n43ss1(12) <= time_tag_64n30ss1(12) when rtlc64n6439
    = '1' else time_tag_64n15ss1(12) ;
   time_tag_64n43ss1(13) <= time_tag_64n30ss1(13) when rtlc64n6439
    = '1' else time_tag_64n15ss1(13) ;
   time_tag_64n43ss1(14) <= time_tag_64n30ss1(14) when rtlc64n6439
    = '1' else time_tag_64n15ss1(14) ;
   time_tag_64n43ss1(15) <= time_tag_64n30ss1(15) when rtlc64n6439
    = '1' else time_tag_64n15ss1(15) ;
   host_status_bits_64n45ss1(0) <= not_Config_reg_1_7 when rtlc64n5895
    = '1' else Config_reg_1(1) ;
   host_status_bits_64n45ss1(2) <= host_status_bits_2_64n45s2 when 
   rtlc64n5895 = '1' else Config_reg_1(3) ;
   host_status_bits_64n45ss1(3) <= not_Config_reg_1_10 when rtlc64n5895
    = '1' else Config_reg_1(4) ;
   Config_reg_5_64n50ss1(0) <= RT_ADR_LAT when CE = '1' else 
   CPU_Data_in_wide(22) ;
   Config_reg_5_64n50ss1(1) <= Tx_InhB when CE = '1' else 
   CPU_Data_in_wide(28) ;
   Config_reg_5_64n50ss1(2) <= Tx_inhA when CE = '1' else 
   CPU_Data_in_wide(29) ;
   Config_reg_1_64n90ss1_1 <= Config_reg_1_64n89ss1(1) when CE = '1' else 
   Config_reg_1_64n43ss1_1 ;
   rtlc64n5857 <= rtlc64n5555 when rtlc64n6439 = '1' else rtlc64n5337 ;
   rtlc64n5858 <= rtlc64n5556 when rtlc64n6439 = '1' else rtlc64n5338 ;
   rtlc64n5514 <= rtlc64n5481 when rtlc64n5418 = '1' else rtlc64n5338 ;
   rtlc64n6630 <= rtlc64n6624 when CE = '1' else rtlc64n5860 ;
   rtlc64n6631 <= rtlc64n6625 when CE = '1' else rtlc64n5860 ;
   rtlc64n6632 <= rtlc64n6626 when CE = '1' else rtlc64n5860 ;
   rtlc64n5874 <= rtlc64n5620 when rtlc64n6439 = '1' else not_CE ;
   rtlc64n5523 <= rtlc64n5511 when rtlc64n5418 = '1' else not_rtlc64n5378 ;
   rtlc64n6387 <= rtlc64n6383 when CE = '1' else rtlc64n5880 ;
   rtlc64n6388 <= rtlc64n6384 when CE = '1' else rtlc64n5881 ;
   reg_data_out_wide_79n40ss1(0) <= BC_Stack_pointer(0) when BC_on_EXMPLR898
    = '1' else stack_pointer(0) ;
   reg_data_out_wide_79n40ss1(1) <= BC_Stack_pointer(1) when BC_on_EXMPLR898
    = '1' else stack_pointer(1) ;
   reg_data_out_wide_79n40ss1(2) <= BC_Stack_pointer(2) when BC_on_EXMPLR898
    = '1' else stack_pointer(2) ;
   reg_data_out_wide_79n40ss1(3) <= BC_Stack_pointer(3) when BC_on_EXMPLR898
    = '1' else stack_pointer(3) ;
   reg_data_out_wide_79n40ss1(4) <= BC_Stack_pointer(4) when BC_on_EXMPLR898
    = '1' else stack_pointer(4) ;
   reg_data_out_wide_79n40ss1(5) <= BC_Stack_pointer(5) when BC_on_EXMPLR898
    = '1' else stack_pointer(5) ;
   reg_data_out_wide_79n40ss1(6) <= BC_Stack_pointer(6) when BC_on_EXMPLR898
    = '1' else stack_pointer(6) ;
   reg_data_out_wide_79n40ss1(7) <= BC_Stack_pointer(7) when BC_on_EXMPLR898
    = '1' else stack_pointer(7) ;
   reg_data_out_wide_79n40ss1(8) <= BC_Stack_pointer(8) when BC_on_EXMPLR898
    = '1' else stack_pointer(8) ;
   reg_data_out_wide_79n40ss1(9) <= BC_Stack_pointer(9) when BC_on_EXMPLR898
    = '1' else stack_pointer(9) ;
   reg_data_out_wide_79n40ss1(10) <= BC_Stack_pointer(10) when 
   BC_on_EXMPLR898 = '1' else stack_pointer(10) ;
   reg_data_out_wide_79n40ss1(11) <= BC_Stack_pointer(11) when 
   BC_on_EXMPLR898 = '1' else stack_pointer(11) ;
   reg_data_out_wide_79n40ss1(12) <= BC_Stack_pointer(12) when 
   BC_on_EXMPLR898 = '1' else stack_pointer(12) ;
   reg_data_out_wide_79n40ss1(13) <= BC_Stack_pointer(13) when 
   BC_on_EXMPLR898 = '1' else stack_pointer(13) ;
   reg_data_out_wide_79n40ss1(14) <= BC_Stack_pointer(14) when 
   BC_on_EXMPLR898 = '1' else stack_pointer(14) ;
   reg_data_out_wide_79n40ss1(15) <= BC_Stack_pointer(15) when 
   BC_on_EXMPLR898 = '1' else stack_pointer(15) ;
   reg_data_out_wide_79n42ss1(0) <= BC_RT2RT_EXMPLR797 when BC_on_EXMPLR898
    = '1' else LUT_Control(0) ;
   reg_data_out_wide_79n42ss1(1) <= BC_Control_word_1 when BC_on_EXMPLR898
    = '1' else LUT_Control(1) ;
   reg_data_out_wide_79n42ss1(2) <= BC_Control_word_2 when BC_on_EXMPLR898
    = '1' else LUT_Control(2) ;
   reg_data_out_wide_79n42ss1(3) <= BC_1553A_EXMPLR879 when BC_on_EXMPLR898
    = '1' else LUT_Control(3) ;
   reg_data_out_wide_79n42ss1(4) <= BC_Control_word_4 when BC_on_EXMPLR898
    = '1' else LUT_Control(4) ;
   reg_data_out_wide_79n42ss1(5) <= BC_Control_word_5 when BC_on_EXMPLR898
    = '1' else LUT_Control(5) ;
   reg_data_out_wide_79n42ss1(6) <= BC_Test_EXMPLR798 when BC_on_EXMPLR898
    = '1' else LUT_Control(6) ;
   reg_data_out_wide_79n42ss1(7) <= BC_Control_word_7 when BC_on_EXMPLR898
    = '1' else LUT_Control(7) ;
   reg_data_out_wide_79n42ss1(8) <= BC_Control_word_8 when BC_on_EXMPLR898
    = '1' else LUT_Control(8) ;
   reg_data_out_wide_79n42ss1(9) <= BC_Control_word_9 when BC_on_EXMPLR898
    = '1' else LUT_Control(9) ;
   reg_data_out_wide_79n42ss1(10) <= BC_Control_word_10 when BC_on_EXMPLR898
    = '1' else LUT_Control(10) ;
   reg_data_out_wide_79n42ss1(11) <= BC_Control_word_11 when BC_on_EXMPLR898
    = '1' else LUT_Control(11) ;
   reg_data_out_wide_79n42ss1(12) <= BC_Control_word_12 when BC_on_EXMPLR898
    = '1' else LUT_Control(12) ;
   reg_data_out_wide_79n42ss1(13) <= BC_Control_word_13 when BC_on_EXMPLR898
    = '1' else LUT_Control(13) ;
   reg_data_out_wide_79n42ss1(14) <= BC_Control_word_14 when BC_on_EXMPLR898
    = '1' else LUT_Control(14) ;
   reg_data_out_wide_79n42ss1(15) <= BC_Control_word_15 when BC_on_EXMPLR898
    = '1' else LUT_Control(15) ;
   reg_data_out_wide_79n49ss1(0) <= WM_RAM_Address(0) when WM_On = '1' else 
   Data_Pointer_register(0) ;
   reg_data_out_wide_79n49ss1(1) <= WM_RAM_Address(1) when WM_On = '1' else 
   Data_Pointer_register(1) ;
   reg_data_out_wide_79n49ss1(2) <= WM_RAM_Address(2) when WM_On = '1' else 
   Data_Pointer_register(2) ;
   reg_data_out_wide_79n49ss1(3) <= WM_RAM_Address(3) when WM_On = '1' else 
   Data_Pointer_register(3) ;
   reg_data_out_wide_79n49ss1(4) <= WM_RAM_Address(4) when WM_On = '1' else 
   Data_Pointer_register(4) ;
   reg_data_out_wide_79n49ss1(5) <= WM_RAM_Address(5) when WM_On = '1' else 
   Data_Pointer_register(5) ;
   reg_data_out_wide_79n49ss1(6) <= WM_RAM_Address(6) when WM_On = '1' else 
   Data_Pointer_register(6) ;
   reg_data_out_wide_79n49ss1(7) <= WM_RAM_Address(7) when WM_On = '1' else 
   Data_Pointer_register(7) ;
   reg_data_out_wide_79n49ss1(8) <= WM_RAM_Address(8) when WM_On = '1' else 
   Data_Pointer_register(8) ;
   reg_data_out_wide_79n49ss1(9) <= WM_RAM_Address(9) when WM_On = '1' else 
   Data_Pointer_register(9) ;
   reg_data_out_wide_79n49ss1(10) <= WM_RAM_Address(10) when WM_On
    = '1' else Data_Pointer_register(10) ;
   reg_data_out_wide_79n49ss1(11) <= WM_RAM_Address(11) when WM_On
    = '1' else Data_Pointer_register(11) ;
   reg_data_out_wide_79n49ss1(12) <= WM_RAM_Address(12) when WM_On
    = '1' else Data_Pointer_register(12) ;
   reg_data_out_wide_79n49ss1(13) <= WM_RAM_Address(13) when WM_On
    = '1' else Data_Pointer_register(13) ;
   reg_data_out_wide_79n49ss1(14) <= WM_RAM_Address(14) when WM_On
    = '1' else Data_Pointer_register(14) ;
   reg_data_out_wide_79n49ss1(15) <= WM_RAM_Address(15) when WM_On
    = '1' else Data_Pointer_register(15) ;
   reg_data_out_wide_79n53ss1(0) <= Frame_length_reg_0xD(0) when 
   Ext_Trigger_Dx_0n0s6 = '1' else last_command(0) ;
   reg_data_out_wide_79n53ss1(1) <= Frame_length_reg_0xD(1) when 
   Ext_Trigger_Dx_0n0s6 = '1' else last_command(1) ;
   reg_data_out_wide_79n53ss1(2) <= Frame_length_reg_0xD(2) when 
   Ext_Trigger_Dx_0n0s6 = '1' else last_command(2) ;
   reg_data_out_wide_79n53ss1(3) <= Frame_length_reg_0xD(3) when 
   Ext_Trigger_Dx_0n0s6 = '1' else last_command(3) ;
   reg_data_out_wide_79n53ss1(4) <= Frame_length_reg_0xD(4) when 
   Ext_Trigger_Dx_0n0s6 = '1' else last_command(4) ;
   reg_data_out_wide_79n53ss1(5) <= Frame_length_reg_0xD(5) when 
   Ext_Trigger_Dx_0n0s6 = '1' else last_command(5) ;
   reg_data_out_wide_79n53ss1(6) <= Frame_length_reg_0xD(6) when 
   Ext_Trigger_Dx_0n0s6 = '1' else last_command(6) ;
   reg_data_out_wide_79n53ss1(7) <= Frame_length_reg_0xD(7) when 
   Ext_Trigger_Dx_0n0s6 = '1' else last_command(7) ;
   reg_data_out_wide_79n53ss1(8) <= Frame_length_reg_0xD(8) when 
   Ext_Trigger_Dx_0n0s6 = '1' else last_command(8) ;
   reg_data_out_wide_79n53ss1(9) <= Frame_length_reg_0xD(9) when 
   Ext_Trigger_Dx_0n0s6 = '1' else last_command(9) ;
   reg_data_out_wide_79n53ss1(10) <= Frame_length_reg_0xD(10) when 
   Ext_Trigger_Dx_0n0s6 = '1' else last_command(10) ;
   reg_data_out_wide_79n53ss1(11) <= Frame_length_reg_0xD(11) when 
   Ext_Trigger_Dx_0n0s6 = '1' else last_command(11) ;
   reg_data_out_wide_79n53ss1(12) <= Frame_length_reg_0xD(12) when 
   Ext_Trigger_Dx_0n0s6 = '1' else last_command(12) ;
   reg_data_out_wide_79n53ss1(13) <= Frame_length_reg_0xD(13) when 
   Ext_Trigger_Dx_0n0s6 = '1' else last_command(13) ;
   reg_data_out_wide_79n53ss1(14) <= Frame_length_reg_0xD(14) when 
   Ext_Trigger_Dx_0n0s6 = '1' else last_command(14) ;
   reg_data_out_wide_79n53ss1(15) <= Frame_length_reg_0xD(15) when 
   Ext_Trigger_Dx_0n0s6 = '1' else last_command(15) ;
   rtlc79n1927 <= rtlc79n1920 when eBC_IRQ_do = '1' else not_rtlcn11047 ;
   rtlc88n180 <= rtlc88n177 when Do_RAM_test = '1' else 
   not_Clear_Test_Status_reg ;
   rtlc88n141 <= rtlc88n177 when rtlc88n99 = '1' else 
   not_Clear_Test_Status_reg ;
   WM_RAM_data_i_91n14ss1(0) <= WM_Descriptor(0) when state(5) = '1' else 
   WM_Word(0) ;
   WM_RAM_data_i_91n14ss1(1) <= WM_Descriptor(1) when state(5) = '1' else 
   WM_Word(1) ;
   WM_RAM_data_i_91n14ss1(2) <= WM_Descriptor(2) when state(5) = '1' else 
   WM_Word(2) ;
   WM_RAM_data_i_91n14ss1(3) <= WM_Descriptor(3) when state(5) = '1' else 
   WM_Word(3) ;
   WM_RAM_data_i_91n14ss1(4) <= WM_Descriptor(4) when state(5) = '1' else 
   WM_Word(4) ;
   WM_RAM_data_i_91n14ss1(5) <= WM_Descriptor(5) when state(5) = '1' else 
   WM_Word(5) ;
   WM_RAM_data_i_91n14ss1(6) <= WM_RAM_data_i_6_91n10s2 when state(5)
    = '1' else WM_Word(6) ;
   WM_RAM_data_i_91n14ss1(7) <= WM_Descriptor(7) when state(5) = '1' else 
   WM_Word(7) ;
   WM_RAM_data_i_91n14ss1(8) <= WM_Descriptor(8) when state(5) = '1' else 
   WM_Word(8) ;
   WM_RAM_data_i_91n14ss1(9) <= WM_Descriptor(9) when state(5) = '1' else 
   WM_Word(9) ;
   WM_RAM_data_i_91n14ss1(10) <= WM_Descriptor(10) when state(5) = '1' else 
   WM_Word(10) ;
   WM_RAM_data_i_91n14ss1(11) <= WM_Descriptor(11) when state(5) = '1' else 
   WM_Word(11) ;
   WM_RAM_data_i_91n14ss1(12) <= WM_Descriptor(12) when state(5) = '1' else 
   WM_Word(12) ;
   WM_RAM_data_i_91n14ss1(13) <= WM_Descriptor(13) when state(5) = '1' else 
   WM_Word(13) ;
   WM_RAM_data_i_91n14ss1(14) <= WM_Descriptor(14) when state(5) = '1' else 
   WM_Word(14) ;
   WM_RAM_data_i_91n14ss1(15) <= WM_Descriptor(15) when state(5) = '1' else 
   WM_Word(15) ;
   monitor_stack_pointer_plus4_26n1ss1_8 <= 
   monitor_stack_pointer_plus4_26n1s4_8 when rtlcn2043 = '1' else 
   monitor_stack_pointer(8) ;
   monitor_stack_pointer_plus4_26n1ss1_9 <= 
   monitor_stack_pointer_plus4_26n1s4_9 when rtlcn2043 = '1' else 
   monitor_stack_pointer(9) ;
   monitor_stack_pointer_plus4_26n1ss1_10 <= 
   monitor_stack_pointer_plus4_26n1s4_10 when Config_reg_3_12 = '1' else 
   monitor_stack_pointer(10) ;
   monitor_stack_pointer_plus4_26n1ss1_11 <= 
   monitor_stack_pointer_plus4_26n1s4_11 when Config_reg_3_12 = '1' else 
   monitor_stack_pointer(11) ;
   rtlcn2066 <= not_MON_EOM_phase_go when rtlcs57 = '1' else rtlc26n8081 ;
   BC_msg_pointer_30n180ss1(0) <= BC_Ram_data_30n30s4(0) when rtlc30n19450
    = '1' else Data_o_temp(0) ;
   BC_msg_pointer_30n180ss1(1) <= BC_Ram_data_30n30s4(1) when rtlc30n19450
    = '1' else Data_o_temp(1) ;
   BC_msg_pointer_30n180ss1(2) <= BC_Ram_data_30n30s4(2) when rtlc30n19450
    = '1' else Data_o_temp(2) ;
   BC_msg_pointer_30n180ss1(3) <= BC_Ram_data_30n30s4(3) when rtlc30n19450
    = '1' else Data_o_temp(3) ;
   BC_msg_pointer_30n180ss1(4) <= BC_Ram_data_30n30s4(4) when rtlc30n19450
    = '1' else Data_o_temp(4) ;
   BC_msg_pointer_30n180ss1(5) <= BC_Ram_data_30n30s4(5) when rtlc30n19450
    = '1' else Data_o_temp(5) ;
   BC_msg_pointer_30n180ss1(6) <= BC_Ram_data_30n30s4(6) when rtlc30n19450
    = '1' else Data_o_temp(6) ;
   BC_msg_pointer_30n180ss1(7) <= BC_Ram_data_30n30s4(7) when rtlc30n19450
    = '1' else Data_o_temp(7) ;
   BC_msg_pointer_30n180ss1(8) <= BC_Ram_data_30n30s4(8) when rtlc30n19450
    = '1' else Data_o_temp(8) ;
   BC_msg_pointer_30n180ss1(9) <= BC_msg_pointer_30n43s1_9 when rtlc30n19450
    = '1' else Data_o_temp(9) ;
   BC_msg_pointer_30n180ss1(10) <= BC_msg_pointer_30n43s1_10 when 
   rtlc30n19450 = '1' else Data_o_temp(10) ;
   BC_msg_pointer_30n180ss1(11) <= BC_msg_pointer_30n43s1_11 when 
   rtlc30n19450 = '1' else Data_o_temp(11) ;
   BC_msg_pointer_30n180ss1(12) <= BC_msg_pointer_30n43s1_12 when 
   rtlc30n19450 = '1' else Data_o_temp(12) ;
   BC_msg_pointer_30n180ss1(13) <= BC_msg_pointer_30n43s1_13 when 
   rtlc30n19450 = '1' else Data_o_temp(13) ;
   BC_msg_pointer_30n180ss1(14) <= BC_msg_pointer_30n43s1_14 when 
   rtlc30n19450 = '1' else Data_o_temp(14) ;
   BC_msg_pointer_30n180ss1(15) <= BC_msg_pointer_30n43s1_15 when 
   rtlc30n19450 = '1' else Data_o_temp(15) ;
   BC_msg_pointer_30n43s1f1(7) <= BC_msg_pointer(7) when rtlc30n19450
    = '1' else BC_Stack_pointer(9) ;
   BC_msg_pointer_30n43s1f1(6) <= BC_msg_pointer(6) when rtlc30n19450
    = '1' else BC_Stack_pointer(8) ;
   BC_msg_pointer_30n43s1f1(5) <= BC_Stack_pointer(7) when BC_State(12)
    = '1' else BC_msg_pointer(5) ;
   BC_msg_pointer_30n43s1f1(4) <= BC_Stack_pointer(6) when BC_State(12)
    = '1' else BC_msg_pointer(4) ;
   BC_msg_pointer_30n43s1f1(3) <= BC_Stack_pointer(5) when BC_State(12)
    = '1' else BC_msg_pointer(3) ;
   BC_msg_pointer_30n43s1f1(2) <= BC_Stack_pointer(4) when BC_State(12)
    = '1' else BC_msg_pointer(2) ;
   BC_Stack_pointer_30n167s1f1(7) <= BC_Stack_pointer(7) when rtlcn2218
    = '1' else BC_Stack_pointer(9) ;
   BC_Stack_pointer_30n167s1f1(6) <= BC_Stack_pointer(6) when rtlcn2218
    = '1' else BC_Stack_pointer(8) ;
   BC_Stack_pointer_30n167s1f1(5) <= BC_Stack_pointer(7) when BC_State(12)
    = '1' else BC_Stack_pointer(5) ;
   BC_Stack_pointer_30n167s1f1(4) <= BC_Stack_pointer(6) when BC_State(12)
    = '1' else BC_Stack_pointer(4) ;
   BC_Stack_pointer_30n167s1f1(3) <= BC_Stack_pointer(5) when BC_State(12)
    = '1' else BC_Stack_pointer(3) ;
   BC_Stack_pointer_30n167s1f1(2) <= BC_Stack_pointer(4) when BC_State(12)
    = '1' else BC_Stack_pointer(2) ;
   BC_Stack_pointer_30n167s1f1(1) <= BC_Stack_pointer(3) when BC_State(12)
    = '1' else BC_Stack_pointer(1) ;
   BC_Stack_pointer_30n167s1f1(0) <= BC_Stack_pointer(2) when BC_State(12)
    = '1' else BC_Stack_pointer(0) ;
   eBC_GP_64n72ss1(7) <= eBC_GP_64n61ss1 when rtlcn3842 = '1' else 
   eBC_GP_64n41ss1 ;
   eBC_GP_64n72ss1(6) <= eBC_GP_64n60ss1 when rtlcn3842 = '1' else 
   eBC_GP_64n40ss1 ;
   eBC_GP_64n72ss1(5) <= eBC_GP_64n59ss1 when rtlcn3842 = '1' else 
   eBC_GP_64n39ss1 ;
   eBC_GP_64n72ss1(4) <= eBC_GP_64n58ss1 when rtlcn3842 = '1' else 
   eBC_GP_64n38ss1 ;
   eBC_GP_64n72ss1(3) <= eBC_GP_64n57ss1 when rtlcn3842 = '1' else 
   eBC_GP_64n37ss1 ;
   eBC_GP_64n72ss1(2) <= eBC_GP_64n56ss1 when rtlcn3842 = '1' else 
   eBC_GP_64n36ss1 ;
   eBC_Q_pointer_64n50ss1(0) <= eBC_Q_pointer_64n49s1(0) when rtlcn4145
    = '1' else CPU_Data_in_wide(16) ;
   eBC_Q_pointer_64n50ss1(5) <= eBC_Q_pointer_64n49s1(5) when rtlcn4145
    = '1' else CPU_Data_in_wide(21) ;
   eBC_Q_pointer_64n50ss1(4) <= eBC_Q_pointer_64n49s1(4) when rtlcn4145
    = '1' else CPU_Data_in_wide(20) ;
   eBC_Q_pointer_64n50ss1(3) <= eBC_Q_pointer_64n49s1(3) when rtlcn4145
    = '1' else CPU_Data_in_wide(19) ;
   eBC_Q_pointer_64n50ss1(2) <= eBC_Q_pointer_64n49s1(2) when rtlcn4145
    = '1' else CPU_Data_in_wide(18) ;
   eBC_Q_pointer_64n50ss1(1) <= eBC_Q_pointer_64n49s1(1) when rtlcn4145
    = '1' else CPU_Data_in_wide(17) ;
   Ram_Address_26n51ss1_0 <= data_pointer(0) when rtlcn4173 = '1' else 
   Address(0) ;
   monitor_data_pointer_26n105ss1(9) <= Data_o_temp(9) when rtlcn8619
    = '1' else rtlcn12089(9) ;
   monitor_data_pointer_26n105ss1(10) <= Data_o_temp(10) when rtlcn8620
    = '1' else rtlcn12089(10) ;
   monitor_data_pointer_26n105ss1(11) <= Data_o_temp(11) when rtlcn8621
    = '1' else rtlcn12089(11) ;
   monitor_data_pointer_26n105ss1(12) <= Data_o_temp(12) when rtlcn4508
    = '1' else rtlcn12089(12) ;
   monitor_data_pointer_26n105ss1(13) <= rtlcn12089(13) when rtlcn4510
    = '1' else Data_o_temp(13) ;
   monitor_data_pointer_26n105ss1(14) <= rtlcn12089(14) when rtlcn4514
    = '1' else Data_o_temp(14) ;
   rtlc26n7920 <= rtlc26n7869 when rtlcn5158 = '1' else rtlc26n7553 ;
   rtlc26n7921 <= rtlc26n7553 when rtlcn8865 = '1' else rtlc26n7862 ;
   rtlc26n7922 <= rtlc26n7856 when rtlcn5218 = '1' else rtlc26n7553 ;
   rtlc26n7923 <= rtlc26n7553 when rtlcn8636 = '1' else rtlc26n7851 ;
   rtlc26n7924 <= rtlc26n7553 when rtlcn8637 = '1' else rtlc26n7847 ;
   Ram_Address_26n51ss1_3 <= data_pointer(3) when rtlcn4173 = '1' else 
   Address(3) ;
   Ram_Address_26n51ss1_2 <= data_pointer(2) when rtlcn4173 = '1' else 
   Address(2) ;
   Ram_Address_26n51ss1_1 <= data_pointer(1) when rtlcn4173 = '1' else 
   Address(1) ;
   Interrupt_status_register_1_79n7ss1(13) <= 
   Interrupt_status_register_1_79n6s1_13 when rtlcn6040 = '1' else 
   ISR1_during_clear_13 ;
   Interrupt_status_register_1_79n7ss1(12) <= 
   Interrupt_status_register_1_79n6s1_12 when rtlcn6040 = '1' else 
   ISR1_during_clear_12 ;
   Interrupt_status_register_1_79n7ss1(11) <= 
   Interrupt_status_register_1_79n6s1_11 when rtlcn6040 = '1' else 
   ISR1_during_clear_11 ;
   Interrupt_status_register_1_79n7ss1(10) <= 
   Interrupt_status_register_1_79n6s1_10 when rtlcn6040 = '1' else 
   ISR1_during_clear_10 ;
   Interrupt_status_register_1_79n7ss1(8) <= 
   Interrupt_status_register_1_79n6s1_8 when rtlcn6040 = '1' else 
   ISR1_during_clear_8 ;
   Interrupt_status_register_1_79n7ss1(6) <= 
   Interrupt_status_register_1_79n6s1_6 when rtlcn6040 = '1' else 
   ISR1_during_clear_6 ;
   Dummy_register_0x4_64n43ss1(15) <= CPU_Data_in_wide(15) when rtlcn6104
    = '1' else Monitor_write_data(15) ;
   Dummy_register_0x4_64n43ss1(14) <= CPU_Data_in_wide(14) when rtlcn6104
    = '1' else Monitor_write_data(14) ;
   Dummy_register_0x4_64n43ss1(13) <= CPU_Data_in_wide(13) when rtlcn6104
    = '1' else Monitor_write_data(13) ;
   Dummy_register_0x4_64n43ss1(12) <= CPU_Data_in_wide(12) when rtlcn6104
    = '1' else Monitor_write_data(12) ;
   Dummy_register_0x4_64n43ss1(11) <= CPU_Data_in_wide(11) when rtlcn6104
    = '1' else Monitor_write_data(11) ;
   Dummy_register_0x4_64n43ss1(10) <= CPU_Data_in_wide(10) when rtlcn6104
    = '1' else Monitor_write_data(10) ;
   Dummy_register_0x4_64n43ss1(9) <= CPU_Data_in_wide(9) when rtlcn6104
    = '1' else Monitor_write_data(9) ;
   Dummy_register_0x4_64n43ss1(8) <= CPU_Data_in_wide(8) when rtlcn6104
    = '1' else Monitor_write_data(8) ;
   Dummy_register_0x4_64n43ss1(7) <= CPU_Data_in_wide(7) when rtlcn6104
    = '1' else Monitor_write_data(7) ;
   Dummy_register_0x4_64n43ss1(6) <= CPU_Data_in_wide(6) when rtlcn6104
    = '1' else Monitor_write_data(6) ;
   Dummy_register_0x4_64n43ss1(5) <= CPU_Data_in_wide(5) when rtlcn6104
    = '1' else Monitor_write_data(5) ;
   Dummy_register_0x4_64n43ss1(4) <= CPU_Data_in_wide(4) when rtlcn6104
    = '1' else Monitor_write_data(4) ;
   Dummy_register_0x4_64n43ss1(3) <= CPU_Data_in_wide(3) when rtlcn6104
    = '1' else Monitor_write_data(3) ;
   Dummy_register_0x4_64n43ss1(2) <= CPU_Data_in_wide(2) when rtlcn6104
    = '1' else Monitor_write_data(2) ;
   Dummy_register_0x4_64n43ss1(1) <= CPU_Data_in_wide(1) when rtlcn6104
    = '1' else Monitor_write_data(1) ;
   Dummy_register_0x4_64n43ss1(0) <= CPU_Data_in_wide(0) when rtlcn6104
    = '1' else Monitor_write_data(0) ;
   Interrupt_status_register_1_79n7ss1(5) <= 
   Interrupt_status_register_1_79n6s1_5 when rtlcn6040 = '1' else 
   ISR1_during_clear_5 ;
   Interrupt_status_register_1_79n7ss1(4) <= 
   Interrupt_status_register_1_79n6s1_4 when rtlcn6040 = '1' else 
   ISR1_during_clear_4 ;
   Interrupt_status_register_1_79n7ss1(3) <= 
   Interrupt_status_register_1_79n6s1_3 when rtlcn6040 = '1' else 
   ISR1_during_clear_3 ;
   Interrupt_status_register_1_79n7ss1(2) <= 
   Interrupt_status_register_1_79n6s1_2 when rtlcn6040 = '1' else 
   ISR1_during_clear_2 ;
   Interrupt_status_register_1_79n7ss1(1) <= 
   Interrupt_status_register_1_79n6s1_1 when rtlcn6040 = '1' else 
   ISR1_during_clear_1 ;
   Interrupt_status_register_1_79n7ss1(0) <= 
   Interrupt_status_register_1_79n6s1_0 when rtlcn6040 = '1' else 
   ISR1_during_clear_0 ;
   Interrupt_status_register_2_79n7ss1_1 <= 
   Interrupt_status_register_2_79n6s1_1 when rtlcn6644 = '1' else 
   ISR2_during_clear_1 ;
   Interrupt_status_register_2_79n7ss1_3 <= 
   Interrupt_status_register_2_79n6s1_3 when rtlcn6644 = '1' else 
   ISR2_during_clear_3 ;
   Interrupt_status_register_2_79n7ss1_4 <= 
   Interrupt_status_register_2_79n6s1_4 when rtlcn6644 = '1' else 
   ISR2_during_clear_4 ;
   Interrupt_status_register_2_79n7ss1_5 <= 
   Interrupt_status_register_2_79n6s1_5 when rtlcn6644 = '1' else 
   ISR2_during_clear_5 ;
   Interrupt_status_register_2_79n7ss1_6 <= 
   Interrupt_status_register_2_79n6s1_6 when rtlcn6644 = '1' else 
   ISR2_during_clear_6 ;
   Interrupt_status_register_2_79n7ss1_7 <= 
   Interrupt_status_register_2_79n6s1_7 when rtlcn6644 = '1' else 
   ISR2_during_clear_7 ;
   Interrupt_status_register_2_79n7ss1_10 <= 
   Interrupt_status_register_2_79n6s1_10 when rtlcn6644 = '1' else 
   ISR2_during_clear_10 ;
   Interrupt_status_register_2_79n7ss1_11 <= 
   Interrupt_status_register_2_79n6s1_11 when rtlcn6644 = '1' else 
   ISR2_during_clear_11 ;
   Interrupt_status_register_2_79n7ss1_12 <= 
   Interrupt_status_register_2_79n6s1_12 when rtlcn6644 = '1' else 
   ISR2_during_clear_12 ;
   Interrupt_status_register_2_79n7ss1_14 <= 
   Interrupt_status_register_2_79n6s1_14 when rtlcn6644 = '1' else 
   ISR2_during_clear_14 ;
   Config_reg_1_64n89ss1(0) <= WM_Req when WM_On = '1' else 
   Config_reg_1_64n88ss1 ;
   Config_reg_1_64n89ss1(2) <= WM_Started_EXMPLR942 when WM_On = '1' else 
   Config_reg_1_64n83ss1 ;
   rtlc64n6628 <= not_rtlcn11076 when rtlcn7540 = '1' else not_rtlcn10592 ;
   data_pointer_26n73ss1(0) <= data_pointer_26n45ss1(0) when rtlcn8238
    = '1' else rtlcn12090(0) ;
   data_pointer_26n73ss1(1) <= data_pointer_26n45ss1(1) when rtlcn8238
    = '1' else rtlcn12090(1) ;
   data_pointer_26n73ss1(2) <= data_pointer_26n45ss1(2) when rtlcn8238
    = '1' else rtlcn12090(2) ;
   data_pointer_26n73ss1(3) <= data_pointer_26n45ss1(3) when rtlcn8238
    = '1' else rtlcn12090(3) ;
   data_pointer_26n73ss1(4) <= data_pointer_26n45ss1(4) when rtlcn8238
    = '1' else rtlcn12090(4) ;
   data_pointer_26n73ss1(5) <= data_pointer_26n45ss1(5) when rtlcn8238
    = '1' else rtlcn12090(5) ;
   data_pointer_26n73ss1(6) <= data_pointer_26n45ss1(6) when rtlcn8238
    = '1' else rtlcn12090(6) ;
   data_pointer_26n73ss1(7) <= data_pointer_26n45ss1(7) when rtlcn8294
    = '1' else rtlcn12090(7) ;
   data_pointer_26n73ss1(8) <= rtlcn12090(8) when rtlcn8301 = '1' else 
   data_pointer_26n45ss1(8) ;
   data_pointer_26n73ss1(9) <= rtlcn12090(9) when rtlcn8309 = '1' else 
   data_pointer_26n45ss1(9) ;
   data_pointer_26n73ss1(10) <= data_pointer_26n45ss1(10) when rtlcn8318
    = '1' else rtlcn12090(10) ;
   data_pointer_26n73ss1(11) <= data_pointer_26n45ss1(11) when rtlcn8322
    = '1' else rtlcn12090(11) ;
   data_pointer_26n73ss1(12) <= data_pointer_26n45ss1(12) when rtlcn8326
    = '1' else rtlcn12090(12) ;
   rtlcn9868 <= CE AND Arbiter_timeout ;
   not_rtlcn2062 <= NOT rtlcn2062 ;
   rtlcn9905 <= CE AND not_rtlcn2062 ;
   rtlc26n10199 <= rtlcn9868 OR rtlcn9905 ;
   not_rtlcn2064 <= NOT rtlcn2064 ;
   rtlcn9907 <= CE AND not_rtlcn2064 ;
   rtlc26n10194 <= rtlcn9868 OR rtlcn9907 ;
   not_rtlc26n7928 <= NOT rtlc26n7928 ;
   rtlcn9909 <= CE AND not_rtlc26n7928 ;
   rtlc26n10185 <= rtlcn9868 OR rtlcn9909 ;
   not_rtlcn2066 <= NOT rtlcn2066 ;
   rtlcn9911 <= CE AND not_rtlcn2066 ;
   rtlc26n10183 <= rtlcn9868 OR rtlcn9911 ;
   not_rtlcn2069 <= NOT rtlcn2069 ;
   rtlcn9913 <= CE AND not_rtlcn2069 ;
   rtlc26n10181 <= rtlcn9868 OR rtlcn9913 ;
   not_rtlcs53 <= NOT rtlcs53 ;
   rtlcn9863 <= MON_phase_go OR not_rtlcs53 ;
   rtlcn9862 <= CE AND Ack ;
   not_rtlc26n8349 <= NOT rtlc26n8349 ;
   not_rtlcs42 <= NOT rtlc64n5291 ;
   rtlcn9882 <= not_rtlc26n8349 OR not_rtlcs42 ;
   rtlcn9917 <= CE AND rtlcn9882 ;
   rtlcn9887 <= rtlcn9862 OR rtlcn9917 ;
   rtlcn9918 <= rtlcn9863 AND rtlcn9887 ;
   rtlc26n10173 <= rtlcn9868 OR rtlcn9918 ;
   rtlcn9888 <= MON_SOM_phase(7) OR rtlcs40 ;
   rtlc26n10171 <= CE AND rtlcn9888 ;
   rtlc26n10170 <= CE AND rtlc26n8589 ;
   not_rtlc26n7929 <= NOT rtlc26n7929 ;
   rtlc26n10169 <= CE AND not_rtlc26n7929 ;
   not_rtlc26n7927 <= NOT rtlc26n7927 ;
   rtlc26n10113 <= CE AND not_rtlc26n7927 ;
   not_rtlc26n9771 <= NOT rtlc26n9771 ;
   not_rtlcn8816 <= NOT rtlcn8816 ;
   rtlc26n10095 <= CE AND not_rtlcn8816 ;
   rtlcn9926 <= CE AND rtlcn9925 ;
   rtlc26n10094 <= rtlc26n10095 OR rtlcn9926 ;
   rtlcn9928 <= CE AND rtlcn9927 ;
   rtlc26n10093 <= rtlc26n10095 OR rtlcn9928 ;
   rtlcn9930 <= CE AND rtlcn9929 ;
   rtlc26n10092 <= rtlc26n10095 OR rtlcn9930 ;
   not_rtlcn2455 <= NOT rtlcn2455 ;
   rtlcn9932 <= CE AND not_rtlcn2455 ;
   rtlc26n10091 <= rtlc26n10095 OR rtlcn9932 ;
   not_rtlcn2454 <= NOT rtlcn2454 ;
   rtlcn9934 <= CE AND not_rtlcn2454 ;
   rtlc26n10090 <= rtlc26n10095 OR rtlcn9934 ;
   not_rtlcn2453 <= NOT rtlcn2453 ;
   rtlcn9936 <= CE AND not_rtlcn2453 ;
   rtlc26n10089 <= rtlc26n10095 OR rtlcn9936 ;
   rtlcn9937 <= CE AND rtlcs41 ;
   rtlc26n10088 <= rtlc26n10095 OR rtlcn9937 ;
   not_rtlc26n8328 <= NOT rtlc26n8328 ;
   rtlc26n10063 <= CE AND not_rtlc26n8328 ;
   not_rtlc26n8327 <= NOT rtlc26n8327 ;
   rtlc26n10047 <= CE AND not_rtlc26n8327 ;
   not_rtlc26n8326 <= NOT rtlc26n8326 ;
   rtlc26n10046 <= CE AND not_rtlc26n8326 ;
   rtlc26n10045 <= CE AND MON_SOM_phase(7) ;
   rtlcn9889 <= SOM_phase_8 OR rtlcs59 ;
   rtlcn9941 <= CE AND rtlcn9889 ;
   rtlc26n10044 <= rtlc26n10088 OR rtlcn9941 ;
   not_rtlc26n7554 <= NOT rtlc26n7554 ;
   rtlc26n10028 <= CE AND not_rtlc26n7554 ;
   not_rtlc26n7553 <= NOT rtlc26n7553 ;
   rtlc26n10024 <= CE AND not_rtlc26n7553 ;
   not_rtlc26n7925 <= NOT rtlc26n7925 ;
   rtlc26n10021 <= CE AND not_rtlc26n7925 ;
   not_rtlc26n7924 <= NOT rtlc26n7924 ;
   rtlc26n10020 <= CE AND not_rtlc26n7924 ;
   not_rtlc26n7923 <= NOT rtlc26n7923 ;
   rtlc26n10019 <= CE AND not_rtlc26n7923 ;
   not_rtlc26n7922 <= NOT rtlc26n7922 ;
   rtlc26n10018 <= CE AND not_rtlc26n7922 ;
   not_rtlc26n7921 <= NOT rtlc26n7921 ;
   rtlc26n10017 <= CE AND not_rtlc26n7921 ;
   not_rtlc26n7920 <= NOT rtlc26n7920 ;
   rtlc26n10016 <= CE AND not_rtlc26n7920 ;
   not_rtlc26n7919 <= NOT rtlc26n7919 ;
   rtlc26n10015 <= CE AND not_rtlc26n7919 ;
   rtlc26n10008 <= CE AND rtlcn9951 ;
   rtlc26n9992 <= CE AND rtlcn5509 ;
   not_rtlc26n7312 <= NOT rtlc26n7312 ;
   rtlcn9954 <= CE AND not_rtlc26n7312 ;
   rtlc26n9987 <= rtlc26n9992 OR rtlcn9954 ;
   not_rtlc26n7311 <= NOT rtlc26n7311 ;
   rtlcn9956 <= CE AND not_rtlc26n7311 ;
   rtlc26n9986 <= rtlc26n9992 OR rtlcn9956 ;
   not_rtlc26n7310 <= NOT rtlc26n7310 ;
   rtlcn9958 <= CE AND not_rtlc26n7310 ;
   rtlc26n9985 <= rtlc26n9992 OR rtlcn9958 ;
   rtlcn9960 <= CE AND rtlcn9959 ;
   rtlc26n9984 <= rtlc26n9992 OR rtlcn9960 ;
   not_EOM_phase_0 <= NOT EOM_phase(0) ;
   not_rtlcs57 <= NOT rtlcs57 ;
   rtlcn9871 <= not_EOM_phase_0 OR not_rtlcs57 ;
   rtlcn9875 <= not_rtlcs59 OR rtlc26n7891 ;
   not_rtlc26n9674 <= NOT rtlc26n9674 ;
   rtlcn9966 <= not_rtlc26n9674 AND rtlcn9875 ;
   rtlc_17374_or_643 : or_6u_6u port map ( a(5)=>rtlc26n9590, a(4)=>
      not_rtlc26n9797, a(3)=>rtlcn9871, a(2)=>rtlcn9966, a(1)=>
      not_rtlcn10972, a(0)=>rtlc64n5291, d=>rtlcn9890);
   rtlc26n9975 <= CE AND rtlcn9890 ;
   rtlc26n6970 <= not_Ack OR rtlcs96 ;
   not_SOM_phase_0 <= NOT SOM_phase_0 ;
   not_rtlcs95 <= NOT rtlcs95 ;
   not_MON_SOM_phase_0 <= NOT MON_SOM_phase(0) ;
   rtlcn9976 <= not_rtlc26n6798 AND rtlcn9876 ;
   rtlc_17385_or_644 : or_6u_6u port map ( a(5)=>MON_Phase(0), a(4)=>
      rtlcn9871, a(3)=>not_SOM_phase_0, a(2)=>not_rtlcs95, a(1)=>
      not_MON_SOM_phase_0, a(0)=>rtlcn9976, d=>rtlcn9891);
   rtlc26n9959 <= CE AND rtlcn9891 ;
   not_rtlc30n16365 <= NOT rtlc30n16365 ;
   rtlcn9877 <= eBC_Conditions_11 OR not_rtlc30n16365 ;
   rtlc30n17081 <= CE AND rtlcn9979 ;
   not_rtlcn2484 <= NOT rtlcn2484 ;
   rtlc30n17075 <= not_rtlcn2484 AND rtlcn9862 ;
   rtlcn9864 <= rtlc30n13804 OR NOT_BC_State_59 ;
   not_BC_State_83 <= NOT BC_State(83) ;
   rtlcn9983 <= CE AND not_BC_State_83 ;
   rtlcn9883 <= rtlcn9862 OR rtlcn9983 ;
   not_rtlc30n13804 <= NOT rtlc30n13804 ;
   not_rtlcn2511 <= NOT rtlcn2511 ;
   rtlcn9878 <= rtlc30n13363 OR not_rtlcn2511 ;
   rtlc30n17053 <= CE AND rtlcn9892 ;
   rtlcn9872 <= not_BC_State_52 OR BC_reported_errors ;
   rtlcn9988 <= BC_reported_errors AND rtlcn9862 ;
   not_BC_State_13 <= NOT BC_State(13) ;
   rtlcn9893 <= rtlcn9988 OR rtlcn9990 ;
   rtlc30n17051 <= rtlc30n16340 AND rtlcn9893 ;
   not_BC_reported_errors <= NOT BC_reported_errors ;
   not_rtlc30n15465 <= NOT rtlc30n15465 ;
   rtlc30n17050 <= CE AND not_rtlc30n15465 ;
   not_BC_Write <= NOT BC_Write ;
   not_BC_State_44 <= NOT BC_State(44) ;
   rtlcn9869 <= not_BC_Write OR not_BC_State_44 ;
   not_rtlc30n18993 <= NOT rtlc30n18993 ;
   not_BC_State_15 <= NOT BC_State(15) ;
   rtlcn9870 <= not_rtlc30n18993 OR not_BC_State_15 ;
   not_BC_State_40 <= NOT BC_State(40) ;
   rtlcn9884 <= rtlcn9996 OR rtlcn9998 ;
   not_rtlcn2509 <= NOT rtlcn2509 ;
   rtlcn10001 <= CE AND not_rtlcn2509 ;
   rtlcn9894 <= rtlcn9862 OR rtlcn10001 ;
   rtlc30n17038 <= rtlc30n17301 AND rtlcn9894 ;
   not_rtlcn2507 <= NOT rtlcn2507 ;
   rtlcn10004 <= CE AND not_rtlcn2507 ;
   rtlcn9895 <= rtlcn9862 OR rtlcn10004 ;
   rtlc30n17022 <= rtlc30n17298 AND rtlcn9895 ;
   not_rtlc30n16305 <= NOT rtlc30n16305 ;
   rtlcn9859 <= Ack OR not_rtlc30n16305 ;
   rtlc26n7239 <= not_Ack OR not_rtlcs142 ;
   rtlcn9865 <= CE AND rtlc30n17284 ;
   rtlcn9867 <= rtlcn9859 AND rtlcn9865 ;
   rtlcn9886 <= NOT_BC_State_12 AND rtlcn9867 ;
   not_rtlc26n7239 <= NOT rtlc26n7239 ;
   rtlcn10012 <= not_rtlc26n7239 AND rtlcn9867 ;
   rtlc30n17000 <= rtlcn9886 OR rtlcn10012 ;
   rtlc26n7238 <= not_Ack OR not_Config_reg_3_14 ;
   not_rtlc26n7238 <= NOT rtlc26n7238 ;
   rtlcn10015 <= not_rtlc26n7238 AND rtlcn9867 ;
   rtlc30n16999 <= rtlcn9886 OR rtlcn10015 ;
   rtlc26n7237 <= not_Ack OR rtlcs143 ;
   not_rtlc26n7237 <= NOT rtlc26n7237 ;
   rtlcn10017 <= not_rtlc26n7237 AND rtlcn9867 ;
   rtlc30n16998 <= rtlcn9886 OR rtlcn10017 ;
   rtlcn10018 <= rtlc30n17284 AND rtlcn9862 ;
   not_rtlcn2499 <= NOT rtlcn2499 ;
   rtlcn10020 <= not_rtlcn2499 AND rtlcn9865 ;
   rtlc30n16997 <= rtlcn10018 OR rtlcn10020 ;
   not_BC_State_16 <= NOT BC_State(16) ;
   not_BC_State_17 <= NOT BC_State(17) ;
   not_BC_State_21 <= NOT BC_State(21) ;
   not_BC_State_23 <= NOT BC_State(23) ;
   not_BC_State_26 <= NOT BC_State(26) ;
   not_BC_State_27 <= NOT BC_State(27) ;
   not_BC_State_28 <= NOT BC_State(28) ;
   not_BC_State_29 <= NOT BC_State(29) ;
   not_BC_State_33 <= NOT BC_State(33) ;
   not_BC_State_34 <= NOT BC_State(34) ;
   not_BC_State_35 <= NOT BC_State(35) ;
   not_BC_State_41 <= NOT BC_State(41) ;
   not_BC_State_46 <= NOT BC_State(46) ;
   not_BC_State_50 <= NOT BC_State(50) ;
   not_BC_State_53 <= NOT BC_State(53) ;
   not_BC_State_55 <= NOT BC_State(55) ;
   not_BC_State_60 <= NOT BC_State(60) ;
   not_BC_State_61 <= NOT BC_State(61) ;
   not_BC_State_63 <= NOT BC_State(63) ;
   not_BC_State_64 <= NOT BC_State(64) ;
   not_BC_State_66 <= NOT BC_State(66) ;
   not_BC_State_67 <= NOT BC_State(67) ;
   not_BC_State_68 <= NOT BC_State(68) ;
   not_BC_State_69 <= NOT BC_State(69) ;
   not_BC_State_70 <= NOT BC_State(70) ;
   not_BC_State_72 <= NOT BC_State(72) ;
   not_BC_State_76 <= NOT BC_State(76) ;
   not_BC_State_77 <= NOT BC_State(77) ;
   not_BC_State_78 <= NOT BC_State(78) ;
   not_BC_State_80 <= NOT BC_State(80) ;
   not_BC_State_81 <= NOT BC_State(81) ;
   not_BC_State_82 <= NOT BC_State(82) ;
   not_BC_State_85 <= NOT BC_State(85) ;
   not_BC_State_89 <= NOT BC_State(89) ;
   not_BC_State_90 <= NOT BC_State(90) ;
   not_BC_State_91 <= NOT BC_State(91) ;
   not_rtlcn9885 <= NOT rtlcn9885 ;
   rtlc_17510_and_654 : and_44u_44u port map ( a(43)=>CE, a(42)=>
      NOT_BC_State_59, a(41)=>not_BC_State_15, a(40)=>not_BC_State_40, a(39)
      =>not_BC_State_44, a(38)=>not_BC_State_16, a(37)=>not_BC_State_17, 
      a(36)=>not_BC_State_21, a(35)=>not_BC_State_23, a(34)=>not_BC_State_24, 
      a(33)=>not_BC_State_26, a(32)=>not_BC_State_27, a(31)=>not_BC_State_28, 
      a(30)=>not_BC_State_29, a(29)=>not_BC_State_33, a(28)=>not_BC_State_34, 
      a(27)=>not_BC_State_35, a(26)=>not_BC_State_41, a(25)=>not_BC_State_46, 
      a(24)=>not_BC_State_50, a(23)=>not_BC_State_53, a(22)=>not_BC_State_55, 
      a(21)=>not_BC_State_57, a(20)=>not_BC_State_60, a(19)=>not_BC_State_61, 
      a(18)=>not_BC_State_63, a(17)=>not_BC_State_64, a(16)=>not_BC_State_66, 
      a(15)=>not_BC_State_67, a(14)=>not_BC_State_68, a(13)=>not_BC_State_69, 
      a(12)=>not_BC_State_70, a(11)=>not_BC_State_72, a(10)=>not_BC_State_76, 
      a(9)=>not_BC_State_77, a(8)=>not_BC_State_78, a(7)=>not_BC_State_80, 
      a(6)=>not_BC_State_81, a(5)=>not_BC_State_82, a(4)=>not_BC_State_85, 
      a(3)=>not_BC_State_89, a(2)=>not_BC_State_90, a(1)=>not_BC_State_91, 
      a(0)=>not_rtlcn9885, d=>rtlc30n16970);
   not_rtlcn2282 <= NOT rtlcn2282 ;
   rtlc30n16954 <= CE AND not_rtlcn2282 ;
   not_BC_State_7 <= NOT BC_State(7) ;
   rtlcn9896 <= BC_State(15) OR BC_State(18) ;
   rtlc30n16933 <= CE AND rtlcn9896 ;
   not_BC_State_32 <= NOT BC_State(32) ;
   rtlcn10064 <= CE AND not_BC_State_32 ;
   rtlcn9897 <= rtlcn9862 OR rtlcn10064 ;
   rtlc30n16931 <= rtlc30n17273 AND rtlcn9897 ;
   rtlc30n16913 <= CE AND rtlcn10066 ;
   rtlcn9881 <= YES_49n2s2 OR not_rtlc30n16072 ;
   rtlc_17529_or_657 : or_4u_4u port map ( a(3)=>Clear_Intn_level, a(2)=>
      rtlc33n262, a(1)=>rtlc33n371, a(0)=>rtlc33n443, d=>rtlcn9898);
   rtlc33n642 <= CE AND rtlcn9898 ;
   not_rtlc36n583 <= NOT rtlc36n583 ;
   rtlc36n706 <= CE AND not_rtlc36n583 ;
   not_rtlc36n556 <= NOT rtlc36n556 ;
   rtlc36n705 <= CE AND not_rtlc36n556 ;
   not_rtlc36n555 <= NOT rtlc36n555 ;
   rtlc36n704 <= CE AND not_rtlc36n555 ;
   not_rtlc36n554 <= NOT rtlc36n554 ;
   rtlc36n703 <= CE AND not_rtlc36n554 ;
   not_rtlcn2466 <= NOT rtlcn2466 ;
   rtlcn9899 <= rtlc36n441 OR not_rtlcn2466 ;
   rtlc36n702 <= CE AND rtlcn9899 ;
   not_rtlc36n552 <= NOT rtlc36n552 ;
   rtlc36n701 <= CE AND not_rtlc36n552 ;
   not_rtlc36n551 <= NOT rtlc36n551 ;
   rtlc36n700 <= CE AND not_rtlc36n551 ;
   rtlcn9860 <= CE AND BC_Go_EXMPLR881 ;
   rtlcn10076 <= CE AND BC_FE_All_Errors ;
   rtlc42n63 <= rtlcn9860 OR rtlcn10076 ;
   rtlcn10077 <= CE AND rtlc45n105 ;
   rtlc45n353 <= rtlcn9860 OR rtlcn10077 ;
   rtlcn10078 <= CE AND status_set_dt ;
   rtlc45n352 <= rtlcn9860 OR rtlcn10078 ;
   rtlcn10079 <= CE AND rtlc45n132 ;
   rtlc45n351 <= rtlcn9860 OR rtlcn10079 ;
   rtlcn10080 <= CE AND BC_Response_timeout_Error ;
   rtlc45n350 <= rtlcn9860 OR rtlcn10080 ;
   rtlcn10081 <= CE AND rtlc45n148 ;
   rtlc45n349 <= rtlcn9860 OR rtlcn10081 ;
   rtlcn10082 <= CE AND Enhanced_status_set_dt ;
   rtlc45n348 <= rtlcn9860 OR rtlcn10082 ;
   rtlcn10083 <= CE AND rtlcs141 ;
   rtlc45n347 <= rtlcn9860 OR rtlcn10083 ;
   rtlcn10084 <= CE AND YES_49n2s1 ;
   rtlc45n346 <= rtlcn9860 OR rtlcn10084 ;
   rtlcn10085 <= CE AND BC_Found_wrong_RT_Address ;
   rtlc45n344 <= rtlcn9860 OR rtlcn10085 ;
   rtlcn10086 <= CE AND BC_Found_wrong_word_count ;
   rtlc45n343 <= rtlcn9860 OR rtlcn10086 ;
   rtlcn10087 <= CE AND BC_wrong_sync ;
   rtlc45n342 <= rtlcn9860 OR rtlcn10087 ;
   rtlcn10088 <= CE AND BC_Found_Format_Error ;
   rtlc45n341 <= rtlcn9860 OR rtlcn10088 ;
   rtlc48n315 <= rtlcn9860 OR rtlcn10089 ;
   not_BC_Go <= NOT BC_Go_EXMPLR881 ;
   rtlc48n314 <= rtlcn9860 OR rtlcn10090 ;
   rtlcn10092 <= rtlcn1213 AND not_rtlc52n346 ;
   rtlcn9900 <= BC_Load_msg_gap_counter OR rtlcn10092 ;
   rtlc52n257 <= CE AND rtlcn9900 ;
   not_BC_Load_msg_gap_counter <= NOT BC_Load_msg_gap_counter ;
   rtlc55n394 <= CE AND eBC_FT_Load ;
   rtlcn10094 <= rtlcn1212 AND not_rtlc55n502 ;
   rtlc55n378 <= CE AND rtlcn9901 ;
   not_BC_Load_frame_gap_counter <= NOT BC_Load_frame_gap_counter ;
   rtlc64n7442 <= rtlc64n6439 AND rtlcs232 ;
   not_rtlc64n6394 <= NOT rtlc64n6394 ;
   not_rtlc64n6393 <= NOT rtlc64n6393 ;
   not_rtlc64n6392 <= NOT rtlc64n6392 ;
   not_rtlc64n6391 <= NOT rtlc64n6391 ;
   not_rtlc64n6390 <= NOT rtlc64n6390 ;
   not_rtlc64n6389 <= NOT rtlc64n6389 ;
   not_rtlc64n6388 <= NOT rtlc64n6388 ;
   not_rtlc64n6387 <= NOT rtlc64n6387 ;
   rtlc64n5879 <= not_rtlc64n6439 OR not_rtlcn10204 ;
   not_rtlc64n5879 <= NOT rtlc64n5879 ;
   not_rtlc64n5999 <= NOT rtlc64n5999 ;
   not_rtlc64n5523 <= NOT rtlc64n5523 ;
   rtlc64n7409 <= rtlc64n6439 AND not_rtlc64n5523 ;
   rtlc64n7408 <= CE AND rtlcn9902 ;
   rtlc64n7407 <= test_complete OR rtlcn10100 ;
   not_CPU_Data_in_wide_23 <= NOT CPU_Data_in_wide(23) ;
   not_test_complete <= NOT test_complete ;
   rtlc64n7406 <= test_complete OR rtlcn10101 ;
   not_CPU_Data_in_wide_25 <= NOT CPU_Data_in_wide(25) ;
   not_rtlc64n5874 <= NOT rtlc64n5874 ;
   not_rtlc64n5998 <= NOT rtlc64n5998 ;
   not_rtlc64n5997 <= NOT rtlc64n5997 ;
   rtlc64n7401 <= rtlc64n6439 AND rtlcs257 ;
   not_rtlc64n5870 <= NOT rtlc64n5870 ;
   not_rtlc64n5869 <= NOT rtlc64n5869 ;
   not_rtlc64n5868 <= NOT rtlc64n5868 ;
   not_rtlcn2474 <= NOT rtlcn2474 ;
   rtlc64n7368 <= not_rtlc64n5868 OR not_rtlcn2474 ;
   not_rtlcn2472 <= NOT rtlcn2472 ;
   rtlc64n7367 <= not_rtlc64n5868 OR not_rtlcn2472 ;
   rtlc64n7366 <= rtlc64n6439 AND rtlcs244 ;
   rtlc64n7318 <= rtlc64n6439 AND rtlcs254 ;
   rtlc64n7316 <= CE OR rtlc64n7318 ;
   not_rtlc64n5860 <= NOT rtlc64n5860 ;
   not_rtlcn7545 <= NOT rtlcn7545 ;
   rtlc64n7248 <= not_rtlc64n5860 OR not_rtlcn7545 ;
   not_rtlc64n6632 <= NOT rtlc64n6632 ;
   not_rtlc64n6631 <= NOT rtlc64n6631 ;
   not_rtlc64n6630 <= NOT rtlc64n6630 ;
   not_Config_reg_3_15 <= NOT Config_reg_3_15 ;
   not_rtlc64n6629 <= NOT rtlc64n6629 ;
   not_rtlc64n6628 <= NOT rtlc64n6628 ;
   not_rtlc64n5859 <= NOT rtlc64n5859 ;
   not_rtlc64n5858 <= NOT rtlc64n5858 ;
   not_rtlc64n5857 <= NOT rtlc64n5857 ;
   not_Read_from_int_vec <= NOT Read_from_int_vec ;
   rtlc79n2848 <= not_Read_from_int_vec OR MIL1553_errors_transmitter_timout
    ;
   rtlc79n1419 <= not_CE OR Read_from_int_vec2 ;
   not_rtlc79n1419 <= NOT rtlc79n1419 ;
   rtlc79n2846 <= not_rtlc79n1419 OR eBC_Bad_Parity ;
   rtlc79n2844 <= not_rtlc79n1419 OR rtlc79n1807 ;
   rtlc79n2843 <= not_rtlc79n1419 OR eBC_Stack_error ;
   rtlc79n2842 <= not_rtlc79n1419 OR eBC_Bad_instruction ;
   rtlc79n2839 <= not_rtlc79n1419 OR Monitor_command_stack_half_pass ;
   rtlc79n2838 <= not_rtlc79n1419 OR Monitor_data_stack_half_pass ;
   not_rtlc79n1931 <= NOT rtlc79n1931 ;
   not_rtlc79n1930 <= NOT rtlc79n1930 ;
   not_rtlc79n1929 <= NOT rtlc79n1929 ;
   not_rtlc79n1928 <= NOT rtlc79n1928 ;
   rtlc79n2833 <= not_rtlc79n1928 OR BIT_Test_complete ;
   rtlcn9857 <= not_CE OR Read_from_int_vec ;
   not_rtlcn9857 <= NOT rtlcn9857 ;
   rtlc79n2829 <= MIL1553_errors_transmitter_timout OR not_rtlcn9857 ;
   rtlc79n2828 <= not_rtlcn9857 OR rtlc79n1506 ;
   rtlc79n2827 <= not_rtlcn9857 OR Monitor_command_stack_rollover ;
   rtlc79n2826 <= not_rtlcn9857 OR Monitor_data_stack_rollover ;
   rtlc79n2824 <= not_rtlcn9857 OR BC_Retry_pulse ;
   rtlc79n2822 <= not_rtlcn9857 OR rtlc79n1606 ;
   rtlc79n2821 <= not_rtlcn9857 OR rtlc79n1624 ;
   rtlc79n2820 <= not_rtlcn9857 OR rtlc79n1673 ;
   rtlc79n2819 <= not_rtlcn9857 OR rtlc79n1689 ;
   rtlc79n2818 <= not_rtlcn9857 OR rtlc79n1724 ;
   rtlc79n2817 <= not_rtlcn9857 OR rtlc79n1754 ;
   rtlc79n2816 <= not_rtlcn9857 OR rtlc79n1778 ;
   not_rtlcn10154 <= NOT rtlcn10154 ;
   rtlc79n2815 <= CE OR not_rtlcn10154 ;
   not_rtlcn10153 <= NOT rtlcn10153 ;
   rtlc79n2814 <= CE OR not_rtlcn10153 ;
   not_rtlc79n1927 <= NOT rtlc79n1927 ;
   rtlc79n2813 <= BIT_Test_complete OR not_rtlc79n1927 ;
   not_rtlc79n1474 <= NOT rtlc79n1474 ;
   rtlc79n2812 <= eBC_Bad_Parity OR not_rtlc79n1474 ;
   rtlc79n2810 <= rtlc79n1807 OR not_rtlc79n1474 ;
   rtlc79n2809 <= eBC_Stack_error OR not_rtlc79n1474 ;
   rtlc79n2808 <= eBC_Bad_instruction OR not_rtlc79n1474 ;
   rtlc79n2805 <= Monitor_command_stack_half_pass OR not_rtlc79n1474 ;
   rtlc79n2804 <= Monitor_data_stack_half_pass OR not_rtlc79n1474 ;
   not_rtlcn10158 <= NOT rtlcn10158 ;
   rtlc79n2803 <= not_rtlc79n1474 OR not_rtlcn10158 ;
   not_rtlcn10157 <= NOT rtlcn10157 ;
   rtlc79n2802 <= not_rtlc79n1474 OR not_rtlcn10157 ;
   not_rtlcn10156 <= NOT rtlcn10156 ;
   rtlc79n2801 <= not_rtlc79n1474 OR not_rtlcn10156 ;
   not_rtlcn10155 <= NOT rtlcn10155 ;
   rtlc79n2800 <= not_rtlc79n1474 OR not_rtlcn10155 ;
   rtlc79n2799 <= BIT_Test_complete OR not_rtlc79n1474 ;
   not_rtlc79n1473 <= NOT rtlc79n1473 ;
   rtlc79n2797 <= MIL1553_errors_transmitter_timout OR not_rtlc79n1473 ;
   rtlc79n2796 <= rtlc79n1506 OR not_rtlc79n1473 ;
   rtlc79n2795 <= Monitor_command_stack_rollover OR not_rtlc79n1473 ;
   rtlc79n2794 <= Monitor_data_stack_rollover OR not_rtlc79n1473 ;
   rtlc79n2792 <= BC_Retry_pulse OR not_rtlc79n1473 ;
   rtlc79n2790 <= rtlc79n1606 OR not_rtlc79n1473 ;
   rtlc79n2789 <= rtlc79n1624 OR not_rtlc79n1473 ;
   rtlc79n2788 <= rtlc79n1673 OR not_rtlc79n1473 ;
   rtlc79n2787 <= rtlc79n1689 OR not_rtlc79n1473 ;
   rtlc79n2786 <= rtlc79n1724 OR not_rtlc79n1473 ;
   rtlc79n2785 <= rtlc79n1754 OR not_rtlc79n1473 ;
   rtlc79n2784 <= rtlc79n1778 OR not_rtlc79n1473 ;
   rtlcn9858 <= rtlc82n119 OR rtlc82n145 ;
   rtlcn9861 <= CE AND rtlcn9858 ;
   rtlcn10124 <= CE AND MIL1553_errors_transmitter_timout ;
   rtlc82n400 <= rtlcn9861 OR rtlcn10124 ;
   rtlcn10125 <= CE AND MIL1553_errors_echo_back_bus_B ;
   rtlc82n399 <= rtlcn9861 OR rtlcn10125 ;
   rtlcn10126 <= CE AND MIL1553_errors_echo_back_bus_A ;
   rtlc82n398 <= rtlcn9861 OR rtlcn10126 ;
   rtlcn10127 <= CE AND MIL1553_errors_bus_B_shutdown ;
   rtlc82n396 <= rtlcn9861 OR rtlcn10127 ;
   rtlcn10128 <= CE AND MIL1553_errors_bus_A_shutdown ;
   rtlc82n395 <= rtlcn9861 OR rtlcn10128 ;
   rtlcn10129 <= CE AND MIL1553_errors_Inhibit_TF ;
   rtlc82n394 <= rtlcn9861 OR rtlcn10129 ;
   not_rtlcn2483 <= NOT rtlcn2483 ;
   rtlc88n251 <= Clear_Test_Status_reg OR not_rtlcn2483 ;
   not_rtlc88n141 <= NOT rtlc88n141 ;
   not_rtlcn2482 <= NOT rtlcn2482 ;
   rtlc88n247 <= Clear_Test_Status_reg OR not_rtlcn2482 ;
   not_rtlc88n179 <= NOT rtlc88n179 ;
   not_rtlc88n180 <= NOT rtlc88n180 ;
   not_rtlcs302 <= NOT rtlcs302 ;
   not_rtlcn1230 <= NOT rtlcn1230 ;
   rtlcn9866 <= CE AND WM_On ;
   rtlc91n762 <= rtlc91n674 AND rtlcn9866 ;
   rtlcn9873 <= state(6) OR state(7) ;
   rtlc91n745 <= rtlcn9866 AND rtlcn9873 ;
   rtlc91n730 <= rtlcn9866 AND rtlcn9903 ;
   rtlc_17798_or_667 : or_4u_4u port map ( a(3)=>BC_State(1), a(2)=>
      BC_State(22), a(1)=>BC_State(51), a(0)=>BC_State(52), d=>rtlcn9885);
   rtlc_17800_and_669 : and_6u_6u port map ( a(5)=>rtlc64n6439, a(4)=>
      CPU_WE_vec(0), a(3)=>not_CPU_Address_1, a(2)=>not_CPU_Address_2, a(1)
      =>CPU_Address(3), a(0)=>CPU_Address(4), d=>rtlc64n7334);
   eBC_Watchdog_eq0_55n5ss1 <= eBC_Watchdog_enable AND rtlcn10141 ;
   rtlc36n552 <= not_rtlc36n429 AND rtlcn10143 ;
   rtlc64n5513 <= rtlc64n5337 AND rtlcn10144 ;
   rtlc64n5859 <= not_CE AND rtlcn10145 ;
   rtlc64n5868 <= not_CE AND rtlcn10146 ;
   rtlc64n5869 <= rtlc64n5340 AND rtlcn10147 ;
   rtlc64n5997 <= rtlc64n5872 AND rtlcn3532 ;
   rtlc64n5998 <= rtlc64n5873 AND rtlcn3501 ;
   rtlc64n5999 <= rtlc64n5879 AND rtlcn10150 ;
   rtlc79n1473 <= rtlc79n1416 AND rtlcn10153 ;
   rtlc79n1474 <= rtlc79n1417 AND rtlcn10154 ;
   rtlc79n1928 <= rtlc79n1419 AND rtlcn10155 ;
   rtlc79n1929 <= rtlc79n1419 AND rtlcn10156 ;
   rtlc79n1930 <= rtlc79n1419 AND rtlcn10157 ;
   rtlc79n1931 <= rtlc79n1419 AND rtlcn10158 ;
   rtlc88n179 <= not_Clear_Test_Status_reg AND rtlcn10159 ;
   rtlc64n5870 <= rtlc64n5341 AND rtlcn10160 ;
   rtlc64n6394 <= rtlc64n5887 AND rtlcn10161 ;
   rtlc64n6393 <= rtlc64n5886 AND rtlcn10162 ;
   rtlc64n6392 <= rtlc64n5885 AND rtlcn10163 ;
   rtlc64n6391 <= rtlc64n5884 AND rtlcn10164 ;
   rtlc64n6390 <= rtlc64n5883 AND rtlcn10165 ;
   rtlc64n6389 <= rtlc64n5882 AND rtlcn10166 ;
   rtlc36n551 <= not_rtlc36n411 AND rtlcn10167 ;
   rtlc36n556 <= not_rtlc36n468 AND rtlcn10168 ;
   rtlc36n555 <= not_rtlc36n451 AND rtlcn10169 ;
   rtlc36n554 <= not_rtlc36n459 AND rtlcn10170 ;
   rtlc26n7925 <= rtlc26n7553 AND rtlcn10171 ;
   rtlcn2404 <= rtlcs249 OR not_rtlcn9812 ;
   rtlcn1214 <= MT_On_Async_64n27s3 OR Monitor_new_command ;
   Monitor_command_stack_half_pass_26n77s2 <= rtlcs2 AND 
   Monitor_command_stack_rollover_26n77s1 ;
   Monitor_command_stack_rollover_26n77s4 <= rtlcs6 AND 
   Monitor_command_stack_rollover_26n77s3 ;
   Monitor_command_stack_half_pass_26n77s4 <= rtlcs8 AND 
   Monitor_command_stack_rollover_26n77s3 ;
   Monitor_command_stack_rollover_26n77s3 <= rtlcs9 AND 
   Monitor_command_stack_rollover_26n77s2 ;
   Monitor_command_stack_half_pass_26n77s3 <= rtlcs11 AND 
   Monitor_command_stack_rollover_26n77s2 ;
   Monitor_command_stack_rollover_26n77s2 <= rtlc26n10771 AND 
   Monitor_command_stack_rollover_26n77s1 ;
   Monitor_data_stack_rollover_26n104s1 <= monitor_data_pointer(14) AND 
   Monitor_data_stack_rollover_26n104s2 ;
   Monitor_data_stack_half_pass_26n104s1 <= not_monitor_data_pointer_14 AND 
   Monitor_data_stack_rollover_26n104s2 ;
   Monitor_data_stack_rollover_26n104s2 <= monitor_data_pointer(13) AND 
   Monitor_data_stack_rollover_26n104s3 ;
   Monitor_data_stack_half_pass_26n104s2 <= not_monitor_data_pointer_13 AND 
   Monitor_data_stack_rollover_26n104s3 ;
   Monitor_data_stack_rollover_26n104s3 <= monitor_data_pointer(12) AND 
   Monitor_data_stack_rollover_26n104s4 ;
   Monitor_data_stack_half_pass_26n104s3 <= not_monitor_data_pointer_12 AND 
   Monitor_data_stack_rollover_26n104s4 ;
   Monitor_data_stack_rollover_26n104s4 <= monitor_data_pointer(11) AND 
   Monitor_data_stack_rollover_26n104s5 ;
   Monitor_data_stack_half_pass_26n104s4 <= not_monitor_data_pointer_11 AND 
   Monitor_data_stack_rollover_26n104s5 ;
   Monitor_data_stack_rollover_26n104s5 <= monitor_data_pointer(10) AND 
   Monitor_data_stack_rollover_26n104s6 ;
   Monitor_data_stack_half_pass_26n104s5 <= not_monitor_data_pointer_10 AND 
   Monitor_data_stack_rollover_26n104s6 ;
   Monitor_data_stack_rollover_26n104s6 <= monitor_data_pointer(9) AND 
   Monitor_data_stack_rollover_26n104s7 ;
   Monitor_data_stack_half_pass_26n104s6 <= not_monitor_data_pointer_9 AND 
   Monitor_data_stack_rollover_26n104s7 ;
   rtlcs44 <= rtlcs43 AND rtlcs45 ;
   rtlcs47 <= not_Config_reg_3_8 AND rtlcs46 ;
   rtlcs50 <= not_Config_reg_3_9 AND rtlcs49 ;
   rtlcs62 <= rtlcs61 AND rtlcs63 ;
   rtlcs64 <= rtlcs63 AND rtlcs65 ;
   rtlcs66 <= rtlcs65 AND rtlcs67 ;
   rtlcs68 <= rtlcs69 AND rtlcs67 ;
   rtlcs72 <= not_GMM_0 AND rtlcs71 ;
   rtlcs74 <= rtlcs71 AND rtlcs75 ;
   rtlcs76 <= rtlcs69 AND rtlcs75 ;
   rtlcs78 <= rtlcs77 AND rtlcs79 ;
   rtlcs80 <= rtlcs79 AND rtlcs81 ;
   rtlcs82 <= rtlcs81 AND rtlcs83 ;
   rtlcs84 <= rtlcs85 AND rtlcs83 ;
   rtlcs88 <= not_MM_0 AND rtlcs87 ;
   rtlcs90 <= rtlcs87 AND rtlcs91 ;
   rtlcs92 <= rtlcs85 AND rtlcs91 ;
   rtlcs98 <= eBC_FT_Load_30n148s1 AND rtlcs99 ;
   rtlcs101 <= rtlcs99 AND rtlcs102 ;
   rtlcs107 <= eBC_TT_do_30n148s1 AND rtlcs102 ;
   rtlcs108 <= rtlcs109 AND rtlcs110 ;
   rtlcs112 <= rtlcs111 AND rtlcs110 ;
   rtlcs111 <= rtlcs113 AND rtlcs114 ;
   rtlcs115 <= Data_o_temp(13) AND rtlcs114 ;
   rtlcs118 <= rtlcs122 AND rtlcs114 ;
   rtlcs114 <= Ack AND rtlcs124 ;
   rtlcs128 <= rtlcs129 AND rtlcs127 ;
   rtlcs130 <= rtlcs131 AND rtlcs127 ;
   rtlcs139 <= Config_reg_4_EXMPLR1013(8) AND YES_49n2s2 ;
   rtlcs310 <= rtlcs151 AND rtlcs153 ;
   Current_command_is_sync_without_data_64n11s2 <= rtlcs310 AND rtlcs154 ;
   rtlcs151 <= Current_command(10) AND rtlcs150 ;
   rtlcs311 <= rtlcs153 AND rtlcs154 ;
   Current_command_is_sync_without_data_64n11s3 <= rtlcs311 AND rtlcs157 ;
   rtlcs157 <= Current_command(10) AND rtlcs156 ;
   rtlcs162 <= rtlcs163 AND rtlcs164 ;
   BC_SP_58n1s4 <= BC_Stack_pointer(10) AND BC_SP_58n1s3 ;
   BC_SP_58n1s3 <= BC_Stack_pointer(9) AND BC_SP_58n1s2 ;
   BC_SP_58n1s2 <= BC_Stack_pointer(8) AND BC_SP_58n1s1 ;
   rtlcs153 <= not_Current_command_4 AND rtlcs184 ;
   rtlcs217 <= rtlcs216 AND rtlcs218 ;
   rtlcs219 <= rtlcs216 AND rtlcs220 ;
   rtlcs216 <= CPU_Address(4) AND rtlcs222 ;
   rtlcs224 <= CPU_WE_vec(1) AND rtlcs223 ;
   rtlcs223 <= rtlcs226 AND rtlcs227 ;
   rtlcs228 <= rtlcs229 AND rtlcs220 ;
   rtlcs220 <= not_CPU_Address_3 AND rtlcs227 ;
   rtlcs232 <= CPU_WE_vec(1) AND rtlcs231 ;
   rtlcs231 <= rtlcs227 AND rtlcs234 ;
   rtlcs236 <= CPU_WE_vec(1) AND rtlcs235 ;
   rtlcs238 <= CPU_WE_vec(0) AND rtlcs235 ;
   rtlcs235 <= rtlcs226 AND rtlcs240 ;
   rtlcs242 <= rtlcs241 AND rtlcs218 ;
   rtlcs244 <= CPU_WE_vec(1) AND rtlcs243 ;
   rtlcs243 <= CPU_Address(3) AND rtlcs241 ;
   rtlcs241 <= not_CPU_Address_1 AND rtlcs240 ;
   rtlcs218 <= not_CPU_Address_3 AND rtlcs240 ;
   rtlcs249 <= rtlcs250 AND rtlcs226 ;
   rtlcs251 <= rtlcs226 AND rtlcs252 ;
   rtlcs254 <= CPU_WE_vec(1) AND rtlcs253 ;
   rtlcs253 <= rtlcs252 AND rtlcs234 ;
   rtlcs257 <= CPU_WE_vec(1) AND rtlcs256 ;
   rtlcs256 <= rtlcs250 AND rtlcs234 ;
   rtlcs259 <= rtlcs266 AND rtlcs250 ;
   rtlcs262 <= CPU_WE_vec(0) AND rtlcs261 ;
   rtlcs261 <= rtlcs250 AND rtlcs222 ;
   rtlcs264 <= rtlcs252 AND rtlcs222 ;
   rtlcs265 <= rtlcs266 AND rtlcs252 ;
   rtlcs269 <= Config_reg_2(7) AND rtlcs268 ;
   rtlcs281 <= rtlcs282 AND rtlcs277 ;
   rtlcs277 <= not_count_T_RESus_3 AND rtlcs284 ;
   rtlcs285 <= rtlcs284 AND rtlcs286 ;
   rtlcs286 <= count_T_RESus(3) AND rtlcs282 ;
   rtlcs282 <= count_T_RESus(2) AND rtlcs280 ;
   not_CPU_Address_3 <= NOT CPU_Address(3) ;
   rtlcs266 <= not_CPU_Address_1 AND not_CPU_Address_3 ;
   rtlcs252 <= not_CPU_Address_2 AND not_CPU_Address_4 ;
   Config_reg_1_64n43ss1_15 <= CPU_Data_in_wide(31) OR not_rtlcn2625 ;
   rtlcs222 <= CPU_Address(1) AND not_CPU_Address_3 ;
   rtlc64n5860 <= not_rtlc64n5378 OR not_rtlc64n6439 ;
   Config_reg_1_64n43ss1_14 <= CPU_Data_in_wide(30) AND rtlcn2625 ;
   Config_reg_1_64n43ss1_12 <= CPU_Data_in_wide(28) AND rtlcn2625 ;
   Config_reg_1_64n43ss1_11 <= CPU_Data_in_wide(27) OR not_rtlcn2625 ;
   Config_reg_1_64n43ss1_10 <= CPU_Data_in_wide(26) AND rtlcn2625 ;
   rtlcs250 <= CPU_Address(2) AND not_CPU_Address_4 ;
   rtlcs234 <= CPU_Address(3) AND not_CPU_Address_1 ;
   not_Config_reg_4_2 <= NOT Config_reg_4_EXMPLR1013(2) ;
   not_Config_reg_4_0 <= NOT Config_reg_4_EXMPLR1013(0) ;
   rtlcs227 <= CPU_Address(4) AND not_CPU_Address_2 ;
   rtlcn9834 <= rtlc30n15481 OR BC_Write ;
   Config_reg_1_64n43ss1_8 <= CPU_Data_in_wide(24) OR not_rtlcn2625 ;
   rtlcs127 <= BC_Num_Msgs_30n12s1(7) AND BC_Num_Msgs_30n12s1(5) ;
   rtlcs124 <= not_Data_o_temp_14 AND BC_Num_Msgs_30n12s1(9) ;
   rtlcs113 <= BC_Num_Msgs_30n12s1(10) AND Data_o_temp(12) ;
   not_Data_o_temp_11 <= NOT Data_o_temp(11) ;
   rtlcs110 <= not_Data_o_temp_11 AND not_Data_o_temp_13 ;
   rtlcs122 <= not_Data_o_temp_12 AND Data_o_temp(10) ;
   rtlcs102 <= BC_Echo_word(10) AND YES ;
   Config_reg_1_64n43ss1_4 <= CPU_Data_in_wide(20) AND rtlcn2625 ;
   rtlcs229 <= CPU_WE_vec(1) AND not_CPU_Address_1 ;
   rtlcn9809 <= rtlcs228 OR rtlc64n5418 ;
   Clear_Test_Status_reg_64n43ss1 <= Clear_Test_Status_reg_64n33ss1 AND 
   rtlc64n6439 ;
   rtlcs226 <= CPU_Address(3) AND CPU_Address(1) ;
   rtlcs240 <= CPU_Address(4) AND CPU_Address(2) ;
   not_rtlcn10204 <= NOT rtlcn10204 ;
   not_BC_Rx_Data_7 <= NOT BC_Rx_Data(7) ;
   not_BC_Rx_Data_6 <= NOT BC_Rx_Data(6) ;
   not_BC_Rx_Data_5 <= NOT BC_Rx_Data(5) ;
   BC_State_fsm_30n182ss1_29 <= not_BC_Message_Active AND rtlcn3293 ;
   rtlcn9823 <= BC_State(20) OR rtlcn3286 ;
   not_rtlc30n13670 <= NOT rtlc30n13670 ;
   BC_State_fsm_30n116ss1_54 <= not_Ack AND not_rtlc30n13670 ;
   BC_State_fsm_30n182ss1_20 <= BC_State_fsm_30n180ss1_20 AND 
   not_rtlc30n15481 ;
   BC_State_fsm_30n182ss1_21 <= rtlc30n13670 AND rtlcn3282 ;
   ReTry_count_30n180ss1(0) <= BC_Ram_data_30n30s4(0) AND rtlc30n16289 ;
   rtlcn9822 <= rtlcn3281 OR rtlcn3282 ;
   BC_State_fsm_30n116ss1_52 <= Ack AND not_rtlc30n13670 ;
   BC_State_fsm_30n182ss1_54 <= BC_State_fsm_30n180ss1_54 AND 
   not_rtlc30n15481 ;
   BC_State_fsm_30n182ss1_53 <= rtlc30n13670 AND rtlcn3044 ;
   Config_reg_1_64n43ss1_5 <= CPU_Data_in_wide(21) AND rtlcn2625 ;
   not_Data_o_temp_15 <= NOT Data_o_temp(15) ;
   rtlc_17971_and_681 : and_5u_5u port map ( a(4)=>Current_command(9), a(3)
      =>Current_command(8), a(2)=>Current_command(7), a(1)=>
      Current_command(6), a(0)=>Current_command(5), d=>rtlcs156);
   not_Current_command_9 <= NOT Current_command(9) ;
   not_Current_command_8 <= NOT Current_command(8) ;
   not_Current_command_7 <= NOT Current_command(7) ;
   not_Current_command_6 <= NOT Current_command(6) ;
   not_Current_command_5 <= NOT Current_command(5) ;
   rtlc_17977_and_682 : and_5u_5u port map ( a(4)=>not_Current_command_9, 
      a(3)=>not_Current_command_8, a(2)=>not_Current_command_7, a(1)=>
      not_Current_command_6, a(0)=>not_Current_command_5, d=>rtlcs150);
   not_Current_command_3 <= NOT Current_command(3) ;
   not_Current_command_0 <= NOT Current_command(0) ;
   not_Current_command_2 <= NOT Current_command(2) ;
   not_Current_command_1 <= NOT Current_command(1) ;
   rtlcs184 <= not_Current_command_2 AND not_Current_command_1 ;
   rtlcn9819 <= rtlcn7545 OR rtlc64n6505 ;
   Config_reg_1_64n43ss1_6 <= CPU_Data_in_wide(22) AND rtlcn2625 ;
   Config_reg_1_64n43ss1_7 <= CPU_Data_in_wide(23) OR not_rtlcn2625 ;
   not_Frame_length_reg_0xD_15 <= NOT Frame_length_reg_0xD(15) ;
   not_Frame_length_reg_0xD_14 <= NOT Frame_length_reg_0xD(14) ;
   not_Frame_length_reg_0xD_13 <= NOT Frame_length_reg_0xD(13) ;
   not_Frame_length_reg_0xD_12 <= NOT Frame_length_reg_0xD(12) ;
   not_Frame_length_reg_0xD_11 <= NOT Frame_length_reg_0xD(11) ;
   not_Frame_length_reg_0xD_10 <= NOT Frame_length_reg_0xD(10) ;
   not_Frame_length_reg_0xD_9 <= NOT Frame_length_reg_0xD(9) ;
   not_Frame_length_reg_0xD_8 <= NOT Frame_length_reg_0xD(8) ;
   not_Frame_length_reg_0xD_7 <= NOT Frame_length_reg_0xD(7) ;
   not_Frame_length_reg_0xD_6 <= NOT Frame_length_reg_0xD(6) ;
   not_Frame_length_reg_0xD_5 <= NOT Frame_length_reg_0xD(5) ;
   not_Frame_length_reg_0xD_4 <= NOT Frame_length_reg_0xD(4) ;
   not_Frame_length_reg_0xD_3 <= NOT Frame_length_reg_0xD(3) ;
   not_Frame_length_reg_0xD_2 <= NOT Frame_length_reg_0xD(2) ;
   not_Frame_length_reg_0xD_1 <= NOT Frame_length_reg_0xD(1) ;
   not_Frame_length_reg_0xD_0 <= NOT Frame_length_reg_0xD(0) ;
   frame_gap_eq_0_and_55i2 : and_16u_16u port map ( a(15)=>
      not_Frame_length_reg_0xD_15, a(14)=>not_Frame_length_reg_0xD_14, a(13)
      =>not_Frame_length_reg_0xD_13, a(12)=>not_Frame_length_reg_0xD_12, 
      a(11)=>not_Frame_length_reg_0xD_11, a(10)=>not_Frame_length_reg_0xD_10, 
      a(9)=>not_Frame_length_reg_0xD_9, a(8)=>not_Frame_length_reg_0xD_8, 
      a(7)=>not_Frame_length_reg_0xD_7, a(6)=>not_Frame_length_reg_0xD_6, 
      a(5)=>not_Frame_length_reg_0xD_5, a(4)=>not_Frame_length_reg_0xD_4, 
      a(3)=>not_Frame_length_reg_0xD_3, a(2)=>not_Frame_length_reg_0xD_2, 
      a(1)=>not_Frame_length_reg_0xD_1, a(0)=>not_Frame_length_reg_0xD_0, d
      =>frame_gap_eq_0_55n6s1);
   BC_State_fsm_30n182ss1_70 <= BC_State_fsm_30n69ss1_70 AND rtlcn3033 ;
   frame_gap_eq_0_55n5ss1 <= frame_gap_eq_0_55n5s1 OR not_eBC_start_FT ;
   not_Counter_100us_11 <= NOT Counter_100us(11) ;
   not_Counter_100us_10 <= NOT Counter_100us(10) ;
   not_Counter_100us_9 <= NOT Counter_100us(9) ;
   not_Counter_100us_8 <= NOT Counter_100us(8) ;
   not_Counter_100us_7 <= NOT Counter_100us(7) ;
   not_Counter_100us_6 <= NOT Counter_100us(6) ;
   not_Counter_100us_5 <= NOT Counter_100us(5) ;
   not_Counter_100us_4 <= NOT Counter_100us(4) ;
   not_Counter_100us_3 <= NOT Counter_100us(3) ;
   not_Counter_100us_2 <= NOT Counter_100us(2) ;
   not_Counter_100us_1 <= NOT Counter_100us(1) ;
   not_Counter_100us_0 <= NOT Counter_100us(0) ;
   rtlc_18032_and_685 : and_12u_12u port map ( a(11)=>not_Counter_100us_11, 
      a(10)=>not_Counter_100us_10, a(9)=>not_Counter_100us_9, a(8)=>
      not_Counter_100us_8, a(7)=>not_Counter_100us_7, a(6)=>
      not_Counter_100us_6, a(5)=>not_Counter_100us_5, a(4)=>
      not_Counter_100us_4, a(3)=>not_Counter_100us_3, a(2)=>
      not_Counter_100us_2, a(1)=>not_Counter_100us_1, a(0)=>
      not_Counter_100us_0, d=>rtlcs170);
   rtlcn9835 <= rtlc30n13011 OR rtlc30n12997 ;
   rtlcs145 <= not_Config_reg_1_15 AND not_Config_reg_1_14 ;
   BC_Load_msg_gap_counter_30n180ss1 <= Ack AND rtlc30n16103 ;
   gap_eq_0_52n3ss1 <= gap_eq_0_52n3s1 OR not_BC_Load_msg_gap_counter ;
   not_Micro_second_counter_5 <= NOT Micro_second_counter(5) ;
   not_Micro_second_counter_4 <= NOT Micro_second_counter(4) ;
   not_Micro_second_counter_3 <= NOT Micro_second_counter(3) ;
   not_Micro_second_counter_2 <= NOT Micro_second_counter(2) ;
   not_Micro_second_counter_1 <= NOT Micro_second_counter(1) ;
   not_Micro_second_counter_0 <= NOT Micro_second_counter(0) ;
   rtlc_18060_and_687 : and_6u_6u port map ( a(5)=>
      not_Micro_second_counter_5, a(4)=>not_Micro_second_counter_4, a(3)=>
      not_Micro_second_counter_3, a(2)=>not_Micro_second_counter_2, a(1)=>
      not_Micro_second_counter_1, a(0)=>not_Micro_second_counter_0, d=>
      rtlcs166);
   rtlcn9821 <= rtlcn3043 OR rtlcn3044 ;
   rtlcs99 <= BC_Echo_word(11) AND YES ;
   BC_State_fsm_30n182ss1_63 <= BC_State_fsm_30n69ss1_63 AND rtlcn3033 ;
   BC_State_fsm_30n182ss1_61 <= BC_State_fsm_30n69ss1_61 AND rtlcn3033 ;
   BC_State_fsm_30n182ss1_34 <= BC_State_fsm_30n69ss1_34 AND rtlcn3033 ;
   rtlcn9836 <= rtlc30n15481 OR BC_State(56) ;
   not_ReTry_count_0 <= NOT ReTry_count(0) ;
   rtlcs141 <= ReTry_count(1) AND not_ReTry_count_0 ;
   YES_49n2s1 <= not_ReTry_count_1 AND ReTry_count(0) ;
   Config_reg_1_64n43ss1_3 <= CPU_Data_in_wide(19) AND rtlcn2625 ;
   BC_word_number_30n180ss1(1) <= LIFO_Pointer_30n126s1(1) AND rtlcn2254 ;
   BC_word_number_30n180ss1(0) <= LIFO_Pointer_30n126s1(0) AND rtlcn2254 ;
   rtlcs142 <= Config_reg_3_14 AND Config_reg_3_13 ;
   not_Config_reg_3_13 <= NOT Config_reg_3_13 ;
   rtlcs143 <= not_Config_reg_3_14 AND not_Config_reg_3_13 ;
   VARAM_D_30n172s1f2(4) <= VARAM_Q(4) AND BC_State(86) ;
   VARAM_D_30n172s1f2(3) <= VARAM_Q(3) AND BC_State(86) ;
   VARAM_D_30n172s1f2(2) <= VARAM_Q(2) AND BC_State(86) ;
   VARAM_D_30n172s1f2(1) <= VARAM_Q(1) AND BC_State(86) ;
   not_BC_State_86 <= NOT BC_State(86) ;
   VARAM_D_30n172s1f2(0) <= VARAM_Q(0) OR not_BC_State_86 ;
   not_LIFO_Pointer_3 <= NOT LIFO_Pointer(3) ;
   not_LIFO_Pointer_2 <= NOT LIFO_Pointer(2) ;
   not_LIFO_Pointer_1 <= NOT LIFO_Pointer(1) ;
   not_LIFO_Pointer_0 <= NOT LIFO_Pointer(0) ;
   not_rtlcn2757 <= NOT rtlcn2757 ;
   rtlcn10160 <= not_CPU_Data_in_wide_17 OR not_rtlcn2757 ;
   BC_Num_Msgs_30n12ss1_10 <= BC_Num_Msgs_30n12s1(10) AND rtlcs142 ;
   BC_Num_Msgs_30n12ss1_9 <= BC_Num_Msgs_30n12s1(9) AND Config_reg_3_14 ;
   BC_Num_Msgs_30n12ss1_8 <= BC_Num_Msgs_30n12s1(8) AND rtlc30n15787 ;
   ReTry_count_30n180ss1(1) <= BC_Ram_data_30n30s4(1) AND rtlc30n16289 ;
   YES_49n2s2 <= not_ReTry_count_1 AND not_ReTry_count_0 ;
   eBC_GP_do_30n180ss1 <= BC_Echo_word(13) AND rtlcn3845 ;
   not_CPU_Data_in_wide_31 <= NOT CPU_Data_in_wide(31) ;
   rtlcs209 <= not_CPU_Data_in_wide_31 AND not_CPU_Data_in_wide_23 ;
   not_rtlcs224 <= NOT rtlcs224 ;
   rtlc64n5855 <= rtlcs209 OR not_rtlcs224 ;
   not_BC_msg_pointer_15 <= NOT BC_msg_pointer(15) ;
   not_BC_msg_pointer_7 <= NOT BC_msg_pointer(7) ;
   rtlcs201 <= not_BC_msg_pointer_15 AND not_BC_msg_pointer_7 ;
   not_rtlcn3842 <= NOT rtlcn3842 ;
   rtlcn10161 <= rtlcs201 OR not_rtlcn3842 ;
   rtlcs210 <= not_CPU_Data_in_wide_30 AND not_CPU_Data_in_wide_22 ;
   rtlc64n5854 <= rtlcs210 OR not_rtlcs224 ;
   not_BC_msg_pointer_14 <= NOT BC_msg_pointer(14) ;
   not_BC_msg_pointer_6 <= NOT BC_msg_pointer(6) ;
   rtlcs202 <= not_BC_msg_pointer_14 AND not_BC_msg_pointer_6 ;
   rtlcn10162 <= rtlcs202 OR not_rtlcn3842 ;
   not_CPU_Data_in_wide_29 <= NOT CPU_Data_in_wide(29) ;
   rtlcs211 <= not_CPU_Data_in_wide_29 AND not_CPU_Data_in_wide_21 ;
   rtlc64n5853 <= rtlcs211 OR not_rtlcs224 ;
   not_BC_msg_pointer_13 <= NOT BC_msg_pointer(13) ;
   not_BC_msg_pointer_5 <= NOT BC_msg_pointer(5) ;
   rtlcs203 <= not_BC_msg_pointer_13 AND not_BC_msg_pointer_5 ;
   rtlcn10163 <= rtlcs203 OR not_rtlcn3842 ;
   not_CPU_Data_in_wide_28 <= NOT CPU_Data_in_wide(28) ;
   rtlcs212 <= not_CPU_Data_in_wide_28 AND not_CPU_Data_in_wide_20 ;
   rtlc64n5852 <= rtlcs212 OR not_rtlcs224 ;
   not_BC_msg_pointer_12 <= NOT BC_msg_pointer(12) ;
   rtlcs204 <= not_BC_msg_pointer_12 AND not_BC_msg_pointer_4 ;
   rtlcn10164 <= rtlcs204 OR not_rtlcn3842 ;
   not_CPU_Data_in_wide_27 <= NOT CPU_Data_in_wide(27) ;
   rtlcs213 <= not_CPU_Data_in_wide_27 AND not_CPU_Data_in_wide_19 ;
   rtlc64n5851 <= rtlcs213 OR not_rtlcs224 ;
   not_BC_msg_pointer_11 <= NOT BC_msg_pointer(11) ;
   rtlcs205 <= not_BC_msg_pointer_11 AND not_BC_msg_pointer_3 ;
   rtlcn10165 <= rtlcs205 OR not_rtlcn3842 ;
   not_CPU_Data_in_wide_26 <= NOT CPU_Data_in_wide(26) ;
   rtlcs214 <= not_CPU_Data_in_wide_26 AND not_CPU_Data_in_wide_18 ;
   rtlc64n5850 <= rtlcs214 OR not_rtlcs224 ;
   not_BC_msg_pointer_10 <= NOT BC_msg_pointer(10) ;
   rtlcs206 <= not_BC_msg_pointer_10 AND not_BC_msg_pointer_2 ;
   rtlcn10166 <= rtlcs206 OR not_rtlcn3842 ;
   eBC_CMV_do_30n180ss1 <= Ack AND BC_State(88) ;
   rtlc_18255_or_691 : or_4u_4u port map ( a(3)=>eBC_CFT_do, a(2)=>
      eBC_CMT_do, a(1)=>eBC_CMV_do, a(0)=>eBC_GP_do, d=>rtlcn10428);
   not_rtlcn10428 <= NOT rtlcn10428 ;
   rtlcs215 <= not_CPU_Data_in_wide_25 AND not_CPU_Data_in_wide_17 ;
   rtlc64n5849 <= rtlcs215 OR not_rtlcs224 ;
   not_BC_msg_pointer_9 <= NOT BC_msg_pointer(9) ;
   rtlcs207 <= not_BC_msg_pointer_9 AND not_BC_msg_pointer_1 ;
   not_eBC_GP_do <= NOT eBC_GP_do ;
   rtlcn10152 <= rtlcs207 OR not_eBC_GP_do ;
   not_CPU_Data_in_wide_24 <= NOT CPU_Data_in_wide(24) ;
   not_CPU_Data_in_wide_16 <= NOT CPU_Data_in_wide(16) ;
   rtlcs267 <= not_CPU_Data_in_wide_24 AND not_CPU_Data_in_wide_16 ;
   rtlc64n5848 <= rtlcs267 OR not_rtlcs224 ;
   not_BC_msg_pointer_8 <= NOT BC_msg_pointer(8) ;
   rtlcs208 <= not_BC_msg_pointer_8 AND not_BC_msg_pointer_0 ;
   rtlcn10151 <= rtlcs208 OR not_eBC_GP_do ;
   not_BC_Echo_word_1 <= NOT BC_Echo_word(1) ;
   rtlc_18294_and_692 : and_4u_4u port map ( a(3)=>BC_Echo_word(3), a(2)=>
      BC_Echo_word(2), a(1)=>not_BC_Echo_word_1, a(0)=>BC_Echo_word(0), d=>
      rtlcs165);
   eBC_FT_Load_30n148s1 <= BC_Echo_word(11) AND not_BC_Echo_word_10 ;
   eBC_FT_Load_30n180ss1 <= eBC_FT_Load_30n148s1 AND rtlcn3564 ;
   not_eBC_Frame_length_15 <= NOT eBC_Frame_length(15) ;
   not_eBC_Frame_length_14 <= NOT eBC_Frame_length(14) ;
   not_eBC_Frame_length_13 <= NOT eBC_Frame_length(13) ;
   not_eBC_Frame_length_12 <= NOT eBC_Frame_length(12) ;
   not_eBC_Frame_length_11 <= NOT eBC_Frame_length(11) ;
   not_eBC_Frame_length_10 <= NOT eBC_Frame_length(10) ;
   not_eBC_Frame_length_9 <= NOT eBC_Frame_length(9) ;
   not_eBC_Frame_length_8 <= NOT eBC_Frame_length(8) ;
   not_eBC_Frame_length_7 <= NOT eBC_Frame_length(7) ;
   not_eBC_Frame_length_6 <= NOT eBC_Frame_length(6) ;
   not_eBC_Frame_length_5 <= NOT eBC_Frame_length(5) ;
   not_eBC_Frame_length_4 <= NOT eBC_Frame_length(4) ;
   not_eBC_Frame_length_3 <= NOT eBC_Frame_length(3) ;
   not_eBC_Frame_length_2 <= NOT eBC_Frame_length(2) ;
   not_eBC_Frame_length_1 <= NOT eBC_Frame_length(1) ;
   not_eBC_Frame_length_0 <= NOT eBC_Frame_length(0) ;
   frame_gap_eq_0_and_55i3 : and_16u_16u port map ( a(15)=>
      not_eBC_Frame_length_15, a(14)=>not_eBC_Frame_length_14, a(13)=>
      not_eBC_Frame_length_13, a(12)=>not_eBC_Frame_length_12, a(11)=>
      not_eBC_Frame_length_11, a(10)=>not_eBC_Frame_length_10, a(9)=>
      not_eBC_Frame_length_9, a(8)=>not_eBC_Frame_length_8, a(7)=>
      not_eBC_Frame_length_7, a(6)=>not_eBC_Frame_length_6, a(5)=>
      not_eBC_Frame_length_5, a(4)=>not_eBC_Frame_length_4, a(3)=>
      not_eBC_Frame_length_3, a(2)=>not_eBC_Frame_length_2, a(1)=>
      not_eBC_Frame_length_1, a(0)=>not_eBC_Frame_length_0, d=>
      frame_gap_eq_0_55n5s1);
   not_BC_frame_GAP_counter_15 <= NOT BC_frame_GAP_counter(15) ;
   not_BC_frame_GAP_counter_14 <= NOT BC_frame_GAP_counter(14) ;
   not_BC_frame_GAP_counter_13 <= NOT BC_frame_GAP_counter(13) ;
   not_BC_frame_GAP_counter_12 <= NOT BC_frame_GAP_counter(12) ;
   not_BC_frame_GAP_counter_11 <= NOT BC_frame_GAP_counter(11) ;
   not_BC_frame_GAP_counter_10 <= NOT BC_frame_GAP_counter(10) ;
   not_BC_frame_GAP_counter_9 <= NOT BC_frame_GAP_counter(9) ;
   not_BC_frame_GAP_counter_8 <= NOT BC_frame_GAP_counter(8) ;
   not_BC_frame_GAP_counter_7 <= NOT BC_frame_GAP_counter(7) ;
   not_BC_frame_GAP_counter_6 <= NOT BC_frame_GAP_counter(6) ;
   not_BC_frame_GAP_counter_5 <= NOT BC_frame_GAP_counter(5) ;
   not_BC_frame_GAP_counter_4 <= NOT BC_frame_GAP_counter(4) ;
   not_BC_frame_GAP_counter_3 <= NOT BC_frame_GAP_counter(3) ;
   not_BC_frame_GAP_counter_2 <= NOT BC_frame_GAP_counter(2) ;
   not_BC_frame_GAP_counter_1 <= NOT BC_frame_GAP_counter(1) ;
   rtlcn9820 <= rtlc55n160 OR eBC_start_FT ;
   eBC_Watchdog_eq0_55n6ss1 <= eBC_Watchdog_eq0_55n5ss1 AND 
   not_BC_Load_frame_gap_counter ;
   rtlcn9818 <= rtlc91n682 OR rtlcn2674 ;
   WM_Ack_91n15ss1 <= WM_Ack_91n14ss1 AND WM_On ;
   WM_RAM_Address_91n12ss1(15) <= Data_o_temp(15) AND Ack ;
   WM_RAM_Address_91n12ss1(14) <= Data_o_temp(14) AND Ack ;
   WM_RAM_Address_91n12ss1(13) <= Data_o_temp(13) AND Ack ;
   WM_RAM_Address_91n12ss1(12) <= Data_o_temp(12) AND Ack ;
   WM_RAM_Address_91n12ss1(11) <= Data_o_temp(11) AND Ack ;
   WM_RAM_Address_91n12ss1(10) <= Data_o_temp(10) AND Ack ;
   WM_RAM_Address_91n12ss1(9) <= Data_o_temp(9) AND Ack ;
   WM_RAM_Address_91n12ss1(8) <= Data_o_temp(8) OR not_Ack ;
   WM_RAM_Address_91n12ss1(7) <= Data_o_temp(7) AND Ack ;
   WM_RAM_Address_91n12ss1(6) <= Data_o_temp(6) AND Ack ;
   WM_RAM_Address_91n12ss1(5) <= Data_o_temp(5) AND Ack ;
   WM_RAM_Address_91n12ss1(4) <= Data_o_temp(4) AND Ack ;
   WM_RAM_Address_91n12ss1(3) <= Data_o_temp(3) AND Ack ;
   WM_RAM_Address_91n12ss1(2) <= Data_o_temp(2) AND Ack ;
   WM_RAM_Address_91n12ss1(1) <= Data_o_temp(1) AND Ack ;
   WM_RAM_Address_select_91i34 : select_3_3 port map ( a(2)=>rtlcn2612, a(1)
      =>state(5), a(0)=>rtlcn2611, b(2)=>debug_EXMPLR1018(15), b(1)=>PWR, 
      b(0)=>Data_o_temp(0), d=>WM_RAM_Address_91n14ss1(0));
   not_state_6 <= NOT state(6) ;
   rtlcn10572 <= not_state_6 AND rtlc91n730 ;
   not_BC_word_number_1 <= NOT BC_word_number(1) ;
   rtlcs134 <= not_BC_word_number_1 AND BC_word_number(0) ;
   eBC_Inc_Q_pointer_30n180ss1 <= Ack AND rtlc30n16115 ;
   rtlcn10150 <= not_eBC_Inc_Q_pointer OR not_CE ;
   not_rtlcn4230 <= NOT rtlcn4230 ;
   WRD_req_36n14ss1 <= RT_On_EXMPLR939 AND not_rtlcn4230 ;
   rtlcn2466 <= not_WRD_req OR arbiter ;
   rtlcn2465 <= not_EOM_req OR WRD_req ;
   rtlcn10143 <= rtlcn2465 OR arbiter ;
   rtlcn9824 <= CPU_Data_in_wide(17) OR CPU_Data_in_wide(22) ;
   not_rtlcn10592 <= NOT rtlcn10592 ;
   rtlcn2464 <= not_SOM_req OR EOM_req ;
   rtlcn10167 <= rtlcn2464 OR rtlcn10593 ;
   not_rtlcn4271 <= NOT rtlcn4271 ;
   MON_WR_req_36n14ss1 <= MT_On AND not_rtlcn4271 ;
   rtlcn2469 <= not_MON_WR_req OR SOM_req ;
   rtlcn10168 <= rtlcn2469 OR rtlcn8789 ;
   rtlcn2468 <= not_MON_EOM_req OR MON_WR_req ;
   rtlcn10169 <= rtlcn2468 OR rtlcn10595 ;
   rtlcn2467 <= not_MON_SOM_req OR MON_EOM_req ;
   rtlcn10170 <= rtlcn2467 OR rtlcn10596 ;
   not_rtlcn10597 <= NOT rtlcn10597 ;
   illegal_message_26n47ss1 <= illegal_message_26n30s1 AND rtlcn4540 ;
   rtlc26n7313 <= rtlcn9123 OR not_rtlc26n9547 ;
   rtlc_18433_and_698 : and_5u_5u port map ( a(4)=>Current_command(15), a(3)
      =>Current_command(14), a(2)=>Current_command(13), a(1)=>
      Current_command(12), a(0)=>Current_command(11), d=>rtlcs160);
   GMM_64n91ss1(2) <= Config_reg_6_11 AND rtlc64n6669 ;
   GMM_64n91ss1(1) <= Config_reg_6_10 AND rtlc64n6669 ;
   GMM_64n91ss1(0) <= Config_reg_6_9 AND rtlc64n6669 ;
   not_GMM_2 <= NOT GMM(2) ;
   not_GMM_1 <= NOT GMM(1) ;
   not_GMM_0 <= NOT GMM(0) ;
   not_LUT_Control_15 <= NOT LUT_Control(15) ;
   MM_26n109ss1(2) <= MM_26n108ss1(2) AND not_LUT_Control_15 ;
   MM_26n109ss1(1) <= MM_26n108ss1(1) AND not_LUT_Control_15 ;
   MM_26n109ss1(0) <= MM_26n108ss1(0) AND not_LUT_Control_15 ;
   not_MM_2 <= NOT MM(2) ;
   not_MM_1 <= NOT MM(1) ;
   not_MM_0 <= NOT MM(0) ;
   Ram_Address_26n25ss1(1) <= Ack OR rtlcs93 ;
   rtlcn9841 <= Arbiter_timeout OR MON_Phase(0) ;
   rtlcs41 <= MON_Phase(1) AND not_MON_Phase_0 ;
   rtlcs45 <= Config_reg_3_10 AND Config_reg_3_9 ;
   not_Config_reg_3_10 <= NOT Config_reg_3_10 ;
   not_Config_reg_3_9 <= NOT Config_reg_3_9 ;
   not_Config_reg_3_8 <= NOT Config_reg_3_8 ;
   not_rtlcs41 <= NOT rtlcs41 ;
   rtlcn2454 <= rtlc26n9860 OR not_rtlcs41 ;
   rtlcs43 <= Config_reg_3_10 AND Config_reg_3_8 ;
   rtlcn2455 <= rtlc26n9862 OR not_rtlcs41 ;
   rtlcs46 <= not_Config_reg_3_10 AND Config_reg_3_9 ;
   rtlcs49 <= not_Config_reg_3_10 AND Config_reg_3_8 ;
   rtlcn2453 <= rtlc26_PS488_n8476 OR not_rtlcs41 ;
   rtlc26n8328 <= rtlc26n8275 OR not_MON_SOM_phase_2 ;
   rtlcs53 <= not_MON_Phase_1 AND not_MON_Phase_0 ;
   rtlcn9838 <= Arbiter_timeout OR rtlc26n9937 ;
   rtlcs40 <= MON_Phase(1) AND MON_Phase(0) ;
   rtlcn9839 <= Arbiter_timeout OR MON_EOM_phase(0) ;
   rtlcs57 <= not_MON_EOM_phase_1 AND not_MON_EOM_phase_0 ;
   rtlcs54 <= MON_EOM_phase(1) AND MON_EOM_phase(0) ;
   rtlcn9840 <= Arbiter_timeout OR rtlc26n9764 ;
   rtlcn9842 <= Phase(0) OR Arbiter_timeout ;
   rtlcs58 <= Phase(1) AND Phase(0) ;
   not_Phase_0 <= NOT Phase(0) ;
   rtlcs95 <= not_Phase_1 AND not_Phase_0 ;
   rtlcn9837 <= rtlc26n9674 OR Arbiter_timeout ;
   not_SOM_phase_7 <= NOT SOM_phase_7 ;
   rtlc26n7553 <= not_rtlcn10597 OR not_SOM_phase_7 ;
   rtlcs81 <= MM(2) AND MM(1) ;
   rtlcs83 <= MM(2) AND MM(0) ;
   rtlcs65 <= GMM(2) AND GMM(1) ;
   rtlcs67 <= GMM(2) AND GMM(0) ;
   rtlcs79 <= MM(2) AND not_MM_0 ;
   rtlcs63 <= GMM(2) AND not_GMM_0 ;
   rtlcs85 <= not_MM_1 AND MM(0) ;
   rtlcs69 <= not_GMM_1 AND GMM(0) ;
   rtlcs77 <= MM(2) AND not_MM_1 ;
   rtlcs61 <= GMM(2) AND not_GMM_1 ;
   rtlcs87 <= not_MM_2 AND MM(1) ;
   rtlcs91 <= not_MM_2 AND MM(0) ;
   rtlcs71 <= not_GMM_2 AND GMM(1) ;
   rtlcs75 <= not_GMM_2 AND GMM(0) ;
   rtlcs59 <= Phase(1) AND not_Phase_0 ;
   data_pointer_26n43ss1(0) <= not_Current_command_10 OR BCR ;
   data_pointer_26n43ss1(1) <= Current_command(10) OR BCR ;
   not_rtlc26n7516 <= NOT rtlc26n7516 ;
   data_pointer_26n45ss1(6) <= Data_o_temp(6) AND not_rtlc26n7516 ;
   data_pointer_26n45ss1(7) <= Data_o_temp(7) AND not_rtlc26n7516 ;
   data_pointer_26n45ss1(8) <= Data_o_temp(8) OR rtlc26n7516 ;
   rtlcs86 <= MM(1) AND MM(0) ;
   rtlcs70 <= GMM(1) AND GMM(0) ;
   data_pointer_26n45ss1(9) <= Data_o_temp(9) AND not_rtlc26n7516 ;
   data_pointer_26n45ss1(10) <= Data_o_temp(10) AND not_rtlc26n7516 ;
   data_pointer_26n45ss1(11) <= Data_o_temp(11) AND not_rtlc26n7516 ;
   rtlcn9846 <= rtlcs81 OR rtlcs65 ;
   data_pointer_26n45ss1(12) <= Data_o_temp(12) AND not_rtlc26n7516 ;
   rtlcn2451 <= not_rtlc26n7736 OR rtlc26n7714 ;
   rtlcn10171 <= rtlcn2451 OR rtlcn8637 ;
   data_pointer_26n45ss1(13) <= Data_o_temp(13) AND not_rtlc26n7516 ;
   rtlcs60 <= not_Phase_1 AND Phase(0) ;
   Ram_Address_26n4ss1_15 <= Ram_Address_26n2s1(15) OR First_After_Reset ;
   data_pointer_26n45ss1(15) <= Data_o_temp(15) AND not_rtlc26n7516 ;
   rtlcn9825 <= MON_SOM_phase(0) OR rtlcn5384 ;
   not_Do_once_4 <= NOT Do_once(4) ;
   not_Do_once_3 <= NOT Do_once(3) ;
   not_Do_once_2 <= NOT Do_once(2) ;
   not_Do_once_1 <= NOT Do_once(1) ;
   not_Do_once_0 <= NOT Do_once(0) ;
   rtlc_18607_and_702 : and_5u_5u port map ( a(4)=>not_Do_once_4, a(3)=>
      not_Do_once_3, a(2)=>not_Do_once_2, a(1)=>not_Do_once_1, a(0)=>
      not_Do_once_0, d=>rtlcs96);
   Ram_Address_26n4ss1_14 <= Ram_Address_26n2s1(14) OR First_After_Reset ;
   data_pointer_26n45ss1(14) <= Data_o_temp(14) AND not_rtlc26n7516 ;
   Ram_Address_26n4ss1_13 <= Ram_Address_26n2s1(13) OR First_After_Reset ;
   Ram_Address_26n4ss1_12 <= Ram_Address_26n2s1(12) OR First_After_Reset ;
   Ram_Address_26n4ss1_11 <= Ram_Address_26n2s1(11) OR First_After_Reset ;
   not_EOM_phase_1 <= NOT EOM_phase(1) ;
   rtlc26n7311 <= rtlc26n7238 OR not_EOM_phase_1 ;
   rtlc26n7310 <= rtlc26n7237 OR not_EOM_phase_1 ;
   rtlc26n7312 <= rtlc26n7239 OR not_EOM_phase_1 ;
   Ram_Address_26n4ss1_10 <= Ram_Address_26n2s1(10) OR First_After_Reset ;
   Config_reg_1_64n43ss1_13 <= CPU_Data_in_wide(29) AND rtlcn2625 ;
   rtlc_18626_select_703 : select_4_4 port map ( a(3)=>rtlcn5398, a(2)=>
      rtlcn5396, a(1)=>rtlcn8333, a(0)=>rtlcn8329, b(3)=>stack_pointer(9), 
      b(2)=>data_pointer(9), b(1)=>PWR, b(0)=>Ram_Address_26n2s1(9), d=>
      rtlcn10693);
   Ram_Address_26n51ss1_8 <= data_pointer(8) OR rtlc26n7768 ;
   rtlc_18629_select_704 : select_4_4 port map ( a(3)=>SOM_phase_1, a(2)=>
      rtlcn5702, a(1)=>rtlcn8350, a(0)=>rtlcn5372, b(3)=>not_BCR, b(2)=>
      Current_Area_B, b(1)=>PWR, b(0)=>Ram_Address_26n2s1(7), d=>rtlcn10694
   );
   rtlc_18631_select_705 : select_4_4 port map ( a(3)=>rtlcs95, a(2)=>
      rtlcn5398, a(1)=>rtlcn5710, a(0)=>rtlcn5396, b(3)=>rtlcn10694, b(2)=>
      stack_pointer(7), b(1)=>PWR, b(0)=>data_pointer(7), d=>rtlcn10695);
   rtlc_18633_select_706 : select_4_4 port map ( a(3)=>rtlcs95, a(2)=>
      rtlcn5398, a(1)=>rtlcn5396, a(0)=>rtlcn8360, b(3)=>
      Ram_Address_26n47ss1_6, b(2)=>stack_pointer(6), b(1)=>data_pointer(6), 
      b(0)=>PWR, d=>rtlcn10696);
   rtlc_18635_select_707 : select_5_5 port map ( a(4)=>rtlcs95, a(3)=>
      rtlcs60, a(2)=>rtlcn5398, a(1)=>rtlcn5813, a(0)=>rtlcn5814, b(4)=>
      Ram_Address_26n47ss1_5, b(3)=>Ram_Address_26n51ss1_5, b(2)=>
      stack_pointer(5), b(1)=>PWR, b(0)=>Current_command(10), d=>rtlcn10697
   );
   rtlc_18637_select_708 : select_5_5 port map ( a(4)=>rtlcs95, a(3)=>
      rtlcs60, a(2)=>rtlcn5398, a(1)=>rtlcn5853, a(0)=>rtlcn5854, b(4)=>
      Ram_Address_26n47ss1_4, b(3)=>Ram_Address_26n51ss1_4, b(2)=>
      stack_pointer(4), b(1)=>Current_command(9), b(0)=>PWR, d=>rtlcn10698);
   rtlc_18639_select_709 : select_5_5 port map ( a(4)=>rtlcs95, a(3)=>
      rtlcs60, a(2)=>rtlcn5398, a(1)=>rtlcn5853, a(0)=>rtlcn5897, b(4)=>
      Ram_Address_26n47ss1_3, b(3)=>Ram_Address_26n51ss1_3, b(2)=>
      stack_pointer(3), b(1)=>Current_command(8), b(0)=>PWR, d=>rtlcn10699);
   Ram_Address_26n81ss1_2 <= Current_Area_B OR rtlcn8830 ;
   rtlc_18642_select_710 : select_5_5 port map ( a(4)=>SOM_phase_0, a(3)=>
      SOM_phase_1, a(2)=>rtlcn5968, a(1)=>rtlcn5376, a(0)=>rtlcn5940, b(4)=>
      Ram_Address_26n27ss1(1), b(3)=>Current_command(5), b(2)=>PWR, b(1)=>
      Current_command(6), b(0)=>Current_command(10), d=>rtlcn10700);
   rtlc26n7927 <= rtlc26n7821 OR not_rtlcs60 ;
   rtlcs154 <= not_Current_command_3 AND Current_command(0) ;
   not_Current_command_4 <= NOT Current_command(4) ;
   BIT_Word(1) <= Data_to_FE_EXMPLR1014(1) AND Config_reg_4_EXMPLR1013(15) ;
   BIT_Word(8) <= Data_to_FE_EXMPLR1014(8) AND Config_reg_4_EXMPLR1013(15) ;
   BIT_Word(12) <= Data_to_FE_EXMPLR1014(12) AND Config_reg_4_EXMPLR1013(15)
    ;
   Clean_status_bits_64n75ss1 <= rtlcn7560 OR rtlcn6044 ;
   rtlcn2473 <= not_CPU_Data_in_wide_18 OR not_rtlc64n5418 ;
   rtlcn10146 <= rtlcn2473 OR not_rtlc64n6439 ;
   rtlcn2472 <= not_Read_from_int_vec OR rtlc64n6421 ;
   rtlcn10153 <= not_rtlcs262 OR not_rtlc64n6439 ;
   rtlc79_ISR1_during_clear_D_n491_13 <= not_Tx_Timeout_D AND 
   MIL1553_errors_transmitter_timout ;
   rtlc79_Interrupt_status_register_1_D_n486_13 <= 
   Interrupt_status_register_1_79n7ss1(13) OR 
   MIL1553_errors_transmitter_timout ;
   BC_SP_and_58i2 : and_6u_6u port map ( a(5)=>BC_Stack_pointer(7), a(4)=>
      BC_Stack_pointer(6), a(3)=>BC_Stack_pointer(5), a(2)=>
      BC_Stack_pointer(4), a(1)=>BC_Stack_pointer(3), a(0)=>
      BC_Stack_pointer(2), d=>BC_SP_58n1s1);
   rtlc79_Interrupt_status_register_1_D_n486_12 <= 
   Interrupt_status_register_1_79n7ss1(12) OR rtlc79n1506 ;
   rtlcs6 <= monitor_stack_pointer(13) AND monitor_stack_pointer(12) ;
   rtlcs9 <= monitor_stack_pointer(11) AND monitor_stack_pointer(10) ;
   Monitor_command_stack_rollover_and_26i235 : and_6u_6u port map ( a(5)=>
      monitor_stack_pointer(7), a(4)=>monitor_stack_pointer(6), a(3)=>
      monitor_stack_pointer(5), a(2)=>monitor_stack_pointer(4), a(1)=>
      monitor_stack_pointer(3), a(0)=>monitor_stack_pointer(2), d=>
      Monitor_command_stack_rollover_26n77s1);
   rtlcs55 <= MON_EOM_phase(1) AND not_MON_EOM_phase_0 ;
   Monitor_command_stack_rollover_26n82ss1 <= 
   Monitor_command_stack_rollover_26n77ss1 AND rtlcn6066 ;
   rtlc79_Interrupt_status_register_1_D_n486_11 <= 
   Interrupt_status_register_1_79n7ss1(11) OR Monitor_command_stack_rollover
    ;
   Monitor_data_stack_rollover_and_26i236 : and_9u_9u port map ( a(8)=>
      monitor_data_pointer(8), a(7)=>monitor_data_pointer(7), a(6)=>
      monitor_data_pointer(6), a(5)=>monitor_data_pointer(5), a(4)=>
      monitor_data_pointer(4), a(3)=>monitor_data_pointer(3), a(2)=>
      monitor_data_pointer(2), a(1)=>monitor_data_pointer(1), a(0)=>
      monitor_data_pointer(0), d=>Monitor_data_stack_rollover_26n104s7);
   Monitor_data_stack_rollover_26n105ss1 <= 
   Monitor_data_stack_rollover_26n104ss1 AND rtlcs41 ;
   rtlc79_Interrupt_status_register_1_D_n486_10 <= 
   Interrupt_status_register_1_79n7ss1(10) OR Monitor_data_stack_rollover ;
   rtlc79_Interrupt_status_register_1_D_n486_8 <= 
   Interrupt_status_register_1_79n7ss1(8) OR BC_Retry_pulse ;
   not_Monitor_Active_command_10 <= NOT Monitor_Active_command(10) ;
   not_Monitor_Active_command_9 <= NOT Monitor_Active_command(9) ;
   not_Monitor_Active_command_8 <= NOT Monitor_Active_command(8) ;
   not_Monitor_Active_command_7 <= NOT Monitor_Active_command(7) ;
   not_Monitor_Active_command_6 <= NOT Monitor_Active_command(6) ;
   not_Monitor_Active_command_5 <= NOT Monitor_Active_command(5) ;
   not_Monitor_Active_command_3 <= NOT Monitor_Active_command(3) ;
   not_Monitor_Active_command_2 <= NOT Monitor_Active_command(2) ;
   not_Monitor_Active_command_1 <= NOT Monitor_Active_command(1) ;
   rtlc_18726_and_716 : and_4u_4u port map ( a(3)=>
      not_Monitor_Active_command_3, a(2)=>not_Monitor_Active_command_2, a(1)
      =>not_Monitor_Active_command_1, a(0)=>Monitor_Active_command(0), d=>
      rtlcs191);
   rtlcn10147 <= not_rtlc64n5533 OR not_rtlc64n6439 ;
   rtlcn9833 <= rtlc64n5313 OR rtlc64n5278 ;
   not_Address_9 <= NOT Address(9) ;
   not_Address_8 <= NOT Address(8) ;
   not_Address_7 <= NOT Address(7) ;
   not_Address_6 <= NOT Address(6) ;
   not_Address_5 <= NOT Address(5) ;
   not_Address_3 <= NOT Address(3) ;
   not_Address_2 <= NOT Address(2) ;
   not_Address_1 <= NOT Address(1) ;
   Current_command_is_sync_with_data_and_64i144 : and_11u_11u port map ( 
      a(10)=>not_Address_10, a(9)=>not_Address_9, a(8)=>not_Address_8, a(7)
      =>not_Address_7, a(6)=>not_Address_6, a(5)=>not_Address_5, a(4)=>
      Address(4), a(3)=>not_Address_3, a(2)=>not_Address_2, a(1)=>
      not_Address_1, a(0)=>Address(0), d=>
      Current_command_is_sync_with_data_64n11s2);
   Current_command_is_sync_with_data_and_64i145 : and_11u_11u port map ( 
      a(10)=>not_Address_10, a(9)=>Address(9), a(8)=>Address(8), a(7)=>
      Address(7), a(6)=>Address(6), a(5)=>Address(5), a(4)=>Address(4), a(3)
      =>not_Address_3, a(2)=>not_Address_2, a(1)=>not_Address_1, a(0)=>
      Address(0), d=>Current_command_is_sync_with_data_64n11s3);
   eBC_TT_do_30n180ss1 <= eBC_TT_do_30n148s1 AND rtlcn3564 ;
   rtlcn9827 <= rtlc64n5418 OR rtlc64n5549 ;
   rtlcs268 <= Config_reg_2(9) AND Config_reg_2(8) ;
   Tag_CLK_D_64n5ss1 <= Tag_CLK AND rtlcs269 ;
   Tag_CLK_D_64n43ss1 <= Tag_CLK_D_64n5ss1 OR rtlcn6338 ;
   rtlcn2470 <= not_CPU_Data_in_wide_20 OR not_rtlc64n5418 ;
   rtlcn10145 <= rtlcn2470 OR not_rtlc64n6439 ;
   not_Config_reg_2_9 <= NOT Config_reg_2(9) ;
   not_Config_reg_2_8 <= NOT Config_reg_2(8) ;
   not_Config_reg_2_7 <= NOT Config_reg_2(7) ;
   not_rtlcn8675 <= NOT rtlcn8675 ;
   count_T_RESus_64n43ss1(5) <= count_T_RESus_64n6s1(5) AND not_rtlcn8675 ;
   not_rtlcn10779 <= NOT rtlcn10779 ;
   rtlcn10144 <= not_CPU_Data_in_wide_19 OR not_rtlc64n5418 ;
   count_T_RESus_64n43ss1(3) <= count_T_RESus_64n6s1(3) AND not_rtlcn8675 ;
   count_T_RESus_64n43ss1(2) <= count_T_RESus_64n6s1(2) AND not_rtlcn8675 ;
   count_T_RESus_64n43ss1(1) <= count_T_RESus_64n6s1(1) AND not_rtlcn8675 ;
   count_T_RESus_64n43ss1(0) <= count_T_RESus_64n6s1(0) AND not_rtlcn8675 ;
   count_T_RESus_64n43ss1(4) <= count_T_RESus_64n6s1(4) AND not_rtlcn8675 ;
   rtlcs280 <= count_T_RESus(0) AND count_T_RESus(1) ;
   not_count_T_RESus_5 <= NOT count_T_RESus(5) ;
   not_count_T_RESus_4 <= NOT count_T_RESus(4) ;
   rtlcs284 <= not_count_T_RESus_5 AND not_count_T_RESus_4 ;
   not_count_T_RESus_3 <= NOT count_T_RESus(3) ;
   not_count_T_RESus_2 <= NOT count_T_RESus(2) ;
   not_count_T_RESus_1 <= NOT count_T_RESus(1) ;
   rtlcn9407 <= one_micro_increment_wide AND rtlc64n5130 ;
   not_time_tag_14 <= NOT time_tag_EXMPLR1017(14) ;
   not_time_tag_13 <= NOT time_tag_EXMPLR1017(13) ;
   not_time_tag_12 <= NOT time_tag_EXMPLR1017(12) ;
   not_time_tag_11 <= NOT time_tag_EXMPLR1017(11) ;
   not_time_tag_10 <= NOT time_tag_EXMPLR1017(10) ;
   not_time_tag_9 <= NOT time_tag_EXMPLR1017(9) ;
   not_time_tag_8 <= NOT time_tag_EXMPLR1017(8) ;
   not_time_tag_7 <= NOT time_tag_EXMPLR1017(7) ;
   not_time_tag_6 <= NOT time_tag_EXMPLR1017(6) ;
   not_time_tag_5 <= NOT time_tag_EXMPLR1017(5) ;
   not_time_tag_3 <= NOT time_tag_EXMPLR1017(3) ;
   not_time_tag_2 <= NOT time_tag_EXMPLR1017(2) ;
   not_time_tag_1 <= NOT time_tag_EXMPLR1017(1) ;
   not_time_tag_0 <= NOT time_tag_EXMPLR1017(0) ;
   rtlc_18826_and_727 : and_16u_16u port map ( a(15)=>not_time_tag_15, a(14)
      =>not_time_tag_14, a(13)=>not_time_tag_13, a(12)=>not_time_tag_12, 
      a(11)=>not_time_tag_11, a(10)=>not_time_tag_10, a(9)=>not_time_tag_9, 
      a(8)=>not_time_tag_8, a(7)=>not_time_tag_7, a(6)=>not_time_tag_6, a(5)
      =>not_time_tag_5, a(4)=>time_tag_EXMPLR1017(4), a(3)=>not_time_tag_3, 
      a(2)=>not_time_tag_2, a(1)=>not_time_tag_1, a(0)=>not_time_tag_0, d=>
      rtlcs302);
   rtlcn2481 <= not_rtlcs302 OR not_rtlcn1230 ;
   not_rtlc88n99 <= NOT rtlc88n99 ;
   rtlcn2483 <= rtlcn2481 OR not_rtlc88n99 ;
   not_Do_RAM_test <= NOT Do_RAM_test ;
   rtlcn10159 <= rtlcn2481 OR not_Do_RAM_test ;
   Test_Status_reg_88n4ss1(0) <= not_rtlcn1230 AND rtlc88n99 ;
   Test_Status_reg_88n7ss1(1) <= not_rtlcn1230 AND Do_RAM_test ;
   not_Monitor_Active_command_4 <= NOT Monitor_Active_command(4) ;
   rtlcn9826 <= rtlc64n5549 OR rtlcn6099 ;
   rtlc79_Interrupt_status_register_1_D_n486_6 <= 
   Interrupt_status_register_1_79n7ss1(6) OR rtlc79n1606 ;
   rtlc79_Interrupt_status_register_1_D_n486_5 <= 
   Interrupt_status_register_1_79n7ss1(5) OR rtlc79n1624 ;
   rtlcn9828 <= BC_State(54) OR rtlcn6599 ;
   rtlc79_Interrupt_status_register_1_D_n486_4 <= 
   Interrupt_status_register_1_79n7ss1(4) OR rtlc79n1673 ;
   rtlc79_Interrupt_status_register_1_D_n486_3 <= 
   Interrupt_status_register_1_79n7ss1(3) OR rtlc79n1689 ;
   Latched_Monitor_MIL1553_errors_26n82ss1_8 <= 
   Latched_Monitor_MIL1553_errors_5_26n1s6 AND not_rtlcs54 ;
   Latched_Monitor_MIL1553_errors_26n82ss1_6 <= 
   Latched_Monitor_MIL1553_errors_4_26n1s5 AND not_rtlcs54 ;
   Latched_Monitor_MIL1553_errors_26n82ss1_2 <= 
   Latched_Monitor_MIL1553_errors_1_26n1s2 AND not_rtlcs54 ;
   Latched_Monitor_MIL1553_errors_26n82ss1_4 <= 
   Latched_Monitor_MIL1553_errors_3_26n1s4 AND not_rtlcs54 ;
   Latched_Monitor_MIL1553_errors_26n82ss1_3 <= 
   Latched_Monitor_MIL1553_errors_2_26n1s3 AND not_rtlcs54 ;
   Latched_Monitor_MIL1553_errors_26n82ss1_1 <= 
   Latched_Monitor_MIL1553_errors_0_26n1s1 AND not_rtlcs54 ;
   Latched_Monitor_MIL1553_errors_26n82ss1_11 <= 
   Latched_Monitor_MIL1553_errors_6_26n1s8 AND not_rtlcs54 ;
   rtlc79_Interrupt_status_register_1_D_n486_2 <= 
   Interrupt_status_register_1_79n7ss1(2) OR rtlc79n1724 ;
   not_BC_Rx_Data_10 <= NOT BC_Rx_Data(10) ;
   not_BC_Rx_Data_9 <= NOT BC_Rx_Data(9) ;
   not_BC_Rx_Data_8 <= NOT BC_Rx_Data(8) ;
   rtlc79_Interrupt_status_register_1_D_n486_1 <= 
   Interrupt_status_register_1_79n7ss1(1) OR rtlc79n1754 ;
   rtlc79_Interrupt_status_register_1_D_n486_0 <= 
   Interrupt_status_register_1_79n7ss1(0) OR rtlc79n1778 ;
   rtlcn9829 <= rtlcn6642 OR rtlcn6640 ;
   reg_data_out_wide_79n70ss1(0) <= reg_data_out_wide_79n68ss1(0) AND CPU_CS
    ;
   eBC_IRQ_do_30n180ss1 <= not_BC_Echo_word_13 AND rtlcn3845 ;
   BIT_Test_complete_88n7ss1 <= Test_Status_reg_88n4ss1(1) OR 
   Test_Status_reg_88n7ss1(0) ;
   not_eBC_IRQ_do <= NOT eBC_IRQ_do ;
   rtlcn10155 <= not_BC_msg_pointer_0 OR not_eBC_IRQ_do ;
   rtlc79_Interrupt_status_register_2_D_n487_1 <= 
   Interrupt_status_register_2_79n7ss1_1 OR BIT_Test_complete ;
   Clean_status2_bits_64n77ss1 <= rtlcn7560 OR rtlcn6663 ;
   rtlcn2474 <= not_Read_from_int_vec2 OR rtlc64n6454 ;
   rtlcn10154 <= not_rtlcs238 OR not_rtlc64n6439 ;
   reg_data_out_wide_79n70ss1(1) <= reg_data_out_wide_79n68ss1(1) AND CPU_CS
    ;
   Interrupt_status_register_2_79n7ss1_2 <= 
   Interrupt_status_register_2_79n6s1_2 AND rtlcn6644 ;
   Interrupt_status_register_2_79n35ss1(0) <= 
   Interrupt_status_register_2_79n7ss1_2 OR rtlcn6651 ;
   reg_data_out_wide_79n70ss1(2) <= reg_data_out_wide_79n68ss1(2) AND CPU_CS
    ;
   rtlcn10156 <= not_BC_msg_pointer_1 OR not_eBC_IRQ_do ;
   Interrupt_status_register_2_79n35ss1(1) <= 
   Interrupt_status_register_2_79n7ss1_3 OR rtlcn6705 ;
   reg_data_out_wide_79n70ss1(3) <= reg_data_out_wide_79n68ss1(3) AND CPU_CS
    ;
   rtlcn10157 <= not_BC_msg_pointer_2 OR not_eBC_IRQ_do ;
   Interrupt_status_register_2_79n35ss1(2) <= 
   Interrupt_status_register_2_79n7ss1_4 OR rtlcn6730 ;
   reg_data_out_wide_79n70ss1(4) <= reg_data_out_wide_79n68ss1(4) AND CPU_CS
    ;
   rtlcn10158 <= not_BC_msg_pointer_3 OR not_eBC_IRQ_do ;
   Interrupt_status_register_2_79n35ss1(3) <= 
   Interrupt_status_register_2_79n7ss1_5 OR rtlcn6755 ;
   reg_data_out_wide_79n70ss1(5) <= reg_data_out_wide_79n68ss1(5) AND CPU_CS
    ;
   not_monitor_data_pointer_8 <= NOT monitor_data_pointer(8) ;
   Monitor_data_stack_half_pass_and_26i237 : and_9u_9u port map ( a(8)=>
      not_monitor_data_pointer_8, a(7)=>monitor_data_pointer(7), a(6)=>
      monitor_data_pointer(6), a(5)=>monitor_data_pointer(5), a(4)=>
      monitor_data_pointer(4), a(3)=>monitor_data_pointer(3), a(2)=>
      monitor_data_pointer(2), a(1)=>monitor_data_pointer(1), a(0)=>
      monitor_data_pointer(0), d=>Monitor_data_stack_half_pass_26n104s7);
   not_monitor_data_pointer_9 <= NOT monitor_data_pointer(9) ;
   not_monitor_data_pointer_10 <= NOT monitor_data_pointer(10) ;
   not_monitor_data_pointer_11 <= NOT monitor_data_pointer(11) ;
   not_monitor_data_pointer_12 <= NOT monitor_data_pointer(12) ;
   not_monitor_data_pointer_13 <= NOT monitor_data_pointer(13) ;
   not_monitor_data_pointer_14 <= NOT monitor_data_pointer(14) ;
   Monitor_data_stack_half_pass_26n105ss1 <= 
   Monitor_data_stack_half_pass_26n104ss1 AND rtlcs41 ;
   rtlc79_Interrupt_status_register_2_D_n487_6 <= 
   Interrupt_status_register_2_79n7ss1_6 OR Monitor_data_stack_half_pass ;
   reg_data_out_wide_79n70ss1(6) <= reg_data_out_wide_79n68ss1(6) AND CPU_CS
    ;
   not_monitor_stack_pointer_13 <= NOT monitor_stack_pointer(13) ;
   rtlcs8 <= monitor_stack_pointer(12) AND not_monitor_stack_pointer_13 ;
   not_monitor_stack_pointer_11 <= NOT monitor_stack_pointer(11) ;
   rtlcs11 <= monitor_stack_pointer(10) AND not_monitor_stack_pointer_11 ;
   not_monitor_stack_pointer_9 <= NOT monitor_stack_pointer(9) ;
   rtlcs2 <= monitor_stack_pointer(8) AND not_monitor_stack_pointer_9 ;
   not_monitor_stack_pointer_7 <= NOT monitor_stack_pointer(7) ;
   Monitor_command_stack_half_pass_and_26i238 : and_6u_6u port map ( a(5)=>
      not_monitor_stack_pointer_7, a(4)=>monitor_stack_pointer(6), a(3)=>
      monitor_stack_pointer(5), a(2)=>monitor_stack_pointer(4), a(1)=>
      monitor_stack_pointer(3), a(0)=>monitor_stack_pointer(2), d=>
      Monitor_command_stack_half_pass_26n77s1);
   Monitor_command_stack_half_pass_26n82ss1 <= 
   Monitor_command_stack_half_pass_26n77ss1 AND rtlcn6066 ;
   rtlc79_Interrupt_status_register_2_D_n487_7 <= 
   Interrupt_status_register_2_79n7ss1_7 OR Monitor_command_stack_half_pass
    ;
   reg_data_out_wide_79n70ss1(7) <= reg_data_out_wide_79n68ss1(7) AND CPU_CS
    ;
   reg_data_out_wide_79n70ss1(8) <= reg_data_out_wide_79n68ss1(8) AND CPU_CS
    ;
   reg_data_out_wide_79n70ss1(9) <= reg_data_out_wide_79n68ss1(9) AND CPU_CS
    ;
   rtlc79_Interrupt_status_register_2_D_n487_10 <= 
   Interrupt_status_register_2_79n7ss1_10 OR eBC_Bad_instruction ;
   reg_data_out_wide_79n70ss1(10) <= reg_data_out_wide_79n68ss1(10) AND 
   CPU_CS ;
   rtlc79_Interrupt_status_register_2_D_n487_11 <= 
   Interrupt_status_register_2_79n7ss1_11 OR eBC_Stack_error ;
   rtlcn2482 <= rtlcn1230 OR not_rtlc88n99 ;
   reg_data_out_wide_79n70ss1(11) <= reg_data_out_wide_79n68ss1(11) AND 
   CPU_CS ;
   rtlc79_Interrupt_status_register_2_D_n487_12 <= 
   Interrupt_status_register_2_79n7ss1_12 OR rtlc79n1807 ;
   reg_data_out_wide_79n70ss1(12) <= reg_data_out_wide_79n68ss1(12) AND 
   CPU_CS ;
   reg_data_out_wide_79n70ss1(13) <= reg_data_out_wide_79n68ss1(13) AND 
   CPU_CS ;
   eBC_Bad_Parity_30n180ss1 <= not_eBC_Bad_Parity_30n180s2 AND BC_State(76)
    ;
   Interrupt_status_register_2_79n25ss1(1) <= 
   Interrupt_status_register_2_79n7ss1_14 OR eBC_Bad_Parity ;
   reg_data_out_wide_79n70ss1(14) <= reg_data_out_wide_79n68ss1(14) AND 
   CPU_CS ;
   rtlcn9843 <= rtlc33n371 OR rtlc33n443 ;
   reg_data_out_wide_79n70ss1(15) <= reg_data_out_wide_79n68ss1(15) AND 
   CPU_CS ;
   not_Strobe_TT_D_1 <= NOT Strobe_TT_D(1) ;
   rtlcs300 <= not_Strobe_TT_D_1 AND Strobe_TT_D(0) ;
   rtlcn10903 <= BC_on_EXMPLR898 AND BC_Message_Active ;
   Config_reg_1_64n88ss1 <= rtlcn10903 OR rtlcn6998 ;
   reg_data_out_wide_79n70ss1(16) <= reg_data_out_wide_79n69ss1(0) AND 
   CPU_CS ;
   Config_reg_1_64n43ss1_1 <= CPU_Data_in_wide(17) AND rtlcn2625 ;
   reg_data_out_wide_79n70ss1(17) <= reg_data_out_wide_79n69ss1(1) AND 
   CPU_CS ;
   rtlcn10907 <= rtlcn7028 AND not_BC_IDLE ;
   Config_reg_1_64n83ss1 <= rtlcn7025 OR rtlcn10907 ;
   reg_data_out_wide_79n70ss1(18) <= reg_data_out_wide_79n69ss1(2) AND 
   CPU_CS ;
   reg_data_out_wide_79n70ss1(19) <= reg_data_out_wide_79n69ss1(3) AND 
   CPU_CS ;
   reg_data_out_wide_79n70ss1(20) <= reg_data_out_wide_79n69ss1(4) AND 
   CPU_CS ;
   reg_data_out_wide_79n70ss1(21) <= reg_data_out_wide_79n69ss1(5) AND 
   CPU_CS ;
   reg_data_out_wide_79n70ss1(22) <= reg_data_out_wide_79n69ss1(6) AND 
   CPU_CS ;
   reg_data_out_wide_79n70ss1(23) <= reg_data_out_wide_79n69ss1(7) AND 
   CPU_CS ;
   reg_data_out_wide_79n70ss1(24) <= reg_data_out_wide_79n69ss1(8) AND 
   CPU_CS ;
   reg_data_out_wide_79n70ss1(25) <= reg_data_out_wide_79n69ss1(9) AND 
   CPU_CS ;
   reg_data_out_wide_79n70ss1(26) <= reg_data_out_wide_79n69ss1(10) AND 
   CPU_CS ;
   reg_data_out_wide_79n70ss1(27) <= reg_data_out_wide_79n69ss1(11) AND 
   CPU_CS ;
   reg_data_out_wide_79n70ss1(28) <= reg_data_out_wide_79n69ss1(12) AND 
   CPU_CS ;
   reg_data_out_wide_79n70ss1(29) <= reg_data_out_wide_79n69ss1(13) AND 
   CPU_CS ;
   reg_data_out_wide_79n70ss1(30) <= reg_data_out_wide_79n69ss1(14) AND 
   CPU_CS ;
   reg_data_out_wide_79n70ss1(31) <= reg_data_out_wide_79n69ss1(15) AND 
   CPU_CS ;
   monitor_stack_pointer_plus4_inc12_26i239 : inc_12u_12u_0 port map ( cin=>
      PWR, a(11)=>monitor_stack_pointer(13), a(10)=>
      monitor_stack_pointer(12), a(9)=>monitor_stack_pointer(11), a(8)=>
      monitor_stack_pointer(10), a(7)=>monitor_stack_pointer(9), a(6)=>
      monitor_stack_pointer(8), a(5)=>monitor_stack_pointer(7), a(4)=>
      monitor_stack_pointer(6), a(3)=>monitor_stack_pointer(5), a(2)=>
      monitor_stack_pointer(4), a(1)=>monitor_stack_pointer(3), a(0)=>
      monitor_stack_pointer(2), d(11)=>monitor_stack_pointer_plus4_26n1s4_13, 
      d(10)=>monitor_stack_pointer_plus4_26n1s4_12, d(9)=>
      monitor_stack_pointer_plus4_26n1s4_11, d(8)=>
      monitor_stack_pointer_plus4_26n1s4_10, d(7)=>
      monitor_stack_pointer_plus4_26n1s4_9, d(6)=>
      monitor_stack_pointer_plus4_26n1s4_8, d(5)=>
      monitor_stack_pointer_plus4_26n1s4_7, d(4)=>
      monitor_stack_pointer_plus4_26n1s4_6, d(3)=>
      monitor_stack_pointer_plus4_26n1s4_5, d(2)=>
      monitor_stack_pointer_plus4_26n1s4_4, d(1)=>
      monitor_stack_pointer_plus4_26n1s4_3, d(0)=>
      monitor_stack_pointer_plus4_26n1s4_2, cout=>DANGLING(7));
   not_rtlcn10972 <= NOT rtlcn10972 ;
   BC_Sts_Word_45n13ss1_4 <= Good_data_block_recieved AND not_BC_Go ;
   rtlc_19034_select_736 : select_4_4 port map ( a(3)=>rtlc26n9797, a(2)=>
      MON_SOM_phase(5), a(1)=>rtlcn7145, a(0)=>MON_SOM_phase(7), b(3)=>
      Ram_data_i_26n82ss1(6), b(2)=>time_tag_EXMPLR1017(6), b(1)=>
      monitor_data_pointer(6), b(0)=>Monitor_Active_command(6), d=>
      rtlcn10975);
   Latched_Monitor_data_stack_rollover_26n82ss1 <= 
   Latched_Monitor_data_stack_rollover_26n1s1 AND not_rtlcs54 ;
   Latched_Monitor_ended_OK_26n82ss1 <= Latched_Monitor_ended_OK_26n1s1 AND 
   not_rtlcs54 ;
   Ram_data_i_inc5_26i240 : inc_5u_5u_0 port map ( cin=>PWR, a(4)=>
      Do_once(4), a(3)=>Do_once(3), a(2)=>Do_once(2), a(1)=>Do_once(1), a(0)
      =>Do_once(0), d(4)=>Ram_data_i_26n2s11(5), d(3)=>Ram_data_i_26n2s11(4), 
      d(2)=>Ram_data_i_26n2s11(3), d(1)=>Ram_data_i_26n2s11(2), d(0)=>
      Ram_data_i_26n2s11(1), cout=>DANGLING(8));
   rtlc_19042_select_738 : select_4_4 port map ( a(3)=>not_rtlc26n9590, a(2)
      =>SOM_phase_5, a(1)=>SOM_phase_6, a(0)=>rtlcn7196, b(3)=>
      Ram_data_i_26n27ss1(9), b(2)=>Current_command(9), b(1)=>
      time_tag_EXMPLR1017(9), b(0)=>data_pointer(9), d=>rtlcn10999);
   rtlc_19044_select_739 : select_4_4 port map ( a(3)=>not_rtlc26n9590, a(2)
      =>SOM_phase_5, a(1)=>SOM_phase_6, a(0)=>rtlcn7196, b(3)=>
      Ram_data_i_26n27ss1(10), b(2)=>Current_command(10), b(1)=>
      time_tag_EXMPLR1017(10), b(0)=>data_pointer(10), d=>rtlcn11000);
   rtlc_19046_select_740 : select_4_4 port map ( a(3)=>not_rtlc26n9590, a(2)
      =>SOM_phase_5, a(1)=>SOM_phase_6, a(0)=>rtlcn7196, b(3)=>
      Ram_data_i_26n27ss1(12), b(2)=>Current_command(12), b(1)=>
      time_tag_EXMPLR1017(12), b(0)=>data_pointer(12), d=>rtlcn11001);
   rtlc_19050_select_741 : select_4_4 port map ( a(3)=>rtlc26n9884, a(2)=>
      not_rtlc26n9884, a(1)=>rtlcn7323, a(0)=>rtlcn7324, b(3)=>
      Ram_data_i_26n100ss1_14, b(2)=>Monitor_write_data(14), b(1)=>PWR, b(0)
      =>time_tag_EXMPLR1017(14), d=>rtlcn11003);
   rtlcn9831 <= BC_msg_pointer(2) OR BC_msg_pointer(3) ;
   not_rtlcn11047 <= NOT rtlcn11047 ;
   not_rtlc33n262 <= NOT rtlc33n262 ;
   Non_masked_Event_D_33n1ss1 <= Non_masked_Event AND not_rtlc33n262 ;
   not_INTn_count_1 <= NOT INTn_count(1) ;
   rtlc_19126_and_742 : and_5u_5u port map ( a(4)=>INTn_count(4), a(3)=>
      not_INTn_count_3, a(2)=>INTn_count(2), a(1)=>not_INTn_count_1, a(0)=>
      INTn_count(0), d=>rtlcs148);
   not_INTn_count_0 <= NOT INTn_count(0) ;
   rtlc_19132_and_743 : and_5u_5u port map ( a(4)=>not_INTn_count_4, a(3)=>
      not_INTn_count_3, a(2)=>not_INTn_count_2, a(1)=>not_INTn_count_1, a(0)
      =>not_INTn_count_0, d=>rtlcs149);
   not_Config_reg_5_10 <= NOT Config_reg_5(10) ;
   rtlcs299 <= not_Config_reg_5_10 AND Config_reg_5(9) ;
   rtlcs297 <= Config_reg_5(10) AND not_Config_reg_5_9 ;
   rtlcn9428 <= not_rtlc26n9797 AND New_command_record ;
   mem_WE_vec(0) <= CPU_WE_vec(0) AND rtlc14n16 ;
   mem_WE_vec(1) <= CPU_WE_vec(1) AND rtlc14n16 ;
   one_micro_increment_64n16ss1 <= rtlc64n7189 AND CE ;
   not_BC_word_number_0 <= NOT BC_word_number(0) ;
   rtlcs133 <= BC_word_number(1) AND not_BC_word_number_0 ;
   not_BC_TX_Data_10 <= NOT BC_TX_Data_10_EXMPLR887 ;
   not_BC_TX_Data_3 <= NOT BC_TX_Data_3_EXMPLR894 ;
   not_BC_TX_Data_2 <= NOT BC_TX_Data_2_EXMPLR895 ;
   not_BC_TX_Data_1 <= NOT BC_TX_Data_1_EXMPLR896 ;
   rtlc_19169_and_744 : and_11u_11u port map ( a(10)=>not_BC_TX_Data_10, 
      a(9)=>BC_TX_Data_9_EXMPLR888, a(8)=>BC_TX_Data_8_EXMPLR889, a(7)=>
      BC_TX_Data_7_EXMPLR890, a(6)=>BC_TX_Data_6_EXMPLR891, a(5)=>
      BC_TX_Data_5_EXMPLR892, a(4)=>BC_TX_Data_4_EXMPLR893, a(3)=>
      not_BC_TX_Data_3, a(2)=>not_BC_TX_Data_2, a(1)=>not_BC_TX_Data_1, a(0)
      =>BC_TX_Data_0_EXMPLR897, d=>rtlcs136);
   not_BC_TX_Data_9 <= NOT BC_TX_Data_9_EXMPLR888 ;
   not_BC_TX_Data_8 <= NOT BC_TX_Data_8_EXMPLR889 ;
   not_BC_TX_Data_7 <= NOT BC_TX_Data_7_EXMPLR890 ;
   not_BC_TX_Data_6 <= NOT BC_TX_Data_6_EXMPLR891 ;
   not_BC_TX_Data_5 <= NOT BC_TX_Data_5_EXMPLR892 ;
   rtlc_19179_and_745 : and_11u_11u port map ( a(10)=>not_BC_TX_Data_10, 
      a(9)=>not_BC_TX_Data_9, a(8)=>not_BC_TX_Data_8, a(7)=>not_BC_TX_Data_7, 
      a(6)=>not_BC_TX_Data_6, a(5)=>not_BC_TX_Data_5, a(4)=>
      BC_TX_Data_4_EXMPLR893, a(3)=>not_BC_TX_Data_3, a(2)=>not_BC_TX_Data_2, 
      a(1)=>not_BC_TX_Data_1, a(0)=>BC_TX_Data_0_EXMPLR897, d=>rtlcs135);
   host_status_bits_64n90ss1(0) <= host_status_bits_64n45ss1(0) OR rtlcn7536
    ;
   not_rtlcn11076 <= NOT rtlcn11076 ;
   not_rtlc64n5895 <= NOT rtlc64n5895 ;
   host_status_bits_64n45ss1(1) <= Config_reg_1(2) AND not_rtlc64n5895 ;
   host_status_bits_64n45ss1(4) <= Config_reg_1(5) AND not_rtlc64n5895 ;
   host_status_bits_64n45ss1(5) <= Config_reg_1(6) AND not_rtlc64n5895 ;
   host_status_bits_64n45ss1(6) <= Config_reg_1(7) AND not_rtlc64n5895 ;
   host_status_bits_64n45ss1(7) <= Config_reg_1(8) AND not_rtlc64n5895 ;
   host_status_bits_64n90ss1(1) <= host_status_bits_64n45ss1(8) AND 
   rtlcn7545 ;
   host_status_bits_64n45ss1(9) <= Config_reg_1(10) AND not_rtlc64n5895 ;
   host_status_bits_64n45ss1(10) <= Config_reg_1(11) AND not_rtlc64n5895 ;
   rtlcn10204 <= rtlcs228 OR rtlcs236 ;
   rtlcn10592 <= Config_reg_3_15 OR rtlc64n5895 ;
   rtlcn10597 <= Ack OR rtlc26n7516 ;
   BC_Sts_Word_45n13ss1_13 <= NOT rtlcn11403 ;
   not_rtlcn11404 <= NOT rtlcn11404 ;
   rtlcn11076 <= rtlcn10592 OR Config_reg_3_2 ;
   rtlcn11403 <= BC_BUS_A_EXMPLR880 OR BC_Go_EXMPLR881 ;
   rtlcn11404 <= Ack OR rtlcn7393 ;
   reg_data_out_wide_select_79i143 : select_11_11 port map ( a(10)=>
      rtlcn12043, a(9)=>rtlcs223, a(8)=>rtlcs231, a(7)=>rtlcs249, a(6)=>
      rtlcs256, a(5)=>rtlcs251, a(4)=>rtlcs253, a(3)=>rtlcs261, a(2)=>
      rtlcs259, a(1)=>rtlcs264, a(0)=>rtlcs265, b(10)=>debug_EXMPLR1018(15), 
      b(9)=>debug_EXMPLR1018(15), b(8)=>Config_reg_6_8, b(7)=>
      Channel_Status(8), b(6)=>BC_GAP_to_next_msg_counter(8), b(5)=>
      reg_data_out_wide_79n49ss1(8), b(4)=>Config_reg_4_EXMPLR1013(8), b(3)
      =>Interrupt_status_register_1(8), b(2)=>reg_data_out_wide_79n42ss1(8), 
      b(1)=>Config_reg_2(8), b(0)=>Interrupt_mask_register_1(8), d=>
      reg_data_out_wide_79n68ss1(8));
   reg_data_out_wide_select_79i144 : select_12_12 port map ( a(11)=>
      rtlcn12045, a(10)=>rtlcs223, a(9)=>rtlcs231, a(8)=>rtlcs216, a(7)=>
      rtlcs249, a(6)=>rtlcs256, a(5)=>rtlcs251, a(4)=>rtlcs253, a(3)=>
      rtlcs261, a(2)=>rtlcs259, a(1)=>rtlcs264, a(0)=>rtlcs265, b(11)=>
      debug_EXMPLR1018(15), b(10)=>debug_EXMPLR1018(15), b(9)=>
      Config_reg_6_9, b(8)=>PWR, b(7)=>Channel_Status(9), b(6)=>
      BC_GAP_to_next_msg_counter(9), b(5)=>reg_data_out_wide_79n49ss1(9), 
      b(4)=>Config_reg_4_EXMPLR1013(9), b(3)=>Interrupt_status_register_1(9), 
      b(2)=>reg_data_out_wide_79n42ss1(9), b(1)=>Config_reg_2(9), b(0)=>
      Interrupt_mask_register_1(9), d=>reg_data_out_wide_79n68ss1(9));
   reg_data_out_wide_select_79i11Bus169_13 : select_12_12 port map ( a(11)=>
      rtlcn12047, a(10)=>rtlcs243, a(9)=>rtlcs223, a(8)=>rtlcs231, a(7)=>
      rtlcs219, a(6)=>rtlcs256, a(5)=>rtlcs251, a(4)=>rtlcs253, a(3)=>
      rtlcs261, a(2)=>rtlcs259, a(1)=>rtlcs264, a(0)=>rtlcs265, b(11)=>
      debug_EXMPLR1018(15), b(10)=>Test_Status_reg_15, b(9)=>PWR, b(8)=>
      Config_reg_6_13, b(7)=>PWR, b(6)=>BC_GAP_to_next_msg_counter(13), b(5)
      =>reg_data_out_wide_79n49ss1(13), b(4)=>Config_reg_4_EXMPLR1013(13), 
      b(3)=>Interrupt_status_register_1(13), b(2)=>
      reg_data_out_wide_79n42ss1(13), b(1)=>Config_reg_2(13), b(0)=>
      Interrupt_mask_register_1(13), d=>reg_data_out_wide_79n68ss1(13));
   reg_data_out_wide_select_79i146 : select_11_11 port map ( a(10)=>rtlcs235, 
      a(9)=>rtlcs243, a(8)=>rtlcs223, a(7)=>rtlcs231, a(6)=>rtlcn12049, a(5)
      =>rtlcs256, a(4)=>rtlcs251, a(3)=>rtlcs253, a(2)=>rtlcs259, a(1)=>
      rtlcs264, a(0)=>rtlcs265, b(10)=>Interrupt_status_register_2_14, b(9)
      =>Test_Status_reg_14, b(8)=>debug_EXMPLR1018(15), b(7)=>
      Config_reg_6_14, b(6)=>debug_EXMPLR1018(15), b(5)=>
      BC_GAP_to_next_msg_counter(14), b(4)=>reg_data_out_wide_79n49ss1(14), 
      b(3)=>Config_reg_4_EXMPLR1013(14), b(2)=>
      reg_data_out_wide_79n42ss1(14), b(1)=>Config_reg_2(14), b(0)=>
      Interrupt_mask_register_1(14), d=>reg_data_out_wide_79n68ss1(14));
   YES_49n2ss1 <= not_ReTry_count_1 AND rtlcs343 ;
   rtlc64n6629 <= not_rtlcn10592 AND rtlcn7545 ;
   rtlc64n7189 <= rtlcn1225 AND count_1us(5) ;
   rtlcn10593 <= arbiter OR WRD_req ;
   rtlcn10595 <= SOM_req OR rtlcn8789 ;
   rtlcn10596 <= rtlcn8789 OR rtlcn8803 ;
   rtlcn10066 <= Ack AND rtlc30n17270 ;
   rtlcn9979 <= Ack AND BC_State(83) ;
   rtlcn9951 <= Ack AND SOM_phase_3 ;
   rtlcn9929 <= rtlc26n9863 AND rtlcs41 ;
   rtlcn9927 <= rtlc26n9865 AND rtlcs41 ;
   rtlcn9925 <= rtlcs50 AND rtlcs41 ;
   rtlcn9959 <= Ack AND EOM_phase(1) ;
   Non_masked_Event_or_79i147 : or_10u_10u port map ( a(9)=>
      Non_masked_Event_79n3s3_1, a(8)=>Non_masked_Event_79n3s3_3, a(7)=>
      Non_masked_Event_79n3s3_4, a(6)=>Non_masked_Event_79n3s3_5, a(5)=>
      Non_masked_Event_79n3s3_6, a(4)=>Non_masked_Event_79n3s3_7, a(3)=>
      Non_masked_Event_79n3s3_10, a(2)=>Non_masked_Event_79n3s3_11, a(1)=>
      Non_masked_Event_79n3s3_12, a(0)=>Non_masked_Event_79n3s3_14, d=>
      Non_masked_Event_79n3s1);
   Non_masked_Event_or_79i148 : or_14u_14u port map ( a(13)=>
      Non_masked_Event_79n1s3_0, a(12)=>Non_masked_Event_79n1s3_1, a(11)=>
      Non_masked_Event_79n1s3_2, a(10)=>Non_masked_Event_79n1s3_3, a(9)=>
      Non_masked_Event_79n1s3_4, a(8)=>Non_masked_Event_79n1s3_5, a(7)=>
      Non_masked_Event_79n1s3_6, a(6)=>debug_EXMPLR1018(15), a(5)=>
      Non_masked_Event_79n1s3_8, a(4)=>debug_EXMPLR1018(15), a(3)=>
      Non_masked_Event_79n1s3_10, a(2)=>Non_masked_Event_79n1s3_11, a(1)=>
      Non_masked_Event_79n1s3_12, a(0)=>Non_masked_Event_79n1s3_13, d=>
      Non_masked_Event_79n1s1);
   rtlc64n7590 <= Config_reg_5(10) OR Config_reg_5(9) ;
   rtlcn12070 <= not_Config_reg_2_3 AND rtlcn9807 ;
   rtlcn12069 <= rtlcn12070 AND CE ;
   modgen_counter_INTn_count : 
      counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_5 port map ( 
      clock=>clock, q(4)=>INTn_count(4), q(3)=>INTn_count(3), q(2)=>
      INTn_count(2), q(1)=>INTn_count(1), q(0)=>INTn_count(0), clk_en=>
      rtlcn12069, aclear=>not_ResetN, sload=>rtlc33n609, data(4)=>
      debug_EXMPLR1018(15), data(3)=>debug_EXMPLR1018(15), data(2)=>
      debug_EXMPLR1018(15), data(1)=>debug_EXMPLR1018(15), data(0)=>PWR, 
      aset=>debug_EXMPLR1018(15), sclear=>rtlc33n518, updn=>PWR, cnt_en=>
      rtlcn12071);
   modgen_counter_Timeout_counter : 
      counter_up_cnt_en_sclear_aclear_clock_clk_en_0_7 port map ( clock=>
      clock, q(6)=>Timeout_counter(6), q(5)=>Timeout_counter(5), q(4)=>
      Timeout_counter(4), q(3)=>Timeout_counter(3), q(2)=>Timeout_counter(2), 
      q(1)=>Timeout_counter(1), q(0)=>Timeout_counter(0), clk_en=>CE, aclear
      =>not_ResetN, sload=>debug_EXMPLR1018(15), data(6)=>DANGLING(9), 
      data(5)=>DANGLING(10), data(4)=>DANGLING(11), data(3)=>DANGLING(12), 
      data(2)=>DANGLING(13), data(1)=>DANGLING(14), data(0)=>DANGLING(15), 
      aset=>debug_EXMPLR1018(15), sclear=>not_arbiter, updn=>PWR, cnt_en=>
      rtlc36n760);
   modgen_counter_Micro_second_counter : 
      counter_dn_sload_aclear_clock_clk_en_0_6 port map ( clock=>clock, q(5)
      =>Micro_second_counter(5), q(4)=>Micro_second_counter(4), q(3)=>
      Micro_second_counter(3), q(2)=>Micro_second_counter(2), q(1)=>
      Micro_second_counter(1), q(0)=>Micro_second_counter(0), clk_en=>CE, 
      aclear=>not_ResetN, sload=>rtlcn12080, data(5)=>PWR, data(4)=>
      debug_EXMPLR1018(15), data(3)=>debug_EXMPLR1018(15), data(2)=>
      not_BC_Load_msg_gap_counter, data(1)=>PWR, data(0)=>PWR, aset=>
      debug_EXMPLR1018(15), sclear=>debug_EXMPLR1018(15), updn=>
      debug_EXMPLR1018(15), cnt_en=>PWR);
   modgen_counter_BC_GAP_to_next_msg_counter : 
      counter_dn_cnt_en_sload_sclear_aclear_clock_clk_en_0_16 port map ( 
      clock=>clock, q(15)=>BC_GAP_to_next_msg_counter(15), q(14)=>
      BC_GAP_to_next_msg_counter(14), q(13)=>BC_GAP_to_next_msg_counter(13), 
      q(12)=>BC_GAP_to_next_msg_counter(12), q(11)=>
      BC_GAP_to_next_msg_counter(11), q(10)=>BC_GAP_to_next_msg_counter(10), 
      q(9)=>BC_GAP_to_next_msg_counter(9), q(8)=>
      BC_GAP_to_next_msg_counter(8), q(7)=>BC_GAP_to_next_msg_counter(7), 
      q(6)=>BC_GAP_to_next_msg_counter(6), q(5)=>
      BC_GAP_to_next_msg_counter(5), q(4)=>BC_GAP_to_next_msg_counter(4), 
      q(3)=>BC_GAP_to_next_msg_counter(3), q(2)=>
      BC_GAP_to_next_msg_counter(2), q(1)=>BC_GAP_to_next_msg_counter(1), 
      q(0)=>BC_GAP_to_next_msg_counter(0), clk_en=>CE, aclear=>not_ResetN, 
      sload=>BC_Load_msg_gap_counter, data(15)=>Data_o_temp(15), data(14)=>
      Data_o_temp(14), data(13)=>Data_o_temp(13), data(12)=>Data_o_temp(12), 
      data(11)=>Data_o_temp(11), data(10)=>Data_o_temp(10), data(9)=>
      Data_o_temp(9), data(8)=>Data_o_temp(8), data(7)=>Data_o_temp(7), 
      data(6)=>Data_o_temp(6), data(5)=>Data_o_temp(5), data(4)=>
      Data_o_temp(4), data(3)=>Data_o_temp(3), data(2)=>Data_o_temp(2), 
      data(1)=>Data_o_temp(1), data(0)=>Data_o_temp(0), aset=>
      debug_EXMPLR1018(15), sclear=>rtlc52_X_0_n213, updn=>
      debug_EXMPLR1018(15), cnt_en=>rtlcn1213);
   modgen_counter_Counter_100us : counter_dn_sload_aclear_clock_clk_en_0_12
       port map ( clock=>clock, q(11)=>Counter_100us(11), q(10)=>
      Counter_100us(10), q(9)=>Counter_100us(9), q(8)=>Counter_100us(8), 
      q(7)=>Counter_100us(7), q(6)=>Counter_100us(6), q(5)=>Counter_100us(5), 
      q(4)=>Counter_100us(4), q(3)=>Counter_100us(3), q(2)=>Counter_100us(2), 
      q(1)=>Counter_100us(1), q(0)=>Counter_100us(0), clk_en=>CE, aclear=>
      not_ResetN, sload=>rtlcn12085, data(11)=>PWR, data(10)=>PWR, data(9)=>
      PWR, data(8)=>PWR, data(7)=>PWR, data(6)=>debug_EXMPLR1018(15), 
      data(5)=>debug_EXMPLR1018(15), data(4)=>PWR, data(3)=>PWR, data(2)=>
      PWR, data(1)=>not_rtlc55n276, data(0)=>not_rtlc55n276, aset=>
      debug_EXMPLR1018(15), sclear=>debug_EXMPLR1018(15), updn=>
      debug_EXMPLR1018(15), cnt_en=>PWR);
   modgen_counter_BC_frame_GAP_counter : 
      counter_dn_cnt_en_sload_sclear_aclear_clock_clk_en_0_16 port map ( 
      clock=>clock, q(15)=>BC_frame_GAP_counter(15), q(14)=>
      BC_frame_GAP_counter(14), q(13)=>BC_frame_GAP_counter(13), q(12)=>
      BC_frame_GAP_counter(12), q(11)=>BC_frame_GAP_counter(11), q(10)=>
      BC_frame_GAP_counter(10), q(9)=>BC_frame_GAP_counter(9), q(8)=>
      BC_frame_GAP_counter(8), q(7)=>BC_frame_GAP_counter(7), q(6)=>
      BC_frame_GAP_counter(6), q(5)=>BC_frame_GAP_counter(5), q(4)=>
      BC_frame_GAP_counter(4), q(3)=>BC_frame_GAP_counter(3), q(2)=>
      BC_frame_GAP_counter(2), q(1)=>BC_frame_GAP_counter(1), q(0)=>
      BC_frame_GAP_counter(0), clk_en=>CE, aclear=>not_ResetN, sload=>
      rtlc55n276, data(15)=>rtlcn12086(15), data(14)=>rtlcn12086(14), 
      data(13)=>rtlcn12086(13), data(12)=>rtlcn12086(12), data(11)=>
      rtlcn12086(11), data(10)=>rtlcn12086(10), data(9)=>rtlcn12086(9), 
      data(8)=>rtlcn12086(8), data(7)=>rtlcn12086(7), data(6)=>rtlcn12086(6), 
      data(5)=>rtlcn12086(5), data(4)=>rtlcn12086(4), data(3)=>rtlcn12086(3), 
      data(2)=>rtlcn12086(2), data(1)=>rtlcn12086(1), data(0)=>rtlcn12086(0), 
      aset=>debug_EXMPLR1018(15), sclear=>rtlc55_X_0_n319, updn=>
      debug_EXMPLR1018(15), cnt_en=>rtlcn1212);
   modgen_counter_count_1us : counter_up_sclear_aclear_clock_clk_en_0_6
       port map ( clock=>clock, q(5)=>count_1us(5), q(4)=>count_1us(4), q(3)
      =>count_1us(3), q(2)=>count_1us(2), q(1)=>count_1us(1), q(0)=>
      count_1us(0), clk_en=>CE, aclear=>not_ResetN, sload=>
      debug_EXMPLR1018(15), data(5)=>DANGLING(16), data(4)=>DANGLING(17), 
      data(3)=>DANGLING(18), data(2)=>DANGLING(19), data(1)=>DANGLING(20), 
      data(0)=>DANGLING(21), aset=>debug_EXMPLR1018(15), sclear=>rtlc64n7189, 
      updn=>PWR, cnt_en=>PWR);
   rtlc_19797_inc_755 : inc_15u_15u_0 port map ( cin=>PWR, a(14)=>
      monitor_data_pointer(14), a(13)=>monitor_data_pointer(13), a(12)=>
      monitor_data_pointer(12), a(11)=>monitor_data_pointer(11), a(10)=>
      monitor_data_pointer(10), a(9)=>monitor_data_pointer(9), a(8)=>
      monitor_data_pointer(8), a(7)=>monitor_data_pointer(7), a(6)=>
      monitor_data_pointer(6), a(5)=>monitor_data_pointer(5), a(4)=>
      monitor_data_pointer(4), a(3)=>monitor_data_pointer(3), a(2)=>
      monitor_data_pointer(2), a(1)=>monitor_data_pointer(1), a(0)=>
      monitor_data_pointer(0), d(14)=>rtlcn12089(14), d(13)=>rtlcn12089(13), 
      d(12)=>rtlcn12089(12), d(11)=>rtlcn12089(11), d(10)=>rtlcn12089(10), 
      d(9)=>rtlcn12089(9), d(8)=>rtlcn12089(8), d(7)=>rtlcn12089(7), d(6)=>
      rtlcn12089(6), d(5)=>rtlcn12089(5), d(4)=>rtlcn12089(4), d(3)=>
      rtlcn12089(3), d(2)=>rtlcn12089(2), d(1)=>rtlcn12089(1), d(0)=>
      rtlcn12089(0), cout=>DANGLING(22));
   rtlc_19813_inc_756 : inc_14u_14u_0 port map ( cin=>PWR, a(13)=>
      data_pointer(13), a(12)=>data_pointer(12), a(11)=>data_pointer(11), 
      a(10)=>data_pointer(10), a(9)=>data_pointer(9), a(8)=>data_pointer(8), 
      a(7)=>data_pointer(7), a(6)=>data_pointer(6), a(5)=>data_pointer(5), 
      a(4)=>data_pointer(4), a(3)=>data_pointer(3), a(2)=>data_pointer(2), 
      a(1)=>data_pointer(1), a(0)=>data_pointer(0), d(13)=>rtlcn12090(13), 
      d(12)=>rtlcn12090(12), d(11)=>rtlcn12090(11), d(10)=>rtlcn12090(10), 
      d(9)=>rtlcn12090(9), d(8)=>rtlcn12090(8), d(7)=>rtlcn12090(7), d(6)=>
      rtlcn12090(6), d(5)=>rtlcn12090(5), d(4)=>rtlcn12090(4), d(3)=>
      rtlcn12090(3), d(2)=>rtlcn12090(2), d(1)=>rtlcn12090(1), d(0)=>
      rtlcn12090(0), cout=>DANGLING(23));
   rtlcn12085 <= rtlc55n276 OR rtlc55_X_0_n289 ;
   not_rtlc55n276 <= NOT rtlc55n276 ;
   rtlcn12086(0) <= Frame_length_reg_0xD(0) when BC_Load_frame_gap_counter
    = '1' else eBC_Frame_length(0) ;
   rtlcn12086(1) <= Frame_length_reg_0xD(1) when BC_Load_frame_gap_counter
    = '1' else eBC_Frame_length(1) ;
   rtlcn12086(2) <= Frame_length_reg_0xD(2) when BC_Load_frame_gap_counter
    = '1' else eBC_Frame_length(2) ;
   rtlcn12086(3) <= Frame_length_reg_0xD(3) when BC_Load_frame_gap_counter
    = '1' else eBC_Frame_length(3) ;
   rtlcn12086(4) <= Frame_length_reg_0xD(4) when BC_Load_frame_gap_counter
    = '1' else eBC_Frame_length(4) ;
   rtlcn12086(5) <= Frame_length_reg_0xD(5) when BC_Load_frame_gap_counter
    = '1' else eBC_Frame_length(5) ;
   rtlcn12086(6) <= Frame_length_reg_0xD(6) when BC_Load_frame_gap_counter
    = '1' else eBC_Frame_length(6) ;
   rtlcn12086(7) <= Frame_length_reg_0xD(7) when BC_Load_frame_gap_counter
    = '1' else eBC_Frame_length(7) ;
   rtlcn12086(8) <= Frame_length_reg_0xD(8) when BC_Load_frame_gap_counter
    = '1' else eBC_Frame_length(8) ;
   rtlcn12086(9) <= Frame_length_reg_0xD(9) when BC_Load_frame_gap_counter
    = '1' else eBC_Frame_length(9) ;
   rtlcn12086(10) <= Frame_length_reg_0xD(10) when BC_Load_frame_gap_counter
    = '1' else eBC_Frame_length(10) ;
   rtlcn12086(11) <= Frame_length_reg_0xD(11) when BC_Load_frame_gap_counter
    = '1' else eBC_Frame_length(11) ;
   rtlcn12086(12) <= Frame_length_reg_0xD(12) when BC_Load_frame_gap_counter
    = '1' else eBC_Frame_length(12) ;
   rtlcn12086(13) <= Frame_length_reg_0xD(13) when BC_Load_frame_gap_counter
    = '1' else eBC_Frame_length(13) ;
   rtlcn12086(14) <= Frame_length_reg_0xD(14) when BC_Load_frame_gap_counter
    = '1' else eBC_Frame_length(14) ;
   rtlcn12086(15) <= Frame_length_reg_0xD(15) when BC_Load_frame_gap_counter
    = '1' else eBC_Frame_length(15) ;
   rtlcn12080 <= BC_Load_msg_gap_counter OR rtlcn1213 ;
   rtlcn12043 <= rtlcn2379 OR rtlcs235 ;
   rtlcn12045 <= rtlcn2399 OR rtlcs235 ;
   rtlcn12047 <= rtlcn2409 OR rtlcs235 ;
   rtlcn12049 <= rtlcn2404 OR rtlcs261 ;
   YES_49n1ss1 <= BC_Echo_word(4) XOR YES_49n1s2 ;
   rtlcs343 <= BC_Echo_word(4) XOR ReTry_count(0) ;
   host_status_bits_64n45ss1(8) <= Config_reg_1(9) XOR rtlc64n5895 ;
   rtlc26n7742 <= NOT (data_pointer(13) XOR rtlcn12090(13)) ;
   rtlc26n7720 <= NOT (data_pointer(12) XOR rtlcn12090(12)) ;
   rtlc26n7698 <= NOT (data_pointer(11) XOR rtlcn12090(11)) ;
   rtlc26n7676 <= NOT (data_pointer(10) XOR rtlcn12090(10)) ;
   rtlc26n7654 <= NOT (data_pointer(9) XOR rtlcn12090(9)) ;
   rtlc26n7630 <= NOT (data_pointer(8) XOR rtlcn12090(8)) ;
   rtlc26n7606 <= NOT (data_pointer(7) XOR rtlcn12090(7)) ;
   rtlc48n263 <= NOT (BC_Rx_Data(4) XOR BC_Control_word_5) ;
   MT_On_Async_64n27s3 <= NOT (Config_reg_1(15) XOR Config_reg_1(14)) ;
   rtlceq_s717_eq_777 : eq_16u_16u port map ( a(15)=>VARAM_Q(15), a(14)=>
      VARAM_Q(14), a(13)=>VARAM_Q(13), a(12)=>VARAM_Q(12), a(11)=>
      VARAM_Q(11), a(10)=>VARAM_Q(10), a(9)=>VARAM_Q(9), a(8)=>VARAM_Q(8), 
      a(7)=>VARAM_Q(7), a(6)=>VARAM_Q(6), a(5)=>VARAM_Q(5), a(4)=>VARAM_Q(4), 
      a(3)=>VARAM_Q(3), a(2)=>VARAM_Q(2), a(1)=>VARAM_Q(1), a(0)=>VARAM_Q(0), 
      b(15)=>BC_msg_pointer(15), b(14)=>BC_msg_pointer(14), b(13)=>
      BC_msg_pointer(13), b(12)=>BC_msg_pointer(12), b(11)=>
      BC_msg_pointer(11), b(10)=>BC_msg_pointer(10), b(9)=>BC_msg_pointer(9), 
      b(8)=>BC_msg_pointer(8), b(7)=>BC_msg_pointer(7), b(6)=>
      BC_msg_pointer(6), b(5)=>BC_msg_pointer(5), b(4)=>BC_msg_pointer(4), 
      b(3)=>BC_msg_pointer(3), b(2)=>BC_msg_pointer(2), b(1)=>
      BC_msg_pointer(1), b(0)=>BC_msg_pointer(0), d=>rtlcs346);
   rtlceq_s719_eq_778 : eq_16u_16u port map ( a(15)=>
      BC_GAP_to_next_msg_counter(15), a(14)=>BC_GAP_to_next_msg_counter(14), 
      a(13)=>BC_GAP_to_next_msg_counter(13), a(12)=>
      BC_GAP_to_next_msg_counter(12), a(11)=>BC_GAP_to_next_msg_counter(11), 
      a(10)=>BC_GAP_to_next_msg_counter(10), a(9)=>
      BC_GAP_to_next_msg_counter(9), a(8)=>BC_GAP_to_next_msg_counter(8), 
      a(7)=>BC_GAP_to_next_msg_counter(7), a(6)=>
      BC_GAP_to_next_msg_counter(6), a(5)=>BC_GAP_to_next_msg_counter(5), 
      a(4)=>BC_GAP_to_next_msg_counter(4), a(3)=>
      BC_GAP_to_next_msg_counter(3), a(2)=>BC_GAP_to_next_msg_counter(2), 
      a(1)=>BC_GAP_to_next_msg_counter(1), a(0)=>
      BC_GAP_to_next_msg_counter(0), b(15)=>BC_msg_pointer(15), b(14)=>
      BC_msg_pointer(14), b(13)=>BC_msg_pointer(13), b(12)=>
      BC_msg_pointer(12), b(11)=>BC_msg_pointer(11), b(10)=>
      BC_msg_pointer(10), b(9)=>BC_msg_pointer(9), b(8)=>BC_msg_pointer(8), 
      b(7)=>BC_msg_pointer(7), b(6)=>BC_msg_pointer(6), b(5)=>
      BC_msg_pointer(5), b(4)=>BC_msg_pointer(4), b(3)=>BC_msg_pointer(3), 
      b(2)=>BC_msg_pointer(2), b(1)=>BC_msg_pointer(1), b(0)=>
      BC_msg_pointer(0), d=>rtlcs347);
   rtlceq_s721_eq_779 : eq_16u_16u port map ( a(15)=>
      BC_frame_GAP_counter(15), a(14)=>BC_frame_GAP_counter(14), a(13)=>
      BC_frame_GAP_counter(13), a(12)=>BC_frame_GAP_counter(12), a(11)=>
      BC_frame_GAP_counter(11), a(10)=>BC_frame_GAP_counter(10), a(9)=>
      BC_frame_GAP_counter(9), a(8)=>BC_frame_GAP_counter(8), a(7)=>
      BC_frame_GAP_counter(7), a(6)=>BC_frame_GAP_counter(6), a(5)=>
      BC_frame_GAP_counter(5), a(4)=>BC_frame_GAP_counter(4), a(3)=>
      BC_frame_GAP_counter(3), a(2)=>BC_frame_GAP_counter(2), a(1)=>
      BC_frame_GAP_counter(1), a(0)=>BC_frame_GAP_counter(0), b(15)=>
      BC_msg_pointer(15), b(14)=>BC_msg_pointer(14), b(13)=>
      BC_msg_pointer(13), b(12)=>BC_msg_pointer(12), b(11)=>
      BC_msg_pointer(11), b(10)=>BC_msg_pointer(10), b(9)=>BC_msg_pointer(9), 
      b(8)=>BC_msg_pointer(8), b(7)=>BC_msg_pointer(7), b(6)=>
      BC_msg_pointer(6), b(5)=>BC_msg_pointer(5), b(4)=>BC_msg_pointer(4), 
      b(3)=>BC_msg_pointer(3), b(2)=>BC_msg_pointer(2), b(1)=>
      BC_msg_pointer(1), b(0)=>BC_msg_pointer(0), d=>rtlcs348);
   WM_RAM_data_i_6_eq_91i35 : eq_5u_5u port map ( a(4)=>
      RT_Address_EXMPLR1015(4), a(3)=>RT_Address_EXMPLR1015(3), a(2)=>
      RT_Address_EXMPLR1015(2), a(1)=>RT_Address_EXMPLR1015(1), a(0)=>
      RT_Address_EXMPLR1015(0), b(4)=>WM_Word(15), b(3)=>WM_Word(14), b(2)=>
      WM_Word(13), b(1)=>WM_Word(12), b(0)=>WM_Word(11), d=>
      WM_RAM_data_i_6_91n10s3);
   rtlc91n447 <= NOT (WM_Descriptor(2) XOR eBC_Q_pointer(15)) ;
   rtlceq_s726_eq_781 : eq_16u_16u port map ( a(15)=>
      Frame_length_reg_0xD(15), a(14)=>Frame_length_reg_0xD(14), a(13)=>
      Frame_length_reg_0xD(13), a(12)=>Frame_length_reg_0xD(12), a(11)=>
      Frame_length_reg_0xD(11), a(10)=>Frame_length_reg_0xD(10), a(9)=>
      Frame_length_reg_0xD(9), a(8)=>Frame_length_reg_0xD(8), a(7)=>
      Frame_length_reg_0xD(7), a(6)=>Frame_length_reg_0xD(6), a(5)=>
      Frame_length_reg_0xD(5), a(4)=>Frame_length_reg_0xD(4), a(3)=>
      Frame_length_reg_0xD(3), a(2)=>Frame_length_reg_0xD(2), a(1)=>
      Frame_length_reg_0xD(1), a(0)=>Frame_length_reg_0xD(0), b(15)=>
      WM_Word(15), b(14)=>WM_Word(14), b(13)=>WM_Word(13), b(12)=>
      WM_Word(12), b(11)=>WM_Word(11), b(10)=>WM_Word(10), b(9)=>WM_Word(9), 
      b(8)=>WM_Word(8), b(7)=>WM_Word(7), b(6)=>WM_Word(6), b(5)=>WM_Word(5), 
      b(4)=>WM_Word(4), b(3)=>WM_Word(3), b(2)=>WM_Word(2), b(1)=>WM_Word(1), 
      b(0)=>WM_Word(0), d=>rtlcs350);
   rtlcn14934 <= EOM_phase(0) OR rtlcn7154 ;
   Ram_data_i_select_26i7Bus88_7 : select_4_4 port map ( a(3)=>rtlcn14934, 
      a(2)=>rtlc26n9531, a(1)=>EOM_phase(3), a(0)=>rtlcn7155, b(3)=>
      debug_EXMPLR1018(15), b(2)=>data_pointer(7), b(1)=>stack_pointer(7), 
      b(0)=>PWR, d=>Ram_data_i_26n27ss1(7));
   rtlcn14936 <= SOM_phase_1 OR rtlcn5372 ;
   not_rtlcn14936 <= NOT rtlcn14936 ;
   Ram_Address_select_26i245Bus94_5 : select_3_3 port map ( a(2)=>
      SOM_phase_1, a(1)=>rtlcn5372, a(0)=>not_rtlcn14936, b(2)=>
      Current_command(9), b(1)=>Ram_Address_26n2s1(5), b(0)=>
      debug_EXMPLR1018(15), d=>Ram_Address_26n47ss1_5);
   Ram_Address_select_26i245Bus94_4 : select_3_3 port map ( a(2)=>
      SOM_phase_1, a(1)=>rtlcn5372, a(0)=>not_rtlcn14936, b(2)=>
      Current_command(8), b(1)=>Ram_Address_26n2s1(4), b(0)=>
      debug_EXMPLR1018(15), d=>Ram_Address_26n47ss1_4);
   Ram_Address_select_26i245Bus94_3 : select_3_3 port map ( a(2)=>
      SOM_phase_1, a(1)=>rtlcn5372, a(0)=>not_rtlcn14936, b(2)=>
      Current_command(7), b(1)=>Ram_Address_26n2s1(3), b(0)=>
      debug_EXMPLR1018(15), d=>Ram_Address_26n47ss1_3);
   rtlcn14942 <= rtlcn5954 OR rtlcn5957 ;
   not_rtlcn14942 <= NOT rtlcn14942 ;
   Ram_Address_select_26i246 : select_3_3 port map ( a(2)=>rtlcn5954, a(1)=>
      rtlcn5957, a(0)=>not_rtlcn14942, b(2)=>Ram_Address_26n2s1(1), b(1)=>
      Ram_Address_26n25ss1(1), b(0)=>debug_EXMPLR1018(15), d=>
      Ram_Address_26n27ss1(1));
   Ram_data_i_mux_26i63Bus104_6 : select_3_3 port map ( a(2)=>rtlcs57, a(1)
      =>rtlcs55, a(0)=>MON_EOM_phase(0), b(2)=>Ram_data_i_26n73ss1(6), b(1)
      =>monitor_stack_pointer_plus4(6), b(0)=>debug_EXMPLR1018(15), d=>
      Ram_data_i_26n82ss1(6));
   rtlcn14946 <= EOM_phase(0) OR EOM_phase(3) ;
   not_rtlcn14946 <= NOT rtlcn14946 ;
   Ram_data_i_select_26i248Bus89_9 : select_3_3 port map ( a(2)=>
      EOM_phase(0), a(1)=>EOM_phase(3), a(0)=>not_rtlcn14946, b(2)=>
      Ram_data_i_9_26n2s12, b(1)=>stack_pointer(9), b(0)=>
      debug_EXMPLR1018(15), d=>Ram_data_i_26n27ss1(9));
   Ram_data_i_select_26i248Bus89_10 : select_3_3 port map ( a(2)=>
      EOM_phase(0), a(1)=>EOM_phase(3), a(0)=>not_rtlcn14946, b(2)=>
      Ram_data_i_10_26n2s13, b(1)=>stack_pointer(10), b(0)=>
      debug_EXMPLR1018(15), d=>Ram_data_i_26n27ss1(10));
   Ram_data_i_select_26i250Bus90_12 : select_3_3 port map ( a(2)=>
      EOM_phase(0), a(1)=>EOM_phase(3), a(0)=>not_rtlcn14946, b(2)=>
      Ram_data_i_12_26n2s15, b(1)=>stack_pointer(12), b(0)=>
      debug_EXMPLR1018(15), d=>Ram_data_i_26n27ss1(12));
   Ram_data_i_select_26i250Bus90_13 : select_3_3 port map ( a(2)=>
      EOM_phase(0), a(1)=>EOM_phase(3), a(0)=>not_rtlcn14946, b(2)=>
      Ram_data_i_13_26n2s16, b(1)=>stack_pointer(13), b(0)=>
      debug_EXMPLR1018(15), d=>Ram_data_i_26n27ss1(13));
   Ram_data_i_select_26i250Bus90_14 : select_3_3 port map ( a(2)=>
      EOM_phase(0), a(1)=>EOM_phase(3), a(0)=>not_rtlcn14946, b(2)=>
      Ram_data_i_14_26n2s17, b(1)=>stack_pointer(14), b(0)=>
      debug_EXMPLR1018(15), d=>Ram_data_i_26n27ss1(14));
   rtlcn14956 <= rtlcs57 AND Ram_data_i_26n73ss1(14) ;
   rtlcn14957 <= rtlcs55 AND monitor_stack_pointer_plus4(14) ;
   Ram_data_i_26n82ss1(14) <= rtlcn14956 OR rtlcn14957 ;
   rtlcn14958 <= SOM_phase_1 AND Current_command(10) ;
   rtlcn14959 <= rtlcn5372 AND Ram_Address_26n2s1(6) ;
   Ram_Address_26n47ss1_6 <= rtlcn14958 OR rtlcn14959 ;
   rtlcn14960 <= CE AND Config_reg_1_64n89ss1(0) ;
   rtlcn14961 <= rtlcn8434 AND CPU_Data_in_wide(16) ;
   rtlcn10905 <= rtlcn14960 OR rtlcn14961 ;
   rtlcn14962 <= CE AND Config_reg_1_64n89ss1(2) ;
   rtlcn14963 <= rtlcn7035 AND CPU_Data_in_wide(18) ;
   rtlcn10908 <= rtlcn14962 OR rtlcn14963 ;
   rtlcn15170 <= host_status_bits_64n90ss1(1) AND not_rtlc64n6629 ;
   rtlcn15171 <= host_status_bits_64n90ss1(0) AND not_rtlc64n6628 ;
   DFFPC (Raw_resetN,debug_EXMPLR1018(15),debug_EXMPLR1018(15),clock,
   HW_ResetN) ;
   DFFRSE (not_SW_Reset,debug_EXMPLR1018(15),not_Raw_resetN,PWR,clock,
   ResetN_EXMPLR940) ;
   DFFPCE (stack_pointer(7),debug_EXMPLR1018(15),not_ResetN,CE,clock,not_SP)
    ;
   DFFPCE (rtlcn4601,debug_EXMPLR1018(15),not_ResetN,rtlc26n10199,clock,
   EOM_phase(4)) ;
   DFFPCE (rtlcn4605,debug_EXMPLR1018(15),not_ResetN,rtlc26n10199,clock,
   EOM_phase(3)) ;
   DFFPCE (rtlcn4609,debug_EXMPLR1018(15),not_ResetN,rtlc26n10199,clock,
   EOM_phase(2)) ;
   DFFPCE (rtlcn4617,debug_EXMPLR1018(15),not_ResetN,rtlc26n10199,clock,
   EOM_phase(1)) ;
   DFFPCE (rtlcn8614,not_ResetN,debug_EXMPLR1018(15),rtlc26n10199,clock,
   EOM_phase(0)) ;
   DFFPCE (rtlcn4552,debug_EXMPLR1018(15),not_ResetN,rtlc26n10194,clock,
   SOM_phase_8) ;
   DFFPCE (rtlcn4556,debug_EXMPLR1018(15),not_ResetN,rtlc26n10194,clock,
   SOM_phase_7) ;
   DFFPCE (rtlcn4560,debug_EXMPLR1018(15),not_ResetN,rtlc26n10194,clock,
   SOM_phase_6) ;
   DFFPCE (rtlcn4564,debug_EXMPLR1018(15),not_ResetN,rtlc26n10194,clock,
   SOM_phase_5) ;
   DFFPCE (rtlcn4568,debug_EXMPLR1018(15),not_ResetN,rtlc26n10194,clock,
   SOM_phase_4) ;
   DFFPCE (rtlcn4572,debug_EXMPLR1018(15),not_ResetN,rtlc26n10194,clock,
   SOM_phase_3) ;
   DFFPCE (rtlcn4576,debug_EXMPLR1018(15),not_ResetN,rtlc26n10194,clock,
   Do_illegal_EXMPLR931) ;
   DFFPCE (rtlcn4543,debug_EXMPLR1018(15),not_ResetN,rtlc26n10194,clock,
   SOM_phase_1) ;
   DFFPCE (rtlcn8613,not_ResetN,debug_EXMPLR1018(15),rtlc26n10194,clock,
   SOM_phase_0) ;
   DFFPCE (not_rtlcn9837,debug_EXMPLR1018(15),not_ResetN,rtlc26n10185,clock,
   Phase(1)) ;
   DFFPCE (not_rtlcn9842,debug_EXMPLR1018(15),not_ResetN,rtlc26n10185,clock,
   Phase(0)) ;
   DFFPCE (not_rtlcn9840,debug_EXMPLR1018(15),not_ResetN,rtlc26n10183,clock,
   MON_EOM_phase(1)) ;
   DFFPCE (not_rtlcn9839,debug_EXMPLR1018(15),not_ResetN,rtlc26n10183,clock,
   MON_EOM_phase(0)) ;
   DFFPCE (rtlcn4457,debug_EXMPLR1018(15),not_ResetN,rtlc26n10181,clock,
   MON_SOM_phase(7)) ;
   DFFPCE (rtlcn4461,debug_EXMPLR1018(15),not_ResetN,rtlc26n10181,clock,
   MON_SOM_phase(6)) ;
   DFFPCE (rtlcn4465,debug_EXMPLR1018(15),not_ResetN,rtlc26n10181,clock,
   MON_SOM_phase(5)) ;
   DFFPCE (rtlcn4469,debug_EXMPLR1018(15),not_ResetN,rtlc26n10181,clock,
   MON_SOM_phase(4)) ;
   DFFPCE (rtlcn4436,debug_EXMPLR1018(15),not_ResetN,rtlc26n10181,clock,
   MON_SOM_phase(3)) ;
   DFFPCE (rtlcn4440,debug_EXMPLR1018(15),not_ResetN,rtlc26n10181,clock,
   MON_SOM_phase(2)) ;
   DFFPCE (rtlcn4443,debug_EXMPLR1018(15),not_ResetN,rtlc26n10181,clock,
   MON_SOM_phase(1)) ;
   DFFPCE (rtlcn8611,not_ResetN,debug_EXMPLR1018(15),rtlc26n10181,clock,
   MON_SOM_phase(0)) ;
   DFFPCE (not_rtlcn9838,debug_EXMPLR1018(15),not_ResetN,rtlc26n10173,clock,
   MON_Phase(1)) ;
   DFFPCE (not_rtlcn9841,debug_EXMPLR1018(15),not_ResetN,rtlc26n10173,clock,
   MON_Phase(0)) ;
   DFFPCE (rtlc26n9934,debug_EXMPLR1018(15),not_ResetN,rtlc26n10171,clock,
   Once) ;
   DFFPCE (Rollover_Int_Enable_26n111ss1,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n10170,clock,Rollover_Int_Enable) ;
   DFFPCE (rtlcn8426,debug_EXMPLR1018(15),not_ResetN,rtlc26n10169,clock,
   Data_Rollover) ;
   DFFPCE (MM_Error_detected_26n1s1,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   MM_Error_detected) ;
   DFFPCE (Latched_Monitor_ended_OK_26n82ss1,debug_EXMPLR1018(15),not_ResetN,
   CE,clock,Latched_Monitor_ended_OK) ;
   DFFPCE (Latched_Monitor_data_stack_rollover_26n82ss1,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,Latched_Monitor_data_stack_rollover) ;
   DFFPCE (Latched_Monitor_MIL1553_errors_26n82ss1_11,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,Latched_Monitor_MIL1553_errors_Address_Parity) ;
   DFFPCE (Latched_Monitor_MIL1553_errors_26n82ss1_8,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,Latched_Monitor_MIL1553_errors_high_word_count) ;
   DFFPCE (Latched_Monitor_MIL1553_errors_26n82ss1_6,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,Latched_Monitor_MIL1553_errors_incorrect_data_sync) ;
   DFFPCE (Latched_Monitor_MIL1553_errors_26n82ss1_4,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,Latched_Monitor_MIL1553_errors_Invalid_word) ;
   DFFPCE (Latched_Monitor_MIL1553_errors_26n82ss1_3,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,Latched_Monitor_MIL1553_errors_RT2RT_format_error) ;
   DFFPCE (Latched_Monitor_MIL1553_errors_26n82ss1_2,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,Latched_Monitor_MIL1553_errors_RT2RT_format_gap) ;
   DFFPCE (Latched_Monitor_MIL1553_errors_26n82ss1_1,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,Latched_Monitor_MIL1553_errors_invalid_command) ;
   DFFPCE (STM_ended_26n105ss1,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   STM_ended) ;
   DFFPCE (not_rtlcn11404,debug_EXMPLR1018(15),not_ResetN,CE,clock,Ram_RE) ;
   DFFPCE (Monitor_data_stack_half_pass_26n105ss1,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,Monitor_data_stack_half_pass) ;
   DFFPCE (Monitor_command_stack_half_pass_26n82ss1,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,Monitor_command_stack_half_pass) ;
   DFFPCE (Monitor_data_stack_rollover_26n105ss1,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,Monitor_data_stack_rollover) ;
   DFFPCE (Monitor_command_stack_rollover_26n82ss1,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,Monitor_command_stack_rollover) ;
   DFFPCE (Data_o_temp(15),debug_EXMPLR1018(15),not_ResetN,rtlc26n10113,
   clock,Data_to_FE_EXMPLR1014(15)) ;
   DFFPCE (Data_o_temp(14),debug_EXMPLR1018(15),not_ResetN,rtlc26n10113,
   clock,Data_to_FE_EXMPLR1014(14)) ;
   DFFPCE (Data_o_temp(13),debug_EXMPLR1018(15),not_ResetN,rtlc26n10113,
   clock,Data_to_FE_EXMPLR1014(13)) ;
   DFFPCE (Data_o_temp(12),debug_EXMPLR1018(15),not_ResetN,rtlc26n10113,
   clock,Data_to_FE_EXMPLR1014(12)) ;
   DFFPCE (Data_o_temp(11),debug_EXMPLR1018(15),not_ResetN,rtlc26n10113,
   clock,Data_to_FE_EXMPLR1014(11)) ;
   DFFPCE (Data_o_temp(10),debug_EXMPLR1018(15),not_ResetN,rtlc26n10113,
   clock,Data_to_FE_EXMPLR1014(10)) ;
   DFFPCE (Data_o_temp(9),debug_EXMPLR1018(15),not_ResetN,rtlc26n10113,clock,
   Data_to_FE_EXMPLR1014(9)) ;
   DFFPCE (Data_o_temp(8),debug_EXMPLR1018(15),not_ResetN,rtlc26n10113,clock,
   Data_to_FE_EXMPLR1014(8)) ;
   DFFPCE (Data_o_temp(7),debug_EXMPLR1018(15),not_ResetN,rtlc26n10113,clock,
   Data_to_FE_EXMPLR1014(7)) ;
   DFFPCE (Data_o_temp(6),debug_EXMPLR1018(15),not_ResetN,rtlc26n10113,clock,
   Data_to_FE_EXMPLR1014(6)) ;
   DFFPCE (Data_o_temp(5),debug_EXMPLR1018(15),not_ResetN,rtlc26n10113,clock,
   Data_to_FE_EXMPLR1014(5)) ;
   DFFPCE (Data_o_temp(4),debug_EXMPLR1018(15),not_ResetN,rtlc26n10113,clock,
   Data_to_FE_EXMPLR1014(4)) ;
   DFFPCE (Data_o_temp(3),debug_EXMPLR1018(15),not_ResetN,rtlc26n10113,clock,
   Data_to_FE_EXMPLR1014(3)) ;
   DFFPCE (Data_o_temp(2),debug_EXMPLR1018(15),not_ResetN,rtlc26n10113,clock,
   Data_to_FE_EXMPLR1014(2)) ;
   DFFPCE (Data_o_temp(1),debug_EXMPLR1018(15),not_ResetN,rtlc26n10113,clock,
   Data_to_FE_EXMPLR1014(1)) ;
   DFFPCE (Data_o_temp(0),debug_EXMPLR1018(15),not_ResetN,rtlc26n10113,clock,
   Data_to_FE_EXMPLR1014(0)) ;
   DFFPCE (rtlcn4492,debug_EXMPLR1018(15),not_ResetN,rtlc26n10097,clock,
   New_command_record) ;
   DFFPCE (Record_enable_26n84s1,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n10096,clock,Record_enable) ;
   DFFPCE (Data_o_temp(15),not_ResetN,debug_EXMPLR1018(15),rtlc26n10095,
   clock,monitor_data_pointer(15)) ;
   DFFPCE (monitor_data_pointer_26n105ss1(14),not_ResetN,
   debug_EXMPLR1018(15),rtlc26n10094,clock,monitor_data_pointer(14)) ;
   DFFPCE (monitor_data_pointer_26n105ss1(13),not_ResetN,
   debug_EXMPLR1018(15),rtlc26n10093,clock,monitor_data_pointer(13)) ;
   DFFPCE (monitor_data_pointer_26n105ss1(12),not_ResetN,
   debug_EXMPLR1018(15),rtlc26n10092,clock,monitor_data_pointer(12)) ;
   DFFPCE (monitor_data_pointer_26n105ss1(11),not_ResetN,
   debug_EXMPLR1018(15),rtlc26n10091,clock,monitor_data_pointer(11)) ;
   DFFPCE (monitor_data_pointer_26n105ss1(10),not_ResetN,
   debug_EXMPLR1018(15),rtlc26n10090,clock,monitor_data_pointer(10)) ;
   DFFPCE (monitor_data_pointer_26n105ss1(9),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10089,clock,monitor_data_pointer(9)) ;
   DFFPCE (monitor_data_pointer_26n105ss1(8),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10088,clock,monitor_data_pointer(8)) ;
   DFFPCE (monitor_data_pointer_26n105ss1(7),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10088,clock,monitor_data_pointer(7)) ;
   DFFPCE (monitor_data_pointer_26n105ss1(6),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10088,clock,monitor_data_pointer(6)) ;
   DFFPCE (monitor_data_pointer_26n105ss1(5),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10088,clock,monitor_data_pointer(5)) ;
   DFFPCE (monitor_data_pointer_26n105ss1(4),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10088,clock,monitor_data_pointer(4)) ;
   DFFPCE (monitor_data_pointer_26n105ss1(3),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10088,clock,monitor_data_pointer(3)) ;
   DFFPCE (monitor_data_pointer_26n105ss1(2),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10088,clock,monitor_data_pointer(2)) ;
   DFFPCE (monitor_data_pointer_26n105ss1(1),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10088,clock,monitor_data_pointer(1)) ;
   DFFPCE (monitor_data_pointer_26n105ss1(0),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10088,clock,monitor_data_pointer(0)) ;
   DFFPCE (monitor_stack_pointer(15),debug_EXMPLR1018(15),not_ResetN,CE,
   clock,monitor_stack_pointer_plus4(15)) ;
   DFFPCE (monitor_stack_pointer(14),debug_EXMPLR1018(15),not_ResetN,CE,
   clock,monitor_stack_pointer_plus4(14)) ;
   DFFPCE (monitor_stack_pointer_plus4_26n1ss1_13,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,monitor_stack_pointer_plus4(13)) ;
   DFFPCE (monitor_stack_pointer_plus4_26n1ss1_12,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,monitor_stack_pointer_plus4(12)) ;
   DFFPCE (monitor_stack_pointer_plus4_26n1ss1_11,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,monitor_stack_pointer_plus4(11)) ;
   DFFPCE (monitor_stack_pointer_plus4_26n1ss1_10,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,monitor_stack_pointer_plus4(10)) ;
   DFFPCE (monitor_stack_pointer_plus4_26n1ss1_9,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,monitor_stack_pointer_plus4(9)) ;
   DFFPCE (monitor_stack_pointer_plus4_26n1ss1_8,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,monitor_stack_pointer_plus4(8)) ;
   DFFPCE (monitor_stack_pointer_plus4_26n1s4_7,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,monitor_stack_pointer_plus4(7)) ;
   DFFPCE (monitor_stack_pointer_plus4_26n1s4_6,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,monitor_stack_pointer_plus4(6)) ;
   DFFPCE (monitor_stack_pointer_plus4_26n1s4_5,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,monitor_stack_pointer_plus4(5)) ;
   DFFPCE (monitor_stack_pointer_plus4_26n1s4_4,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,monitor_stack_pointer_plus4(4)) ;
   DFFPCE (monitor_stack_pointer_plus4_26n1s4_3,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,monitor_stack_pointer_plus4(3)) ;
   DFFPCE (monitor_stack_pointer_plus4_26n1s4_2,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,monitor_stack_pointer_plus4(2)) ;
   DFFPCE (monitor_stack_pointer(1),debug_EXMPLR1018(15),not_ResetN,CE,clock,
   monitor_stack_pointer_plus4(1)) ;
   DFFPCE (monitor_stack_pointer(0),debug_EXMPLR1018(15),not_ResetN,CE,clock,
   monitor_stack_pointer_plus4(0)) ;
   DFFPCE (Data_o_temp(15),debug_EXMPLR1018(15),not_ResetN,rtlc26n10063,
   clock,monitor_stack_pointer(15)) ;
   DFFPCE (Data_o_temp(14),debug_EXMPLR1018(15),not_ResetN,rtlc26n10063,
   clock,monitor_stack_pointer(14)) ;
   DFFPCE (Data_o_temp(13),debug_EXMPLR1018(15),not_ResetN,rtlc26n10063,
   clock,monitor_stack_pointer(13)) ;
   DFFPCE (Data_o_temp(12),debug_EXMPLR1018(15),not_ResetN,rtlc26n10063,
   clock,monitor_stack_pointer(12)) ;
   DFFPCE (Data_o_temp(11),debug_EXMPLR1018(15),not_ResetN,rtlc26n10063,
   clock,monitor_stack_pointer(11)) ;
   DFFPCE (Data_o_temp(10),debug_EXMPLR1018(15),not_ResetN,rtlc26n10063,
   clock,monitor_stack_pointer(10)) ;
   DFFPCE (Data_o_temp(9),debug_EXMPLR1018(15),not_ResetN,rtlc26n10063,clock,
   monitor_stack_pointer(9)) ;
   DFFPCE (Data_o_temp(8),debug_EXMPLR1018(15),not_ResetN,rtlc26n10063,clock,
   monitor_stack_pointer(8)) ;
   DFFPCE (Data_o_temp(7),debug_EXMPLR1018(15),not_ResetN,rtlc26n10063,clock,
   monitor_stack_pointer(7)) ;
   DFFPCE (Data_o_temp(6),debug_EXMPLR1018(15),not_ResetN,rtlc26n10063,clock,
   monitor_stack_pointer(6)) ;
   DFFPCE (Data_o_temp(5),debug_EXMPLR1018(15),not_ResetN,rtlc26n10063,clock,
   monitor_stack_pointer(5)) ;
   DFFPCE (Data_o_temp(4),debug_EXMPLR1018(15),not_ResetN,rtlc26n10063,clock,
   monitor_stack_pointer(4)) ;
   DFFPCE (Data_o_temp(3),debug_EXMPLR1018(15),not_ResetN,rtlc26n10063,clock,
   monitor_stack_pointer(3)) ;
   DFFPCE (Data_o_temp(2),debug_EXMPLR1018(15),not_ResetN,rtlc26n10063,clock,
   monitor_stack_pointer(2)) ;
   DFFPCE (Data_o_temp(1),debug_EXMPLR1018(15),not_ResetN,rtlc26n10063,clock,
   monitor_stack_pointer(1)) ;
   DFFPCE (Data_o_temp(0),debug_EXMPLR1018(15),not_ResetN,rtlc26n10063,clock,
   monitor_stack_pointer(0)) ;
   DFFPCE (record_message_B_26n100ss1,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n10047,clock,record_message_B) ;
   DFFPCE (record_message_A_26n100ss1,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n10046,clock,record_message_A) ;
   DFFPCE (rtlc26n8262,debug_EXMPLR1018(15),not_ResetN,rtlc26n10045,clock,
   monitor_pointer_protection_error) ;
   DFFPCE (Data_Pointer_register_26n105ss1(15),debug_EXMPLR1018(15),
   not_ResetN,rtlc26n10044,clock,Data_Pointer_register(15)) ;
   DFFPCE (Data_Pointer_register_26n105ss1(14),debug_EXMPLR1018(15),
   not_ResetN,rtlc26n10044,clock,Data_Pointer_register(14)) ;
   DFFPCE (Data_Pointer_register_26n105ss1(13),debug_EXMPLR1018(15),
   not_ResetN,rtlc26n10044,clock,Data_Pointer_register(13)) ;
   DFFPCE (Data_Pointer_register_26n105ss1(12),debug_EXMPLR1018(15),
   not_ResetN,rtlc26n10044,clock,Data_Pointer_register(12)) ;
   DFFPCE (Data_Pointer_register_26n105ss1(11),debug_EXMPLR1018(15),
   not_ResetN,rtlc26n10044,clock,Data_Pointer_register(11)) ;
   DFFPCE (Data_Pointer_register_26n105ss1(10),debug_EXMPLR1018(15),
   not_ResetN,rtlc26n10044,clock,Data_Pointer_register(10)) ;
   DFFPCE (Data_Pointer_register_26n105ss1(9),debug_EXMPLR1018(15),
   not_ResetN,rtlc26n10044,clock,Data_Pointer_register(9)) ;
   DFFPCE (Data_Pointer_register_26n105ss1(8),debug_EXMPLR1018(15),
   not_ResetN,rtlc26n10044,clock,Data_Pointer_register(8)) ;
   DFFPCE (Data_Pointer_register_26n105ss1(7),debug_EXMPLR1018(15),
   not_ResetN,rtlc26n10044,clock,Data_Pointer_register(7)) ;
   DFFPCE (Data_Pointer_register_26n105ss1(6),debug_EXMPLR1018(15),
   not_ResetN,rtlc26n10044,clock,Data_Pointer_register(6)) ;
   DFFPCE (Data_Pointer_register_26n105ss1(5),debug_EXMPLR1018(15),
   not_ResetN,rtlc26n10044,clock,Data_Pointer_register(5)) ;
   DFFPCE (Data_Pointer_register_26n105ss1(4),debug_EXMPLR1018(15),
   not_ResetN,rtlc26n10044,clock,Data_Pointer_register(4)) ;
   DFFPCE (Data_Pointer_register_26n105ss1(3),debug_EXMPLR1018(15),
   not_ResetN,rtlc26n10044,clock,Data_Pointer_register(3)) ;
   DFFPCE (Data_Pointer_register_26n105ss1(2),debug_EXMPLR1018(15),
   not_ResetN,rtlc26n10044,clock,Data_Pointer_register(2)) ;
   DFFPCE (Data_Pointer_register_26n105ss1(1),debug_EXMPLR1018(15),
   not_ResetN,rtlc26n10044,clock,Data_Pointer_register(1)) ;
   DFFPCE (Data_Pointer_register_26n105ss1(0),debug_EXMPLR1018(15),
   not_ResetN,rtlc26n10044,clock,Data_Pointer_register(0)) ;
   DFFPCE (illegal_message_26n47ss1,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n10028,clock,illegal_message_EXMPLR954) ;
   DFFPCE (MM_26n109ss1(2),debug_EXMPLR1018(15),not_ResetN,CE,clock,MM(2)) ;
   DFFPCE (MM_26n109ss1(1),debug_EXMPLR1018(15),not_ResetN,CE,clock,MM(1)) ;
   DFFPCE (MM_26n109ss1(0),debug_EXMPLR1018(15),not_ResetN,CE,clock,MM(0)) ;
   DFFPCE (data_pointer_26n45ss1(15),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10024,clock,data_pointer(15)) ;
   DFFPCE (data_pointer_26n45ss1(14),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10024,clock,data_pointer(14)) ;
   DFFPCE (data_pointer_26n45ss1(13),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10024,clock,data_pointer(13)) ;
   DFFPCE (data_pointer_26n73ss1(12),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10021,clock,data_pointer(12)) ;
   DFFPCE (data_pointer_26n73ss1(11),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10020,clock,data_pointer(11)) ;
   DFFPCE (data_pointer_26n73ss1(10),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10019,clock,data_pointer(10)) ;
   DFFPCE (data_pointer_26n73ss1(9),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10018,clock,data_pointer(9)) ;
   DFFPCE (data_pointer_26n73ss1(8),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10017,clock,data_pointer(8)) ;
   DFFPCE (data_pointer_26n73ss1(7),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10016,clock,data_pointer(7)) ;
   DFFPCE (data_pointer_26n73ss1(6),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10015,clock,data_pointer(6)) ;
   DFFPCE (data_pointer_26n73ss1(5),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10015,clock,data_pointer(5)) ;
   DFFPCE (data_pointer_26n73ss1(4),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10015,clock,data_pointer(4)) ;
   DFFPCE (data_pointer_26n73ss1(3),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10015,clock,data_pointer(3)) ;
   DFFPCE (data_pointer_26n73ss1(2),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10015,clock,data_pointer(2)) ;
   DFFPCE (data_pointer_26n73ss1(1),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10015,clock,data_pointer(1)) ;
   DFFPCE (data_pointer_26n73ss1(0),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n10015,clock,data_pointer(0)) ;
   DFFPCE (Data_o_temp(15),debug_EXMPLR1018(15),not_ResetN,rtlc26n10008,
   clock,LUT_Control(15)) ;
   DFFPCE (Data_o_temp(14),debug_EXMPLR1018(15),not_ResetN,rtlc26n10008,
   clock,LUT_Control(14)) ;
   DFFPCE (Data_o_temp(13),debug_EXMPLR1018(15),not_ResetN,rtlc26n10008,
   clock,LUT_Control(13)) ;
   DFFPCE (Data_o_temp(12),debug_EXMPLR1018(15),not_ResetN,rtlc26n10008,
   clock,LUT_Control(12)) ;
   DFFPCE (Data_o_temp(11),debug_EXMPLR1018(15),not_ResetN,rtlc26n10008,
   clock,LUT_Control(11)) ;
   DFFPCE (Data_o_temp(10),debug_EXMPLR1018(15),not_ResetN,rtlc26n10008,
   clock,LUT_Control(10)) ;
   DFFPCE (Data_o_temp(9),debug_EXMPLR1018(15),not_ResetN,rtlc26n10008,clock,
   LUT_Control(9)) ;
   DFFPCE (Data_o_temp(8),debug_EXMPLR1018(15),not_ResetN,rtlc26n10008,clock,
   LUT_Control(8)) ;
   DFFPCE (Data_o_temp(7),debug_EXMPLR1018(15),not_ResetN,rtlc26n10008,clock,
   LUT_Control(7)) ;
   DFFPCE (Data_o_temp(6),debug_EXMPLR1018(15),not_ResetN,rtlc26n10008,clock,
   LUT_Control(6)) ;
   DFFPCE (Data_o_temp(5),debug_EXMPLR1018(15),not_ResetN,rtlc26n10008,clock,
   LUT_Control(5)) ;
   DFFPCE (Data_o_temp(4),debug_EXMPLR1018(15),not_ResetN,rtlc26n10008,clock,
   LUT_Control(4)) ;
   DFFPCE (Data_o_temp(3),debug_EXMPLR1018(15),not_ResetN,rtlc26n10008,clock,
   LUT_Control(3)) ;
   DFFPCE (Data_o_temp(2),debug_EXMPLR1018(15),not_ResetN,rtlc26n10008,clock,
   LUT_Control(2)) ;
   DFFPCE (Data_o_temp(1),debug_EXMPLR1018(15),not_ResetN,rtlc26n10008,clock,
   LUT_Control(1)) ;
   DFFPCE (Data_o_temp(0),debug_EXMPLR1018(15),not_ResetN,rtlc26n10008,clock,
   LUT_Control(0)) ;
   DFFPCE (Data_o_temp(15),debug_EXMPLR1018(15),not_ResetN,rtlc26n9992,clock,
   stack_pointer(15)) ;
   DFFPCE (Data_o_temp(14),debug_EXMPLR1018(15),not_ResetN,rtlc26n9992,clock,
   stack_pointer(14)) ;
   DFFPCE (Data_o_temp(13),debug_EXMPLR1018(15),not_ResetN,rtlc26n9992,clock,
   stack_pointer(13)) ;
   DFFPCE (Data_o_temp(12),debug_EXMPLR1018(15),not_ResetN,rtlc26n9992,clock,
   stack_pointer(12)) ;
   DFFPCE (Data_o_temp(11),debug_EXMPLR1018(15),not_ResetN,rtlc26n9992,clock,
   stack_pointer(11)) ;
   DFFPCE (stack_pointer_26n47ss1_10,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9987,clock,stack_pointer(10)) ;
   DFFPCE (stack_pointer_26n47ss1_9,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9986,clock,stack_pointer(9)) ;
   DFFPCE (stack_pointer_26n47ss1_8,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9985,clock,stack_pointer(8)) ;
   DFFPCE (stack_pointer_26n47ss1_7,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9984,clock,stack_pointer(7)) ;
   DFFPCE (stack_pointer_26n47ss1_6,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9984,clock,stack_pointer(6)) ;
   DFFPCE (stack_pointer_26n47ss1_5,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9984,clock,stack_pointer(5)) ;
   DFFPCE (stack_pointer_26n47ss1_4,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9984,clock,stack_pointer(4)) ;
   DFFPCE (stack_pointer_26n47ss1_3,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9984,clock,stack_pointer(3)) ;
   DFFPCE (stack_pointer_26n47ss1_2,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9984,clock,stack_pointer(2)) ;
   DFFPCE (Data_o_temp(1),debug_EXMPLR1018(15),not_ResetN,rtlc26n9992,clock,
   stack_pointer(1)) ;
   DFFPCE (Data_o_temp(0),debug_EXMPLR1018(15),not_ResetN,rtlc26n9992,clock,
   stack_pointer(0)) ;
   DFFPCE (Ram_WE_26n105ss1,debug_EXMPLR1018(15),not_ResetN,CE,clock,Ram_WE)
    ;
   DFFPCE (Ram_data_i_26n105ss1_15,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9975,clock,Ram_data_i(15)) ;
   DFFPCE (rtlcn11003,debug_EXMPLR1018(15),not_ResetN,rtlc26n9975,clock,
   Ram_data_i(14)) ;
   DFFPCE (Ram_data_i_26n105ss1_13,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9975,clock,Ram_data_i(13)) ;
   DFFPCE (Ram_data_i_26n105ss1_12,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9975,clock,Ram_data_i(12)) ;
   DFFPCE (Ram_data_i_26n105ss1_11,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9975,clock,Ram_data_i(11)) ;
   DFFPCE (Ram_data_i_26n105ss1_10,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9975,clock,Ram_data_i(10)) ;
   DFFPCE (Ram_data_i_26n105ss1_9,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9975,clock,Ram_data_i(9)) ;
   DFFPCE (Ram_data_i_26n105ss1_8,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9975,clock,Ram_data_i(8)) ;
   DFFPCE (Ram_data_i_26n105ss1_7,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9975,clock,Ram_data_i(7)) ;
   DFFPCE (Ram_data_i_26n105ss1_6,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9975,clock,Ram_data_i(6)) ;
   DFFPCE (Ram_data_i_26n105ss1_5,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9975,clock,Ram_data_i(5)) ;
   DFFPCE (Ram_data_i_26n105ss1_4,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9975,clock,Ram_data_i(4)) ;
   DFFPCE (Ram_data_i_26n105ss1_3,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9975,clock,Ram_data_i(3)) ;
   DFFPCE (Ram_data_i_26n105ss1_2,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9975,clock,Ram_data_i(2)) ;
   DFFPCE (Ram_data_i_26n105ss1_1,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9975,clock,Ram_data_i(1)) ;
   DFFPCE (Ram_data_i_26n105ss1_0,debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9975,clock,Ram_data_i(0)) ;
   DFFPCE (Ram_Address_26n105ss1(15),debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9959,clock,Ram_Address(15)) ;
   DFFPCE (Ram_Address_26n105ss1(14),debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9959,clock,Ram_Address(14)) ;
   DFFPCE (Ram_Address_26n105ss1(13),debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9959,clock,Ram_Address(13)) ;
   DFFPCE (Ram_Address_26n105ss1(12),debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9959,clock,Ram_Address(12)) ;
   DFFPCE (Ram_Address_26n105ss1(11),debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9959,clock,Ram_Address(11)) ;
   DFFPCE (Ram_Address_26n105ss1(10),debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9959,clock,Ram_Address(10)) ;
   DFFPCE (Ram_Address_26n105ss1(9),debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9959,clock,Ram_Address(9)) ;
   DFFPCE (Ram_Address_26n105ss1(8),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n9959,clock,Ram_Address(8)) ;
   DFFPCE (Ram_Address_26n105ss1(7),debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9959,clock,Ram_Address(7)) ;
   DFFPCE (Ram_Address_26n105ss1(6),debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9959,clock,Ram_Address(6)) ;
   DFFPCE (Ram_Address_26n105ss1(5),debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9959,clock,Ram_Address(5)) ;
   DFFPCE (Ram_Address_26n105ss1(4),debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9959,clock,Ram_Address(4)) ;
   DFFPCE (Ram_Address_26n105ss1(3),debug_EXMPLR1018(15),not_ResetN,
   rtlc26n9959,clock,Ram_Address(3)) ;
   DFFPCE (Ram_Address_26n105ss1(2),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n9959,clock,Ram_Address(2)) ;
   DFFPCE (Ram_Address_26n105ss1(1),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n9959,clock,Ram_Address(1)) ;
   DFFPCE (Ram_Address_26n105ss1(0),not_ResetN,debug_EXMPLR1018(15),
   rtlc26n9959,clock,Ram_Address(0)) ;
   DFFPCE (rtlcn4084,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(91))
    ;
   DFFPCE (rtlcn2801,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(90))
    ;
   DFFPCE (rtlcn3721,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(89))
    ;
   DFFPCE (rtlcn3689,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(88))
    ;
   DFFPCE (rtlcn3822,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(87))
    ;
   DFFPCE (rtlcn3743,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(86))
    ;
   DFFPCE (rtlcn4072,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(85))
    ;
   DFFPCE (rtlcn4064,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(84))
    ;
   DFFPCE (rtlcn3834,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(83))
    ;
   DFFPCE (rtlcn3705,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(82))
    ;
   DFFPCE (rtlcn3489,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(81))
    ;
   DFFPCE (rtlcn3466,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(80))
    ;
   DFFPCE (rtlcn3662,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(79))
    ;
   DFFPCE (rtlcn4051,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(78))
    ;
   DFFPCE (BC_State_fsm_30n182ss1_77,debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_State(77)) ;
   DFFPCE (rtlcn4096,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(76))
    ;
   DFFPCE (rtlcn3653,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(75))
    ;
   DFFPCE (rtlcn3625,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(74))
    ;
   DFFPCE (rtlcn4042,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(73))
    ;
   DFFPCE (rtlcn9794,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(72))
    ;
   DFFPCE (rtlcn3576,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(71))
    ;
   DFFPCE (BC_State_fsm_30n182ss1_70,debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_State(70)) ;
   DFFPCE (rtlcn3678,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(69))
    ;
   DFFPCE (rtlcn4027,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(68))
    ;
   DFFPCE (rtlcn3811,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(67))
    ;
   DFFPCE (BC_State_fsm_30n182ss1_66,debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_State(66)) ;
   DFFPCE (rtlcn3946,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(65))
    ;
   DFFPCE (rtlcn3795,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(64))
    ;
   DFFPCE (BC_State_fsm_30n182ss1_63,debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_State(63)) ;
   DFFPCE (rtlcn3601,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(62))
    ;
   DFFPCE (BC_State_fsm_30n182ss1_61,debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_State(61)) ;
   DFFPCE (rtlcn3709,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(60))
    ;
   DFFPCE (not_rtlcn9787,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   BC_State(59)) ;
   DFFPCE (rtlcn3758,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(58))
    ;
   DFFPCE (rtlcn9802,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(57))
    ;
   DFFPCE (rtlcn4016,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(56))
    ;
   DFFPCE (BC_State_fsm_30n182ss1_55,debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_State(55)) ;
   DFFPCE (BC_State_fsm_30n182ss1_54,debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_State(54)) ;
   DFFPCE (BC_State_fsm_30n182ss1_53,debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_State(53)) ;
   DFFPCE (BC_State_fsm_30n182ss1_52,debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_State(52)) ;
   DFFPCE (BC_State_fsm_30n182ss1_51,debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_State(51)) ;
   DFFPCE (rtlcn3986,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(50))
    ;
   DFFPCE (rtlcn3166,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(49))
    ;
   DFFPCE (rtlcn3155,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(48))
    ;
   DFFPCE (rtlcn3188,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(47))
    ;
   DFFPCE (rtlcn3144,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(46))
    ;
   DFFPCE (rtlcn4001,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(45))
    ;
   DFFPCE (rtlcn3122,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(44))
    ;
   DFFPCE (rtlcn3133,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(43))
    ;
   DFFPCE (rtlcn3083,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(42))
    ;
   DFFPCE (rtlcn3092,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(41))
    ;
   DFFPCE (BC_State_fsm_30n182ss1_40,debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_State(40)) ;
   DFFPCE (rtlcn3111,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(39))
    ;
   DFFPCE (rtlcn3177,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(38))
    ;
   DFFPCE (rtlcn3199,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(37))
    ;
   DFFPCE (rtlcn3210,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(36))
    ;
   DFFPCE (rtlcn3021,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(35))
    ;
   DFFPCE (BC_State_fsm_30n182ss1_34,debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_State(34)) ;
   DFFPCE (rtlcn8187,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(33))
    ;
   DFFPCE (rtlcn2981,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(32))
    ;
   DFFPCE (rtlcn8601,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(31))
    ;
   DFFPCE (rtlcn2926,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(30))
    ;
   DFFPCE (BC_State_fsm_30n182ss1_29,debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_State(29)) ;
   DFFPCE (rtlcn3443,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(28))
    ;
   DFFPCE (rtlcn3421,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(27))
    ;
   DFFPCE (rtlcn3401,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(26))
    ;
   DFFPCE (rtlcn3410,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(25))
    ;
   DFFPCE (rtlcn3553,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(24))
    ;
   DFFPCE (rtlcn4127,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(23))
    ;
   DFFPCE (BC_State_fsm_30n182ss1_22,debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_State(22)) ;
   DFFPCE (BC_State_fsm_30n182ss1_21,debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_State(21)) ;
   DFFPCE (BC_State_fsm_30n182ss1_20,debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_State(20)) ;
   DFFPCE (rtlcn3454,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(19))
    ;
   DFFPCE (rtlcn3375,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(18))
    ;
   DFFPCE (rtlcn3343,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(17))
    ;
   DFFPCE (rtlcn3390,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(16))
    ;
   DFFPCE (rtlcn3360,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(15))
    ;
   DFFPCE (rtlcn3432,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(14))
    ;
   DFFPCE (rtlcn3522,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(13))
    ;
   DFFPCE (BC_State_fsm_30n182ss1_12,debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_State(12)) ;
   DFFPCE (rtlcn3320,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(11))
    ;
   DFFPCE (rtlcn3229,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(10))
    ;
   DFFPCE (rtlcn3248,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(9)) ;
   DFFPCE (rtlcn3271,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(8)) ;
   DFFPCE (rtlcn2863,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(7)) ;
   DFFPCE (rtlcn2900,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(6)) ;
   DFFPCE (rtlcn2874,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(5)) ;
   DFFPCE (rtlcn2911,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(4)) ;
   DFFPCE (rtlcn2885,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(3)) ;
   DFFPCE (rtlcn2782,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(2)) ;
   DFFPCE (rtlcn8524,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_State(1)) ;
   DFFPCE (rtlcn2846,not_ResetN,debug_EXMPLR1018(15),CE,clock,BC_State(0)) ;
   DFFPCE (rtlc30n16365,debug_EXMPLR1018(15),not_ResetN,rtlc30n17094,clock,
   status_set_in_frame) ;
   DFFPCE (eBC_start_FT_30n180ss1,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   eBC_start_FT) ;
   DFFPCE (eBC_TT_do_30n180ss1,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   eBC_TT_do) ;
   DFFPCE (rtlcn6879,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   eBC_Stack_error) ;
   DFFPCE (eBC_Inc_Q_pointer_30n180ss1,debug_EXMPLR1018(15),not_ResetN,CE,
   clock,eBC_Inc_Q_pointer) ;
   DFFPCE (eBC_IRQ_do_30n180ss1,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   eBC_IRQ_do) ;
   DFFPCE (eBC_GP_do_30n180ss1,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   eBC_GP_do) ;
   DFFPCE (eBC_FT_Load_30n180ss1,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   eBC_FT_Load) ;
   DFFPCE (eBC_CMV_do_30n180ss1,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   eBC_CMV_do) ;
   DFFPCE (rtlcn3935,debug_EXMPLR1018(15),not_ResetN,CE,clock,eBC_CMT_do) ;
   DFFPCE (rtlcn3923,debug_EXMPLR1018(15),not_ResetN,CE,clock,eBC_CFT_do) ;
   DFFPCE (rtlc30n15921,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   eBC_Bad_instruction) ;
   DFFPCE (eBC_Bad_Parity_30n180ss1,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   eBC_Bad_Parity) ;
   DFFPCE (Data_o_temp(3),debug_EXMPLR1018(15),not_ResetN,rtlc30n17081,clock,
   WhichVAR(3)) ;
   DFFPCE (Data_o_temp(2),debug_EXMPLR1018(15),not_ResetN,rtlc30n17081,clock,
   WhichVAR(2)) ;
   DFFPCE (Data_o_temp(1),debug_EXMPLR1018(15),not_ResetN,rtlc30n17081,clock,
   WhichVAR(1)) ;
   DFFPCE (Data_o_temp(0),debug_EXMPLR1018(15),not_ResetN,rtlc30n17081,clock,
   WhichVAR(0)) ;
   DFFPCE (VARAM_WE_30n180ss1,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   VARAM_WE) ;
   DFFPCE (VARAM_D_30n180ss1(15),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17075,clock,VARAM_D(15)) ;
   DFFPCE (VARAM_D_30n180ss1(14),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17075,clock,VARAM_D(14)) ;
   DFFPCE (VARAM_D_30n180ss1(13),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17075,clock,VARAM_D(13)) ;
   DFFPCE (VARAM_D_30n180ss1(12),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17075,clock,VARAM_D(12)) ;
   DFFPCE (VARAM_D_30n180ss1(11),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17075,clock,VARAM_D(11)) ;
   DFFPCE (VARAM_D_30n180ss1(10),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17075,clock,VARAM_D(10)) ;
   DFFPCE (VARAM_D_30n180ss1(9),debug_EXMPLR1018(15),not_ResetN,rtlc30n17075,
   clock,VARAM_D(9)) ;
   DFFPCE (VARAM_D_30n180ss1(8),debug_EXMPLR1018(15),not_ResetN,rtlc30n17075,
   clock,VARAM_D(8)) ;
   DFFPCE (VARAM_D_30n180ss1(7),debug_EXMPLR1018(15),not_ResetN,rtlc30n17075,
   clock,VARAM_D(7)) ;
   DFFPCE (VARAM_D_30n180ss1(6),debug_EXMPLR1018(15),not_ResetN,rtlc30n17075,
   clock,VARAM_D(6)) ;
   DFFPCE (VARAM_D_30n180ss1(5),debug_EXMPLR1018(15),not_ResetN,rtlc30n17075,
   clock,VARAM_D(5)) ;
   DFFPCE (VARAM_D_30n180ss1(4),debug_EXMPLR1018(15),not_ResetN,rtlc30n17075,
   clock,VARAM_D(4)) ;
   DFFPCE (VARAM_D_30n180ss1(3),debug_EXMPLR1018(15),not_ResetN,rtlc30n17075,
   clock,VARAM_D(3)) ;
   DFFPCE (VARAM_D_30n180ss1(2),debug_EXMPLR1018(15),not_ResetN,rtlc30n17075,
   clock,VARAM_D(2)) ;
   DFFPCE (VARAM_D_30n180ss1(1),debug_EXMPLR1018(15),not_ResetN,rtlc30n17075,
   clock,VARAM_D(1)) ;
   DFFPCE (VARAM_D_30n180ss1(0),debug_EXMPLR1018(15),not_ResetN,rtlc30n17075,
   clock,VARAM_D(0)) ;
   DFFPCE (VARAM_ADD_30n180ss1(4),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17059,clock,VARAM_ADD(4)) ;
   DFFPCE (VARAM_ADD_30n180ss1(3),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17059,clock,VARAM_ADD(3)) ;
   DFFPCE (VARAM_ADD_30n180ss1(2),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17059,clock,VARAM_ADD(2)) ;
   DFFPCE (VARAM_ADD_30n180ss1(1),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17059,clock,VARAM_ADD(1)) ;
   DFFPCE (VARAM_ADD_30n180ss1(0),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17059,clock,VARAM_ADD(0)) ;
   DFFPCE (not_rtlc30n16072,debug_EXMPLR1018(15),not_ResetN,rtlc30n17054,
   clock,Sync_with_Data) ;
   DFFPCE (ReTry_count_30n180ss1(1),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17053,clock,ReTry_count(1)) ;
   DFFPCE (ReTry_count_30n180ss1(0),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17053,clock,ReTry_count(0)) ;
   DFFPCE (rtlc30n16338,debug_EXMPLR1018(15),not_ResetN,rtlc30n17051,clock,
   Message_failed) ;
   DFFPCE (LIFO_Pointer_30n126s1(4),not_ResetN,debug_EXMPLR1018(15),
   rtlc30n17050,clock,LIFO_Pointer(4)) ;
   DFFPCE (LIFO_Pointer_30n126s1(3),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17050,clock,LIFO_Pointer(3)) ;
   DFFPCE (LIFO_Pointer_30n126s1(2),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17050,clock,LIFO_Pointer(2)) ;
   DFFPCE (LIFO_Pointer_30n126s1(1),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17050,clock,LIFO_Pointer(1)) ;
   DFFPCE (LIFO_Pointer_30n126s1(0),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17050,clock,LIFO_Pointer(0)) ;
   DFFPCE (rtlc30n16336,debug_EXMPLR1018(15),not_ResetN,CE,clock,ENC_TEST_on
   ) ;
   DFFPCE (BC_State(80),debug_EXMPLR1018(15),not_ResetN,CE,clock,ENC_TEST_GO
   ) ;
   DFFPCE (rtlcn3538,debug_EXMPLR1018(15),not_ResetN,CE,clock,Clear_Stop_EOM
   ) ;
   DFFPCE (rtlcn8529,debug_EXMPLR1018(15),not_ResetN,CE,clock,Clear_Stop_EOF
   ) ;
   DFFPCE (BC_word_number_30n180ss1(1),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17041,clock,BC_word_number(1)) ;
   DFFPCE (BC_word_number_30n180ss1(0),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17041,clock,BC_word_number(0)) ;
   DFFPCE (not_rtlc30n16767,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   BC_on_EXMPLR898) ;
   DFFPCE (BC_msg_pointer_30n180ss1(15),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17038,clock,BC_msg_pointer(15)) ;
   DFFPCE (BC_msg_pointer_30n180ss1(14),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17038,clock,BC_msg_pointer(14)) ;
   DFFPCE (BC_msg_pointer_30n180ss1(13),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17038,clock,BC_msg_pointer(13)) ;
   DFFPCE (BC_msg_pointer_30n180ss1(12),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17038,clock,BC_msg_pointer(12)) ;
   DFFPCE (BC_msg_pointer_30n180ss1(11),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17038,clock,BC_msg_pointer(11)) ;
   DFFPCE (BC_msg_pointer_30n180ss1(10),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17038,clock,BC_msg_pointer(10)) ;
   DFFPCE (BC_msg_pointer_30n180ss1(9),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17038,clock,BC_msg_pointer(9)) ;
   DFFPCE (BC_msg_pointer_30n180ss1(8),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17038,clock,BC_msg_pointer(8)) ;
   DFFPCE (BC_msg_pointer_30n180ss1(7),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17038,clock,BC_msg_pointer(7)) ;
   DFFPCE (BC_msg_pointer_30n180ss1(6),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17038,clock,BC_msg_pointer(6)) ;
   DFFPCE (BC_msg_pointer_30n180ss1(5),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17038,clock,BC_msg_pointer(5)) ;
   DFFPCE (BC_msg_pointer_30n180ss1(4),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17038,clock,BC_msg_pointer(4)) ;
   DFFPCE (BC_msg_pointer_30n180ss1(3),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17038,clock,BC_msg_pointer(3)) ;
   DFFPCE (BC_msg_pointer_30n180ss1(2),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17038,clock,BC_msg_pointer(2)) ;
   DFFPCE (BC_msg_pointer_30n180ss1(1),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17038,clock,BC_msg_pointer(1)) ;
   DFFPCE (BC_msg_pointer_30n180ss1(0),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17038,clock,BC_msg_pointer(0)) ;
   DFFPCE (BC_TX_Data_30n180ss1(15),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17022,clock,BC_TX_Data(15)) ;
   DFFPCE (BC_TX_Data_30n180ss1(14),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17022,clock,BC_TX_Data(14)) ;
   DFFPCE (BC_TX_Data_30n180ss1(13),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17022,clock,BC_TX_Data(13)) ;
   DFFPCE (BC_TX_Data_30n180ss1(12),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17022,clock,BC_TX_Data(12)) ;
   DFFPCE (BC_TX_Data_30n180ss1(11),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17022,clock,BC_TX_Data(11)) ;
   DFFPCE (BC_TX_Data_30n180ss1(10),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17022,clock,BC_TX_Data_10_EXMPLR887) ;
   DFFPCE (BC_TX_Data_30n180ss1(9),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17022,clock,BC_TX_Data_9_EXMPLR888) ;
   DFFPCE (BC_TX_Data_30n180ss1(8),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17022,clock,BC_TX_Data_8_EXMPLR889) ;
   DFFPCE (BC_TX_Data_30n180ss1(7),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17022,clock,BC_TX_Data_7_EXMPLR890) ;
   DFFPCE (BC_TX_Data_30n180ss1(6),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17022,clock,BC_TX_Data_6_EXMPLR891) ;
   DFFPCE (BC_TX_Data_30n180ss1(5),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17022,clock,BC_TX_Data_5_EXMPLR892) ;
   DFFPCE (BC_TX_Data_30n180ss1(4),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17022,clock,BC_TX_Data_4_EXMPLR893) ;
   DFFPCE (BC_TX_Data_30n180ss1(3),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17022,clock,BC_TX_Data_3_EXMPLR894) ;
   DFFPCE (BC_TX_Data_30n180ss1(2),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17022,clock,BC_TX_Data_2_EXMPLR895) ;
   DFFPCE (BC_TX_Data_30n180ss1(1),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17022,clock,BC_TX_Data_1_EXMPLR896) ;
   DFFPCE (BC_TX_Data_30n180ss1(0),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17022,clock,BC_TX_Data_0_EXMPLR897) ;
   DFFPCE (rtlc30n16307,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_Started)
    ;
   DFFPCE (BC_Stack_pointer_30n180ss1(15),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17005,clock,BC_Stack_pointer(15)) ;
   DFFPCE (BC_Stack_pointer_30n180ss1(14),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17005,clock,BC_Stack_pointer(14)) ;
   DFFPCE (BC_Stack_pointer_30n180ss1(13),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17005,clock,BC_Stack_pointer(13)) ;
   DFFPCE (BC_Stack_pointer_30n180ss1(12),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17005,clock,BC_Stack_pointer(12)) ;
   DFFPCE (BC_Stack_pointer_30n180ss1(11),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17005,clock,BC_Stack_pointer(11)) ;
   DFFPCE (BC_Stack_pointer_30n180ss1(10),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17000,clock,BC_Stack_pointer(10)) ;
   DFFPCE (BC_Stack_pointer_30n180ss1(9),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16999,clock,BC_Stack_pointer(9)) ;
   DFFPCE (BC_Stack_pointer_30n180ss1(8),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16998,clock,BC_Stack_pointer(8)) ;
   DFFPCE (BC_Stack_pointer_30n180ss1(7),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16997,clock,BC_Stack_pointer(7)) ;
   DFFPCE (BC_Stack_pointer_30n180ss1(6),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16997,clock,BC_Stack_pointer(6)) ;
   DFFPCE (BC_Stack_pointer_30n180ss1(5),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16997,clock,BC_Stack_pointer(5)) ;
   DFFPCE (BC_Stack_pointer_30n180ss1(4),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16997,clock,BC_Stack_pointer(4)) ;
   DFFPCE (BC_Stack_pointer_30n180ss1(3),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16997,clock,BC_Stack_pointer(3)) ;
   DFFPCE (BC_Stack_pointer_30n180ss1(2),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16997,clock,BC_Stack_pointer(2)) ;
   DFFPCE (BC_Stack_pointer_30n180ss1(1),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17005,clock,BC_Stack_pointer(1)) ;
   DFFPCE (BC_Stack_pointer_30n180ss1(0),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n17005,clock,BC_Stack_pointer(0)) ;
   DFFPCE (rtlc30n16289,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   BC_Retry_pulse) ;
   DFFPCE (BC_Ram_data_30n180ss1(15),debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_Ram_data(15)) ;
   DFFPCE (BC_Ram_data_30n180ss1(14),debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_Ram_data(14)) ;
   DFFPCE (BC_Ram_data_30n180ss1(13),debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_Ram_data(13)) ;
   DFFPCE (BC_Ram_data_30n180ss1(12),debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_Ram_data(12)) ;
   DFFPCE (BC_Ram_data_30n180ss1(11),debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_Ram_data(11)) ;
   DFFPCE (BC_Ram_data_30n180ss1(10),debug_EXMPLR1018(15),not_ResetN,CE,
   clock,BC_Ram_data(10)) ;
   DFFPCE (BC_Ram_data_30n180ss1(9),debug_EXMPLR1018(15),not_ResetN,CE,clock,
   BC_Ram_data(9)) ;
   DFFPCE (BC_Ram_data_30n180ss1(8),debug_EXMPLR1018(15),not_ResetN,CE,clock,
   BC_Ram_data(8)) ;
   DFFPCE (BC_Ram_data_30n180ss1(7),debug_EXMPLR1018(15),not_ResetN,CE,clock,
   BC_Ram_data(7)) ;
   DFFPCE (BC_Ram_data_30n180ss1(6),debug_EXMPLR1018(15),not_ResetN,CE,clock,
   BC_Ram_data(6)) ;
   DFFPCE (BC_Ram_data_30n180ss1(5),debug_EXMPLR1018(15),not_ResetN,CE,clock,
   BC_Ram_data(5)) ;
   DFFPCE (BC_Ram_data_30n180ss1(4),debug_EXMPLR1018(15),not_ResetN,CE,clock,
   BC_Ram_data(4)) ;
   DFFPCE (BC_Ram_data_30n180ss1(3),debug_EXMPLR1018(15),not_ResetN,CE,clock,
   BC_Ram_data(3)) ;
   DFFPCE (BC_Ram_data_30n180ss1(2),debug_EXMPLR1018(15),not_ResetN,CE,clock,
   BC_Ram_data(2)) ;
   DFFPCE (BC_Ram_data_30n180ss1(1),debug_EXMPLR1018(15),not_ResetN,CE,clock,
   BC_Ram_data(1)) ;
   DFFPCE (BC_Ram_data_30n180ss1(0),debug_EXMPLR1018(15),not_ResetN,CE,clock,
   BC_Ram_data(0)) ;
   DFFPCE (rtlcn7410,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_Ram_WE) ;
   DFFPCE (rtlcn7365,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_Ram_RE) ;
   DFFPCE (BC_Ram_Address_30n180ss1(15),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16970,clock,BC_Ram_Address(15)) ;
   DFFPCE (BC_Ram_Address_30n180ss1(14),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16970,clock,BC_Ram_Address(14)) ;
   DFFPCE (BC_Ram_Address_30n180ss1(13),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16970,clock,BC_Ram_Address(13)) ;
   DFFPCE (BC_Ram_Address_30n180ss1(12),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16970,clock,BC_Ram_Address(12)) ;
   DFFPCE (BC_Ram_Address_30n180ss1(11),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16970,clock,BC_Ram_Address(11)) ;
   DFFPCE (BC_Ram_Address_30n180ss1(10),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16970,clock,BC_Ram_Address(10)) ;
   DFFPCE (BC_Ram_Address_30n180ss1(9),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16970,clock,BC_Ram_Address(9)) ;
   DFFPCE (BC_Ram_Address_30n180ss1(8),not_ResetN,debug_EXMPLR1018(15),
   rtlc30n16970,clock,BC_Ram_Address(8)) ;
   DFFPCE (BC_Ram_Address_30n180ss1(7),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16970,clock,BC_Ram_Address(7)) ;
   DFFPCE (BC_Ram_Address_30n180ss1(6),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16970,clock,BC_Ram_Address(6)) ;
   DFFPCE (BC_Ram_Address_30n180ss1(5),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16970,clock,BC_Ram_Address(5)) ;
   DFFPCE (BC_Ram_Address_30n180ss1(4),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16970,clock,BC_Ram_Address(4)) ;
   DFFPCE (BC_Ram_Address_30n180ss1(3),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16970,clock,BC_Ram_Address(3)) ;
   DFFPCE (BC_Ram_Address_30n180ss1(2),not_ResetN,debug_EXMPLR1018(15),
   rtlc30n16970,clock,BC_Ram_Address(2)) ;
   DFFPCE (BC_Ram_Address_30n180ss1(1),not_ResetN,debug_EXMPLR1018(15),
   rtlc30n16970,clock,BC_Ram_Address(1)) ;
   DFFPCE (BC_Ram_Address_30n180ss1(0),not_ResetN,debug_EXMPLR1018(15),
   rtlc30n16970,clock,BC_Ram_Address(0)) ;
   DFFPCE (BC_Load_msg_gap_counter_30n180ss1,debug_EXMPLR1018(15),not_ResetN,
   CE,clock,BC_Load_msg_gap_counter) ;
   DFFPCE (BC_State(2),debug_EXMPLR1018(15),not_ResetN,CE,clock,
   BC_Load_frame_gap_counter) ;
   DFFPCE (rtlc30n18651,not_ResetN,debug_EXMPLR1018(15),CE,clock,BC_IDLE) ;
   DFFPCE (BC_Go_30n180ss1,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   BC_Go_EXMPLR881) ;
   DFFPCE (not_rtlc30n16096,debug_EXMPLR1018(15),not_ResetN,rtlc30n16934,
   clock,BC_Frame_active_part) ;
   DFFPCE (not_BC_State_18,debug_EXMPLR1018(15),not_ResetN,rtlc30n16933,
   clock,BC_First_write) ;
   DFFPCE (not_rtlc30n18647,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   BC_FE_ResetN) ;
   DFFPCE (BC_Echo_word_30n180ss1(15),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16931,clock,BC_Echo_word(15)) ;
   DFFPCE (BC_Echo_word_30n180ss1(14),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16931,clock,BC_Echo_word(14)) ;
   DFFPCE (BC_Echo_word_30n180ss1(13),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16931,clock,BC_Echo_word(13)) ;
   DFFPCE (BC_Echo_word_30n180ss1(12),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16931,clock,BC_Echo_word(12)) ;
   DFFPCE (BC_Echo_word_30n180ss1(11),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16931,clock,BC_Echo_word(11)) ;
   DFFPCE (BC_Echo_word_30n180ss1(10),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16931,clock,BC_Echo_word(10)) ;
   DFFPCE (BC_Echo_word_30n180ss1(9),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16931,clock,BC_Echo_word(9)) ;
   DFFPCE (BC_Echo_word_30n180ss1(8),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16931,clock,BC_Echo_word(8)) ;
   DFFPCE (BC_Echo_word_30n180ss1(7),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16931,clock,BC_Echo_word(7)) ;
   DFFPCE (BC_Echo_word_30n180ss1(6),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16931,clock,BC_Echo_word(6)) ;
   DFFPCE (BC_Echo_word_30n180ss1(5),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16931,clock,BC_Echo_word(5)) ;
   DFFPCE (BC_Echo_word_30n180ss1(4),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16931,clock,BC_Echo_word(4)) ;
   DFFPCE (BC_Echo_word_30n180ss1(3),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16931,clock,BC_Echo_word(3)) ;
   DFFPCE (BC_Echo_word_30n180ss1(2),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16931,clock,BC_Echo_word(2)) ;
   DFFPCE (BC_Echo_word_30n180ss1(1),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16931,clock,BC_Echo_word(1)) ;
   DFFPCE (BC_Echo_word_30n180ss1(0),debug_EXMPLR1018(15),not_ResetN,
   rtlc30n16931,clock,BC_Echo_word(0)) ;
   DFFPCE (BC_EOM_30n180ss1,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_EOM)
    ;
   DFFPCE (rtlcn5615,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_EOF) ;
   DFFPCE (Data_o_temp(15),debug_EXMPLR1018(15),not_ResetN,rtlc30n16913,
   clock,BC_Control_word_15) ;
   DFFPCE (Data_o_temp(14),debug_EXMPLR1018(15),not_ResetN,rtlc30n16913,
   clock,BC_Control_word_14) ;
   DFFPCE (Data_o_temp(13),debug_EXMPLR1018(15),not_ResetN,rtlc30n16913,
   clock,BC_Control_word_13) ;
   DFFPCE (Data_o_temp(12),debug_EXMPLR1018(15),not_ResetN,rtlc30n16913,
   clock,BC_Control_word_12) ;
   DFFPCE (Data_o_temp(11),debug_EXMPLR1018(15),not_ResetN,rtlc30n16913,
   clock,BC_Control_word_11) ;
   DFFPCE (Data_o_temp(10),debug_EXMPLR1018(15),not_ResetN,rtlc30n16913,
   clock,BC_Control_word_10) ;
   DFFPCE (Data_o_temp(9),debug_EXMPLR1018(15),not_ResetN,rtlc30n16913,clock,
   BC_Control_word_9) ;
   DFFPCE (Data_o_temp(8),debug_EXMPLR1018(15),not_ResetN,rtlc30n16913,clock,
   BC_Control_word_8) ;
   DFFPCE (Data_o_temp(7),debug_EXMPLR1018(15),not_ResetN,rtlc30n16913,clock,
   BC_Control_word_7) ;
   DFFPCE (Data_o_temp(6),debug_EXMPLR1018(15),not_ResetN,rtlc30n16913,clock,
   BC_Test_EXMPLR798) ;
   DFFPCE (Data_o_temp(5),debug_EXMPLR1018(15),not_ResetN,rtlc30n16913,clock,
   BC_Control_word_5) ;
   DFFPCE (Data_o_temp(4),debug_EXMPLR1018(15),not_ResetN,rtlc30n16913,clock,
   BC_Control_word_4) ;
   DFFPCE (Data_o_temp(3),debug_EXMPLR1018(15),not_ResetN,rtlc30n16913,clock,
   BC_1553A_EXMPLR879) ;
   DFFPCE (Data_o_temp(2),debug_EXMPLR1018(15),not_ResetN,rtlc30n16913,clock,
   BC_Control_word_2) ;
   DFFPCE (Data_o_temp(1),debug_EXMPLR1018(15),not_ResetN,rtlc30n16913,clock,
   BC_Control_word_1) ;
   DFFPCE (Data_o_temp(0),debug_EXMPLR1018(15),not_ResetN,rtlc30n16913,clock,
   BC_RT2RT_EXMPLR797) ;
   DFFPCE (BC_BUS_A_30n180ss1,not_ResetN,debug_EXMPLR1018(15),rtlc30n16897,
   clock,BC_BUS_A_EXMPLR880) ;
   DFFPCE (Non_masked_Event_D_33n1ss1,debug_EXMPLR1018(15),not_ResetN,CE,
   clock,Non_masked_Event_D) ;
   DFFPCE (rtlc33n262,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   Clear_Intn_level) ;
   DFFPCE (rtlc33n371,debug_EXMPLR1018(15),not_ResetN,CE,clock,Int1_Chain) ;
   DFFPCE (INTn_level,not_ResetN,debug_EXMPLR1018(15),CE,clock,INTn_level_D)
    ;
   DFFPCE (rtlcn8653,not_ResetN,debug_EXMPLR1018(15),CE,clock,INTn_pulse) ;
   DFFPCE (rtlcn6958,not_ResetN,debug_EXMPLR1018(15),rtlc33n642,clock,
   INTn_level) ;
   DFFPCE (Monitor_write,debug_EXMPLR1018(15),not_ResetN,CE,clock,M_W) ;
   DFFPCE (W_R_36n3s1,debug_EXMPLR1018(15),not_ResetN,CE,clock,W_R) ;
   DFFPCE (rtlcn4204,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   Arbiter_timeout) ;
   DFFPCE (rtlcn4271,debug_EXMPLR1018(15),not_ResetN,CE,clock,MON_phase_go)
    ;
   DFFPCE (rtlcn8227,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   MON_SOM_phase_go) ;
   DFFPCE (rtlcn4301,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   MON_EOM_phase_go) ;
   DFFPCE (rtlcn4230,debug_EXMPLR1018(15),not_ResetN,CE,clock,phase_go) ;
   DFFPCE (rtlcn4251,debug_EXMPLR1018(15),not_ResetN,CE,clock,SOM_phase_go)
    ;
   DFFPCE (rtlcn4239,debug_EXMPLR1018(15),not_ResetN,CE,clock,EOM_phase_go)
    ;
   DFFPCE (rtlcn8220,debug_EXMPLR1018(15),not_ResetN,rtlc36n706,clock,
   arbiter) ;
   DFFPCE (MON_WR_req_36n14ss1,debug_EXMPLR1018(15),not_ResetN,rtlc36n705,
   clock,MON_WR_req) ;
   DFFPCE (not_rtlcn4301,debug_EXMPLR1018(15),not_ResetN,rtlc36n704,clock,
   MON_EOM_req) ;
   DFFPCE (rtlcn4339,debug_EXMPLR1018(15),not_ResetN,rtlc36n703,clock,
   MON_SOM_req) ;
   DFFPCE (WRD_req_36n14ss1,debug_EXMPLR1018(15),not_ResetN,rtlc36n702,clock,
   WRD_req) ;
   DFFPCE (not_rtlcn4239,debug_EXMPLR1018(15),not_ResetN,rtlc36n701,clock,
   EOM_req) ;
   DFFPCE (not_rtlcn4251,debug_EXMPLR1018(15),not_ResetN,rtlc36n700,clock,
   SOM_req) ;
   DFFPCE (rtlc39n98,debug_EXMPLR1018(15),not_ResetN,CE,clock,mode_command)
    ;
   DFFPCE (rtlcs160,debug_EXMPLR1018(15),not_ResetN,CE,clock,BCR) ;
   DFFPCE (not_BC_Go,debug_EXMPLR1018(15),not_ResetN,rtlc42n63,clock,
   BC_reported_errors) ;
   DFFPCE (BC_Sts_Word_45n13ss1_13,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   BC_Sts_Word(13)) ;
   DFFPCE (not_BC_Go,debug_EXMPLR1018(15),not_ResetN,rtlc45n353,clock,
   BC_Sts_Word(12)) ;
   DFFPCE (not_BC_Go,debug_EXMPLR1018(15),not_ResetN,rtlc45n352,clock,
   BC_Sts_Word(11)) ;
   DFFPCE (not_BC_Go,debug_EXMPLR1018(15),not_ResetN,rtlc45n351,clock,
   BC_Sts_Word(10)) ;
   DFFPCE (not_BC_Go,debug_EXMPLR1018(15),not_ResetN,rtlc45n350,clock,
   BC_Sts_Word(9)) ;
   DFFPCE (not_BC_Go,debug_EXMPLR1018(15),not_ResetN,rtlc45n349,clock,
   BC_Sts_Word(8)) ;
   DFFPCE (not_BC_Go,debug_EXMPLR1018(15),not_ResetN,rtlc45n348,clock,
   BC_Sts_Word(7)) ;
   DFFPCE (not_BC_Go,debug_EXMPLR1018(15),not_ResetN,rtlc45n347,clock,
   BC_Sts_Word(6)) ;
   DFFPCE (not_BC_Go,debug_EXMPLR1018(15),not_ResetN,rtlc45n346,clock,
   BC_Sts_Word(5)) ;
   DFFPCE (BC_Sts_Word_45n13ss1_4,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   BC_Sts_Word(4)) ;
   DFFPCE (not_BC_Go,debug_EXMPLR1018(15),not_ResetN,rtlc45n344,clock,
   BC_Sts_Word(3)) ;
   DFFPCE (not_BC_Go,debug_EXMPLR1018(15),not_ResetN,rtlc45n343,clock,
   BC_Sts_Word(2)) ;
   DFFPCE (not_BC_Go,debug_EXMPLR1018(15),not_ResetN,rtlc45n342,clock,
   BC_Sts_Word(1)) ;
   DFFPCE (not_BC_Go,debug_EXMPLR1018(15),not_ResetN,rtlc45n341,clock,
   BC_Sts_Word(0)) ;
   DFFPCE (BC_Sts_Word(12),debug_EXMPLR1018(15),not_ResetN,CE,clock,
   BC_STS_Word_12_d) ;
   DFFPCE (not_BC_Go,debug_EXMPLR1018(15),not_ResetN,rtlc48n315,clock,
   eBC_Conditions_11) ;
   DFFPCE (not_BC_Go,debug_EXMPLR1018(15),not_ResetN,rtlc48n314,clock,
   status_set) ;
   DFFPCE (gap_eq_0_52n3ss1,debug_EXMPLR1018(15),not_ResetN,rtlc52n257,clock,
   gap_eq_0) ;
   DFFPCE (eBC_Watchdog_eq0_55n6ss1,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   eBC_Watchdog_eq0) ;
   DFFPCE (Data_o_temp(15),debug_EXMPLR1018(15),not_ResetN,rtlc55n394,clock,
   eBC_Frame_length(15)) ;
   DFFPCE (Data_o_temp(14),debug_EXMPLR1018(15),not_ResetN,rtlc55n394,clock,
   eBC_Frame_length(14)) ;
   DFFPCE (Data_o_temp(13),debug_EXMPLR1018(15),not_ResetN,rtlc55n394,clock,
   eBC_Frame_length(13)) ;
   DFFPCE (Data_o_temp(12),debug_EXMPLR1018(15),not_ResetN,rtlc55n394,clock,
   eBC_Frame_length(12)) ;
   DFFPCE (Data_o_temp(11),debug_EXMPLR1018(15),not_ResetN,rtlc55n394,clock,
   eBC_Frame_length(11)) ;
   DFFPCE (Data_o_temp(10),debug_EXMPLR1018(15),not_ResetN,rtlc55n394,clock,
   eBC_Frame_length(10)) ;
   DFFPCE (Data_o_temp(9),debug_EXMPLR1018(15),not_ResetN,rtlc55n394,clock,
   eBC_Frame_length(9)) ;
   DFFPCE (Data_o_temp(8),debug_EXMPLR1018(15),not_ResetN,rtlc55n394,clock,
   eBC_Frame_length(8)) ;
   DFFPCE (Data_o_temp(7),debug_EXMPLR1018(15),not_ResetN,rtlc55n394,clock,
   eBC_Frame_length(7)) ;
   DFFPCE (Data_o_temp(6),debug_EXMPLR1018(15),not_ResetN,rtlc55n394,clock,
   eBC_Frame_length(6)) ;
   DFFPCE (Data_o_temp(5),debug_EXMPLR1018(15),not_ResetN,rtlc55n394,clock,
   eBC_Frame_length(5)) ;
   DFFPCE (Data_o_temp(4),debug_EXMPLR1018(15),not_ResetN,rtlc55n394,clock,
   eBC_Frame_length(4)) ;
   DFFPCE (Data_o_temp(3),debug_EXMPLR1018(15),not_ResetN,rtlc55n394,clock,
   eBC_Frame_length(3)) ;
   DFFPCE (Data_o_temp(2),debug_EXMPLR1018(15),not_ResetN,rtlc55n394,clock,
   eBC_Frame_length(2)) ;
   DFFPCE (Data_o_temp(1),debug_EXMPLR1018(15),not_ResetN,rtlc55n394,clock,
   eBC_Frame_length(1)) ;
   DFFPCE (Data_o_temp(0),debug_EXMPLR1018(15),not_ResetN,rtlc55n394,clock,
   eBC_Frame_length(0)) ;
   DFFPCE (frame_gap_eq_0_55n6ss1,debug_EXMPLR1018(15),not_ResetN,rtlc55n378,
   clock,frame_gap_eq_0) ;
   DFFPCE (BC_SP,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_SP_D) ;
   DFFPCE (BC_SP_58n1ss1,debug_EXMPLR1018(15),not_ResetN,CE,clock,BC_SP) ;
   DFFPCE (Ext_Trigger_D,not_ResetN,debug_EXMPLR1018(15),CE,clock,
   Ext_Trigger_DD) ;
   DFFPCE (Ext_Trigger,not_ResetN,debug_EXMPLR1018(15),CE,clock,
   Ext_Trigger_D) ;
   DFFPCE (CPU_Data_in_wide(25),debug_EXMPLR1018(15),not_ResetN,rtlc64n7442,
   clock,PrimeCheck) ;
   DFFPCE (eBC_GP_64n72ss1(7),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n6394,clock,eBC_GP(7)) ;
   DFFPCE (eBC_GP_64n72ss1(6),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n6393,clock,eBC_GP(6)) ;
   DFFPCE (eBC_GP_64n72ss1(5),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n6392,clock,eBC_GP(5)) ;
   DFFPCE (eBC_GP_64n72ss1(4),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n6391,clock,eBC_GP(4)) ;
   DFFPCE (eBC_GP_64n72ss1(3),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n6390,clock,eBC_GP(3)) ;
   DFFPCE (eBC_GP_64n72ss1(2),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n6389,clock,eBC_GP(2)) ;
   DFFPCE (eBC_GP_64n72ss1(1),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n6388,clock,eBC_GP(1)) ;
   DFFPCE (eBC_GP_64n72ss1(0),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n6387,clock,eBC_GP(0)) ;
   DFFPCE (CPU_Data_in_wide(31),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5879,clock,eBC_Q_pointer(15)) ;
   DFFPCE (CPU_Data_in_wide(30),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5879,clock,eBC_Q_pointer(14)) ;
   DFFPCE (CPU_Data_in_wide(29),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5879,clock,eBC_Q_pointer(13)) ;
   DFFPCE (CPU_Data_in_wide(28),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5879,clock,eBC_Q_pointer(12)) ;
   DFFPCE (CPU_Data_in_wide(27),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5879,clock,eBC_Q_pointer(11)) ;
   DFFPCE (CPU_Data_in_wide(26),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5879,clock,eBC_Q_pointer(10)) ;
   DFFPCE (CPU_Data_in_wide(25),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5879,clock,eBC_Q_pointer(9)) ;
   DFFPCE (CPU_Data_in_wide(24),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5879,clock,eBC_Q_pointer(8)) ;
   DFFPCE (CPU_Data_in_wide(23),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5879,clock,eBC_Q_pointer(7)) ;
   DFFPCE (CPU_Data_in_wide(22),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5879,clock,eBC_Q_pointer(6)) ;
   DFFPCE (eBC_Q_pointer_64n50ss1(5),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5999,clock,eBC_Q_pointer(5)) ;
   DFFPCE (eBC_Q_pointer_64n50ss1(4),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5999,clock,eBC_Q_pointer(4)) ;
   DFFPCE (eBC_Q_pointer_64n50ss1(3),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5999,clock,eBC_Q_pointer(3)) ;
   DFFPCE (eBC_Q_pointer_64n50ss1(2),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5999,clock,eBC_Q_pointer(2)) ;
   DFFPCE (eBC_Q_pointer_64n50ss1(1),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5999,clock,eBC_Q_pointer(1)) ;
   DFFPCE (eBC_Q_pointer_64n50ss1(0),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5999,clock,eBC_Q_pointer(0)) ;
   DFFPCE (CPU_Data_in_wide(17),debug_EXMPLR1018(15),not_ResetN,rtlc64n7442,
   clock,eBC_Watchdog_enable) ;
   DFFPCE (rtlc64n7590,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   No_Response_timeout(2)) ;
   DFFPCE (not_rtlc64n7200,not_ResetN,debug_EXMPLR1018(15),CE,clock,
   No_Response_timeout(1)) ;
   DFFPCE (not_Config_reg_5_9,not_ResetN,debug_EXMPLR1018(15),CE,clock,
   No_Response_timeout(0)) ;
   DFFPCE (Monitor_command_is_sync_without_data_64n11s1,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,Monitor_command_is_sync_without_data) ;
   DFFPCE (Monitor_command_is_sync_with_data_64n11s1,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,Monitor_command_is_sync_with_data) ;
   DFFPCE (Current_command_is_sync_without_data_64n11s1,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,Current_command_is_sync_without_data) ;
   DFFPCE (Current_command_is_sync_with_data_64n11s1,debug_EXMPLR1018(15),
   not_ResetN,CE,clock,Current_command_is_sync_with_data) ;
   DFFPCE (MT_On_Async_64n28ss1,debug_EXMPLR1018(15),not_ResetN,rtlc64n7409,
   clock,MT_On_Async) ;
   DFFPCE (Config_reg_1(13),debug_EXMPLR1018(15),not_ResetN,rtlc64n7408,
   clock,Current_Area_B) ;
   DFFPCE (not_test_complete,debug_EXMPLR1018(15),not_ResetN,rtlc64n7407,
   clock,Do_Protocol_test) ;
   DFFPCE (not_test_complete,debug_EXMPLR1018(15),not_ResetN,rtlc64n7406,
   clock,Do_RAM_test) ;
   DFFPCE (Clear_Test_Status_reg_64n43ss1,debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5874,clock,Clear_Test_Status_reg) ;
   DFFPCE (rtlc64n7189,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   one_micro_increment_wide) ;
   DFFPC (one_micro_increment_64n16ss1,debug_EXMPLR1018(15),not_ResetN,clock,
   one_micro_increment) ;
   DFFPCE (rtlcn3501,debug_EXMPLR1018(15),not_ResetN,not_rtlc64n5998,clock,
   BC_Stop_EOF) ;
   DFFPCE (rtlcn3532,debug_EXMPLR1018(15),not_ResetN,not_rtlc64n5997,clock,
   BC_Stop_EOM) ;
   DFFPCE (CPU_Data_in_wide(31),debug_EXMPLR1018(15),not_ResetN,rtlc64n7401,
   clock,Frame_length_reg_0xD(15)) ;
   DFFPCE (CPU_Data_in_wide(30),debug_EXMPLR1018(15),not_ResetN,rtlc64n7401,
   clock,Frame_length_reg_0xD(14)) ;
   DFFPCE (CPU_Data_in_wide(29),debug_EXMPLR1018(15),not_ResetN,rtlc64n7401,
   clock,Frame_length_reg_0xD(13)) ;
   DFFPCE (CPU_Data_in_wide(28),debug_EXMPLR1018(15),not_ResetN,rtlc64n7401,
   clock,Frame_length_reg_0xD(12)) ;
   DFFPCE (CPU_Data_in_wide(27),debug_EXMPLR1018(15),not_ResetN,rtlc64n7401,
   clock,Frame_length_reg_0xD(11)) ;
   DFFPCE (CPU_Data_in_wide(26),debug_EXMPLR1018(15),not_ResetN,rtlc64n7401,
   clock,Frame_length_reg_0xD(10)) ;
   DFFPCE (CPU_Data_in_wide(25),debug_EXMPLR1018(15),not_ResetN,rtlc64n7401,
   clock,Frame_length_reg_0xD(9)) ;
   DFFPCE (CPU_Data_in_wide(24),debug_EXMPLR1018(15),not_ResetN,rtlc64n7401,
   clock,Frame_length_reg_0xD(8)) ;
   DFFPCE (CPU_Data_in_wide(23),debug_EXMPLR1018(15),not_ResetN,rtlc64n7401,
   clock,Frame_length_reg_0xD(7)) ;
   DFFPCE (CPU_Data_in_wide(22),debug_EXMPLR1018(15),not_ResetN,rtlc64n7401,
   clock,Frame_length_reg_0xD(6)) ;
   DFFPCE (CPU_Data_in_wide(21),debug_EXMPLR1018(15),not_ResetN,rtlc64n7401,
   clock,Frame_length_reg_0xD(5)) ;
   DFFPCE (CPU_Data_in_wide(20),debug_EXMPLR1018(15),not_ResetN,rtlc64n7401,
   clock,Frame_length_reg_0xD(4)) ;
   DFFPCE (CPU_Data_in_wide(19),debug_EXMPLR1018(15),not_ResetN,rtlc64n7401,
   clock,Frame_length_reg_0xD(3)) ;
   DFFPCE (CPU_Data_in_wide(18),debug_EXMPLR1018(15),not_ResetN,rtlc64n7401,
   clock,Frame_length_reg_0xD(2)) ;
   DFFPCE (CPU_Data_in_wide(17),debug_EXMPLR1018(15),not_ResetN,rtlc64n7401,
   clock,Frame_length_reg_0xD(1)) ;
   DFFPCE (CPU_Data_in_wide(16),debug_EXMPLR1018(15),not_ResetN,rtlc64n7401,
   clock,Frame_length_reg_0xD(0)) ;
   DFFPCE (rtlcn2753,debug_EXMPLR1018(15),not_ResetN,not_rtlc64n5870,clock,
   BC_START) ;
   DFFPCE (Dummy_register_0x4_64n43ss1(15),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5869,clock,Dummy_register_0x4(15)) ;
   DFFPCE (Dummy_register_0x4_64n43ss1(14),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5869,clock,Dummy_register_0x4(14)) ;
   DFFPCE (Dummy_register_0x4_64n43ss1(13),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5869,clock,Dummy_register_0x4(13)) ;
   DFFPCE (Dummy_register_0x4_64n43ss1(12),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5869,clock,Dummy_register_0x4(12)) ;
   DFFPCE (Dummy_register_0x4_64n43ss1(11),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5869,clock,Dummy_register_0x4(11)) ;
   DFFPCE (Dummy_register_0x4_64n43ss1(10),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5869,clock,Dummy_register_0x4(10)) ;
   DFFPCE (Dummy_register_0x4_64n43ss1(9),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5869,clock,Dummy_register_0x4(9)) ;
   DFFPCE (Dummy_register_0x4_64n43ss1(8),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5869,clock,Dummy_register_0x4(8)) ;
   DFFPCE (Dummy_register_0x4_64n43ss1(7),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5869,clock,Dummy_register_0x4(7)) ;
   DFFPCE (Dummy_register_0x4_64n43ss1(6),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5869,clock,Dummy_register_0x4(6)) ;
   DFFPCE (Dummy_register_0x4_64n43ss1(5),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5869,clock,Dummy_register_0x4(5)) ;
   DFFPCE (Dummy_register_0x4_64n43ss1(4),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5869,clock,Dummy_register_0x4(4)) ;
   DFFPCE (Dummy_register_0x4_64n43ss1(3),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5869,clock,Dummy_register_0x4(3)) ;
   DFFPCE (Dummy_register_0x4_64n43ss1(2),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5869,clock,Dummy_register_0x4(2)) ;
   DFFPCE (Dummy_register_0x4_64n43ss1(1),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5869,clock,Dummy_register_0x4(1)) ;
   DFFPCE (Dummy_register_0x4_64n43ss1(0),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5869,clock,Dummy_register_0x4(0)) ;
   DFFPCE (Clean_status2_bits_64n77ss1,debug_EXMPLR1018(15),not_ResetN,
   rtlc64n7368,clock,Clean_status2_bits) ;
   DFFPCE (Clean_status_bits_64n75ss1,debug_EXMPLR1018(15),not_ResetN,
   rtlc64n7367,clock,Clean_status_bits) ;
   DFFPC (rtlc64n6454,debug_EXMPLR1018(15),not_ResetN,clock,
   Read_from_int_vec2) ;
   DFFPC (rtlc64n6421,debug_EXMPLR1018(15),not_ResetN,clock,
   Read_from_int_vec) ;
   DFFPCE (CPU_Data_in_wide(31),debug_EXMPLR1018(15),not_ResetN,rtlc64n7366,
   clock,Interrupt_mask_register_2(15)) ;
   DFFPCE (CPU_Data_in_wide(30),debug_EXMPLR1018(15),not_ResetN,rtlc64n7366,
   clock,Interrupt_mask_register_2(14)) ;
   DFFPCE (CPU_Data_in_wide(29),debug_EXMPLR1018(15),not_ResetN,rtlc64n7366,
   clock,Interrupt_mask_register_2(13)) ;
   DFFPCE (CPU_Data_in_wide(28),debug_EXMPLR1018(15),not_ResetN,rtlc64n7366,
   clock,Interrupt_mask_register_2(12)) ;
   DFFPCE (CPU_Data_in_wide(27),debug_EXMPLR1018(15),not_ResetN,rtlc64n7366,
   clock,Interrupt_mask_register_2(11)) ;
   DFFPCE (CPU_Data_in_wide(26),debug_EXMPLR1018(15),not_ResetN,rtlc64n7366,
   clock,Interrupt_mask_register_2(10)) ;
   DFFPCE (CPU_Data_in_wide(25),debug_EXMPLR1018(15),not_ResetN,rtlc64n7366,
   clock,Interrupt_mask_register_2(9)) ;
   DFFPCE (CPU_Data_in_wide(24),debug_EXMPLR1018(15),not_ResetN,rtlc64n7366,
   clock,Interrupt_mask_register_2(8)) ;
   DFFPCE (CPU_Data_in_wide(23),debug_EXMPLR1018(15),not_ResetN,rtlc64n7366,
   clock,Interrupt_mask_register_2(7)) ;
   DFFPCE (CPU_Data_in_wide(22),debug_EXMPLR1018(15),not_ResetN,rtlc64n7366,
   clock,Interrupt_mask_register_2(6)) ;
   DFFPCE (CPU_Data_in_wide(21),debug_EXMPLR1018(15),not_ResetN,rtlc64n7366,
   clock,Interrupt_mask_register_2(5)) ;
   DFFPCE (CPU_Data_in_wide(20),debug_EXMPLR1018(15),not_ResetN,rtlc64n7366,
   clock,Interrupt_mask_register_2(4)) ;
   DFFPCE (CPU_Data_in_wide(19),debug_EXMPLR1018(15),not_ResetN,rtlc64n7366,
   clock,Interrupt_mask_register_2(3)) ;
   DFFPCE (CPU_Data_in_wide(18),debug_EXMPLR1018(15),not_ResetN,rtlc64n7366,
   clock,Interrupt_mask_register_2(2)) ;
   DFFPCE (CPU_Data_in_wide(17),debug_EXMPLR1018(15),not_ResetN,rtlc64n7366,
   clock,Interrupt_mask_register_2(1)) ;
   DFFPCE (CPU_Data_in_wide(16),debug_EXMPLR1018(15),not_ResetN,rtlc64n7366,
   clock,Interrupt_mask_register_2(0)) ;
   DFFPCE (CPU_Data_in_wide(15),debug_EXMPLR1018(15),not_ResetN,rtlc64n7350,
   clock,Interrupt_mask_register_1(15)) ;
   DFFPCE (CPU_Data_in_wide(14),debug_EXMPLR1018(15),not_ResetN,rtlc64n7350,
   clock,Interrupt_mask_register_1(14)) ;
   DFFPCE (CPU_Data_in_wide(13),debug_EXMPLR1018(15),not_ResetN,rtlc64n7350,
   clock,Interrupt_mask_register_1(13)) ;
   DFFPCE (CPU_Data_in_wide(12),debug_EXMPLR1018(15),not_ResetN,rtlc64n7350,
   clock,Interrupt_mask_register_1(12)) ;
   DFFPCE (CPU_Data_in_wide(11),debug_EXMPLR1018(15),not_ResetN,rtlc64n7350,
   clock,Interrupt_mask_register_1(11)) ;
   DFFPCE (CPU_Data_in_wide(10),debug_EXMPLR1018(15),not_ResetN,rtlc64n7350,
   clock,Interrupt_mask_register_1(10)) ;
   DFFPCE (CPU_Data_in_wide(9),debug_EXMPLR1018(15),not_ResetN,rtlc64n7350,
   clock,Interrupt_mask_register_1(9)) ;
   DFFPCE (CPU_Data_in_wide(8),debug_EXMPLR1018(15),not_ResetN,rtlc64n7350,
   clock,Interrupt_mask_register_1(8)) ;
   DFFPCE (CPU_Data_in_wide(7),debug_EXMPLR1018(15),not_ResetN,rtlc64n7350,
   clock,Interrupt_mask_register_1(7)) ;
   DFFPCE (CPU_Data_in_wide(6),debug_EXMPLR1018(15),not_ResetN,rtlc64n7350,
   clock,Interrupt_mask_register_1(6)) ;
   DFFPCE (CPU_Data_in_wide(5),debug_EXMPLR1018(15),not_ResetN,rtlc64n7350,
   clock,Interrupt_mask_register_1(5)) ;
   DFFPCE (CPU_Data_in_wide(4),debug_EXMPLR1018(15),not_ResetN,rtlc64n7350,
   clock,Interrupt_mask_register_1(4)) ;
   DFFPCE (CPU_Data_in_wide(3),debug_EXMPLR1018(15),not_ResetN,rtlc64n7350,
   clock,Interrupt_mask_register_1(3)) ;
   DFFPCE (CPU_Data_in_wide(2),debug_EXMPLR1018(15),not_ResetN,rtlc64n7350,
   clock,Interrupt_mask_register_1(2)) ;
   DFFPCE (CPU_Data_in_wide(1),debug_EXMPLR1018(15),not_ResetN,rtlc64n7350,
   clock,Interrupt_mask_register_1(1)) ;
   DFFPCE (CPU_Data_in_wide(0),debug_EXMPLR1018(15),not_ResetN,rtlc64n7350,
   clock,Interrupt_mask_register_1(0)) ;
   DFFPCE (CPU_Data_in_wide(15),debug_EXMPLR1018(15),not_ResetN,rtlc64n7334,
   clock,Config_reg_6_15) ;
   DFFPCE (CPU_Data_in_wide(14),debug_EXMPLR1018(15),not_ResetN,rtlc64n7334,
   clock,Config_reg_6_14) ;
   DFFPCE (CPU_Data_in_wide(13),debug_EXMPLR1018(15),not_ResetN,rtlc64n7334,
   clock,Config_reg_6_13) ;
   DFFPCE (CPU_Data_in_wide(12),debug_EXMPLR1018(15),not_ResetN,rtlc64n7334,
   clock,Config_reg_6_12) ;
   DFFPCE (CPU_Data_in_wide(11),debug_EXMPLR1018(15),not_ResetN,rtlc64n7334,
   clock,Config_reg_6_11) ;
   DFFPCE (CPU_Data_in_wide(10),debug_EXMPLR1018(15),not_ResetN,rtlc64n7334,
   clock,Config_reg_6_10) ;
   DFFPCE (CPU_Data_in_wide(9),debug_EXMPLR1018(15),not_ResetN,rtlc64n7334,
   clock,Config_reg_6_9) ;
   DFFPCE (CPU_Data_in_wide(8),debug_EXMPLR1018(15),not_ResetN,rtlc64n7334,
   clock,Config_reg_6_8) ;
   DFFPCE (CPU_Data_in_wide(7),debug_EXMPLR1018(15),not_ResetN,rtlc64n7334,
   clock,Config_reg_6_7) ;
   DFFPCE (CPU_Data_in_wide(6),debug_EXMPLR1018(15),not_ResetN,rtlc64n7334,
   clock,Config_reg_6_6) ;
   DFFPCE (CPU_Data_in_wide(5),debug_EXMPLR1018(15),not_ResetN,rtlc64n7334,
   clock,Config_reg_6_5) ;
   DFFPCE (CPU_Data_in_wide(4),debug_EXMPLR1018(15),not_ResetN,rtlc64n7334,
   clock,Config_reg_6_4) ;
   DFFPCE (CPU_Data_in_wide(3),debug_EXMPLR1018(15),not_ResetN,rtlc64n7334,
   clock,Config_reg_6_3) ;
   DFFPCE (CPU_Data_in_wide(2),debug_EXMPLR1018(15),not_ResetN,rtlc64n7334,
   clock,Config_reg_6_2) ;
   DFFPCE (CPU_Data_in_wide(1),debug_EXMPLR1018(15),not_ResetN,rtlc64n7334,
   clock,IP_Freq_sel_EXMPLR1009(1)) ;
   DFFPCE (CPU_Data_in_wide(0),debug_EXMPLR1018(15),not_ResetN,rtlc64n7334,
   clock,IP_Freq_sel_EXMPLR1009(0)) ;
   DFFPCE (CPU_Data_in_wide(31),debug_EXMPLR1018(15),not_ResetN,rtlc64n7318,
   clock,n16Mhz_12_EXMPLR875) ;
   DFFPCE (CPU_Data_in_wide(30),debug_EXMPLR1018(15),not_ResetN,rtlc64n7318,
   clock,Config_reg_5(14)) ;
   DFFPCE (Config_reg_5_64n50ss1(2),debug_EXMPLR1018(15),not_ResetN,
   rtlc64n7316,clock,Config_reg_5(13)) ;
   DFFPCE (Config_reg_5_64n50ss1(1),debug_EXMPLR1018(15),not_ResetN,
   rtlc64n7316,clock,Config_reg_5(12)) ;
   DFFPCE (CPU_Data_in_wide(27),debug_EXMPLR1018(15),not_ResetN,rtlc64n7318,
   clock,Config_reg_5(11)) ;
   DFFPCE (CPU_Data_in_wide(26),debug_EXMPLR1018(15),not_ResetN,rtlc64n7318,
   clock,Config_reg_5(10)) ;
   DFFPCE (CPU_Data_in_wide(25),debug_EXMPLR1018(15),not_ResetN,rtlc64n7318,
   clock,Config_reg_5(9)) ;
   DFFPCE (CPU_Data_in_wide(24),debug_EXMPLR1018(15),not_ResetN,rtlc64n7318,
   clock,Config_reg_5(8)) ;
   DFFPCE (CPU_Data_in_wide(23),debug_EXMPLR1018(15),not_ResetN,rtlc64n7318,
   clock,Config_reg_5(7)) ;
   DFFPCE (Config_reg_5_64n50ss1(0),debug_EXMPLR1018(15),not_ResetN,
   rtlc64n7316,clock,Config_reg_5(6)) ;
   DFFPCE (CPU_Data_in_wide(21),debug_EXMPLR1018(15),not_ResetN,rtlc64n7318,
   clock,Config_reg_5(5)) ;
   DFFPCE (CPU_Data_in_wide(20),debug_EXMPLR1018(15),not_ResetN,rtlc64n7318,
   clock,Config_reg_5(4)) ;
   DFFPCE (CPU_Data_in_wide(19),debug_EXMPLR1018(15),not_ResetN,rtlc64n7318,
   clock,Config_reg_5(3)) ;
   DFFPCE (CPU_Data_in_wide(18),debug_EXMPLR1018(15),not_ResetN,rtlc64n7318,
   clock,Config_reg_5(2)) ;
   DFFPCE (CPU_Data_in_wide(17),debug_EXMPLR1018(15),not_ResetN,rtlc64n7318,
   clock,Config_reg_5(1)) ;
   DFFPCE (CPU_Data_in_wide(16),debug_EXMPLR1018(15),not_ResetN,rtlc64n7318,
   clock,Config_reg_5(0)) ;
   DFFPCE (CPU_Data_in_wide(15),debug_EXMPLR1018(15),not_ResetN,rtlc64n7302,
   clock,Config_reg_4_EXMPLR1013(15)) ;
   DFFPCE (CPU_Data_in_wide(14),debug_EXMPLR1018(15),not_ResetN,rtlc64n7302,
   clock,Config_reg_4_EXMPLR1013(14)) ;
   DFFPCE (CPU_Data_in_wide(13),debug_EXMPLR1018(15),not_ResetN,rtlc64n7302,
   clock,Config_reg_4_EXMPLR1013(13)) ;
   DFFPCE (CPU_Data_in_wide(12),debug_EXMPLR1018(15),not_ResetN,rtlc64n7302,
   clock,Config_reg_4_EXMPLR1013(12)) ;
   DFFPCE (CPU_Data_in_wide(11),debug_EXMPLR1018(15),not_ResetN,rtlc64n7302,
   clock,Config_reg_4_EXMPLR1013(11)) ;
   DFFPCE (CPU_Data_in_wide(10),debug_EXMPLR1018(15),not_ResetN,rtlc64n7302,
   clock,Config_reg_4_EXMPLR1013(10)) ;
   DFFPCE (CPU_Data_in_wide(9),debug_EXMPLR1018(15),not_ResetN,rtlc64n7302,
   clock,Config_reg_4_EXMPLR1013(9)) ;
   DFFPCE (CPU_Data_in_wide(8),debug_EXMPLR1018(15),not_ResetN,rtlc64n7302,
   clock,Config_reg_4_EXMPLR1013(8)) ;
   DFFPCE (CPU_Data_in_wide(7),debug_EXMPLR1018(15),not_ResetN,rtlc64n7302,
   clock,Config_reg_4_EXMPLR1013(7)) ;
   DFFPCE (CPU_Data_in_wide(6),debug_EXMPLR1018(15),not_ResetN,rtlc64n7302,
   clock,Config_reg_4_EXMPLR1013(6)) ;
   DFFPCE (CPU_Data_in_wide(5),debug_EXMPLR1018(15),not_ResetN,rtlc64n7302,
   clock,Config_reg_4_EXMPLR1013(5)) ;
   DFFPCE (CPU_Data_in_wide(4),debug_EXMPLR1018(15),not_ResetN,rtlc64n7302,
   clock,Config_reg_4_EXMPLR1013(4)) ;
   DFFPCE (CPU_Data_in_wide(3),debug_EXMPLR1018(15),not_ResetN,rtlc64n7302,
   clock,Config_reg_4_EXMPLR1013(3)) ;
   DFFPCE (CPU_Data_in_wide(2),debug_EXMPLR1018(15),not_ResetN,rtlc64n7302,
   clock,Config_reg_4_EXMPLR1013(2)) ;
   DFFPCE (CPU_Data_in_wide(1),debug_EXMPLR1018(15),not_ResetN,rtlc64n7302,
   clock,Config_reg_4_EXMPLR1013(1)) ;
   DFFPCE (CPU_Data_in_wide(0),debug_EXMPLR1018(15),not_ResetN,rtlc64n7302,
   clock,Config_reg_4_EXMPLR1013(0)) ;
   DFFPCE (CPU_Data_in_wide(31),debug_EXMPLR1018(15),not_ResetN,rtlc64n7286,
   clock,Config_reg_3_15) ;
   DFFPCE (CPU_Data_in_wide(30),debug_EXMPLR1018(15),not_ResetN,rtlc64n7286,
   clock,Config_reg_3_14) ;
   DFFPCE (CPU_Data_in_wide(29),debug_EXMPLR1018(15),not_ResetN,rtlc64n7286,
   clock,Config_reg_3_13) ;
   DFFPCE (CPU_Data_in_wide(28),debug_EXMPLR1018(15),not_ResetN,rtlc64n7286,
   clock,Config_reg_3_12) ;
   DFFPCE (CPU_Data_in_wide(27),debug_EXMPLR1018(15),not_ResetN,rtlc64n7286,
   clock,Config_reg_3_11) ;
   DFFPCE (CPU_Data_in_wide(26),debug_EXMPLR1018(15),not_ResetN,rtlc64n7286,
   clock,Config_reg_3_10) ;
   DFFPCE (CPU_Data_in_wide(25),debug_EXMPLR1018(15),not_ResetN,rtlc64n7286,
   clock,Config_reg_3_9) ;
   DFFPCE (CPU_Data_in_wide(24),debug_EXMPLR1018(15),not_ResetN,rtlc64n7286,
   clock,Config_reg_3_8) ;
   DFFPCE (CPU_Data_in_wide(23),debug_EXMPLR1018(15),not_ResetN,rtlc64n7286,
   clock,Config_reg_3_7) ;
   DFFPCE (CPU_Data_in_wide(22),debug_EXMPLR1018(15),not_ResetN,rtlc64n7286,
   clock,Config_reg_3_6) ;
   DFFPCE (CPU_Data_in_wide(21),debug_EXMPLR1018(15),not_ResetN,rtlc64n7286,
   clock,Config_reg_3_5) ;
   DFFPCE (CPU_Data_in_wide(20),debug_EXMPLR1018(15),not_ResetN,rtlc64n7286,
   clock,Config_reg_3_4) ;
   DFFPCE (CPU_Data_in_wide(19),debug_EXMPLR1018(15),not_ResetN,rtlc64n7286,
   clock,Config_reg_3_3) ;
   DFFPCE (CPU_Data_in_wide(18),debug_EXMPLR1018(15),not_ResetN,rtlc64n7286,
   clock,Config_reg_3_2) ;
   DFFPCE (CPU_Data_in_wide(17),debug_EXMPLR1018(15),not_ResetN,rtlc64n7286,
   clock,MODE_CODE1553A_EXMPLR932) ;
   DFFPCE (CPU_Data_in_wide(16),debug_EXMPLR1018(15),not_ResetN,rtlc64n7286,
   clock,Config_reg_3_0) ;
   DFFPCE (CPU_Data_in_wide(15),debug_EXMPLR1018(15),not_ResetN,rtlc64n7270,
   clock,Config_reg_2(15)) ;
   DFFPCE (CPU_Data_in_wide(14),debug_EXMPLR1018(15),not_ResetN,rtlc64n7270,
   clock,Config_reg_2(14)) ;
   DFFPCE (CPU_Data_in_wide(13),debug_EXMPLR1018(15),not_ResetN,rtlc64n7270,
   clock,Config_reg_2(13)) ;
   DFFPCE (CPU_Data_in_wide(12),debug_EXMPLR1018(15),not_ResetN,rtlc64n7270,
   clock,Config_reg_2(12)) ;
   DFFPCE (CPU_Data_in_wide(11),debug_EXMPLR1018(15),not_ResetN,rtlc64n7270,
   clock,Config_reg_2(11)) ;
   DFFPCE (CPU_Data_in_wide(10),debug_EXMPLR1018(15),not_ResetN,rtlc64n7270,
   clock,Config_reg_2(10)) ;
   DFFPCE (CPU_Data_in_wide(9),debug_EXMPLR1018(15),not_ResetN,rtlc64n7270,
   clock,Config_reg_2(9)) ;
   DFFPCE (CPU_Data_in_wide(8),debug_EXMPLR1018(15),not_ResetN,rtlc64n7270,
   clock,Config_reg_2(8)) ;
   DFFPCE (CPU_Data_in_wide(7),debug_EXMPLR1018(15),not_ResetN,rtlc64n7270,
   clock,Config_reg_2(7)) ;
   DFFPCE (CPU_Data_in_wide(6),debug_EXMPLR1018(15),not_ResetN,rtlc64n7270,
   clock,Config_reg_2(6)) ;
   DFFPCE (CPU_Data_in_wide(5),debug_EXMPLR1018(15),not_ResetN,rtlc64n7270,
   clock,Config_reg_2(5)) ;
   DFFPCE (CPU_Data_in_wide(4),debug_EXMPLR1018(15),not_ResetN,rtlc64n7270,
   clock,Config_reg_2(4)) ;
   DFFPCE (CPU_Data_in_wide(3),debug_EXMPLR1018(15),not_ResetN,rtlc64n7270,
   clock,Config_reg_2(3)) ;
   DFFPCE (CPU_Data_in_wide(2),debug_EXMPLR1018(15),not_ResetN,rtlc64n7270,
   clock,Config_reg_2(2)) ;
   DFFPCE (CPU_Data_in_wide(1),debug_EXMPLR1018(15),not_ResetN,rtlc64n7270,
   clock,Config_reg_2(1)) ;
   DFFPCE (CPU_Data_in_wide(0),debug_EXMPLR1018(15),not_ResetN,rtlc64n7270,
   clock,Config_reg_2(0)) ;
   DFFPCE (Config_reg_1_64n43ss1_15,debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5860,clock,Config_reg_1(15)) ;
   DFFPCE (Config_reg_1_64n43ss1_14,debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5860,clock,Config_reg_1(14)) ;
   DFFPCE (Config_reg_1_64n43ss1_13,debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5860,clock,Config_reg_1(13)) ;
   DFFPCE (Config_reg_1_64n43ss1_12,debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5860,clock,Config_reg_1(12)) ;
   DFFPCE (Config_reg_1_64n43ss1_11,debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5860,clock,Config_reg_1(11)) ;
   DFFPCE (Config_reg_1_64n43ss1_10,debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5860,clock,Config_reg_1(10)) ;
   DFFPCE (Config_reg_1_64n90ss1_3,debug_EXMPLR1018(15),not_ResetN,
   rtlc64n7248,clock,Config_reg_1(9)) ;
   DFFPCE (Config_reg_1_64n43ss1_8,debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5860,clock,Config_reg_1(8)) ;
   DFFPCE (Config_reg_1_64n43ss1_7,debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5860,clock,Config_reg_1(7)) ;
   DFFPCE (Config_reg_1_64n43ss1_6,debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5860,clock,Config_reg_1(6)) ;
   DFFPCE (Config_reg_1_64n43ss1_5,debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5860,clock,Config_reg_1(5)) ;
   DFFPCE (Config_reg_1_64n43ss1_4,debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5860,clock,Config_reg_1(4)) ;
   DFFPCE (Config_reg_1_64n43ss1_3,debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5860,clock,Config_reg_1(3)) ;
   DFFPCE (rtlcn10908,debug_EXMPLR1018(15),not_ResetN,not_rtlc64n6632,clock,
   Config_reg_1(2)) ;
   DFFPCE (Config_reg_1_64n90ss1_1,debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n6631,clock,Config_reg_1(1)) ;
   DFFPCE (rtlcn10905,debug_EXMPLR1018(15),not_ResetN,not_rtlc64n6630,clock,
   Config_reg_1(0)) ;
   DFFPCE (host_status_bits_64n45ss1(10),debug_EXMPLR1018(15),not_ResetN,
   rtlcn10592,clock,host_status_bits(10)) ;
   DFFPCE (host_status_bits_64n45ss1(9),debug_EXMPLR1018(15),not_ResetN,
   rtlcn10592,clock,host_status_bits(9)) ;
   DFFPCE (host_status_bits_64n45ss1(7),debug_EXMPLR1018(15),not_ResetN,
   rtlcn10592,clock,host_status_bits(7)) ;
   DFFPCE (host_status_bits_64n45ss1(6),debug_EXMPLR1018(15),not_ResetN,
   rtlcn10592,clock,host_status_bits(6)) ;
   DFFPCE (host_status_bits_64n45ss1(5),debug_EXMPLR1018(15),not_ResetN,
   rtlcn10592,clock,host_status_bits(5)) ;
   DFFPCE (host_status_bits_64n45ss1(4),debug_EXMPLR1018(15),not_ResetN,
   rtlcn10592,clock,host_status_bits(4)) ;
   DFFPCE (host_status_bits_64n45ss1(3),debug_EXMPLR1018(15),not_ResetN,
   rtlcn10592,clock,host_status_bits_3_EXMPLR950) ;
   DFFPCE (host_status_bits_64n45ss1(2),debug_EXMPLR1018(15),not_ResetN,
   rtlcn10592,clock,host_status_bits(2)) ;
   DFFPCE (host_status_bits_64n45ss1(1),debug_EXMPLR1018(15),not_ResetN,
   rtlcn10592,clock,host_status_bits(1)) ;
   DFFPC (GMM_64n91ss1(2),debug_EXMPLR1018(15),not_ResetN,clock,GMM(2)) ;
   DFFPC (GMM_64n91ss1(1),debug_EXMPLR1018(15),not_ResetN,clock,GMM(1)) ;
   DFFPC (GMM_64n91ss1(0),debug_EXMPLR1018(15),not_ResetN,clock,GMM(0)) ;
   DFFPCE (Tag_CLK_D,debug_EXMPLR1018(15),not_ResetN,CE,clock,Tag_CLK_DD) ;
   DFFPCE (Tag_CLK_D_64n43ss1,debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5859,clock,Tag_CLK_D) ;
   DFFPCE (rtlcn6150,debug_EXMPLR1018(15),not_ResetN,CE,clock,time_tag_inc)
    ;
   DFFPC (time_tag_EXMPLR1017(15),debug_EXMPLR1018(15),not_ResetN,clock,
   time_tag15d) ;
   DFFPCE (time_tag_64n43ss1(15),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5858,clock,time_tag_EXMPLR1017(15)) ;
   DFFPCE (time_tag_64n43ss1(14),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5858,clock,time_tag_EXMPLR1017(14)) ;
   DFFPCE (time_tag_64n43ss1(13),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5858,clock,time_tag_EXMPLR1017(13)) ;
   DFFPCE (time_tag_64n43ss1(12),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5858,clock,time_tag_EXMPLR1017(12)) ;
   DFFPCE (time_tag_64n43ss1(11),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5858,clock,time_tag_EXMPLR1017(11)) ;
   DFFPCE (time_tag_64n43ss1(10),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5858,clock,time_tag_EXMPLR1017(10)) ;
   DFFPCE (time_tag_64n43ss1(9),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5858,clock,time_tag_EXMPLR1017(9)) ;
   DFFPCE (time_tag_64n43ss1(8),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5858,clock,time_tag_EXMPLR1017(8)) ;
   DFFPCE (time_tag_64n43ss1(7),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5858,clock,time_tag_EXMPLR1017(7)) ;
   DFFPCE (time_tag_64n43ss1(6),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5858,clock,time_tag_EXMPLR1017(6)) ;
   DFFPCE (time_tag_64n43ss1(5),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5858,clock,time_tag_EXMPLR1017(5)) ;
   DFFPCE (time_tag_64n43ss1(4),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5858,clock,time_tag_EXMPLR1017(4)) ;
   DFFPCE (time_tag_64n43ss1(3),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5858,clock,time_tag_EXMPLR1017(3)) ;
   DFFPCE (time_tag_64n43ss1(2),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5858,clock,time_tag_EXMPLR1017(2)) ;
   DFFPCE (time_tag_64n43ss1(1),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5858,clock,time_tag_EXMPLR1017(1)) ;
   DFFPCE (time_tag_64n43ss1(0),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5858,clock,time_tag_EXMPLR1017(0)) ;
   DFFPCE (count_T_RESus_64n43ss1(5),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5857,clock,count_T_RESus(5)) ;
   DFFPCE (count_T_RESus_64n43ss1(4),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5857,clock,count_T_RESus(4)) ;
   DFFPCE (count_T_RESus_64n43ss1(3),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5857,clock,count_T_RESus(3)) ;
   DFFPCE (count_T_RESus_64n43ss1(2),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5857,clock,count_T_RESus(2)) ;
   DFFPCE (count_T_RESus_64n43ss1(1),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5857,clock,count_T_RESus(1)) ;
   DFFPCE (count_T_RESus_64n43ss1(0),debug_EXMPLR1018(15),not_ResetN,
   not_rtlc64n5857,clock,count_T_RESus(0)) ;
   DFFPC (eBC_67n3s1,debug_EXMPLR1018(15),not_Raw_resetN,clock,eBC) ;
   DFFPC (WM_On_67n3s1,debug_EXMPLR1018(15),not_Raw_resetN,clock,WM_On) ;
   DFFPCE (rtlc36n459,debug_EXMPLR1018(15),not_Raw_resetN,rtlcn1214,clock,
   MT_On) ;
   DFFPC (RT_On_67n1s1,debug_EXMPLR1018(15),not_Raw_resetN,clock,
   RT_On_EXMPLR939) ;
   DFFPC (SW_Reset_70n1ss1,debug_EXMPLR1018(15),not_Raw_resetN,clock,
   SW_Reset) ;
   DFFPCE (PWR,debug_EXMPLR1018(15),not_ResetN,PWR,clock,Ksts) ;
   DFFPC (Strobe_TT_D(0),debug_EXMPLR1018(15),not_ResetN,clock,
   Strobe_TT_D(1)) ;
   DFFPC (Strobe_TT,debug_EXMPLR1018(15),not_ResetN,clock,Strobe_TT_D(0)) ;
   DFFPCE (time_tag_EXMPLR1017(15),debug_EXMPLR1018(15),not_ResetN,rtlcs300,
   clock,Latched_TT(15)) ;
   DFFPCE (time_tag_EXMPLR1017(14),debug_EXMPLR1018(15),not_ResetN,rtlcs300,
   clock,Latched_TT(14)) ;
   DFFPCE (time_tag_EXMPLR1017(13),debug_EXMPLR1018(15),not_ResetN,rtlcs300,
   clock,Latched_TT(13)) ;
   DFFPCE (time_tag_EXMPLR1017(12),debug_EXMPLR1018(15),not_ResetN,rtlcs300,
   clock,Latched_TT(12)) ;
   DFFPCE (time_tag_EXMPLR1017(11),debug_EXMPLR1018(15),not_ResetN,rtlcs300,
   clock,Latched_TT(11)) ;
   DFFPCE (time_tag_EXMPLR1017(10),debug_EXMPLR1018(15),not_ResetN,rtlcs300,
   clock,Latched_TT(10)) ;
   DFFPCE (time_tag_EXMPLR1017(9),debug_EXMPLR1018(15),not_ResetN,rtlcs300,
   clock,Latched_TT(9)) ;
   DFFPCE (time_tag_EXMPLR1017(8),debug_EXMPLR1018(15),not_ResetN,rtlcs300,
   clock,Latched_TT(8)) ;
   DFFPCE (time_tag_EXMPLR1017(7),debug_EXMPLR1018(15),not_ResetN,rtlcs300,
   clock,Latched_TT(7)) ;
   DFFPCE (time_tag_EXMPLR1017(6),debug_EXMPLR1018(15),not_ResetN,rtlcs300,
   clock,Latched_TT(6)) ;
   DFFPCE (time_tag_EXMPLR1017(5),debug_EXMPLR1018(15),not_ResetN,rtlcs300,
   clock,Latched_TT(5)) ;
   DFFPCE (time_tag_EXMPLR1017(4),debug_EXMPLR1018(15),not_ResetN,rtlcs300,
   clock,Latched_TT(4)) ;
   DFFPCE (time_tag_EXMPLR1017(3),debug_EXMPLR1018(15),not_ResetN,rtlcs300,
   clock,Latched_TT(3)) ;
   DFFPCE (time_tag_EXMPLR1017(2),debug_EXMPLR1018(15),not_ResetN,rtlcs300,
   clock,Latched_TT(2)) ;
   DFFPCE (time_tag_EXMPLR1017(1),debug_EXMPLR1018(15),not_ResetN,rtlcs300,
   clock,Latched_TT(1)) ;
   DFFPCE (time_tag_EXMPLR1017(0),debug_EXMPLR1018(15),not_ResetN,rtlcs300,
   clock,Latched_TT(0)) ;
   DFFPCE (MIL1553_errors_transmitter_timout,debug_EXMPLR1018(15),not_ResetN,
   rtlc79n2848,clock,Tx_Timeout_D) ;
   DFFPCE (eBC_Bad_Parity,debug_EXMPLR1018(15),not_ResetN,rtlc79n2846,clock,
   ISR2_during_clear_14) ;
   DFFPCE (rtlc79n1807,debug_EXMPLR1018(15),not_ResetN,rtlc79n2844,clock,
   ISR2_during_clear_12) ;
   DFFPCE (eBC_Stack_error,debug_EXMPLR1018(15),not_ResetN,rtlc79n2843,clock,
   ISR2_during_clear_11) ;
   DFFPCE (eBC_Bad_instruction,debug_EXMPLR1018(15),not_ResetN,rtlc79n2842,
   clock,ISR2_during_clear_10) ;
   DFFPCE (Monitor_command_stack_half_pass,debug_EXMPLR1018(15),not_ResetN,
   rtlc79n2839,clock,ISR2_during_clear_7) ;
   DFFPCE (Monitor_data_stack_half_pass,debug_EXMPLR1018(15),not_ResetN,
   rtlc79n2838,clock,ISR2_during_clear_6) ;
   DFFPCE (rtlcn6755,debug_EXMPLR1018(15),not_ResetN,not_rtlc79n1931,clock,
   ISR2_during_clear_5) ;
   DFFPCE (rtlcn6730,debug_EXMPLR1018(15),not_ResetN,not_rtlc79n1930,clock,
   ISR2_during_clear_4) ;
   DFFPCE (rtlcn6705,debug_EXMPLR1018(15),not_ResetN,not_rtlc79n1929,clock,
   ISR2_during_clear_3) ;
   DFFPCE (rtlcn8649,debug_EXMPLR1018(15),not_ResetN,rtlc79n2833,clock,
   ISR2_during_clear_1) ;
   DFFPCE (rtlc79_ISR1_during_clear_D_n491_13,debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2829,clock,ISR1_during_clear_13) ;
   DFFPCE (rtlc79n1506,debug_EXMPLR1018(15),not_ResetN,rtlc79n2828,clock,
   ISR1_during_clear_12) ;
   DFFPCE (Monitor_command_stack_rollover,debug_EXMPLR1018(15),not_ResetN,
   rtlc79n2827,clock,ISR1_during_clear_11) ;
   DFFPCE (Monitor_data_stack_rollover,debug_EXMPLR1018(15),not_ResetN,
   rtlc79n2826,clock,ISR1_during_clear_10) ;
   DFFPCE (BC_Retry_pulse,debug_EXMPLR1018(15),not_ResetN,rtlc79n2824,clock,
   ISR1_during_clear_8) ;
   DFFPCE (rtlc79n1606,debug_EXMPLR1018(15),not_ResetN,rtlc79n2822,clock,
   ISR1_during_clear_6) ;
   DFFPCE (rtlc79n1624,debug_EXMPLR1018(15),not_ResetN,rtlc79n2821,clock,
   ISR1_during_clear_5) ;
   DFFPCE (rtlc79n1673,debug_EXMPLR1018(15),not_ResetN,rtlc79n2820,clock,
   ISR1_during_clear_4) ;
   DFFPCE (rtlc79n1689,debug_EXMPLR1018(15),not_ResetN,rtlc79n2819,clock,
   ISR1_during_clear_3) ;
   DFFPCE (rtlc79n1724,debug_EXMPLR1018(15),not_ResetN,rtlc79n2818,clock,
   ISR1_during_clear_2) ;
   DFFPCE (rtlc79n1754,debug_EXMPLR1018(15),not_ResetN,rtlc79n2817,clock,
   ISR1_during_clear_1) ;
   DFFPCE (rtlc79n1778,debug_EXMPLR1018(15),not_ResetN,rtlc79n2816,clock,
   ISR1_during_clear_0) ;
   DFFPCE (rtlcn6644,debug_EXMPLR1018(15),not_ResetN,rtlc79n2815,clock,
   Clean_ISR2_by_write) ;
   DFFPCE (rtlcn6040,debug_EXMPLR1018(15),not_ResetN,rtlc79n2814,clock,
   Clean_ISR1_by_write) ;
   DFFPCE (Non_masked_Event_79n36ss1,debug_EXMPLR1018(15),not_ResetN,
   rtlc79n2813,clock,Non_masked_Event) ;
   DFFPC (rtlc79_Interrupt_status_register_2_D_n487_15,debug_EXMPLR1018(15),
   not_ResetN,clock,Interrupt_status_register_2_15) ;
   DFFPCE (Interrupt_status_register_2_79n25ss1(1),debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2812,clock,Interrupt_status_register_2_14) ;
   DFFPCE (rtlc79_Interrupt_status_register_2_D_n487_12,debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2810,clock,Interrupt_status_register_2_12) ;
   DFFPCE (rtlc79_Interrupt_status_register_2_D_n487_11,debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2809,clock,Interrupt_status_register_2_11) ;
   DFFPCE (rtlc79_Interrupt_status_register_2_D_n487_10,debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2808,clock,Interrupt_status_register_2_10) ;
   DFFPCE (rtlc79_Interrupt_status_register_2_D_n487_7,debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2805,clock,Interrupt_status_register_2_7) ;
   DFFPCE (rtlc79_Interrupt_status_register_2_D_n487_6,debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2804,clock,Interrupt_status_register_2_6) ;
   DFFPCE (Interrupt_status_register_2_79n35ss1(3),debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2803,clock,Interrupt_status_register_2_5) ;
   DFFPCE (Interrupt_status_register_2_79n35ss1(2),debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2802,clock,Interrupt_status_register_2_4) ;
   DFFPCE (Interrupt_status_register_2_79n35ss1(1),debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2801,clock,Interrupt_status_register_2_3) ;
   DFFPCE (Interrupt_status_register_2_79n35ss1(0),debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2800,clock,Interrupt_status_register_2_2) ;
   DFFPCE (rtlc79_Interrupt_status_register_2_D_n487_1,debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2799,clock,Interrupt_status_register_2_1) ;
   DFFPC (Int1_Chain,debug_EXMPLR1018(15),not_ResetN,clock,
   Interrupt_status_register_2_0) ;
   DFFPCE (rtlc79_Interrupt_status_register_1_D_n486_13,debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2797,clock,Interrupt_status_register_1(13)) ;
   DFFPCE (rtlc79_Interrupt_status_register_1_D_n486_12,debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2796,clock,Interrupt_status_register_1(12)) ;
   DFFPCE (rtlc79_Interrupt_status_register_1_D_n486_11,debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2795,clock,Interrupt_status_register_1(11)) ;
   DFFPCE (rtlc79_Interrupt_status_register_1_D_n486_10,debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2794,clock,Interrupt_status_register_1(10)) ;
   DFFPCE (Interrupt_status_register_1_79n7ss1(9),debug_EXMPLR1018(15),
   not_ResetN,not_rtlc79n1473,clock,Interrupt_status_register_1(9)) ;
   DFFPCE (rtlc79_Interrupt_status_register_1_D_n486_8,debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2792,clock,Interrupt_status_register_1(8)) ;
   DFFPCE (Interrupt_status_register_1_79n7ss1(7),debug_EXMPLR1018(15),
   not_ResetN,not_rtlc79n1473,clock,Interrupt_status_register_1(7)) ;
   DFFPCE (rtlc79_Interrupt_status_register_1_D_n486_6,debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2790,clock,Interrupt_status_register_1(6)) ;
   DFFPCE (rtlc79_Interrupt_status_register_1_D_n486_5,debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2789,clock,Interrupt_status_register_1(5)) ;
   DFFPCE (rtlc79_Interrupt_status_register_1_D_n486_4,debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2788,clock,Interrupt_status_register_1(4)) ;
   DFFPCE (rtlc79_Interrupt_status_register_1_D_n486_3,debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2787,clock,Interrupt_status_register_1(3)) ;
   DFFPCE (rtlc79_Interrupt_status_register_1_D_n486_2,debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2786,clock,Interrupt_status_register_1(2)) ;
   DFFPCE (rtlc79_Interrupt_status_register_1_D_n486_1,debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2785,clock,Interrupt_status_register_1(1)) ;
   DFFPCE (rtlc79_Interrupt_status_register_1_D_n486_0,debug_EXMPLR1018(15),
   not_ResetN,rtlc79n2784,clock,Interrupt_status_register_1(0)) ;
   DFFPC (reg_data_out_wide_79n70ss1(31),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(31)) ;
   DFFPC (reg_data_out_wide_79n70ss1(30),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(30)) ;
   DFFPC (reg_data_out_wide_79n70ss1(29),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(29)) ;
   DFFPC (reg_data_out_wide_79n70ss1(28),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(28)) ;
   DFFPC (reg_data_out_wide_79n70ss1(27),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(27)) ;
   DFFPC (reg_data_out_wide_79n70ss1(26),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(26)) ;
   DFFPC (reg_data_out_wide_79n70ss1(25),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(25)) ;
   DFFPC (reg_data_out_wide_79n70ss1(24),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(24)) ;
   DFFPC (reg_data_out_wide_79n70ss1(23),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(23)) ;
   DFFPC (reg_data_out_wide_79n70ss1(22),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(22)) ;
   DFFPC (reg_data_out_wide_79n70ss1(21),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(21)) ;
   DFFPC (reg_data_out_wide_79n70ss1(20),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(20)) ;
   DFFPC (reg_data_out_wide_79n70ss1(19),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(19)) ;
   DFFPC (reg_data_out_wide_79n70ss1(18),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(18)) ;
   DFFPC (reg_data_out_wide_79n70ss1(17),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(17)) ;
   DFFPC (reg_data_out_wide_79n70ss1(16),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(16)) ;
   DFFPC (reg_data_out_wide_79n70ss1(15),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(15)) ;
   DFFPC (reg_data_out_wide_79n70ss1(14),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(14)) ;
   DFFPC (reg_data_out_wide_79n70ss1(13),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(13)) ;
   DFFPC (reg_data_out_wide_79n70ss1(12),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(12)) ;
   DFFPC (reg_data_out_wide_79n70ss1(11),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(11)) ;
   DFFPC (reg_data_out_wide_79n70ss1(10),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(10)) ;
   DFFPC (reg_data_out_wide_79n70ss1(9),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(9)) ;
   DFFPC (reg_data_out_wide_79n70ss1(8),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(8)) ;
   DFFPC (reg_data_out_wide_79n70ss1(7),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(7)) ;
   DFFPC (reg_data_out_wide_79n70ss1(6),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(6)) ;
   DFFPC (reg_data_out_wide_79n70ss1(5),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(5)) ;
   DFFPC (reg_data_out_wide_79n70ss1(4),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(4)) ;
   DFFPC (reg_data_out_wide_79n70ss1(3),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(3)) ;
   DFFPC (reg_data_out_wide_79n70ss1(2),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(2)) ;
   DFFPC (reg_data_out_wide_79n70ss1(1),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(1)) ;
   DFFPC (reg_data_out_wide_79n70ss1(0),debug_EXMPLR1018(15),not_ResetN,
   clock,reg_data_out_wide(0)) ;
   DFFPCE (MIL1553_errors_transmitter_timout,debug_EXMPLR1018(15),not_ResetN,
   rtlc82n400,clock,Internal_BIT_Word_15) ;
   DFFPCE (MIL1553_errors_echo_back_bus_B,debug_EXMPLR1018(15),not_ResetN,
   rtlc82n399,clock,Internal_BIT_Word_14) ;
   DFFPCE (MIL1553_errors_echo_back_bus_A,debug_EXMPLR1018(15),not_ResetN,
   rtlc82n398,clock,Internal_BIT_Word_13) ;
   DFFPCE (MIL1553_errors_bus_B_shutdown,debug_EXMPLR1018(15),not_ResetN,
   rtlc82n396,clock,Internal_BIT_Word_11) ;
   DFFPCE (MIL1553_errors_bus_A_shutdown,debug_EXMPLR1018(15),not_ResetN,
   rtlc82n395,clock,Internal_BIT_Word_10) ;
   DFFPCE (MIL1553_errors_Inhibit_TF,debug_EXMPLR1018(15),not_ResetN,
   rtlc82n394,clock,Internal_BIT_Word_9) ;
   DFFPCE (RTADP,not_Raw_resetN,debug_EXMPLR1018(15),rtlc85n121,clock,
   Wire_RT_Address(5)) ;
   DFFPCE (RTAD(4),not_Raw_resetN,debug_EXMPLR1018(15),rtlc85n121,clock,
   Wire_RT_Address(4)) ;
   DFFPCE (RTAD(3),not_Raw_resetN,debug_EXMPLR1018(15),rtlc85n121,clock,
   Wire_RT_Address(3)) ;
   DFFPCE (RTAD(2),not_Raw_resetN,debug_EXMPLR1018(15),rtlc85n121,clock,
   Wire_RT_Address(2)) ;
   DFFPCE (RTAD(1),not_Raw_resetN,debug_EXMPLR1018(15),rtlc85n121,clock,
   Wire_RT_Address(1)) ;
   DFFPCE (RTAD(0),debug_EXMPLR1018(15),not_Raw_resetN,rtlc85n121,clock,
   Wire_RT_Address(0)) ;
   DFFPCE (debug_EXMPLR1018(15),not_Raw_resetN,debug_EXMPLR1018(15),
   rtlc85n54,clock,First_After_Reset) ;
   DFFPC (BIT_Test_complete_88n7ss1,debug_EXMPLR1018(15),not_HW_ResetN,clock,
   BIT_Test_complete) ;
   DFFPCE (Test_Status_reg_88n4ss1(1),debug_EXMPLR1018(15),not_HW_ResetN,
   rtlc88n251,clock,Test_Status_reg_15) ;
   DFFPCE (Test_Status_reg_88n4ss1(0),debug_EXMPLR1018(15),not_HW_ResetN,
   not_rtlc88n141,clock,Test_Status_reg_14) ;
   DFFPCE (Test_Status_reg_88n4ss1(0),debug_EXMPLR1018(15),not_HW_ResetN,
   rtlc88n247,clock,Test_Status_reg_11) ;
   DFFPCE (Test_Status_reg_88n7ss1(0),debug_EXMPLR1018(15),not_HW_ResetN,
   not_rtlc88n179,clock,Test_Status_reg_7) ;
   DFFPCE (Test_Status_reg_88n7ss1(1),debug_EXMPLR1018(15),not_HW_ResetN,
   not_rtlc88n180,clock,Test_Status_reg_6) ;
   DFFPCE (debug_EXMPLR1018(15),not_HW_ResetN,debug_EXMPLR1018(15),
   rtlc88n235,clock,First_time) ;
   DFFPCE (rtlcn2664,debug_EXMPLR1018(15),not_ResetN,CE,clock,state(8)) ;
   DFFPCE (rtlcn2715,debug_EXMPLR1018(15),not_ResetN,CE,clock,state(7)) ;
   DFFPCE (state_fsm_91n15ss1_6,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   state(6)) ;
   DFFPCE (rtlcn2689,debug_EXMPLR1018(15),not_ResetN,CE,clock,state(5)) ;
   DFFPCE (rtlcn2624,debug_EXMPLR1018(15),not_ResetN,CE,clock,state(4)) ;
   DFFPCE (rtlcn2658,debug_EXMPLR1018(15),not_ResetN,CE,clock,state(3)) ;
   DFFPCE (rtlcn2704,debug_EXMPLR1018(15),not_ResetN,CE,clock,state(2)) ;
   DFFPCE (rtlcn2724,debug_EXMPLR1018(15),not_ResetN,CE,clock,state(1)) ;
   DFFPCE (rtlcn8204,not_ResetN,debug_EXMPLR1018(15),CE,clock,state(0)) ;
   DFFPCE (rtlcn7011,debug_EXMPLR1018(15),not_ResetN,CE,clock,WM_triggered)
    ;
   DFFPCE (rtlcn8431,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   WM_Trigger_event) ;
   DFFPCE (rtlcn4130,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   WM_Started_EXMPLR942) ;
   DFFPCE (WM_Ram_RE_91n15ss1,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   WM_Ram_RE) ;
   DFFPCE (WM_RAM_data_i_91n14ss1(15),debug_EXMPLR1018(15),not_ResetN,
   rtlc91n762,clock,WM_RAM_data_i(15)) ;
   DFFPCE (WM_RAM_data_i_91n14ss1(14),debug_EXMPLR1018(15),not_ResetN,
   rtlc91n762,clock,WM_RAM_data_i(14)) ;
   DFFPCE (WM_RAM_data_i_91n14ss1(13),debug_EXMPLR1018(15),not_ResetN,
   rtlc91n762,clock,WM_RAM_data_i(13)) ;
   DFFPCE (WM_RAM_data_i_91n14ss1(12),debug_EXMPLR1018(15),not_ResetN,
   rtlc91n762,clock,WM_RAM_data_i(12)) ;
   DFFPCE (WM_RAM_data_i_91n14ss1(11),debug_EXMPLR1018(15),not_ResetN,
   rtlc91n762,clock,WM_RAM_data_i(11)) ;
   DFFPCE (WM_RAM_data_i_91n14ss1(10),debug_EXMPLR1018(15),not_ResetN,
   rtlc91n762,clock,WM_RAM_data_i(10)) ;
   DFFPCE (WM_RAM_data_i_91n14ss1(9),debug_EXMPLR1018(15),not_ResetN,
   rtlc91n762,clock,WM_RAM_data_i(9)) ;
   DFFPCE (WM_RAM_data_i_91n14ss1(8),debug_EXMPLR1018(15),not_ResetN,
   rtlc91n762,clock,WM_RAM_data_i(8)) ;
   DFFPCE (WM_RAM_data_i_91n14ss1(7),debug_EXMPLR1018(15),not_ResetN,
   rtlc91n762,clock,WM_RAM_data_i(7)) ;
   DFFPCE (WM_RAM_data_i_91n14ss1(6),debug_EXMPLR1018(15),not_ResetN,
   rtlc91n762,clock,WM_RAM_data_i(6)) ;
   DFFPCE (WM_RAM_data_i_91n14ss1(5),debug_EXMPLR1018(15),not_ResetN,
   rtlc91n762,clock,WM_RAM_data_i(5)) ;
   DFFPCE (WM_RAM_data_i_91n14ss1(4),debug_EXMPLR1018(15),not_ResetN,
   rtlc91n762,clock,WM_RAM_data_i(4)) ;
   DFFPCE (WM_RAM_data_i_91n14ss1(3),debug_EXMPLR1018(15),not_ResetN,
   rtlc91n762,clock,WM_RAM_data_i(3)) ;
   DFFPCE (WM_RAM_data_i_91n14ss1(2),debug_EXMPLR1018(15),not_ResetN,
   rtlc91n762,clock,WM_RAM_data_i(2)) ;
   DFFPCE (WM_RAM_data_i_91n14ss1(1),debug_EXMPLR1018(15),not_ResetN,
   rtlc91n762,clock,WM_RAM_data_i(1)) ;
   DFFPCE (WM_RAM_data_i_91n14ss1(0),debug_EXMPLR1018(15),not_ResetN,
   rtlc91n762,clock,WM_RAM_data_i(0)) ;
   DFFPCE (WM_RAM_WE_91n15ss1,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   WM_RAM_WE) ;
   DFFPCE (WM_Ack_91n15ss1,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   WM_Ack_EXMPLR941) ;
   DFFPCE (BC_DISABLE,debug_EXMPLR1018(15),not_Raw_resetN,rtlc85n54,clock,
   BC_OFF) ;
   DFFPCE (WM_RAM_Address_91n14ss1(0),debug_EXMPLR1018(15),not_ResetN,
   rtlcn10572,clock,WM_RAM_Address(0)) ;
   DFFPC (rtlcn15170,debug_EXMPLR1018(15),not_ResetN,clock,
   host_status_bits(8)) ;
   DFFPC (rtlcn15171,debug_EXMPLR1018(15),not_ResetN,clock,
   host_status_bits(0)) ;
   Enhanced_status_set_dt <= eBC_Conditions_11 AND g0_I1_not_I_d ;
   g0_I1_not_I_d <= NOT g0_I1_I_d ;
   DFFPCE (eBC_Conditions_11,debug_EXMPLR1018(15),not_ResetN,CE,clock,
   g0_I1_I_d) ;
   status_set_dt <= status_set AND g0_I2_not_I_d ;
   g0_I2_not_I_d <= NOT g0_I2_I_d ;
   DFFPCE (status_set,debug_EXMPLR1018(15),not_ResetN,CE,clock,g0_I2_I_d) ;
   Interrupt_status_register_1_79n7ss1(9) <= 
   Interrupt_status_register_1_79n6s1_9 AND rtlcn6040 ;
   BIT_Word(7) <= Data_to_FE_EXMPLR1014(7) AND Config_reg_4_EXMPLR1013(15) ;
   BIT_Word(6) <= Data_to_FE_EXMPLR1014(6) AND Config_reg_4_EXMPLR1013(15) ;
   BIT_Word(5) <= Data_to_FE_EXMPLR1014(5) AND Config_reg_4_EXMPLR1013(15) ;
   BIT_Word(4) <= Data_to_FE_EXMPLR1014(4) AND Config_reg_4_EXMPLR1013(15) ;
   BIT_Word(3) <= Data_to_FE_EXMPLR1014(3) AND Config_reg_4_EXMPLR1013(15) ;
   BIT_Word(2) <= Data_to_FE_EXMPLR1014(2) AND Config_reg_4_EXMPLR1013(15) ;
   BIT_Word(0) <= Data_to_FE_EXMPLR1014(0) AND Config_reg_4_EXMPLR1013(15) ;
   rtlc26_1090_or_59_nx0 <= MON_SOM_phase(1) OR MON_SOM_phase(2) ;
   rtlc26n9795 <= rtlc26_1090_or_59_nx0 OR MON_SOM_phase(3) ;
   rtlc30_1554_or_91_nx0 <= BC_State(19) OR BC_State(43) ;
   rtlc30n16189 <= rtlc30_1554_or_91_nx0 OR BC_State(45) ;
   rtlc30n16290 <= BC_State(2) OR BC_State(3) ;
   rtlc30n16305 <= rtlc30n16290 OR BC_State(58) ;
   rtlc30_2362_or_116_nx0 <= BC_State(0) OR BC_State(80) ;
   rtlc30n16767 <= rtlc30_2362_or_116_nx0 OR BC_State(81) ;
   rtlc30n17298 <= rtlcn2507 OR BC_State(80) ;
   rtlc30_3207_or_127_nx0 <= BC_State(58) OR BC_State(86) ;
   rtlc30n17321 <= rtlc30_3207_or_127_nx0 OR BC_State(87) ;
   rtlc30_3711_or_129_nx0 <= not_LIFO_Pointer_4 OR not_BC_Echo_word_10 ;
   rtlc30n15216 <= rtlc30_3711_or_129_nx0 OR not_Ack ;
   rtlc30_5650_and_132_nx0 <= Config_reg_4_EXMPLR1013(7) AND ReTry_count(0)
    ;
   rtlc30_PS144_n12960 <= rtlc30_5650_and_132_nx0 AND not_ReTry_count_1 ;
   rtlc36_334_and_144_nx0 <= Timeout_counter(6) AND Timeout_counter(5) ;
   rtlc36n754 <= rtlc36_334_and_144_nx0 AND Timeout_counter(4) ;
   rtlc36_337_and_145_nx0 <= Timeout_counter(2) AND Timeout_counter(1) ;
   rtlc36n757 <= rtlc36_337_and_145_nx0 AND Timeout_counter(0) ;
   rtlc52_X_0_n213 <= rtlcn10092 AND not_BC_Load_msg_gap_counter ;
   rtlc55_258_and_150_nx0 <= rtlcn1212 AND not_eBC_start_FT ;
   rtlc55_X_0_n289 <= rtlc55_258_and_150_nx0 AND 
   not_BC_Load_frame_gap_counter ;
   rtlc64_1057_or_152_nx0 <= not_CPU_Data_in_wide_21 OR not_rtlc64n5418 ;
   rtlc64n5873 <= rtlc64_1057_or_152_nx0 OR not_rtlc64n6439 ;
   rtlc64_1061_or_153_nx0 <= not_CPU_Data_in_wide_22 OR not_rtlc64n5418 ;
   rtlc64n5872 <= rtlc64_1061_or_153_nx0 OR not_rtlc64n6439 ;
   rtlc64_2584_and_158_nx0 <= count_1us(2) AND count_1us(1) ;
   rtlc64n7612 <= rtlc64_2584_and_158_nx0 AND count_1us(0) ;
   rtlc_3201_or_204_nx0 <= BC_State(15) OR BC_State(40) ;
   rtlcn2254 <= rtlc_3201_or_204_nx0 OR BC_State(44) ;
   rtlc_12521_or_464_nx0 <= rtlcs43 OR rtlcs45 ;
   rtlc26n9862 <= rtlc_12521_or_464_nx0 OR rtlcs52 ;
   rtlc_12579_or_465_nx0 <= rtlcs99 OR rtlcs102 ;
   rtlc30n14347 <= rtlc_12579_or_465_nx0 OR rtlcs103 ;
   rtlc_13619_or_466_nx0 <= MON_SOM_phase(0) OR MON_SOM_phase(1) ;
   rtlcn8754 <= rtlc_13619_or_466_nx0 OR rtlc26n9769 ;
   rtlc_13646_or_468_nx0 <= MON_SOM_phase(5) OR MON_SOM_phase(7) ;
   rtlcn2068 <= rtlc_13646_or_468_nx0 OR rtlcn8845 ;
   rtlc_13649_or_469_nx0 <= BC_State(12) OR BC_State(40) ;
   rtlcn2127 <= rtlc_13649_or_469_nx0 OR BC_State(44) ;
   rtlc_13653_or_471_nx0 <= CPU_Address(1) OR CPU_Address(3) ;
   rtlcn8763 <= rtlc_13653_or_471_nx0 OR not_CPU_Address_4 ;
   rtlc_13669_or_472_nx0 <= BC_State(2) OR BC_State(58) ;
   rtlcn2499 <= rtlc_13669_or_472_nx0 OR rtlcn8846 ;
   rtlc_13699_and_474_nx0 <= CE AND rtlc64n6497 ;
   rtlcn2745 <= rtlc_13699_and_474_nx0 AND rtlc64n6505 ;
   rtlc_13717_and_475_nx0 <= not_rtlc30n15481 AND rtlc30n13649 ;
   rtlcn8955 <= rtlc_13717_and_475_nx0 AND BC_State(21) ;
   rtlc_13735_and_476_nx0 <= eBC_CFT_do AND not_eBC_CMT_do ;
   rtlcn8764 <= rtlc_13735_and_476_nx0 AND rtlcn8811 ;
   rtlc_13741_or_477_nx0 <= rtlcn8966 OR rtlcn8967 ;
   rtlcn3914 <= rtlc_13741_or_477_nx0 OR rtlcn8968 ;
   rtlc_13748_or_478_nx0 <= rtlcn8970 OR rtlcn8972 ;
   rtlcn3915 <= rtlc_13748_or_478_nx0 OR rtlcn8974 ;
   rtlc_13759_or_480_nx0 <= rtlcn8976 OR rtlcn8978 ;
   rtlcn3970 <= rtlc_13759_or_480_nx0 OR rtlcn8980 ;
   rtlc_13763_or_481_nx0 <= rtlcn8981 OR rtlcn8982 ;
   rtlcn3971 <= rtlc_13763_or_481_nx0 OR rtlcn8983 ;
   rtlc_13809_or_485_nx0 <= rtlcn8775 OR rtlcn8814 ;
   rtlcn5375 <= rtlc_13809_or_485_nx0 OR rtlcn8851 ;
   rtlc_13817_or_486_nx0 <= rtlcn8765 OR rtlcn9000 ;
   rtlcn5376 <= rtlc_13817_or_486_nx0 OR rtlcn9001 ;
   rtlc_13826_or_487_nx0 <= MON_SOM_phase(5) OR rtlcn8845 ;
   rtlcn5384 <= rtlc_13826_or_487_nx0 OR rtlcn9005 ;
   rtlc_13838_or_489_nx0 <= rtlcn8849 OR rtlcn8851 ;
   rtlcn5661 <= rtlc_13838_or_489_nx0 OR rtlcn9012 ;
   rtlcn9001 <= SOM_phase_7 AND rtlcs93 ;
   rtlcn9028 <= rtlcn9001 AND not_rtlcn8767 ;
   rtlc_13873_and_491_nx0 <= rtlcs95 AND not_Current_Area_B ;
   rtlcn9029 <= rtlc_13873_and_491_nx0 AND rtlcn8778 ;
   rtlc_13908_and_494_nx0 <= Ack AND not_rtlcs94 ;
   rtlcn9042 <= rtlc_13908_and_494_nx0 AND rtlcn8824 ;
   rtlc_13918_or_499_nx0 <= BC_State(49) OR rtlcn8848 ;
   rtlcn5988 <= rtlc_13918_or_499_nx0 OR rtlcn8853 ;
   rtlc_13922_or_500_nx0 <= rtlc30n16130 OR rtlcn8986 ;
   rtlcn6001 <= rtlc_13922_or_500_nx0 OR rtlcn9045 ;
   rtlc_13923_or_501_nx0 <= rtlc30n16130 OR rtlcn8790 ;
   rtlcn6005 <= rtlc_13923_or_501_nx0 OR rtlcn8800 ;
   rtlc_13925_or_502_nx0 <= CPU_Data_in_wide(19) OR CPU_Data_in_wide(23) ;
   rtlcn7587 <= rtlc_13925_or_502_nx0 OR CPU_Data_in_wide(25) ;
   rtlc_13948_and_503_nx0 <= rtlc26n9931 AND rtlc26n9703 ;
   rtlcn6640 <= rtlc_13948_and_503_nx0 AND rtlcn8816 ;
   rtlcs103 <= not_BC_Echo_word_10 AND not_BC_Echo_word_11 ;
   rtlcn9073 <= rtlcs103 AND BC_State(73) ;
   eBC_TT_do_30n148s1 <= BC_Echo_word(10) AND not_BC_Echo_word_11 ;
   rtlcn9074 <= eBC_TT_do_30n148s1 AND BC_State(73) ;
   rtlc_14070_or_506_nx0 <= not_rtlc26n9547 OR rtlcn8880 ;
   rtlcn7885 <= rtlc_14070_or_506_nx0 OR rtlcn9123 ;
   rtlc_14073_and_507_nx0 <= EOM_phase(4) AND Ack ;
   rtlcn9126 <= rtlc_14073_and_507_nx0 AND not_rtlcs94 ;
   rtlc_14086_or_508_nx0 <= rtlcn5854 OR rtlcn9133 ;
   rtlcn8333 <= rtlc_14086_or_508_nx0 OR rtlcn9134 ;
   rtlcn9136 <= rtlcn8765 AND not_rtlcn8798 ;
   rtlc_14101_and_510_nx0 <= rtlcn8765 AND not_Current_Area_B ;
   rtlcn9143 <= rtlc_14101_and_510_nx0 AND not_rtlcn8767 ;
   rtlc_14109_or_511_nx0 <= rtlcn5854 OR rtlcn9034 ;
   rtlcn8360 <= rtlc_14109_or_511_nx0 OR rtlcn9146 ;
   rtlcn2625 <= rtlc64n5378 AND rtlc64n6439 ;
   rtlcn8434 <= rtlcn2625 AND rtlcn8784 ;
   rtlc_14146_or_514_nx0 <= BC_State(7) OR BC_State(38) ;
   rtlc30n16103 <= rtlc_14146_or_514_nx0 OR BC_State(65) ;
   rtlc_14170_and_516_nx0 <= not_rtlc91n485 AND not_rtlc91n458 ;
   rtlcn9172 <= rtlc_14170_and_516_nx0 AND rtlcn8843 ;
   rtlc_14171_or_517_nx0 <= rtlcn9168 OR rtlcn9169 ;
   rtlcn2658 <= rtlc_14171_or_517_nx0 OR rtlcn9172 ;
   rtlc_14175_and_518_nx0 <= state(4) AND Ack ;
   rtlcn9174 <= rtlc_14175_and_518_nx0 AND WM_On ;
   rtlc_14182_and_519_nx0 <= WM_On AND BC_START ;
   rtlcn9179 <= rtlc_14182_and_519_nx0 AND state(1) ;
   rtlc_14190_and_520_nx0 <= not_rtlc30n15481 AND Config_reg_1(8) ;
   rtlcn9182 <= rtlc_14190_and_520_nx0 AND BC_State(90) ;
   rtlcn9184 <= rtlc_14233_and_530_nx0 AND rtlcn8771 ;
   rtlc_14195_and_522_nx0 <= rtlc30n13143 AND not_rtlc30n12456 ;
   rtlcn9186 <= rtlc_14195_and_522_nx0 AND BC_State(1) ;
   rtlc_14197_and_523_nx0 <= rtlc30n13011 AND not_rtlc30n12997 ;
   rtlcn9188 <= rtlc_14197_and_523_nx0 AND BC_State(24) ;
   rtlc_14208_and_524_nx0 <= not_rtlc30n12433 AND not_rtlc30n12420 ;
   rtlcn9195 <= rtlc_14208_and_524_nx0 AND rtlcn8873 ;
   rtlc_14215_and_526_nx0 <= not_rtlc30n15481 AND rtlc30n15170 ;
   rtlcn9199 <= rtlc_14215_and_526_nx0 AND BC_State(23) ;
   rtlcn9201 <= rtlc_14349_and_544_nx0 AND rtlcn8771 ;
   rtlc_14218_or_528_nx0 <= rtlcn9198 OR rtlcn9199 ;
   rtlcn2863 <= rtlc_14218_or_528_nx0 OR rtlcn9201 ;
   rtlc_14224_and_529_nx0 <= not_rtlc30n15481 AND not_Config_reg_1_8 ;
   rtlcn9206 <= rtlc_14224_and_529_nx0 AND BC_State(90) ;
   rtlc_14233_and_530_nx0 <= BC_State(2) AND not_rtlc30n14479 ;
   rtlcn9212 <= rtlc_14233_and_530_nx0 AND rtlcn8772 ;
   rtlc_14244_and_531_nx0 <= BC_State(31) AND not_rtlc30n13143 ;
   rtlcn9222 <= rtlc_14244_and_531_nx0 AND not_rtlc30n13136 ;
   rtlc_14256_and_533_nx0 <= not_rtlc30n15003 AND rtlcn8771 ;
   rtlcn9229 <= rtlc_14256_and_533_nx0 AND rtlcn3029 ;
   rtlc_14257_or_534_nx0 <= rtlcn9226 OR rtlcn9227 ;
   rtlcn2981 <= rtlc_14257_or_534_nx0 OR rtlcn9229 ;
   rtlc_14297_and_539_nx0 <= not_rtlc30n15481 AND BC_Message_Active ;
   rtlcn9254 <= rtlc_14297_and_539_nx0 AND BC_State(46) ;
   rtlc_14298_or_540_nx0 <= rtlcn9252 OR rtlcn9253 ;
   rtlcn3083 <= rtlc_14298_or_540_nx0 OR rtlcn9254 ;
   rtlc_14311_and_541_nx0 <= not_rtlc30n15481 AND BC_State(42) ;
   rtlcn9261 <= rtlc_14311_and_541_nx0 AND rtlc30n13376 ;
   rtlc_14315_and_542_nx0 <= not_rtlc30n15481 AND not_BC_Message_Active ;
   rtlcn9264 <= rtlc_14315_and_542_nx0 AND BC_State(46) ;
   rtlc_14347_and_543_nx0 <= not_rtlc30n14572 AND rtlcn8772 ;
   rtlcn9285 <= rtlc_14347_and_543_nx0 AND not_rtlcn8780 ;
   rtlc_14349_and_544_nx0 <= BC_State(7) AND not_rtlc30n14518 ;
   rtlcn9286 <= rtlc_14349_and_544_nx0 AND rtlcn8772 ;
   rtlc_14350_and_545_nx0 <= not_rtlc30n14572 AND rtlcn8771 ;
   rtlcn9287 <= rtlc_14350_and_545_nx0 AND not_rtlcn8780 ;
   rtlcn9294 <= rtlc_14297_and_539_nx0 AND BC_State(27) ;
   rtlc_14364_or_547_nx0 <= rtlcn9292 OR rtlcn9293 ;
   rtlcn3320 <= rtlc_14364_or_547_nx0 OR rtlcn9294 ;
   rtlc_14366_and_548_nx0 <= not_BC_Read AND rtlc30n13385 ;
   rtlcn9296 <= rtlc_14366_and_548_nx0 AND rtlcn8879 ;
   rtlcn9297 <= rtlc_14393_and_554_nx0 AND BC_First_write ;
   rtlcn9299 <= rtlc_14374_and_551_nx0 AND rtlcn8771 ;
   rtlc_14374_and_551_nx0 <= not_rtlc30n12831 AND BC_State(18) ;
   rtlcn9301 <= rtlc_14374_and_551_nx0 AND rtlcn8772 ;
   rtlcn9303 <= rtlcn9289 AND BC_Read ;
   rtlcn9307 <= rtlc_14315_and_542_nx0 AND BC_State(27) ;
   rtlc_14393_and_554_nx0 <= not_rtlc30n15481 AND BC_State(16) ;
   rtlcn9314 <= rtlc_14393_and_554_nx0 AND not_BC_First_write ;
   rtlc_14397_and_556_nx0 <= rtlc30n12433 AND not_rtlc30n12420 ;
   rtlcn9316 <= rtlc_14397_and_556_nx0 AND rtlcn8873 ;
   rtlc_14401_and_557_nx0 <= not_rtlc30n14288 AND not_Clear_Test_Status_reg
    ;
   rtlcn9319 <= rtlc_14401_and_557_nx0 AND rtlcn8874 ;
   rtlcn9323 <= rtlc_14513_and_572_nx0 AND rtlcn8771 ;
   rtlcn9335 <= rtlc_14434_and_562_nx0 AND rtlcn8771 ;
   rtlc_14430_and_561_nx0 <= BC_State(72) AND not_rtlc30n14098 ;
   rtlcn9337 <= rtlc_14430_and_561_nx0 AND rtlcn8792 ;
   rtlc_14434_and_562_nx0 <= BC_State(74) AND not_rtlc30n15353 ;
   rtlcn9339 <= rtlc_14434_and_562_nx0 AND rtlcn8772 ;
   rtlcn3923 <= rtlc_14466_and_564_nx0 AND not_BC_Echo_word_10 ;
   rtlc_14466_and_564_nx0 <= BC_State(79) AND Ack ;
   rtlcn3935 <= rtlc_14466_and_564_nx0 AND BC_Echo_word(10) ;
   rtlc_14481_and_566_nx0 <= rtlc30n15982 AND rtlcn8787 ;
   rtlcn4016 <= rtlc_14481_and_566_nx0 AND rtlcn8862 ;
   rtlc_14484_and_567_nx0 <= not_rtlc30n15481 AND not_rtlc30n14005 ;
   rtlcn9364 <= rtlc_14484_and_567_nx0 AND BC_State(68) ;
   rtlc_14492_or_568_nx0 <= rtlcn9367 OR rtlcn9368 ;
   rtlcn4042 <= rtlc_14492_or_568_nx0 OR rtlcn9369 ;
   rtlc_14503_and_569_nx0 <= not_rtlc30n15481 AND not_Ext_Trigger_Dx_0n0s4 ;
   rtlcn9375 <= rtlc_14503_and_569_nx0 AND BC_State(91) ;
   rtlc_14505_and_570_nx0 <= not_rtlc30n13911 AND BC_State(63) ;
   rtlcn9377 <= rtlc_14505_and_570_nx0 AND rtlcn8792 ;
   rtlc_14513_and_572_nx0 <= BC_State(13) AND not_rtlc30n14728 ;
   rtlcn9381 <= rtlc_14513_and_572_nx0 AND rtlcn8772 ;
   rtlc_14527_and_573_nx0 <= EOM_req AND not_arbiter ;
   rtlcn4239 <= rtlc_14527_and_573_nx0 AND not_WRD_req ;
   rtlc_14536_and_574_nx0 <= MON_WR_req AND not_SOM_req ;
   rtlcn4271 <= rtlc_14536_and_574_nx0 AND not_rtlcn8789 ;
   rtlc_14540_and_575_nx0 <= MON_EOM_req AND not_rtlcn8789 ;
   rtlcn4301 <= rtlc_14540_and_575_nx0 AND not_rtlcn8803 ;
   rtlc_14570_and_578_nx0 <= SOM_phase_1 AND Ack ;
   rtlcn4540 <= rtlc_14570_and_578_nx0 AND illegalization_enable ;
   rtlc_14581_or_579_nx0 <= Arbiter_timeout OR EOM_phase(4) ;
   rtlcn8614 <= rtlc_14581_or_579_nx0 OR rtlcn9397 ;
   rtlc_14604_or_582_nx0 <= rtlcn8868 OR rtlcs61 ;
   rtlcn8637 <= rtlc_14604_or_582_nx0 OR rtlcs77 ;
   rtlc_14632_and_583_nx0 <= rtlc30n16359 AND rtlcn8788 ;
   rtlcn6879 <= rtlc_14632_and_583_nx0 AND rtlcn8820 ;
   rtlc_14656_and_585_nx0 <= rtlcn8774 AND rtlcn8782 ;
   rtlcn7393 <= rtlc_14656_and_585_nx0 AND rtlcn8869 ;
   rtlc_14671_and_586_nx0 <= CE AND Config_reg_3_2 ;
   rtlcn7536 <= rtlc_14671_and_586_nx0 AND rtlc64n6532 ;
   rtlc_14675_and_588_nx0 <= state(3) AND rtlc91n485 ;
   rtlcn9430 <= rtlc_14675_and_588_nx0 AND not_rtlc91n458 ;
   rtlc_14677_and_589_nx0 <= state(6) AND not_state_3 ;
   rtlcn9432 <= rtlc_14677_and_589_nx0 AND rtlc91n567 ;
   rtlc_14678_or_590_nx0 <= not_WM_On OR rtlcn9430 ;
   rtlcn8204 <= rtlc_14678_or_590_nx0 OR rtlcn9432 ;
   rtlc_14679_or_591_nx0 <= MON_SOM_req OR rtlcn8785 ;
   rtlcn8916 <= rtlc_14679_or_591_nx0 OR rtlcn8833 ;
   rtlc_14691_and_593_nx0 <= MON_SOM_req AND not_rtlcn8789 ;
   rtlcn8227 <= rtlc_14691_and_593_nx0 AND not_rtlcn8833 ;
   rtlc_14721_and_595_nx0 <= rtlc64n6439 AND rtlc64n5549 ;
   rtlcn9453 <= rtlc_14721_and_595_nx0 AND rtlcn8858 ;
   rtlc_14724_and_597_nx0 <= not_rtlc26n7648 AND rtlc26n7670 ;
   rtlcn9455 <= rtlc_14724_and_597_nx0 AND rtlc26n7676 ;
   rtlc_14726_and_598_nx0 <= rtlc26n7692 AND rtlc26n7698 ;
   rtlcn9457 <= rtlc_14726_and_598_nx0 AND not_rtlcn8805 ;
   rtlc_14727_or_599_nx0 <= rtlcn9454 OR rtlcn9455 ;
   rtlcn8920 <= rtlc_14727_or_599_nx0 OR rtlcn9457 ;
   rtlc_14730_and_600_nx0 <= not_rtlc26n7601 AND rtlc26n7624 ;
   rtlcn9460 <= rtlc_14730_and_600_nx0 AND rtlc26n7630 ;
   rtlc_14736_and_602_nx0 <= not_rtlc26n7714 AND rtlc26n7736 ;
   rtlcn9465 <= rtlc_14736_and_602_nx0 AND not_rtlc26n7742 ;
   rtlc_14747_and_604_nx0 <= state(6) AND WM_On ;
   rtlcn9474 <= rtlc_14747_and_604_nx0 AND rtlc91n567 ;
   rtlc_14748_and_605_nx0 <= rtlc91n485 AND not_rtlc91n458 ;
   rtlcn9475 <= rtlc_14748_and_605_nx0 AND rtlcn8843 ;
   rtlc_14749_or_606_nx0 <= rtlcn9473 OR rtlcn9474 ;
   rtlcn8431 <= rtlc_14749_or_606_nx0 OR rtlcn9475 ;
   rtlc_14758_or_607_nx0 <= SOM_phase_4 OR SOM_phase_8 ;
   rtlc26n9590 <= rtlc_14758_or_607_nx0 OR rtlcn8851 ;
   rtlc_14765_and_609_nx0 <= EOM_phase(4) AND rtlcs93 ;
   rtlcn9484 <= rtlc_14765_and_609_nx0 AND rtlcs94 ;
   rtlc_14772_and_611_nx0 <= rtlcs60 AND not_Read ;
   rtlcn9489 <= rtlc_14772_and_611_nx0 AND Write ;
   rtlc_14777_or_612_nx0 <= rtlcn9490 OR rtlcn9491 ;
   rtlcn8507 <= rtlc_14777_or_612_nx0 OR rtlcn9492 ;
   rtlc_14786_and_613_nx0 <= not_rtlc30n13143 AND not_rtlc30n12456 ;
   rtlcn9498 <= rtlc_14786_and_613_nx0 AND BC_State(1) ;
   rtlc_14866_or_614_nx0 <= BC_State(71) OR BC_State(79) ;
   rtlcn8867 <= rtlc_14866_or_614_nx0 OR BC_State(88) ;
   rtlc_14867_or_615_nx0 <= BC_State(11) OR BC_State(31) ;
   rtlcn8836 <= rtlc_14867_or_615_nx0 OR BC_State(42) ;
   rtlc_14868_and_616_nx0 <= rtlcs57 AND rtlcn7051 ;
   rtlcn8872 <= rtlc_14868_and_616_nx0 AND rtlcn8838 ;
   rtlc_14869_and_617_nx0 <= not_rtlc30n15481 AND NO ;
   rtlcn9245 <= rtlc_14869_and_617_nx0 AND rtlcn8904 ;
   rtlc_14870_and_618_nx0 <= BC_State(83) AND YES ;
   rtlcn9237 <= rtlc_14870_and_618_nx0 AND Ack ;
   rtlc_14874_or_622_nx0 <= rtlc26n9703 OR rtlcs71 ;
   rtlcn8837 <= rtlc_14874_or_622_nx0 OR rtlcs87 ;
   rtlc_14875_or_623_nx0 <= rtlcn8837 OR rtlcs69 ;
   rtlcn8868 <= rtlc_14875_or_623_nx0 OR rtlcs85 ;
   rtlc_14876_and_624_nx0 <= rtlcs268 AND Tag_CLK_D ;
   rtlcn9406 <= rtlc_14876_and_624_nx0 AND not_Tag_CLK_DD ;
   rtlc_14877_or_625_nx0 <= not_rtlc26n9588 OR rtlcn9422 ;
   rtlcn8869 <= rtlc_14877_or_625_nx0 OR rtlcn9423 ;
   rtlc_14880_and_627_nx0 <= not_Ack AND rtlcn8770 ;
   rtlcn9490 <= rtlc_14880_and_627_nx0 AND rtlcn8923 ;
   rtlc_14881_or_628_nx0 <= EOM_phase(0) OR rtlcn9483 ;
   rtlcn8810 <= rtlc_14881_or_628_nx0 OR rtlcn9484 ;
   rtlc_14882_or_629_nx0 <= rtlcn8797 OR rtlcn9494 ;
   rtlcn8529 <= rtlc_14882_or_629_nx0 OR rtlcn9495 ;
   rtlc_16181_or_633_nx0 <= SOM_phase_0 OR SOM_phase_1 ;
   rtlcn9810 <= rtlc_16181_or_633_nx0 OR SOM_phase_7 ;
   rtlc_16190_or_634_nx0 <= CPU_Address(1) OR CPU_Address(2) ;
   rtlcn9815 <= rtlc_16190_or_634_nx0 OR not_CPU_Address_4 ;
   rtlc_16223_or_636_nx0 <= rtlcn5372 OR rtlcn5661 ;
   rtlcn9832 <= rtlc_16223_or_636_nx0 OR rtlcn8339 ;
   rtlc_17390_and_645_nx0 <= CE AND rtlc30n17325 ;
   rtlc30n17094 <= rtlc_17390_and_645_nx0 AND rtlcn9877 ;
   rtlc_17401_and_646_nx0 <= rtlc30n17318 AND rtlcn9864 ;
   rtlc30n17059 <= rtlc_17401_and_646_nx0 AND rtlcn9883 ;
   rtlc_17406_and_647_nx0 <= CE AND rtlc30n17315 ;
   rtlc30n17054 <= rtlc_17406_and_647_nx0 AND rtlcn9878 ;
   rtlc_17410_or_648_nx0 <= BC_State(13) OR BC_State(31) ;
   rtlcn9892 <= rtlc_17410_or_648_nx0 OR rtlcn9885 ;
   rtlc_17416_and_649_nx0 <= CE AND not_BC_State_13 ;
   rtlcn9990 <= rtlc_17416_and_649_nx0 AND rtlcn9872 ;
   rtlc_17428_and_650_nx0 <= not_rtlc30n18993 AND BC_Command_Sync ;
   rtlcn9996 <= rtlc_17428_and_650_nx0 AND rtlcn9869 ;
   rtlc_17430_and_651_nx0 <= not_BC_State_40 AND not_BC_State_44 ;
   rtlcn9998 <= rtlc_17430_and_651_nx0 AND rtlcn9870 ;
   rtlc_17433_and_652_nx0 <= CE AND rtlc30n17304 ;
   rtlc30n17041 <= rtlc_17433_and_652_nx0 AND rtlcn9884 ;
   rtlc_17447_and_653_nx0 <= CE AND rtlc30n17281 ;
   rtlc30n17005 <= rtlc_17447_and_653_nx0 AND rtlcn9859 ;
   rtlc_17515_and_655_nx0 <= CE AND not_BC_State_7 ;
   rtlc30n16934 <= rtlc_17515_and_655_nx0 AND not_BC_State_8 ;
   rtlc_17528_and_656_nx0 <= CE AND rtlc30n17267 ;
   rtlc30n16897 <= rtlc_17528_and_656_nx0 AND rtlcn9881 ;
   rtlcn10089 <= rtlc_17576_and_659_nx0 AND rtlc48n226 ;
   rtlc_17576_and_659_nx0 <= CE AND rtlc48n161 ;
   rtlcn10090 <= rtlc_17576_and_659_nx0 AND rtlc48n275 ;
   rtlc55n276 <= BC_Load_frame_gap_counter OR eBC_start_FT ;
   rtlcn9901 <= rtlc55n276 OR rtlcn10094 ;
   rtlc_17609_or_661_nx0 <= rtlc64n6006 OR rtlc64n6019 ;
   rtlcn9902 <= rtlc_17609_or_661_nx0 OR rtlc64n6029 ;
   rtlcn2757 <= rtlc64n6439 AND rtlc64n5418 ;
   rtlcn10100 <= rtlcn2757 AND CPU_Data_in_wide(23) ;
   rtlcn10101 <= rtlcn2757 AND CPU_Data_in_wide(25) ;
   rtlc_17778_or_664_nx0 <= not_RT_ADR_LAT OR rtlc85n54 ;
   rtlc85n121 <= rtlc_17778_or_664_nx0 OR rtlc85n82 ;
   Test_Status_reg_88n4ss1(1) <= rtlc88n99 AND rtlcs302 ;
   rtlc88n235 <= Test_Status_reg_88n4ss1(1) AND rtlcn1230 ;
   rtlc91n674 <= state(4) OR state(5) ;
   rtlcn9903 <= rtlc91n674 OR rtlcn9873 ;
   rtlc_17799_and_668_nx0 <= rtlc64n6439 AND rtlcs265 ;
   rtlc64n7350 <= rtlc_17799_and_668_nx0 AND CPU_WE_vec(0) ;
   rtlc_17801_and_670_nx0 <= rtlc64n6439 AND rtlcs253 ;
   rtlc64n7302 <= rtlc_17801_and_670_nx0 AND CPU_WE_vec(0) ;
   rtlc_17802_and_671_nx0 <= rtlc64n6439 AND rtlcs261 ;
   rtlc64n7286 <= rtlc_17802_and_671_nx0 AND CPU_WE_vec(1) ;
   rtlc64n7270 <= rtlc70n47 AND CPU_WE_vec(0) ;
   rtlcn2415 <= not_rtlcn9815 OR rtlcs220 ;
   rtlcn2431 <= rtlcn2415 OR rtlcs249 ;
   rtlc_17845_or_674_nx0 <= not_rtlcn8763 OR rtlcs218 ;
   rtlcn2409 <= rtlc_17845_or_674_nx0 OR rtlcs249 ;
   rtlc_17877_and_675_nx0 <= not_Config_reg_4_2 AND 
   Config_reg_4_EXMPLR1013(1) ;
   rtlcs144 <= rtlc_17877_and_675_nx0 AND not_Config_reg_4_0 ;
   rtlc_17890_and_676_nx0 <= BC_Num_Msgs_30n12s1(9) AND Data_o_temp(6) ;
   rtlcs129 <= rtlc_17890_and_676_nx0 AND Data_o_temp(8) ;
   rtlc_17895_and_677_nx0 <= Data_o_temp(9) AND BC_Num_Msgs_30n12s1(8) ;
   rtlcs131 <= rtlc_17895_and_677_nx0 AND Data_o_temp(6) ;
   rtlc_17904_and_678_nx0 <= Ack AND BC_Num_Msgs_30n12s1(9) ;
   rtlcs109 <= rtlc_17904_and_678_nx0 AND Data_o_temp(14) ;
   rtlc_17939_and_679_nx0 <= not_BC_Rx_Data_7 AND not_BC_Rx_Data_6 ;
   rtlcs164 <= rtlc_17939_and_679_nx0 AND not_BC_Rx_Data_5 ;
   rtlc_18449_and_699_nx0 <= not_GMM_2 AND not_GMM_1 ;
   rtlcs93 <= rtlc_18449_and_699_nx0 AND not_GMM_0 ;
   rtlc_18459_and_700_nx0 <= not_MM_2 AND not_MM_1 ;
   rtlcs94 <= rtlc_18459_and_700_nx0 AND not_MM_0 ;
   rtlc_18490_and_701_nx0 <= not_Config_reg_3_10 AND not_Config_reg_3_9 ;
   rtlcs52 <= rtlc_18490_and_701_nx0 AND not_Config_reg_3_8 ;
   rtlc_18787_and_721_nx0 <= not_Config_reg_2_9 AND not_Config_reg_2_8 ;
   rtlc_18792_and_722_nx0 <= not_Config_reg_2_9 AND Config_reg_2(8) ;
   rtlcs274 <= rtlc_18792_and_722_nx0 AND not_Config_reg_2_7 ;
   rtlcs273 <= rtlc_18792_and_722_nx0 AND Config_reg_2(7) ;
   rtlc_18801_and_724_nx0 <= Config_reg_2(9) AND not_Config_reg_2_8 ;
   rtlc_18883_and_730_nx0 <= not_BC_Rx_Data_10 AND not_BC_Rx_Data_9 ;
   rtlcs163 <= rtlc_18883_and_730_nx0 AND not_BC_Rx_Data_8 ;
   rtlc_19027_or_735_nx0 <= First_After_Reset OR rtlc26n6798 ;
   rtlcn10972 <= rtlc_19027_or_735_nx0 OR rtlcs96 ;
   rtlc_19695_or_750_nx0 <= LUT_Control(0) OR LUT_Control(1) ;
   rtlc64n6651 <= rtlc_19695_or_750_nx0 OR LUT_Control(2) ;
   rtlc_19696_or_751_nx0 <= LUT_Control(5) OR LUT_Control(6) ;
   rtlc64n6666 <= rtlc_19696_or_751_nx0 OR LUT_Control(7) ;
   MM_26n108ss1(0) <= LUT_Control(10) when Current_command(10) = '1' else 
   nx99 ;
   nx99 <= LUT_Control(0) when BCR = '1' else LUT_Control(5) ;
   MM_26n108ss1(1) <= LUT_Control(11) when Current_command(10) = '1' else 
   nx105 ;
   nx105 <= LUT_Control(1) when BCR = '1' else LUT_Control(6) ;
   MM_26n108ss1(2) <= LUT_Control(12) when Current_command(10) = '1' else 
   nx113 ;
   nx113 <= LUT_Control(2) when BCR = '1' else LUT_Control(7) ;
   Rollover_Int_Enable_26n111ss1 <= LUT_Control(13) when Current_command(10)
    = '1' else nx120 ;
   nx120 <= LUT_Control(3) when BCR = '1' else LUT_Control(8) ;
   rtlc26n7884 <= rtlc26n7824 when rtlc26n7601 = '1' else nx146 ;
   nx146 <= rtlc26n7827 when rtlc26n7624 = '1' else nx149 ;
   nx149 <= rtlc26n7830 when rtlc26n7648 = '1' else nx153 ;
   nx153 <= rtlc26n7833 when rtlc26n7670 = '1' else nx157 ;
   rtlcn12051 <= rtlc26n7698 when rtlc26n7692 = '1' else nx165 ;
   nx165 <= rtlc26n7720 when rtlc26n7714 = '1' else nx169 ;
   time_tag_64n15ss1(0) <= BC_msg_pointer(0) when eBC_TT_do = '1' else nx176
    ;
   nx176 <= Data_From_FE(0) when rtlc64n5307 = '1' else time_tag_64n13ss1(0)
    ;
   time_tag_64n15ss1(1) <= BC_msg_pointer(1) when eBC_TT_do = '1' else nx182
    ;
   nx182 <= Data_From_FE(1) when rtlc64n5307 = '1' else time_tag_64n13ss1(1)
    ;
   time_tag_64n15ss1(2) <= BC_msg_pointer(2) when eBC_TT_do = '1' else nx189
    ;
   nx189 <= Data_From_FE(2) when rtlc64n5307 = '1' else time_tag_64n13ss1(2)
    ;
   time_tag_64n15ss1(3) <= BC_msg_pointer(3) when eBC_TT_do = '1' else nx196
    ;
   nx196 <= Data_From_FE(3) when rtlc64n5307 = '1' else time_tag_64n13ss1(3)
    ;
   time_tag_64n15ss1(4) <= BC_msg_pointer(4) when eBC_TT_do = '1' else nx202
    ;
   nx202 <= Data_From_FE(4) when rtlc64n5307 = '1' else time_tag_64n13ss1(4)
    ;
   time_tag_64n15ss1(5) <= BC_msg_pointer(5) when eBC_TT_do = '1' else nx208
    ;
   nx208 <= Data_From_FE(5) when rtlc64n5307 = '1' else time_tag_64n13ss1(5)
    ;
   time_tag_64n15ss1(6) <= BC_msg_pointer(6) when eBC_TT_do = '1' else nx216
    ;
   nx216 <= Data_From_FE(6) when rtlc64n5307 = '1' else time_tag_64n13ss1(6)
    ;
   time_tag_64n15ss1(7) <= BC_msg_pointer(7) when eBC_TT_do = '1' else nx223
    ;
   nx223 <= Data_From_FE(7) when rtlc64n5307 = '1' else time_tag_64n13ss1(7)
    ;
   time_tag_64n15ss1(8) <= BC_msg_pointer(8) when eBC_TT_do = '1' else nx229
    ;
   nx229 <= Data_From_FE(8) when rtlc64n5307 = '1' else time_tag_64n13ss1(8)
    ;
   time_tag_64n15ss1(9) <= BC_msg_pointer(9) when eBC_TT_do = '1' else nx235
    ;
   nx235 <= Data_From_FE(9) when rtlc64n5307 = '1' else time_tag_64n13ss1(9)
    ;
   time_tag_64n15ss1(10) <= BC_msg_pointer(10) when eBC_TT_do = '1' else 
   nx242 ;
   nx242 <= Data_From_FE(10) when rtlc64n5307 = '1' else 
   time_tag_64n13ss1(10) ;
   time_tag_64n15ss1(11) <= BC_msg_pointer(11) when eBC_TT_do = '1' else 
   nx250 ;
   nx250 <= Data_From_FE(11) when rtlc64n5307 = '1' else 
   time_tag_64n13ss1(11) ;
   time_tag_64n15ss1(12) <= BC_msg_pointer(12) when eBC_TT_do = '1' else 
   nx258 ;
   nx258 <= Data_From_FE(12) when rtlc64n5307 = '1' else 
   time_tag_64n13ss1(12) ;
   time_tag_64n15ss1(13) <= BC_msg_pointer(13) when eBC_TT_do = '1' else 
   nx265 ;
   nx265 <= Data_From_FE(13) when rtlc64n5307 = '1' else 
   time_tag_64n13ss1(13) ;
   time_tag_64n15ss1(14) <= BC_msg_pointer(14) when eBC_TT_do = '1' else 
   nx272 ;
   nx272 <= Data_From_FE(14) when rtlc64n5307 = '1' else 
   time_tag_64n13ss1(14) ;
   time_tag_64n15ss1(15) <= BC_msg_pointer(15) when eBC_TT_do = '1' else 
   nx280 ;
   nx280 <= Data_From_FE(15) when rtlc64n5307 = '1' else 
   time_tag_64n13ss1(15) ;
   Non_masked_Event_79n30ss1 <= Interrupt_mask_register_2(6) when 
   Monitor_data_stack_half_pass = '1' else nx288 ;
   nx288 <= Interrupt_mask_register_2(7) when 
   Monitor_command_stack_half_pass = '1' else nx292 ;
   nx292 <= Interrupt_mask_register_2(10) when eBC_Bad_instruction
    = '1' else nx296 ;
   nx296 <= Interrupt_mask_register_2(11) when eBC_Stack_error = '1' else 
   nx300 ;
   nx300 <= Interrupt_mask_register_2(12) when rtlc79n1807 = '1' else nx304
    ;
   nx304 <= Interrupt_mask_register_2(14) when eBC_Bad_Parity = '1' else 
   nx308 ;
   nx308 <= Interrupt_mask_register_1(0) when rtlc79n1778 = '1' else nx312 ;
   nx312 <= Interrupt_mask_register_1(1) when rtlc79n1754 = '1' else nx316 ;
   nx316 <= Interrupt_mask_register_1(2) when rtlc79n1724 = '1' else nx320 ;
   nx320 <= Interrupt_mask_register_1(3) when rtlc79n1689 = '1' else nx324 ;
   nx324 <= Interrupt_mask_register_1(4) when rtlc79n1673 = '1' else nx328 ;
   nx328 <= Interrupt_mask_register_1(5) when rtlc79n1624 = '1' else nx332 ;
   nx332 <= Interrupt_mask_register_1(6) when rtlc79n1606 = '1' else nx336 ;
   nx336 <= Interrupt_mask_register_1(8) when BC_Retry_pulse = '1' else 
   nx340 ;
   nx340 <= Interrupt_mask_register_1(10) when Monitor_data_stack_rollover
    = '1' else nx344 ;
   nx344 <= Interrupt_mask_register_1(11) when 
   Monitor_command_stack_rollover = '1' else nx348 ;
   nx348 <= Interrupt_mask_register_1(12) when rtlc79n1506 = '1' else nx352
    ;
   nx352 <= Non_masked_Event_79n9s1 when MIL1553_errors_transmitter_timout
    = '1' else nx356 ;
   nx356 <= Non_masked_Event_79n3s1 when Clean_status2_bits = '1' else nx360
    ;
   Non_masked_Event_79n34ss1 <= Interrupt_mask_register_2(2) when 
   BC_msg_pointer(0) = '1' else nx366 ;
   nx366 <= Interrupt_mask_register_2(3) when BC_msg_pointer(1) = '1' else 
   Non_masked_Event_79n32ss1 ;
   Non_masked_Event_79n36ss1 <= Interrupt_mask_register_2(1) when 
   BIT_Test_complete = '1' else nx372 ;
   nx372 <= Non_masked_Event_79n34ss1 when eBC_IRQ_do = '1' else 
   Non_masked_Event_79n30ss1 ;
   Ram_WE_26n105ss1 <= not_Ack when rtlcn7424 = '1' else nx378 ;
   nx378 <= rtlcn8507 when rtlcs57 = '1' else rtlcn8550 ;
   nx157 <= not_SOM_phase_1 AND rtlcn12051 ;
   nx360 <= Non_masked_Event_79n1s1 AND Clean_status_bits ;
   nx169 <= rtlc26n7742 OR not_rtlc26n7736 ;
   modgen_or_34 : or_6u_6u port map ( a(5)=>
      Latched_Monitor_MIL1553_errors_high_word_count, a(4)=>
      Latched_Monitor_MIL1553_errors_incorrect_data_sync, a(3)=>
      Latched_Monitor_MIL1553_errors_RT2RT_format_gap, a(2)=>
      Latched_Monitor_MIL1553_errors_Invalid_word, a(1)=>
      Latched_Monitor_MIL1553_errors_RT2RT_format_error, a(0)=>
      Latched_Monitor_MIL1553_errors_invalid_command, d=>
      MM_Error_detected_26n1s1);
   modgen_and_35 : and_5u_5u port map ( a(4)=>Config_reg_2(12), a(3)=>
      rtlc26n7261, a(2)=>not_Current_command_10, a(1)=>rtlcs93, a(0)=>
      not_mode_command, d=>rtlc26n7271);
   modgen_and_36 : and_6u_6u port map ( a(5)=>BC_Echo_word(14), a(4)=>
      not_BC_Echo_word_13, a(3)=>BC_Echo_word(12), a(2)=>eBC_TT_do_30n148s1, 
      a(1)=>rtlc30n15170, a(0)=>YES, d=>rtlc30n15160);
   modgen_or_37 : or_11u_11u port map ( a(10)=>rtlc33n383, a(9)=>rtlc33n388, 
      a(8)=>rtlc33n394, a(7)=>rtlc33n400, a(6)=>rtlc33n406, a(5)=>rtlc33n412, 
      a(4)=>rtlc33n418, a(3)=>rtlc33n424, a(2)=>rtlc33n430, a(1)=>rtlc33n436, 
      a(0)=>rtlc33n442, d=>rtlc33n443);
   modgen_or_38 : or_14u_14u port map ( a(13)=>rtlc33n292, a(12)=>rtlc33n298, 
      a(11)=>rtlc33n304, a(10)=>rtlc33n310, a(9)=>rtlc33n316, a(8)=>
      rtlc33n322, a(7)=>rtlc33n328, a(6)=>rtlc33n334, a(5)=>rtlc33n340, a(4)
      =>rtlc33n346, a(3)=>rtlc33n352, a(2)=>rtlc33n358, a(1)=>rtlc33n364, 
      a(0)=>rtlc33n370, d=>rtlc33n371);
   modgen_or_39 : or_10u_10u port map ( a(9)=>rtlc48n168, a(8)=>
      BC_Rx_Data(9), a(7)=>rtlc48n176, a(6)=>rtlc48n182, a(5)=>rtlc48n188, 
      a(4)=>BC_Rx_Data(1), a(3)=>rtlc48n197, a(2)=>not_rtlcn1209, a(1)=>
      not_rtlcn1210, a(0)=>rtlc48n225, d=>rtlc48n226);
   modgen_and_40 : and_7u_7u port map ( a(6)=>rtlc64n5860, a(5)=>
      not_rtlc64n6578, a(4)=>not_rtlc36n408, a(3)=>not_rtlc36n450, a(2)=>
      not_rtlc64n6593, a(1)=>not_BC_on, a(0)=>not_WM_On, d=>rtlc64n6624);
   modgen_and_41 : and_5u_5u port map ( a(4)=>rtlc64n5880, a(3)=>rtlcn10151, 
      a(2)=>not_eBC_CFT_do, a(1)=>not_eBC_CMT_do, a(0)=>not_eBC_CMV_do, d=>
      rtlc64n6383);
   modgen_and_42 : and_5u_5u port map ( a(4)=>rtlc64n5881, a(3)=>rtlcn10152, 
      a(2)=>not_eBC_CFT_do, a(1)=>not_eBC_CMT_do, a(0)=>not_eBC_CMV_do, d=>
      rtlc64n6384);
   modgen_and_43 : and_7u_7u port map ( a(6)=>not_Current_command_3, a(5)=>
      Current_command(4), a(4)=>not_Current_command_0, a(3)=>rtlcs184, a(2)
      =>Message_ended_OK, a(1)=>Config_reg_2(2), a(0)=>rtlc64n6489, d=>
      rtlc64n6497);
   modgen_and_44 : and_6u_6u port map ( a(5)=>not_count_T_RESus_2, a(4)=>
      not_count_T_RESus_1, a(3)=>count_T_RESus(0), a(2)=>rtlcs277, a(1)=>
      rtlc_18801_and_724_nx0, a(0)=>Config_reg_2(7), d=>rtlc64n5129);
   modgen_and_45 : and_5u_5u port map ( a(4)=>rtlcs277, a(3)=>
      not_count_T_RESus_2, a(2)=>rtlcs280, a(1)=>rtlc_18801_and_724_nx0, 
      a(0)=>not_Config_reg_2_7, d=>rtlc64n5116);
   modgen_and_46 : and_5u_5u port map ( a(4)=>not_count_T_RESus_5, a(3)=>
      count_T_RESus(4), a(2)=>rtlcs286, a(1)=>rtlc_18787_and_721_nx0, a(0)=>
      Config_reg_2(7), d=>rtlc64n5077);
   modgen_and_47 : and_5u_5u port map ( a(4)=>count_T_RESus(4), a(3)=>
      count_T_RESus(5), a(2)=>rtlcs286, a(1)=>rtlc_18787_and_721_nx0, a(0)=>
      not_Config_reg_2_7, d=>rtlc64n5065);
   modgen_or_48 : or_6u_6u port map ( a(5)=>rtlc64n5065, a(4)=>rtlc64n5077, 
      a(3)=>rtlc64n5090, a(2)=>rtlc64n5103, a(1)=>rtlc64n5116, a(0)=>
      rtlc64n5129, d=>rtlc64n5130);
   modgen_and_49 : and_3u_3u port map ( a(2)=>Config_reg_6_15, a(1)=>
      not_Config_reg_1_14, a(0)=>not_Config_reg_1_15, d=>eBC_67n3s1);
   modgen_and_50 : and_3u_3u port map ( a(2)=>rtlc70n47, a(1)=>CPU_WE_vec(1), 
      a(0)=>CPU_Data_in_wide(16), d=>SW_Reset_70n1ss1);
   modgen_and_51 : and_3u_3u port map ( a(2)=>Interrupt_status_register_1(7), 
      a(1)=>Interrupt_status_register_1_79n6s2(7), a(0)=>rtlcn6040, d=>
      Interrupt_status_register_1_79n7ss1(7));
   modgen_and_52 : and_5u_5u port map ( a(4)=>not_rtlcn11047, a(3)=>
      not_BC_msg_pointer_3, a(2)=>not_BC_msg_pointer_2, a(1)=>
      not_BC_msg_pointer_1, a(0)=>not_BC_msg_pointer_0, d=>rtlc79n1920);
   modgen_or_53 : or_6u_6u port map ( a(5)=>MIL1553_errors_Message_Error_set, 
      a(4)=>MIL1553_errors_Format_error, a(3)=>
      MIL1553_errors_echo_back_bus_A, a(2)=>MIL1553_errors_echo_back_bus_B, 
      a(1)=>rtlc79n1716, a(0)=>rtlc79n1723, d=>rtlc79n1724);
   modgen_and_54 : and_5u_5u port map ( a(4)=>not_Current_command_0, a(3)=>
      Current_command(3), a(2)=>rtlcs153, a(1)=>rtlc82n136, a(0)=>
      Message_ended_OK, d=>rtlc82n145);
   modgen_and_55 : and_6u_6u port map ( a(5)=>not_Current_command_2, a(4)=>
      Current_command(4), a(3)=>Current_command(1), a(2)=>rtlcs154, a(1)=>
      rtlc82n136, a(0)=>EOM_phase(4), d=>rtlc82n119);
   modgen_and_56 : and_5u_5u port map ( a(4)=>Config_reg_1(11), a(3)=>
      Config_reg_1(10), a(2)=>rtlcs350, a(1)=>WM_Req, a(0)=>WM_Descriptor(3), 
      d=>rtlc91n421);
   modgen_or_57 : or_5u_5u port map ( a(4)=>time_tag_inc, a(3)=>rtlc64n5278, 
      a(2)=>rtlc64n5313, a(1)=>rtlc64n5307, a(0)=>eBC_TT_do, d=>rtlcn1229);
   modgen_and_58 : and_3u_3u port map ( a(2)=>WM_On, a(1)=>state(5), a(0)=>
      Ack, d=>state_fsm_91n15ss1_6);
   modgen_and_59 : and_3u_3u port map ( a(2)=>not_BC_Read, a(1)=>rtlcn8875, 
      a(0)=>not_BC_Message_Active, d=>BC_State_fsm_30n182ss1_55);
   modgen_and_60 : and_3u_3u port map ( a(2)=>BC_State(39), a(1)=>
      not_rtlc30n15481, a(0)=>Ack, d=>BC_State_fsm_30n182ss1_40);
   modgen_and_61 : and_3u_3u port map ( a(2)=>not_rtlc30n15481, a(1)=>
      BC_State(53), a(0)=>not_rtlc30n13649, d=>BC_State_fsm_30n182ss1_51);
   modgen_and_62 : and_3u_3u port map ( a(2)=>rtlc30_PS697_n14986, a(1)=>
      rtlcn3029, a(0)=>not_rtlc30n15481, d=>rtlcn9794);
   modgen_and_63 : and_5u_5u port map ( a(4)=>not_Data_o_temp_12, a(3)=>
      not_Data_o_temp_11, a(2)=>BC_Num_Msgs_30n12s1(10), a(1)=>rtlcs115, 
      a(0)=>rtlcn3033, d=>rtlcn3795);
   modgen_and_64 : and_4u_4u port map ( a(3)=>rtlcs115, a(2)=>
      not_Data_o_temp_11, a(1)=>rtlcs118, a(0)=>rtlcn3033, d=>rtlcn3811);
   modgen_and_65 : and_3u_3u port map ( a(2)=>not_rtlc30n15481, a(1)=>
      BC_State(21), a(0)=>not_rtlc30n13649, d=>BC_State_fsm_30n182ss1_22);
   modgen_and_66 : and_3u_3u port map ( a(2)=>not_rtlc30n15481, a(1)=>
      BC_State(65), a(0)=>Ack, d=>BC_State_fsm_30n182ss1_66);
   modgen_and_67 : and_3u_3u port map ( a(2)=>not_rtlc30n15003, a(1)=>
      rtlcn3033, a(0)=>Ack, d=>BC_State_fsm_30n182ss1_77);
   modgen_and_68 : and_3u_3u port map ( a(2)=>WM_On, a(1)=>state(7), a(0)=>
      not_Ack, d=>WM_Ram_RE_91n15ss1);
   modgen_and_69 : and_3u_3u port map ( a(2)=>WM_On, a(1)=>rtlc91n674, a(0)
      =>not_Ack, d=>WM_RAM_WE_91n15ss1);
   modgen_and_70 : and_3u_3u port map ( a(2)=>MON_SOM_phase(3), a(1)=>
      Monitor_bus_a, a(0)=>Record_enable, d=>record_message_A_26n100ss1);
   modgen_and_71 : and_3u_3u port map ( a(2)=>MON_SOM_phase(3), a(1)=>
      not_Monitor_bus_a, a(0)=>Record_enable, d=>record_message_B_26n100ss1
   );
   modgen_and_72 : and_3u_3u port map ( a(2)=>Ack, a(1)=>MON_SOM_phase(1), 
      a(0)=>CE, d=>rtlc26n10096);
   modgen_and_73 : and_3u_3u port map ( a(2)=>BC_Echo_word(11), a(1)=>
      BC_Echo_word(10), a(0)=>rtlcn3564, d=>eBC_start_FT_30n180ss1);
   modgen_or_74 : or_6u_6u port map ( a(5)=>one_micro_increment_wide, a(4)=>
      rtlcs268, a(3)=>rtlc64n5278, a(2)=>rtlc64n5313, a(1)=>rtlc64n5307, 
      a(0)=>eBC_TT_do, d=>rtlcn10779);
   modgen_or_76 : or_5u_5u port map ( a(4)=>INTn_count(2), a(3)=>
      INTn_count(1), a(2)=>INTn_count(4), a(1)=>INTn_count(3), a(0)=>
      INTn_count(0), d=>rtlcn12071);
   modgen_or_77 : or_3u_3u port map ( a(2)=>BC_State(0), a(1)=>BC_State(1), 
      a(0)=>BC_State(31), d=>rtlc30n18651);
   modgen_and_78 : and_3u_3u port map ( a(2)=>not_rtlc30n14288, a(1)=>
      Clear_Test_Status_reg, a(0)=>rtlcn8874, d=>rtlcn3466);
   modgen_and_79 : and_3u_3u port map ( a(2)=>not_rtlc30n15481, a(1)=>
      rtlc30n14908, a(0)=>rtlcn8783, d=>rtlcn4096);
   modgen_or_80 : or_3u_3u port map ( a(2)=>not_MON_SOM_req, a(1)=>rtlcn8789, 
      a(0)=>rtlcn8833, d=>rtlcn4339);
   modgen_or_81 : or_3u_3u port map ( a(2)=>Arbiter_timeout, a(1)=>
      MON_SOM_phase(7), a(0)=>rtlcn8825, d=>rtlcn8611);
   modgen_and_82 : and_3u_3u port map ( a(2)=>EOM_phase(0), a(1)=>
      not_illegal_message, a(0)=>not_Arbiter_timeout, d=>rtlcn4617);
   modgen_and_83 : and_3u_3u port map ( a(2)=>CE, a(1)=>rtlc26n9771, a(0)=>
      rtlcn8809, d=>rtlc26n10097);
   modgen_select_84 : select_2_2 port map ( a(1)=>rtlc30n16106, a(0)=>
      BC_State(47), b(1)=>debug_EXMPLR1018(15), b(0)=>Data_o_temp(15), d=>
      nx444);
   modgen_select_85 : select_2_2 port map ( a(1)=>rtlc30n16106, a(0)=>
      BC_State(47), b(1)=>debug_EXMPLR1018(15), b(0)=>Data_o_temp(14), d=>
      nx445);
   modgen_select_86 : select_2_2 port map ( a(1)=>rtlc30n16106, a(0)=>
      BC_State(47), b(1)=>debug_EXMPLR1018(15), b(0)=>Data_o_temp(13), d=>
      nx446);
   modgen_select_87 : select_2_2 port map ( a(1)=>rtlc30n16106, a(0)=>
      BC_State(47), b(1)=>debug_EXMPLR1018(15), b(0)=>Data_o_temp(12), d=>
      nx447);
   modgen_select_88 : select_2_2 port map ( a(1)=>rtlc30n16106, a(0)=>
      BC_State(47), b(1)=>debug_EXMPLR1018(15), b(0)=>Data_o_temp(11), d=>
      nx448);
   modgen_select_89 : select_2_2 port map ( a(1)=>rtlc30n16106, a(0)=>
      BC_State(47), b(1)=>BC_Num_Msgs_30n12ss1_10, b(0)=>Data_o_temp(10), d
      =>nx449);
   modgen_select_90 : select_2_2 port map ( a(1)=>rtlc30n16106, a(0)=>
      BC_State(47), b(1)=>BC_Num_Msgs_30n12ss1_9, b(0)=>Data_o_temp(9), d=>
      nx450);
   modgen_select_91 : select_2_2 port map ( a(1)=>rtlc30n16106, a(0)=>
      BC_State(47), b(1)=>BC_Num_Msgs_30n12ss1_8, b(0)=>Data_o_temp(8), d=>
      nx451);
   modgen_select_92 : select_2_2 port map ( a(1)=>rtlc30n16106, a(0)=>
      BC_State(47), b(1)=>BC_Num_Msgs_30n12s1(7), b(0)=>Data_o_temp(7), d=>
      nx452);
   modgen_select_93 : select_2_2 port map ( a(1)=>rtlc30n16106, a(0)=>
      BC_State(47), b(1)=>BC_Num_Msgs_30n12s1(6), b(0)=>Data_o_temp(6), d=>
      nx453);
   modgen_select_94 : select_2_2 port map ( a(1)=>rtlc30n16106, a(0)=>
      BC_State(47), b(1)=>BC_Num_Msgs_30n12s1(5), b(0)=>Data_o_temp(5), d=>
      nx454);
   modgen_select_95 : select_2_2 port map ( a(1)=>rtlc30n16106, a(0)=>
      BC_State(47), b(1)=>BC_Num_Msgs_30n12s1(4), b(0)=>Data_o_temp(4), d=>
      nx455);
   modgen_select_96 : select_2_2 port map ( a(1)=>rtlc30n16106, a(0)=>
      BC_State(47), b(1)=>BC_Num_Msgs_30n12s1(3), b(0)=>Data_o_temp(3), d=>
      nx456);
   modgen_select_97 : select_2_2 port map ( a(1)=>rtlc30n16106, a(0)=>
      BC_State(47), b(1)=>BC_Num_Msgs_30n12s1(2), b(0)=>Data_o_temp(2), d=>
      nx457);
   modgen_select_98 : select_2_2 port map ( a(1)=>rtlc30n16106, a(0)=>
      BC_State(47), b(1)=>BC_Num_Msgs_30n12s1(1), b(0)=>Data_o_temp(1), d=>
      nx458);
   modgen_select_99 : select_2_2 port map ( a(1)=>rtlc30n16106, a(0)=>
      BC_State(47), b(1)=>BC_Num_Msgs_30n12s1(0), b(0)=>Data_o_temp(0), d=>
      nx459);
   nx460 <= rtlc30n16106 OR BC_State(47) ;
   modgen_counter_BC_Num_Msgs : 
      counter_updn_cnt_en_sload_aclear_clock_clk_en_0_16 port map ( clock=>
      clock, q(15)=>BC_Num_Msgs(15), q(14)=>BC_Num_Msgs(14), q(13)=>
      BC_Num_Msgs(13), q(12)=>BC_Num_Msgs(12), q(11)=>BC_Num_Msgs(11), q(10)
      =>BC_Num_Msgs(10), q(9)=>BC_Num_Msgs(9), q(8)=>BC_Num_Msgs(8), q(7)=>
      BC_Num_Msgs(7), q(6)=>BC_Num_Msgs(6), q(5)=>BC_Num_Msgs(5), q(4)=>
      BC_Num_Msgs(4), q(3)=>BC_Num_Msgs(3), q(2)=>BC_Num_Msgs(2), q(1)=>
      BC_Num_Msgs(1), q(0)=>BC_Num_Msgs(0), clk_en=>rtlc30n16954, aclear=>
      not_ResetN, sload=>nx460, data(15)=>nx444, data(14)=>nx445, data(13)=>
      nx446, data(12)=>nx447, data(11)=>nx448, data(10)=>nx449, data(9)=>
      nx450, data(8)=>nx451, data(7)=>nx452, data(6)=>nx453, data(5)=>nx454, 
      data(4)=>nx455, data(3)=>nx456, data(2)=>nx457, data(1)=>nx458, 
      data(0)=>nx459, aset=>debug_EXMPLR1018(15), sclear=>
      debug_EXMPLR1018(15), updn=>NOT_BC_State_12, cnt_en=>rtlcn2127);
   modgen_counter_WM_RAM_Address : counter_up_sload_aclear_clock_clk_en_1_15
       port map ( clock=>clock, q(15)=>WM_RAM_Address(15), q(14)=>
      WM_RAM_Address(14), q(13)=>WM_RAM_Address(13), q(12)=>
      WM_RAM_Address(12), q(11)=>WM_RAM_Address(11), q(10)=>
      WM_RAM_Address(10), q(9)=>WM_RAM_Address(9), q(8)=>WM_RAM_Address(8), 
      q(7)=>WM_RAM_Address(7), q(6)=>WM_RAM_Address(6), q(5)=>
      WM_RAM_Address(5), q(4)=>WM_RAM_Address(4), q(3)=>WM_RAM_Address(3), 
      q(2)=>WM_RAM_Address(2), q(1)=>WM_RAM_Address(1), clk_en=>rtlc91n745, 
      aclear=>not_ResetN, sload=>state(7), data(15)=>
      WM_RAM_Address_91n12ss1(15), data(14)=>WM_RAM_Address_91n12ss1(14), 
      data(13)=>WM_RAM_Address_91n12ss1(13), data(12)=>
      WM_RAM_Address_91n12ss1(12), data(11)=>WM_RAM_Address_91n12ss1(11), 
      data(10)=>WM_RAM_Address_91n12ss1(10), data(9)=>
      WM_RAM_Address_91n12ss1(9), data(8)=>WM_RAM_Address_91n12ss1(8), 
      data(7)=>WM_RAM_Address_91n12ss1(7), data(6)=>
      WM_RAM_Address_91n12ss1(6), data(5)=>WM_RAM_Address_91n12ss1(5), 
      data(4)=>WM_RAM_Address_91n12ss1(4), data(3)=>
      WM_RAM_Address_91n12ss1(3), data(2)=>WM_RAM_Address_91n12ss1(2), 
      data(1)=>WM_RAM_Address_91n12ss1(1), aset=>debug_EXMPLR1018(15), 
      sclear=>debug_EXMPLR1018(15), updn=>PWR, cnt_en=>PWR);
   modgen_rom_ix7607 : 
      rom_new_0_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman_unfold_3298
       port map ( rd_data1(3)=>BC_State_fsm_30n69ss1_63, rd_data1(2)=>
      BC_State_fsm_30n69ss1_61, rd_data1(1)=>BC_State_fsm_30n69ss1_70, 
      rd_data1(0)=>BC_State_fsm_30n69ss1_34, addr1(6)=>Ack, addr1(5)=>
      Data_o_temp(14), addr1(4)=>Data_o_temp(13), addr1(3)=>Data_o_temp(12), 
      addr1(2)=>Data_o_temp(11), addr1(1)=>Data_o_temp(10), addr1(0)=>
      Data_o_temp(9), rd_clk1=>DANGLING(24), rd_ena1=>PWR, regce1=>PWR, rst1
      =>debug_EXMPLR1018(15));
   rtlcn9876 <= not_rtlc26n6970 OR First_After_Reset ;
   modgen_counter_Do_once_nx18 <= rtlcn9876 OR rtlc26n6798 ;
   modgen_counter_Do_once_nx21 <= modgen_counter_Do_once_nx18 AND CE ;
   modgen_counter_Do_once_nx24 <= modgen_counter_Do_once_nx40 AND 
   not_rtlc26n6798 ;
   modgen_counter_Do_once_nx26 <= modgen_counter_Do_once_nx42 AND 
   not_rtlc26n6798 ;
   modgen_counter_Do_once_nx28 <= modgen_counter_Do_once_nx44 AND 
   not_rtlc26n6798 ;
   modgen_counter_Do_once_nx30 <= modgen_counter_Do_once_nx46 AND 
   not_rtlc26n6798 ;
   modgen_counter_Do_once_nx32 <= modgen_counter_Do_once_nx48 AND 
   not_rtlc26n6798 ;
   modgen_counter_Do_once_nx37 <= not_Do_once_1 XOR Do_once(0) ;
   modgen_counter_Do_once_dec_nx28 <= Do_once(1) OR Do_once(0) ;
   modgen_counter_Do_once_nx36 <= not_Do_once_2 XOR 
   modgen_counter_Do_once_dec_nx28 ;
   modgen_counter_Do_once_dec_nx42 <= Do_once(2) OR 
   modgen_counter_Do_once_dec_nx28 ;
   modgen_counter_Do_once_nx35 <= not_Do_once_3 XOR 
   modgen_counter_Do_once_dec_nx42 ;
   modgen_counter_Do_once_dec_nx56 <= Do_once(3) OR 
   modgen_counter_Do_once_dec_nx42 ;
   modgen_counter_Do_once_nx34 <= not_Do_once_4 XOR 
   modgen_counter_Do_once_dec_nx56 ;
   nx593 <= modgen_counter_Do_once_nx24 when modgen_counter_Do_once_nx21
    = '1' else Do_once(4) ;
   DFFPCE (nx593,debug_EXMPLR1018(15),not_ResetN,PWR,clock,Do_once(4)) ;
   nx598 <= modgen_counter_Do_once_nx26 when modgen_counter_Do_once_nx21
    = '1' else Do_once(3) ;
   DFFPCE (nx598,debug_EXMPLR1018(15),not_ResetN,PWR,clock,Do_once(3)) ;
   nx602 <= modgen_counter_Do_once_nx28 when modgen_counter_Do_once_nx21
    = '1' else Do_once(2) ;
   DFFPCE (nx602,debug_EXMPLR1018(15),not_ResetN,PWR,clock,Do_once(2)) ;
   nx606 <= modgen_counter_Do_once_nx30 when modgen_counter_Do_once_nx21
    = '1' else Do_once(1) ;
   DFFPCE (nx606,debug_EXMPLR1018(15),not_ResetN,PWR,clock,Do_once(1)) ;
   nx610 <= modgen_counter_Do_once_nx32 when modgen_counter_Do_once_nx21
    = '1' else Do_once(0) ;
   DFFPCE (nx610,debug_EXMPLR1018(15),not_ResetN,PWR,clock,Do_once(0)) ;
   modgen_rom_ix7608 : 
      rom_new_1_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman_unfold_3298
       port map ( rd_data1(6)=>Ram_data_i_6_26n2s8, rd_data1(5)=>
      Ram_data_i_5_26n2s7, rd_data1(4)=>Ram_data_i_4_26n2s6, rd_data1(3)=>
      Ram_data_i_3_26n2s5, rd_data1(2)=>Ram_data_i_2_26n2s4, rd_data1(1)=>
      Ram_data_i_1_26n2s3, rd_data1(0)=>Ram_data_i_0_26n2s1, addr1(4)=>nx593, 
      addr1(3)=>nx598, addr1(2)=>nx602, addr1(1)=>nx606, addr1(0)=>nx610, 
      rd_clk1=>clock, rd_ena1=>PWR, regce1=>PWR, rst1=>not_ResetN);
   modgen_rom_ix7609 : 
      rom_new_2_DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1_Sital_Ofer_hofman_unfold_3298
       port map ( rd_data1(6)=>Ram_data_i_14_26n2s17, rd_data1(5)=>
      Ram_data_i_13_26n2s16, rd_data1(4)=>Ram_data_i_12_26n2s15, rd_data1(3)
      =>Ram_data_i_11_26n2s14, rd_data1(2)=>Ram_data_i_10_26n2s13, 
      rd_data1(1)=>Ram_data_i_9_26n2s12, rd_data1(0)=>Ram_data_i_8_26n2s10, 
      addr1(4)=>Ram_data_i_26n2s11(5), addr1(3)=>Ram_data_i_26n2s11(4), 
      addr1(2)=>Ram_data_i_26n2s11(3), addr1(1)=>Ram_data_i_26n2s11(2), 
      addr1(0)=>Ram_data_i_26n2s11(1), rd_clk1=>DANGLING(25), rd_ena1=>PWR, 
      regce1=>PWR, rst1=>debug_EXMPLR1018(15));
   modgen_or_100 : or_8u_8u port map ( a(7)=>monitor_data_pointer(9), a(6)=>
      monitor_data_pointer(10), a(5)=>monitor_data_pointer(11), a(4)=>
      monitor_data_pointer(12), a(3)=>monitor_data_pointer(13), a(2)=>
      monitor_data_pointer(14), a(1)=>monitor_data_pointer(15), a(0)=>
      monitor_data_pointer(8), d=>rtlcn1216);
   modgen_or_101 : or_7u_7u port map ( a(6)=>monitor_data_pointer(10), a(5)
      =>monitor_data_pointer(11), a(4)=>monitor_data_pointer(12), a(3)=>
      monitor_data_pointer(13), a(2)=>monitor_data_pointer(14), a(1)=>
      monitor_data_pointer(15), a(0)=>rtlc26n10706, d=>rtlcn1217);
   modgen_or_102 : or_8u_8u port map ( a(7)=>monitor_stack_pointer(9), a(6)
      =>monitor_stack_pointer(10), a(5)=>monitor_stack_pointer(11), a(4)=>
      monitor_stack_pointer(12), a(3)=>monitor_stack_pointer(13), a(2)=>
      monitor_stack_pointer(14), a(1)=>monitor_stack_pointer(15), a(0)=>
      monitor_stack_pointer(8), d=>rtlcn1218);
   modgen_or_103 : or_7u_7u port map ( a(6)=>monitor_stack_pointer(10), a(5)
      =>monitor_stack_pointer(11), a(4)=>monitor_stack_pointer(12), a(3)=>
      monitor_stack_pointer(13), a(2)=>monitor_stack_pointer(14), a(1)=>
      monitor_stack_pointer(15), a(0)=>rtlc26n10771, d=>rtlcn1219);
   modgen_or_104 : or_12u_12u port map ( a(11)=>time_tag_EXMPLR1017(5), 
      a(10)=>time_tag_EXMPLR1017(6), a(9)=>time_tag_EXMPLR1017(7), a(8)=>
      time_tag_EXMPLR1017(8), a(7)=>time_tag_EXMPLR1017(9), a(6)=>
      time_tag_EXMPLR1017(10), a(5)=>time_tag_EXMPLR1017(11), a(4)=>
      time_tag_EXMPLR1017(12), a(3)=>time_tag_EXMPLR1017(13), a(2)=>
      time_tag_EXMPLR1017(14), a(1)=>time_tag_EXMPLR1017(15), a(0)=>
      time_tag_EXMPLR1017(4), d=>rtlcn1230);
   modgen_or_105 : or_5u_5u port map ( a(4)=>rtlcs58, a(3)=>rtlcn9008, a(2)
      =>rtlcn9009, a(1)=>rtlcn9010, a(0)=>rtlcn9011, d=>rtlcn5397);
   modgen_or_106 : or_7u_7u port map ( a(6)=>rtlcn8825, a(5)=>rtlcn8839, 
      a(4)=>rtlcn8885, a(3)=>rtlcn9433, a(2)=>rtlcn9438, a(1)=>rtlcs40, a(0)
      =>STM_ended_26n27ss1, d=>STM_ended_26n105ss1);
   modgen_or_107 : or_6u_6u port map ( a(5)=>rtlc64n5130, a(4)=>eBC_TT_do, 
      a(3)=>rtlcn7402, a(2)=>rtlcn9451, a(1)=>rtlcn9453, a(0)=>rtlcs268, d=>
      rtlcn8675);
   modgen_and_108 : and_8u_8u port map ( a(7)=>BC_Num_Msgs_30n12s1(9), a(6)
      =>Data_o_temp(11), a(5)=>not_Data_o_temp_12, a(4)=>not_Data_o_temp_13, 
      a(3)=>not_Data_o_temp_14, a(2)=>Ack, a(1)=>rtlcn3029, a(0)=>
      not_rtlc30n15481, d=>rtlcn9802);
   modgen_and_110 : and_6u_6u port map ( a(5)=>LIFO_Pointer(4), a(4)=>
      not_LIFO_Pointer_3, a(3)=>not_LIFO_Pointer_2, a(2)=>not_LIFO_Pointer_1, 
      a(1)=>not_LIFO_Pointer_0, a(0)=>YES, d=>rtlc30n15255);
   modgen_and_111 : and_17u_17u port map ( a(16)=>BC_Ram_data_30n15s1(15), 
      a(15)=>BC_Ram_data_30n15s1(14), a(14)=>BC_Ram_data_30n15s1(13), a(13)
      =>BC_Ram_data_30n15s1(12), a(12)=>BC_Ram_data_30n15s1(11), a(11)=>
      BC_Ram_data_30n15s1(10), a(10)=>BC_Ram_data_30n15s1(9), a(9)=>
      BC_Ram_data_30n15s1(8), a(8)=>BC_Ram_data_30n15s1(7), a(7)=>
      BC_Ram_data_30n15s1(6), a(6)=>BC_Ram_data_30n15s1(5), a(5)=>
      BC_Ram_data_30n15s1(4), a(4)=>BC_Ram_data_30n15s1(3), a(3)=>
      BC_Ram_data_30n15s1(2), a(2)=>BC_Ram_data_30n15s1(1), a(1)=>
      BC_Ram_data_30n15s1(0), a(0)=>Ack, d=>rtlc30n14564);
   modgen_and_112 : and_28u_28u port map ( a(27)=>not_Counter_100us_11, 
      a(26)=>not_Counter_100us_10, a(25)=>not_Counter_100us_9, a(24)=>
      not_Counter_100us_8, a(23)=>not_Counter_100us_7, a(22)=>
      not_Counter_100us_6, a(21)=>not_Counter_100us_5, a(20)=>
      not_Counter_100us_4, a(19)=>not_Counter_100us_3, a(18)=>
      not_Counter_100us_2, a(17)=>not_Counter_100us_1, a(16)=>
      Counter_100us(0), a(15)=>not_BC_frame_GAP_counter_15, a(14)=>
      not_BC_frame_GAP_counter_14, a(13)=>not_BC_frame_GAP_counter_13, a(12)
      =>not_BC_frame_GAP_counter_12, a(11)=>not_BC_frame_GAP_counter_11, 
      a(10)=>not_BC_frame_GAP_counter_10, a(9)=>not_BC_frame_GAP_counter_9, 
      a(8)=>not_BC_frame_GAP_counter_8, a(7)=>not_BC_frame_GAP_counter_7, 
      a(6)=>not_BC_frame_GAP_counter_6, a(5)=>not_BC_frame_GAP_counter_5, 
      a(4)=>not_BC_frame_GAP_counter_4, a(3)=>not_BC_frame_GAP_counter_3, 
      a(2)=>not_BC_frame_GAP_counter_2, a(1)=>not_BC_frame_GAP_counter_1, 
      a(0)=>BC_frame_GAP_counter(0), d=>rtlc55n160);
   modgen_and_113 : and_8u_8u port map ( a(7)=>not_Monitor_Active_command_10, 
      a(6)=>not_Monitor_Active_command_9, a(5)=>not_Monitor_Active_command_8, 
      a(4)=>not_Monitor_Active_command_7, a(3)=>not_Monitor_Active_command_6, 
      a(2)=>not_Monitor_Active_command_5, a(1)=>Monitor_Active_command(4), 
      a(0)=>rtlcs191, d=>Monitor_command_is_sync_with_data_64n11s5);
   modgen_and_114 : and_8u_8u port map ( a(7)=>not_Monitor_Active_command_10, 
      a(6)=>Monitor_Active_command(4), a(5)=>Monitor_Active_command(9), a(4)
      =>Monitor_Active_command(8), a(3)=>Monitor_Active_command(7), a(2)=>
      Monitor_Active_command(6), a(1)=>Monitor_Active_command(5), a(0)=>
      rtlcs191, d=>Monitor_command_is_sync_with_data_64n11s6);
   modgen_and_115 : and_8u_8u port map ( a(7)=>not_Monitor_Active_command_9, 
      a(6)=>not_Monitor_Active_command_8, a(5)=>not_Monitor_Active_command_7, 
      a(4)=>not_Monitor_Active_command_6, a(3)=>not_Monitor_Active_command_5, 
      a(2)=>Monitor_Active_command(10), a(1)=>not_Monitor_Active_command_4, 
      a(0)=>rtlcs191, d=>Monitor_command_is_sync_without_data_64n11s5);
   modgen_and_116 : and_8u_8u port map ( a(7)=>Monitor_Active_command(9), 
      a(6)=>Monitor_Active_command(8), a(5)=>Monitor_Active_command(7), a(4)
      =>Monitor_Active_command(6), a(3)=>Monitor_Active_command(5), a(2)=>
      Monitor_Active_command(10), a(1)=>not_Monitor_Active_command_4, a(0)=>
      rtlcs191, d=>Monitor_command_is_sync_without_data_64n11s6);
   modgen_and_117 : and_7u_7u port map ( a(6)=>eBC_Q_pointer(5), a(5)=>
      eBC_Q_pointer(4), a(4)=>eBC_Q_pointer(3), a(3)=>eBC_Q_pointer(2), a(2)
      =>eBC_Q_pointer(1), a(1)=>eBC_Q_pointer(0), a(0)=>eBC_Inc_Q_pointer, d
      =>rtlc79n1807);
   modgen_and_119 : and_13u_13u port map ( a(12)=>not_Data_o_temp_12, a(11)
      =>BC_Num_Msgs_30n12s1(10), a(10)=>BC_Num_Msgs_30n12s1(8), a(9)=>
      not_Data_o_temp_15, a(8)=>BC_Num_Msgs_30n12s1(6), a(7)=>
      BC_Num_Msgs_30n12s1(4), a(6)=>BC_Num_Msgs_30n12s1(3), a(5)=>
      BC_Num_Msgs_30n12s1(2), a(4)=>BC_Num_Msgs_30n12s1(1), a(3)=>
      BC_Num_Msgs_30n12s1(0), a(2)=>rtlcs127, a(1)=>rtlcs110, a(0)=>rtlcs124, 
      d=>gap_eq_0_52n3s1);
   modgen_or_121 : or_7u_7u port map ( a(6)=>BC_Rx_Data(0), a(5)=>
      BC_Rx_Data(1), a(4)=>BC_Rx_Data(2), a(3)=>BC_Rx_Data(3), a(2)=>
      not_rtlcs162, a(1)=>not_rtlcn1210, a(0)=>rtlc48n274, d=>rtlc48n275);
   modgen_or_122 : or_17u_17u port map ( a(16)=>CE, a(15)=>
      MIL1553_errors_transmitter_timout, a(14)=>rtlc79n1506, a(13)=>
      Monitor_command_stack_rollover, a(12)=>Monitor_data_stack_rollover, 
      a(11)=>BC_Retry_pulse, a(10)=>rtlc79n1606, a(9)=>rtlc79n1624, a(8)=>
      rtlc79n1673, a(7)=>rtlc79n1689, a(6)=>rtlc79n1754, a(5)=>rtlc79n1778, 
      a(4)=>eBC_Bad_Parity, a(3)=>eBC_Stack_error, a(2)=>eBC_Bad_instruction, 
      a(1)=>Monitor_command_stack_half_pass, a(0)=>
      Monitor_data_stack_half_pass, d=>nx635);
   modgen_or_123 : or_3u_3u port map ( a(2)=>rtlc79n1724, a(1)=>rtlc79n1807, 
      a(0)=>nx635, d=>rtlcn11047);
   modgen_counter_Do_once_nx42 <= modgen_counter_Do_once_nx35 AND 
   not_First_After_Reset ;
   modgen_counter_Do_once_nx44 <= modgen_counter_Do_once_nx36 AND 
   not_First_After_Reset ;
   modgen_counter_Do_once_nx48 <= not_Do_once_0 AND not_First_After_Reset ;
   modgen_counter_Do_once_nx40 <= modgen_counter_Do_once_nx34 OR 
   First_After_Reset ;
   modgen_counter_Do_once_nx46 <= modgen_counter_Do_once_nx37 OR 
   First_After_Reset ;
   ix663 : selcounter_9_9_9_0_1_up port map ( cin=>PWR, mode=>rtlcn5509, 
      updn=>PWR, a(8)=>stack_pointer(10), a(7)=>stack_pointer(9), a(6)=>
      stack_pointer(8), a(5)=>stack_pointer(7), a(4)=>stack_pointer(6), a(3)
      =>stack_pointer(5), a(2)=>stack_pointer(4), a(1)=>stack_pointer(3), 
      a(0)=>stack_pointer(2), k(8)=>Data_o_temp(10), k(7)=>Data_o_temp(9), 
      k(6)=>Data_o_temp(8), k(5)=>Data_o_temp(7), k(4)=>Data_o_temp(6), k(3)
      =>Data_o_temp(5), k(2)=>Data_o_temp(4), k(1)=>Data_o_temp(3), k(0)=>
      Data_o_temp(2), d(8)=>stack_pointer_26n47ss1_10, d(7)=>
      stack_pointer_26n47ss1_9, d(6)=>stack_pointer_26n47ss1_8, d(5)=>
      stack_pointer_26n47ss1_7, d(4)=>stack_pointer_26n47ss1_6, d(3)=>
      stack_pointer_26n47ss1_5, d(2)=>stack_pointer_26n47ss1_4, d(1)=>
      stack_pointer_26n47ss1_3, d(0)=>stack_pointer_26n47ss1_2);
   nx700 <= BC_Echo_word(1) XOR BC_Echo_word(0) ;
   nx702 <= BC_Echo_word(2) XOR nx700 ;
   nx704 <= BC_Echo_word(3) XOR nx702 ;
   nx706 <= BC_Echo_word(4) XOR nx704 ;
   nx709 <= BC_Echo_word(5) XOR nx706 ;
   nx711 <= BC_Echo_word(6) XOR nx709 ;
   nx713 <= BC_Echo_word(7) XOR nx711 ;
   nx715 <= BC_Echo_word(8) XOR nx713 ;
   nx717 <= BC_Echo_word(9) XOR nx715 ;
   nx719 <= BC_Echo_word(10) XOR nx717 ;
   nx721 <= BC_Echo_word(11) XOR nx719 ;
   nx723 <= BC_Echo_word(12) XOR nx721 ;
   nx725 <= BC_Echo_word(13) XOR nx723 ;
   nx727 <= BC_Echo_word(15) XOR nx725 ;
   eBC_Bad_Parity_30n180s2 <= BC_Echo_word(14) XOR nx727 ;
   nx735 <= Data_o_temp(14) XOR Data_o_temp(15) ;
   nx737 <= Data_o_temp(13) XOR nx735 ;
   nx739 <= Data_o_temp(12) XOR nx737 ;
   nx741 <= Data_o_temp(11) XOR nx739 ;
   nx743 <= Data_o_temp(10) XOR nx741 ;
   nx745 <= Data_o_temp(9) XOR nx743 ;
   nx747 <= Data_o_temp(8) XOR nx745 ;
   nx749 <= Data_o_temp(7) XOR nx747 ;
   nx751 <= Data_o_temp(6) XOR nx749 ;
   nx753 <= Data_o_temp(5) XOR nx751 ;
   nx755 <= Data_o_temp(4) XOR nx753 ;
   nx757 <= Data_o_temp(3) XOR nx755 ;
   nx759 <= Data_o_temp(2) XOR nx757 ;
   nx762 <= Data_o_temp(1) XOR nx759 ;
   rtlcs344 <= Data_o_temp(0) XOR nx762 ;
end Sital_Ofer_hofman_unfold_3298 ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity Auxilury_Ver_8_4_1_1_0 is 
   port (
      Clock : IN std_logic ;
      Cohen : IN std_logic ;
      H15530_record_A_Sync_error : IN std_logic ;
      H15530_record_A_Manchester_error : IN std_logic ;
      H15530_record_A_Parity_error : IN std_logic ;
      H15530_record_A_echo_back_bus : IN std_logic ;
      H15530_record_A_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
      H15530_record_A_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      H15530_record_A_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      H15530_record_A_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
      H15530_record_A_RxRDY_plus_12us : IN std_logic ;
      H15530_record_A_RxRDY_plus_10us : IN std_logic ;
      H15530_record_A_CS : IN std_logic ;
      H15530_record_A_Pre_EchoRdy : IN std_logic ;
      H15530_record_A_Command_Sync : IN std_logic ;
      H15530_record_A_Pre_RxRdy : IN std_logic ;
      H15530_record_A_recieving : IN std_logic ;
      H15530_record_B_Sync_error : IN std_logic ;
      H15530_record_B_Manchester_error : IN std_logic ;
      H15530_record_B_Parity_error : IN std_logic ;
      H15530_record_B_echo_back_bus : IN std_logic ;
      H15530_record_B_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
      H15530_record_B_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      H15530_record_B_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      H15530_record_B_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
      H15530_record_B_RxRDY_plus_12us : IN std_logic ;
      H15530_record_B_RxRDY_plus_10us : IN std_logic ;
      H15530_record_B_CS : IN std_logic ;
      H15530_record_B_Pre_EchoRdy : IN std_logic ;
      H15530_record_B_Command_Sync : IN std_logic ;
      H15530_record_B_Pre_RxRdy : IN std_logic ;
      H15530_record_B_recieving : IN std_logic ;
      RT_Address_wire : IN std_logic_vector (5 DOWNTO 0) ;
      ResetN : IN std_logic ;
      External_CE_In : IN std_logic ;
      CE : OUT std_logic ;
      RT_Address_A_valid : OUT std_logic ;
      RT_Address_B_valid : OUT std_logic ;
      RT_Address_Parity_Error : OUT std_logic) ;
end Auxilury_Ver_8_4_1_1_0 ;

architecture Sital_Ofer_Hofman_unfold_4078 of Auxilury_Ver_8_4_1_1_0 is 
   component and_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   procedure DFFPC (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           q <= data and data ;    -- takes care of q<='X' if data='Z'
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPC ;
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   signal CE_EXMPLR1021, RT_Address_Parity_Error_EXMPLR1024, PWR, not_ResetN, 
      RT_Address_A_valid_6n2s1, RT_Address_B_valid_6n3s1, 
      not_H15530_record_A_R_Data_13, not_H15530_record_A_R_Data_12, 
      not_H15530_record_A_R_Data_11, not_H15530_record_B_R_Data_13, 
      not_H15530_record_B_R_Data_12, not_H15530_record_B_R_Data_11: 
   std_logic ;

begin
   CE <= CE_EXMPLR1021 ;
   RT_Address_Parity_Error <= RT_Address_Parity_Error_EXMPLR1024 ;
   RT_Address_Parity_Error_EXMPLR1024 <= '0' ;
   PWR <= '1' ;
   not_ResetN <= NOT ResetN ;
   not_H15530_record_A_R_Data_13 <= NOT H15530_record_A_R_Data(13) ;
   not_H15530_record_A_R_Data_12 <= NOT H15530_record_A_R_Data(12) ;
   not_H15530_record_A_R_Data_11 <= NOT H15530_record_A_R_Data(11) ;
   RT_Address_A_valid_and_6i1 : and_5u_5u port map ( a(4)=>
      H15530_record_A_R_Data(15), a(3)=>H15530_record_A_R_Data(14), a(2)=>
      not_H15530_record_A_R_Data_13, a(1)=>not_H15530_record_A_R_Data_12, 
      a(0)=>not_H15530_record_A_R_Data_11, d=>RT_Address_A_valid_6n2s1);
   not_H15530_record_B_R_Data_13 <= NOT H15530_record_B_R_Data(13) ;
   not_H15530_record_B_R_Data_12 <= NOT H15530_record_B_R_Data(12) ;
   not_H15530_record_B_R_Data_11 <= NOT H15530_record_B_R_Data(11) ;
   RT_Address_B_valid_and_6i2 : and_5u_5u port map ( a(4)=>
      H15530_record_B_R_Data(15), a(3)=>H15530_record_B_R_Data(14), a(2)=>
      not_H15530_record_B_R_Data_13, a(1)=>not_H15530_record_B_R_Data_12, 
      a(0)=>not_H15530_record_B_R_Data_11, d=>RT_Address_B_valid_6n3s1);
   DFFPC (PWR,RT_Address_Parity_Error_EXMPLR1024,not_ResetN,Clock,
   CE_EXMPLR1021) ;
   DFFPCE (RT_Address_B_valid_6n3s1,not_ResetN,
   RT_Address_Parity_Error_EXMPLR1024,CE_EXMPLR1021,Clock,RT_Address_B_valid
   ) ;
   DFFPCE (RT_Address_A_valid_6n2s1,RT_Address_Parity_Error_EXMPLR1024,
   not_ResetN,CE_EXMPLR1021,Clock,RT_Address_A_valid) ;
end Sital_Ofer_Hofman_unfold_4078 ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_dn_sload_sclear_aclear_clock_clk_en_0_7 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (6 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (6 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_dn_sload_sclear_aclear_clock_clk_en_0_7 ;

architecture INTERFACE of counter_dn_sload_sclear_aclear_clock_clk_en_0_7
    is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component dec_7u_7u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx19, nx20, nx21, nx22, nx23, nx24, nx25, nx26, nx27, nx28, 
      nx29, nx30, nx31, nx32, nx33, nx34, nx35, nx36, nx37, nx38, nx39, nx41, 
      nx43, nx45, nx47, nx49, nx51, nx53, NOT_SCLEAR: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(6) <= nx20 ;
   q(5) <= nx22 ;
   q(4) <= nx24 ;
   q(3) <= nx26 ;
   q(2) <= nx28 ;
   q(1) <= nx30 ;
   q(0) <= nx32 ;
   GND <= '0' ;
   DFFPCE (nx19,GND,aclear,clk_en,clock,nx20) ;
   DFFPCE (nx21,GND,aclear,clk_en,clock,nx22) ;
   DFFPCE (nx23,GND,aclear,clk_en,clock,nx24) ;
   DFFPCE (nx25,GND,aclear,clk_en,clock,nx26) ;
   DFFPCE (nx27,GND,aclear,clk_en,clock,nx28) ;
   DFFPCE (nx29,GND,aclear,clk_en,clock,nx30) ;
   DFFPCE (nx31,GND,aclear,clk_en,clock,nx32) ;
   dec : dec_7u_7u_0_0 port map ( cin=>GND, a(6)=>nx20, a(5)=>nx22, a(4)=>
      nx24, a(3)=>nx26, a(2)=>nx28, a(1)=>nx30, a(0)=>nx32, d(6)=>nx33, d(5)
      =>nx34, d(4)=>nx35, d(3)=>nx36, d(2)=>nx37, d(1)=>nx38, d(0)=>nx39, 
      cout=>DANGLING(0));
   nx41 <= data(6) when sload = '1' else nx33 ;
   nx43 <= data(5) when sload = '1' else nx34 ;
   nx45 <= data(4) when sload = '1' else nx35 ;
   nx47 <= data(3) when sload = '1' else nx36 ;
   nx49 <= data(2) when sload = '1' else nx37 ;
   nx51 <= data(1) when sload = '1' else nx38 ;
   nx53 <= data(0) when sload = '1' else nx39 ;
   NOT_SCLEAR <= NOT sclear ;
   nx19 <= nx41 AND NOT_SCLEAR ;
   nx21 <= nx43 AND NOT_SCLEAR ;
   nx23 <= nx45 AND NOT_SCLEAR ;
   nx25 <= nx47 AND NOT_SCLEAR ;
   nx27 <= nx49 AND NOT_SCLEAR ;
   nx29 <= nx51 AND NOT_SCLEAR ;
   nx31 <= nx53 AND NOT_SCLEAR ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_dn_cnt_en_sload_sclear_aclear_clock_clk_en_0_8 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (7 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (7 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_dn_cnt_en_sload_sclear_aclear_clock_clk_en_0_8 ;

architecture INTERFACE of 
   counter_dn_cnt_en_sload_sclear_aclear_clock_clk_en_0_8 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component dec_8u_8u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (7 DOWNTO 0) ;
         d : OUT std_logic_vector (7 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx21, nx24, nx27, nx30, nx31, nx32, nx33, nx34, nx35, nx36, 
      nx37, nx38, nx39, nx40, nx41, nx42, nx43, nx44, nx45, nx46, nx47, nx48, 
      nx49, nx50, nx51, nx52, nx53, nx55, nx57, nx59, nx61, nx63, nx65, nx67, 
      nx69, NOT_nx23: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(7) <= nx31 ;
   q(6) <= nx33 ;
   q(5) <= nx35 ;
   q(4) <= nx37 ;
   q(3) <= nx39 ;
   q(2) <= nx41 ;
   q(1) <= nx43 ;
   q(0) <= nx45 ;
   GND <= '0' ;
   nx21 <= cnt_en OR sload ;
   nx24 <= nx21 OR sclear ;
   nx27 <= nx24 AND clk_en ;
   DFFPCE (nx30,GND,aclear,nx27,clock,nx31) ;
   DFFPCE (nx32,GND,aclear,nx27,clock,nx33) ;
   DFFPCE (nx34,GND,aclear,nx27,clock,nx35) ;
   DFFPCE (nx36,GND,aclear,nx27,clock,nx37) ;
   DFFPCE (nx38,GND,aclear,nx27,clock,nx39) ;
   DFFPCE (nx40,GND,aclear,nx27,clock,nx41) ;
   DFFPCE (nx42,GND,aclear,nx27,clock,nx43) ;
   DFFPCE (nx44,GND,aclear,nx27,clock,nx45) ;
   dec : dec_8u_8u_0_0 port map ( cin=>GND, a(7)=>nx31, a(6)=>nx33, a(5)=>
      nx35, a(4)=>nx37, a(3)=>nx39, a(2)=>nx41, a(1)=>nx43, a(0)=>nx45, d(7)
      =>nx46, d(6)=>nx47, d(5)=>nx48, d(4)=>nx49, d(3)=>nx50, d(2)=>nx51, 
      d(1)=>nx52, d(0)=>nx53, cout=>DANGLING(0));
   nx55 <= data(7) when sload = '1' else nx46 ;
   nx57 <= data(6) when sload = '1' else nx47 ;
   nx59 <= data(5) when sload = '1' else nx48 ;
   nx61 <= data(4) when sload = '1' else nx49 ;
   nx63 <= data(3) when sload = '1' else nx50 ;
   nx65 <= data(2) when sload = '1' else nx51 ;
   nx67 <= data(1) when sload = '1' else nx52 ;
   nx69 <= data(0) when sload = '1' else nx53 ;
   NOT_nx23 <= NOT sclear ;
   nx30 <= nx55 AND NOT_nx23 ;
   nx32 <= nx57 AND NOT_nx23 ;
   nx34 <= nx59 AND NOT_nx23 ;
   nx36 <= nx61 AND NOT_nx23 ;
   nx38 <= nx63 AND NOT_nx23 ;
   nx40 <= nx65 AND NOT_nx23 ;
   nx42 <= nx67 AND NOT_nx23 ;
   nx44 <= nx69 AND NOT_nx23 ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity Back_end_IF_8_4_0_40 is 
   port (
      Active_command : IN std_logic_vector (15 DOWNTO 0) ;
      Active_command_update : IN std_logic ;
      BIT_word : IN std_logic_vector (15 DOWNTO 0) ;
      Bus_Channel_status : IN std_logic_vector (10 DOWNTO 0) ;
      CE : IN std_logic ;
      CPU_ResetN : IN std_logic ;
      Clock : IN std_logic ;
      Data_in : IN std_logic_vector (15 DOWNTO 0) ;
      FE_Address : IN std_logic_vector (15 DOWNTO 0) ;
      Host_Status_Bits : IN std_logic_vector (10 DOWNTO 0) ;
      IDLE_MORE_THAN_NO_RESPONSE : IN std_logic ;
      Inhibit_TF : IN std_logic ;
      MODE_CODE1553A : IN std_logic ;
      Message_ended_OK : IN std_logic ;
      Read_req : IN std_logic ;
      Valid_command : IN std_logic ;
      Wrap_Address : IN std_logic_vector (4 DOWNTO 0) ;
      Write_Req : IN std_logic ;
      Write_data : IN std_logic_vector (15 DOWNTO 0) ;
      Xmitting_A : IN std_logic ;
      Xmitting_B : IN std_logic ;
      illegal_command : IN std_logic ;
      reset_RT_received : IN std_logic ;
      Channel_status : OUT std_logic_vector (10 DOWNTO 0) ;
      Clock_enable : OUT std_logic ;
      Read : OUT std_logic ;
      Write_Ack : OUT std_logic ;
      read_Ack : OUT std_logic ;
      read_Data : OUT std_logic_vector (15 DOWNTO 0) ;
      Address : OUT std_logic_vector (15 DOWNTO 0) ;
      Data_out : OUT std_logic_vector (15 DOWNTO 0) ;
      Last_command : OUT std_logic_vector (15 DOWNTO 0) ;
      ResetN : OUT std_logic ;
      Write : OUT std_logic) ;
end Back_end_IF_8_4_0_40 ;

architecture Sital_Ofer_Hofman_no_reset_unfold_4194 of Back_end_IF_8_4_0_40
    is 
   component and_11u_11u
      port (
         a : IN std_logic_vector (10 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_8u_8u
      port (
         a : IN std_logic_vector (7 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_7u_7u
      port (
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_8u_8u
      port (
         a : IN std_logic_vector (7 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component counter_dn_sload_sclear_aclear_clock_clk_en_0_7
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (6 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (6 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_dn_cnt_en_sload_sclear_aclear_clock_clk_en_0_8
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (7 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (7 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   procedure DFFPC (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           q <= data and data ;    -- takes care of q<='X' if data='Z'
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPC ;
   procedure DFFRSE (
      constant data   : in std_logic;
      constant set    : in std_logic;
      constant reset  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (clk'event and clk'last_value = '0' and clk = '1') then
           if (reset = '1') then
               q <= '0' ;
           elsif (set = '1') then
               q <= '1' ;
           elsif (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((set/='1' or reset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFRSE ;
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component and_6u_6u
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   signal Read_EXMPLR1185: std_logic ;
   
   signal Last_command_EXMPLR1229: std_logic_vector (15 DOWNTO 0) ;
   
   signal ResetN_EXMPLR1220, Write_EXMPLR1221, CPU_ResetN_D: std_logic ;
   
   signal Cycle: std_logic_vector (6 DOWNTO 0) ;
   
   signal Message_ended_OK_level: std_logic ;
   
   signal Reset_Count_Down: std_logic_vector (7 DOWNTO 0) ;
   
   signal mode_word, GND, PWR, mode_word_3n0s2, not_MODE_CODE1553A, 
      mode_word_3n0s3, not_CPU_ResetN, not_ResetN, not_rtlcs3, not_Read_req, 
      rtlc8_X_0_n250, rtlc8n294, rtlc8n295: std_logic ;
   
   signal read_Data_11n3ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal rtlc14n57, rtlc17_Channel_status_D_n4_10, 
      rtlc17_Channel_status_D_n4_4, rtlc17_Channel_status_D_n4_0, rtlc17n34, 
      rtlc17n68, not_CPU_ResetN_D, rtlc20n43, rtlc20n44, rtlc20n46, 
      rtlc20n47, not_rtlc20n47, rtlc20n125, rtlc20n151, rtlc23n34, rtlc23n35, 
      rtlc23n68, rtlcn23, rtlcn28, rtlcn36, rtlcn43, rtlcn46, rtlcn49, 
      rtlcn52, rtlcn55, rtlcn58, rtlcn61, rtlcn64, rtlcn67, rtlcn70, rtlcn73, 
      rtlcn76, rtlcn79, rtlcn82, rtlcn85, rtlcn88, not_CE, not_rtlcs6, 
      not_Write, rtlcn104, rtlcn105, rtlcn106, not_Write_Req, rtlcn108, 
      rtlcn109, rtlcs3, rtlcs4, rtlcs6, rtlcs8, rtlcs9, rtlcs10, 
      not_Inhibit_TF, not_Reset_Count_Down_7, not_Reset_Count_Down_6, 
      not_Reset_Count_Down_5, not_Reset_Count_Down_4, not_Reset_Count_Down_3, 
      not_Reset_Count_Down_2, not_Reset_Count_Down_1, not_Active_command_4, 
      not_Active_command_2, not_Active_command_1, not_Active_command_0, 
      not_Active_command_9, not_Active_command_8, not_Active_command_7, 
      not_Active_command_6, not_Active_command_5, not_Cycle_6, not_Cycle_5, 
      not_Cycle_4, not_Cycle_3, not_Cycle_2, not_Cycle_1, not_Cycle_0, 
      not_Address_9, not_Address_8, not_Address_7, not_Address_6, 
      not_Address_5, not_Address_3, not_Address_2, rtlcn165, rtlcn166, 
      rtlc8_63_and_795_nx0, rtlc_238_or_796_nx0, rtlc_241_and_797_nx0, 
      rtlc_374_and_798_nx0: std_logic ;

begin
   Read <= Read_EXMPLR1185 ;
   Address(15) <= GND ;
   Address(14) <= GND ;
   Address(13) <= GND ;
   Address(12) <= GND ;
   Address(11) <= GND ;
   Address(10) <= GND ;
   Address(9) <= GND ;
   Address(8) <= GND ;
   Address(7) <= GND ;
   Address(6) <= GND ;
   Address(5) <= GND ;
   Address(4) <= GND ;
   Address(3) <= GND ;
   Address(2) <= GND ;
   Address(1) <= GND ;
   Address(0) <= GND ;
   Data_out(15) <= GND ;
   Data_out(14) <= GND ;
   Data_out(13) <= GND ;
   Data_out(12) <= GND ;
   Data_out(11) <= GND ;
   Data_out(10) <= GND ;
   Data_out(9) <= GND ;
   Data_out(8) <= GND ;
   Data_out(7) <= GND ;
   Data_out(6) <= GND ;
   Data_out(5) <= GND ;
   Data_out(4) <= GND ;
   Data_out(3) <= GND ;
   Data_out(2) <= GND ;
   Data_out(1) <= GND ;
   Data_out(0) <= GND ;
   Last_command(15) <= Last_command_EXMPLR1229(15) ;
   Last_command(14) <= Last_command_EXMPLR1229(14) ;
   Last_command(13) <= Last_command_EXMPLR1229(13) ;
   Last_command(12) <= Last_command_EXMPLR1229(12) ;
   Last_command(11) <= Last_command_EXMPLR1229(11) ;
   Last_command(10) <= Last_command_EXMPLR1229(10) ;
   Last_command(9) <= Last_command_EXMPLR1229(9) ;
   Last_command(8) <= Last_command_EXMPLR1229(8) ;
   Last_command(7) <= Last_command_EXMPLR1229(7) ;
   Last_command(6) <= Last_command_EXMPLR1229(6) ;
   Last_command(5) <= Last_command_EXMPLR1229(5) ;
   Last_command(4) <= Last_command_EXMPLR1229(4) ;
   Last_command(3) <= Last_command_EXMPLR1229(3) ;
   Last_command(2) <= Last_command_EXMPLR1229(2) ;
   Last_command(1) <= Last_command_EXMPLR1229(1) ;
   Last_command(0) <= Last_command_EXMPLR1229(0) ;
   ResetN <= ResetN_EXMPLR1220 ;
   Write <= Write_EXMPLR1221 ;
   GND <= '0' ;
   PWR <= '1' ;
   mode_word <= mode_word_3n0s2 OR mode_word_3n0s3 ;
   not_MODE_CODE1553A <= NOT MODE_CODE1553A ;
   rtlc17_Channel_status_D_n4_4 <= Bus_Channel_status(4) OR 
   Host_Status_Bits(4) ;
   rtlc17_Channel_status_D_n4_10 <= Bus_Channel_status(10) OR 
   Host_Status_Bits(10) ;
   rtlc17n34 <= Valid_command OR IDLE_MORE_THAN_NO_RESPONSE ;
   rtlc20n125 <= rtlcs6 AND not_rtlc20n47 ;
   rtlc20n43 <= Message_ended_OK OR Xmitting_A ;
   rtlc20n44 <= rtlc20n43 OR Xmitting_B ;
   rtlc20n46 <= rtlc20n44 OR Message_ended_OK_level ;
   rtlc20n47 <= rtlc20n46 AND reset_RT_received ;
   rtlc23n34 <= rtlcs9 OR rtlcs8 ;
   rtlc23n35 <= Message_ended_OK AND rtlc23n34 ;
   not_rtlc20n47 <= NOT rtlc20n47 ;
   not_CPU_ResetN <= NOT CPU_ResetN ;
   not_CPU_ResetN_D <= NOT CPU_ResetN_D ;
   not_ResetN <= NOT ResetN_EXMPLR1220 ;
   not_CE <= NOT CE ;
   not_rtlcs6 <= NOT rtlcs6 ;
   rtlcn28 <= rtlcs3 AND Write_EXMPLR1221 ;
   not_Write <= NOT Write_EXMPLR1221 ;
   read_Data_11n3ss1(0) <= rtlcn43 when rtlcs10 = '1' else Data_in(0) ;
   read_Data_11n3ss1(1) <= rtlcn46 when rtlcs10 = '1' else Data_in(1) ;
   read_Data_11n3ss1(2) <= rtlcn49 when rtlcs10 = '1' else Data_in(2) ;
   read_Data_11n3ss1(3) <= rtlcn52 when rtlcs10 = '1' else Data_in(3) ;
   read_Data_11n3ss1(4) <= rtlcn55 when rtlcs10 = '1' else Data_in(4) ;
   read_Data_11n3ss1(5) <= rtlcn58 when rtlcs10 = '1' else Data_in(5) ;
   read_Data_11n3ss1(6) <= rtlcn61 when rtlcs10 = '1' else Data_in(6) ;
   read_Data_11n3ss1(7) <= rtlcn64 when rtlcs10 = '1' else Data_in(7) ;
   read_Data_11n3ss1(8) <= rtlcn67 when rtlcs10 = '1' else Data_in(8) ;
   read_Data_11n3ss1(9) <= rtlcn70 when rtlcs10 = '1' else Data_in(9) ;
   read_Data_11n3ss1(10) <= rtlcn73 when rtlcs10 = '1' else Data_in(10) ;
   read_Data_11n3ss1(11) <= rtlcn76 when rtlcs10 = '1' else Data_in(11) ;
   read_Data_11n3ss1(12) <= rtlcn79 when rtlcs10 = '1' else Data_in(12) ;
   read_Data_11n3ss1(13) <= rtlcn82 when rtlcs10 = '1' else Data_in(13) ;
   read_Data_11n3ss1(14) <= rtlcn85 when rtlcs10 = '1' else Data_in(14) ;
   read_Data_11n3ss1(15) <= rtlcn88 when rtlcs10 = '1' else Data_in(15) ;
   rtlcn43 <= BIT_word(0) when FE_Address(0) = '1' else 
   Last_command_EXMPLR1229(0) ;
   rtlcn46 <= BIT_word(1) when FE_Address(0) = '1' else 
   Last_command_EXMPLR1229(1) ;
   rtlcn49 <= BIT_word(2) when FE_Address(0) = '1' else 
   Last_command_EXMPLR1229(2) ;
   rtlcn52 <= BIT_word(3) when FE_Address(0) = '1' else 
   Last_command_EXMPLR1229(3) ;
   rtlcn55 <= BIT_word(4) when FE_Address(0) = '1' else 
   Last_command_EXMPLR1229(4) ;
   rtlcn58 <= BIT_word(5) when FE_Address(0) = '1' else 
   Last_command_EXMPLR1229(5) ;
   rtlcn61 <= BIT_word(6) when FE_Address(0) = '1' else 
   Last_command_EXMPLR1229(6) ;
   rtlcn64 <= BIT_word(7) when FE_Address(0) = '1' else 
   Last_command_EXMPLR1229(7) ;
   rtlcn67 <= BIT_word(8) when FE_Address(0) = '1' else 
   Last_command_EXMPLR1229(8) ;
   rtlcn70 <= BIT_word(9) when FE_Address(0) = '1' else 
   Last_command_EXMPLR1229(9) ;
   rtlcn73 <= BIT_word(10) when FE_Address(0) = '1' else 
   Last_command_EXMPLR1229(10) ;
   rtlcn76 <= BIT_word(11) when FE_Address(0) = '1' else 
   Last_command_EXMPLR1229(11) ;
   rtlcn79 <= BIT_word(12) when FE_Address(0) = '1' else 
   Last_command_EXMPLR1229(12) ;
   rtlcn82 <= BIT_word(13) when FE_Address(0) = '1' else 
   Last_command_EXMPLR1229(13) ;
   rtlcn85 <= BIT_word(14) when FE_Address(0) = '1' else 
   Last_command_EXMPLR1229(14) ;
   rtlcn88 <= BIT_word(15) when FE_Address(0) = '1' else 
   Last_command_EXMPLR1229(15) ;
   not_Write_Req <= NOT Write_Req ;
   rtlcn104 <= rtlcs3 OR rtlcn108 ;
   rtlc8n295 <= CE AND rtlcn104 ;
   not_Read_req <= NOT Read_req ;
   not_rtlcs3 <= NOT rtlcs3 ;
   rtlcn109 <= Write_Req AND rtlcs4 ;
   rtlcn105 <= rtlcs3 OR rtlcn109 ;
   rtlc8n294 <= CE AND rtlcn105 ;
   rtlc14n57 <= CE AND Active_command_update ;
   rtlc17n68 <= CE AND rtlc17n34 ;
   rtlcn106 <= reset_RT_received OR rtlc23n35 ;
   rtlc23n68 <= CE AND rtlcn106 ;
   not_Inhibit_TF <= NOT Inhibit_TF ;
   rtlc17_Channel_status_D_n4_0 <= Host_Status_Bits(0) AND not_Inhibit_TF ;
   not_Reset_Count_Down_7 <= NOT Reset_Count_Down(7) ;
   not_Reset_Count_Down_6 <= NOT Reset_Count_Down(6) ;
   not_Reset_Count_Down_5 <= NOT Reset_Count_Down(5) ;
   not_Reset_Count_Down_4 <= NOT Reset_Count_Down(4) ;
   not_Reset_Count_Down_3 <= NOT Reset_Count_Down(3) ;
   not_Reset_Count_Down_2 <= NOT Reset_Count_Down(2) ;
   not_Reset_Count_Down_1 <= NOT Reset_Count_Down(1) ;
   not_Active_command_4 <= NOT Active_command(4) ;
   not_Active_command_2 <= NOT Active_command(2) ;
   not_Active_command_1 <= NOT Active_command(1) ;
   not_Active_command_0 <= NOT Active_command(0) ;
   rtlc_404_and_800 : and_11u_11u port map ( a(10)=>Active_command(10), a(9)
      =>Active_command(9), a(8)=>Active_command(8), a(7)=>Active_command(7), 
      a(6)=>Active_command(6), a(5)=>Active_command(5), a(4)=>
      not_Active_command_4, a(3)=>Active_command(3), a(2)=>
      not_Active_command_2, a(1)=>not_Active_command_1, a(0)=>
      not_Active_command_0, d=>rtlcs9);
   not_Active_command_9 <= NOT Active_command(9) ;
   not_Active_command_8 <= NOT Active_command(8) ;
   not_Active_command_7 <= NOT Active_command(7) ;
   not_Active_command_6 <= NOT Active_command(6) ;
   not_Active_command_5 <= NOT Active_command(5) ;
   rtlc_414_and_801 : and_11u_11u port map ( a(10)=>Active_command(10), a(9)
      =>not_Active_command_9, a(8)=>not_Active_command_8, a(7)=>
      not_Active_command_7, a(6)=>not_Active_command_6, a(5)=>
      not_Active_command_5, a(4)=>not_Active_command_4, a(3)=>
      Active_command(3), a(2)=>not_Active_command_2, a(1)=>
      not_Active_command_1, a(0)=>not_Active_command_0, d=>rtlcs8);
   rtlc_423_and_802 : and_8u_8u port map ( a(7)=>not_Reset_Count_Down_7, 
      a(6)=>not_Reset_Count_Down_6, a(5)=>not_Reset_Count_Down_5, a(4)=>
      not_Reset_Count_Down_4, a(3)=>not_Reset_Count_Down_3, a(2)=>
      not_Reset_Count_Down_2, a(1)=>not_Reset_Count_Down_1, a(0)=>
      Reset_Count_Down(0), d=>rtlcs6);
   not_Cycle_6 <= NOT Cycle(6) ;
   not_Cycle_5 <= NOT Cycle(5) ;
   not_Cycle_4 <= NOT Cycle(4) ;
   not_Cycle_3 <= NOT Cycle(3) ;
   not_Cycle_2 <= NOT Cycle(2) ;
   not_Cycle_1 <= NOT Cycle(1) ;
   not_Cycle_0 <= NOT Cycle(0) ;
   rtlc_436_and_803 : and_7u_7u port map ( a(6)=>not_Cycle_6, a(5)=>
      not_Cycle_5, a(4)=>not_Cycle_4, a(3)=>not_Cycle_3, a(2)=>not_Cycle_2, 
      a(1)=>not_Cycle_1, a(0)=>not_Cycle_0, d=>rtlcs4);
   rtlc_443_and_804 : and_7u_7u port map ( a(6)=>not_Cycle_6, a(5)=>
      not_Cycle_5, a(4)=>not_Cycle_4, a(3)=>not_Cycle_3, a(2)=>not_Cycle_2, 
      a(1)=>Cycle(1), a(0)=>not_Cycle_0, d=>rtlcs3);
   not_Address_9 <= NOT FE_Address(9) ;
   not_Address_8 <= NOT FE_Address(8) ;
   not_Address_7 <= NOT FE_Address(7) ;
   not_Address_6 <= NOT FE_Address(6) ;
   not_Address_5 <= NOT FE_Address(5) ;
   mode_word_and_3i1 : and_5u_5u port map ( a(4)=>not_Address_9, a(3)=>
      not_Address_8, a(2)=>not_Address_7, a(1)=>not_Address_6, a(0)=>
      not_Address_5, d=>mode_word_3n0s2);
   not_Address_3 <= NOT FE_Address(3) ;
   not_Address_2 <= NOT FE_Address(2) ;
   rtlc_458_and_807 : and_5u_5u port map ( a(4)=>mode_word, a(3)=>
      FE_Address(4), a(2)=>not_Address_3, a(1)=>not_Address_2, a(0)=>
      FE_Address(1), d=>rtlcs10);
   Clock_enable <= CE ;
   rtlcn165 <= illegal_command OR rtlcn23 ;
   rtlc_489_or_808 : or_8u_8u port map ( a(7)=>Reset_Count_Down(0), a(6)=>
      Reset_Count_Down(1), a(5)=>Reset_Count_Down(2), a(4)=>
      Reset_Count_Down(3), a(3)=>Reset_Count_Down(4), a(2)=>
      Reset_Count_Down(5), a(1)=>Reset_Count_Down(6), a(0)=>
      Reset_Count_Down(7), d=>rtlc20n151);
   modgen_counter_Cycle : counter_dn_sload_sclear_aclear_clock_clk_en_0_7
       port map ( clock=>Clock, q(6)=>Cycle(6), q(5)=>Cycle(5), q(4)=>
      Cycle(4), q(3)=>Cycle(3), q(2)=>Cycle(2), q(1)=>Cycle(1), q(0)=>
      Cycle(0), clk_en=>CE, aclear=>not_ResetN, sload=>rtlcs4, data(6)=>PWR, 
      data(5)=>GND, data(4)=>PWR, data(3)=>GND, data(2)=>GND, data(1)=>GND, 
      data(0)=>PWR, aset=>GND, sclear=>rtlc8_X_0_n250, updn=>GND, cnt_en=>
      PWR);
   modgen_counter_Reset_Count_Down : 
      counter_dn_cnt_en_sload_sclear_aclear_clock_clk_en_0_8 port map ( 
      clock=>Clock, q(7)=>Reset_Count_Down(7), q(6)=>Reset_Count_Down(6), 
      q(5)=>Reset_Count_Down(5), q(4)=>Reset_Count_Down(4), q(3)=>
      Reset_Count_Down(3), q(2)=>Reset_Count_Down(2), q(1)=>
      Reset_Count_Down(1), q(0)=>Reset_Count_Down(0), clk_en=>CE, aclear=>
      not_CPU_ResetN_D, sload=>rtlc20n47, data(7)=>PWR, data(6)=>GND, 
      data(5)=>GND, data(4)=>PWR, data(3)=>PWR, data(2)=>PWR, data(1)=>PWR, 
      data(0)=>PWR, aset=>GND, sclear=>rtlc20n125, updn=>GND, cnt_en=>
      rtlc20n151);
   DFFPC (CPU_ResetN,GND,GND,Clock,CPU_ResetN_D) ;
   DFFRSE (rtlcn166,GND,not_CPU_ResetN,PWR,Clock,ResetN_EXMPLR1220) ;
   DFFPCE (not_rtlcs3,GND,not_ResetN,rtlc8n295,Clock,Read_EXMPLR1185) ;
   DFFPCE (rtlcn28,GND,not_ResetN,CE,Clock,Write_Ack) ;
   DFFPCE (rtlcn36,GND,not_ResetN,CE,Clock,read_Ack) ;
   DFFPCE (not_rtlcs3,GND,not_ResetN,rtlc8n294,Clock,Write_EXMPLR1221) ;
   DFFPCE (read_Data_11n3ss1(15),GND,not_ResetN,CE,Clock,read_Data(15)) ;
   DFFPCE (read_Data_11n3ss1(14),GND,not_ResetN,CE,Clock,read_Data(14)) ;
   DFFPCE (read_Data_11n3ss1(13),GND,not_ResetN,CE,Clock,read_Data(13)) ;
   DFFPCE (read_Data_11n3ss1(12),GND,not_ResetN,CE,Clock,read_Data(12)) ;
   DFFPCE (read_Data_11n3ss1(11),GND,not_ResetN,CE,Clock,read_Data(11)) ;
   DFFPCE (read_Data_11n3ss1(10),GND,not_ResetN,CE,Clock,read_Data(10)) ;
   DFFPCE (read_Data_11n3ss1(9),GND,not_ResetN,CE,Clock,read_Data(9)) ;
   DFFPCE (read_Data_11n3ss1(8),GND,not_ResetN,CE,Clock,read_Data(8)) ;
   DFFPCE (read_Data_11n3ss1(7),GND,not_ResetN,CE,Clock,read_Data(7)) ;
   DFFPCE (read_Data_11n3ss1(6),GND,not_ResetN,CE,Clock,read_Data(6)) ;
   DFFPCE (read_Data_11n3ss1(5),GND,not_ResetN,CE,Clock,read_Data(5)) ;
   DFFPCE (read_Data_11n3ss1(4),GND,not_ResetN,CE,Clock,read_Data(4)) ;
   DFFPCE (read_Data_11n3ss1(3),GND,not_ResetN,CE,Clock,read_Data(3)) ;
   DFFPCE (read_Data_11n3ss1(2),GND,not_ResetN,CE,Clock,read_Data(2)) ;
   DFFPCE (read_Data_11n3ss1(1),GND,not_ResetN,CE,Clock,read_Data(1)) ;
   DFFPCE (read_Data_11n3ss1(0),GND,not_ResetN,CE,Clock,read_Data(0)) ;
   DFFPCE (Active_command(15),GND,not_CPU_ResetN,rtlc14n57,Clock,
   Last_command_EXMPLR1229(15)) ;
   DFFPCE (Active_command(14),GND,not_CPU_ResetN,rtlc14n57,Clock,
   Last_command_EXMPLR1229(14)) ;
   DFFPCE (Active_command(13),GND,not_CPU_ResetN,rtlc14n57,Clock,
   Last_command_EXMPLR1229(13)) ;
   DFFPCE (Active_command(12),GND,not_CPU_ResetN,rtlc14n57,Clock,
   Last_command_EXMPLR1229(12)) ;
   DFFPCE (Active_command(11),GND,not_CPU_ResetN,rtlc14n57,Clock,
   Last_command_EXMPLR1229(11)) ;
   DFFPCE (Active_command(10),GND,not_CPU_ResetN,rtlc14n57,Clock,
   Last_command_EXMPLR1229(10)) ;
   DFFPCE (Active_command(9),GND,not_CPU_ResetN,rtlc14n57,Clock,
   Last_command_EXMPLR1229(9)) ;
   DFFPCE (Active_command(8),GND,not_CPU_ResetN,rtlc14n57,Clock,
   Last_command_EXMPLR1229(8)) ;
   DFFPCE (Active_command(7),GND,not_CPU_ResetN,rtlc14n57,Clock,
   Last_command_EXMPLR1229(7)) ;
   DFFPCE (Active_command(6),GND,not_CPU_ResetN,rtlc14n57,Clock,
   Last_command_EXMPLR1229(6)) ;
   DFFPCE (Active_command(5),GND,not_CPU_ResetN,rtlc14n57,Clock,
   Last_command_EXMPLR1229(5)) ;
   DFFPCE (Active_command(4),GND,not_CPU_ResetN,rtlc14n57,Clock,
   Last_command_EXMPLR1229(4)) ;
   DFFPCE (Active_command(3),GND,not_CPU_ResetN,rtlc14n57,Clock,
   Last_command_EXMPLR1229(3)) ;
   DFFPCE (Active_command(2),GND,not_CPU_ResetN,rtlc14n57,Clock,
   Last_command_EXMPLR1229(2)) ;
   DFFPCE (Active_command(1),GND,not_CPU_ResetN,rtlc14n57,Clock,
   Last_command_EXMPLR1229(1)) ;
   DFFPCE (Active_command(0),GND,not_CPU_ResetN,rtlc14n57,Clock,
   Last_command_EXMPLR1229(0)) ;
   DFFPCE (rtlc17_Channel_status_D_n4_10,GND,not_ResetN,CE,Clock,
   Channel_status(10)) ;
   DFFPCE (Host_Status_Bits(9),GND,not_ResetN,CE,Clock,Channel_status(9)) ;
   DFFPCE (Host_Status_Bits(8),GND,not_ResetN,CE,Clock,Channel_status(8)) ;
   DFFPCE (Host_Status_Bits(7),GND,not_ResetN,CE,Clock,Channel_status(7)) ;
   DFFPCE (Host_Status_Bits(6),GND,not_ResetN,CE,Clock,Channel_status(6)) ;
   DFFPCE (Host_Status_Bits(5),GND,not_ResetN,CE,Clock,Channel_status(5)) ;
   DFFPCE (rtlc17_Channel_status_D_n4_4,GND,not_ResetN,CE,Clock,
   Channel_status(4)) ;
   DFFPCE (Host_Status_Bits(3),GND,not_ResetN,rtlc17n68,Clock,
   Channel_status(3)) ;
   DFFPCE (Host_Status_Bits(2),GND,not_ResetN,CE,Clock,Channel_status(2)) ;
   DFFPCE (Host_Status_Bits(1),GND,not_ResetN,CE,Clock,Channel_status(1)) ;
   DFFPCE (rtlc17_Channel_status_D_n4_0,GND,not_ResetN,CE,Clock,
   Channel_status(0)) ;
   DFFPCE (rtlc23n35,GND,not_ResetN,rtlc23n68,Clock,Message_ended_OK_level)
    ;
   DFFPC (rtlcn165,not_CPU_ResetN_D,GND,Clock,rtlcn166) ;
   rtlc8_63_and_795_nx0 <= not_Read_req AND not_Write_Req ;
   rtlc8_X_0_n250 <= rtlc8_63_and_795_nx0 AND rtlcs4 ;
   rtlc_238_or_796_nx0 <= rtlc20n47 OR not_CE ;
   rtlcn23 <= rtlc_238_or_796_nx0 OR not_rtlcs6 ;
   rtlc_241_and_797_nx0 <= rtlcs3 AND not_Write ;
   rtlcn36 <= rtlc_241_and_797_nx0 AND Read_EXMPLR1185 ;
   rtlc_374_and_798_nx0 <= not_Write_Req AND rtlcs4 ;
   rtlcn108 <= rtlc_374_and_798_nx0 AND Read_req ;
   modgen_and_0 : and_6u_6u port map ( a(5)=>FE_Address(9), a(4)=>
      FE_Address(8), a(3)=>FE_Address(7), a(2)=>FE_Address(6), a(1)=>
      FE_Address(5), a(0)=>not_MODE_CODE1553A, d=>mode_word_3n0s3);
end Sital_Ofer_Hofman_no_reset_unfold_4194 ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity Dual_channel_stm_ver8_4_1 is 
   port (
      C : IN std_logic ;
      R : IN std_logic ;
      CE : IN std_logic ;
      Hila : IN std_logic ;
      RT_Address_valid_A : IN std_logic ;
      RT_Address_valid_B : IN std_logic ;
      Rcv_A_Sync_error : IN std_logic ;
      Rcv_A_Manchester_error : IN std_logic ;
      Rcv_A_Parity_error : IN std_logic ;
      Rcv_A_echo_back_bus : IN std_logic ;
      Rcv_A_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
      Rcv_A_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      Rcv_A_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      Rcv_A_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
      Rcv_A_RxRDY_plus_12us : IN std_logic ;
      Rcv_A_RxRDY_plus_10us : IN std_logic ;
      Rcv_A_CS : IN std_logic ;
      Rcv_A_Pre_EchoRdy : IN std_logic ;
      Rcv_A_Command_Sync : IN std_logic ;
      Rcv_A_Pre_RxRdy : IN std_logic ;
      Rcv_A_recieving : IN std_logic ;
      Rcv_B_Sync_error : IN std_logic ;
      Rcv_B_Manchester_error : IN std_logic ;
      Rcv_B_Parity_error : IN std_logic ;
      Rcv_B_echo_back_bus : IN std_logic ;
      Rcv_B_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
      Rcv_B_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      Rcv_B_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      Rcv_B_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
      Rcv_B_RxRDY_plus_12us : IN std_logic ;
      Rcv_B_RxRDY_plus_10us : IN std_logic ;
      Rcv_B_CS : IN std_logic ;
      Rcv_B_Pre_EchoRdy : IN std_logic ;
      Rcv_B_Command_Sync : IN std_logic ;
      Rcv_B_Pre_RxRdy : IN std_logic ;
      Rcv_B_recieving : IN std_logic ;
      No_Response_timeout : IN std_logic_vector (2 DOWNTO 0) ;
      TxRdy : IN std_logic ;
      Active_Bus_A : OUT std_logic ;
      Transmit_data : OUT std_logic_vector (15 DOWNTO 0) ;
      T_Sync : OUT std_logic ;
      Go : OUT std_logic ;
      end_of_tx : IN std_logic ;
      Bus_A_shut_down : OUT std_logic ;
      Bus_B_shut_down : OUT std_logic ;
      Address : OUT std_logic_vector (15 DOWNTO 0) ;
      reset_remote_terminal_received : OUT std_logic ;
      Inhibit_TF : OUT std_logic ;
      active_command : OUT std_logic_vector (15 DOWNTO 0) ;
      illegal_command : IN std_logic ;
      Do_illegal : IN std_logic ;
      Active_command_updated : OUT std_logic ;
      Message_ended_OK : OUT std_logic ;
      Message_ended_not_OK : OUT std_logic ;
      Valid_command : OUT std_logic ;
      Write_Req : OUT std_logic ;
      Write_Data : OUT std_logic_vector (15 DOWNTO 0) ;
      Write_Ack : IN std_logic ;
      read_Req : OUT std_logic ;
      read_Data : IN std_logic_vector (15 DOWNTO 0) ;
      read_Ack : IN std_logic ;
      Channel_status_out : OUT std_logic_vector (10 DOWNTO 0) ;
      Channel_status : IN std_logic_vector (10 DOWNTO 0) ;
      RT2RT_message : OUT std_logic ;
      NO_BCST : IN std_logic ;
      MODE_CODE1553A : IN std_logic) ;
end Dual_channel_stm_ver8_4_1 ;

architecture SITAL_Technology_unfold_4468 of Dual_channel_stm_ver8_4_1 is 
   component and_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_4_4
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_3_3
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         b : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component inc_6u_6u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component mux_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_6u_6u
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component eq_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         b : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component or_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_7u_7u
      port (
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_9u_9u
      port (
         a : IN std_logic_vector (8 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   signal Active_Bus_A_EXMPLR1239, Bus_A_shut_down_EXMPLR1259, 
      Bus_B_shut_down_EXMPLR1260: std_logic ;
   
   signal active_command_EXMPLR1413: std_logic_vector (15 DOWNTO 0) ;
   
   signal Valid_command_EXMPLR1295, Write_Req_EXMPLR1296, 
      Write_Data_10_EXMPLR1302, Write_Data_4_EXMPLR1308, 
      Write_Data_3_EXMPLR1309, Write_Data_2_EXMPLR1310, 
      Write_Data_1_EXMPLR1311, Write_Data_0_EXMPLR1312, read_Req_EXMPLR1314, 
      int_Go: std_logic ;
   
   signal T_Data: std_logic_vector (15 DOWNTO 0) ;
   
   signal RxRdy, Rcv_CS, Rcv_CS_continous, mode_command, BCR, Rcv_recieving, 
      RT_Address_valid, Finished_message_OK, Message_ended_not_OK_pre, 
      Message_ended_not_OK_pre_D: std_logic ;
   
   signal Mode_req: std_logic_vector (6 DOWNTO 0) ;
   
   signal tx_state: std_logic_vector (1 DOWNTO 0) ;
   
   signal rcv_state: std_logic_vector (4 DOWNTO 0) ;
   
   signal PWR, Go_0n0s4, not_Active_Bus_A, Go_0n0s5, Go_0n0s3, not_Go_0n0s3, 
      not_Valid_command, Go_0n0s8, Go_0n0s10, Go_0n0s7, 
      Channel_status_out_5_EXMPLR1347, not_R: std_logic ;
   
   signal active_command_6n13ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal Rcv_CS_6n13ss1, mode_command_6n13ss1, BCR_6n13ss1: std_logic ;
   
   signal active_command_6n14ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal Rcv_CS_6n14ss1, Active_Bus_A_6n14ss1, mode_command_6n14ss1, 
      BCR_6n14ss1, rtlc6n476, mode_command_6n1s3, not_MODE_CODE1553A, 
      mode_command_6n1s2, mode_command_6n1s5, mode_command_6n1s1, BCR_6n1s2, 
      not_rtlc6n476, not_Rcv_A_CS, rtlc6n566, mode_command_6n5s3, 
      mode_command_6n5s2, mode_command_6n5s5, mode_command_6n5s1, BCR_6n5s2, 
      not_rtlc6n566, not_Rcv_B_CS, rtlc6n648, rtlc6n657, rtlc6n658, 
      not_rtlcn140, rtlc6n705, rtlc6n714, rtlc6n715, not_rtlc6n658, 
      rtlc6n731, rtlc6n740, rtlc6n741, not_rtlcn139, rtlc6n788, rtlc6n797, 
      rtlc6n798, not_rtlc6n741, rtlc6n822, rtlc6n832, rtlc6n846, rtlc6n848, 
      rtlc6n849, rtlc6n896, rtlc6n901: std_logic ;
   
   signal ri: std_logic_vector (5 DOWNTO 0) ;
   
   signal ti: std_logic_vector (5 DOWNTO 0) ;
   
   signal ri_9n15ss1: std_logic_vector (5 DOWNTO 0) ;
   
   signal Mode_req_9n16ss1: std_logic_vector (4 DOWNTO 0) ;
   
   signal ti_9n33ss1: std_logic_vector (5 DOWNTO 0) ;
   
   signal Address_9n36ss1: std_logic_vector (4 DOWNTO 0) ;
   
   signal Mode_req_9n36ss1: std_logic_vector (4 DOWNTO 0) ;
   
   signal not_rtlcn1856, Message_ended_not_OK_9n45ss1, not_Do_illegal, 
      not_active_command_10, rtlc9n1324, rtlc9n1343, rtlc9n1345, 
      rtlc9_PS22_n1389, not_Rcv_Gap_found_0, not_Rcv_Gap_found_1, 
      not_Rcv_Gap_found_2, not_illegal_command, not_rtlc9n1842: std_logic ;
   
   signal ri_9n7s1: std_logic_vector (5 DOWNTO 0) ;
   
   signal not_rtlc9n2236, not_Message_ended_not_OK_pre, not_Rcv_Command_Sync, 
      rtlc9n1427, rtlc9n1431, rtlc9n1457, rtlc9n1458, not_rtlc9n1431, 
      not_RT_Address_valid, rtlc9n1480, rtlc9n1481, rtlc9n1487, 
      not_Write_Data_4, rtlc9n1511, rtlc9n1553, rtlc9n1555, rtlc9n1558, 
      rtlc9n1559, rtlc9n1565, rtlc9n1566, rtlc9n1567, rtlc9n1568, rtlc9n1570, 
      rtlc9n1577, not_rtlcs42, rtlc9n1596, not_rtlc9n1596, not_rtlc9n1577, 
      rtlc9n1611, rtlc9n1612, rtlc9n1614, rtlc9n1616, rtlc9n1618, rtlc9n1619, 
      rtlc9n1620, rtlc9n1621, rtlc9n1622, rtlc9n1626, rtlc9n1640, rtlc9n1642, 
      rtlc9n1675, not_rtlc9n1626, rtlc9n1693, rtlc9n1695, not_rtlcs35, 
      rtlc9n1709, not_rtlcs29, rtlc9n1717, not_rtlc9n1717, not_read_Req, 
      rtlc9n1733, rtlc9_PS110_n1738: std_logic ;
   
   signal rtlc9n1752: std_logic_vector (5 DOWNTO 0) ;
   
   signal rtlc9n1765, rtlc9n1766, not_rtlc9n1766, rtlc9n1781, rtlc9n1795, 
      rtlc9n1802, rtlc9n1803, not_BCR, rtlc9n1827, rtlc9n1831, rtlc9n1832, 
      rtlc9n1833, rtlc9n1842, not_active_command_4, rtlc9n1849, rtlc9n1850, 
      not_rtlc9n1850, rtlc9n1858, rtlc9n1860, rtlc9n1862, rtlc9n1868, 
      rtlc9n1872, not_rtlc9n1872, rtlc9n1878, rtlc9n1885, rtlc9n1892, 
      rtlc9n1893, rtlc9n1895, rtlc9n1896, rtlc9n1898, rtlc9n1901, rtlc9n1902, 
      rtlc9n1903, rtlc9n1904, rtlc9n1905, rtlc9n1906, rtlc9n1907, rtlc9n1909, 
      rtlc9n1911, rtlc9n1916, rtlc9n1932, rtlc9n1934, rtlc9n1937, rtlc9n1938, 
      rtlc9n1948, rtlc9n1949, rtlc9n1958, rtlc9n1960, rtlc9n1961, 
      not_rtlc9n1961, not_rcv_state_0, rtlc9n1980, rtlc9n1987, rtlc9n1988, 
      rtlc9n1995, rtlc9n1996, rtlc9n2003, rtlc9n2004, rtlc9n2005, 
      not_Message_ended_not_OK_pre_D, rtlc9n2022, rtlc9n2030, rtlc9n2217, 
      rtlc9n2236, rtlc9n2237, rtlc9n2259, rtlc9n2262, rtlc9n2263, rtlc9n2272, 
      rtlc9n2288, rtlc9n2304, rtlc9n2305, rtlc9n2306, rtlc9n2309, rtlc9n2311, 
      rtlc9n2317, rtlc9n2323, rtlc9n2330, rtlc9n2331, rtlc9n2333, rtlc9n2338, 
      rtlc9n2342, not_rtlc9n2342, not_rtlc9_PS22_n1389, rtlc9n2509, 
      rtlc9n2510, rtlc9n2511, rtlc9n2512, rtlc9n2513, rtlc9n2514, rtlc9n2528, 
      rtlc9n2529, rtlc9n2530, rtlc9n2531, rtlc9n2532, rtlc9n2545, rtlc9n2549, 
      rtlc9n2550, rtlc9n2568, rtlc9n2570, not_rtlcn142, rtlc12n107, 
      rtlc12n109, rtlc12n111, rtlc12n228, rtlc12n229, rtlc12n230, rtlc12n231, 
      rtlc12n238, rtlcn139, rtlcn140, rtlcn141, rtlcn142, rtlcn187, rtlcn188, 
      rtlcn189, rtlcn190, rtlcn191, rtlcn194, rtlcn261, rtlcn326, rtlcn385, 
      rtlcn506, rtlcn512, rtlcn544, rtlcn570, not_rtlcn1628, rtlcn584, 
      rtlcn585, rtlcn586, rtlcn593, rtlcn601, rtlcn651, rtlcn726, rtlcn727, 
      rtlcn733, rtlcn843, rtlcn883, not_rtlcn1634, rtlcn916, rtlcn1009, 
      not_rtlcn1436, rtlcn1015, rtlcn1016, rtlcn1224, not_rtlcn1627, 
      rtlcn1240, rtlcn1309, rtlcn1323, rtlcn1328, rtlcn1339, rtlcn1349, 
      rtlcn1352, rtlcn1353, rtlcn1354, rtlcn1361, rtlcn1365, rtlcn1432, 
      rtlcn1433, rtlcn1434, rtlcn1435, rtlcn1436, rtlcn1437, rtlcn1439, 
      rtlcn1440, rtlcn1441, rtlcn1442, rtlcn1443, rtlcn1444, rtlcn1445, 
      rtlcn1446, rtlcn1447, rtlcn1448, rtlcn1449, rtlcn1450, rtlcn1451, 
      rtlcn1452, rtlcn1453, rtlcn1455, rtlcn1458, rtlcn1459, rtlcn1460, 
      rtlcn1461, rtlcn1462, rtlcn1463, rtlcn1464, rtlcn1465, rtlcn1466, 
      rtlcn1467, rtlcn1469, rtlcn1470, rtlcn1471, rtlcn1472, rtlcn1474, 
      rtlcn1475, rtlcn1477, not_rtlc9n1733, not_rtlc9n1693, not_tx_state_1, 
      rtlcn1481, not_rtlcn1453, rtlcn1483, not_mode_command, not_rtlc9n1695, 
      not_rtlcn916, not_rtlcn1443, rtlcn1493, not_RxRdy, not_rtlcs32, 
      rtlcn1497, not_rtlc9n1458, rtlcn1499, not_rtlc9n1324, not_rtlcn1440, 
      not_rtlc9n1511, rtlcn1504, rtlcn1506, rtlcn1507, rtlcn1510, rtlcn1511, 
      rtlcn1512, rtlcn1513, not_rtlcn1463, rtlcn1515, rtlcn1517, 
      not_rtlc9n1675, rtlcn1519, not_rtlc9n2030, not_rtlc9n2022, 
      not_rtlcn1629, rtlcn1524, not_rtlcn1437, not_rtlcn1630, not_rtlcn1439, 
      rtlcn1531, not_rtlc9n1487, rtlcn1534, rtlcn1536, rtlcn1537, rtlcn1538, 
      not_rtlcn1631, not_rtlcn1632, rtlcn1543, rtlcn1545, rtlcn1547, 
      not_rtlc9n2237, not_rtlcn1633, rtlcn1554, rtlcn1555, rtlcn1558, 
      rtlcn1559, rtlcn1560, rtlcn1561, rtlcn1562, rtlcn1563, not_rtlcn1635, 
      rtlcn1570, rtlcn1571, rtlcn1572, not_rtlcs19, rtlcn1575, not_rtlcs20, 
      rtlcn1577, rtlcn1578, rtlcn1579, rtlcn1580, rtlcn1581, not_rtlcn1445, 
      rtlcn1583, rtlcn1585, rtlcn1586, not_rtlcn1435, rtlcn1588, rtlcn1590, 
      rtlcn1591, not_rtlc9n1916, rtlcn1594, not_rtlcn261, rtlcn1627, 
      rtlcn1628, rtlcn1629, rtlcn1630, rtlcn1631, rtlcn1632, rtlcn1633, 
      rtlcn1635, rtlcn1636, rtlcn1637, rtlcn1638, rtlcn1639, rtlcn1640, 
      rtlcn1641, rtlcn1642, rtlcn1643, rtlcn1644, rtlcn1645, rtlcn1646, 
      rtlcn1647, rtlcn1648, not_rtlc6n848, not_rtlc6n849, not_rtlc9n1903, 
      not_rtlc9n1904, rtlcn1653, rtlcn1655, rtlcn1656, not_rtlc9n1911, 
      not_rtlc9n1555, not_rtlc9n1909, rtlcn1662, rtlcn1663, not_tx_state_0, 
      rtlcn1666, not_rtlc9n1907, not_rtlc9n1906, not_rtlc9n1905, 
      not_rtlc9n1568, not_rtlc9n1902, not_rtlc9n1901, rtlcn1674, 
      not_rtlcn194, rtlcn1678, rtlcn1679, rtlcn1680, rtlcs1, rtlcs2, rtlcs6, 
      rtlcs7, rtlcs8, rtlcs10, rtlcs11, rtlcs15, rtlcs16, rtlcs17, rtlcs19, 
      rtlcs20, rtlcs21, rtlcs23, rtlcs24, rtlcs25, rtlcs27, rtlcs29, rtlcs30, 
      rtlcs31, rtlcs32, rtlcs33, rtlcs34, rtlcs35, rtlcs36, rtlcs37, 
      not_active_command_0, rtlcs41, rtlcs42, rtlcs43, rtlcs44, rtlcs48, 
      rtlcs50, rtlcs51, rtlcs53, rtlcs54, rtlcs56, rtlcs57, rtlcs58, rtlcs60, 
      rtlcs61, not_Rcv_B_Pre_RxRdy, not_Rcv_A_Pre_RxRdy, 
      not_active_command_1, not_active_command_3, not_active_command_2, 
      not_Rcv_B_R_Data_9, not_Rcv_B_R_Data_8, not_Rcv_B_R_Data_7, 
      not_Rcv_B_R_Data_6, not_Rcv_B_R_Data_5, not_Rcv_A_R_Data_9, 
      not_Rcv_A_R_Data_8, not_Rcv_A_R_Data_7, not_Rcv_A_R_Data_6, 
      not_Rcv_A_R_Data_5, not_ri_9n7s1_5, not_ri_9n7s1_4, not_ri_9n7s1_3, 
      not_ri_9n7s1_2, not_ri_9n7s1_1, not_ri_9n7s1_0, not_rtlc9n1752_5, 
      not_rtlc9n1752_4, not_rtlc9n1752_3, not_rtlc9n1752_2, not_rtlc9n1752_1, 
      not_rtlc9n1752_0, not_Mode_req_1, not_Mode_req_5, not_Mode_req_3, 
      not_Mode_req_4, not_Mode_req_2, not_Mode_req_0, not_Rcv_B_R_Data_3, 
      not_Rcv_B_R_Data_2, not_Rcv_B_R_Data_0, not_Rcv_A_R_Data_3, 
      not_Rcv_A_R_Data_2, not_Rcv_A_R_Data_0, not_No_Response_timeout_2, 
      not_No_Response_timeout_1, not_No_Response_timeout_0, not_Write_Data_3, 
      not_Write_Data_2, not_Write_Data_0, rtlcn1856, rtlcs62, rtlcs63: 
   std_logic ;
   
   signal Rcv_RAW_GAP: std_logic_vector (6 DOWNTO 0) ;
   
   signal Rcv_Gap_found: std_logic_vector (2 DOWNTO 0) ;
   
   signal Rcv_RxRDY_plus_10us, rtlc_Rcv_CS_n2205, Rcv_Command_Sync, 
      rtlc_Rcv_recieving_n2206, nx245, rtlc9_1017_gt_813_nx0, 
      rtlc9_1017_gt_813_nx2, rtlc9_1017_gt_813_nx4, rtlc9_1414_or_817_nx0, 
      rtlc_1934_or_850_nx0, rtlc_2143_and_851_nx0, rtlc_2145_and_852_nx0, 
      rtlc_2146_or_853_nx0, rtlc_2152_and_854_nx0, rtlc_2156_and_855_nx0, 
      rtlc_2178_or_858_nx0, rtlc_2179_and_859_nx0, rtlc_2202_and_861_nx0, 
      rtlc_2212_and_863_nx0, rtlc_2218_and_864_nx0, rtlc_2225_and_865_nx0, 
      rtlc_2252_or_871_nx0, rtlc_2266_and_872_nx0, rtlc_2267_or_873_nx0, 
      rtlc_2277_and_875_nx0, rtlc_2281_and_876_nx0, rtlc_2284_and_877_nx0, 
      rtlc_2285_or_878_nx0, rtlc_2475_or_879_nx0, rtlc_2477_or_880_nx0, 
      rtlc_2646_or_882_nx0, rtlc_2664_or_884_nx0, rtlcs38, 
      rtlc_2730_and_892_nx0, rtlc_2812_and_896_nx0, rtlc_2852_and_900_nx0, 
      rtlc_2855_and_901_nx0, rtlc_2860_and_904_nx0, nx5, nx8: std_logic ;
   
   signal DANGLING : std_logic_vector (1 downto 0 );

begin
   Active_Bus_A <= Active_Bus_A_EXMPLR1239 ;
   Bus_A_shut_down <= Bus_A_shut_down_EXMPLR1259 ;
   Bus_B_shut_down <= Bus_B_shut_down_EXMPLR1260 ;
   Address(15) <= Channel_status_out_5_EXMPLR1347 ;
   Address(14) <= Channel_status_out_5_EXMPLR1347 ;
   Address(13) <= Channel_status_out_5_EXMPLR1347 ;
   Address(12) <= Channel_status_out_5_EXMPLR1347 ;
   Address(11) <= Channel_status_out_5_EXMPLR1347 ;
   active_command(15) <= active_command_EXMPLR1413(15) ;
   active_command(14) <= active_command_EXMPLR1413(14) ;
   active_command(13) <= active_command_EXMPLR1413(13) ;
   active_command(12) <= active_command_EXMPLR1413(12) ;
   active_command(11) <= active_command_EXMPLR1413(11) ;
   active_command(10) <= active_command_EXMPLR1413(10) ;
   active_command(9) <= active_command_EXMPLR1413(9) ;
   active_command(8) <= active_command_EXMPLR1413(8) ;
   active_command(7) <= active_command_EXMPLR1413(7) ;
   active_command(6) <= active_command_EXMPLR1413(6) ;
   active_command(5) <= active_command_EXMPLR1413(5) ;
   active_command(4) <= active_command_EXMPLR1413(4) ;
   active_command(3) <= active_command_EXMPLR1413(3) ;
   active_command(2) <= active_command_EXMPLR1413(2) ;
   active_command(1) <= active_command_EXMPLR1413(1) ;
   active_command(0) <= active_command_EXMPLR1413(0) ;
   Valid_command <= Valid_command_EXMPLR1295 ;
   Write_Req <= Write_Req_EXMPLR1296 ;
   Write_Data(10) <= Write_Data_10_EXMPLR1302 ;
   Write_Data(4) <= Write_Data_4_EXMPLR1308 ;
   Write_Data(3) <= Write_Data_3_EXMPLR1309 ;
   Write_Data(2) <= Write_Data_2_EXMPLR1310 ;
   Write_Data(1) <= Write_Data_1_EXMPLR1311 ;
   Write_Data(0) <= Write_Data_0_EXMPLR1312 ;
   read_Req <= read_Req_EXMPLR1314 ;
   Channel_status_out(9) <= Channel_status_out_5_EXMPLR1347 ;
   Channel_status_out(8) <= Channel_status_out_5_EXMPLR1347 ;
   Channel_status_out(7) <= Channel_status_out_5_EXMPLR1347 ;
   Channel_status_out(6) <= Channel_status_out_5_EXMPLR1347 ;
   Channel_status_out(5) <= Channel_status_out_5_EXMPLR1347 ;
   Channel_status_out(3) <= Channel_status_out_5_EXMPLR1347 ;
   Channel_status_out(2) <= Channel_status_out_5_EXMPLR1347 ;
   Channel_status_out(1) <= Channel_status_out_5_EXMPLR1347 ;
   Channel_status_out(0) <= Channel_status_out_5_EXMPLR1347 ;
   PWR <= '1' ;
   Channel_status_out_5_EXMPLR1347 <= '0' ;
   Go <= not_Go_0n0s3 AND Go_0n0s7 ;
   not_Go_0n0s3 <= NOT Go_0n0s3 ;
   Go_0n0s3 <= Go_0n0s4 OR Go_0n0s5 ;
   Go_0n0s4 <= Bus_A_shut_down_EXMPLR1259 AND Active_Bus_A_EXMPLR1239 ;
   Go_0n0s5 <= Bus_B_shut_down_EXMPLR1260 AND not_Active_Bus_A ;
   Go_0n0s7 <= Go_0n0s8 OR Go_0n0s10 ;
   Go_0n0s8 <= int_Go AND not_Valid_command ;
   Go_and_0i1 : and_4u_4u port map ( a(3)=>read_Ack, a(2)=>
      read_Req_EXMPLR1314, a(1)=>TxRdy, a(0)=>not_Valid_command, d=>
      Go_0n0s10);
   mode_command_6n1s1 <= mode_command_6n1s2 OR mode_command_6n1s5 ;
   mode_command_6n1s2 <= mode_command_6n1s3 AND not_MODE_CODE1553A ;
   not_MODE_CODE1553A <= NOT MODE_CODE1553A ;
   mode_command_6n5s1 <= mode_command_6n5s2 OR mode_command_6n5s5 ;
   mode_command_6n5s2 <= mode_command_6n5s3 AND not_MODE_CODE1553A ;
   rtlc6n832 <= not_Rcv_B_CS OR not_rtlc6n566 ;
   rtlc6n822 <= not_Rcv_A_CS OR not_rtlc6n476 ;
   rtlc6n788 <= not_rtlcn139 OR rtlcs7 ;
   rtlc6n797 <= rtlc6n788 OR rtlcs2 ;
   rtlc6n798 <= rtlc6n797 OR MODE_CODE1553A ;
   rtlc6n740 <= RT_Address_valid_A OR BCR_6n1s2 ;
   rtlc6n731 <= Rcv_A_CS AND Rcv_A_Command_Sync ;
   rtlc6n741 <= rtlc6n731 AND rtlc6n740 ;
   rtlc6n705 <= not_rtlcn140 OR rtlcs16 ;
   rtlc6n714 <= rtlc6n705 OR rtlcs11 ;
   rtlc6n715 <= rtlc6n714 OR MODE_CODE1553A ;
   rtlc6n657 <= RT_Address_valid_B OR BCR_6n5s2 ;
   rtlc6n648 <= Rcv_B_CS AND Rcv_B_Command_Sync ;
   rtlc6n658 <= rtlc6n648 AND rtlc6n657 ;
   not_Rcv_B_CS <= NOT Rcv_B_CS ;
   rtlc6n566 <= Rcv_B_Command_Sync AND rtlc6n657 ;
   not_Rcv_A_CS <= NOT Rcv_A_CS ;
   rtlc6n476 <= Rcv_A_Command_Sync AND rtlc6n740 ;
   not_rtlcs42 <= NOT rtlcs42 ;
   not_illegal_command <= NOT illegal_command ;
   rtlc9n2237 <= not_rtlc9n2236 OR rtlc9_PS22_n1389 ;
   not_Message_ended_not_OK_pre <= NOT Message_ended_not_OK_pre ;
   rtlc9n2259 <= rcv_state(0) OR rcv_state(3) ;
   rtlc9n1614 <= rtlc9n1611 AND rtlc9n1695 ;
   rtlc9n1611 <= rtlc9n1565 AND not_rtlc9n1596 ;
   rtlc9n1827 <= rtlc9n1802 AND not_BCR ;
   rtlc9n1802 <= rtlc9n1618 AND rtlc9n1795 ;
   rtlc9n1558 <= rtlc9n1553 AND not_rtlc9n1324 ;
   rtlc9_423_select_811 : select_4_4 port map ( a(3)=>rtlc9n2259, a(2)=>
      rcv_state(1), a(1)=>rcv_state(2), a(0)=>rcv_state(4), b(3)=>PWR, b(2)
      =>rtlc9n2236, b(1)=>rtlc9n1431, b(0)=>rtlc9n1487, d=>rtlc9n1553);
   rtlc9n1612 <= rtlc9n1566 AND rtlc9n1596 ;
   rtlc9n1803 <= rtlc9n1619 AND rtlc9n1795 ;
   rtlc9n1832 <= rtlc9n1620 AND not_rtlc9n1626 ;
   rtlc9n1620 <= rtlc9n1567 AND not_rtlc9n1577 ;
   rtlc9n1559 <= rtlc9n2259 AND not_rtlc9n1324 ;
   rtlc9n1833 <= rtlc9n1565 AND not_rtlc9n1626 ;
   rtlc9n1893 <= rtlc9n1885 AND not_rtlc9n1693 ;
   rtlc9_450_select_812 : select_3_3 port map ( a(2)=>not_rtlc9n2342, a(1)=>
      rcv_state(1), a(0)=>rcv_state(2), b(2)=>PWR, b(1)=>
      not_rtlc9_PS22_n1389, b(0)=>not_rtlc9n1431, d=>rtlc9n1555);
   rtlc9n2342 <= rcv_state(1) OR rcv_state(2) ;
   not_rtlc9n2342 <= NOT rtlc9n2342 ;
   rtlc9n1616 <= not_rtlc9n1596 AND rtlc9n1695 ;
   rtlc9n1860 <= rtlc9n1858 AND not_rtlc9n1842 ;
   rtlc9n1858 <= rtlc9n1622 AND not_rtlc9n1850 ;
   rtlc9n1878 <= rtlc9n1868 AND not_rtlc9n1872 ;
   rtlc9n1868 <= rtlc9n1622 AND not_rtlc9n1766 ;
   rtlc9n1622 <= not_rtlc9n1577 OR rtlc9n1616 ;
   rtlc9n1621 <= not_rtlc9n1577 OR rtlc9n1695 ;
   rtlc9n1567 <= not_RxRdy OR rtlc9n1559 ;
   rtlc9n1566 <= not_RxRdy OR rtlc9n1558 ;
   rtlc9n1565 <= not_RxRdy OR not_rtlc9n1324 ;
   rtlc9n2030 <= Finished_message_OK AND Valid_command_EXMPLR1295 ;
   rtlc9n2022 <= not_Message_ended_not_OK_pre_D AND Message_ended_not_OK_pre
    ;
   rtlc9n1995 <= rtlc9n2550 AND rtlcs23 ;
   rtlc9n1987 <= rtlc9n2532 AND rtlcs24 ;
   rtlc9n1980 <= rtlc9n2514 AND rtlcs25 ;
   rtlc9n1988 <= rtlc9n1980 OR rtlc9n1987 ;
   rtlc9n1996 <= rtlc9n1988 OR rtlc9n1995 ;
   rtlc9n2004 <= rtlc9n1996 OR rtlc9n2003 ;
   not_rcv_state_0 <= NOT rcv_state(0) ;
   rtlc9n2005 <= not_rcv_state_0 AND rtlc9n2004 ;
   rtlc9n1958 <= read_Req_EXMPLR1314 AND TxRdy ;
   rtlc9n1960 <= rtlc9n1958 AND read_Ack ;
   rtlc9n1961 <= rtlc9n1960 OR Valid_command_EXMPLR1295 ;
   rtlc9n1948 <= Write_Req_EXMPLR1296 AND Write_Ack ;
   rtlc9n1949 <= rtlc9n1948 OR Valid_command_EXMPLR1295 ;
   rtlc9n1932 <= end_of_tx OR BCR ;
   rtlc9n1934 <= rtlc9n1932 OR Go_0n0s4 ;
   rtlc9n1937 <= rtlc9n1934 OR Go_0n0s5 ;
   rtlc9n1938 <= Finished_message_OK AND rtlc9n1937 ;
   rtlc9n1916 <= Do_illegal AND illegal_command ;
   rtlc9n1872 <= mode_command AND active_command_EXMPLR1413(4) ;
   rtlc9n1849 <= not_active_command_4 OR MODE_CODE1553A ;
   rtlc9n1850 <= mode_command AND rtlc9n1849 ;
   rtlc9n1842 <= Channel_status(3) OR illegal_command ;
   rtlc9n1781 <= mode_command AND not_MODE_CODE1553A ;
   rtlc9n1766 <= rtlcs27 OR rtlc9n1765 ;
   rtlc9n1733 <= TxRdy AND not_read_Req ;
   not_rtlcs29 <= NOT rtlcs29 ;
   not_rtlcs35 <= NOT rtlcs35 ;
   rtlc9n1709 <= rtlc9n1781 AND not_rtlcs35 ;
   rtlc9n1717 <= rtlc9n1709 AND not_rtlcs29 ;
   rtlc9n1695 <= Rcv_recieving AND Rcv_CS_continous ;
   rtlc9n1693 <= Rcv_RxRDY_plus_10us AND tx_state(0) ;
   rtlc9n1640 <= not_rcv_state_0 OR rtlcn141 ;
   rtlc9n1642 <= rtlc9n1640 AND not_Message_ended_not_OK_pre ;
   rtlc9n1675 <= rtlc9n1642 AND rtlc9n2004 ;
   rtlc9n1626 <= Valid_command_EXMPLR1295 AND active_command_EXMPLR1413(10)
    ;
   rtlc9n1596 <= BCR AND not_rtlcs42 ;
   rtlc9n1577 <= Rcv_RxRDY_plus_10us AND rcv_state(3) ;
   rtlc9n1511 <= not_Write_Data_4 OR MODE_CODE1553A ;
   rtlc9n2217 <= NOT nx245 ;
   not_RT_Address_valid <= NOT RT_Address_valid ;
   rtlc9n1480 <= Rcv_Command_Sync AND not_RT_Address_valid ;
   rtlc9n1481 <= rtlc9n1480 AND Rcv_CS ;
   rtlc9n1487 <= rtlc9n1481 AND rtlc9n2217 ;
   rtlc9n1458 <= rtlcs41 OR rtlc9n1457 ;
   not_Rcv_Command_Sync <= NOT Rcv_Command_Sync ;
   rtlc9n1427 <= not_Rcv_Command_Sync AND Rcv_CS ;
   rtlc9n1431 <= rtlc9n1427 AND rtlcs42 ;
   rtlc9_1065_and_814 : and_5u_5u port map ( a(4)=>Rcv_CS, a(3)=>
      not_Rcv_Gap_found_0, a(2)=>not_Rcv_Gap_found_1, a(1)=>
      not_Rcv_Gap_found_2, a(0)=>not_Rcv_Command_Sync, d=>rtlc9_PS22_n1389);
   rtlc9n1343 <= rtlc9n1640 AND not_rtlcn142 ;
   rtlc9n1345 <= rtlc9n1343 AND not_Message_ended_not_OK_pre ;
   rtlc9n1324 <= Valid_command_EXMPLR1295 AND not_active_command_10 ;
   not_Do_illegal <= NOT Do_illegal ;
   ri_inc6_9i1 : inc_6u_6u_0 port map ( cin=>PWR, a(5)=>ri(5), a(4)=>ri(4), 
      a(3)=>ri(3), a(2)=>ri(2), a(1)=>ri(1), a(0)=>ri(0), d(5)=>ri_9n7s1(5), 
      d(4)=>ri_9n7s1(4), d(3)=>ri_9n7s1(3), d(2)=>ri_9n7s1(2), d(1)=>
      ri_9n7s1(1), d(0)=>ri_9n7s1(0), cout=>DANGLING(0));
   rtlc9_1115_inc_816 : inc_6u_6u_0 port map ( cin=>PWR, a(5)=>ti(5), a(4)=>
      ti(4), a(3)=>ti(3), a(2)=>ti(2), a(1)=>ti(1), a(0)=>ti(0), d(5)=>
      rtlc9n1752(5), d(4)=>rtlc9n1752(4), d(3)=>rtlc9n1752(3), d(2)=>
      rtlc9n1752(2), d(1)=>rtlc9n1752(1), d(0)=>rtlc9n1752(0), cout=>
      DANGLING(1));
   not_Write_Data_4 <= NOT Write_Data_4_EXMPLR1308 ;
   not_active_command_10 <= NOT active_command_EXMPLR1413(10) ;
   not_Rcv_Gap_found_0 <= NOT Rcv_Gap_found(0) ;
   not_Rcv_Gap_found_1 <= NOT Rcv_Gap_found(1) ;
   not_Rcv_Gap_found_2 <= NOT Rcv_Gap_found(2) ;
   not_active_command_4 <= NOT active_command_EXMPLR1413(4) ;
   not_read_Req <= NOT read_Req_EXMPLR1314 ;
   not_Message_ended_not_OK_pre_D <= NOT Message_ended_not_OK_pre_D ;
   rtlc9n2511 <= Rcv_RAW_GAP(0) AND Rcv_RAW_GAP(1) ;
   rtlc9n2512 <= rtlc9n2510 OR rtlc9n2511 ;
   rtlc9n2513 <= Rcv_RAW_GAP(4) AND rtlc9n2512 ;
   rtlc9n2514 <= rtlc9n2513 OR rtlc9n2509 ;
   rtlc9n2528 <= Rcv_RAW_GAP(2) AND Rcv_RAW_GAP(1) ;
   rtlc9n2529 <= Rcv_RAW_GAP(0) AND rtlc9n2528 ;
   rtlc9n2530 <= Rcv_RAW_GAP(3) OR rtlc9n2529 ;
   rtlc9n2531 <= Rcv_RAW_GAP(4) AND rtlc9n2530 ;
   rtlc9n2532 <= rtlc9n2531 OR rtlc9n2509 ;
   rtlc9n2545 <= Rcv_RAW_GAP(5) AND Rcv_RAW_GAP(4) ;
   rtlc9n2549 <= rtlc9n2545 AND rtlc9n2512 ;
   rtlc9n2550 <= rtlc9n2549 OR Rcv_RAW_GAP(6) ;
   rtlc9_1416_and_818 : and_4u_4u port map ( a(3)=>Rcv_RAW_GAP(3), a(2)=>
      Rcv_RAW_GAP(2), a(1)=>Rcv_RAW_GAP(1), a(0)=>Rcv_RAW_GAP(0), d=>
      rtlc9n2570);
   rtlc12n107 <= Do_illegal AND Mode_req(6) ;
   rtlc12n109 <= rtlc12n107 AND not_illegal_command ;
   rtlc12n111 <= rtlc12n109 AND not_MODE_CODE1553A ;
   not_rtlcn139 <= NOT rtlcn139 ;
   not_rtlcn140 <= NOT rtlcn140 ;
   rtlc9n2510 <= Rcv_RAW_GAP(3) OR Rcv_RAW_GAP(2) ;
   rtlc9n2509 <= Rcv_RAW_GAP(6) OR Rcv_RAW_GAP(5) ;
   not_rtlcn142 <= NOT rtlcn142 ;
   rtlcn139 <= rtlcs6 OR rtlcs1 ;
   rtlcn140 <= rtlcs15 OR rtlcs10 ;
   rtlcn141 <= tx_state(0) OR tx_state(1) ;
   rtlcn142 <= rtlc9n2568 OR rtlc9n2570 ;
   rtlc9n1862 <= rtlc9n1618 AND rtlcn187 ;
   rtlc9n1892 <= rtlc9n1619 AND rtlcn188 ;
   rtlc9n1895 <= rtlc9n1621 AND rtlcn189 ;
   active_command_mux_6i1Bus12_0 : mux_4u_4u port map ( a(3)=>
      active_command_6n13ss1(0), a(2)=>Rcv_B_R_Data(0), a(1)=>
      Rcv_A_R_Data(0), a(0)=>Channel_status_out_5_EXMPLR1347, b(3)=>
      Channel_status_out_5_EXMPLR1347, b(2)=>Channel_status_out_5_EXMPLR1347, 
      b(1)=>Rcv_B_Pre_RxRdy, b(0)=>Rcv_A_Pre_RxRdy, d=>
      active_command_6n14ss1(0));
   active_command_mux_6i1Bus12_1 : mux_4u_4u port map ( a(3)=>
      active_command_6n13ss1(1), a(2)=>Rcv_B_R_Data(1), a(1)=>
      Rcv_A_R_Data(1), a(0)=>Channel_status_out_5_EXMPLR1347, b(3)=>
      Channel_status_out_5_EXMPLR1347, b(2)=>Channel_status_out_5_EXMPLR1347, 
      b(1)=>Rcv_B_Pre_RxRdy, b(0)=>Rcv_A_Pre_RxRdy, d=>
      active_command_6n14ss1(1));
   active_command_mux_6i1Bus12_2 : mux_4u_4u port map ( a(3)=>
      active_command_6n13ss1(2), a(2)=>Rcv_B_R_Data(2), a(1)=>
      Rcv_A_R_Data(2), a(0)=>Channel_status_out_5_EXMPLR1347, b(3)=>
      Channel_status_out_5_EXMPLR1347, b(2)=>Channel_status_out_5_EXMPLR1347, 
      b(1)=>Rcv_B_Pre_RxRdy, b(0)=>Rcv_A_Pre_RxRdy, d=>
      active_command_6n14ss1(2));
   active_command_mux_6i1Bus12_3 : mux_4u_4u port map ( a(3)=>
      active_command_6n13ss1(3), a(2)=>Rcv_B_R_Data(3), a(1)=>
      Rcv_A_R_Data(3), a(0)=>Channel_status_out_5_EXMPLR1347, b(3)=>
      Channel_status_out_5_EXMPLR1347, b(2)=>Channel_status_out_5_EXMPLR1347, 
      b(1)=>Rcv_B_Pre_RxRdy, b(0)=>Rcv_A_Pre_RxRdy, d=>
      active_command_6n14ss1(3));
   active_command_mux_6i1Bus12_4 : mux_4u_4u port map ( a(3)=>
      active_command_6n13ss1(4), a(2)=>Rcv_B_R_Data(4), a(1)=>
      Channel_status_out_5_EXMPLR1347, a(0)=>Channel_status_out_5_EXMPLR1347, 
      b(3)=>Channel_status_out_5_EXMPLR1347, b(2)=>
      Channel_status_out_5_EXMPLR1347, b(1)=>Rcv_B_Pre_RxRdy, b(0)=>
      Rcv_A_Pre_RxRdy, d=>active_command_6n14ss1(4));
   active_command_mux_6i1Bus12_5 : mux_4u_4u port map ( a(3)=>
      active_command_6n13ss1(5), a(2)=>Rcv_B_R_Data(5), a(1)=>
      Rcv_A_R_Data(5), a(0)=>Channel_status_out_5_EXMPLR1347, b(3)=>
      Channel_status_out_5_EXMPLR1347, b(2)=>Channel_status_out_5_EXMPLR1347, 
      b(1)=>Rcv_B_Pre_RxRdy, b(0)=>Rcv_A_Pre_RxRdy, d=>
      active_command_6n14ss1(5));
   active_command_mux_6i1Bus12_6 : mux_4u_4u port map ( a(3)=>
      active_command_6n13ss1(6), a(2)=>Rcv_B_R_Data(6), a(1)=>
      Rcv_A_R_Data(6), a(0)=>Channel_status_out_5_EXMPLR1347, b(3)=>
      Channel_status_out_5_EXMPLR1347, b(2)=>Channel_status_out_5_EXMPLR1347, 
      b(1)=>Rcv_B_Pre_RxRdy, b(0)=>Rcv_A_Pre_RxRdy, d=>
      active_command_6n14ss1(6));
   active_command_mux_6i1Bus12_7 : mux_4u_4u port map ( a(3)=>
      active_command_6n13ss1(7), a(2)=>Rcv_B_R_Data(7), a(1)=>
      Rcv_A_R_Data(7), a(0)=>Channel_status_out_5_EXMPLR1347, b(3)=>
      Channel_status_out_5_EXMPLR1347, b(2)=>Channel_status_out_5_EXMPLR1347, 
      b(1)=>Rcv_B_Pre_RxRdy, b(0)=>Rcv_A_Pre_RxRdy, d=>
      active_command_6n14ss1(7));
   active_command_mux_6i1Bus12_8 : mux_4u_4u port map ( a(3)=>
      active_command_6n13ss1(8), a(2)=>Rcv_B_R_Data(8), a(1)=>
      Rcv_A_R_Data(8), a(0)=>Channel_status_out_5_EXMPLR1347, b(3)=>
      Channel_status_out_5_EXMPLR1347, b(2)=>Channel_status_out_5_EXMPLR1347, 
      b(1)=>Rcv_B_Pre_RxRdy, b(0)=>Rcv_A_Pre_RxRdy, d=>
      active_command_6n14ss1(8));
   active_command_mux_6i1Bus12_9 : mux_4u_4u port map ( a(3)=>
      active_command_6n13ss1(9), a(2)=>Rcv_B_R_Data(9), a(1)=>
      Rcv_A_R_Data(9), a(0)=>Channel_status_out_5_EXMPLR1347, b(3)=>
      Channel_status_out_5_EXMPLR1347, b(2)=>Channel_status_out_5_EXMPLR1347, 
      b(1)=>Rcv_B_Pre_RxRdy, b(0)=>Rcv_A_Pre_RxRdy, d=>
      active_command_6n14ss1(9));
   active_command_mux_6i1Bus12_10 : mux_4u_4u port map ( a(3)=>
      active_command_6n13ss1(10), a(2)=>Rcv_B_R_Data(10), a(1)=>
      Rcv_A_R_Data(10), a(0)=>Channel_status_out_5_EXMPLR1347, b(3)=>
      Channel_status_out_5_EXMPLR1347, b(2)=>Channel_status_out_5_EXMPLR1347, 
      b(1)=>Rcv_B_Pre_RxRdy, b(0)=>Rcv_A_Pre_RxRdy, d=>
      active_command_6n14ss1(10));
   active_command_mux_6i1Bus12_11 : mux_4u_4u port map ( a(3)=>
      active_command_6n13ss1(11), a(2)=>Rcv_B_R_Data(11), a(1)=>
      Rcv_A_R_Data(11), a(0)=>Channel_status_out_5_EXMPLR1347, b(3)=>
      Channel_status_out_5_EXMPLR1347, b(2)=>Channel_status_out_5_EXMPLR1347, 
      b(1)=>Rcv_B_Pre_RxRdy, b(0)=>Rcv_A_Pre_RxRdy, d=>
      active_command_6n14ss1(11));
   active_command_mux_6i1Bus12_12 : mux_4u_4u port map ( a(3)=>
      active_command_6n13ss1(12), a(2)=>Rcv_B_R_Data(12), a(1)=>
      Rcv_A_R_Data(12), a(0)=>Channel_status_out_5_EXMPLR1347, b(3)=>
      Channel_status_out_5_EXMPLR1347, b(2)=>Channel_status_out_5_EXMPLR1347, 
      b(1)=>Rcv_B_Pre_RxRdy, b(0)=>Rcv_A_Pre_RxRdy, d=>
      active_command_6n14ss1(12));
   active_command_mux_6i1Bus12_13 : mux_4u_4u port map ( a(3)=>
      active_command_6n13ss1(13), a(2)=>Rcv_B_R_Data(13), a(1)=>
      Rcv_A_R_Data(13), a(0)=>Channel_status_out_5_EXMPLR1347, b(3)=>
      Channel_status_out_5_EXMPLR1347, b(2)=>Channel_status_out_5_EXMPLR1347, 
      b(1)=>Rcv_B_Pre_RxRdy, b(0)=>Rcv_A_Pre_RxRdy, d=>
      active_command_6n14ss1(13));
   active_command_mux_6i1Bus12_14 : mux_4u_4u port map ( a(3)=>
      active_command_6n13ss1(14), a(2)=>Rcv_B_R_Data(14), a(1)=>
      Rcv_A_R_Data(14), a(0)=>Channel_status_out_5_EXMPLR1347, b(3)=>
      Channel_status_out_5_EXMPLR1347, b(2)=>Channel_status_out_5_EXMPLR1347, 
      b(1)=>Rcv_B_Pre_RxRdy, b(0)=>Rcv_A_Pre_RxRdy, d=>
      active_command_6n14ss1(14));
   active_command_mux_6i1Bus12_15 : mux_4u_4u port map ( a(3)=>
      active_command_6n13ss1(15), a(2)=>Rcv_B_R_Data(15), a(1)=>
      Rcv_A_R_Data(15), a(0)=>Channel_status_out_5_EXMPLR1347, b(3)=>
      Channel_status_out_5_EXMPLR1347, b(2)=>Channel_status_out_5_EXMPLR1347, 
      b(1)=>Rcv_B_Pre_RxRdy, b(0)=>Rcv_A_Pre_RxRdy, d=>
      active_command_6n14ss1(15));
   Rcv_CS_mux_6i17 : mux_4u_4u port map ( a(3)=>Rcv_CS_6n13ss1, a(2)=>
      Rcv_B_CS, a(1)=>Rcv_A_CS, a(0)=>Channel_status_out_5_EXMPLR1347, b(3)
      =>Channel_status_out_5_EXMPLR1347, b(2)=>
      Channel_status_out_5_EXMPLR1347, b(1)=>Rcv_B_Pre_RxRdy, b(0)=>
      Rcv_A_Pre_RxRdy, d=>Rcv_CS_6n14ss1);
   Active_Bus_A_mux_6i18 : mux_4u_4u port map ( a(3)=>not_Active_Bus_A, a(2)
      =>Channel_status_out_5_EXMPLR1347, a(1)=>PWR, a(0)=>
      Channel_status_out_5_EXMPLR1347, b(3)=>Channel_status_out_5_EXMPLR1347, 
      b(2)=>Channel_status_out_5_EXMPLR1347, b(1)=>Rcv_B_Pre_RxRdy, b(0)=>
      Rcv_A_Pre_RxRdy, d=>Active_Bus_A_6n14ss1);
   mode_command_mux_6i19 : mux_4u_4u port map ( a(3)=>mode_command_6n13ss1, 
      a(2)=>mode_command_6n5s1, a(1)=>mode_command_6n1s1, a(0)=>
      Channel_status_out_5_EXMPLR1347, b(3)=>Channel_status_out_5_EXMPLR1347, 
      b(2)=>Channel_status_out_5_EXMPLR1347, b(1)=>Rcv_B_Pre_RxRdy, b(0)=>
      Rcv_A_Pre_RxRdy, d=>mode_command_6n14ss1);
   BCR_mux_6i20 : mux_4u_4u port map ( a(3)=>BCR_6n13ss1, a(2)=>BCR_6n5s2, 
      a(1)=>BCR_6n1s2, a(0)=>Channel_status_out_5_EXMPLR1347, b(3)=>
      Channel_status_out_5_EXMPLR1347, b(2)=>Channel_status_out_5_EXMPLR1347, 
      b(1)=>Rcv_B_Pre_RxRdy, b(0)=>Rcv_A_Pre_RxRdy, d=>BCR_6n14ss1);
   rtlc_391_mux_839 : mux_4u_4u port map ( a(3)=>rtlc6n846, a(2)=>rtlc6n832, 
      a(1)=>rtlc6n822, a(0)=>PWR, b(3)=>Channel_status_out_5_EXMPLR1347, 
      b(2)=>Channel_status_out_5_EXMPLR1347, b(1)=>Rcv_B_Pre_RxRdy, b(0)=>
      Rcv_A_Pre_RxRdy, d=>rtlc6n848);
   rtlc_392_mux_840 : mux_4u_4u port map ( a(3)=>
      Channel_status_out_5_EXMPLR1347, a(2)=>Active_Bus_A_EXMPLR1239, a(1)=>
      not_Active_Bus_A, a(0)=>PWR, b(3)=>Channel_status_out_5_EXMPLR1347, 
      b(2)=>Channel_status_out_5_EXMPLR1347, b(1)=>Rcv_B_Pre_RxRdy, b(0)=>
      Rcv_A_Pre_RxRdy, d=>rtlc6n849);
   not_rtlc9_PS22_n1389 <= NOT rtlc9_PS22_n1389 ;
   rtlc_772_select_841 : select_3_3 port map ( a(2)=>rtlc9n1693, a(1)=>
      rtlcn585, a(0)=>rtlcn586, b(2)=>rtlc9n1695, b(1)=>PWR, b(0)=>
      rtlc9_PS110_n1738, d=>rtlcn1678);
   Address_select_9i2Bus18_0 : select_3_3 port map ( a(2)=>rtlcn726, a(1)=>
      rtlcn727, a(0)=>not_rtlcn1627, b(2)=>active_command_EXMPLR1413(0), 
      b(1)=>ri(0), b(0)=>ti(0), d=>Address_9n36ss1(0));
   Address_select_9i2Bus18_1 : select_3_3 port map ( a(2)=>rtlcn726, a(1)=>
      rtlcn727, a(0)=>not_rtlcn1627, b(2)=>active_command_EXMPLR1413(1), 
      b(1)=>ri(1), b(0)=>ti(1), d=>Address_9n36ss1(1));
   Address_select_9i2Bus18_2 : select_3_3 port map ( a(2)=>rtlcn726, a(1)=>
      rtlcn727, a(0)=>not_rtlcn1627, b(2)=>active_command_EXMPLR1413(2), 
      b(1)=>ri(2), b(0)=>ti(2), d=>Address_9n36ss1(2));
   Address_select_9i2Bus18_3 : select_3_3 port map ( a(2)=>rtlcn726, a(1)=>
      rtlcn727, a(0)=>not_rtlcn1627, b(2)=>active_command_EXMPLR1413(3), 
      b(1)=>ri(3), b(0)=>ti(3), d=>Address_9n36ss1(3));
   Address_select_9i2Bus18_4 : select_3_3 port map ( a(2)=>rtlcn726, a(1)=>
      rtlcn727, a(0)=>not_rtlcn1627, b(2)=>active_command_EXMPLR1413(4), 
      b(1)=>ri(4), b(0)=>ti(4), d=>Address_9n36ss1(4));
   rtlc_1131_select_847 : select_3_3 port map ( a(2)=>rtlcn1240, a(1)=>
      rtlcn916, a(0)=>not_rtlcn1628, b(2)=>rtlc9n1622, b(1)=>rtlc9n1860, 
      b(0)=>rtlc9n1878, d=>rtlc9n1898);
   rtlc_1229_select_848 : select_3_3 port map ( a(2)=>rtlcn1016, a(1)=>
      not_rtlcn1436, a(0)=>rtlcn1015, b(2)=>rtlc9n1618, b(1)=>rtlc9n1827, 
      b(0)=>rtlc9n1862, d=>rtlc9n1901);
   not_rtlc9n1626 <= NOT rtlc9n1626 ;
   not_rtlc9n1766 <= NOT rtlc9n1766 ;
   not_rtlc9n1872 <= NOT rtlc9n1872 ;
   not_rtlc9n1850 <= NOT rtlc9n1850 ;
   not_rtlc9n1842 <= NOT rtlc9n1842 ;
   not_rtlc6n658 <= NOT rtlc6n658 ;
   not_rtlc6n741 <= NOT rtlc6n741 ;
   not_rtlc6n476 <= NOT rtlc6n476 ;
   not_rtlc6n566 <= NOT rtlc6n566 ;
   not_rtlc9n1596 <= NOT rtlc9n1596 ;
   not_rtlc9n1717 <= NOT rtlc9n1717 ;
   not_rtlc9n1431 <= NOT rtlc9n1431 ;
   not_rtlc9n2236 <= NOT rtlc9n2236 ;
   not_rtlc9n1577 <= NOT rtlc9n1577 ;
   Message_ended_not_OK_select_9i7 : select_3_3 port map ( a(2)=>rtlcn1353, 
      a(1)=>rtlcn1354, a(0)=>rtlcn1352, b(2)=>PWR, b(1)=>
      not_Message_ended_not_OK_pre, b(0)=>Channel_status_out_5_EXMPLR1347, d
      =>Message_ended_not_OK_9n45ss1);
   rtlcn194 <= rtlcs56 OR rtlcs54 ;
   not_rtlc9n1733 <= NOT rtlc9n1733 ;
   not_rtlc9n1693 <= NOT rtlc9n1693 ;
   rtlcn585 <= not_rtlc9n1733 AND not_rtlc9n1693 ;
   rtlcn586 <= not_rtlc9n1693 AND rtlc9n1733 ;
   rtlcn1443 <= rtlc9n1693 OR RxRdy ;
   not_tx_state_1 <= NOT tx_state(1) ;
   rtlcn1447 <= not_rtlc9n1733 OR not_tx_state_1 ;
   rtlcn1453 <= rtlcn1443 OR rtlcn1447 ;
   rtlcn1481 <= mode_command AND rtlcn1453 ;
   not_rtlcn1453 <= NOT rtlcn1453 ;
   rtlcn1483 <= rtlc9n1872 AND not_rtlcn1453 ;
   rtlcn726 <= rtlcn1481 OR rtlcn1483 ;
   not_mode_command <= NOT mode_command ;
   rtlcn727 <= not_mode_command AND rtlcn1453 ;
   not_rtlc9n1695 <= NOT rtlc9n1695 ;
   rtlcn916 <= rtlc9n1693 AND not_rtlc9n1695 ;
   not_rtlcn916 <= NOT rtlcn916 ;
   rtlcn1240 <= not_rtlcn916 AND rtlcn1628 ;
   not_rtlcn1443 <= NOT rtlcn1443 ;
   rtlcn1493 <= RxRdy AND not_rtlc9n1626 ;
   rtlcn1016 <= not_rtlcn1443 OR rtlcn1493 ;
   not_RxRdy <= NOT RxRdy ;
   rtlcn1436 <= not_RxRdy OR not_rtlc9n1626 ;
   not_rtlcn1436 <= NOT rtlcn1436 ;
   rtlcn1015 <= rtlc9n1693 AND not_RxRdy ;
   rtlcn1440 <= rtlc9n1577 OR not_rtlcn1436 ;
   rtlcn1466 <= rcv_state(1) AND rtlc9_PS22_n1389 ;
   rtlcn1467 <= rcv_state(2) AND rtlc9n1431 ;
   not_rtlcs32 <= NOT rtlcs32 ;
   rtlcn1497 <= not_rtlcs32 AND rtlcn1466 ;
   not_rtlc9n1458 <= NOT rtlc9n1458 ;
   rtlcn1499 <= not_rtlc9n1458 AND rtlcn1467 ;
   rtlcn1442 <= rtlcn1497 OR rtlcn1499 ;
   not_rtlc9n1324 <= NOT rtlc9n1324 ;
   not_rtlcn1440 <= NOT rtlcn1440 ;
   rtlcn1452 <= not_rtlc9n1324 AND not_rtlcn1440 ;
   rtlcn1458 <= not_mode_command AND rtlcn1452 ;
   not_rtlc9n1511 <= NOT rtlc9n1511 ;
   rtlcn1445 <= not_mode_command OR not_rtlc9n1511 ;
   rtlcn1463 <= BCR OR rtlcn1445 ;
   rtlcn1504 <= rcv_state(2) AND not_rtlc9n1431 ;
   rtlcn1506 <= rcv_state(1) AND not_rtlc9_PS22_n1389 ;
   rtlcn1507 <= rtlcn1442 AND rtlcn1458 ;
   not_BCR <= NOT BCR ;
   rtlcn1446 <= rtlcn1466 OR rtlcn1467 ;
   rtlcn1510 <= rtlcs32 AND rtlcn1466 ;
   rtlcn1511 <= rtlc9n1458 AND rtlcn1467 ;
   rtlcn1469 <= rtlcn1510 OR rtlcn1511 ;
   rtlcn1512 <= rtlcn1458 AND rtlcn1469 ;
   not_rtlcn1463 <= NOT rtlcn1463 ;
   rtlcn1441 <= mode_command OR not_BCR ;
   rtlcn1517 <= not_RxRdy AND not_rtlc9n1695 ;
   rtlcn1448 <= rtlcn1016 OR rtlcn1517 ;
   not_rtlc9n1675 <= NOT rtlc9n1675 ;
   rtlcn1464 <= rtlcn1448 OR rtlcn1519 ;
   not_rtlc9n2030 <= NOT rtlc9n2030 ;
   not_rtlc9n2022 <= NOT rtlc9n2022 ;
   rtlcn1524 <= rtlc9n1695 AND rtlcn1015 ;
   rtlcn1449 <= not_rtlcn1629 OR rtlcn1524 ;
   rtlcn1224 <= not_rtlc9n1695 OR not_rtlc9n1577 ;
   rtlcn1437 <= rtlc9n1596 OR rtlcn1224 ;
   not_rtlcn1437 <= NOT rtlcn1437 ;
   rtlcn1439 <= not_rtlc9n1324 OR not_rtlcn1437 ;
   not_rtlcn1439 <= NOT rtlcn1439 ;
   rtlc_2171_and_857 : and_4u_4u port map ( a(3)=>RxRdy, a(2)=>rtlcn1432, 
      a(1)=>rtlc9n1345, a(0)=>not_rtlcn1439, d=>rtlcn1531);
   rtlcn1353 <= not_rtlcn1630 OR rtlcn1531 ;
   not_rtlc9n1487 <= NOT rtlc9n1487 ;
   rtlcn1534 <= rcv_state(4) AND not_rtlc9n1487 ;
   rtlcn1536 <= rcv_state(1) AND not_rtlc9n2236 ;
   rtlcn1470 <= not_rtlcn1437 OR rtlcn1537 ;
   rtlcn1538 <= rtlcn1432 AND rtlcn1470 ;
   rtlcn1354 <= rtlcn1433 OR rtlcn1538 ;
   rtlcn1461 <= not_RxRdy OR not_rtlcn1631 ;
   rtlcn1543 <= rtlcn1437 AND rtlcn1461 ;
   rtlcn1471 <= not_rtlcn1632 OR rtlcn1543 ;
   rtlcn1352 <= rtlcn1432 AND rtlcn1471 ;
   not_R <= NOT R ;
   rtlcn261 <= Mode_req(3) OR Mode_req(0) ;
   rtlcn1545 <= Active_Bus_A_EXMPLR1239 AND not_rtlc6n658 ;
   not_Active_Bus_A <= NOT Active_Bus_A_EXMPLR1239 ;
   rtlcn1547 <= not_Active_Bus_A AND rtlc6n741 ;
   rtlcn326 <= rtlcn1545 OR rtlcn1547 ;
   not_rtlc9n2237 <= NOT rtlc9n2237 ;
   rtlcn512 <= not_BCR AND not_rtlcn1436 ;
   rtlc_2209_and_862 : and_4u_4u port map ( a(3)=>not_rtlc9n1695, a(2)=>
      not_rtlc9n1850, a(1)=>not_rtlc9n1842, a(0)=>rtlcn1015, d=>rtlcn1554);
   rtlcn544 <= not_rtlcn1633 OR rtlcn1554 ;
   rtlcn1472 <= rtlcn1015 OR rtlcn1555 ;
   rtlcn570 <= not_rtlc9n1695 AND rtlcn1472 ;
   rtlcn584 <= RxRdy OR rtlcn1628 ;
   rtlcn593 <= mode_command AND not_rtlcn1436 ;
   rtlcn651 <= rtlcn593 OR rtlcn601 ;
   rtlcn733 <= not_RxRdy AND rtlcn586 ;
   rtlcn843 <= rtlc12n111 AND rtlcs48 ;
   rtlcn1450 <= rtlcn1558 OR rtlcn1559 ;
   rtlcn1451 <= rtlcn1560 OR rtlcn1561 ;
   rtlcn1562 <= rtlc6n715 AND rtlcn1450 ;
   rtlcn1563 <= rtlc6n798 AND rtlcn1451 ;
   rtlcn883 <= rtlcn1562 OR rtlcn1563 ;
   rtlcn1444 <= not_rtlc9n1626 OR rtlc9n1795 ;
   rtlcn1462 <= not_rtlcn1443 OR not_rtlcn1635 ;
   rtlcn1570 <= rtlcn1224 AND rtlcn1462 ;
   rtlc_2249_or_869 : or_4u_4u port map ( a(3)=>not_rtlcn1436, a(2)=>
      rtlcn1570, a(1)=>rtlcn1571, a(0)=>rtlcn1572, d=>rtlcn1474);
   rtlcn1009 <= BCR AND rtlcn1474 ;
   not_rtlcs19 <= NOT rtlcs19 ;
   rtlcn1575 <= rtlc6n476 AND Rcv_A_CS ;
   rtlcn1459 <= not_rtlcs19 OR rtlcn1575 ;
   not_rtlcs20 <= NOT rtlcs20 ;
   rtlcn1577 <= rtlc6n566 AND Rcv_B_CS ;
   rtlcn1460 <= not_rtlcs20 OR rtlcn1577 ;
   rtlcn1578 <= not_Active_Bus_A AND rtlcn1459 ;
   rtlcn1579 <= Active_Bus_A_EXMPLR1239 AND rtlcn1460 ;
   rtlcn1475 <= rtlcn1578 OR rtlcn1579 ;
   rtlcn1323 <= rtlcn1580 AND rtlcn1475 ;
   rtlcn1581 <= not_rtlc9n1324 AND rtlcn1434 ;
   not_rtlcn1445 <= NOT rtlcn1445 ;
   rtlcn1585 <= not_mode_command AND rtlcn1446 ;
   rtlcn1586 <= mode_command AND rtlc9n2342 ;
   not_rtlcn1435 <= NOT rtlcn1435 ;
   rtlcn1588 <= not_rtlcn1435 AND rtlcn1452 ;
   rtlcn1339 <= rtlcn1588 OR rtlcn1507 ;
   rtlcn1477 <= rtlcn593 OR rtlcn1590 ;
   rtlcn1591 <= BCR AND rtlcn1477 ;
   rtlcn1349 <= rtlc9n1938 OR rtlcn1591 ;
   rtlcn1465 <= rtlcn1448 OR rtlc_2281_and_876_nx0 ;
   not_rtlc9n1916 <= NOT rtlc9n1916 ;
   rtlcn1365 <= not_rtlc9n1324 AND rtlcn1436 ;
   rtlc9n2236 <= rtlcs43 OR rtlc9_PS22_n1389 ;
   rtlcn1455 <= RxRdy OR not_rtlc9n1693 ;
   rtlc9_PS110_n1738 <= not_tx_state_1 OR tx_state(0) ;
   rtlcn1571 <= not_RxRdy AND rtlc9n1695 ;
   rtlcn1572 <= RxRdy AND rtlcn1444 ;
   not_rtlcn261 <= NOT rtlcn261 ;
   not_rtlcn1627 <= NOT rtlcn1627 ;
   not_rtlcn1628 <= NOT rtlcn1628 ;
   not_rtlcn1629 <= NOT rtlcn1629 ;
   not_rtlcn1630 <= NOT rtlcn1630 ;
   not_rtlcn1631 <= NOT rtlcn1631 ;
   not_rtlcn1632 <= NOT rtlcn1632 ;
   not_rtlcn1633 <= NOT rtlcn1633 ;
   not_rtlcn1634 <= NOT rtlc_2477_or_880_nx0 ;
   not_rtlcn1635 <= NOT rtlcn1635 ;
   Write_Data_0_EXMPLR1312 <= Rcv_A_R_Data(0) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_R_Data(0) ;
   Write_Data_1_EXMPLR1311 <= Rcv_A_R_Data(1) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_R_Data(1) ;
   Write_Data_2_EXMPLR1310 <= Rcv_A_R_Data(2) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_R_Data(2) ;
   Write_Data_3_EXMPLR1309 <= Rcv_A_R_Data(3) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_R_Data(3) ;
   Write_Data_4_EXMPLR1308 <= Rcv_A_R_Data(4) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_R_Data(4) ;
   Write_Data(5) <= Rcv_A_R_Data(5) when Active_Bus_A_EXMPLR1239 = '1' else 
   Rcv_B_R_Data(5) ;
   Write_Data(6) <= Rcv_A_R_Data(6) when Active_Bus_A_EXMPLR1239 = '1' else 
   Rcv_B_R_Data(6) ;
   Write_Data(7) <= Rcv_A_R_Data(7) when Active_Bus_A_EXMPLR1239 = '1' else 
   Rcv_B_R_Data(7) ;
   Write_Data(8) <= Rcv_A_R_Data(8) when Active_Bus_A_EXMPLR1239 = '1' else 
   Rcv_B_R_Data(8) ;
   Write_Data(9) <= Rcv_A_R_Data(9) when Active_Bus_A_EXMPLR1239 = '1' else 
   Rcv_B_R_Data(9) ;
   Write_Data_10_EXMPLR1302 <= Rcv_A_R_Data(10) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_R_Data(10) ;
   Write_Data(11) <= Rcv_A_R_Data(11) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_R_Data(11) ;
   Write_Data(12) <= Rcv_A_R_Data(12) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_R_Data(12) ;
   Write_Data(13) <= Rcv_A_R_Data(13) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_R_Data(13) ;
   Write_Data(14) <= Rcv_A_R_Data(14) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_R_Data(14) ;
   Write_Data(15) <= Rcv_A_R_Data(15) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_R_Data(15) ;
   Rcv_RAW_GAP(0) <= Rcv_A_RAW_GAP(0) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_RAW_GAP(0) ;
   Rcv_RAW_GAP(1) <= Rcv_A_RAW_GAP(1) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_RAW_GAP(1) ;
   Rcv_RAW_GAP(2) <= Rcv_A_RAW_GAP(2) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_RAW_GAP(2) ;
   Rcv_RAW_GAP(3) <= Rcv_A_RAW_GAP(3) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_RAW_GAP(3) ;
   Rcv_RAW_GAP(4) <= Rcv_A_RAW_GAP(4) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_RAW_GAP(4) ;
   Rcv_RAW_GAP(5) <= Rcv_A_RAW_GAP(5) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_RAW_GAP(5) ;
   Rcv_RAW_GAP(6) <= Rcv_A_RAW_GAP(6) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_RAW_GAP(6) ;
   Rcv_Gap_found(0) <= Rcv_A_Gap_found(0) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_Gap_found(0) ;
   Rcv_Gap_found(1) <= Rcv_A_Gap_found(1) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_Gap_found(1) ;
   Rcv_Gap_found(2) <= Rcv_A_Gap_found(2) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_Gap_found(2) ;
   Rcv_RxRDY_plus_10us <= Rcv_A_RxRDY_plus_10us when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_RxRDY_plus_10us ;
   rtlc_Rcv_CS_n2205 <= Rcv_A_CS when Active_Bus_A_EXMPLR1239 = '1' else 
   Rcv_B_CS ;
   Rcv_Command_Sync <= Rcv_A_Command_Sync when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_Command_Sync ;
   rtlc_Rcv_recieving_n2206 <= Rcv_A_recieving when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_B_recieving ;
   RT_Address_valid <= RT_Address_valid_A when Active_Bus_A_EXMPLR1239
    = '1' else RT_Address_valid_B ;
   Transmit_data(0) <= T_Data(0) when int_Go = '1' else read_Data(0) ;
   Transmit_data(1) <= T_Data(1) when int_Go = '1' else read_Data(1) ;
   Transmit_data(2) <= T_Data(2) when int_Go = '1' else read_Data(2) ;
   Transmit_data(3) <= T_Data(3) when int_Go = '1' else read_Data(3) ;
   Transmit_data(4) <= T_Data(4) when int_Go = '1' else read_Data(4) ;
   Transmit_data(5) <= T_Data(5) when int_Go = '1' else read_Data(5) ;
   Transmit_data(6) <= T_Data(6) when int_Go = '1' else read_Data(6) ;
   Transmit_data(7) <= T_Data(7) when int_Go = '1' else read_Data(7) ;
   Transmit_data(8) <= T_Data(8) when int_Go = '1' else read_Data(8) ;
   Transmit_data(9) <= T_Data(9) when int_Go = '1' else read_Data(9) ;
   Transmit_data(10) <= T_Data(10) when int_Go = '1' else read_Data(10) ;
   Transmit_data(11) <= T_Data(11) when int_Go = '1' else read_Data(11) ;
   Transmit_data(12) <= T_Data(12) when int_Go = '1' else read_Data(12) ;
   Transmit_data(13) <= T_Data(13) when int_Go = '1' else read_Data(13) ;
   Transmit_data(14) <= T_Data(14) when int_Go = '1' else read_Data(14) ;
   Transmit_data(15) <= T_Data(15) when int_Go = '1' else read_Data(15) ;
   active_command_6n13ss1(0) <= Rcv_B_R_Data(0) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_A_R_Data(0) ;
   active_command_6n13ss1(1) <= Rcv_B_R_Data(1) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_A_R_Data(1) ;
   active_command_6n13ss1(2) <= Rcv_B_R_Data(2) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_A_R_Data(2) ;
   active_command_6n13ss1(3) <= Rcv_B_R_Data(3) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_A_R_Data(3) ;
   active_command_6n13ss1(4) <= Rcv_B_R_Data(4) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_A_R_Data(4) ;
   active_command_6n13ss1(5) <= Rcv_B_R_Data(5) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_A_R_Data(5) ;
   active_command_6n13ss1(6) <= Rcv_B_R_Data(6) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_A_R_Data(6) ;
   active_command_6n13ss1(7) <= Rcv_B_R_Data(7) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_A_R_Data(7) ;
   active_command_6n13ss1(8) <= Rcv_B_R_Data(8) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_A_R_Data(8) ;
   active_command_6n13ss1(9) <= Rcv_B_R_Data(9) when Active_Bus_A_EXMPLR1239
    = '1' else Rcv_A_R_Data(9) ;
   active_command_6n13ss1(10) <= Rcv_B_R_Data(10) when 
   Active_Bus_A_EXMPLR1239 = '1' else Rcv_A_R_Data(10) ;
   active_command_6n13ss1(11) <= Rcv_B_R_Data(11) when 
   Active_Bus_A_EXMPLR1239 = '1' else Rcv_A_R_Data(11) ;
   active_command_6n13ss1(12) <= Rcv_B_R_Data(12) when 
   Active_Bus_A_EXMPLR1239 = '1' else Rcv_A_R_Data(12) ;
   active_command_6n13ss1(13) <= Rcv_B_R_Data(13) when 
   Active_Bus_A_EXMPLR1239 = '1' else Rcv_A_R_Data(13) ;
   active_command_6n13ss1(14) <= Rcv_B_R_Data(14) when 
   Active_Bus_A_EXMPLR1239 = '1' else Rcv_A_R_Data(14) ;
   active_command_6n13ss1(15) <= Rcv_B_R_Data(15) when 
   Active_Bus_A_EXMPLR1239 = '1' else Rcv_A_R_Data(15) ;
   mode_command_6n13ss1 <= mode_command_6n5s1 when Active_Bus_A_EXMPLR1239
    = '1' else mode_command_6n1s1 ;
   BCR_6n13ss1 <= BCR_6n5s2 when Active_Bus_A_EXMPLR1239 = '1' else 
   BCR_6n1s2 ;
   rtlc6n846 <= not_rtlc6n658 when Active_Bus_A_EXMPLR1239 = '1' else 
   not_rtlc6n741 ;
   rtlc9n1618 <= rtlc9n1614 when rtlc9n1577 = '1' else rtlc9n1565 ;
   rtlc9n1902 <= rtlc9n1831 when RxRdy = '1' else rtlc9n1892 ;
   rtlc9n1831 <= rtlc9n1803 when rtlc9n1626 = '1' else rtlc9n1619 ;
   rtlc9n1903 <= rtlc9n1832 when RxRdy = '1' else rtlc9n1620 ;
   rtlc9n1904 <= rtlc9n1833 when RxRdy = '1' else rtlc9n1893 ;
   rtlc9n1885 <= rtlc9_PS110_n1738 when rtlc9n1733 = '1' else rtlc9n1565 ;
   rtlc9n1906 <= rtlc9n1621 when RxRdy = '1' else rtlc9n1895 ;
   rtlc9n1907 <= rtlc9n1621 when RxRdy = '1' else rtlc9n1896 ;
   rtlc9n1909 <= rtlc9n1622 when RxRdy = '1' else rtlc9n1898 ;
   Rcv_CS_6n13ss1 <= Rcv_A_CS when rtlcn326 = '1' else Rcv_B_CS ;
   Mode_req_9n36ss1(3) <= Write_Data_3_EXMPLR1309 when rtlcn593 = '1' else 
   Mode_req_9n16ss1(3) ;
   Mode_req_9n36ss1(0) <= Write_Data_0_EXMPLR1312 when rtlcn593 = '1' else 
   Mode_req_9n16ss1(0) ;
   Mode_req_9n36ss1(4) <= Write_Data_4_EXMPLR1308 when rtlcn593 = '1' else 
   Mode_req_9n16ss1(4) ;
   Mode_req_9n36ss1(2) <= Write_Data_2_EXMPLR1310 when rtlcn593 = '1' else 
   Mode_req_9n16ss1(2) ;
   Mode_req_9n36ss1(1) <= Write_Data_1_EXMPLR1311 when rtlcn593 = '1' else 
   Mode_req_9n16ss1(1) ;
   rtlc9n1905 <= rtlc9_PS110_n1738 when rtlcn733 = '1' else rtlc9n1568 ;
   rtlc9n1619 <= rtlc9n1566 when rtlcn1224 = '1' else rtlc9n1612 ;
   not_rtlc6n848 <= NOT rtlc6n848 ;
   rtlc6n901 <= CE AND not_rtlc6n848 ;
   not_rtlc6n849 <= NOT rtlc6n849 ;
   rtlc6n896 <= CE AND not_rtlc6n849 ;
   not_rtlc9n1903 <= NOT rtlc9n1903 ;
   rtlc9n2338 <= CE AND not_rtlc9n1903 ;
   not_rtlc9n1904 <= NOT rtlc9n1904 ;
   rtlc9n2333 <= CE AND not_rtlc9n1904 ;
   rtlcn1638 <= CE AND RxRdy ;
   rtlcn1640 <= rtlcn1653 OR rtlc9n1324 ;
   rtlcn1655 <= CE AND not_rtlcn1436 ;
   rtlcn1656 <= rtlcn1638 AND rtlcn1640 ;
   rtlc9n2331 <= rtlcn1655 OR rtlcn1656 ;
   not_rtlc9n1911 <= NOT rtlc9n1911 ;
   rtlc9n2330 <= CE AND not_rtlc9n1911 ;
   rtlc_2640_and_881 : and_4u_4u port map ( a(3)=>CE, a(2)=>not_RxRdy, a(1)
      =>not_rtlc9n1693, a(0)=>rtlc9n1733, d=>rtlc9n2323);
   not_rtlc9n1555 <= NOT rtlc9n1555 ;
   rtlcn1641 <= rtlc9n1324 OR not_rtlc9n1555 ;
   rtlc9n2317 <= rtlcn1638 AND rtlcn1641 ;
   rtlcn1639 <= CE AND Valid_command_EXMPLR1295 ;
   not_rtlc9n1909 <= NOT rtlc9n1909 ;
   rtlcn1662 <= CE AND rtlcn1642 ;
   rtlc9n2311 <= rtlcn1639 OR rtlcn1662 ;
   not_Valid_command <= NOT Valid_command_EXMPLR1295 ;
   rtlcn1663 <= CE AND rtlc9n2005 ;
   rtlc9n2309 <= rtlcn1639 OR rtlcn1663 ;
   not_tx_state_0 <= NOT tx_state(0) ;
   rtlc_2654_and_883 : and_4u_4u port map ( a(3)=>not_RxRdy, a(2)=>
      rtlc9n1733, a(1)=>not_tx_state_0, a(0)=>rtlcn141, d=>rtlcn1666);
   rtlcn1643 <= rtlc9n1961 OR rtlcn1666 ;
   rtlc9n2306 <= CE AND rtlcn1643 ;
   not_rtlc9n1961 <= NOT rtlc9n1961 ;
   not_rtlc9n1907 <= NOT rtlc9n1907 ;
   rtlc9n2305 <= CE AND not_rtlc9n1907 ;
   not_rtlc9n1906 <= NOT rtlc9n1906 ;
   rtlc9n2304 <= CE AND not_rtlc9n1906 ;
   not_rtlc9n1905 <= NOT rtlc9n1905 ;
   rtlc9n2288 <= CE AND not_rtlc9n1905 ;
   not_rtlc9n1568 <= NOT rtlc9n1568 ;
   rtlcn1644 <= not_rtlc9n1568 OR rtlc9n1949 ;
   rtlc9n2272 <= CE AND rtlcn1644 ;
   not_rtlc9n1902 <= NOT rtlc9n1902 ;
   rtlcn1645 <= not_rtlc9n1902 OR rtlc9n1916 ;
   rtlc9n2263 <= CE AND rtlcn1645 ;
   not_rtlc9n1901 <= NOT rtlc9n1901 ;
   rtlc9n2262 <= CE AND not_rtlc9n1901 ;
   rtlcn1674 <= CE AND rtlcn843 ;
   rtlc12n231 <= rtlcn1639 OR rtlcn1674 ;
   rtlcn1636 <= CE AND rtlc12n111 ;
   rtlcn1646 <= rtlcs51 OR rtlcs48 ;
   rtlc12n230 <= rtlcn1636 AND rtlcn1646 ;
   rtlcn1637 <= rtlc12n238 AND rtlcn1636 ;
   not_rtlcn194 <= NOT rtlcn194 ;
   rtlcn1647 <= Active_Bus_A_EXMPLR1239 OR not_rtlcn194 ;
   rtlc12n229 <= rtlcn1637 AND rtlcn1647 ;
   rtlcn1648 <= not_Active_Bus_A OR not_rtlcn194 ;
   rtlc12n228 <= rtlcn1637 AND rtlcn1648 ;
   rtlc9n1896 <= rtlc9n1621 AND rtlcn1678 ;
   rtlc9n1911 <= rtlc9n1570 AND rtlcn1679 ;
   rtlc9n1570 <= not_Do_illegal AND rtlcn1680 ;
   rtlcs2 <= rtlcs1 AND BCR_6n1s2 ;
   rtlcs1 <= rtlcs8 AND mode_command_6n1s3 ;
   rtlcs7 <= rtlcs6 AND BCR_6n1s2 ;
   rtlcs6 <= rtlcs8 AND mode_command_6n1s5 ;
   rtlcs11 <= rtlcs10 AND BCR_6n5s2 ;
   rtlcs10 <= rtlcs17 AND mode_command_6n5s3 ;
   rtlcs16 <= rtlcs15 AND BCR_6n5s2 ;
   rtlcs15 <= rtlcs17 AND mode_command_6n5s5 ;
   rtlcs29 <= rtlcs30 AND rtlcs31 ;
   rtlcs32 <= rtlcs33 AND rtlcs34 ;
   rtlcs35 <= rtlcs36 AND rtlcs31 ;
   rtlcs37 <= rtlcs38 AND rtlcs31 ;
   rtlcs31 <= not_active_command_0 AND rtlcs34 ;
   rtlcs44 <= Rcv_Command_Sync AND rtlcs43 ;
   rtlcs60 <= rtlcs50 AND Mode_req(1) ;
   rtlcs51 <= rtlcs60 AND rtlcs53 ;
   rtlcs61 <= rtlcs50 AND rtlcs53 ;
   rtlcs54 <= rtlcs61 AND not_Mode_req_1 ;
   rtlcs56 <= rtlcs57 AND rtlcs53 ;
   BCR_and_6i40 : and_5u_5u port map ( a(4)=>Rcv_B_R_Data(15), a(3)=>
      Rcv_B_R_Data(14), a(2)=>Rcv_B_R_Data(13), a(1)=>Rcv_B_R_Data(12), a(0)
      =>Rcv_B_R_Data(11), d=>BCR_6n5s2);
   BCR_and_6i41 : and_5u_5u port map ( a(4)=>Rcv_A_R_Data(15), a(3)=>
      Rcv_A_R_Data(14), a(2)=>Rcv_A_R_Data(13), a(1)=>Rcv_A_R_Data(12), a(0)
      =>Rcv_A_R_Data(11), d=>BCR_6n1s2);
   not_Rcv_B_Pre_RxRdy <= NOT Rcv_B_Pre_RxRdy ;
   not_Rcv_A_Pre_RxRdy <= NOT Rcv_A_Pre_RxRdy ;
   rtlcs19 <= not_Rcv_B_Pre_RxRdy AND Rcv_A_Pre_RxRdy ;
   rtlcs20 <= Rcv_B_Pre_RxRdy AND not_Rcv_A_Pre_RxRdy ;
   rtlcs21 <= Rcv_B_Pre_RxRdy AND Rcv_A_Pre_RxRdy ;
   not_active_command_1 <= NOT active_command_EXMPLR1413(1) ;
   not_active_command_3 <= NOT active_command_EXMPLR1413(3) ;
   not_active_command_2 <= NOT active_command_EXMPLR1413(2) ;
   rtlcs34 <= not_active_command_3 AND not_active_command_2 ;
   mode_command_and_6i42 : and_5u_5u port map ( a(4)=>Rcv_B_R_Data(9), a(3)
      =>Rcv_B_R_Data(8), a(2)=>Rcv_B_R_Data(7), a(1)=>Rcv_B_R_Data(6), a(0)
      =>Rcv_B_R_Data(5), d=>mode_command_6n5s3);
   not_Rcv_B_R_Data_9 <= NOT Rcv_B_R_Data(9) ;
   not_Rcv_B_R_Data_8 <= NOT Rcv_B_R_Data(8) ;
   not_Rcv_B_R_Data_7 <= NOT Rcv_B_R_Data(7) ;
   not_Rcv_B_R_Data_6 <= NOT Rcv_B_R_Data(6) ;
   not_Rcv_B_R_Data_5 <= NOT Rcv_B_R_Data(5) ;
   mode_command_and_6i43 : and_5u_5u port map ( a(4)=>not_Rcv_B_R_Data_9, 
      a(3)=>not_Rcv_B_R_Data_8, a(2)=>not_Rcv_B_R_Data_7, a(1)=>
      not_Rcv_B_R_Data_6, a(0)=>not_Rcv_B_R_Data_5, d=>mode_command_6n5s5);
   mode_command_and_6i44 : and_5u_5u port map ( a(4)=>Rcv_A_R_Data(9), a(3)
      =>Rcv_A_R_Data(8), a(2)=>Rcv_A_R_Data(7), a(1)=>Rcv_A_R_Data(6), a(0)
      =>Rcv_A_R_Data(5), d=>mode_command_6n1s3);
   not_Rcv_A_R_Data_9 <= NOT Rcv_A_R_Data(9) ;
   not_Rcv_A_R_Data_8 <= NOT Rcv_A_R_Data(8) ;
   not_Rcv_A_R_Data_7 <= NOT Rcv_A_R_Data(7) ;
   not_Rcv_A_R_Data_6 <= NOT Rcv_A_R_Data(6) ;
   not_Rcv_A_R_Data_5 <= NOT Rcv_A_R_Data(5) ;
   mode_command_and_6i45 : and_5u_5u port map ( a(4)=>not_Rcv_A_R_Data_9, 
      a(3)=>not_Rcv_A_R_Data_8, a(2)=>not_Rcv_A_R_Data_7, a(1)=>
      not_Rcv_A_R_Data_6, a(0)=>not_Rcv_A_R_Data_5, d=>mode_command_6n1s5);
   ri_9n15ss1(5) <= ri_9n7s1(5) AND not_rtlc9n1324 ;
   ri_9n15ss1(4) <= ri_9n7s1(4) AND not_rtlc9n1324 ;
   ri_9n15ss1(3) <= ri_9n7s1(3) AND not_rtlc9n1324 ;
   ri_9n15ss1(2) <= ri_9n7s1(2) AND not_rtlc9n1324 ;
   ri_9n15ss1(1) <= ri_9n7s1(1) AND not_rtlc9n1324 ;
   ri_9n15ss1(0) <= ri_9n7s1(0) AND not_rtlc9n1324 ;
   not_ri_9n7s1_5 <= NOT ri_9n7s1(5) ;
   rtlcs41 <= not_ri_9n7s1_5 AND rtlcs62 ;
   not_ri_9n7s1_4 <= NOT ri_9n7s1(4) ;
   not_ri_9n7s1_3 <= NOT ri_9n7s1(3) ;
   not_ri_9n7s1_2 <= NOT ri_9n7s1(2) ;
   not_ri_9n7s1_1 <= NOT ri_9n7s1(1) ;
   not_ri_9n7s1_0 <= NOT ri_9n7s1(0) ;
   not_active_command_0 <= NOT active_command_EXMPLR1413(0) ;
   ti_9n33ss1(5) <= rtlc9n1752(5) AND tx_state(1) ;
   ti_9n33ss1(4) <= rtlc9n1752(4) AND tx_state(1) ;
   ti_9n33ss1(3) <= rtlc9n1752(3) AND tx_state(1) ;
   ti_9n33ss1(2) <= rtlc9n1752(2) AND tx_state(1) ;
   ti_9n33ss1(1) <= rtlc9n1752(1) AND tx_state(1) ;
   ti_9n33ss1(0) <= rtlc9n1752(0) AND tx_state(1) ;
   not_rtlc9n1752_5 <= NOT rtlc9n1752(5) ;
   rtlcs27 <= not_rtlc9n1752_5 AND rtlcs63 ;
   not_rtlc9n1752_4 <= NOT rtlc9n1752(4) ;
   not_rtlc9n1752_3 <= NOT rtlc9n1752(3) ;
   not_rtlc9n1752_2 <= NOT rtlc9n1752(2) ;
   not_rtlc9n1752_1 <= NOT rtlc9n1752(1) ;
   not_rtlc9n1752_0 <= NOT rtlc9n1752(0) ;
   rtlcn189 <= rtlc9n1695 OR not_rtlc9n1693 ;
   rtlcn1628 <= rtlc9n1693 OR rtlcn1447 ;
   Mode_req_9n16ss1(3) <= active_command_EXMPLR1413(3) AND rtlcn601 ;
   rtlcn191 <= not_mode_command OR not_rtlc9n1324 ;
   rtlcn1680 <= rtlcn191 OR not_RxRdy ;
   rtlcn190 <= not_mode_command OR not_rtlc9n1626 ;
   rtlcn1679 <= rtlcn190 OR not_RxRdy ;
   Mode_req_9n16ss1(0) <= active_command_EXMPLR1413(0) AND rtlcn601 ;
   Mode_req_9n16ss1(1) <= active_command_EXMPLR1413(1) AND rtlcn601 ;
   Mode_req_9n16ss1(4) <= active_command_EXMPLR1413(4) AND rtlcn601 ;
   not_Mode_req_1 <= NOT Mode_req(1) ;
   not_Mode_req_5 <= NOT Mode_req(5) ;
   Mode_req_9n16ss1(2) <= active_command_EXMPLR1413(2) AND rtlcn601 ;
   not_Mode_req_3 <= NOT Mode_req(3) ;
   rtlcs53 <= not_Mode_req_3 AND Mode_req(2) ;
   not_Mode_req_4 <= NOT Mode_req(4) ;
   rtlcs50 <= Mode_req(5) AND not_Mode_req_4 ;
   not_Mode_req_2 <= NOT Mode_req(2) ;
   not_Mode_req_0 <= NOT Mode_req(0) ;
   rtlcn1627 <= rtlcn726 OR rtlcn727 ;
   rtlcs58 <= not_Mode_req_3 AND not_Mode_req_0 ;
   not_Rcv_B_R_Data_3 <= NOT Rcv_B_R_Data(3) ;
   not_Rcv_B_R_Data_2 <= NOT Rcv_B_R_Data(2) ;
   not_Rcv_B_R_Data_0 <= NOT Rcv_B_R_Data(0) ;
   rtlc_2835_and_898 : and_6u_6u port map ( a(5)=>Rcv_B_R_Data(10), a(4)=>
      Rcv_B_R_Data(4), a(3)=>not_Rcv_B_R_Data_3, a(2)=>not_Rcv_B_R_Data_2, 
      a(1)=>Rcv_B_R_Data(1), a(0)=>not_Rcv_B_R_Data_0, d=>rtlcs17);
   not_Rcv_A_R_Data_3 <= NOT Rcv_A_R_Data(3) ;
   not_Rcv_A_R_Data_2 <= NOT Rcv_A_R_Data(2) ;
   not_Rcv_A_R_Data_0 <= NOT Rcv_A_R_Data(0) ;
   rtlc_2843_and_899 : and_6u_6u port map ( a(5)=>Rcv_A_R_Data(10), a(4)=>
      Rcv_A_R_Data(4), a(3)=>not_Rcv_A_R_Data_3, a(2)=>not_Rcv_A_R_Data_2, 
      a(1)=>Rcv_A_R_Data(1), a(0)=>not_Rcv_A_R_Data_0, d=>rtlcs8);
   not_No_Response_timeout_2 <= NOT No_Response_timeout(2) ;
   not_No_Response_timeout_1 <= NOT No_Response_timeout(1) ;
   not_No_Response_timeout_0 <= NOT No_Response_timeout(0) ;
   rtlcn1629 <= rtlcn1436 OR rtlcn1441 ;
   rtlcn1630 <= rtlcn1432 OR rtlcn1433 ;
   rtlcn1632 <= rtlc9n1345 OR rtlcn1439 ;
   rtlcn1631 <= rtlc9n1324 OR rtlcn1434 ;
   rtlcs36 <= active_command_EXMPLR1413(1) AND not_active_command_4 ;
   rtlcs30 <= active_command_EXMPLR1413(4) AND active_command_EXMPLR1413(1)
    ;
   rtlcn1635 <= RxRdy OR rtlc9n1717 ;
   not_Write_Data_3 <= NOT Write_Data_3_EXMPLR1309 ;
   not_Write_Data_2 <= NOT Write_Data_2_EXMPLR1310 ;
   not_Write_Data_0 <= NOT Write_Data_0_EXMPLR1312 ;
   rtlcn187 <= not_rtlc9n1717 OR rtlc9n1695 ;
   rtlcn188 <= not_rtlc9n1695 OR not_rtlc9n1693 ;
   not_rtlcn1856 <= NOT rtlcn1856 ;
   rtlcn1856 <= rtlc9n1842 OR rtlc9n1949 ;
   rtlcn1580 <= Rcv_B_Pre_RxRdy OR Rcv_A_Pre_RxRdy ;
   rtlcn1653 <= rtlcs44 AND rcv_state(1) ;
   rtlceq_s128_eq_906 : eq_5u_5u port map ( a(4)=>ri_9n7s1(4), a(3)=>
      ri_9n7s1(3), a(2)=>ri_9n7s1(2), a(1)=>ri_9n7s1(1), a(0)=>ri_9n7s1(0), 
      b(4)=>active_command_EXMPLR1413(4), b(3)=>active_command_EXMPLR1413(3), 
      b(2)=>active_command_EXMPLR1413(2), b(1)=>active_command_EXMPLR1413(1), 
      b(0)=>active_command_EXMPLR1413(0), d=>rtlcs62);
   rtlceq_s130_eq_907 : eq_5u_5u port map ( a(4)=>rtlc9n1752(4), a(3)=>
      rtlc9n1752(3), a(2)=>rtlc9n1752(2), a(1)=>rtlc9n1752(1), a(0)=>
      rtlc9n1752(0), b(4)=>active_command_EXMPLR1413(4), b(3)=>
      active_command_EXMPLR1413(3), b(2)=>active_command_EXMPLR1413(2), b(1)
      =>active_command_EXMPLR1413(1), b(0)=>active_command_EXMPLR1413(0), d
      =>rtlcs63);
   DFFPCE (BCR_6n14ss1,Channel_status_out_5_EXMPLR1347,not_R,rtlc6n901,C,BCR
   ) ;
   DFFPCE (mode_command_6n14ss1,Channel_status_out_5_EXMPLR1347,not_R,
   rtlc6n901,C,mode_command) ;
   DFFPCE (Active_Bus_A_6n14ss1,not_R,Channel_status_out_5_EXMPLR1347,
   rtlc6n901,C,Active_Bus_A_EXMPLR1239) ;
   DFFPCE (rtlc_Rcv_recieving_n2206,Channel_status_out_5_EXMPLR1347,not_R,CE,
   C,Rcv_recieving) ;
   DFFPCE (rtlc_Rcv_CS_n2205,Channel_status_out_5_EXMPLR1347,not_R,CE,C,
   Rcv_CS_continous) ;
   DFFPCE (Rcv_CS_6n14ss1,Channel_status_out_5_EXMPLR1347,not_R,rtlc6n896,C,
   Rcv_CS) ;
   DFFPCE (active_command_6n14ss1(15),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc6n901,C,active_command_EXMPLR1413(15)) ;
   DFFPCE (active_command_6n14ss1(14),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc6n901,C,active_command_EXMPLR1413(14)) ;
   DFFPCE (active_command_6n14ss1(13),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc6n901,C,active_command_EXMPLR1413(13)) ;
   DFFPCE (active_command_6n14ss1(12),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc6n901,C,active_command_EXMPLR1413(12)) ;
   DFFPCE (active_command_6n14ss1(11),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc6n901,C,active_command_EXMPLR1413(11)) ;
   DFFPCE (active_command_6n14ss1(10),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc6n901,C,active_command_EXMPLR1413(10)) ;
   DFFPCE (active_command_6n14ss1(9),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc6n901,C,active_command_EXMPLR1413(9)) ;
   DFFPCE (active_command_6n14ss1(8),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc6n901,C,active_command_EXMPLR1413(8)) ;
   DFFPCE (active_command_6n14ss1(7),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc6n901,C,active_command_EXMPLR1413(7)) ;
   DFFPCE (active_command_6n14ss1(6),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc6n901,C,active_command_EXMPLR1413(6)) ;
   DFFPCE (active_command_6n14ss1(5),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc6n901,C,active_command_EXMPLR1413(5)) ;
   DFFPCE (active_command_6n14ss1(4),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc6n901,C,active_command_EXMPLR1413(4)) ;
   DFFPCE (active_command_6n14ss1(3),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc6n901,C,active_command_EXMPLR1413(3)) ;
   DFFPCE (active_command_6n14ss1(2),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc6n901,C,active_command_EXMPLR1413(2)) ;
   DFFPCE (active_command_6n14ss1(1),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc6n901,C,active_command_EXMPLR1413(1)) ;
   DFFPCE (active_command_6n14ss1(0),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc6n901,C,active_command_EXMPLR1413(0)) ;
   DFFPCE (rtlcn883,Channel_status_out_5_EXMPLR1347,not_R,CE,C,
   Active_command_updated) ;
   DFFPCE (rtlc_2252_or_871_nx0,Channel_status_out_5_EXMPLR1347,not_R,CE,C,
   Valid_command_EXMPLR1295) ;
   DFFPCE (rtlcn1323,Channel_status_out_5_EXMPLR1347,not_R,CE,C,RxRdy) ;
   DFFPCE (rtlcn506,Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2338,C,
   rcv_state(4)) ;
   DFFPCE (rtlcn1309,Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2338,C,
   rcv_state(3)) ;
   DFFPCE (rtlcn1339,Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2338,C,
   rcv_state(2)) ;
   DFFPCE (rtlcn385,Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2338,C,
   rcv_state(1)) ;
   DFFPCE (rtlcn1328,not_R,Channel_status_out_5_EXMPLR1347,rtlc9n2338,C,
   rcv_state(0)) ;
   DFFPCE (rtlcn544,Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2333,C,
   tx_state(1)) ;
   DFFPCE (rtlcn512,Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2333,C,
   tx_state(0)) ;
   DFFPCE (rtlcn1365,Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2331,C,
   RT2RT_message) ;
   DFFPCE (rtlcn651,Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2330,C,
   Mode_req(6)) ;
   DFFPCE (rtlcn593,Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2330,C,
   Mode_req(5)) ;
   DFFPCE (Mode_req_9n36ss1(4),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2330,C,Mode_req(4)) ;
   DFFPCE (Mode_req_9n36ss1(3),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2330,C,Mode_req(3)) ;
   DFFPCE (Mode_req_9n36ss1(2),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2330,C,Mode_req(2)) ;
   DFFPCE (Mode_req_9n36ss1(1),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2330,C,Mode_req(1)) ;
   DFFPCE (Mode_req_9n36ss1(0),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2330,C,Mode_req(0)) ;
   DFFPCE (ti_9n33ss1(5),Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2323,C,
   ti(5)) ;
   DFFPCE (ti_9n33ss1(4),Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2323,C,
   ti(4)) ;
   DFFPCE (ti_9n33ss1(3),Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2323,C,
   ti(3)) ;
   DFFPCE (ti_9n33ss1(2),Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2323,C,
   ti(2)) ;
   DFFPCE (ti_9n33ss1(1),Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2323,C,
   ti(1)) ;
   DFFPCE (ti_9n33ss1(0),Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2323,C,
   ti(0)) ;
   DFFPCE (ri_9n15ss1(5),Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2317,C,
   ri(5)) ;
   DFFPCE (ri_9n15ss1(4),Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2317,C,
   ri(4)) ;
   DFFPCE (ri_9n15ss1(3),Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2317,C,
   ri(3)) ;
   DFFPCE (ri_9n15ss1(2),Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2317,C,
   ri(2)) ;
   DFFPCE (ri_9n15ss1(1),Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2317,C,
   ri(1)) ;
   DFFPCE (ri_9n15ss1(0),Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2317,C,
   ri(0)) ;
   DFFPCE (not_rtlcn1634,Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2311,C,
   Finished_message_OK) ;
   DFFPCE (Message_ended_not_OK_pre,Channel_status_out_5_EXMPLR1347,not_R,CE,
   C,Message_ended_not_OK_pre_D) ;
   DFFPCE (rtlc9n2005,Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2309,C,
   Message_ended_not_OK_pre) ;
   DFFPCE (Message_ended_not_OK_9n45ss1,Channel_status_out_5_EXMPLR1347,
   not_R,CE,C,Message_ended_not_OK) ;
   DFFPCE (rtlcn1349,Channel_status_out_5_EXMPLR1347,not_R,CE,C,
   Message_ended_OK) ;
   DFFPCE (not_rtlc9n1961,Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2306,C,
   read_Req_EXMPLR1314) ;
   DFFPCE (rtlcn584,Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2305,C,
   T_Sync) ;
   DFFPCE (active_command_EXMPLR1413(15),Channel_status_out_5_EXMPLR1347,
   not_R,rtlc9n2304,C,T_Data(15)) ;
   DFFPCE (active_command_EXMPLR1413(14),Channel_status_out_5_EXMPLR1347,
   not_R,rtlc9n2304,C,T_Data(14)) ;
   DFFPCE (active_command_EXMPLR1413(13),Channel_status_out_5_EXMPLR1347,
   not_R,rtlc9n2304,C,T_Data(13)) ;
   DFFPCE (active_command_EXMPLR1413(12),Channel_status_out_5_EXMPLR1347,
   not_R,rtlc9n2304,C,T_Data(12)) ;
   DFFPCE (active_command_EXMPLR1413(11),Channel_status_out_5_EXMPLR1347,
   not_R,rtlc9n2304,C,T_Data(11)) ;
   DFFPCE (Channel_status(10),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2304,C,T_Data(10)) ;
   DFFPCE (Channel_status(9),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2304,C,T_Data(9)) ;
   DFFPCE (Channel_status(8),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2304,C,T_Data(8)) ;
   DFFPCE (Channel_status(7),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2304,C,T_Data(7)) ;
   DFFPCE (Channel_status(6),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2304,C,T_Data(6)) ;
   DFFPCE (Channel_status(5),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2304,C,T_Data(5)) ;
   DFFPCE (Channel_status(4),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2304,C,T_Data(4)) ;
   DFFPCE (Channel_status(3),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2304,C,T_Data(3)) ;
   DFFPCE (Channel_status(2),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2304,C,T_Data(2)) ;
   DFFPCE (Channel_status(1),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2304,C,T_Data(1)) ;
   DFFPCE (Channel_status(0),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2304,C,T_Data(0)) ;
   DFFPCE (active_command_EXMPLR1413(10),Channel_status_out_5_EXMPLR1347,
   not_R,rtlc9n2288,C,Address(10)) ;
   DFFPCE (active_command_EXMPLR1413(9),Channel_status_out_5_EXMPLR1347,
   not_R,rtlc9n2288,C,Address(9)) ;
   DFFPCE (active_command_EXMPLR1413(8),Channel_status_out_5_EXMPLR1347,
   not_R,rtlc9n2288,C,Address(8)) ;
   DFFPCE (active_command_EXMPLR1413(7),Channel_status_out_5_EXMPLR1347,
   not_R,rtlc9n2288,C,Address(7)) ;
   DFFPCE (active_command_EXMPLR1413(6),Channel_status_out_5_EXMPLR1347,
   not_R,rtlc9n2288,C,Address(6)) ;
   DFFPCE (active_command_EXMPLR1413(5),Channel_status_out_5_EXMPLR1347,
   not_R,rtlc9n2288,C,Address(5)) ;
   DFFPCE (Address_9n36ss1(4),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2288,C,Address(4)) ;
   DFFPCE (Address_9n36ss1(3),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2288,C,Address(3)) ;
   DFFPCE (Address_9n36ss1(2),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2288,C,Address(2)) ;
   DFFPCE (Address_9n36ss1(1),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2288,C,Address(1)) ;
   DFFPCE (Address_9n36ss1(0),Channel_status_out_5_EXMPLR1347,not_R,
   rtlc9n2288,C,Address(0)) ;
   DFFPCE (not_rtlcn1856,Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2272,C,
   Write_Req_EXMPLR1296) ;
   DFFPCE (rtlcn570,Channel_status_out_5_EXMPLR1347,not_R,CE,C,int_Go) ;
   DFFPCE (rtlcn1361,Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2263,C,
   Channel_status_out(10)) ;
   DFFPCE (rtlcn1009,Channel_status_out_5_EXMPLR1347,not_R,rtlc9n2262,C,
   Channel_status_out(4)) ;
   DFFPCE (rtlcn843,Channel_status_out_5_EXMPLR1347,not_R,rtlc12n231,C,
   reset_remote_terminal_received) ;
   DFFPCE (rtlcs58,Channel_status_out_5_EXMPLR1347,not_R,rtlc12n230,C,
   Inhibit_TF) ;
   DFFPCE (not_rtlcn261,Channel_status_out_5_EXMPLR1347,not_R,rtlc12n229,C,
   Bus_B_shut_down_EXMPLR1260) ;
   DFFPCE (not_rtlcn261,Channel_status_out_5_EXMPLR1347,not_R,rtlc12n228,C,
   Bus_A_shut_down_EXMPLR1259) ;
   rtlc9_1017_gt_813_nx0 <= Rcv_Gap_found(0) XOR No_Response_timeout(0) ;
   rtlc9_1017_gt_813_nx2 <= Rcv_Gap_found(1) XOR No_Response_timeout(1) ;
   rtlc9_1017_gt_813_nx4 <= Rcv_Gap_found(2) XOR No_Response_timeout(2) ;
   rtlc9_1414_or_817_nx0 <= Rcv_RAW_GAP(4) OR Rcv_RAW_GAP(5) ;
   rtlc9n2568 <= rtlc9_1414_or_817_nx0 OR Rcv_RAW_GAP(6) ;
   rtlc_1934_or_850_nx0 <= rtlcs48 OR rtlcs54 ;
   rtlc12n238 <= rtlc_1934_or_850_nx0 OR rtlcs56 ;
   rtlc_2143_and_851_nx0 <= mode_command AND rtlcn1446 ;
   rtlcn1513 <= rtlc_2143_and_851_nx0 AND rtlcn1452 ;
   rtlc_2145_and_852_nx0 <= rtlc9n1324 AND not_rtlcn1440 ;
   rtlcn1515 <= rtlc_2145_and_852_nx0 AND not_rtlcn1463 ;
   rtlc_2146_or_853_nx0 <= rtlcn1512 OR rtlcn1513 ;
   rtlcn1309 <= rtlc_2146_or_853_nx0 OR rtlcn1515 ;
   rtlc_2152_and_854_nx0 <= RxRdy AND not_rtlc9n1675 ;
   rtlcn1519 <= rtlc_2152_and_854_nx0 AND rtlcn1441 ;
   rtlc_2156_and_855_nx0 <= not_rtlc9n2030 AND not_rtlc9n2022 ;
   rtlcn1432 <= rtlc_2156_and_855_nx0 AND rtlcn1464 ;
   rtlcn1433 <= rtlc_2156_and_855_nx0 AND rtlcn1449 ;
   rtlc_2178_or_858_nx0 <= rtlcn1504 OR rtlcn1534 ;
   rtlcn1434 <= rtlc_2178_or_858_nx0 OR rtlcn1536 ;
   rtlc_2179_and_859_nx0 <= RxRdy AND not_rtlc9n1324 ;
   rtlcn1537 <= rtlc_2179_and_859_nx0 AND rtlcn1434 ;
   rtlcn385 <= rtlc_2145_and_852_nx0 AND rtlcn1445 ;
   rtlc_2202_and_861_nx0 <= rcv_state(1) AND not_rtlc9n2237 ;
   rtlcn506 <= rtlc_2202_and_861_nx0 AND rtlcn1452 ;
   rtlc_2212_and_863_nx0 <= rtlc9n1577 AND not_BCR ;
   rtlcn1555 <= rtlc_2212_and_863_nx0 AND rtlcn1455 ;
   rtlc_2218_and_864_nx0 <= mode_command AND RxRdy ;
   rtlcn601 <= rtlc_2218_and_864_nx0 AND rtlc9n1324 ;
   rtlc_2225_and_865_nx0 <= Active_Bus_A_EXMPLR1239 AND rtlc6n658 ;
   rtlcn1558 <= rtlc_2225_and_865_nx0 AND rtlcs21 ;
   rtlcn1559 <= rtlcn1577 AND rtlcs20 ;
   rtlcn1560 <= rtlcn1547 AND rtlcs21 ;
   rtlcn1561 <= rtlcn1575 AND rtlcs19 ;
   rtlc_2252_or_871_nx0 <= rtlcn1450 OR rtlcn1451 ;
   rtlc_2266_and_872_nx0 <= rtlc9n1324 AND BCR ;
   rtlcn1583 <= rtlc_2266_and_872_nx0 AND not_rtlcn1445 ;
   rtlc_2267_or_873_nx0 <= rtlcn1440 OR rtlcn1581 ;
   rtlcn1328 <= rtlc_2267_or_873_nx0 OR rtlcn1583 ;
   rtlc_2277_and_875_nx0 <= RxRdy AND rtlc9n1324 ;
   rtlcn1590 <= rtlc_2277_and_875_nx0 AND not_rtlcn1445 ;
   rtlc_2281_and_876_nx0 <= RxRdy AND rtlc9n1795 ;
   rtlc_2284_and_877_nx0 <= not_rtlc9n1916 AND rtlcn1439 ;
   rtlcn1594 <= rtlc_2284_and_877_nx0 AND rtlcn1465 ;
   rtlc_2285_or_878_nx0 <= rtlc9n1916 OR rtlcn1449 ;
   rtlcn1361 <= rtlc_2285_or_878_nx0 OR rtlcn1594 ;
   rtlc_2475_or_879_nx0 <= rtlc9n1766 OR rtlc9n1872 ;
   rtlcn1633 <= rtlc_2475_or_879_nx0 OR rtlcn1453 ;
   rtlc_2477_or_880_nx0 <= Valid_command_EXMPLR1295 OR rtlc9n1938 ;
   rtlc_2646_or_882_nx0 <= rtlc9n1938 OR rtlc9n2030 ;
   rtlcn1642 <= rtlc_2646_or_882_nx0 OR not_rtlc9n1909 ;
   rtlc_2664_or_884_nx0 <= rtlc9n1324 OR rtlc9n1555 ;
   rtlc9n1568 <= rtlc_2664_or_884_nx0 OR not_RxRdy ;
   rtlcs38 <= not_active_command_4 AND not_active_command_1 ;
   rtlcs33 <= rtlcs38 AND active_command_EXMPLR1413(0) ;
   rtlc_2730_and_892_nx0 <= not_Rcv_Gap_found_2 AND not_Rcv_Gap_found_1 ;
   rtlcs42 <= rtlc_2730_and_892_nx0 AND not_Rcv_Gap_found_0 ;
   rtlc_2812_and_896_nx0 <= not_Mode_req_1 AND not_Mode_req_5 ;
   rtlcs57 <= rtlc_2812_and_896_nx0 AND Mode_req(4) ;
   rtlc_2852_and_900_nx0 <= not_No_Response_timeout_2 AND 
   No_Response_timeout(1) ;
   rtlcs25 <= rtlc_2852_and_900_nx0 AND No_Response_timeout(0) ;
   rtlc_2855_and_901_nx0 <= No_Response_timeout(2) AND 
   not_No_Response_timeout_1 ;
   rtlcs24 <= rtlc_2855_and_901_nx0 AND not_No_Response_timeout_0 ;
   rtlcs23 <= rtlc_2855_and_901_nx0 AND No_Response_timeout(0) ;
   rtlc_2860_and_904_nx0 <= No_Response_timeout(2) AND 
   No_Response_timeout(1) ;
   nx245 <= Rcv_Gap_found(2) when rtlc9_1017_gt_813_nx4 = '1' else nx5 ;
   nx5 <= Rcv_Gap_found(1) when rtlc9_1017_gt_813_nx2 = '1' else nx8 ;
   nx8 <= Rcv_Gap_found(0) AND rtlc9_1017_gt_813_nx0 ;
   modgen_or_2 : or_5u_5u port map ( a(4)=>rtlcn1504, a(3)=>rtlcn1506, a(2)
      =>rtlcn1534, a(1)=>rtlcn1585, a(0)=>rtlcn1586, d=>rtlcn1435);
   modgen_and_3 : and_5u_5u port map ( a(4)=>Write_Data_10_EXMPLR1302, a(3)
      =>Rcv_CS, a(2)=>not_RT_Address_valid, a(1)=>not_rtlc9n1872, a(0)=>
      rtlcs42, d=>rtlcs43);
   modgen_and_4 : and_7u_7u port map ( a(6)=>ri_9n7s1(5), a(5)=>
      not_ri_9n7s1_4, a(4)=>not_ri_9n7s1_3, a(3)=>not_ri_9n7s1_2, a(2)=>
      not_ri_9n7s1_1, a(1)=>not_ri_9n7s1_0, a(0)=>rtlcs37, d=>rtlc9n1457);
   modgen_and_5 : and_7u_7u port map ( a(6)=>rtlc9n1752(5), a(5)=>
      not_rtlc9n1752_4, a(4)=>not_rtlc9n1752_3, a(3)=>not_rtlc9n1752_2, a(2)
      =>not_rtlc9n1752_1, a(1)=>not_rtlc9n1752_0, a(0)=>rtlcs37, d=>
      rtlc9n1765);
   modgen_and_6 : and_5u_5u port map ( a(4)=>Mode_req(3), a(3)=>
      not_Mode_req_2, a(2)=>not_Mode_req_1, a(1)=>not_Mode_req_0, a(0)=>
      rtlcs50, d=>rtlcs48);
   modgen_and_7 : and_9u_9u port map ( a(8)=>Rcv_RAW_GAP(6), a(7)=>
      Rcv_RAW_GAP(5), a(6)=>Rcv_RAW_GAP(4), a(5)=>Rcv_RAW_GAP(3), a(4)=>
      Rcv_RAW_GAP(2), a(3)=>Rcv_RAW_GAP(1), a(2)=>Rcv_RAW_GAP(0), a(1)=>
      rtlc_2860_and_904_nx0, a(0)=>not_No_Response_timeout_0, d=>rtlc9n2003
   );
   modgen_and_8 : and_5u_5u port map ( a(4)=>not_Write_Data_3, a(3)=>
      not_Write_Data_2, a(2)=>Write_Data_1_EXMPLR1311, a(1)=>
      not_Write_Data_0, a(0)=>rtlc9n1781, d=>rtlc9n1795);
end SITAL_Technology_unfold_4468 ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_6 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (5 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (5 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_6 ;

architecture INTERFACE_unfold_3 of 
   counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_6 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_6u_6u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx17, nx20, nx23, nx26, nx27, nx28, nx29, nx30, nx31, nx32, 
      nx33, nx34, nx35, nx36, nx37, nx38, nx39, nx40, nx41, nx42, nx43, PWR, 
      nx47, nx49, nx51, nx53, nx55, nx57, NOT_nx19: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(5) <= nx27 ;
   q(4) <= nx29 ;
   q(3) <= nx31 ;
   q(2) <= nx33 ;
   q(1) <= nx35 ;
   q(0) <= nx37 ;
   GND <= '0' ;
   nx17 <= cnt_en OR sload ;
   nx20 <= nx17 OR sclear ;
   nx23 <= nx20 AND clk_en ;
   DFFPCE (nx26,GND,aclear,nx23,clock,nx27) ;
   DFFPCE (nx28,GND,aclear,nx23,clock,nx29) ;
   DFFPCE (nx30,GND,aclear,nx23,clock,nx31) ;
   DFFPCE (nx32,GND,aclear,nx23,clock,nx33) ;
   DFFPCE (nx34,GND,aclear,nx23,clock,nx35) ;
   DFFPCE (nx36,GND,aclear,nx23,clock,nx37) ;
   inc : inc_6u_6u_0_0 port map ( cin=>PWR, a(5)=>nx27, a(4)=>nx29, a(3)=>
      nx31, a(2)=>nx33, a(1)=>nx35, a(0)=>nx37, d(5)=>nx38, d(4)=>nx39, d(3)
      =>nx40, d(2)=>nx41, d(1)=>nx42, d(0)=>nx43, cout=>DANGLING(0));
   PWR <= '1' ;
   nx47 <= data(5) when sload = '1' else nx38 ;
   nx49 <= data(4) when sload = '1' else nx39 ;
   nx51 <= data(3) when sload = '1' else nx40 ;
   nx53 <= data(2) when sload = '1' else nx41 ;
   nx55 <= data(1) when sload = '1' else nx42 ;
   nx57 <= data(0) when sload = '1' else nx43 ;
   NOT_nx19 <= NOT sclear ;
   nx26 <= nx47 AND NOT_nx19 ;
   nx28 <= nx49 AND NOT_nx19 ;
   nx30 <= nx51 AND NOT_nx19 ;
   nx32 <= nx53 AND NOT_nx19 ;
   nx34 <= nx55 AND NOT_nx19 ;
   nx36 <= nx57 AND NOT_nx19 ;
end INTERFACE_unfold_3 ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_up_sload_sclear_aclear_clock_clk_en_0_5 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (4 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (4 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_up_sload_sclear_aclear_clock_clk_en_0_5 ;

architecture INTERFACE of counter_up_sload_sclear_aclear_clock_clk_en_0_5
    is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_5u_5u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic_vector (4 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx15, nx16, nx17, nx18, nx19, nx20, nx21, nx22, nx23, nx24, 
      nx25, nx26, nx27, nx28, nx29, PWR, nx33, nx35, nx37, nx39, nx41, 
      NOT_SCLEAR: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(4) <= nx16 ;
   q(3) <= nx18 ;
   q(2) <= nx20 ;
   q(1) <= nx22 ;
   q(0) <= nx24 ;
   GND <= '0' ;
   DFFPCE (nx15,GND,aclear,clk_en,clock,nx16) ;
   DFFPCE (nx17,GND,aclear,clk_en,clock,nx18) ;
   DFFPCE (nx19,GND,aclear,clk_en,clock,nx20) ;
   DFFPCE (nx21,GND,aclear,clk_en,clock,nx22) ;
   DFFPCE (nx23,GND,aclear,clk_en,clock,nx24) ;
   inc : inc_5u_5u_0_0 port map ( cin=>PWR, a(4)=>nx16, a(3)=>nx18, a(2)=>
      nx20, a(1)=>nx22, a(0)=>nx24, d(4)=>nx25, d(3)=>nx26, d(2)=>nx27, d(1)
      =>nx28, d(0)=>nx29, cout=>DANGLING(0));
   PWR <= '1' ;
   nx33 <= data(4) when sload = '1' else nx25 ;
   nx35 <= data(3) when sload = '1' else nx26 ;
   nx37 <= data(2) when sload = '1' else nx27 ;
   nx39 <= data(1) when sload = '1' else nx28 ;
   nx41 <= data(0) when sload = '1' else nx29 ;
   NOT_SCLEAR <= NOT sclear ;
   nx15 <= nx33 AND NOT_SCLEAR ;
   nx17 <= nx35 AND NOT_SCLEAR ;
   nx19 <= nx37 AND NOT_SCLEAR ;
   nx21 <= nx39 AND NOT_SCLEAR ;
   nx23 <= nx41 AND NOT_SCLEAR ;
end INTERFACE ;


architecture INTERFACE of counter_up_cnt_en_sclear_aclear_clock_clk_en_0_7
    is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_7u_7u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx19, nx22, nx25, nx26, nx27, nx28, nx29, nx30, nx31, nx32, 
      nx33, nx34, nx35, nx36, nx37, nx38, nx39, nx40, nx41, nx42, nx43, nx44, 
      nx45, PWR, NOT_nx18: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(6) <= nx26 ;
   q(5) <= nx28 ;
   q(4) <= nx30 ;
   q(3) <= nx32 ;
   q(2) <= nx34 ;
   q(1) <= nx36 ;
   q(0) <= nx38 ;
   GND <= '0' ;
   nx19 <= cnt_en OR sclear ;
   nx22 <= nx19 AND clk_en ;
   DFFPCE (nx25,GND,aclear,nx22,clock,nx26) ;
   DFFPCE (nx27,GND,aclear,nx22,clock,nx28) ;
   DFFPCE (nx29,GND,aclear,nx22,clock,nx30) ;
   DFFPCE (nx31,GND,aclear,nx22,clock,nx32) ;
   DFFPCE (nx33,GND,aclear,nx22,clock,nx34) ;
   DFFPCE (nx35,GND,aclear,nx22,clock,nx36) ;
   DFFPCE (nx37,GND,aclear,nx22,clock,nx38) ;
   inc : inc_7u_7u_0_0 port map ( cin=>PWR, a(6)=>nx26, a(5)=>nx28, a(4)=>
      nx30, a(3)=>nx32, a(2)=>nx34, a(1)=>nx36, a(0)=>nx38, d(6)=>nx39, d(5)
      =>nx40, d(4)=>nx41, d(3)=>nx42, d(2)=>nx43, d(1)=>nx44, d(0)=>nx45, 
      cout=>DANGLING(0));
   PWR <= '1' ;
   NOT_nx18 <= NOT sclear ;
   nx25 <= nx39 AND NOT_nx18 ;
   nx27 <= nx40 AND NOT_nx18 ;
   nx29 <= nx41 AND NOT_nx18 ;
   nx31 <= nx42 AND NOT_nx18 ;
   nx33 <= nx43 AND NOT_nx18 ;
   nx35 <= nx44 AND NOT_nx18 ;
   nx37 <= nx45 AND NOT_nx18 ;
end INTERFACE ;


architecture INTERFACE of 
   counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_6 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_6u_6u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx17, nx20, nx23, nx26, nx27, nx28, nx29, nx30, nx31, nx32, 
      nx33, nx34, nx35, nx36, nx37, nx38, nx39, nx40, nx41, nx42, nx43, PWR, 
      nx47, nx49, nx51, nx53, nx55, nx57, NOT_nx19: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(5) <= nx27 ;
   q(4) <= nx29 ;
   q(3) <= nx31 ;
   q(2) <= nx33 ;
   q(1) <= nx35 ;
   q(0) <= nx37 ;
   GND <= '0' ;
   nx17 <= cnt_en OR sload ;
   nx20 <= nx17 OR sclear ;
   nx23 <= nx20 AND clk_en ;
   DFFPCE (nx26,GND,aclear,nx23,clock,nx27) ;
   DFFPCE (nx28,GND,aclear,nx23,clock,nx29) ;
   DFFPCE (nx30,GND,aclear,nx23,clock,nx31) ;
   DFFPCE (nx32,GND,aclear,nx23,clock,nx33) ;
   DFFPCE (nx34,GND,aclear,nx23,clock,nx35) ;
   DFFPCE (nx36,GND,aclear,nx23,clock,nx37) ;
   inc : inc_6u_6u_0_0 port map ( cin=>PWR, a(5)=>nx27, a(4)=>nx29, a(3)=>
      nx31, a(2)=>nx33, a(1)=>nx35, a(0)=>nx37, d(5)=>nx38, d(4)=>nx39, d(3)
      =>nx40, d(2)=>nx41, d(1)=>nx42, d(0)=>nx43, cout=>DANGLING(0));
   PWR <= '1' ;
   nx47 <= data(5) when sload = '1' else nx38 ;
   nx49 <= data(4) when sload = '1' else nx39 ;
   nx51 <= data(3) when sload = '1' else nx40 ;
   nx53 <= data(2) when sload = '1' else nx41 ;
   nx55 <= data(1) when sload = '1' else nx42 ;
   nx57 <= data(0) when sload = '1' else nx43 ;
   NOT_nx19 <= NOT sclear ;
   nx26 <= nx47 AND NOT_nx19 ;
   nx28 <= nx49 AND NOT_nx19 ;
   nx30 <= nx51 AND NOT_nx19 ;
   nx32 <= nx53 AND NOT_nx19 ;
   nx34 <= nx55 AND NOT_nx19 ;
   nx36 <= nx57 AND NOT_nx19 ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_up_cnt_en_sclear_aclear_clock_clk_en_0_4 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (3 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (3 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_up_cnt_en_sclear_aclear_clock_clk_en_0_4 ;

architecture INTERFACE of counter_up_cnt_en_sclear_aclear_clock_clk_en_0_4
    is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_4u_4u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic_vector (3 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx13, nx16, nx19, nx20, nx21, nx22, nx23, nx24, nx25, nx26, 
      nx27, nx28, nx29, nx30, PWR, NOT_nx12: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(3) <= nx20 ;
   q(2) <= nx22 ;
   q(1) <= nx24 ;
   q(0) <= nx26 ;
   GND <= '0' ;
   nx13 <= cnt_en OR sclear ;
   nx16 <= nx13 AND clk_en ;
   DFFPCE (nx19,GND,aclear,nx16,clock,nx20) ;
   DFFPCE (nx21,GND,aclear,nx16,clock,nx22) ;
   DFFPCE (nx23,GND,aclear,nx16,clock,nx24) ;
   DFFPCE (nx25,GND,aclear,nx16,clock,nx26) ;
   inc : inc_4u_4u_0_0 port map ( cin=>PWR, a(3)=>nx20, a(2)=>nx22, a(1)=>
      nx24, a(0)=>nx26, d(3)=>nx27, d(2)=>nx28, d(1)=>nx29, d(0)=>nx30, cout
      =>DANGLING(0));
   PWR <= '1' ;
   NOT_nx12 <= NOT sclear ;
   nx19 <= nx27 AND NOT_nx12 ;
   nx21 <= nx28 AND NOT_nx12 ;
   nx23 <= nx29 AND NOT_nx12 ;
   nx25 <= nx30 AND NOT_nx12 ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_up_sload_aclear_clock_clk_en_0_7 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (6 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (6 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_up_sload_aclear_clock_clk_en_0_7 ;

architecture INTERFACE of counter_up_sload_aclear_clock_clk_en_0_7 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_7u_7u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal q_EXMPLR1489: std_logic_vector (6 DOWNTO 0) ;
   
   signal nx15, nx19, nx20, nx21, nx22, nx23, nx24, nx25, nx26, nx27, nx28, 
      nx29, nx30, nx31, nx32, nx33, nx34, nx35, nx36, nx37, nx38, nx39, nx41
   : std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(6) <= nx20 ;
   q(5) <= nx22 ;
   q(4) <= nx24 ;
   q(3) <= nx26 ;
   q(2) <= nx28 ;
   q(1) <= nx30 ;
   q(0) <= nx32 ;
   nx15 <= '0' ;
   DFFPCE (nx19,nx15,aclear,clk_en,clock,nx20) ;
   DFFPCE (nx21,nx15,aclear,clk_en,clock,nx22) ;
   DFFPCE (nx23,nx15,aclear,clk_en,clock,nx24) ;
   DFFPCE (nx25,nx15,aclear,clk_en,clock,nx26) ;
   DFFPCE (nx27,nx15,aclear,clk_en,clock,nx28) ;
   DFFPCE (nx29,nx15,aclear,clk_en,clock,nx30) ;
   DFFPCE (nx31,nx15,aclear,clk_en,clock,nx32) ;
   inc : inc_7u_7u_0_0 port map ( cin=>nx41, a(6)=>nx20, a(5)=>nx22, a(4)=>
      nx24, a(3)=>nx26, a(2)=>nx28, a(1)=>nx30, a(0)=>nx32, d(6)=>nx33, d(5)
      =>nx34, d(4)=>nx35, d(3)=>nx36, d(2)=>nx37, d(1)=>nx38, d(0)=>nx39, 
      cout=>DANGLING(0));
   nx41 <= '1' ;
   nx19 <= data(6) when sload = '1' else nx33 ;
   nx21 <= data(5) when sload = '1' else nx34 ;
   nx23 <= data(4) when sload = '1' else nx35 ;
   nx25 <= data(3) when sload = '1' else nx36 ;
   nx27 <= data(2) when sload = '1' else nx37 ;
   nx29 <= data(1) when sload = '1' else nx38 ;
   nx31 <= data(0) when sload = '1' else nx39 ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity decoder_4 is 
   port (
      data : IN std_logic_vector (3 DOWNTO 0) ;
      eq : OUT std_logic_vector (15 DOWNTO 0)) ;
end decoder_4 ;

architecture INTERFACE of decoder_4 is 
   component eq_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   signal data_EXMPLR1511: std_logic_vector (3 DOWNTO 0) ;
   
   signal eq_EXMPLR1512: std_logic_vector (15 DOWNTO 0) ;
   
   signal nx24, nx26: std_logic ;

begin
   nx24 <= '0' ;
   nx26 <= '1' ;
   cmp_15 : eq_4u_4u port map ( a=>data, b(3)=>nx26, b(2)=>nx26, b(1)=>nx26, 
      b(0)=>nx26, d=>eq(15));
   cmp_14 : eq_4u_4u port map ( a=>data, b(3)=>nx26, b(2)=>nx26, b(1)=>nx26, 
      b(0)=>nx24, d=>eq(14));
   cmp_13 : eq_4u_4u port map ( a=>data, b(3)=>nx26, b(2)=>nx26, b(1)=>nx24, 
      b(0)=>nx26, d=>eq(13));
   cmp_12 : eq_4u_4u port map ( a=>data, b(3)=>nx26, b(2)=>nx26, b(1)=>nx24, 
      b(0)=>nx24, d=>eq(12));
   cmp_11 : eq_4u_4u port map ( a=>data, b(3)=>nx26, b(2)=>nx24, b(1)=>nx26, 
      b(0)=>nx26, d=>eq(11));
   cmp_10 : eq_4u_4u port map ( a=>data, b(3)=>nx26, b(2)=>nx24, b(1)=>nx26, 
      b(0)=>nx24, d=>eq(10));
   cmp_9 : eq_4u_4u port map ( a=>data, b(3)=>nx26, b(2)=>nx24, b(1)=>nx24, 
      b(0)=>nx26, d=>eq(9));
   cmp_8 : eq_4u_4u port map ( a=>data, b(3)=>nx26, b(2)=>nx24, b(1)=>nx24, 
      b(0)=>nx24, d=>eq(8));
   cmp_7 : eq_4u_4u port map ( a=>data, b(3)=>nx24, b(2)=>nx26, b(1)=>nx26, 
      b(0)=>nx26, d=>eq(7));
   cmp_6 : eq_4u_4u port map ( a=>data, b(3)=>nx24, b(2)=>nx26, b(1)=>nx26, 
      b(0)=>nx24, d=>eq(6));
   cmp_5 : eq_4u_4u port map ( a=>data, b(3)=>nx24, b(2)=>nx26, b(1)=>nx24, 
      b(0)=>nx26, d=>eq(5));
   cmp_4 : eq_4u_4u port map ( a=>data, b(3)=>nx24, b(2)=>nx26, b(1)=>nx24, 
      b(0)=>nx24, d=>eq(4));
   cmp_3 : eq_4u_4u port map ( a=>data, b(3)=>nx24, b(2)=>nx24, b(1)=>nx26, 
      b(0)=>nx26, d=>eq(3));
   cmp_2 : eq_4u_4u port map ( a=>data, b(3)=>nx24, b(2)=>nx24, b(1)=>nx26, 
      b(0)=>nx24, d=>eq(2));
   cmp_1 : eq_4u_4u port map ( a=>data, b(3)=>nx24, b(2)=>nx24, b(1)=>nx24, 
      b(0)=>nx26, d=>eq(1));
   cmp_0 : eq_4u_4u port map ( a=>data, b(3)=>nx24, b(2)=>nx24, b(1)=>nx24, 
      b(0)=>nx24, d=>eq(0));
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity H15530_Ver17_40_0 is 
   port (
      CE : IN std_logic ;
      Check_loop_back : IN std_logic ;
      Check_value : IN std_logic ;
      Clock : IN std_logic ;
      Minus : IN std_logic ;
      PP194_CS : IN std_logic ;
      Plus : IN std_logic ;
      ResetN : IN std_logic ;
      Xmitting : IN std_logic ;
      Bi_error : OUT std_logic ;
      H15530_record_Sync_error : OUT std_logic ;
      H15530_record_Manchester_error : OUT std_logic ;
      H15530_record_Parity_error : OUT std_logic ;
      H15530_record_echo_back_bus : OUT std_logic ;
      H15530_record_R_Data : OUT std_logic_vector (15 DOWNTO 0) ;
      H15530_record_RAW_GAP : OUT std_logic_vector (6 DOWNTO 0) ;
      H15530_record_GAP : OUT std_logic_vector (6 DOWNTO 0) ;
      H15530_record_Gap_found : OUT std_logic_vector (2 DOWNTO 0) ;
      H15530_record_RxRDY_plus_12us : OUT std_logic ;
      H15530_record_RxRDY_plus_10us : OUT std_logic ;
      H15530_record_CS : OUT std_logic ;
      H15530_record_Pre_EchoRdy : OUT std_logic ;
      H15530_record_Command_Sync : OUT std_logic ;
      H15530_record_Pre_RxRdy : OUT std_logic ;
      H15530_record_recieving : OUT std_logic ;
      Echo_Error : OUT std_logic ;
      Parity_error : OUT std_logic ;
      Sync_error : OUT std_logic) ;
end H15530_Ver17_40_0 ;

architecture Sital_technology_unfold_1 of H15530_Ver17_40_0 is 
   component or_6u_6u
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component addsub_7u_7u_7u_0
      port (
         mode : IN std_logic ;
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         b : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component or_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component inc_7u_7u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component select_3_3
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         b : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component inc_6u_6u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component select_4_4
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component mux_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_6u_6u
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component inc_5u_5u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic_vector (4 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component and_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_7u_7u
      port (
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_6
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (5 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (5 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_up_sload_sclear_aclear_clock_clk_en_0_5
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (4 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (4 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_up_cnt_en_sclear_aclear_clock_clk_en_0_7
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (6 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (6 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_up_cnt_en_sclear_aclear_clock_clk_en_0_4
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (3 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (3 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   procedure DFFPC (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           q <= data and data ;    -- takes care of q<='X' if data='Z'
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPC ;
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component sub_6u_6u_6u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         b : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component and_3u_3u
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component counter_up_sload_aclear_clock_clk_en_0_7
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (6 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (6 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component decoder_4
      port (
         data : IN std_logic_vector (3 DOWNTO 0) ;
         eq : OUT std_logic_vector (15 DOWNTO 0)) ;
   end component ;
   component or_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_13u_13u
      port (
         a : IN std_logic_vector (12 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   for modgen_counter_gap_phase : 
   counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_6 use entity work.
   counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_6(INTERFACE_unfold_3
   );
   for modgen_counter_Bit_number : 
   counter_up_sload_sclear_aclear_clock_clk_en_0_5 use entity work.
   counter_up_sload_sclear_aclear_clock_clk_en_0_5(INTERFACE);
   for modgen_counter_RxRdy_plus_us : 
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_7 use entity work.
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_7(INTERFACE);
   for modgen_counter_RxRdy_plus_phase : 
   counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_6 use entity work.
   counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_6(INTERFACE);
   for modgen_counter_Bit_Gap : 
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_4 use entity work.
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_4(INTERFACE);
   for modgen_counter_one_shot : counter_up_sload_aclear_clock_clk_en_0_7
    use entity work.counter_up_sload_aclear_clock_clk_en_0_7(INTERFACE);
   
   for ix79 : decoder_4 use entity work.decoder_4(INTERFACE);
   signal Sync_error_EXMPLR1522, Advance, Big_Bit_Gap: std_logic ;
   
   signal Bit_Gap: std_logic_vector (3 DOWNTO 1) ;
   
   signal Bit_number: std_logic_vector (4 DOWNTO 0) ;
   
   signal Bit_value, Calc_parity, Clean_minus, Clean_plus, Echo, 
      Found_CMD_Sync: std_logic ;
   
   signal Len: std_logic_vector (5 DOWNTO 0) ;
   
   signal Level_minus: std_logic ;
   
   signal Minus_shifter: std_logic_vector (10 DOWNTO 0) ;
   
   signal Phase: std_logic_vector (5 DOWNTO 0) ;
   
   signal Plus_shifter: std_logic_vector (10 DOWNTO 0) ;
   
   signal Recieving, RxRdy: std_logic ;
   
   signal RxRdy_plus_phase: std_logic_vector (5 DOWNTO 0) ;
   
   signal RxRdy_plus_us: std_logic_vector (6 DOWNTO 0) ;
   
   signal Stall, Strobe: std_logic ;
   
   signal energy: std_logic_vector (6 DOWNTO 0) ;
   
   signal first_sync: std_logic ;
   
   signal gap_phase: std_logic_vector (5 DOWNTO 0) ;
   
   signal level_plus, minus_d, minus_d_falling_edge, minus_dd, 
      minus_dd_falling_edge: std_logic ;
   
   signal one_shot: std_logic_vector (6 DOWNTO 0) ;
   
   signal plus_d, plus_d_falling_edge, plus_dd, plus_dd_falling_edge, 
      resync_after_fault: std_logic ;
   
   signal Rcv_Filter: std_logic_vector (6 DOWNTO 0) ;
   
   signal state: std_logic_vector (1 DOWNTO 0) ;
   
   signal PWR, GND, not_H15530_record_Manchester_error, not_ResetN, 
      plus_dd_5n1ss1, minus_dd_5n2ss1, rtlc5n44, not_Clock, 
      plus_dd_falling_edge_11n1ss1, minus_dd_falling_edge_11n2ss1, rtlc11n36, 
      not_Minus_shifter_3, rtlc14n63, not_Plus_shifter_3, rtlc14n83, 
      Clean_plus_17n1s3, Clean_plus_17n1s6, Clean_plus_17n1s2, 
      Clean_plus_17n1s9, Clean_plus_17n1s1, Clean_minus_17n1s3, 
      Clean_minus_17n1s6, Clean_minus_17n1s2, Clean_minus_17n1s9, 
      Clean_minus_17n1s1, rtlc20n30, not_minus_dd, rtlc20n32, rtlc20n33: 
   std_logic ;
   
   signal energy_23n9ss1: std_logic_vector (6 DOWNTO 0) ;
   
   signal rtlc23n81, rtlc23n83, rtlc23n85, rtlc23n95, not_rtlc23n95, 
      not_rtlc23n85, rtlc23n152: std_logic ;
   
   signal energy_23n6s1: std_logic_vector (6 DOWNTO 0) ;
   
   signal not_rtlc23n152, not_CE, rtlc23n195, not_Xmitting, not_rtlcn171, 
      rtlc23n219, not_rtlc23n398, not_rtlc23n417, rtlc23n261, rtlc23n262, 
      rtlc23n376, not_rtlcn177, not_energy_6, rtlc23n391, not_rtlc23n391, 
      rtlc23n393, not_rtlcn178, rtlc23n397, rtlc23n398, not_energy_5, 
      not_energy_4, not_rtlcn180, rtlc23n416, rtlc23n417, rtlc23n431, 
      rtlc23n432, rtlc23n480, rtlc23n582, rtlc23n583, rtlc23n584, rtlc23n585, 
      rtlc23n588, rtlc26n63, rtlc26n80, rtlc26n93, rtlc26n94, rtlc26n95, 
      rtlc26n96, not_rtlc26n93, not_rtlc23n393, rtlc26n116, rtlc26n117, 
      not_Clean_plus, rtlc29n57, not_Clean_minus: std_logic ;
   
   signal Actual_gap_35n2ss1: std_logic_vector (6 DOWNTO 0) ;
   
   signal Gap_35n15ss1: std_logic_vector (6 DOWNTO 0) ;
   
   signal Actual_gap_35n1s1: std_logic_vector (6 DOWNTO 1) ;
   
   signal not_rtlcs19, not_rtlcs42, rtlc35n289, not_rtlcs38: std_logic ;
   
   signal Gap_35n12s1: std_logic_vector (6 DOWNTO 0) ;
   
   signal rtlc35n348, not_rtlc35n293, rtlc35_X_0_n429, not_rtlc35n718, 
      rtlc35n503, rtlc35n513, rtlc35n634, not_rtlc35n634, 
      not_RxRdy_plus_us_2, rtlc35n637, not_rtlcn185, rtlc35n677, rtlc35n678, 
      rtlc35n694, rtlc35n717, rtlc35n718, rtlc35n735, not_RxRdy_plus_us_6, 
      rtlc35n750, not_rtlc35n750, rtlc35n755, rtlc35n756: std_logic ;
   
   signal Phase_38n15ss1: std_logic_vector (5 DOWNTO 0) ;
   
   signal Phase_38n17ss1_4, Phase_38n17ss1_3, Phase_38n17ss1_2, 
      Phase_38n17ss1_0: std_logic ;
   
   signal Phase_38n18ss1: std_logic_vector (5 DOWNTO 0) ;
   
   signal rtlc38n269: std_logic ;
   
   signal Phase_38n5s1: std_logic_vector (5 DOWNTO 0) ;
   
   signal not_Manchester_error_41n2s2, not_Manchester_error_41n2s1, 
      rtlc38n367, rtlc38n369, rtlc38n370, not_rtlc38n370, rtlc38n391, 
      rtlc38n392, rtlc38n395, rtlc38n405, not_Bit_value, rtlc38n407, 
      rtlc38n408, rtlc38n409, not_rtlc38n409, rtlc38n422: std_logic ;
   
   signal Phase_38n15s1: std_logic_vector (5 DOWNTO 1) ;
   
   signal rtlc38n451, rtlc38n456, rtlc38n458, rtlc38n489, rtlc38n490, 
      not_rtlc38n490, rtlc38n492, not_rtlcs23, rtlc38_X_0_n594, rtlc38n595, 
      rtlc38n621, rtlc38n622, rtlc38n623, not_rtlc38n595, rtlc38n673, 
      rtlc38n674, rtlc38n675, rtlc38n676, rtlc38n677, rtlc38n744, 
      not_rtlc38n744, rtlc38n789, rtlc38n790, rtlc38n791, 
      Manchester_error_41n2ss1, Bit_value_41n4ss1, Manchester_error_41n4ss1, 
      Manchester_error_41n2s1, Manchester_error_41n2s2, rtlc41n109, 
      rtlc41n110, Strobe_44n1s1, Sync_error_47n7ss1, Command_sync_47n10ss1, 
      Calc_parity_47n10ss1, Sync_error_47n10ss1, rtlc47n218, rtlc47n235, 
      Data_47n4s3_3, Data_47n4s3_1, Data_47n4s3_0: std_logic ;
   
   signal Data_47n4s2: std_logic_vector (15 DOWNTO 0) ;
   
   signal rtlc47n417, Sync_error_47n7s1, not_rtlcn181, Calc_parity_47n7s1, 
      rtlc47n426, rtlc47n433, rtlc47n437, rtlc47n453, not_rtlc47n630, 
      rtlc47n551, rtlc47n552, rtlc47n553, rtlc47n571, rtlc47n614, 
      not_rtlc47n614, rtlc47n630, rtlc47n644, RxRdy_plus_10us_50n5s1, 
      not_rtlcs44, rtlc50_X_0_n201, not_rtlc50_X_0_n201, not_RxRdy, 
      rtlc50_X_0_n232, Found_CMD_Sync_56n8ss1: std_logic ;
   
   signal Len_56n8ss1: std_logic_vector (5 DOWNTO 0) ;
   
   signal state_fsm_56n8ss1: std_logic_vector (0 DOWNTO 0) ;
   
   signal state_fsm_56n9ss1: std_logic_vector (0 DOWNTO 0) ;
   
   signal Len_56n6s1: std_logic_vector (5 DOWNTO 0) ;
   
   signal rtlc56n169, rtlc56n176, rtlc56n177, not_rtlc56n177, rtlc56n179, 
      Rcv_Filter_fsm_59n4ss1_4, Rcv_Filter_fsm_59n6ss1_3, 
      Rcv_Filter_fsm_59n13ss1_4, Rcv_Filter_fsm_59n13ss1_3, 
      Rcv_Filter_fsm_59n16ss1_6, Rcv_Filter_fsm_59n16ss1_5, 
      Rcv_Filter_fsm_59n16ss1_4, Rcv_Filter_fsm_59n16ss1_3, rtlc59n252, 
      rtlc59n281, rtlc59n430, not_rtlc59n464, not_rtlc59n467, rtlc59n464, 
      rtlc59n467, rtlc59n671, rtlc59n673, not_rtlcn184, rtlc59n706, 
      rtlc59n707, rtlc62n94, not_rtlc62n36, not_Bit_Gap_3, not_rtlcn183, 
      rtlcn171, rtlcn177, rtlcn178, rtlcn180, rtlcn181, rtlcn182, rtlcn183, 
      rtlcn184, rtlcn185, rtlcn187, rtlcn318, rtlcn323, rtlcn328, rtlcn333, 
      rtlcn338, rtlcn343, rtlcn348, rtlcn353, rtlcn358, rtlcn363, rtlcn368, 
      rtlcn373, rtlcn378, rtlcn383, rtlcn388, rtlcn393, rtlcn399, rtlcn427, 
      rtlcn431, rtlcn435, rtlcn437, not_rtlcn1110, rtlcn469, rtlcn479, 
      rtlcn506, rtlcn507, rtlcn513, rtlcn525, rtlcn526, rtlcn532, rtlcn533, 
      rtlcn545, rtlcn571, rtlcn627, rtlcn639, rtlcn671, rtlcn696, rtlcn746, 
      rtlcn786, rtlcn787, rtlcn788, rtlcn804, rtlcn805, rtlcn806, rtlcn886, 
      not_rtlcn1266, rtlcn891, rtlcn916, rtlcn1053, rtlcn1064, rtlcn1066, 
      not_rtlcn1262, rtlcn1091, not_rtlcn1263, rtlcn1110, rtlcn1111, 
      rtlcn1114, not_state_1, not_state_0, rtlcn1128, rtlcn1129, rtlcn1130, 
      rtlcn1131, rtlcn1132, rtlcn1133, rtlcn1134, rtlcn1136, rtlcn1137, 
      rtlcn1138, rtlcn1139, rtlcn1140, rtlcn1141, rtlcn1142, rtlcn1143, 
      rtlcn1144, not_Advance, not_rtlcs21, not_rtlc38n492, not_rtlc38n458, 
      rtlcn1150, rtlcn1151, not_Recieving, rtlcn1153, rtlcn1155, 
      not_rtlcn746, not_rtlc59n252, not_rtlc59n281, not_rtlc35n756, 
      not_rtlcn1264, not_rtlcn1265, not_rtlc35n678, not_rtlc35n694, 
      not_RxRdy_plus_us_4, rtlcn1172, not_RxRdy_plus_us_3, rtlcn1175, 
      rtlcn1176, rtlcn1178, rtlcn1179, rtlcn1180, rtlcn1181, not_rtlc56n179, 
      rtlcn1184, not_rtlc23n480, not_rtlc23n432, rtlcn1187, not_Stall, 
      not_rtlcs37, rtlcn1195, rtlcn1196, rtlcn1197, rtlcn1198, not_rtlc20n33, 
      not_rtlcn1114, rtlcn1202, rtlcn1203, rtlcn1204, rtlcn1205, 
      not_rtlcn399, not_rtlcn427, rtlcn1261, rtlcn1262, rtlcn1263, rtlcn1264, 
      rtlcn1265, rtlcn1266, rtlcn1267, rtlcn1268, rtlcn1270, rtlcn1271, 
      rtlcn1272, rtlcn1273, rtlcn1274, rtlcn1275, rtlcn1276, rtlcn1277, 
      rtlcn1279, rtlcn1280, rtlcn1281, rtlcn1282, rtlcn1283, rtlcn1284, 
      not_rtlc23n219, not_rtlc23n195, not_rtlc26n63, not_rtlc35n348, 
      not_rtlcn1142, rtlcn1293, not_rtlc38n422, not_rtlcn1341, rtlcn1300, 
      rtlcn1301, rtlcn1302, not_Strobe, not_rtlcn1268, not_rtlc47n218, 
      rtlcn1310, not_rtlcn1452, rtlcn1313, rtlcn1314, not_rtlcn1267, 
      rtlcn1316, rtlcs0, rtlcs1, rtlcs3, rtlcs4, rtlcs6, rtlcs7, rtlcs8, 
      rtlcs11, rtlcs12, rtlcs13, rtlcs15, rtlcs16, rtlcs19, rtlcs21, rtlcs23, 
      rtlcs24, rtlcs25, rtlcs26, rtlcs27, rtlcs29, rtlcs30, rtlcs32, rtlcs34, 
      rtlcs37, rtlcs38, rtlcs39, rtlcs42, rtlcs44, rtlcs46, rtlcs47, rtlcs48, 
      rtlcs49, rtlcs50, rtlcs51, not_Bit_number_4, not_Bit_number_3, 
      not_Bit_number_2, not_rtlc5n44, not_rtlc11n36, not_rtlcn479, 
      not_Found_CMD_Sync, not_rtlcn533, not_rtlcs1, rtlcn1341, not_Phase_3, 
      not_Phase_0, not_Phase_1, not_Phase_5, not_Phase_4, not_Phase_2, 
      not_rtlcn671, not_rtlc56n169, not_Len_3, not_Len_2, not_Len_0, 
      not_Len_1, rtlcn1452, not_energy_3, not_energy_2, not_energy_1, 
      not_energy_0, not_rtlcs27, not_rtlcs0, not_gap_phase_4, 
      not_gap_phase_3, not_RxRdy_plus_phase_4, not_RxRdy_plus_phase_3, 
      not_rtlc35n637, not_RxRdy_plus_us_5, not_RxRdy_plus_us_1, 
      not_RxRdy_plus_us_0, not_RxRdy_plus_phase_5, not_RxRdy_plus_phase_2, 
      not_RxRdy_plus_phase_1, not_RxRdy_plus_phase_0, not_Echo, rtlcn1782, 
      rtlcn1785, rtlcn1799, rtlcn1805, not_rtlc38n623, 
      H15530_record_Manchester_error_EXMPLR1523: std_logic ;
   
   signal H15530_record_RAW_GAP_EXMPLR1564: std_logic_vector (6 DOWNTO 0) ;
   
   signal H15530_record_Command_Sync_EXMPLR1560: std_logic ;
   
   signal energy_23n6s1f1: std_logic_vector (1 DOWNTO 0) ;
   
   signal rtlc47n629, rtlc35_160_and_913_nx0, rtlc50_46_and_937_nx0, 
      rtlc59_194_or_939_nx0, rtlc59_198_or_940_nx0, rtlc59_670_or_942_nx0, 
      rtlc59_682_and_944_nx0, rtlc_253_and_945_nx0, rtlc_254_and_946_nx0, 
      rtlc_256_and_947_nx0, rtlc_355_and_948_nx0, rtlc_1549_or_964_nx0, 
      rtlc_1693_or_965_nx0, rtlc_1701_or_966_nx0, rtlc_1705_and_967_nx0, 
      rtlc_1710_and_968_nx0, rtlc_1729_and_969_nx0, rtlc_1750_and_971_nx0, 
      rtlc_1754_or_972_nx0, rtlc62n36, rtlc_1796_and_978_nx0, 
      rtlc_1803_and_979_nx0, rtlc_1805_and_980_nx0, rtlc_1817_or_981_nx0, 
      rtlc_2127_or_983_nx0, rtlc_2148_and_984_nx0, rtlc35n293, 
      rtlc_2187_and_987_nx0: std_logic ;
   
   signal DANGLING : std_logic_vector (17 downto 0 );

begin
   Bi_error <= GND ;
   H15530_record_Sync_error <= GND ;
   H15530_record_Manchester_error <= GND ;
   H15530_record_Parity_error <= GND ;
   H15530_record_echo_back_bus <= GND ;
   H15530_record_RAW_GAP(6) <= H15530_record_RAW_GAP_EXMPLR1564(6) ;
   H15530_record_RAW_GAP(5) <= H15530_record_RAW_GAP_EXMPLR1564(5) ;
   H15530_record_RAW_GAP(4) <= H15530_record_RAW_GAP_EXMPLR1564(4) ;
   H15530_record_RAW_GAP(3) <= H15530_record_RAW_GAP_EXMPLR1564(3) ;
   H15530_record_RAW_GAP(2) <= H15530_record_RAW_GAP_EXMPLR1564(2) ;
   H15530_record_RAW_GAP(1) <= H15530_record_RAW_GAP_EXMPLR1564(1) ;
   H15530_record_RAW_GAP(0) <= H15530_record_RAW_GAP_EXMPLR1564(0) ;
   H15530_record_RxRDY_plus_12us <= GND ;
   H15530_record_Command_Sync <= H15530_record_Command_Sync_EXMPLR1560 ;
   Parity_error <= GND ;
   Sync_error <= Sync_error_EXMPLR1522 ;
   PWR <= '1' ;
   GND <= '0' ;
   not_Clock <= NOT Clock ;
   rtlc14n83 <= Minus_shifter(3) AND not_Plus_shifter_3 ;
   rtlc14n63 <= Plus_shifter(3) AND not_Minus_shifter_3 ;
   not_Minus_shifter_3 <= NOT Minus_shifter(3) ;
   not_Plus_shifter_3 <= NOT Plus_shifter(3) ;
   Clean_plus_17n1s1 <= Clean_plus_17n1s2 OR Clean_plus_17n1s9 ;
   Clean_plus_17n1s2 <= Clean_plus_17n1s3 OR Clean_plus_17n1s6 ;
   Clean_plus_17n1s3 <= Plus_shifter(2) AND Plus_shifter(1) ;
   Clean_plus_17n1s6 <= Plus_shifter(2) AND Plus_shifter(0) ;
   Clean_plus_17n1s9 <= Plus_shifter(1) AND Plus_shifter(0) ;
   Clean_minus_17n1s1 <= Clean_minus_17n1s2 OR Clean_minus_17n1s9 ;
   Clean_minus_17n1s2 <= Clean_minus_17n1s3 OR Clean_minus_17n1s6 ;
   Clean_minus_17n1s3 <= Minus_shifter(2) AND Minus_shifter(1) ;
   Clean_minus_17n1s6 <= Minus_shifter(2) AND Minus_shifter(0) ;
   Clean_minus_17n1s9 <= Minus_shifter(1) AND Minus_shifter(0) ;
   not_minus_dd <= NOT minus_dd ;
   rtlc20n33 <= rtlc20n30 AND rtlc20n32 ;
   not_Xmitting <= NOT Xmitting ;
   not_rtlc23n152 <= NOT rtlc23n152 ;
   rtlc23n152 <= not_rtlcn177 AND first_sync ;
   not_rtlc23n95 <= NOT rtlc23n95 ;
   rtlc23n95 <= rtlc23n152 OR rtlcs37 ;
   rtlc23n81 <= plus_dd OR plus_dd_falling_edge ;
   rtlc23n83 <= rtlc23n81 OR minus_dd ;
   rtlc23n85 <= rtlc23n83 OR minus_dd_falling_edge ;
   not_rtlc23n398 <= NOT rtlc23n398 ;
   not_energy_6 <= NOT energy(6) ;
   rtlc23n391 <= energy(5) AND energy(4) ;
   not_rtlc23n391 <= NOT rtlc23n391 ;
   rtlc23n397 <= not_rtlc23n391 OR not_rtlcn178 ;
   rtlc23n398 <= not_energy_6 AND rtlc23n397 ;
   not_rtlc23n417 <= NOT rtlc23n417 ;
   not_energy_5 <= NOT energy(5) ;
   not_energy_4 <= NOT energy(4) ;
   rtlc23n416 <= not_energy_5 OR not_rtlcn180 ;
   rtlc23n417 <= not_energy_6 AND rtlc23n416 ;
   rtlc23n431 <= energy(0) AND energy(1) ;
   rtlc23_222_or_910 : or_6u_6u port map ( a(5)=>energy(1), a(4)=>energy(2), 
      a(3)=>energy(3), a(2)=>energy(4), a(1)=>energy(5), a(0)=>energy(6), d
      =>rtlc23n480);
   rtlc23n588 <= rtlc23n583 OR rtlc23n584 ;
   energy_addsub7_23i1 : addsub_7u_7u_7u_0 port map ( mode=>rtlcn399, cin=>
      not_rtlcn399, a(6)=>energy(6), a(5)=>energy(5), a(4)=>energy(4), a(3)
      =>energy(3), a(2)=>energy(2), a(1)=>energy(1), a(0)=>energy(0), b(6)=>
      GND, b(5)=>GND, b(4)=>GND, b(3)=>GND, b(2)=>GND, b(1)=>
      energy_23n6s1f1(1), b(0)=>energy_23n6s1f1(0), d(6)=>energy_23n6s1(6), 
      d(5)=>energy_23n6s1(5), d(4)=>energy_23n6s1(4), d(3)=>energy_23n6s1(3), 
      d(2)=>energy_23n6s1(2), d(1)=>energy_23n6s1(1), d(0)=>energy_23n6s1(0), 
      cout=>DANGLING(0));
   rtlc26_49_or_912 : or_4u_4u port map ( a(3)=>energy(0), a(2)=>energy(1), 
      a(1)=>energy(2), a(0)=>energy(3), d=>rtlc26n94);
   rtlc26n95 <= rtlc26n94 AND energy(4) ;
   rtlc26n96 <= rtlc26n95 OR rtlc26n93 ;
   not_rtlc26n93 <= NOT rtlc26n93 ;
   rtlc26n116 <= not_energy_4 OR not_rtlc23n393 ;
   rtlc26n117 <= not_rtlc26n93 AND rtlc26n116 ;
   not_rtlcs19 <= NOT rtlcs19 ;
   Gap_inc7_35i2 : inc_7u_7u_0 port map ( cin=>PWR, a(6)=>
      H15530_record_RAW_GAP_EXMPLR1564(6), a(5)=>
      H15530_record_RAW_GAP_EXMPLR1564(5), a(4)=>
      H15530_record_RAW_GAP_EXMPLR1564(4), a(3)=>
      H15530_record_RAW_GAP_EXMPLR1564(3), a(2)=>
      H15530_record_RAW_GAP_EXMPLR1564(2), a(1)=>
      H15530_record_RAW_GAP_EXMPLR1564(1), a(0)=>
      H15530_record_RAW_GAP_EXMPLR1564(0), d(6)=>Gap_35n12s1(6), d(5)=>
      Gap_35n12s1(5), d(4)=>Gap_35n12s1(4), d(3)=>Gap_35n12s1(3), d(2)=>
      Gap_35n12s1(2), d(1)=>Gap_35n12s1(1), d(0)=>Gap_35n12s1(0), cout=>
      DANGLING(1));
   rtlc35_324_or_916 : or_4u_4u port map ( a(3)=>RxRdy_plus_us(3), a(2)=>
      RxRdy_plus_us(4), a(1)=>RxRdy_plus_us(5), a(0)=>RxRdy_plus_us(6), d=>
      rtlc35n634);
   not_rtlc35n634 <= NOT rtlc35n634 ;
   not_RxRdy_plus_us_2 <= NOT RxRdy_plus_us(2) ;
   rtlc35n637 <= not_rtlc35n634 AND not_RxRdy_plus_us_2 ;
   rtlc35n677 <= not_RxRdy_plus_us_2 OR not_rtlcn185 ;
   rtlc35n678 <= not_rtlc35n634 AND rtlc35n677 ;
   rtlc35n718 <= not_rtlc35n694 AND rtlc35n717 ;
   rtlc35n735 <= RxRdy_plus_us(4) AND RxRdy_plus_us(3) ;
   not_RxRdy_plus_us_6 <= NOT RxRdy_plus_us(6) ;
   rtlc35n750 <= RxRdy_plus_us(5) AND RxRdy_plus_us(4) ;
   not_rtlc35n750 <= NOT rtlc35n750 ;
   rtlc35n755 <= not_rtlc35n750 OR rtlcn1175 ;
   rtlc35n756 <= not_RxRdy_plus_us_6 AND rtlc35n755 ;
   rtlc38_95_select_917 : select_3_3 port map ( a(2)=>not_rtlc38n744, a(1)=>
      rtlcs15, a(0)=>rtlcs21, b(2)=>PWR, b(1)=>not_Manchester_error_41n2s1, 
      b(0)=>not_rtlc38n370, d=>rtlc38n392);
   not_rtlcs23 <= NOT rtlcs23 ;
   rtlc38_142_and_918 : and_4u_4u port map ( a(3)=>not_rtlcs23, a(2)=>
      not_rtlcs21, a(1)=>not_rtlc38n492, a(0)=>Recieving, d=>rtlc38_X_0_n594
   );
   rtlc38n595 <= not_CE OR rtlc38_X_0_n594 ;
   not_rtlc38n595 <= NOT rtlc38n595 ;
   rtlc38n622 <= rtlcs37 AND not_rtlc38n492 ;
   rtlc38n621 <= not_rtlcs21 AND not_rtlc38n492 ;
   rtlc38n623 <= rtlc38n621 OR rtlc38n622 ;
   rtlc38n490 <= rtlcs29 AND rtlc38n489 ;
   not_rtlc38n490 <= NOT rtlc38n490 ;
   rtlc38n492 <= Found_CMD_Sync AND not_rtlc38n490 ;
   rtlc38n451 <= rtlcs34 AND first_sync ;
   rtlc38n456 <= rtlc38n451 AND rtlcs1 ;
   rtlc38n458 <= rtlc38n456 AND Manchester_error_41n2s2 ;
   not_rtlc38n409 <= NOT rtlc38n409 ;
   not_Bit_value <= NOT Bit_value ;
   rtlc38n407 <= not_Bit_value AND level_plus ;
   rtlc38n405 <= Bit_value AND Level_minus ;
   rtlc38n408 <= rtlc38n405 OR rtlc38n407 ;
   rtlc38n409 <= rtlcs21 AND rtlc38n408 ;
   not_rtlc38n370 <= NOT rtlc38n370 ;
   rtlc38n369 <= not_Bit_value AND Level_minus ;
   rtlc38n367 <= Bit_value AND level_plus ;
   rtlc38n370 <= rtlc38n367 OR rtlc38n369 ;
   not_Manchester_error_41n2s1 <= NOT Manchester_error_41n2s1 ;
   not_Manchester_error_41n2s2 <= NOT Manchester_error_41n2s2 ;
   rtlc38n269 <= Echo AND not_Xmitting ;
   Sync_error_47n7s1 <= H15530_record_Manchester_error_EXMPLR1523 OR 
   Sync_error_EXMPLR1522 ;
   Phase_inc6_38i1 : inc_6u_6u_0 port map ( cin=>PWR, a(5)=>Phase(5), a(4)=>
      Phase(4), a(3)=>Phase(3), a(2)=>Phase(2), a(1)=>Phase(1), a(0)=>
      Phase(0), d(5)=>Phase_38n5s1(5), d(4)=>Phase_38n5s1(4), d(3)=>
      Phase_38n5s1(3), d(2)=>Phase_38n5s1(2), d(1)=>Phase_38n5s1(1), d(0)=>
      Phase_38n5s1(0), cout=>DANGLING(2));
   not_rtlc38n744 <= NOT rtlc38n744 ;
   rtlc38n789 <= one_shot(0) AND rtlc59n707 ;
   rtlc38n790 <= one_shot(3) OR rtlc38n789 ;
   rtlc38n791 <= rtlc59n706 AND rtlc38n790 ;
   Calc_parity_47n7s1 <= Calc_parity XOR Bit_value ;
   rtlc47_110_select_936 : select_4_4 port map ( a(3)=>not_rtlc47n614, a(2)
      =>rtlcs34, a(1)=>rtlcs29, a(0)=>rtlcs37, b(3)=>
      not_H15530_record_Manchester_error, b(2)=>rtlc47n417, b(1)=>
      not_rtlcn181, b(0)=>rtlc47n433, d=>rtlc47n437);
   rtlc47n417 <= not_H15530_record_Manchester_error AND rtlc47n235 ;
   rtlc47n433 <= not_H15530_record_Manchester_error AND rtlc47n426 ;
   rtlc47n453 <= RxRdy OR rtlcs39 ;
   rtlc47n218 <= not_rtlc47n630 AND rtlcn182 ;
   not_rtlc47n614 <= NOT rtlc47n614 ;
   not_rtlc47n630 <= NOT rtlc47n630 ;
   rtlc47n630 <= rtlc47n629 AND Bit_number(4) ;
   not_RxRdy <= NOT RxRdy ;
   not_rtlcs44 <= NOT rtlcs44 ;
   not_rtlc50_X_0_n201 <= NOT rtlc50_X_0_n201 ;
   rtlc50_X_0_n201 <= not_rtlcs44 OR rtlcs42 ;
   rtlc56n177 <= first_sync OR resync_after_fault ;
   rtlc56n176 <= Clean_plus OR Found_CMD_Sync ;
   rtlc56n179 <= rtlc56n176 OR not_rtlc56n177 ;
   rtlc56n169 <= Clean_plus AND rtlc56n177 ;
   Len_inc6_56i1 : inc_6u_6u_0 port map ( cin=>PWR, a(5)=>Len(5), a(4)=>
      Len(4), a(3)=>Len(3), a(2)=>Len(2), a(1)=>Len(1), a(0)=>Len(0), d(5)=>
      Len_56n6s1(5), d(4)=>Len_56n6s1(4), d(3)=>Len_56n6s1(3), d(2)=>
      Len_56n6s1(2), d(1)=>Len_56n6s1(1), d(0)=>Len_56n6s1(0), cout=>
      DANGLING(3));
   rtlc59n430 <= Rcv_Filter(5) OR Rcv_Filter(6) ;
   not_rtlc59n464 <= NOT rtlc59n464 ;
   not_rtlc59n467 <= NOT rtlc59n467 ;
   rtlc59n281 <= not_Clean_plus AND not_rtlcn184 ;
   rtlc59n252 <= not_Clean_minus AND not_rtlcn184 ;
   rtlc59_672_and_943 : and_4u_4u port map ( a(3)=>one_shot(3), a(2)=>
      one_shot(2), a(1)=>one_shot(1), a(0)=>one_shot(0), d=>rtlc59n673);
   rtlc59n707 <= one_shot(2) AND one_shot(1) ;
   not_rtlc62n36 <= NOT rtlc62n36 ;
   not_Bit_Gap_3 <= NOT Bit_Gap(3) ;
   not_rtlcn171 <= NOT rtlcn171 ;
   rtlc38n744 <= rtlcs15 OR rtlcs21 ;
   not_rtlcn177 <= NOT rtlcn177 ;
   rtlc23n393 <= energy(3) OR energy(2) ;
   not_rtlcn178 <= NOT rtlcn178 ;
   rtlc26n93 <= energy(6) OR energy(5) ;
   not_rtlc23n393 <= NOT rtlc23n393 ;
   not_rtlcn180 <= NOT rtlcn180 ;
   not_rtlcn181 <= NOT rtlcn181 ;
   rtlc47n644 <= Bit_number(4) OR Bit_number(3) ;
   not_rtlcn183 <= NOT rtlcn183 ;
   not_rtlcn184 <= NOT rtlcn184 ;
   not_rtlcn185 <= NOT rtlcn185 ;
   rtlcn171 <= rtlcs34 OR Xmitting ;
   rtlcn177 <= rtlc23n376 OR Bit_number(1) ;
   rtlcn178 <= rtlc23n393 OR energy(1) ;
   rtlcn180 <= energy(4) OR energy(3) ;
   rtlcn181 <= H15530_record_Manchester_error_EXMPLR1523 OR rtlc47n235 ;
   rtlcn182 <= rtlc47n644 OR Bit_number(2) ;
   rtlcn183 <= Bit_Gap(2) OR Bit_Gap(1) ;
   rtlcn184 <= rtlc59n671 OR rtlc59n673 ;
   rtlcn185 <= RxRdy_plus_us(1) OR RxRdy_plus_us(0) ;
   rtlcn187 <= rtlc35n694 OR rtlc35n735 ;
   Sync_error_47n7ss1 <= H15530_record_Manchester_error_EXMPLR1523 OR 
   rtlcn437 ;
   rtlc_629_mux_949 : mux_4u_4u port map ( a(3)=>rtlc56n169, a(2)=>PWR, a(1)
      =>GND, a(0)=>PWR, b(3)=>GND, b(2)=>GND, b(1)=>state(1), b(0)=>state(0), 
      d=>rtlcn1782);
   rtlc_632_mux_950 : mux_4u_4u port map ( a(3)=>not_rtlc56n169, a(2)=>GND, 
      a(1)=>PWR, a(0)=>GND, b(3)=>GND, b(2)=>GND, b(1)=>state(1), b(0)=>
      state(0), d=>rtlcn1785);
   state_fsm_mux_56i2 : mux_4u_4u port map ( a(3)=>rtlcn886, a(2)=>
      Clean_minus, a(1)=>not_rtlcn1266, a(0)=>rtlc56n169, b(3)=>GND, b(2)=>
      GND, b(1)=>state(1), b(0)=>state(0), d=>state_fsm_56n8ss1(0));
   Phase_select_38i8Bus12_5 : select_3_3 port map ( a(2)=>Advance, a(1)=>
      rtlcn506, a(0)=>rtlcn507, b(2)=>Phase_38n15s1(5), b(1)=>GND, b(0)=>
      Phase_38n5s1(5), d=>Phase_38n15ss1(5));
   Phase_select_38i8Bus12_4 : select_3_3 port map ( a(2)=>Advance, a(1)=>
      rtlcn506, a(0)=>rtlcn507, b(2)=>Phase_38n15s1(4), b(1)=>GND, b(0)=>
      Phase_38n5s1(4), d=>Phase_38n15ss1(4));
   Phase_select_38i8Bus12_3 : select_3_3 port map ( a(2)=>Advance, a(1)=>
      rtlcn506, a(0)=>rtlcn507, b(2)=>Phase_38n15s1(3), b(1)=>GND, b(0)=>
      Phase_38n5s1(3), d=>Phase_38n15ss1(3));
   Phase_select_38i5 : select_3_3 port map ( a(2)=>rtlc38n492, a(1)=>
      rtlcn532, a(0)=>rtlcn533, b(2)=>PWR, b(1)=>GND, b(0)=>
      Phase_38n15ss1(3), d=>Phase_38n17ss1_3);
   Phase_select_38i8Bus12_2 : select_3_3 port map ( a(2)=>Advance, a(1)=>
      rtlcn506, a(0)=>rtlcn507, b(2)=>Phase_38n15s1(2), b(1)=>GND, b(0)=>
      Phase_38n5s1(2), d=>Phase_38n15ss1(2));
   Phase_select_38i8Bus12_1 : select_3_3 port map ( a(2)=>Advance, a(1)=>
      rtlcn506, a(0)=>rtlcn507, b(2)=>Phase_38n15s1(1), b(1)=>GND, b(0)=>
      Phase_38n5s1(1), d=>Phase_38n15ss1(1));
   Phase_select_38i8Bus12_0 : select_3_3 port map ( a(2)=>Advance, a(1)=>
      rtlcn506, a(0)=>rtlcn507, b(2)=>Phase(0), b(1)=>GND, b(0)=>
      Phase_38n5s1(0), d=>Phase_38n15ss1(0));
   Phase_select_38i9 : select_3_3 port map ( a(2)=>rtlc38n492, a(1)=>
      rtlcn532, a(0)=>rtlcn533, b(2)=>PWR, b(1)=>GND, b(0)=>
      Phase_38n15ss1(0), d=>Phase_38n17ss1_0);
   Rcv_Filter_fsm_select_59i2Bus19_5 : select_3_3 port map ( a(2)=>rtlcn788, 
      a(1)=>rtlcn786, a(0)=>rtlcn787, b(2)=>GND, b(1)=>PWR, b(0)=>
      Rcv_Filter_fsm_59n6ss1_3, d=>Rcv_Filter_fsm_59n16ss1_5);
   Rcv_Filter_fsm_select_59i2Bus19_6 : select_3_3 port map ( a(2)=>rtlcn806, 
      a(1)=>rtlcn804, a(0)=>rtlcn805, b(2)=>GND, b(1)=>PWR, b(0)=>
      Rcv_Filter_fsm_59n4ss1_4, d=>Rcv_Filter_fsm_59n16ss1_6);
   not_rtlc56n177 <= NOT rtlc56n177 ;
   not_Clean_minus <= NOT Clean_minus ;
   not_rtlc23n85 <= NOT rtlc23n85 ;
   not_Clean_plus <= NOT Clean_plus ;
   not_rtlcs38 <= NOT rtlcs38 ;
   not_rtlc35n293 <= NOT rtlc35n293 ;
   Rcv_Filter_fsm_select_59i4Bus17_3 : select_3_3 port map ( a(2)=>
      not_rtlcn1262, a(1)=>Rcv_Filter(2), a(0)=>rtlcn1066, b(2)=>GND, b(1)=>
      Rcv_Filter_fsm_59n6ss1_3, b(0)=>PWR, d=>Rcv_Filter_fsm_59n13ss1_3);
   Rcv_Filter_fsm_select_59i4Bus17_4 : select_3_3 port map ( a(2)=>
      not_rtlcn1263, a(1)=>Rcv_Filter(1), a(0)=>rtlcn1091, b(2)=>GND, b(1)=>
      Rcv_Filter_fsm_59n4ss1_4, b(0)=>PWR, d=>Rcv_Filter_fsm_59n13ss1_4);
   rtlc38n395 <= rtlcs26 OR rtlc38n392 ;
   rtlc47n614 <= rtlcs32 OR rtlcs37 ;
   not_state_1 <= NOT state(1) ;
   not_state_0 <= NOT state(0) ;
   not_Advance <= NOT Advance ;
   rtlcn506 <= rtlcs21 AND not_Advance ;
   not_rtlcs21 <= NOT rtlcs21 ;
   rtlcn507 <= not_rtlcs21 AND not_Advance ;
   not_rtlc38n492 <= NOT rtlc38n492 ;
   rtlcn532 <= not_rtlc38n492 AND rtlc38n458 ;
   not_rtlc38n458 <= NOT rtlc38n458 ;
   rtlcn533 <= not_rtlc38n492 AND not_rtlc38n458 ;
   rtlcn1150 <= not_Clean_minus AND Rcv_Filter(6) ;
   rtlcn1151 <= Clean_plus AND Rcv_Filter(5) ;
   rtlcn1131 <= rtlcn1150 OR rtlcn1151 ;
   not_Recieving <= NOT Recieving ;
   rtlcn1153 <= Clean_minus AND Rcv_Filter(6) ;
   rtlcn1155 <= not_Clean_plus AND Rcv_Filter(5) ;
   rtlcn1132 <= rtlcn1153 OR rtlcn1155 ;
   not_rtlcn746 <= NOT rtlcn746 ;
   rtlcn786 <= rtlcn1132 AND not_rtlcn746 ;
   rtlcn787 <= Rcv_Filter(4) AND not_rtlcn746 ;
   rtlcn804 <= rtlcn1131 AND not_rtlcn746 ;
   rtlcn805 <= Rcv_Filter(3) AND not_rtlcn746 ;
   not_rtlc59n252 <= NOT rtlc59n252 ;
   not_rtlc59n281 <= NOT rtlc59n281 ;
   not_ResetN <= NOT ResetN ;
   rtlcn399 <= rtlc23n584 OR rtlc23n585 ;
   rtlc35n694 <= RxRdy_plus_us(6) OR RxRdy_plus_us(5) ;
   not_rtlc35n756 <= NOT rtlc35n756 ;
   not_rtlc35n678 <= NOT rtlc35n678 ;
   not_rtlc35n694 <= NOT rtlc35n694 ;
   not_RxRdy_plus_us_4 <= NOT RxRdy_plus_us(4) ;
   rtlc_1730_or_970 : or_4u_4u port map ( a(3)=>rtlc35n637, a(2)=>
      not_rtlcn1264, a(1)=>not_rtlcn1265, a(0)=>rtlcn1172, d=>rtlcn427);
   not_rtlcs42 <= NOT rtlcs42 ;
   not_RxRdy_plus_us_3 <= NOT RxRdy_plus_us(3) ;
   rtlcn1175 <= not_RxRdy_plus_us_3 AND not_RxRdy_plus_us_2 ;
   rtlc35n717 <= not_RxRdy_plus_us_4 OR rtlcn1175 ;
   rtlcn1176 <= not_rtlc35n678 AND not_RxRdy_plus_us_4 ;
   rtlcn1178 <= rtlcn1261 AND rtlc35n717 ;
   rtlcn1139 <= rtlcn1176 OR rtlcn1178 ;
   rtlcn1179 <= not_rtlc35n694 AND rtlcn1139 ;
   rtlcn431 <= not_rtlc35n756 OR rtlcn1179 ;
   not_rtlc35n718 <= NOT rtlc35n718 ;
   rtlcn1110 <= rtlc47n453 OR Found_CMD_Sync ;
   not_rtlcn1110 <= NOT rtlcn1110 ;
   rtlcn1136 <= Clean_minus OR rtlc56n177 ;
   rtlcn1180 <= rtlcs48 AND rtlcn1136 ;
   not_rtlc56n179 <= NOT rtlc56n179 ;
   rtlcn469 <= Recieving AND rtlcn1140 ;
   not_rtlc23n480 <= NOT rtlc23n480 ;
   not_rtlc23n432 <= NOT rtlc23n432 ;
   rtlcn1187 <= not_rtlc23n432 AND rtlc23n152 ;
   rtlcn1141 <= not_rtlc23n480 OR rtlcn1187 ;
   rtlcn479 <= not_rtlc23n85 AND rtlcn1141 ;
   rtlcn513 <= Recieving AND rtlcn533 ;
   rtlcn525 <= not_Recieving OR rtlc38n269 ;
   rtlcn526 <= rtlc23n85 AND Xmitting ;
   not_Stall <= NOT Stall ;
   rtlc_1767_and_974 : and_4u_4u port map ( a(3)=>not_rtlc38n492, a(2)=>
      not_rtlc38n458, a(1)=>Recieving, a(0)=>not_Stall, d=>rtlcn571);
   not_rtlcs37 <= NOT rtlcs37 ;
   rtlcn1142 <= not_rtlcs21 OR not_rtlcs37 ;
   rtlcn627 <= Recieving AND rtlcn1142 ;
   rtlcn1111 <= Found_CMD_Sync OR rtlcs29 ;
   rtlcn1133 <= rtlcn1150 OR rtlcn1155 ;
   rtlcn1130 <= Rcv_Filter(4) OR Rcv_Filter(2) ;
   rtlcn1143 <= not_Clean_minus OR rtlc59n281 ;
   rtlcn1128 <= rtlcn1130 AND rtlcn1143 ;
   rtlcn1129 <= Rcv_Filter(3) OR Rcv_Filter(1) ;
   rtlcn1134 <= not_Clean_plus OR rtlc59n252 ;
   rtlcn1195 <= rtlcn1129 AND rtlcn1134 ;
   rtlcn1138 <= rtlcn1128 OR rtlcn1195 ;
   rtlcn671 <= rtlcn1133 OR rtlcn1138 ;
   rtlcn1196 <= rtlc59n252 AND rtlcn1129 ;
   rtlcn1197 <= rtlc59n281 AND rtlcn1130 ;
   rtlc_1790_or_977 : or_4u_4u port map ( a(3)=>rtlcn746, a(2)=>rtlcn1196, 
      a(1)=>rtlcn1197, a(0)=>rtlcn1198, d=>rtlcn696);
   rtlcn886 <= rtlc56n169 OR not_rtlc56n179 ;
   not_rtlc20n33 <= NOT rtlc20n33 ;
   rtlcn1114 <= rtlcs38 OR rtlc35n293 ;
   not_rtlcn1114 <= NOT rtlcn1114 ;
   rtlcn916 <= rtlcs0 AND not_rtlcn1114 ;
   rtlcn1202 <= not_rtlc59n252 AND Rcv_Filter(1) ;
   rtlcn1203 <= Clean_minus AND Rcv_Filter(0) ;
   rtlcn1137 <= rtlcn1202 OR rtlcn1203 ;
   rtlcn1204 <= Clean_plus AND Rcv_Filter(0) ;
   rtlcn1144 <= rtlcn1204 OR rtlcn1205 ;
   rtlcn1064 <= not_rtlcn746 AND rtlcn1144 ;
   rtlcn1184 <= not_rtlc56n179 AND rtlcs47 ;
   energy_23n6s1f1(1) <= NOT rtlc23n582 ;
   energy_23n6s1f1(0) <= NOT rtlc23n588 ;
   not_rtlcn399 <= NOT rtlcn399 ;
   not_rtlcn427 <= NOT rtlcn427 ;
   not_rtlcn1262 <= NOT rtlcn1262 ;
   not_rtlcn1263 <= NOT rtlcn1263 ;
   not_rtlcn1264 <= NOT rtlcn1264 ;
   not_rtlcn1265 <= NOT rtlcn1265 ;
   not_rtlcn1266 <= NOT rtlcn1266 ;
   rtlc23n195 <= not_rtlc23n398 when rtlc23n95 = '1' else not_rtlc23n417 ;
   rtlc23n219 <= not_rtlcn171 when rtlc23n85 = '1' else rtlc23n480 ;
   rtlc26n63 <= rtlc26n96 when Recieving = '1' else rtlc26n117 ;
   rtlc38n422 <= not_rtlc38n409 when rtlcs29 = '1' else rtlc38n395 ;
   Manchester_error_41n2ss1 <= Manchester_error_41n2s1 when rtlcs26
    = '1' else Manchester_error_41n2s2 ;
   not_rtlc23n219 <= NOT rtlc23n219 ;
   rtlc23n262 <= CE AND not_rtlc23n219 ;
   not_CE <= NOT CE ;
   not_rtlc23n195 <= NOT rtlc23n195 ;
   rtlcn1276 <= not_rtlc23n195 OR not_rtlc23n85 ;
   rtlc23n261 <= CE AND rtlcn1276 ;
   not_rtlc26n63 <= NOT rtlc26n63 ;
   rtlc26n80 <= CE AND not_rtlc26n63 ;
   rtlc29n57 <= CE AND rtlcn1277 ;
   rtlc35n513 <= CE AND rtlcs30 ;
   not_rtlc35n348 <= NOT rtlc35n348 ;
   rtlc35n503 <= CE AND not_rtlc35n348 ;
   not_rtlcn1142 <= NOT rtlcn1142 ;
   rtlc38n677 <= CE AND rtlcn1279 ;
   rtlcn1293 <= rtlcs21 AND rtlcs37 ;
   rtlcn1280 <= not_Recieving OR rtlcn1293 ;
   rtlc38n676 <= CE AND rtlcn1280 ;
   rtlcn1270 <= not_Recieving OR rtlc38n492 ;
   rtlcn1271 <= Advance OR rtlcn1270 ;
   not_rtlc38n422 <= NOT rtlc38n422 ;
   rtlcn1281 <= not_rtlc38n422 OR rtlcn1271 ;
   rtlc38n675 <= CE AND rtlcn1281 ;
   rtlc_2121_or_982 : or_4u_4u port map ( a(3)=>Stall, a(2)=>rtlc38n458, 
      a(1)=>rtlcn1270, a(0)=>not_rtlcn1341, d=>rtlcn1282);
   rtlc38n674 <= CE AND rtlcn1282 ;
   rtlcn1274 <= rtlcs21 OR not_rtlcs23 ;
   rtlcn1300 <= not_Stall AND rtlcn1274 ;
   rtlc38n673 <= CE AND rtlcn1283 ;
   rtlcn1272 <= CE AND Found_CMD_Sync ;
   rtlcn1301 <= CE AND Strobe_44n1s1 ;
   rtlc41n110 <= rtlcn1272 OR rtlcn1301 ;
   rtlc41n109 <= rtlcn1272 OR rtlcn1302 ;
   not_Strobe <= NOT Strobe ;
   rtlcn1268 <= not_CE OR not_Strobe ;
   rtlcn1273 <= CE AND rtlcn1110 ;
   not_rtlcn1268 <= NOT rtlcn1268 ;
   not_H15530_record_Manchester_error <= NOT 
   H15530_record_Manchester_error_EXMPLR1523 ;
   rtlcn1275 <= rtlcs26 OR rtlcs32 ;
   not_rtlc47n218 <= NOT rtlc47n218 ;
   rtlc47n571 <= rtlcn1273 OR rtlcn1310 ;
   rtlc47n553 <= rtlcn1273 OR not_rtlcn1452 ;
   rtlcn1284 <= rtlc47n218 OR rtlcs29 ;
   rtlcn1313 <= not_rtlcn1268 AND rtlcn1284 ;
   rtlc47n552 <= rtlcn1272 OR rtlcn1313 ;
   rtlcn1314 <= rtlcs27 AND not_rtlcn1268 ;
   rtlc47n551 <= rtlcn1272 OR rtlcn1314 ;
   rtlcn1267 <= not_rtlc47n218 OR rtlcn1268 ;
   not_rtlcn1267 <= NOT rtlcn1267 ;
   rtlcn318 <= Data_47n4s2(0) AND not_rtlcn1267 ;
   rtlcn323 <= not_rtlcn1267 AND Data_47n4s2(1) ;
   rtlcn328 <= not_rtlcn1267 AND Data_47n4s2(2) ;
   rtlcn333 <= not_rtlcn1267 AND Data_47n4s2(3) ;
   rtlcn338 <= not_rtlcn1267 AND Data_47n4s2(4) ;
   rtlcn343 <= not_rtlcn1267 AND Data_47n4s2(5) ;
   rtlcn348 <= not_rtlcn1267 AND Data_47n4s2(6) ;
   rtlcn353 <= not_rtlcn1267 AND Data_47n4s2(7) ;
   rtlcn358 <= not_rtlcn1267 AND Data_47n4s2(8) ;
   rtlcn363 <= not_rtlcn1267 AND Data_47n4s2(9) ;
   rtlcn368 <= not_rtlcn1267 AND Data_47n4s2(10) ;
   rtlcn373 <= not_rtlcn1267 AND Data_47n4s2(11) ;
   rtlcn378 <= not_rtlcn1267 AND Data_47n4s2(12) ;
   rtlcn383 <= not_rtlcn1267 AND Data_47n4s2(13) ;
   rtlcn388 <= not_rtlcn1267 AND Data_47n4s2(14) ;
   rtlcn393 <= not_rtlcn1267 AND Data_47n4s2(15) ;
   rtlc35n348 <= rtlc35n289 AND rtlcn1316 ;
   rtlcs50 <= Phase(1) AND rtlcs6 ;
   rtlcs4 <= rtlcs50 AND rtlcs7 ;
   Strobe_44n1s1 <= Phase(0) AND rtlcs8 ;
   rtlcs8 <= rtlcs11 AND rtlcs7 ;
   rtlcs12 <= rtlcs13 AND rtlcs7 ;
   rtlcs7 <= Phase(3) AND rtlcs3 ;
   rtlcs51 <= rtlcs3 AND rtlcs6 ;
   rtlcs15 <= rtlcs51 AND rtlcs16 ;
   rtlcs23 <= rtlcs24 AND rtlcs25 ;
   rtlcs27 <= Data_47n4s3_1 AND rtlcs26 ;
   rtlcs30 <= Strobe AND rtlcs29 ;
   rtlcs29 <= rtlcs26 AND rtlcs32 ;
   rtlcs26 <= Bit_number(0) AND rtlcs25 ;
   rtlcs34 <= Data_47n4s3_0 AND rtlcs32 ;
   rtlcs32 <= Bit_number(1) AND rtlcs25 ;
   Data_47n4s3_0 <= NOT Bit_number(0) ;
   Data_47n4s3_1 <= NOT Bit_number(1) ;
   rtlcs24 <= Data_47n4s3_0 AND Data_47n4s3_1 ;
   not_Bit_number_4 <= NOT Bit_number(4) ;
   not_Bit_number_3 <= NOT Bit_number(3) ;
   not_Bit_number_2 <= NOT Bit_number(2) ;
   not_rtlc5n44 <= NOT rtlc5n44 ;
   plus_dd_5n1ss1 <= plus_d AND not_rtlc5n44 ;
   minus_dd_5n2ss1 <= minus_d AND not_rtlc5n44 ;
   not_rtlc11n36 <= NOT rtlc11n36 ;
   plus_dd_falling_edge_11n1ss1 <= plus_d_falling_edge AND not_rtlc11n36 ;
   minus_dd_falling_edge_11n2ss1 <= minus_d_falling_edge AND not_rtlc11n36 ;
   not_rtlcn479 <= NOT rtlcn479 ;
   energy_23n9ss1(1) <= energy_23n6s1(1) AND not_rtlcn479 ;
   energy_23n9ss1(5) <= energy_23n6s1(5) AND not_rtlcn479 ;
   energy_23n9ss1(4) <= energy_23n6s1(4) AND not_rtlcn479 ;
   energy_23n9ss1(3) <= energy_23n6s1(3) AND not_rtlcn479 ;
   energy_23n9ss1(2) <= energy_23n6s1(2) AND not_rtlcn479 ;
   energy_23n9ss1(6) <= energy_23n6s1(6) AND not_rtlcn479 ;
   energy_23n9ss1(0) <= energy_23n6s1(0) AND not_rtlcn479 ;
   not_Found_CMD_Sync <= NOT Found_CMD_Sync ;
   Bit_value_41n4ss1 <= level_plus AND not_Found_CMD_Sync ;
   not_rtlcn533 <= NOT rtlcn533 ;
   Phase_38n17ss1_2 <= Phase_38n15ss1(2) OR not_rtlcn533 ;
   Phase_38n18ss1(2) <= Phase_38n17ss1_2 AND Recieving ;
   not_rtlcs1 <= NOT rtlcs1 ;
   rtlc38n391 <= not_Manchester_error_41n2s2 OR not_rtlcs1 ;
   not_rtlcn1341 <= NOT rtlcn1341 ;
   Phase_38n18ss1(1) <= Phase_38n15ss1(1) AND rtlcn513 ;
   Phase_38n18ss1(0) <= Phase_38n17ss1_0 AND Recieving ;
   not_Phase_3 <= NOT Phase(3) ;
   not_Phase_0 <= NOT Phase(0) ;
   not_Phase_1 <= NOT Phase(1) ;
   not_Phase_5 <= NOT Phase(5) ;
   rtlcs3 <= not_Phase_5 AND Phase(4) ;
   Phase_38n18ss1(3) <= Phase_38n17ss1_3 AND Recieving ;
   not_Phase_4 <= NOT Phase(4) ;
   not_Phase_2 <= NOT Phase(2) ;
   rtlcs6 <= not_Phase_2 AND Phase(0) ;
   Manchester_error_41n4ss1 <= Manchester_error_41n2ss1 AND 
   not_Found_CMD_Sync ;
   rtlcs11 <= Phase(2) AND not_Phase_1 ;
   rtlcn437 <= Sync_error_EXMPLR1522 AND Bit_number(1) ;
   Sync_error_47n10ss1 <= Sync_error_47n7ss1 AND not_rtlcn1110 ;
   not_rtlcn671 <= NOT rtlcn671 ;
   rtlcn1263 <= Rcv_Filter(1) OR rtlcn1091 ;
   Rcv_Filter_fsm_59n4ss1_4 <= Clean_plus AND not_rtlc59n252 ;
   Rcv_Filter_fsm_59n16ss1_4 <= Rcv_Filter_fsm_59n13ss1_4 AND not_rtlcn746 ;
   rtlcn1262 <= Rcv_Filter(2) OR rtlcn1066 ;
   Rcv_Filter_fsm_59n6ss1_3 <= Clean_minus AND not_rtlc59n281 ;
   Rcv_Filter_fsm_59n16ss1_3 <= Rcv_Filter_fsm_59n13ss1_3 AND not_rtlcn746 ;
   not_rtlc56n169 <= NOT rtlc56n169 ;
   not_Len_3 <= NOT Len(3) ;
   not_Len_2 <= NOT Len(2) ;
   not_Len_0 <= NOT Len(0) ;
   rtlc_2294_and_990 : and_6u_6u port map ( a(5)=>Len(5), a(4)=>Len(4), a(3)
      =>not_Len_3, a(2)=>not_Len_2, a(1)=>Len(1), a(0)=>not_Len_0, d=>
      rtlcs46);
   rtlcn1266 <= Clean_minus OR rtlcs46 ;
   state_fsm_56n9ss1(0) <= state_fsm_56n8ss1(0) AND Recieving ;
   rtlcs48 <= state(1) AND not_state_0 ;
   rtlcs49 <= not_state_1 AND state(0) ;
   rtlcs47 <= state(1) AND state(0) ;
   not_Len_1 <= NOT Len(1) ;
   rtlcs13 <= not_Phase_0 AND Phase(2) ;
   rtlcs16 <= not_Phase_3 AND Phase(1) ;
   Phase_38n18ss1(5) <= Phase_38n15ss1(5) AND rtlcn513 ;
   Phase_inc5_38i10 : inc_5u_5u_0 port map ( cin=>PWR, a(4)=>Phase(5), a(3)
      =>Phase(4), a(2)=>Phase(3), a(1)=>Phase(2), a(0)=>Phase(1), d(4)=>
      Phase_38n15s1(5), d(3)=>Phase_38n15s1(4), d(2)=>Phase_38n15s1(3), d(1)
      =>Phase_38n15s1(2), d(0)=>Phase_38n15s1(1), cout=>DANGLING(4));
   Phase_38n17ss1_4 <= Phase_38n15ss1(4) OR not_rtlcn533 ;
   Phase_38n18ss1(4) <= Phase_38n17ss1_4 AND Recieving ;
   rtlc_2330_and_994 : and_5u_5u port map ( a(4)=>Bit_number(4), a(3)=>
      not_Bit_number_3, a(2)=>Bit_number(2), a(1)=>Data_47n4s3_1, a(0)=>
      Data_47n4s3_0, d=>rtlcs37);
   Command_sync_47n10ss1 <= Bit_value OR Found_CMD_Sync ;
   Calc_parity_47n10ss1 <= Calc_parity_47n7s1 OR rtlcn1111 ;
   not_rtlcn1452 <= NOT rtlcn1452 ;
   not_energy_3 <= NOT energy(3) ;
   not_energy_2 <= NOT energy(2) ;
   not_energy_1 <= NOT energy(1) ;
   not_energy_0 <= NOT energy(0) ;
   rtlc_2347_and_995 : and_7u_7u port map ( a(6)=>not_energy_6, a(5)=>
      not_energy_5, a(4)=>not_energy_4, a(3)=>not_energy_3, a(2)=>
      not_energy_2, a(1)=>not_energy_1, a(0)=>not_energy_0, d=>rtlcs39);
   Gap_35n15ss1(5) <= Gap_35n12s1(5) AND rtlcn916 ;
   not_rtlcs27 <= NOT rtlcs27 ;
   rtlc35n289 <= not_rtlcs19 OR not_rtlcs27 ;
   not_rtlcs0 <= NOT rtlcs0 ;
   rtlcn435 <= rtlcs38 OR not_rtlcs0 ;
   rtlcn1316 <= rtlcn435 OR rtlcn1114 ;
   Gap_35n15ss1(4) <= Gap_35n12s1(4) AND rtlcn916 ;
   Gap_35n15ss1(3) <= Gap_35n12s1(3) AND rtlcn916 ;
   Gap_35n15ss1(2) <= Gap_35n12s1(2) AND rtlcn916 ;
   Gap_35n15ss1(1) <= Gap_35n12s1(1) AND rtlcn916 ;
   rtlc_2383_and_998 : and_7u_7u port map ( a(6)=>
      H15530_record_RAW_GAP_EXMPLR1564(6), a(5)=>
      H15530_record_RAW_GAP_EXMPLR1564(5), a(4)=>
      H15530_record_RAW_GAP_EXMPLR1564(4), a(3)=>
      H15530_record_RAW_GAP_EXMPLR1564(3), a(2)=>
      H15530_record_RAW_GAP_EXMPLR1564(2), a(1)=>
      H15530_record_RAW_GAP_EXMPLR1564(1), a(0)=>
      H15530_record_RAW_GAP_EXMPLR1564(0), d=>rtlcs38);
   not_gap_phase_4 <= NOT gap_phase(4) ;
   not_gap_phase_3 <= NOT gap_phase(3) ;
   rtlc_2386_and_999 : and_6u_6u port map ( a(5)=>gap_phase(5), a(4)=>
      not_gap_phase_4, a(3)=>not_gap_phase_3, a(2)=>gap_phase(2), a(1)=>
      gap_phase(1), a(0)=>gap_phase(0), d=>rtlcs0);
   Gap_35n15ss1(6) <= Gap_35n12s1(6) AND rtlcn916 ;
   Gap_35n15ss1(0) <= Gap_35n12s1(0) AND rtlcn916 ;
   rtlc_2389_and_1000 : and_7u_7u port map ( a(6)=>RxRdy_plus_us(6), a(5)=>
      RxRdy_plus_us(5), a(4)=>RxRdy_plus_us(4), a(3)=>RxRdy_plus_us(3), a(2)
      =>RxRdy_plus_us(2), a(1)=>RxRdy_plus_us(1), a(0)=>RxRdy_plus_us(0), d
      =>rtlcs42);
   not_RxRdy_plus_phase_4 <= NOT RxRdy_plus_phase(4) ;
   not_RxRdy_plus_phase_3 <= NOT RxRdy_plus_phase(3) ;
   rtlc_2392_and_1001 : and_6u_6u port map ( a(5)=>RxRdy_plus_phase(5), a(4)
      =>not_RxRdy_plus_phase_4, a(3)=>not_RxRdy_plus_phase_3, a(2)=>
      RxRdy_plus_phase(2), a(1)=>RxRdy_plus_phase(1), a(0)=>
      RxRdy_plus_phase(0), d=>rtlcs44);
   not_rtlc35n637 <= NOT rtlc35n637 ;
   Actual_gap_35n2ss1(0) <= not_RxRdy_plus_us_0 AND not_rtlc35n637 ;
   Actual_gap_35n2ss1(1) <= Actual_gap_35n1s1(1) AND not_rtlc35n637 ;
   Actual_gap_35n2ss1(2) <= Actual_gap_35n1s1(2) AND not_rtlc35n637 ;
   Actual_gap_35n2ss1(3) <= Actual_gap_35n1s1(3) AND not_rtlc35n637 ;
   Actual_gap_35n2ss1(4) <= Actual_gap_35n1s1(4) AND not_rtlc35n637 ;
   Actual_gap_35n2ss1(5) <= Actual_gap_35n1s1(5) AND not_rtlc35n637 ;
   Actual_gap_35n2ss1(6) <= Actual_gap_35n1s1(6) AND not_rtlc35n637 ;
   rtlcn1264 <= rtlc35n756 OR rtlcs42 ;
   rtlcn1265 <= rtlc35n718 OR rtlcn187 ;
   rtlcn1261 <= rtlc35n694 OR RxRdy_plus_us(4) ;
   not_RxRdy_plus_us_5 <= NOT RxRdy_plus_us(5) ;
   not_RxRdy_plus_us_1 <= NOT RxRdy_plus_us(1) ;
   not_RxRdy_plus_us_0 <= NOT RxRdy_plus_us(0) ;
   not_RxRdy_plus_phase_5 <= NOT RxRdy_plus_phase(5) ;
   not_RxRdy_plus_phase_2 <= NOT RxRdy_plus_phase(2) ;
   not_RxRdy_plus_phase_1 <= NOT RxRdy_plus_phase(1) ;
   not_RxRdy_plus_phase_0 <= NOT RxRdy_plus_phase(0) ;
   H15530_record_Pre_EchoRdy <= RxRdy AND Echo ;
   not_Echo <= NOT Echo ;
   H15530_record_Pre_RxRdy <= RxRdy AND not_Echo ;
   rtlcn1341 <= rtlcs26 OR rtlc38n391 ;
   rtlcn1452 <= rtlc47n437 OR rtlcn1268 ;
   Len_56n8ss1(0) <= Len_56n6s1(0) OR rtlcn1782 ;
   Len_56n8ss1(1) <= Len_56n6s1(1) AND rtlcn1785 ;
   Len_56n8ss1(2) <= Len_56n6s1(2) AND rtlcn1785 ;
   Len_56n8ss1(3) <= Len_56n6s1(3) AND rtlcn1785 ;
   Len_56n8ss1(4) <= Len_56n6s1(4) AND rtlcn1785 ;
   Len_56n8ss1(5) <= Len_56n6s1(5) AND rtlcn1785 ;
   modgen_counter_gap_phase : 
      counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_6 port map ( 
      clock=>Clock, q(5)=>gap_phase(5), q(4)=>gap_phase(4), q(3)=>
      gap_phase(3), q(2)=>gap_phase(2), q(1)=>gap_phase(1), q(0)=>
      gap_phase(0), clk_en=>CE, aclear=>not_ResetN, sload=>rtlc35n293, 
      data(5)=>GND, data(4)=>GND, data(3)=>PWR, data(2)=>PWR, data(1)=>GND, 
      data(0)=>PWR, aset=>GND, sclear=>rtlc35_X_0_n429, updn=>PWR, cnt_en=>
      not_rtlcs38);
   modgen_counter_Bit_number : 
      counter_up_sload_sclear_aclear_clock_clk_en_0_5 port map ( clock=>
      Clock, q(4)=>Bit_number(4), q(3)=>Bit_number(3), q(2)=>Bit_number(2), 
      q(1)=>Bit_number(1), q(0)=>Bit_number(0), clk_en=>not_rtlc38n595, 
      aclear=>not_ResetN, sload=>rtlcn1799, data(4)=>GND, data(3)=>GND, 
      data(2)=>GND, data(1)=>not_rtlc38n623, data(0)=>PWR, aset=>GND, sclear
      =>not_Recieving, updn=>PWR, cnt_en=>PWR);
   modgen_counter_RxRdy_plus_us : 
      counter_up_cnt_en_sclear_aclear_clock_clk_en_0_7 port map ( clock=>
      Clock, q(6)=>RxRdy_plus_us(6), q(5)=>RxRdy_plus_us(5), q(4)=>
      RxRdy_plus_us(4), q(3)=>RxRdy_plus_us(3), q(2)=>RxRdy_plus_us(2), q(1)
      =>RxRdy_plus_us(1), q(0)=>RxRdy_plus_us(0), clk_en=>CE, aclear=>
      not_ResetN, sload=>GND, data(6)=>DANGLING(5), data(5)=>DANGLING(6), 
      data(4)=>DANGLING(7), data(3)=>DANGLING(8), data(2)=>DANGLING(9), 
      data(1)=>DANGLING(10), data(0)=>DANGLING(11), aset=>GND, sclear=>RxRdy, 
      updn=>PWR, cnt_en=>not_rtlc50_X_0_n201);
   modgen_counter_RxRdy_plus_phase : 
      counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_6 port map ( 
      clock=>Clock, q(5)=>RxRdy_plus_phase(5), q(4)=>RxRdy_plus_phase(4), 
      q(3)=>RxRdy_plus_phase(3), q(2)=>RxRdy_plus_phase(2), q(1)=>
      RxRdy_plus_phase(1), q(0)=>RxRdy_plus_phase(0), clk_en=>CE, aclear=>
      not_ResetN, sload=>RxRdy, data(5)=>GND, data(4)=>GND, data(3)=>PWR, 
      data(2)=>PWR, data(1)=>GND, data(0)=>PWR, aset=>GND, sclear=>
      rtlc50_X_0_n232, updn=>PWR, cnt_en=>not_rtlcs42);
   rtlcn1805 <= not_rtlcn183 OR not_Bit_Gap_3 ;
   modgen_counter_Bit_Gap : counter_up_cnt_en_sclear_aclear_clock_clk_en_0_4
       port map ( clock=>Clock, q(3)=>Bit_Gap(3), q(2)=>Bit_Gap(2), q(1)=>
      Bit_Gap(1), q(0)=>DANGLING(12), clk_en=>CE, aclear=>not_ResetN, sload
      =>GND, data(3)=>DANGLING(13), data(2)=>DANGLING(14), data(1)=>DANGLING
      (15), data(0)=>DANGLING(16), aset=>GND, sclear=>not_rtlc62n36, updn=>
      PWR, cnt_en=>rtlcn1805);
   rtlcn1799 <= rtlc38n492 OR rtlc38n623 ;
   not_rtlc38n623 <= NOT rtlc38n623 ;
   rtlc5n44 <= NOT (plus_d XOR minus_d) ;
   rtlc11n36 <= NOT (plus_d_falling_edge XOR minus_d_falling_edge) ;
   rtlc20n32 <= NOT (Check_value XOR not_minus_dd) ;
   rtlc20n30 <= NOT (Check_value XOR plus_dd) ;
   Manchester_error_41n2s2 <= NOT (Bit_value XOR level_plus) ;
   Manchester_error_41n2s1 <= NOT (Bit_value XOR Level_minus) ;
   rtlc47n426 <= NOT (Calc_parity XOR Bit_value) ;
   rtlc47n235 <= NOT (Bit_value XOR H15530_record_Command_Sync_EXMPLR1560) ;
   DFFPC (minus_dd_5n2ss1,GND,not_ResetN,Clock,minus_dd) ;
   DFFPC (Minus,GND,not_ResetN,Clock,minus_d) ;
   DFFPC (plus_dd_5n1ss1,GND,not_ResetN,Clock,plus_dd) ;
   DFFPC (Plus,GND,not_ResetN,Clock,plus_d) ;
   DFFPC (Minus,GND,not_ResetN,not_Clock,minus_d_falling_edge) ;
   DFFPC (Plus,GND,not_ResetN,not_Clock,plus_d_falling_edge) ;
   DFFPC (minus_dd_falling_edge_11n2ss1,GND,not_ResetN,Clock,
   minus_dd_falling_edge) ;
   DFFPC (plus_dd_falling_edge_11n1ss1,GND,not_ResetN,Clock,
   plus_dd_falling_edge) ;
   DFFPCE (minus_dd,GND,not_ResetN,CE,Clock,Minus_shifter(10)) ;
   DFFPCE (Minus_shifter(10),GND,not_ResetN,CE,Clock,Minus_shifter(9)) ;
   DFFPCE (Minus_shifter(9),GND,not_ResetN,CE,Clock,Minus_shifter(8)) ;
   DFFPCE (Minus_shifter(8),GND,not_ResetN,CE,Clock,Minus_shifter(7)) ;
   DFFPCE (Minus_shifter(7),GND,not_ResetN,CE,Clock,Minus_shifter(6)) ;
   DFFPCE (Minus_shifter(6),GND,not_ResetN,CE,Clock,Minus_shifter(5)) ;
   DFFPCE (Minus_shifter(5),GND,not_ResetN,CE,Clock,Minus_shifter(4)) ;
   DFFPCE (Minus_shifter(4),GND,not_ResetN,CE,Clock,Minus_shifter(3)) ;
   DFFPCE (rtlc14n83,GND,not_ResetN,CE,Clock,Minus_shifter(2)) ;
   DFFPCE (Minus_shifter(2),GND,not_ResetN,CE,Clock,Minus_shifter(1)) ;
   DFFPCE (Minus_shifter(1),GND,not_ResetN,CE,Clock,Minus_shifter(0)) ;
   DFFPCE (plus_dd,GND,not_ResetN,CE,Clock,Plus_shifter(10)) ;
   DFFPCE (Plus_shifter(10),GND,not_ResetN,CE,Clock,Plus_shifter(9)) ;
   DFFPCE (Plus_shifter(9),GND,not_ResetN,CE,Clock,Plus_shifter(8)) ;
   DFFPCE (Plus_shifter(8),GND,not_ResetN,CE,Clock,Plus_shifter(7)) ;
   DFFPCE (Plus_shifter(7),GND,not_ResetN,CE,Clock,Plus_shifter(6)) ;
   DFFPCE (Plus_shifter(6),GND,not_ResetN,CE,Clock,Plus_shifter(5)) ;
   DFFPCE (Plus_shifter(5),GND,not_ResetN,CE,Clock,Plus_shifter(4)) ;
   DFFPCE (Plus_shifter(4),GND,not_ResetN,CE,Clock,Plus_shifter(3)) ;
   DFFPCE (rtlc14n63,GND,not_ResetN,CE,Clock,Plus_shifter(2)) ;
   DFFPCE (Plus_shifter(2),GND,not_ResetN,CE,Clock,Plus_shifter(1)) ;
   DFFPCE (Plus_shifter(1),GND,not_ResetN,CE,Clock,Plus_shifter(0)) ;
   DFFPCE (Clean_minus_17n1s1,GND,not_ResetN,CE,Clock,Clean_minus) ;
   DFFPCE (Clean_plus_17n1s1,GND,not_ResetN,CE,Clock,Clean_plus) ;
   DFFPCE (rtlcn891,GND,not_ResetN,CE,Clock,Echo_Error) ;
   DFFPCE (rtlcn526,GND,not_ResetN,rtlc23n262,Clock,Echo) ;
   DFFPCE (energy_23n9ss1(6),GND,not_ResetN,rtlc23n261,Clock,energy(6)) ;
   DFFPCE (energy_23n9ss1(5),GND,not_ResetN,rtlc23n261,Clock,energy(5)) ;
   DFFPCE (energy_23n9ss1(4),GND,not_ResetN,rtlc23n261,Clock,energy(4)) ;
   DFFPCE (energy_23n9ss1(3),GND,not_ResetN,rtlc23n261,Clock,energy(3)) ;
   DFFPCE (energy_23n9ss1(2),GND,not_ResetN,rtlc23n261,Clock,energy(2)) ;
   DFFPCE (energy_23n9ss1(1),GND,not_ResetN,rtlc23n261,Clock,energy(1)) ;
   DFFPCE (energy_23n9ss1(0),GND,not_ResetN,rtlc23n261,Clock,energy(0)) ;
   DFFPCE (not_Recieving,GND,not_ResetN,rtlc26n80,Clock,Recieving) ;
   DFFPCE (Clean_plus,GND,not_ResetN,rtlc29n57,Clock,level_plus) ;
   DFFPCE (Clean_minus,GND,not_ResetN,rtlc29n57,Clock,Level_minus) ;
   DFFPCE (not_rtlc35n718,GND,not_ResetN,rtlc35n513,Clock,
   H15530_record_Gap_found(2)) ;
   DFFPCE (rtlcn431,GND,not_ResetN,rtlc35n513,Clock,
   H15530_record_Gap_found(1)) ;
   DFFPCE (not_rtlcn427,GND,not_ResetN,rtlc35n513,Clock,
   H15530_record_Gap_found(0)) ;
   DFFPCE (Actual_gap_35n2ss1(6),GND,not_ResetN,rtlc35n513,Clock,
   H15530_record_GAP(6)) ;
   DFFPCE (Actual_gap_35n2ss1(5),GND,not_ResetN,rtlc35n513,Clock,
   H15530_record_GAP(5)) ;
   DFFPCE (Actual_gap_35n2ss1(4),GND,not_ResetN,rtlc35n513,Clock,
   H15530_record_GAP(4)) ;
   DFFPCE (Actual_gap_35n2ss1(3),GND,not_ResetN,rtlc35n513,Clock,
   H15530_record_GAP(3)) ;
   DFFPCE (Actual_gap_35n2ss1(2),GND,not_ResetN,rtlc35n513,Clock,
   H15530_record_GAP(2)) ;
   DFFPCE (Actual_gap_35n2ss1(1),GND,not_ResetN,rtlc35n513,Clock,
   H15530_record_GAP(1)) ;
   DFFPCE (Actual_gap_35n2ss1(0),GND,not_ResetN,rtlc35n513,Clock,
   H15530_record_GAP(0)) ;
   DFFPCE (Gap_35n15ss1(6),GND,not_ResetN,rtlc35n503,Clock,
   H15530_record_RAW_GAP_EXMPLR1564(6)) ;
   DFFPCE (Gap_35n15ss1(5),GND,not_ResetN,rtlc35n503,Clock,
   H15530_record_RAW_GAP_EXMPLR1564(5)) ;
   DFFPCE (Gap_35n15ss1(4),GND,not_ResetN,rtlc35n503,Clock,
   H15530_record_RAW_GAP_EXMPLR1564(4)) ;
   DFFPCE (Gap_35n15ss1(3),GND,not_ResetN,rtlc35n503,Clock,
   H15530_record_RAW_GAP_EXMPLR1564(3)) ;
   DFFPCE (Gap_35n15ss1(2),GND,not_ResetN,rtlc35n503,Clock,
   H15530_record_RAW_GAP_EXMPLR1564(2)) ;
   DFFPCE (Gap_35n15ss1(1),GND,not_ResetN,rtlc35n503,Clock,
   H15530_record_RAW_GAP_EXMPLR1564(1)) ;
   DFFPCE (Gap_35n15ss1(0),GND,not_ResetN,rtlc35n503,Clock,
   H15530_record_RAW_GAP_EXMPLR1564(0)) ;
   DFFPCE (rtlcn627,GND,not_ResetN,rtlc38n677,Clock,resync_after_fault) ;
   DFFPCE (rtlcn525,not_ResetN,GND,rtlc38n676,Clock,first_sync) ;
   DFFPCE (rtlcn545,GND,not_ResetN,rtlc38n675,Clock,Advance) ;
   DFFPCE (rtlcn571,GND,not_ResetN,rtlc38n674,Clock,Stall) ;
   DFFPCE (Phase_38n18ss1(5),GND,not_ResetN,rtlc38n673,Clock,Phase(5)) ;
   DFFPCE (Phase_38n18ss1(4),GND,not_ResetN,rtlc38n673,Clock,Phase(4)) ;
   DFFPCE (Phase_38n18ss1(3),GND,not_ResetN,rtlc38n673,Clock,Phase(3)) ;
   DFFPCE (Phase_38n18ss1(2),GND,not_ResetN,rtlc38n673,Clock,Phase(2)) ;
   DFFPCE (Phase_38n18ss1(1),GND,not_ResetN,rtlc38n673,Clock,Phase(1)) ;
   DFFPCE (Phase_38n18ss1(0),GND,not_ResetN,rtlc38n673,Clock,Phase(0)) ;
   DFFPCE (Manchester_error_41n4ss1,GND,not_ResetN,rtlc41n110,Clock,
   H15530_record_Manchester_error_EXMPLR1523) ;
   DFFPCE (Bit_value_41n4ss1,GND,not_ResetN,rtlc41n109,Clock,Bit_value) ;
   DFFPCE (Strobe_44n1s1,GND,not_ResetN,CE,Clock,Strobe) ;
   DFFPCE (Sync_error_47n10ss1,GND,not_ResetN,rtlc47n571,Clock,
   Sync_error_EXMPLR1522) ;
   DFFPCE (rtlcn639,GND,not_ResetN,CE,Clock,RxRdy) ;
   DFFPCE (rtlcn1110,not_ResetN,GND,rtlc47n553,Clock,H15530_record_CS) ;
   DFFPCE (Calc_parity_47n10ss1,GND,not_ResetN,rtlc47n552,Clock,Calc_parity)
    ;
   DFFPCE (Command_sync_47n10ss1,GND,not_ResetN,rtlc47n551,Clock,
   H15530_record_Command_Sync_EXMPLR1560) ;
   DFFPCE (RxRdy_plus_10us_50n5s1,GND,not_ResetN,CE,Clock,
   H15530_record_RxRDY_plus_10us) ;
   DFFPCE (rtlcn469,GND,not_ResetN,CE,Clock,state(1)) ;
   DFFPCE (state_fsm_56n9ss1(0),GND,not_ResetN,CE,Clock,state(0)) ;
   DFFPCE (Len_56n8ss1(5),GND,not_ResetN,CE,Clock,Len(5)) ;
   DFFPCE (Len_56n8ss1(4),GND,not_ResetN,CE,Clock,Len(4)) ;
   DFFPCE (Len_56n8ss1(3),GND,not_ResetN,CE,Clock,Len(3)) ;
   DFFPCE (Len_56n8ss1(2),GND,not_ResetN,CE,Clock,Len(2)) ;
   DFFPCE (Len_56n8ss1(1),GND,not_ResetN,CE,Clock,Len(1)) ;
   DFFPCE (Len_56n8ss1(0),GND,not_ResetN,CE,Clock,Len(0)) ;
   DFFPCE (Found_CMD_Sync_56n8ss1,GND,not_ResetN,CE,Clock,Found_CMD_Sync) ;
   DFFPCE (Rcv_Filter_fsm_59n16ss1_6,GND,not_ResetN,CE,Clock,Rcv_Filter(6))
    ;
   DFFPCE (Rcv_Filter_fsm_59n16ss1_5,GND,not_ResetN,CE,Clock,Rcv_Filter(5))
    ;
   DFFPCE (Rcv_Filter_fsm_59n16ss1_4,GND,not_ResetN,CE,Clock,Rcv_Filter(4))
    ;
   DFFPCE (Rcv_Filter_fsm_59n16ss1_3,GND,not_ResetN,CE,Clock,Rcv_Filter(3))
    ;
   DFFPCE (rtlcn1064,GND,not_ResetN,CE,Clock,Rcv_Filter(2)) ;
   DFFPCE (rtlcn1053,GND,not_ResetN,CE,Clock,Rcv_Filter(1)) ;
   DFFPCE (rtlcn696,not_ResetN,GND,CE,Clock,Rcv_Filter(0)) ;
   DFFPCE (rtlc59n430,GND,not_ResetN,CE,Clock,H15530_record_recieving) ;
   DFFPCE (rtlc62n94,GND,not_ResetN,CE,Clock,Big_Bit_Gap) ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn318,Clock,H15530_record_R_Data(0))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn323,Clock,H15530_record_R_Data(1))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn328,Clock,H15530_record_R_Data(2))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn333,Clock,H15530_record_R_Data(3))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn338,Clock,H15530_record_R_Data(4))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn343,Clock,H15530_record_R_Data(5))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn348,Clock,H15530_record_R_Data(6))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn353,Clock,H15530_record_R_Data(7))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn358,Clock,H15530_record_R_Data(8))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn363,Clock,H15530_record_R_Data(9))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn368,Clock,H15530_record_R_Data(10))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn373,Clock,H15530_record_R_Data(11))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn378,Clock,H15530_record_R_Data(12))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn383,Clock,H15530_record_R_Data(13))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn388,Clock,H15530_record_R_Data(14))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn393,Clock,H15530_record_R_Data(15))
    ;
   rtlc47n629 <= Bit_number(2) OR Bit_number(3) ;
   rtlc23n376 <= rtlc47n629 OR Bit_number(4) ;
   rtlc35_160_and_913_nx0 <= rtlcs0 AND not_rtlcs38 ;
   rtlc35_X_0_n429 <= rtlc35_160_and_913_nx0 AND not_rtlc35n293 ;
   rtlc50_46_and_937_nx0 <= rtlcs44 AND not_rtlcs42 ;
   rtlc50_X_0_n232 <= rtlc50_46_and_937_nx0 AND not_RxRdy ;
   rtlc59_194_or_939_nx0 <= Rcv_Filter(4) OR Rcv_Filter(5) ;
   rtlc59n464 <= rtlc59_194_or_939_nx0 OR Rcv_Filter(6) ;
   rtlc59_198_or_940_nx0 <= Rcv_Filter(3) OR Rcv_Filter(5) ;
   rtlc59n467 <= rtlc59_198_or_940_nx0 OR Rcv_Filter(6) ;
   rtlc59_670_or_942_nx0 <= one_shot(4) OR one_shot(5) ;
   rtlc59n671 <= rtlc59_670_or_942_nx0 OR one_shot(6) ;
   rtlc59_682_and_944_nx0 <= one_shot(6) AND one_shot(5) ;
   rtlc59n706 <= rtlc59_682_and_944_nx0 AND one_shot(4) ;
   rtlc_253_and_945_nx0 <= rtlc23n85 AND not_rtlc23n95 ;
   rtlc23n585 <= rtlc_253_and_945_nx0 AND rtlc23n417 ;
   rtlc_254_and_946_nx0 <= not_rtlc23n85 AND rtlc23n480 ;
   rtlc23n582 <= rtlc_254_and_946_nx0 AND not_rtlc23n152 ;
   rtlc_256_and_947_nx0 <= rtlc23n85 AND rtlc23n95 ;
   rtlc23n584 <= rtlc_256_and_947_nx0 AND rtlc23n398 ;
   rtlc_355_and_948_nx0 <= not_rtlc23n85 AND rtlc23n152 ;
   rtlc23n583 <= rtlc_355_and_948_nx0 AND rtlc23n432 ;
   rtlc_1549_or_964_nx0 <= rtlcs4 OR rtlcs8 ;
   rtlc38n489 <= rtlc_1549_or_964_nx0 OR rtlcs12 ;
   rtlc_1693_or_965_nx0 <= not_rtlc59n464 OR rtlcn746 ;
   rtlcn788 <= rtlc_1693_or_965_nx0 OR rtlcn1131 ;
   rtlc_1701_or_966_nx0 <= not_rtlc59n467 OR rtlcn746 ;
   rtlcn806 <= rtlc_1701_or_966_nx0 OR rtlcn1132 ;
   rtlc_1705_and_967_nx0 <= not_Clean_plus AND Rcv_Filter(3) ;
   rtlcn1066 <= rtlc_1705_and_967_nx0 AND not_rtlc59n252 ;
   rtlc_1710_and_968_nx0 <= not_Clean_minus AND Rcv_Filter(4) ;
   rtlcn1091 <= rtlc_1710_and_968_nx0 AND not_rtlc59n281 ;
   rtlc_1729_and_969_nx0 <= not_rtlc35n678 AND not_rtlc35n694 ;
   rtlcn1172 <= rtlc_1729_and_969_nx0 AND not_RxRdy_plus_us_4 ;
   rtlc_1750_and_971_nx0 <= not_Clean_minus AND rtlcs46 ;
   rtlcn1181 <= rtlc_1750_and_971_nx0 AND rtlcs49 ;
   rtlc_1754_or_972_nx0 <= rtlcn1180 OR rtlcn1181 ;
   rtlcn1140 <= rtlc_1754_or_972_nx0 OR rtlcn1184 ;
   rtlcn639 <= rtlcs37 AND Strobe ;
   rtlc62n36 <= not_Clean_minus AND not_Clean_plus ;
   rtlcn1198 <= rtlc62n36 AND Rcv_Filter(0) ;
   rtlc_1796_and_978_nx0 <= Xmitting AND not_rtlc20n33 ;
   rtlcn891 <= rtlc_1796_and_978_nx0 AND Check_loop_back ;
   rtlc_1803_and_979_nx0 <= not_Clean_plus AND rtlcn1137 ;
   rtlcn1053 <= rtlc_1803_and_979_nx0 AND not_rtlcn746 ;
   rtlc_1805_and_980_nx0 <= not_Clean_minus AND Rcv_Filter(2) ;
   rtlcn1205 <= rtlc_1805_and_980_nx0 AND not_rtlc59n281 ;
   rtlc_1817_or_981_nx0 <= Big_Bit_Gap OR rtlc38n791 ;
   rtlcn746 <= rtlc_1817_or_981_nx0 OR not_Recieving ;
   rtlc_2127_or_983_nx0 <= rtlc38n458 OR rtlcn1271 ;
   rtlcn1283 <= rtlc_2127_or_983_nx0 OR rtlcn1300 ;
   rtlc_2148_and_984_nx0 <= not_rtlc47n218 AND not_rtlcn1268 ;
   rtlcn1310 <= rtlc_2148_and_984_nx0 AND rtlcn1275 ;
   rtlc35n293 <= Clean_minus OR Clean_plus ;
   rtlcn1277 <= rtlc35n293 OR not_Recieving ;
   rtlc_2187_and_987_nx0 <= not_Bit_number_4 AND not_Bit_number_3 ;
   rtlcs25 <= rtlc_2187_and_987_nx0 AND not_Bit_number_2 ;
   Data_47n4s3_3 <= not_Bit_number_3 XOR not_Bit_number_2 ;
   Actual_gap_sub7_35i1 : sub_6u_6u_6u_0 port map ( cin=>RxRdy_plus_us(0), 
      a(5)=>RxRdy_plus_us(6), a(4)=>RxRdy_plus_us(5), a(3)=>RxRdy_plus_us(4), 
      a(2)=>RxRdy_plus_us(3), a(1)=>RxRdy_plus_us(2), a(0)=>RxRdy_plus_us(1), 
      b(5)=>GND, b(4)=>GND, b(3)=>GND, b(2)=>GND, b(1)=>GND, b(0)=>PWR, d(5)
      =>Actual_gap_35n1s1(6), d(4)=>Actual_gap_35n1s1(5), d(3)=>
      Actual_gap_35n1s1(4), d(2)=>Actual_gap_35n1s1(3), d(1)=>
      Actual_gap_35n1s1(2), d(0)=>Actual_gap_35n1s1(1), cout=>DANGLING(17));
   modgen_and_0 : and_3u_3u port map ( a(2)=>rtlcn183, a(1)=>Bit_Gap(3), 
      a(0)=>rtlc62n36, d=>rtlc62n94);
   modgen_and_1 : and_3u_3u port map ( a(2)=>not_Advance, a(1)=>
      not_rtlc38n492, a(0)=>Recieving, d=>rtlcn545);
   modgen_counter_one_shot : counter_up_sload_aclear_clock_clk_en_0_7
       port map ( clock=>Clock, q(6)=>one_shot(6), q(5)=>one_shot(5), q(4)=>
      one_shot(4), q(3)=>one_shot(3), q(2)=>one_shot(2), q(1)=>one_shot(1), 
      q(0)=>one_shot(0), clk_en=>CE, aclear=>not_ResetN, sload=>not_rtlcn671, 
      data(6)=>GND, data(5)=>GND, data(4)=>GND, data(3)=>GND, data(2)=>GND, 
      data(1)=>GND, data(0)=>PWR, aset=>GND, sclear=>GND, updn=>PWR, cnt_en
      =>PWR);
   ix79 : decoder_4 port map ( data(3)=>Data_47n4s3_3, data(2)=>
      Bit_number(2), data(1)=>Data_47n4s3_1, data(0)=>Data_47n4s3_0, eq(15)
      =>Data_47n4s2(15), eq(14)=>Data_47n4s2(14), eq(13)=>Data_47n4s2(13), 
      eq(12)=>Data_47n4s2(12), eq(11)=>Data_47n4s2(11), eq(10)=>
      Data_47n4s2(10), eq(9)=>Data_47n4s2(9), eq(8)=>Data_47n4s2(8), eq(7)=>
      Data_47n4s2(7), eq(6)=>Data_47n4s2(6), eq(5)=>Data_47n4s2(5), eq(4)=>
      Data_47n4s2(4), eq(3)=>Data_47n4s2(3), eq(2)=>Data_47n4s2(2), eq(1)=>
      Data_47n4s2(1), eq(0)=>Data_47n4s2(0));
   modgen_or_2 : or_6u_6u port map ( a(5)=>energy(2), a(4)=>energy(3), a(3)
      =>energy(4), a(2)=>energy(5), a(1)=>energy(6), a(0)=>rtlc23n431, d=>
      rtlc23n432);
   modgen_or_3 : or_5u_5u port map ( a(4)=>Sync_error_47n7s1, a(3)=>
      Big_Bit_Gap, a(2)=>rtlc38n791, a(1)=>not_Recieving, a(0)=>
      not_rtlcn1142, d=>rtlcn1279);
   modgen_and_4 : and_5u_5u port map ( a(4)=>not_Phase_3, a(3)=>not_Phase_0, 
      a(2)=>Phase(2), a(1)=>not_Phase_1, a(0)=>rtlcs3, d=>rtlcs1);
   modgen_and_6 : and_7u_7u port map ( a(6)=>Len(5), a(5)=>Len(4), a(4)=>
      not_Len_3, a(3)=>not_Len_2, a(2)=>not_Len_1, a(1)=>not_Len_0, a(0)=>
      rtlcs47, d=>Found_CMD_Sync_56n8ss1);
   modgen_and_7 : and_5u_5u port map ( a(4)=>not_Phase_4, a(3)=>Phase(2), 
      a(2)=>Phase(0), a(1)=>Phase(5), a(0)=>rtlcs16, d=>rtlcs21);
   modgen_and_8 : and_5u_5u port map ( a(4)=>not_Phase_5, a(3)=>not_Phase_4, 
      a(2)=>not_Phase_2, a(1)=>not_Phase_0, a(0)=>rtlcs16, d=>rtlcs19);
   modgen_and_9 : and_13u_13u port map ( a(12)=>not_RxRdy_plus_phase_5, 
      a(11)=>not_RxRdy_plus_phase_4, a(10)=>not_RxRdy_plus_phase_3, a(9)=>
      not_RxRdy_plus_phase_2, a(8)=>not_RxRdy_plus_phase_1, a(7)=>
      not_RxRdy_plus_phase_0, a(6)=>not_RxRdy_plus_us_6, a(5)=>
      not_RxRdy_plus_us_5, a(4)=>not_RxRdy_plus_us_4, a(3)=>
      not_RxRdy_plus_us_3, a(2)=>RxRdy_plus_us(2), a(1)=>not_RxRdy_plus_us_1, 
      a(0)=>not_RxRdy_plus_us_0, d=>RxRdy_plus_10us_50n5s1);
   modgen_and_10 : and_6u_6u port map ( a(5)=>not_Phase_5, a(4)=>not_Phase_4, 
      a(3)=>Phase(3), a(2)=>not_Phase_1, a(1)=>rtlcs6, a(0)=>CE, d=>
      rtlcn1302);
end Sital_technology_unfold_1 ;


architecture INTERFACE_unfold_1 of 
   counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_6 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_6u_6u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx17, nx20, nx23, nx26, nx27, nx28, nx29, nx30, nx31, nx32, 
      nx33, nx34, nx35, nx36, nx37, nx38, nx39, nx40, nx41, nx42, nx43, PWR, 
      nx47, nx49, nx51, nx53, nx55, nx57, NOT_nx19: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(5) <= nx27 ;
   q(4) <= nx29 ;
   q(3) <= nx31 ;
   q(2) <= nx33 ;
   q(1) <= nx35 ;
   q(0) <= nx37 ;
   GND <= '0' ;
   nx17 <= cnt_en OR sload ;
   nx20 <= nx17 OR sclear ;
   nx23 <= nx20 AND clk_en ;
   DFFPCE (nx26,GND,aclear,nx23,clock,nx27) ;
   DFFPCE (nx28,GND,aclear,nx23,clock,nx29) ;
   DFFPCE (nx30,GND,aclear,nx23,clock,nx31) ;
   DFFPCE (nx32,GND,aclear,nx23,clock,nx33) ;
   DFFPCE (nx34,GND,aclear,nx23,clock,nx35) ;
   DFFPCE (nx36,GND,aclear,nx23,clock,nx37) ;
   inc : inc_6u_6u_0_0 port map ( cin=>PWR, a(5)=>nx27, a(4)=>nx29, a(3)=>
      nx31, a(2)=>nx33, a(1)=>nx35, a(0)=>nx37, d(5)=>nx38, d(4)=>nx39, d(3)
      =>nx40, d(2)=>nx41, d(1)=>nx42, d(0)=>nx43, cout=>DANGLING(0));
   PWR <= '1' ;
   nx47 <= data(5) when sload = '1' else nx38 ;
   nx49 <= data(4) when sload = '1' else nx39 ;
   nx51 <= data(3) when sload = '1' else nx40 ;
   nx53 <= data(2) when sload = '1' else nx41 ;
   nx55 <= data(1) when sload = '1' else nx42 ;
   nx57 <= data(0) when sload = '1' else nx43 ;
   NOT_nx19 <= NOT sclear ;
   nx26 <= nx47 AND NOT_nx19 ;
   nx28 <= nx49 AND NOT_nx19 ;
   nx30 <= nx51 AND NOT_nx19 ;
   nx32 <= nx53 AND NOT_nx19 ;
   nx34 <= nx55 AND NOT_nx19 ;
   nx36 <= nx57 AND NOT_nx19 ;
end INTERFACE_unfold_1 ;


architecture INTERFACE_unfold_1 of 
   counter_up_sload_sclear_aclear_clock_clk_en_0_5 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_5u_5u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic_vector (4 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx15, nx16, nx17, nx18, nx19, nx20, nx21, nx22, nx23, nx24, 
      nx25, nx26, nx27, nx28, nx29, PWR, nx33, nx35, nx37, nx39, nx41, 
      NOT_SCLEAR: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(4) <= nx16 ;
   q(3) <= nx18 ;
   q(2) <= nx20 ;
   q(1) <= nx22 ;
   q(0) <= nx24 ;
   GND <= '0' ;
   DFFPCE (nx15,GND,aclear,clk_en,clock,nx16) ;
   DFFPCE (nx17,GND,aclear,clk_en,clock,nx18) ;
   DFFPCE (nx19,GND,aclear,clk_en,clock,nx20) ;
   DFFPCE (nx21,GND,aclear,clk_en,clock,nx22) ;
   DFFPCE (nx23,GND,aclear,clk_en,clock,nx24) ;
   inc : inc_5u_5u_0_0 port map ( cin=>PWR, a(4)=>nx16, a(3)=>nx18, a(2)=>
      nx20, a(1)=>nx22, a(0)=>nx24, d(4)=>nx25, d(3)=>nx26, d(2)=>nx27, d(1)
      =>nx28, d(0)=>nx29, cout=>DANGLING(0));
   PWR <= '1' ;
   nx33 <= data(4) when sload = '1' else nx25 ;
   nx35 <= data(3) when sload = '1' else nx26 ;
   nx37 <= data(2) when sload = '1' else nx27 ;
   nx39 <= data(1) when sload = '1' else nx28 ;
   nx41 <= data(0) when sload = '1' else nx29 ;
   NOT_SCLEAR <= NOT sclear ;
   nx15 <= nx33 AND NOT_SCLEAR ;
   nx17 <= nx35 AND NOT_SCLEAR ;
   nx19 <= nx37 AND NOT_SCLEAR ;
   nx21 <= nx39 AND NOT_SCLEAR ;
   nx23 <= nx41 AND NOT_SCLEAR ;
end INTERFACE_unfold_1 ;


architecture INTERFACE_unfold_2 of 
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_7 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_7u_7u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx19, nx22, nx25, nx26, nx27, nx28, nx29, nx30, nx31, nx32, 
      nx33, nx34, nx35, nx36, nx37, nx38, nx39, nx40, nx41, nx42, nx43, nx44, 
      nx45, PWR, NOT_nx18: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(6) <= nx26 ;
   q(5) <= nx28 ;
   q(4) <= nx30 ;
   q(3) <= nx32 ;
   q(2) <= nx34 ;
   q(1) <= nx36 ;
   q(0) <= nx38 ;
   GND <= '0' ;
   nx19 <= cnt_en OR sclear ;
   nx22 <= nx19 AND clk_en ;
   DFFPCE (nx25,GND,aclear,nx22,clock,nx26) ;
   DFFPCE (nx27,GND,aclear,nx22,clock,nx28) ;
   DFFPCE (nx29,GND,aclear,nx22,clock,nx30) ;
   DFFPCE (nx31,GND,aclear,nx22,clock,nx32) ;
   DFFPCE (nx33,GND,aclear,nx22,clock,nx34) ;
   DFFPCE (nx35,GND,aclear,nx22,clock,nx36) ;
   DFFPCE (nx37,GND,aclear,nx22,clock,nx38) ;
   inc : inc_7u_7u_0_0 port map ( cin=>PWR, a(6)=>nx26, a(5)=>nx28, a(4)=>
      nx30, a(3)=>nx32, a(2)=>nx34, a(1)=>nx36, a(0)=>nx38, d(6)=>nx39, d(5)
      =>nx40, d(4)=>nx41, d(3)=>nx42, d(2)=>nx43, d(1)=>nx44, d(0)=>nx45, 
      cout=>DANGLING(0));
   PWR <= '1' ;
   NOT_nx18 <= NOT sclear ;
   nx25 <= nx39 AND NOT_nx18 ;
   nx27 <= nx40 AND NOT_nx18 ;
   nx29 <= nx41 AND NOT_nx18 ;
   nx31 <= nx42 AND NOT_nx18 ;
   nx33 <= nx43 AND NOT_nx18 ;
   nx35 <= nx44 AND NOT_nx18 ;
   nx37 <= nx45 AND NOT_nx18 ;
end INTERFACE_unfold_2 ;


architecture INTERFACE_unfold_2 of 
   counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_6 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_6u_6u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx17, nx20, nx23, nx26, nx27, nx28, nx29, nx30, nx31, nx32, 
      nx33, nx34, nx35, nx36, nx37, nx38, nx39, nx40, nx41, nx42, nx43, PWR, 
      nx47, nx49, nx51, nx53, nx55, nx57, NOT_nx19: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(5) <= nx27 ;
   q(4) <= nx29 ;
   q(3) <= nx31 ;
   q(2) <= nx33 ;
   q(1) <= nx35 ;
   q(0) <= nx37 ;
   GND <= '0' ;
   nx17 <= cnt_en OR sload ;
   nx20 <= nx17 OR sclear ;
   nx23 <= nx20 AND clk_en ;
   DFFPCE (nx26,GND,aclear,nx23,clock,nx27) ;
   DFFPCE (nx28,GND,aclear,nx23,clock,nx29) ;
   DFFPCE (nx30,GND,aclear,nx23,clock,nx31) ;
   DFFPCE (nx32,GND,aclear,nx23,clock,nx33) ;
   DFFPCE (nx34,GND,aclear,nx23,clock,nx35) ;
   DFFPCE (nx36,GND,aclear,nx23,clock,nx37) ;
   inc : inc_6u_6u_0_0 port map ( cin=>PWR, a(5)=>nx27, a(4)=>nx29, a(3)=>
      nx31, a(2)=>nx33, a(1)=>nx35, a(0)=>nx37, d(5)=>nx38, d(4)=>nx39, d(3)
      =>nx40, d(2)=>nx41, d(1)=>nx42, d(0)=>nx43, cout=>DANGLING(0));
   PWR <= '1' ;
   nx47 <= data(5) when sload = '1' else nx38 ;
   nx49 <= data(4) when sload = '1' else nx39 ;
   nx51 <= data(3) when sload = '1' else nx40 ;
   nx53 <= data(2) when sload = '1' else nx41 ;
   nx55 <= data(1) when sload = '1' else nx42 ;
   nx57 <= data(0) when sload = '1' else nx43 ;
   NOT_nx19 <= NOT sclear ;
   nx26 <= nx47 AND NOT_nx19 ;
   nx28 <= nx49 AND NOT_nx19 ;
   nx30 <= nx51 AND NOT_nx19 ;
   nx32 <= nx53 AND NOT_nx19 ;
   nx34 <= nx55 AND NOT_nx19 ;
   nx36 <= nx57 AND NOT_nx19 ;
end INTERFACE_unfold_2 ;


architecture INTERFACE_unfold_1 of 
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_4 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_4u_4u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic_vector (3 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx13, nx16, nx19, nx20, nx21, nx22, nx23, nx24, nx25, nx26, 
      nx27, nx28, nx29, nx30, PWR, NOT_nx12: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(3) <= nx20 ;
   q(2) <= nx22 ;
   q(1) <= nx24 ;
   q(0) <= nx26 ;
   GND <= '0' ;
   nx13 <= cnt_en OR sclear ;
   nx16 <= nx13 AND clk_en ;
   DFFPCE (nx19,GND,aclear,nx16,clock,nx20) ;
   DFFPCE (nx21,GND,aclear,nx16,clock,nx22) ;
   DFFPCE (nx23,GND,aclear,nx16,clock,nx24) ;
   DFFPCE (nx25,GND,aclear,nx16,clock,nx26) ;
   inc : inc_4u_4u_0_0 port map ( cin=>PWR, a(3)=>nx20, a(2)=>nx22, a(1)=>
      nx24, a(0)=>nx26, d(3)=>nx27, d(2)=>nx28, d(1)=>nx29, d(0)=>nx30, cout
      =>DANGLING(0));
   PWR <= '1' ;
   NOT_nx12 <= NOT sclear ;
   nx19 <= nx27 AND NOT_nx12 ;
   nx21 <= nx28 AND NOT_nx12 ;
   nx23 <= nx29 AND NOT_nx12 ;
   nx25 <= nx30 AND NOT_nx12 ;
end INTERFACE_unfold_1 ;


architecture INTERFACE_unfold_1 of counter_up_sload_aclear_clock_clk_en_0_7
    is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_7u_7u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal q_EXMPLR1602: std_logic_vector (6 DOWNTO 0) ;
   
   signal nx15, nx19, nx20, nx21, nx22, nx23, nx24, nx25, nx26, nx27, nx28, 
      nx29, nx30, nx31, nx32, nx33, nx34, nx35, nx36, nx37, nx38, nx39, nx41
   : std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(6) <= nx20 ;
   q(5) <= nx22 ;
   q(4) <= nx24 ;
   q(3) <= nx26 ;
   q(2) <= nx28 ;
   q(1) <= nx30 ;
   q(0) <= nx32 ;
   nx15 <= '0' ;
   DFFPCE (nx19,nx15,aclear,clk_en,clock,nx20) ;
   DFFPCE (nx21,nx15,aclear,clk_en,clock,nx22) ;
   DFFPCE (nx23,nx15,aclear,clk_en,clock,nx24) ;
   DFFPCE (nx25,nx15,aclear,clk_en,clock,nx26) ;
   DFFPCE (nx27,nx15,aclear,clk_en,clock,nx28) ;
   DFFPCE (nx29,nx15,aclear,clk_en,clock,nx30) ;
   DFFPCE (nx31,nx15,aclear,clk_en,clock,nx32) ;
   inc : inc_7u_7u_0_0 port map ( cin=>nx41, a(6)=>nx20, a(5)=>nx22, a(4)=>
      nx24, a(3)=>nx26, a(2)=>nx28, a(1)=>nx30, a(0)=>nx32, d(6)=>nx33, d(5)
      =>nx34, d(4)=>nx35, d(3)=>nx36, d(2)=>nx37, d(1)=>nx38, d(0)=>nx39, 
      cout=>DANGLING(0));
   nx41 <= '1' ;
   nx19 <= data(6) when sload = '1' else nx33 ;
   nx21 <= data(5) when sload = '1' else nx34 ;
   nx23 <= data(4) when sload = '1' else nx35 ;
   nx25 <= data(3) when sload = '1' else nx36 ;
   nx27 <= data(2) when sload = '1' else nx37 ;
   nx29 <= data(1) when sload = '1' else nx38 ;
   nx31 <= data(0) when sload = '1' else nx39 ;
end INTERFACE_unfold_1 ;


architecture INTERFACE_unfold_1 of decoder_4 is 
   component eq_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   signal data_EXMPLR1624: std_logic_vector (3 DOWNTO 0) ;
   
   signal eq_EXMPLR1625: std_logic_vector (15 DOWNTO 0) ;
   
   signal nx24, nx26: std_logic ;

begin
   nx24 <= '0' ;
   nx26 <= '1' ;
   cmp_15 : eq_4u_4u port map ( a=>data, b(3)=>nx26, b(2)=>nx26, b(1)=>nx26, 
      b(0)=>nx26, d=>eq(15));
   cmp_14 : eq_4u_4u port map ( a=>data, b(3)=>nx26, b(2)=>nx26, b(1)=>nx26, 
      b(0)=>nx24, d=>eq(14));
   cmp_13 : eq_4u_4u port map ( a=>data, b(3)=>nx26, b(2)=>nx26, b(1)=>nx24, 
      b(0)=>nx26, d=>eq(13));
   cmp_12 : eq_4u_4u port map ( a=>data, b(3)=>nx26, b(2)=>nx26, b(1)=>nx24, 
      b(0)=>nx24, d=>eq(12));
   cmp_11 : eq_4u_4u port map ( a=>data, b(3)=>nx26, b(2)=>nx24, b(1)=>nx26, 
      b(0)=>nx26, d=>eq(11));
   cmp_10 : eq_4u_4u port map ( a=>data, b(3)=>nx26, b(2)=>nx24, b(1)=>nx26, 
      b(0)=>nx24, d=>eq(10));
   cmp_9 : eq_4u_4u port map ( a=>data, b(3)=>nx26, b(2)=>nx24, b(1)=>nx24, 
      b(0)=>nx26, d=>eq(9));
   cmp_8 : eq_4u_4u port map ( a=>data, b(3)=>nx26, b(2)=>nx24, b(1)=>nx24, 
      b(0)=>nx24, d=>eq(8));
   cmp_7 : eq_4u_4u port map ( a=>data, b(3)=>nx24, b(2)=>nx26, b(1)=>nx26, 
      b(0)=>nx26, d=>eq(7));
   cmp_6 : eq_4u_4u port map ( a=>data, b(3)=>nx24, b(2)=>nx26, b(1)=>nx26, 
      b(0)=>nx24, d=>eq(6));
   cmp_5 : eq_4u_4u port map ( a=>data, b(3)=>nx24, b(2)=>nx26, b(1)=>nx24, 
      b(0)=>nx26, d=>eq(5));
   cmp_4 : eq_4u_4u port map ( a=>data, b(3)=>nx24, b(2)=>nx26, b(1)=>nx24, 
      b(0)=>nx24, d=>eq(4));
   cmp_3 : eq_4u_4u port map ( a=>data, b(3)=>nx24, b(2)=>nx24, b(1)=>nx26, 
      b(0)=>nx26, d=>eq(3));
   cmp_2 : eq_4u_4u port map ( a=>data, b(3)=>nx24, b(2)=>nx24, b(1)=>nx26, 
      b(0)=>nx24, d=>eq(2));
   cmp_1 : eq_4u_4u port map ( a=>data, b(3)=>nx24, b(2)=>nx24, b(1)=>nx24, 
      b(0)=>nx26, d=>eq(1));
   cmp_0 : eq_4u_4u port map ( a=>data, b(3)=>nx24, b(2)=>nx24, b(1)=>nx24, 
      b(0)=>nx24, d=>eq(0));
end INTERFACE_unfold_1 ;


architecture Sital_technology_unfold_3721_0 of H15530_Ver17_40_0 is 
   component or_6u_6u
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component addsub_7u_7u_7u_0
      port (
         mode : IN std_logic ;
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         b : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component or_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component inc_7u_7u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component select_3_3
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         b : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component inc_6u_6u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component select_4_4
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component mux_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_6u_6u
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component inc_5u_5u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic_vector (4 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component and_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_7u_7u
      port (
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_6
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (5 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (5 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_up_sload_sclear_aclear_clock_clk_en_0_5
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (4 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (4 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_up_cnt_en_sclear_aclear_clock_clk_en_0_7
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (6 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (6 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_up_cnt_en_sclear_aclear_clock_clk_en_0_4
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (3 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (3 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   procedure DFFPC (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           q <= data and data ;    -- takes care of q<='X' if data='Z'
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPC ;
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component sub_6u_6u_6u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         b : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component and_3u_3u
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component counter_up_sload_aclear_clock_clk_en_0_7
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (6 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (6 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component decoder_4
      port (
         data : IN std_logic_vector (3 DOWNTO 0) ;
         eq : OUT std_logic_vector (15 DOWNTO 0)) ;
   end component ;
   component or_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_13u_13u
      port (
         a : IN std_logic_vector (12 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   for modgen_counter_gap_phase : 
   counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_6 use entity work.
   counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_6(INTERFACE_unfold_1
   );
   for modgen_counter_Bit_number : 
   counter_up_sload_sclear_aclear_clock_clk_en_0_5 use entity work.
   counter_up_sload_sclear_aclear_clock_clk_en_0_5(INTERFACE_unfold_1);
   for modgen_counter_RxRdy_plus_us : 
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_7 use entity work.
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_7(INTERFACE_unfold_2);
   
   for modgen_counter_RxRdy_plus_phase : 
   counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_6 use entity work.
   counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_6(INTERFACE_unfold_2
   );
   for modgen_counter_Bit_Gap : 
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_4 use entity work.
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_4(INTERFACE_unfold_1);
   
   for modgen_counter_one_shot : counter_up_sload_aclear_clock_clk_en_0_7
    use entity work.counter_up_sload_aclear_clock_clk_en_0_7(
   INTERFACE_unfold_1);
   for ix79 : decoder_4 use entity work.decoder_4(INTERFACE_unfold_1);
   signal Sync_error_EXMPLR1635, Advance, Big_Bit_Gap: std_logic ;
   
   signal Bit_Gap: std_logic_vector (3 DOWNTO 1) ;
   
   signal Bit_number: std_logic_vector (4 DOWNTO 0) ;
   
   signal Bit_value, Calc_parity, Clean_minus, Clean_plus, Echo, 
      Found_CMD_Sync: std_logic ;
   
   signal Len: std_logic_vector (5 DOWNTO 0) ;
   
   signal Level_minus: std_logic ;
   
   signal Minus_shifter: std_logic_vector (10 DOWNTO 0) ;
   
   signal Phase: std_logic_vector (5 DOWNTO 0) ;
   
   signal Plus_shifter: std_logic_vector (10 DOWNTO 0) ;
   
   signal Recieving, RxRdy: std_logic ;
   
   signal RxRdy_plus_phase: std_logic_vector (5 DOWNTO 0) ;
   
   signal RxRdy_plus_us: std_logic_vector (6 DOWNTO 0) ;
   
   signal Stall, Strobe: std_logic ;
   
   signal energy: std_logic_vector (6 DOWNTO 0) ;
   
   signal first_sync: std_logic ;
   
   signal gap_phase: std_logic_vector (5 DOWNTO 0) ;
   
   signal level_plus, minus_d, minus_d_falling_edge, minus_dd, 
      minus_dd_falling_edge: std_logic ;
   
   signal one_shot: std_logic_vector (6 DOWNTO 0) ;
   
   signal plus_d, plus_d_falling_edge, plus_dd, plus_dd_falling_edge, 
      resync_after_fault: std_logic ;
   
   signal Rcv_Filter: std_logic_vector (6 DOWNTO 0) ;
   
   signal state: std_logic_vector (1 DOWNTO 0) ;
   
   signal PWR, GND, not_H15530_record_Manchester_error, not_ResetN, 
      plus_dd_5n1ss1, minus_dd_5n2ss1, rtlc5n44, not_Clock, 
      plus_dd_falling_edge_11n1ss1, minus_dd_falling_edge_11n2ss1, rtlc11n36, 
      not_Minus_shifter_3, rtlc14n63, not_Plus_shifter_3, rtlc14n83, 
      Clean_plus_17n1s3, Clean_plus_17n1s6, Clean_plus_17n1s2, 
      Clean_plus_17n1s9, Clean_plus_17n1s1, Clean_minus_17n1s3, 
      Clean_minus_17n1s6, Clean_minus_17n1s2, Clean_minus_17n1s9, 
      Clean_minus_17n1s1, rtlc20n30, not_minus_dd, rtlc20n32, rtlc20n33: 
   std_logic ;
   
   signal energy_23n9ss1: std_logic_vector (6 DOWNTO 0) ;
   
   signal rtlc23n81, rtlc23n83, rtlc23n85, rtlc23n95, not_rtlc23n95, 
      not_rtlc23n85, rtlc23n152: std_logic ;
   
   signal energy_23n6s1: std_logic_vector (6 DOWNTO 0) ;
   
   signal not_rtlc23n152, not_CE, rtlc23n195, not_Xmitting, not_rtlcn171, 
      rtlc23n219, not_rtlc23n398, not_rtlc23n417, rtlc23n261, rtlc23n262, 
      rtlc23n376, not_rtlcn177, not_energy_6, rtlc23n391, not_rtlc23n391, 
      rtlc23n393, not_rtlcn178, rtlc23n397, rtlc23n398, not_energy_5, 
      not_energy_4, not_rtlcn180, rtlc23n416, rtlc23n417, rtlc23n431, 
      rtlc23n432, rtlc23n480, rtlc23n582, rtlc23n583, rtlc23n584, rtlc23n585, 
      rtlc23n588, rtlc26n63, rtlc26n80, rtlc26n93, rtlc26n94, rtlc26n95, 
      rtlc26n96, not_rtlc26n93, not_rtlc23n393, rtlc26n116, rtlc26n117, 
      not_Clean_plus, rtlc29n57, not_Clean_minus: std_logic ;
   
   signal Actual_gap_35n2ss1: std_logic_vector (6 DOWNTO 0) ;
   
   signal Gap_35n15ss1: std_logic_vector (6 DOWNTO 0) ;
   
   signal Actual_gap_35n1s1: std_logic_vector (6 DOWNTO 1) ;
   
   signal not_rtlcs19, not_rtlcs42, rtlc35n289, not_rtlcs38: std_logic ;
   
   signal Gap_35n12s1: std_logic_vector (6 DOWNTO 0) ;
   
   signal rtlc35n348, not_rtlc35n293, rtlc35_X_0_n429, not_rtlc35n718, 
      rtlc35n503, rtlc35n513, rtlc35n634, not_rtlc35n634, 
      not_RxRdy_plus_us_2, rtlc35n637, not_rtlcn185, rtlc35n677, rtlc35n678, 
      rtlc35n694, rtlc35n717, rtlc35n718, rtlc35n735, not_RxRdy_plus_us_6, 
      rtlc35n750, not_rtlc35n750, rtlc35n755, rtlc35n756: std_logic ;
   
   signal Phase_38n15ss1: std_logic_vector (5 DOWNTO 0) ;
   
   signal Phase_38n17ss1_4, Phase_38n17ss1_3, Phase_38n17ss1_2, 
      Phase_38n17ss1_0: std_logic ;
   
   signal Phase_38n18ss1: std_logic_vector (5 DOWNTO 0) ;
   
   signal rtlc38n269: std_logic ;
   
   signal Phase_38n5s1: std_logic_vector (5 DOWNTO 0) ;
   
   signal not_Manchester_error_41n2s2, not_Manchester_error_41n2s1, 
      rtlc38n367, rtlc38n369, rtlc38n370, not_rtlc38n370, rtlc38n391, 
      rtlc38n392, rtlc38n395, rtlc38n405, not_Bit_value, rtlc38n407, 
      rtlc38n408, rtlc38n409, not_rtlc38n409, rtlc38n422: std_logic ;
   
   signal Phase_38n15s1: std_logic_vector (5 DOWNTO 1) ;
   
   signal rtlc38n451, rtlc38n456, rtlc38n458, rtlc38n489, rtlc38n490, 
      not_rtlc38n490, rtlc38n492, not_rtlcs23, rtlc38_X_0_n594, rtlc38n595, 
      rtlc38n621, rtlc38n622, rtlc38n623, not_rtlc38n595, rtlc38n673, 
      rtlc38n674, rtlc38n675, rtlc38n676, rtlc38n677, rtlc38n744, 
      not_rtlc38n744, rtlc38n789, rtlc38n790, rtlc38n791, 
      Manchester_error_41n2ss1, Bit_value_41n4ss1, Manchester_error_41n4ss1, 
      Manchester_error_41n2s1, Manchester_error_41n2s2, rtlc41n109, 
      rtlc41n110, Strobe_44n1s1, Sync_error_47n7ss1, Command_sync_47n10ss1, 
      Calc_parity_47n10ss1, Sync_error_47n10ss1, rtlc47n218, rtlc47n235, 
      Data_47n4s3_3, Data_47n4s3_1, Data_47n4s3_0: std_logic ;
   
   signal Data_47n4s2: std_logic_vector (15 DOWNTO 0) ;
   
   signal rtlc47n417, Sync_error_47n7s1, not_rtlcn181, Calc_parity_47n7s1, 
      rtlc47n426, rtlc47n433, rtlc47n437, rtlc47n453, not_rtlc47n630, 
      rtlc47n551, rtlc47n552, rtlc47n553, rtlc47n571, rtlc47n614, 
      not_rtlc47n614, rtlc47n630, rtlc47n644, RxRdy_plus_10us_50n5s1, 
      not_rtlcs44, rtlc50_X_0_n201, not_rtlc50_X_0_n201, not_RxRdy, 
      rtlc50_X_0_n232, Found_CMD_Sync_56n8ss1: std_logic ;
   
   signal Len_56n8ss1: std_logic_vector (5 DOWNTO 0) ;
   
   signal state_fsm_56n8ss1: std_logic_vector (0 DOWNTO 0) ;
   
   signal state_fsm_56n9ss1: std_logic_vector (0 DOWNTO 0) ;
   
   signal Len_56n6s1: std_logic_vector (5 DOWNTO 0) ;
   
   signal rtlc56n169, rtlc56n176, rtlc56n177, not_rtlc56n177, rtlc56n179, 
      Rcv_Filter_fsm_59n4ss1_4, Rcv_Filter_fsm_59n6ss1_3, 
      Rcv_Filter_fsm_59n13ss1_4, Rcv_Filter_fsm_59n13ss1_3, 
      Rcv_Filter_fsm_59n16ss1_6, Rcv_Filter_fsm_59n16ss1_5, 
      Rcv_Filter_fsm_59n16ss1_4, Rcv_Filter_fsm_59n16ss1_3, rtlc59n252, 
      rtlc59n281, rtlc59n430, not_rtlc59n464, not_rtlc59n467, rtlc59n464, 
      rtlc59n467, rtlc59n671, rtlc59n673, not_rtlcn184, rtlc59n706, 
      rtlc59n707, rtlc62n94, not_rtlc62n36, not_Bit_Gap_3, not_rtlcn183, 
      rtlcn171, rtlcn177, rtlcn178, rtlcn180, rtlcn181, rtlcn182, rtlcn183, 
      rtlcn184, rtlcn185, rtlcn187, rtlcn318, rtlcn323, rtlcn328, rtlcn333, 
      rtlcn338, rtlcn343, rtlcn348, rtlcn353, rtlcn358, rtlcn363, rtlcn368, 
      rtlcn373, rtlcn378, rtlcn383, rtlcn388, rtlcn393, rtlcn399, rtlcn427, 
      rtlcn431, rtlcn435, rtlcn437, not_rtlcn1110, rtlcn469, rtlcn479, 
      rtlcn506, rtlcn507, rtlcn513, rtlcn525, rtlcn526, rtlcn532, rtlcn533, 
      rtlcn545, rtlcn571, rtlcn627, rtlcn639, rtlcn671, rtlcn696, rtlcn746, 
      rtlcn786, rtlcn787, rtlcn788, rtlcn804, rtlcn805, rtlcn806, rtlcn886, 
      not_rtlcn1266, rtlcn891, rtlcn916, rtlcn1053, rtlcn1064, rtlcn1066, 
      not_rtlcn1262, rtlcn1091, not_rtlcn1263, rtlcn1110, rtlcn1111, 
      rtlcn1114, not_state_1, not_state_0, rtlcn1128, rtlcn1129, rtlcn1130, 
      rtlcn1131, rtlcn1132, rtlcn1133, rtlcn1134, rtlcn1136, rtlcn1137, 
      rtlcn1138, rtlcn1139, rtlcn1140, rtlcn1141, rtlcn1142, rtlcn1143, 
      rtlcn1144, not_Advance, not_rtlcs21, not_rtlc38n492, not_rtlc38n458, 
      rtlcn1150, rtlcn1151, not_Recieving, rtlcn1153, rtlcn1155, 
      not_rtlcn746, not_rtlc59n252, not_rtlc59n281, not_rtlc35n756, 
      not_rtlcn1264, not_rtlcn1265, not_rtlc35n678, not_rtlc35n694, 
      not_RxRdy_plus_us_4, rtlcn1172, not_RxRdy_plus_us_3, rtlcn1175, 
      rtlcn1176, rtlcn1178, rtlcn1179, rtlcn1180, rtlcn1181, not_rtlc56n179, 
      rtlcn1184, not_rtlc23n480, not_rtlc23n432, rtlcn1187, not_Stall, 
      not_rtlcs37, rtlcn1195, rtlcn1196, rtlcn1197, rtlcn1198, not_rtlc20n33, 
      not_rtlcn1114, rtlcn1202, rtlcn1203, rtlcn1204, rtlcn1205, 
      not_rtlcn399, not_rtlcn427, rtlcn1261, rtlcn1262, rtlcn1263, rtlcn1264, 
      rtlcn1265, rtlcn1266, rtlcn1267, rtlcn1268, rtlcn1270, rtlcn1271, 
      rtlcn1272, rtlcn1273, rtlcn1274, rtlcn1275, rtlcn1276, rtlcn1277, 
      rtlcn1279, rtlcn1280, rtlcn1281, rtlcn1282, rtlcn1283, rtlcn1284, 
      not_rtlc23n219, not_rtlc23n195, not_rtlc26n63, not_rtlc35n348, 
      not_rtlcn1142, rtlcn1293, not_rtlc38n422, not_rtlcn1341, rtlcn1300, 
      rtlcn1301, rtlcn1302, not_Strobe, not_rtlcn1268, not_rtlc47n218, 
      rtlcn1310, not_rtlcn1452, rtlcn1313, rtlcn1314, not_rtlcn1267, 
      rtlcn1316, rtlcs0, rtlcs1, rtlcs3, rtlcs4, rtlcs6, rtlcs7, rtlcs8, 
      rtlcs11, rtlcs12, rtlcs13, rtlcs15, rtlcs16, rtlcs19, rtlcs21, rtlcs23, 
      rtlcs24, rtlcs25, rtlcs26, rtlcs27, rtlcs29, rtlcs30, rtlcs32, rtlcs34, 
      rtlcs37, rtlcs38, rtlcs39, rtlcs42, rtlcs44, rtlcs46, rtlcs47, rtlcs48, 
      rtlcs49, rtlcs50, rtlcs51, not_Bit_number_4, not_Bit_number_3, 
      not_Bit_number_2, not_rtlc5n44, not_rtlc11n36, not_rtlcn479, 
      not_Found_CMD_Sync, not_rtlcn533, not_rtlcs1, rtlcn1341, not_Phase_3, 
      not_Phase_0, not_Phase_1, not_Phase_5, not_Phase_4, not_Phase_2, 
      not_rtlcn671, not_rtlc56n169, not_Len_3, not_Len_2, not_Len_0, 
      not_Len_1, rtlcn1452, not_energy_3, not_energy_2, not_energy_1, 
      not_energy_0, not_rtlcs27, not_rtlcs0, not_gap_phase_4, 
      not_gap_phase_3, not_RxRdy_plus_phase_4, not_RxRdy_plus_phase_3, 
      not_rtlc35n637, not_RxRdy_plus_us_5, not_RxRdy_plus_us_1, 
      not_RxRdy_plus_us_0, not_RxRdy_plus_phase_5, not_RxRdy_plus_phase_2, 
      not_RxRdy_plus_phase_1, not_RxRdy_plus_phase_0, not_Echo, rtlcn1782, 
      rtlcn1785, rtlcn1799, rtlcn1805, not_rtlc38n623, 
      H15530_record_Manchester_error_EXMPLR1636: std_logic ;
   
   signal H15530_record_RAW_GAP_EXMPLR1677: std_logic_vector (6 DOWNTO 0) ;
   
   signal H15530_record_Command_Sync_EXMPLR1673: std_logic ;
   
   signal energy_23n6s1f1: std_logic_vector (1 DOWNTO 0) ;
   
   signal rtlc47n629, rtlc35_160_and_913_nx0, rtlc50_46_and_937_nx0, 
      rtlc59_194_or_939_nx0, rtlc59_198_or_940_nx0, rtlc59_670_or_942_nx0, 
      rtlc59_682_and_944_nx0, rtlc_253_and_945_nx0, rtlc_254_and_946_nx0, 
      rtlc_256_and_947_nx0, rtlc_355_and_948_nx0, rtlc_1549_or_964_nx0, 
      rtlc_1693_or_965_nx0, rtlc_1701_or_966_nx0, rtlc_1705_and_967_nx0, 
      rtlc_1710_and_968_nx0, rtlc_1729_and_969_nx0, rtlc_1750_and_971_nx0, 
      rtlc_1754_or_972_nx0, rtlc62n36, rtlc_1796_and_978_nx0, 
      rtlc_1803_and_979_nx0, rtlc_1805_and_980_nx0, rtlc_1817_or_981_nx0, 
      rtlc_2127_or_983_nx0, rtlc_2148_and_984_nx0, rtlc35n293, 
      rtlc_2187_and_987_nx0: std_logic ;
   
   signal DANGLING : std_logic_vector (17 downto 0 );

begin
   Bi_error <= GND ;
   H15530_record_Sync_error <= GND ;
   H15530_record_Manchester_error <= GND ;
   H15530_record_Parity_error <= GND ;
   H15530_record_echo_back_bus <= GND ;
   H15530_record_RAW_GAP(6) <= H15530_record_RAW_GAP_EXMPLR1677(6) ;
   H15530_record_RAW_GAP(5) <= H15530_record_RAW_GAP_EXMPLR1677(5) ;
   H15530_record_RAW_GAP(4) <= H15530_record_RAW_GAP_EXMPLR1677(4) ;
   H15530_record_RAW_GAP(3) <= H15530_record_RAW_GAP_EXMPLR1677(3) ;
   H15530_record_RAW_GAP(2) <= H15530_record_RAW_GAP_EXMPLR1677(2) ;
   H15530_record_RAW_GAP(1) <= H15530_record_RAW_GAP_EXMPLR1677(1) ;
   H15530_record_RAW_GAP(0) <= H15530_record_RAW_GAP_EXMPLR1677(0) ;
   H15530_record_RxRDY_plus_12us <= GND ;
   H15530_record_Command_Sync <= H15530_record_Command_Sync_EXMPLR1673 ;
   Parity_error <= GND ;
   Sync_error <= Sync_error_EXMPLR1635 ;
   PWR <= '1' ;
   GND <= '0' ;
   not_Clock <= NOT Clock ;
   rtlc14n83 <= Minus_shifter(3) AND not_Plus_shifter_3 ;
   rtlc14n63 <= Plus_shifter(3) AND not_Minus_shifter_3 ;
   not_Minus_shifter_3 <= NOT Minus_shifter(3) ;
   not_Plus_shifter_3 <= NOT Plus_shifter(3) ;
   Clean_plus_17n1s1 <= Clean_plus_17n1s2 OR Clean_plus_17n1s9 ;
   Clean_plus_17n1s2 <= Clean_plus_17n1s3 OR Clean_plus_17n1s6 ;
   Clean_plus_17n1s3 <= Plus_shifter(2) AND Plus_shifter(1) ;
   Clean_plus_17n1s6 <= Plus_shifter(2) AND Plus_shifter(0) ;
   Clean_plus_17n1s9 <= Plus_shifter(1) AND Plus_shifter(0) ;
   Clean_minus_17n1s1 <= Clean_minus_17n1s2 OR Clean_minus_17n1s9 ;
   Clean_minus_17n1s2 <= Clean_minus_17n1s3 OR Clean_minus_17n1s6 ;
   Clean_minus_17n1s3 <= Minus_shifter(2) AND Minus_shifter(1) ;
   Clean_minus_17n1s6 <= Minus_shifter(2) AND Minus_shifter(0) ;
   Clean_minus_17n1s9 <= Minus_shifter(1) AND Minus_shifter(0) ;
   not_minus_dd <= NOT minus_dd ;
   rtlc20n33 <= rtlc20n30 AND rtlc20n32 ;
   not_Xmitting <= NOT Xmitting ;
   not_rtlc23n152 <= NOT rtlc23n152 ;
   rtlc23n152 <= not_rtlcn177 AND first_sync ;
   not_rtlc23n95 <= NOT rtlc23n95 ;
   rtlc23n95 <= rtlc23n152 OR rtlcs37 ;
   rtlc23n81 <= plus_dd OR plus_dd_falling_edge ;
   rtlc23n83 <= rtlc23n81 OR minus_dd ;
   rtlc23n85 <= rtlc23n83 OR minus_dd_falling_edge ;
   not_rtlc23n398 <= NOT rtlc23n398 ;
   not_energy_6 <= NOT energy(6) ;
   rtlc23n391 <= energy(5) AND energy(4) ;
   not_rtlc23n391 <= NOT rtlc23n391 ;
   rtlc23n397 <= not_rtlc23n391 OR not_rtlcn178 ;
   rtlc23n398 <= not_energy_6 AND rtlc23n397 ;
   not_rtlc23n417 <= NOT rtlc23n417 ;
   not_energy_5 <= NOT energy(5) ;
   not_energy_4 <= NOT energy(4) ;
   rtlc23n416 <= not_energy_5 OR not_rtlcn180 ;
   rtlc23n417 <= not_energy_6 AND rtlc23n416 ;
   rtlc23n431 <= energy(0) AND energy(1) ;
   rtlc23_222_or_910 : or_6u_6u port map ( a(5)=>energy(1), a(4)=>energy(2), 
      a(3)=>energy(3), a(2)=>energy(4), a(1)=>energy(5), a(0)=>energy(6), d
      =>rtlc23n480);
   rtlc23n588 <= rtlc23n583 OR rtlc23n584 ;
   energy_addsub7_23i1 : addsub_7u_7u_7u_0 port map ( mode=>rtlcn399, cin=>
      not_rtlcn399, a(6)=>energy(6), a(5)=>energy(5), a(4)=>energy(4), a(3)
      =>energy(3), a(2)=>energy(2), a(1)=>energy(1), a(0)=>energy(0), b(6)=>
      GND, b(5)=>GND, b(4)=>GND, b(3)=>GND, b(2)=>GND, b(1)=>
      energy_23n6s1f1(1), b(0)=>energy_23n6s1f1(0), d(6)=>energy_23n6s1(6), 
      d(5)=>energy_23n6s1(5), d(4)=>energy_23n6s1(4), d(3)=>energy_23n6s1(3), 
      d(2)=>energy_23n6s1(2), d(1)=>energy_23n6s1(1), d(0)=>energy_23n6s1(0), 
      cout=>DANGLING(0));
   rtlc26_49_or_912 : or_4u_4u port map ( a(3)=>energy(0), a(2)=>energy(1), 
      a(1)=>energy(2), a(0)=>energy(3), d=>rtlc26n94);
   rtlc26n95 <= rtlc26n94 AND energy(4) ;
   rtlc26n96 <= rtlc26n95 OR rtlc26n93 ;
   not_rtlc26n93 <= NOT rtlc26n93 ;
   rtlc26n116 <= not_energy_4 OR not_rtlc23n393 ;
   rtlc26n117 <= not_rtlc26n93 AND rtlc26n116 ;
   not_rtlcs19 <= NOT rtlcs19 ;
   Gap_inc7_35i2 : inc_7u_7u_0 port map ( cin=>PWR, a(6)=>
      H15530_record_RAW_GAP_EXMPLR1677(6), a(5)=>
      H15530_record_RAW_GAP_EXMPLR1677(5), a(4)=>
      H15530_record_RAW_GAP_EXMPLR1677(4), a(3)=>
      H15530_record_RAW_GAP_EXMPLR1677(3), a(2)=>
      H15530_record_RAW_GAP_EXMPLR1677(2), a(1)=>
      H15530_record_RAW_GAP_EXMPLR1677(1), a(0)=>
      H15530_record_RAW_GAP_EXMPLR1677(0), d(6)=>Gap_35n12s1(6), d(5)=>
      Gap_35n12s1(5), d(4)=>Gap_35n12s1(4), d(3)=>Gap_35n12s1(3), d(2)=>
      Gap_35n12s1(2), d(1)=>Gap_35n12s1(1), d(0)=>Gap_35n12s1(0), cout=>
      DANGLING(1));
   rtlc35_324_or_916 : or_4u_4u port map ( a(3)=>RxRdy_plus_us(3), a(2)=>
      RxRdy_plus_us(4), a(1)=>RxRdy_plus_us(5), a(0)=>RxRdy_plus_us(6), d=>
      rtlc35n634);
   not_rtlc35n634 <= NOT rtlc35n634 ;
   not_RxRdy_plus_us_2 <= NOT RxRdy_plus_us(2) ;
   rtlc35n637 <= not_rtlc35n634 AND not_RxRdy_plus_us_2 ;
   rtlc35n677 <= not_RxRdy_plus_us_2 OR not_rtlcn185 ;
   rtlc35n678 <= not_rtlc35n634 AND rtlc35n677 ;
   rtlc35n718 <= not_rtlc35n694 AND rtlc35n717 ;
   rtlc35n735 <= RxRdy_plus_us(4) AND RxRdy_plus_us(3) ;
   not_RxRdy_plus_us_6 <= NOT RxRdy_plus_us(6) ;
   rtlc35n750 <= RxRdy_plus_us(5) AND RxRdy_plus_us(4) ;
   not_rtlc35n750 <= NOT rtlc35n750 ;
   rtlc35n755 <= not_rtlc35n750 OR rtlcn1175 ;
   rtlc35n756 <= not_RxRdy_plus_us_6 AND rtlc35n755 ;
   rtlc38_95_select_917 : select_3_3 port map ( a(2)=>not_rtlc38n744, a(1)=>
      rtlcs15, a(0)=>rtlcs21, b(2)=>PWR, b(1)=>not_Manchester_error_41n2s1, 
      b(0)=>not_rtlc38n370, d=>rtlc38n392);
   not_rtlcs23 <= NOT rtlcs23 ;
   rtlc38_142_and_918 : and_4u_4u port map ( a(3)=>not_rtlcs23, a(2)=>
      not_rtlcs21, a(1)=>not_rtlc38n492, a(0)=>Recieving, d=>rtlc38_X_0_n594
   );
   rtlc38n595 <= not_CE OR rtlc38_X_0_n594 ;
   not_rtlc38n595 <= NOT rtlc38n595 ;
   rtlc38n622 <= rtlcs37 AND not_rtlc38n492 ;
   rtlc38n621 <= not_rtlcs21 AND not_rtlc38n492 ;
   rtlc38n623 <= rtlc38n621 OR rtlc38n622 ;
   rtlc38n490 <= rtlcs29 AND rtlc38n489 ;
   not_rtlc38n490 <= NOT rtlc38n490 ;
   rtlc38n492 <= Found_CMD_Sync AND not_rtlc38n490 ;
   rtlc38n451 <= rtlcs34 AND first_sync ;
   rtlc38n456 <= rtlc38n451 AND rtlcs1 ;
   rtlc38n458 <= rtlc38n456 AND Manchester_error_41n2s2 ;
   not_rtlc38n409 <= NOT rtlc38n409 ;
   not_Bit_value <= NOT Bit_value ;
   rtlc38n407 <= not_Bit_value AND level_plus ;
   rtlc38n405 <= Bit_value AND Level_minus ;
   rtlc38n408 <= rtlc38n405 OR rtlc38n407 ;
   rtlc38n409 <= rtlcs21 AND rtlc38n408 ;
   not_rtlc38n370 <= NOT rtlc38n370 ;
   rtlc38n369 <= not_Bit_value AND Level_minus ;
   rtlc38n367 <= Bit_value AND level_plus ;
   rtlc38n370 <= rtlc38n367 OR rtlc38n369 ;
   not_Manchester_error_41n2s1 <= NOT Manchester_error_41n2s1 ;
   not_Manchester_error_41n2s2 <= NOT Manchester_error_41n2s2 ;
   rtlc38n269 <= Echo AND not_Xmitting ;
   Sync_error_47n7s1 <= H15530_record_Manchester_error_EXMPLR1636 OR 
   Sync_error_EXMPLR1635 ;
   Phase_inc6_38i1 : inc_6u_6u_0 port map ( cin=>PWR, a(5)=>Phase(5), a(4)=>
      Phase(4), a(3)=>Phase(3), a(2)=>Phase(2), a(1)=>Phase(1), a(0)=>
      Phase(0), d(5)=>Phase_38n5s1(5), d(4)=>Phase_38n5s1(4), d(3)=>
      Phase_38n5s1(3), d(2)=>Phase_38n5s1(2), d(1)=>Phase_38n5s1(1), d(0)=>
      Phase_38n5s1(0), cout=>DANGLING(2));
   not_rtlc38n744 <= NOT rtlc38n744 ;
   rtlc38n789 <= one_shot(0) AND rtlc59n707 ;
   rtlc38n790 <= one_shot(3) OR rtlc38n789 ;
   rtlc38n791 <= rtlc59n706 AND rtlc38n790 ;
   Calc_parity_47n7s1 <= Calc_parity XOR Bit_value ;
   rtlc47_110_select_936 : select_4_4 port map ( a(3)=>not_rtlc47n614, a(2)
      =>rtlcs34, a(1)=>rtlcs29, a(0)=>rtlcs37, b(3)=>
      not_H15530_record_Manchester_error, b(2)=>rtlc47n417, b(1)=>
      not_rtlcn181, b(0)=>rtlc47n433, d=>rtlc47n437);
   rtlc47n417 <= not_H15530_record_Manchester_error AND rtlc47n235 ;
   rtlc47n433 <= not_H15530_record_Manchester_error AND rtlc47n426 ;
   rtlc47n453 <= RxRdy OR rtlcs39 ;
   rtlc47n218 <= not_rtlc47n630 AND rtlcn182 ;
   not_rtlc47n614 <= NOT rtlc47n614 ;
   not_rtlc47n630 <= NOT rtlc47n630 ;
   rtlc47n630 <= rtlc47n629 AND Bit_number(4) ;
   not_RxRdy <= NOT RxRdy ;
   not_rtlcs44 <= NOT rtlcs44 ;
   not_rtlc50_X_0_n201 <= NOT rtlc50_X_0_n201 ;
   rtlc50_X_0_n201 <= not_rtlcs44 OR rtlcs42 ;
   rtlc56n177 <= first_sync OR resync_after_fault ;
   rtlc56n176 <= Clean_plus OR Found_CMD_Sync ;
   rtlc56n179 <= rtlc56n176 OR not_rtlc56n177 ;
   rtlc56n169 <= Clean_plus AND rtlc56n177 ;
   Len_inc6_56i1 : inc_6u_6u_0 port map ( cin=>PWR, a(5)=>Len(5), a(4)=>
      Len(4), a(3)=>Len(3), a(2)=>Len(2), a(1)=>Len(1), a(0)=>Len(0), d(5)=>
      Len_56n6s1(5), d(4)=>Len_56n6s1(4), d(3)=>Len_56n6s1(3), d(2)=>
      Len_56n6s1(2), d(1)=>Len_56n6s1(1), d(0)=>Len_56n6s1(0), cout=>
      DANGLING(3));
   rtlc59n430 <= Rcv_Filter(5) OR Rcv_Filter(6) ;
   not_rtlc59n464 <= NOT rtlc59n464 ;
   not_rtlc59n467 <= NOT rtlc59n467 ;
   rtlc59n281 <= not_Clean_plus AND not_rtlcn184 ;
   rtlc59n252 <= not_Clean_minus AND not_rtlcn184 ;
   rtlc59_672_and_943 : and_4u_4u port map ( a(3)=>one_shot(3), a(2)=>
      one_shot(2), a(1)=>one_shot(1), a(0)=>one_shot(0), d=>rtlc59n673);
   rtlc59n707 <= one_shot(2) AND one_shot(1) ;
   not_rtlc62n36 <= NOT rtlc62n36 ;
   not_Bit_Gap_3 <= NOT Bit_Gap(3) ;
   not_rtlcn171 <= NOT rtlcn171 ;
   rtlc38n744 <= rtlcs15 OR rtlcs21 ;
   not_rtlcn177 <= NOT rtlcn177 ;
   rtlc23n393 <= energy(3) OR energy(2) ;
   not_rtlcn178 <= NOT rtlcn178 ;
   rtlc26n93 <= energy(6) OR energy(5) ;
   not_rtlc23n393 <= NOT rtlc23n393 ;
   not_rtlcn180 <= NOT rtlcn180 ;
   not_rtlcn181 <= NOT rtlcn181 ;
   rtlc47n644 <= Bit_number(4) OR Bit_number(3) ;
   not_rtlcn183 <= NOT rtlcn183 ;
   not_rtlcn184 <= NOT rtlcn184 ;
   not_rtlcn185 <= NOT rtlcn185 ;
   rtlcn171 <= rtlcs34 OR Xmitting ;
   rtlcn177 <= rtlc23n376 OR Bit_number(1) ;
   rtlcn178 <= rtlc23n393 OR energy(1) ;
   rtlcn180 <= energy(4) OR energy(3) ;
   rtlcn181 <= H15530_record_Manchester_error_EXMPLR1636 OR rtlc47n235 ;
   rtlcn182 <= rtlc47n644 OR Bit_number(2) ;
   rtlcn183 <= Bit_Gap(2) OR Bit_Gap(1) ;
   rtlcn184 <= rtlc59n671 OR rtlc59n673 ;
   rtlcn185 <= RxRdy_plus_us(1) OR RxRdy_plus_us(0) ;
   rtlcn187 <= rtlc35n694 OR rtlc35n735 ;
   Sync_error_47n7ss1 <= H15530_record_Manchester_error_EXMPLR1636 OR 
   rtlcn437 ;
   rtlc_629_mux_949 : mux_4u_4u port map ( a(3)=>rtlc56n169, a(2)=>PWR, a(1)
      =>GND, a(0)=>PWR, b(3)=>GND, b(2)=>GND, b(1)=>state(1), b(0)=>state(0), 
      d=>rtlcn1782);
   rtlc_632_mux_950 : mux_4u_4u port map ( a(3)=>not_rtlc56n169, a(2)=>GND, 
      a(1)=>PWR, a(0)=>GND, b(3)=>GND, b(2)=>GND, b(1)=>state(1), b(0)=>
      state(0), d=>rtlcn1785);
   state_fsm_mux_56i2 : mux_4u_4u port map ( a(3)=>rtlcn886, a(2)=>
      Clean_minus, a(1)=>not_rtlcn1266, a(0)=>rtlc56n169, b(3)=>GND, b(2)=>
      GND, b(1)=>state(1), b(0)=>state(0), d=>state_fsm_56n8ss1(0));
   Phase_select_38i8Bus12_5 : select_3_3 port map ( a(2)=>Advance, a(1)=>
      rtlcn506, a(0)=>rtlcn507, b(2)=>Phase_38n15s1(5), b(1)=>GND, b(0)=>
      Phase_38n5s1(5), d=>Phase_38n15ss1(5));
   Phase_select_38i8Bus12_4 : select_3_3 port map ( a(2)=>Advance, a(1)=>
      rtlcn506, a(0)=>rtlcn507, b(2)=>Phase_38n15s1(4), b(1)=>GND, b(0)=>
      Phase_38n5s1(4), d=>Phase_38n15ss1(4));
   Phase_select_38i8Bus12_3 : select_3_3 port map ( a(2)=>Advance, a(1)=>
      rtlcn506, a(0)=>rtlcn507, b(2)=>Phase_38n15s1(3), b(1)=>GND, b(0)=>
      Phase_38n5s1(3), d=>Phase_38n15ss1(3));
   Phase_select_38i5 : select_3_3 port map ( a(2)=>rtlc38n492, a(1)=>
      rtlcn532, a(0)=>rtlcn533, b(2)=>PWR, b(1)=>GND, b(0)=>
      Phase_38n15ss1(3), d=>Phase_38n17ss1_3);
   Phase_select_38i8Bus12_2 : select_3_3 port map ( a(2)=>Advance, a(1)=>
      rtlcn506, a(0)=>rtlcn507, b(2)=>Phase_38n15s1(2), b(1)=>GND, b(0)=>
      Phase_38n5s1(2), d=>Phase_38n15ss1(2));
   Phase_select_38i8Bus12_1 : select_3_3 port map ( a(2)=>Advance, a(1)=>
      rtlcn506, a(0)=>rtlcn507, b(2)=>Phase_38n15s1(1), b(1)=>GND, b(0)=>
      Phase_38n5s1(1), d=>Phase_38n15ss1(1));
   Phase_select_38i8Bus12_0 : select_3_3 port map ( a(2)=>Advance, a(1)=>
      rtlcn506, a(0)=>rtlcn507, b(2)=>Phase(0), b(1)=>GND, b(0)=>
      Phase_38n5s1(0), d=>Phase_38n15ss1(0));
   Phase_select_38i9 : select_3_3 port map ( a(2)=>rtlc38n492, a(1)=>
      rtlcn532, a(0)=>rtlcn533, b(2)=>PWR, b(1)=>GND, b(0)=>
      Phase_38n15ss1(0), d=>Phase_38n17ss1_0);
   Rcv_Filter_fsm_select_59i2Bus19_5 : select_3_3 port map ( a(2)=>rtlcn788, 
      a(1)=>rtlcn786, a(0)=>rtlcn787, b(2)=>GND, b(1)=>PWR, b(0)=>
      Rcv_Filter_fsm_59n6ss1_3, d=>Rcv_Filter_fsm_59n16ss1_5);
   Rcv_Filter_fsm_select_59i2Bus19_6 : select_3_3 port map ( a(2)=>rtlcn806, 
      a(1)=>rtlcn804, a(0)=>rtlcn805, b(2)=>GND, b(1)=>PWR, b(0)=>
      Rcv_Filter_fsm_59n4ss1_4, d=>Rcv_Filter_fsm_59n16ss1_6);
   not_rtlc56n177 <= NOT rtlc56n177 ;
   not_Clean_minus <= NOT Clean_minus ;
   not_rtlc23n85 <= NOT rtlc23n85 ;
   not_Clean_plus <= NOT Clean_plus ;
   not_rtlcs38 <= NOT rtlcs38 ;
   not_rtlc35n293 <= NOT rtlc35n293 ;
   Rcv_Filter_fsm_select_59i4Bus17_3 : select_3_3 port map ( a(2)=>
      not_rtlcn1262, a(1)=>Rcv_Filter(2), a(0)=>rtlcn1066, b(2)=>GND, b(1)=>
      Rcv_Filter_fsm_59n6ss1_3, b(0)=>PWR, d=>Rcv_Filter_fsm_59n13ss1_3);
   Rcv_Filter_fsm_select_59i4Bus17_4 : select_3_3 port map ( a(2)=>
      not_rtlcn1263, a(1)=>Rcv_Filter(1), a(0)=>rtlcn1091, b(2)=>GND, b(1)=>
      Rcv_Filter_fsm_59n4ss1_4, b(0)=>PWR, d=>Rcv_Filter_fsm_59n13ss1_4);
   rtlc38n395 <= rtlcs26 OR rtlc38n392 ;
   rtlc47n614 <= rtlcs32 OR rtlcs37 ;
   not_state_1 <= NOT state(1) ;
   not_state_0 <= NOT state(0) ;
   not_Advance <= NOT Advance ;
   rtlcn506 <= rtlcs21 AND not_Advance ;
   not_rtlcs21 <= NOT rtlcs21 ;
   rtlcn507 <= not_rtlcs21 AND not_Advance ;
   not_rtlc38n492 <= NOT rtlc38n492 ;
   rtlcn532 <= not_rtlc38n492 AND rtlc38n458 ;
   not_rtlc38n458 <= NOT rtlc38n458 ;
   rtlcn533 <= not_rtlc38n492 AND not_rtlc38n458 ;
   rtlcn1150 <= not_Clean_minus AND Rcv_Filter(6) ;
   rtlcn1151 <= Clean_plus AND Rcv_Filter(5) ;
   rtlcn1131 <= rtlcn1150 OR rtlcn1151 ;
   not_Recieving <= NOT Recieving ;
   rtlcn1153 <= Clean_minus AND Rcv_Filter(6) ;
   rtlcn1155 <= not_Clean_plus AND Rcv_Filter(5) ;
   rtlcn1132 <= rtlcn1153 OR rtlcn1155 ;
   not_rtlcn746 <= NOT rtlcn746 ;
   rtlcn786 <= rtlcn1132 AND not_rtlcn746 ;
   rtlcn787 <= Rcv_Filter(4) AND not_rtlcn746 ;
   rtlcn804 <= rtlcn1131 AND not_rtlcn746 ;
   rtlcn805 <= Rcv_Filter(3) AND not_rtlcn746 ;
   not_rtlc59n252 <= NOT rtlc59n252 ;
   not_rtlc59n281 <= NOT rtlc59n281 ;
   not_ResetN <= NOT ResetN ;
   rtlcn399 <= rtlc23n584 OR rtlc23n585 ;
   rtlc35n694 <= RxRdy_plus_us(6) OR RxRdy_plus_us(5) ;
   not_rtlc35n756 <= NOT rtlc35n756 ;
   not_rtlc35n678 <= NOT rtlc35n678 ;
   not_rtlc35n694 <= NOT rtlc35n694 ;
   not_RxRdy_plus_us_4 <= NOT RxRdy_plus_us(4) ;
   rtlc_1730_or_970 : or_4u_4u port map ( a(3)=>rtlc35n637, a(2)=>
      not_rtlcn1264, a(1)=>not_rtlcn1265, a(0)=>rtlcn1172, d=>rtlcn427);
   not_rtlcs42 <= NOT rtlcs42 ;
   not_RxRdy_plus_us_3 <= NOT RxRdy_plus_us(3) ;
   rtlcn1175 <= not_RxRdy_plus_us_3 AND not_RxRdy_plus_us_2 ;
   rtlc35n717 <= not_RxRdy_plus_us_4 OR rtlcn1175 ;
   rtlcn1176 <= not_rtlc35n678 AND not_RxRdy_plus_us_4 ;
   rtlcn1178 <= rtlcn1261 AND rtlc35n717 ;
   rtlcn1139 <= rtlcn1176 OR rtlcn1178 ;
   rtlcn1179 <= not_rtlc35n694 AND rtlcn1139 ;
   rtlcn431 <= not_rtlc35n756 OR rtlcn1179 ;
   not_rtlc35n718 <= NOT rtlc35n718 ;
   rtlcn1110 <= rtlc47n453 OR Found_CMD_Sync ;
   not_rtlcn1110 <= NOT rtlcn1110 ;
   rtlcn1136 <= Clean_minus OR rtlc56n177 ;
   rtlcn1180 <= rtlcs48 AND rtlcn1136 ;
   not_rtlc56n179 <= NOT rtlc56n179 ;
   rtlcn469 <= Recieving AND rtlcn1140 ;
   not_rtlc23n480 <= NOT rtlc23n480 ;
   not_rtlc23n432 <= NOT rtlc23n432 ;
   rtlcn1187 <= not_rtlc23n432 AND rtlc23n152 ;
   rtlcn1141 <= not_rtlc23n480 OR rtlcn1187 ;
   rtlcn479 <= not_rtlc23n85 AND rtlcn1141 ;
   rtlcn513 <= Recieving AND rtlcn533 ;
   rtlcn525 <= not_Recieving OR rtlc38n269 ;
   rtlcn526 <= rtlc23n85 AND Xmitting ;
   not_Stall <= NOT Stall ;
   rtlc_1767_and_974 : and_4u_4u port map ( a(3)=>not_rtlc38n492, a(2)=>
      not_rtlc38n458, a(1)=>Recieving, a(0)=>not_Stall, d=>rtlcn571);
   not_rtlcs37 <= NOT rtlcs37 ;
   rtlcn1142 <= not_rtlcs21 OR not_rtlcs37 ;
   rtlcn627 <= Recieving AND rtlcn1142 ;
   rtlcn1111 <= Found_CMD_Sync OR rtlcs29 ;
   rtlcn1133 <= rtlcn1150 OR rtlcn1155 ;
   rtlcn1130 <= Rcv_Filter(4) OR Rcv_Filter(2) ;
   rtlcn1143 <= not_Clean_minus OR rtlc59n281 ;
   rtlcn1128 <= rtlcn1130 AND rtlcn1143 ;
   rtlcn1129 <= Rcv_Filter(3) OR Rcv_Filter(1) ;
   rtlcn1134 <= not_Clean_plus OR rtlc59n252 ;
   rtlcn1195 <= rtlcn1129 AND rtlcn1134 ;
   rtlcn1138 <= rtlcn1128 OR rtlcn1195 ;
   rtlcn671 <= rtlcn1133 OR rtlcn1138 ;
   rtlcn1196 <= rtlc59n252 AND rtlcn1129 ;
   rtlcn1197 <= rtlc59n281 AND rtlcn1130 ;
   rtlc_1790_or_977 : or_4u_4u port map ( a(3)=>rtlcn746, a(2)=>rtlcn1196, 
      a(1)=>rtlcn1197, a(0)=>rtlcn1198, d=>rtlcn696);
   rtlcn886 <= rtlc56n169 OR not_rtlc56n179 ;
   not_rtlc20n33 <= NOT rtlc20n33 ;
   rtlcn1114 <= rtlcs38 OR rtlc35n293 ;
   not_rtlcn1114 <= NOT rtlcn1114 ;
   rtlcn916 <= rtlcs0 AND not_rtlcn1114 ;
   rtlcn1202 <= not_rtlc59n252 AND Rcv_Filter(1) ;
   rtlcn1203 <= Clean_minus AND Rcv_Filter(0) ;
   rtlcn1137 <= rtlcn1202 OR rtlcn1203 ;
   rtlcn1204 <= Clean_plus AND Rcv_Filter(0) ;
   rtlcn1144 <= rtlcn1204 OR rtlcn1205 ;
   rtlcn1064 <= not_rtlcn746 AND rtlcn1144 ;
   rtlcn1184 <= not_rtlc56n179 AND rtlcs47 ;
   energy_23n6s1f1(1) <= NOT rtlc23n582 ;
   energy_23n6s1f1(0) <= NOT rtlc23n588 ;
   not_rtlcn399 <= NOT rtlcn399 ;
   not_rtlcn427 <= NOT rtlcn427 ;
   not_rtlcn1262 <= NOT rtlcn1262 ;
   not_rtlcn1263 <= NOT rtlcn1263 ;
   not_rtlcn1264 <= NOT rtlcn1264 ;
   not_rtlcn1265 <= NOT rtlcn1265 ;
   not_rtlcn1266 <= NOT rtlcn1266 ;
   rtlc23n195 <= not_rtlc23n398 when rtlc23n95 = '1' else not_rtlc23n417 ;
   rtlc23n219 <= not_rtlcn171 when rtlc23n85 = '1' else rtlc23n480 ;
   rtlc26n63 <= rtlc26n96 when Recieving = '1' else rtlc26n117 ;
   rtlc38n422 <= not_rtlc38n409 when rtlcs29 = '1' else rtlc38n395 ;
   Manchester_error_41n2ss1 <= Manchester_error_41n2s1 when rtlcs26
    = '1' else Manchester_error_41n2s2 ;
   not_rtlc23n219 <= NOT rtlc23n219 ;
   rtlc23n262 <= CE AND not_rtlc23n219 ;
   not_CE <= NOT CE ;
   not_rtlc23n195 <= NOT rtlc23n195 ;
   rtlcn1276 <= not_rtlc23n195 OR not_rtlc23n85 ;
   rtlc23n261 <= CE AND rtlcn1276 ;
   not_rtlc26n63 <= NOT rtlc26n63 ;
   rtlc26n80 <= CE AND not_rtlc26n63 ;
   rtlc29n57 <= CE AND rtlcn1277 ;
   rtlc35n513 <= CE AND rtlcs30 ;
   not_rtlc35n348 <= NOT rtlc35n348 ;
   rtlc35n503 <= CE AND not_rtlc35n348 ;
   not_rtlcn1142 <= NOT rtlcn1142 ;
   rtlc38n677 <= CE AND rtlcn1279 ;
   rtlcn1293 <= rtlcs21 AND rtlcs37 ;
   rtlcn1280 <= not_Recieving OR rtlcn1293 ;
   rtlc38n676 <= CE AND rtlcn1280 ;
   rtlcn1270 <= not_Recieving OR rtlc38n492 ;
   rtlcn1271 <= Advance OR rtlcn1270 ;
   not_rtlc38n422 <= NOT rtlc38n422 ;
   rtlcn1281 <= not_rtlc38n422 OR rtlcn1271 ;
   rtlc38n675 <= CE AND rtlcn1281 ;
   rtlc_2121_or_982 : or_4u_4u port map ( a(3)=>Stall, a(2)=>rtlc38n458, 
      a(1)=>rtlcn1270, a(0)=>not_rtlcn1341, d=>rtlcn1282);
   rtlc38n674 <= CE AND rtlcn1282 ;
   rtlcn1274 <= rtlcs21 OR not_rtlcs23 ;
   rtlcn1300 <= not_Stall AND rtlcn1274 ;
   rtlc38n673 <= CE AND rtlcn1283 ;
   rtlcn1272 <= CE AND Found_CMD_Sync ;
   rtlcn1301 <= CE AND Strobe_44n1s1 ;
   rtlc41n110 <= rtlcn1272 OR rtlcn1301 ;
   rtlc41n109 <= rtlcn1272 OR rtlcn1302 ;
   not_Strobe <= NOT Strobe ;
   rtlcn1268 <= not_CE OR not_Strobe ;
   rtlcn1273 <= CE AND rtlcn1110 ;
   not_rtlcn1268 <= NOT rtlcn1268 ;
   not_H15530_record_Manchester_error <= NOT 
   H15530_record_Manchester_error_EXMPLR1636 ;
   rtlcn1275 <= rtlcs26 OR rtlcs32 ;
   not_rtlc47n218 <= NOT rtlc47n218 ;
   rtlc47n571 <= rtlcn1273 OR rtlcn1310 ;
   rtlc47n553 <= rtlcn1273 OR not_rtlcn1452 ;
   rtlcn1284 <= rtlc47n218 OR rtlcs29 ;
   rtlcn1313 <= not_rtlcn1268 AND rtlcn1284 ;
   rtlc47n552 <= rtlcn1272 OR rtlcn1313 ;
   rtlcn1314 <= rtlcs27 AND not_rtlcn1268 ;
   rtlc47n551 <= rtlcn1272 OR rtlcn1314 ;
   rtlcn1267 <= not_rtlc47n218 OR rtlcn1268 ;
   not_rtlcn1267 <= NOT rtlcn1267 ;
   rtlcn318 <= Data_47n4s2(0) AND not_rtlcn1267 ;
   rtlcn323 <= not_rtlcn1267 AND Data_47n4s2(1) ;
   rtlcn328 <= not_rtlcn1267 AND Data_47n4s2(2) ;
   rtlcn333 <= not_rtlcn1267 AND Data_47n4s2(3) ;
   rtlcn338 <= not_rtlcn1267 AND Data_47n4s2(4) ;
   rtlcn343 <= not_rtlcn1267 AND Data_47n4s2(5) ;
   rtlcn348 <= not_rtlcn1267 AND Data_47n4s2(6) ;
   rtlcn353 <= not_rtlcn1267 AND Data_47n4s2(7) ;
   rtlcn358 <= not_rtlcn1267 AND Data_47n4s2(8) ;
   rtlcn363 <= not_rtlcn1267 AND Data_47n4s2(9) ;
   rtlcn368 <= not_rtlcn1267 AND Data_47n4s2(10) ;
   rtlcn373 <= not_rtlcn1267 AND Data_47n4s2(11) ;
   rtlcn378 <= not_rtlcn1267 AND Data_47n4s2(12) ;
   rtlcn383 <= not_rtlcn1267 AND Data_47n4s2(13) ;
   rtlcn388 <= not_rtlcn1267 AND Data_47n4s2(14) ;
   rtlcn393 <= not_rtlcn1267 AND Data_47n4s2(15) ;
   rtlc35n348 <= rtlc35n289 AND rtlcn1316 ;
   rtlcs50 <= Phase(1) AND rtlcs6 ;
   rtlcs4 <= rtlcs50 AND rtlcs7 ;
   Strobe_44n1s1 <= Phase(0) AND rtlcs8 ;
   rtlcs8 <= rtlcs11 AND rtlcs7 ;
   rtlcs12 <= rtlcs13 AND rtlcs7 ;
   rtlcs7 <= Phase(3) AND rtlcs3 ;
   rtlcs51 <= rtlcs3 AND rtlcs6 ;
   rtlcs15 <= rtlcs51 AND rtlcs16 ;
   rtlcs23 <= rtlcs24 AND rtlcs25 ;
   rtlcs27 <= Data_47n4s3_1 AND rtlcs26 ;
   rtlcs30 <= Strobe AND rtlcs29 ;
   rtlcs29 <= rtlcs26 AND rtlcs32 ;
   rtlcs26 <= Bit_number(0) AND rtlcs25 ;
   rtlcs34 <= Data_47n4s3_0 AND rtlcs32 ;
   rtlcs32 <= Bit_number(1) AND rtlcs25 ;
   Data_47n4s3_0 <= NOT Bit_number(0) ;
   Data_47n4s3_1 <= NOT Bit_number(1) ;
   rtlcs24 <= Data_47n4s3_0 AND Data_47n4s3_1 ;
   not_Bit_number_4 <= NOT Bit_number(4) ;
   not_Bit_number_3 <= NOT Bit_number(3) ;
   not_Bit_number_2 <= NOT Bit_number(2) ;
   not_rtlc5n44 <= NOT rtlc5n44 ;
   plus_dd_5n1ss1 <= plus_d AND not_rtlc5n44 ;
   minus_dd_5n2ss1 <= minus_d AND not_rtlc5n44 ;
   not_rtlc11n36 <= NOT rtlc11n36 ;
   plus_dd_falling_edge_11n1ss1 <= plus_d_falling_edge AND not_rtlc11n36 ;
   minus_dd_falling_edge_11n2ss1 <= minus_d_falling_edge AND not_rtlc11n36 ;
   not_rtlcn479 <= NOT rtlcn479 ;
   energy_23n9ss1(1) <= energy_23n6s1(1) AND not_rtlcn479 ;
   energy_23n9ss1(5) <= energy_23n6s1(5) AND not_rtlcn479 ;
   energy_23n9ss1(4) <= energy_23n6s1(4) AND not_rtlcn479 ;
   energy_23n9ss1(3) <= energy_23n6s1(3) AND not_rtlcn479 ;
   energy_23n9ss1(2) <= energy_23n6s1(2) AND not_rtlcn479 ;
   energy_23n9ss1(6) <= energy_23n6s1(6) AND not_rtlcn479 ;
   energy_23n9ss1(0) <= energy_23n6s1(0) AND not_rtlcn479 ;
   not_Found_CMD_Sync <= NOT Found_CMD_Sync ;
   Bit_value_41n4ss1 <= level_plus AND not_Found_CMD_Sync ;
   not_rtlcn533 <= NOT rtlcn533 ;
   Phase_38n17ss1_2 <= Phase_38n15ss1(2) OR not_rtlcn533 ;
   Phase_38n18ss1(2) <= Phase_38n17ss1_2 AND Recieving ;
   not_rtlcs1 <= NOT rtlcs1 ;
   rtlc38n391 <= not_Manchester_error_41n2s2 OR not_rtlcs1 ;
   not_rtlcn1341 <= NOT rtlcn1341 ;
   Phase_38n18ss1(1) <= Phase_38n15ss1(1) AND rtlcn513 ;
   Phase_38n18ss1(0) <= Phase_38n17ss1_0 AND Recieving ;
   not_Phase_3 <= NOT Phase(3) ;
   not_Phase_0 <= NOT Phase(0) ;
   not_Phase_1 <= NOT Phase(1) ;
   not_Phase_5 <= NOT Phase(5) ;
   rtlcs3 <= not_Phase_5 AND Phase(4) ;
   Phase_38n18ss1(3) <= Phase_38n17ss1_3 AND Recieving ;
   not_Phase_4 <= NOT Phase(4) ;
   not_Phase_2 <= NOT Phase(2) ;
   rtlcs6 <= not_Phase_2 AND Phase(0) ;
   Manchester_error_41n4ss1 <= Manchester_error_41n2ss1 AND 
   not_Found_CMD_Sync ;
   rtlcs11 <= Phase(2) AND not_Phase_1 ;
   rtlcn437 <= Sync_error_EXMPLR1635 AND Bit_number(1) ;
   Sync_error_47n10ss1 <= Sync_error_47n7ss1 AND not_rtlcn1110 ;
   not_rtlcn671 <= NOT rtlcn671 ;
   rtlcn1263 <= Rcv_Filter(1) OR rtlcn1091 ;
   Rcv_Filter_fsm_59n4ss1_4 <= Clean_plus AND not_rtlc59n252 ;
   Rcv_Filter_fsm_59n16ss1_4 <= Rcv_Filter_fsm_59n13ss1_4 AND not_rtlcn746 ;
   rtlcn1262 <= Rcv_Filter(2) OR rtlcn1066 ;
   Rcv_Filter_fsm_59n6ss1_3 <= Clean_minus AND not_rtlc59n281 ;
   Rcv_Filter_fsm_59n16ss1_3 <= Rcv_Filter_fsm_59n13ss1_3 AND not_rtlcn746 ;
   not_rtlc56n169 <= NOT rtlc56n169 ;
   not_Len_3 <= NOT Len(3) ;
   not_Len_2 <= NOT Len(2) ;
   not_Len_0 <= NOT Len(0) ;
   rtlc_2294_and_990 : and_6u_6u port map ( a(5)=>Len(5), a(4)=>Len(4), a(3)
      =>not_Len_3, a(2)=>not_Len_2, a(1)=>Len(1), a(0)=>not_Len_0, d=>
      rtlcs46);
   rtlcn1266 <= Clean_minus OR rtlcs46 ;
   state_fsm_56n9ss1(0) <= state_fsm_56n8ss1(0) AND Recieving ;
   rtlcs48 <= state(1) AND not_state_0 ;
   rtlcs49 <= not_state_1 AND state(0) ;
   rtlcs47 <= state(1) AND state(0) ;
   not_Len_1 <= NOT Len(1) ;
   rtlcs13 <= not_Phase_0 AND Phase(2) ;
   rtlcs16 <= not_Phase_3 AND Phase(1) ;
   Phase_38n18ss1(5) <= Phase_38n15ss1(5) AND rtlcn513 ;
   Phase_inc5_38i10 : inc_5u_5u_0 port map ( cin=>PWR, a(4)=>Phase(5), a(3)
      =>Phase(4), a(2)=>Phase(3), a(1)=>Phase(2), a(0)=>Phase(1), d(4)=>
      Phase_38n15s1(5), d(3)=>Phase_38n15s1(4), d(2)=>Phase_38n15s1(3), d(1)
      =>Phase_38n15s1(2), d(0)=>Phase_38n15s1(1), cout=>DANGLING(4));
   Phase_38n17ss1_4 <= Phase_38n15ss1(4) OR not_rtlcn533 ;
   Phase_38n18ss1(4) <= Phase_38n17ss1_4 AND Recieving ;
   rtlc_2330_and_994 : and_5u_5u port map ( a(4)=>Bit_number(4), a(3)=>
      not_Bit_number_3, a(2)=>Bit_number(2), a(1)=>Data_47n4s3_1, a(0)=>
      Data_47n4s3_0, d=>rtlcs37);
   Command_sync_47n10ss1 <= Bit_value OR Found_CMD_Sync ;
   Calc_parity_47n10ss1 <= Calc_parity_47n7s1 OR rtlcn1111 ;
   not_rtlcn1452 <= NOT rtlcn1452 ;
   not_energy_3 <= NOT energy(3) ;
   not_energy_2 <= NOT energy(2) ;
   not_energy_1 <= NOT energy(1) ;
   not_energy_0 <= NOT energy(0) ;
   rtlc_2347_and_995 : and_7u_7u port map ( a(6)=>not_energy_6, a(5)=>
      not_energy_5, a(4)=>not_energy_4, a(3)=>not_energy_3, a(2)=>
      not_energy_2, a(1)=>not_energy_1, a(0)=>not_energy_0, d=>rtlcs39);
   Gap_35n15ss1(5) <= Gap_35n12s1(5) AND rtlcn916 ;
   not_rtlcs27 <= NOT rtlcs27 ;
   rtlc35n289 <= not_rtlcs19 OR not_rtlcs27 ;
   not_rtlcs0 <= NOT rtlcs0 ;
   rtlcn435 <= rtlcs38 OR not_rtlcs0 ;
   rtlcn1316 <= rtlcn435 OR rtlcn1114 ;
   Gap_35n15ss1(4) <= Gap_35n12s1(4) AND rtlcn916 ;
   Gap_35n15ss1(3) <= Gap_35n12s1(3) AND rtlcn916 ;
   Gap_35n15ss1(2) <= Gap_35n12s1(2) AND rtlcn916 ;
   Gap_35n15ss1(1) <= Gap_35n12s1(1) AND rtlcn916 ;
   rtlc_2383_and_998 : and_7u_7u port map ( a(6)=>
      H15530_record_RAW_GAP_EXMPLR1677(6), a(5)=>
      H15530_record_RAW_GAP_EXMPLR1677(5), a(4)=>
      H15530_record_RAW_GAP_EXMPLR1677(4), a(3)=>
      H15530_record_RAW_GAP_EXMPLR1677(3), a(2)=>
      H15530_record_RAW_GAP_EXMPLR1677(2), a(1)=>
      H15530_record_RAW_GAP_EXMPLR1677(1), a(0)=>
      H15530_record_RAW_GAP_EXMPLR1677(0), d=>rtlcs38);
   not_gap_phase_4 <= NOT gap_phase(4) ;
   not_gap_phase_3 <= NOT gap_phase(3) ;
   rtlc_2386_and_999 : and_6u_6u port map ( a(5)=>gap_phase(5), a(4)=>
      not_gap_phase_4, a(3)=>not_gap_phase_3, a(2)=>gap_phase(2), a(1)=>
      gap_phase(1), a(0)=>gap_phase(0), d=>rtlcs0);
   Gap_35n15ss1(6) <= Gap_35n12s1(6) AND rtlcn916 ;
   Gap_35n15ss1(0) <= Gap_35n12s1(0) AND rtlcn916 ;
   rtlc_2389_and_1000 : and_7u_7u port map ( a(6)=>RxRdy_plus_us(6), a(5)=>
      RxRdy_plus_us(5), a(4)=>RxRdy_plus_us(4), a(3)=>RxRdy_plus_us(3), a(2)
      =>RxRdy_plus_us(2), a(1)=>RxRdy_plus_us(1), a(0)=>RxRdy_plus_us(0), d
      =>rtlcs42);
   not_RxRdy_plus_phase_4 <= NOT RxRdy_plus_phase(4) ;
   not_RxRdy_plus_phase_3 <= NOT RxRdy_plus_phase(3) ;
   rtlc_2392_and_1001 : and_6u_6u port map ( a(5)=>RxRdy_plus_phase(5), a(4)
      =>not_RxRdy_plus_phase_4, a(3)=>not_RxRdy_plus_phase_3, a(2)=>
      RxRdy_plus_phase(2), a(1)=>RxRdy_plus_phase(1), a(0)=>
      RxRdy_plus_phase(0), d=>rtlcs44);
   not_rtlc35n637 <= NOT rtlc35n637 ;
   Actual_gap_35n2ss1(0) <= not_RxRdy_plus_us_0 AND not_rtlc35n637 ;
   Actual_gap_35n2ss1(1) <= Actual_gap_35n1s1(1) AND not_rtlc35n637 ;
   Actual_gap_35n2ss1(2) <= Actual_gap_35n1s1(2) AND not_rtlc35n637 ;
   Actual_gap_35n2ss1(3) <= Actual_gap_35n1s1(3) AND not_rtlc35n637 ;
   Actual_gap_35n2ss1(4) <= Actual_gap_35n1s1(4) AND not_rtlc35n637 ;
   Actual_gap_35n2ss1(5) <= Actual_gap_35n1s1(5) AND not_rtlc35n637 ;
   Actual_gap_35n2ss1(6) <= Actual_gap_35n1s1(6) AND not_rtlc35n637 ;
   rtlcn1264 <= rtlc35n756 OR rtlcs42 ;
   rtlcn1265 <= rtlc35n718 OR rtlcn187 ;
   rtlcn1261 <= rtlc35n694 OR RxRdy_plus_us(4) ;
   not_RxRdy_plus_us_5 <= NOT RxRdy_plus_us(5) ;
   not_RxRdy_plus_us_1 <= NOT RxRdy_plus_us(1) ;
   not_RxRdy_plus_us_0 <= NOT RxRdy_plus_us(0) ;
   not_RxRdy_plus_phase_5 <= NOT RxRdy_plus_phase(5) ;
   not_RxRdy_plus_phase_2 <= NOT RxRdy_plus_phase(2) ;
   not_RxRdy_plus_phase_1 <= NOT RxRdy_plus_phase(1) ;
   not_RxRdy_plus_phase_0 <= NOT RxRdy_plus_phase(0) ;
   H15530_record_Pre_EchoRdy <= RxRdy AND Echo ;
   not_Echo <= NOT Echo ;
   H15530_record_Pre_RxRdy <= RxRdy AND not_Echo ;
   rtlcn1341 <= rtlcs26 OR rtlc38n391 ;
   rtlcn1452 <= rtlc47n437 OR rtlcn1268 ;
   Len_56n8ss1(0) <= Len_56n6s1(0) OR rtlcn1782 ;
   Len_56n8ss1(1) <= Len_56n6s1(1) AND rtlcn1785 ;
   Len_56n8ss1(2) <= Len_56n6s1(2) AND rtlcn1785 ;
   Len_56n8ss1(3) <= Len_56n6s1(3) AND rtlcn1785 ;
   Len_56n8ss1(4) <= Len_56n6s1(4) AND rtlcn1785 ;
   Len_56n8ss1(5) <= Len_56n6s1(5) AND rtlcn1785 ;
   modgen_counter_gap_phase : 
      counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_6 port map ( 
      clock=>Clock, q(5)=>gap_phase(5), q(4)=>gap_phase(4), q(3)=>
      gap_phase(3), q(2)=>gap_phase(2), q(1)=>gap_phase(1), q(0)=>
      gap_phase(0), clk_en=>CE, aclear=>not_ResetN, sload=>rtlc35n293, 
      data(5)=>GND, data(4)=>GND, data(3)=>PWR, data(2)=>PWR, data(1)=>GND, 
      data(0)=>PWR, aset=>GND, sclear=>rtlc35_X_0_n429, updn=>PWR, cnt_en=>
      not_rtlcs38);
   modgen_counter_Bit_number : 
      counter_up_sload_sclear_aclear_clock_clk_en_0_5 port map ( clock=>
      Clock, q(4)=>Bit_number(4), q(3)=>Bit_number(3), q(2)=>Bit_number(2), 
      q(1)=>Bit_number(1), q(0)=>Bit_number(0), clk_en=>not_rtlc38n595, 
      aclear=>not_ResetN, sload=>rtlcn1799, data(4)=>GND, data(3)=>GND, 
      data(2)=>GND, data(1)=>not_rtlc38n623, data(0)=>PWR, aset=>GND, sclear
      =>not_Recieving, updn=>PWR, cnt_en=>PWR);
   modgen_counter_RxRdy_plus_us : 
      counter_up_cnt_en_sclear_aclear_clock_clk_en_0_7 port map ( clock=>
      Clock, q(6)=>RxRdy_plus_us(6), q(5)=>RxRdy_plus_us(5), q(4)=>
      RxRdy_plus_us(4), q(3)=>RxRdy_plus_us(3), q(2)=>RxRdy_plus_us(2), q(1)
      =>RxRdy_plus_us(1), q(0)=>RxRdy_plus_us(0), clk_en=>CE, aclear=>
      not_ResetN, sload=>GND, data(6)=>DANGLING(5), data(5)=>DANGLING(6), 
      data(4)=>DANGLING(7), data(3)=>DANGLING(8), data(2)=>DANGLING(9), 
      data(1)=>DANGLING(10), data(0)=>DANGLING(11), aset=>GND, sclear=>RxRdy, 
      updn=>PWR, cnt_en=>not_rtlc50_X_0_n201);
   modgen_counter_RxRdy_plus_phase : 
      counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_6 port map ( 
      clock=>Clock, q(5)=>RxRdy_plus_phase(5), q(4)=>RxRdy_plus_phase(4), 
      q(3)=>RxRdy_plus_phase(3), q(2)=>RxRdy_plus_phase(2), q(1)=>
      RxRdy_plus_phase(1), q(0)=>RxRdy_plus_phase(0), clk_en=>CE, aclear=>
      not_ResetN, sload=>RxRdy, data(5)=>GND, data(4)=>GND, data(3)=>PWR, 
      data(2)=>PWR, data(1)=>GND, data(0)=>PWR, aset=>GND, sclear=>
      rtlc50_X_0_n232, updn=>PWR, cnt_en=>not_rtlcs42);
   rtlcn1805 <= not_rtlcn183 OR not_Bit_Gap_3 ;
   modgen_counter_Bit_Gap : counter_up_cnt_en_sclear_aclear_clock_clk_en_0_4
       port map ( clock=>Clock, q(3)=>Bit_Gap(3), q(2)=>Bit_Gap(2), q(1)=>
      Bit_Gap(1), q(0)=>DANGLING(12), clk_en=>CE, aclear=>not_ResetN, sload
      =>GND, data(3)=>DANGLING(13), data(2)=>DANGLING(14), data(1)=>DANGLING
      (15), data(0)=>DANGLING(16), aset=>GND, sclear=>not_rtlc62n36, updn=>
      PWR, cnt_en=>rtlcn1805);
   rtlcn1799 <= rtlc38n492 OR rtlc38n623 ;
   not_rtlc38n623 <= NOT rtlc38n623 ;
   rtlc5n44 <= NOT (plus_d XOR minus_d) ;
   rtlc11n36 <= NOT (plus_d_falling_edge XOR minus_d_falling_edge) ;
   rtlc20n32 <= NOT (Check_value XOR not_minus_dd) ;
   rtlc20n30 <= NOT (Check_value XOR plus_dd) ;
   Manchester_error_41n2s2 <= NOT (Bit_value XOR level_plus) ;
   Manchester_error_41n2s1 <= NOT (Bit_value XOR Level_minus) ;
   rtlc47n426 <= NOT (Calc_parity XOR Bit_value) ;
   rtlc47n235 <= NOT (Bit_value XOR H15530_record_Command_Sync_EXMPLR1673) ;
   DFFPC (minus_dd_5n2ss1,GND,not_ResetN,Clock,minus_dd) ;
   DFFPC (Minus,GND,not_ResetN,Clock,minus_d) ;
   DFFPC (plus_dd_5n1ss1,GND,not_ResetN,Clock,plus_dd) ;
   DFFPC (Plus,GND,not_ResetN,Clock,plus_d) ;
   DFFPC (Minus,GND,not_ResetN,not_Clock,minus_d_falling_edge) ;
   DFFPC (Plus,GND,not_ResetN,not_Clock,plus_d_falling_edge) ;
   DFFPC (minus_dd_falling_edge_11n2ss1,GND,not_ResetN,Clock,
   minus_dd_falling_edge) ;
   DFFPC (plus_dd_falling_edge_11n1ss1,GND,not_ResetN,Clock,
   plus_dd_falling_edge) ;
   DFFPCE (minus_dd,GND,not_ResetN,CE,Clock,Minus_shifter(10)) ;
   DFFPCE (Minus_shifter(10),GND,not_ResetN,CE,Clock,Minus_shifter(9)) ;
   DFFPCE (Minus_shifter(9),GND,not_ResetN,CE,Clock,Minus_shifter(8)) ;
   DFFPCE (Minus_shifter(8),GND,not_ResetN,CE,Clock,Minus_shifter(7)) ;
   DFFPCE (Minus_shifter(7),GND,not_ResetN,CE,Clock,Minus_shifter(6)) ;
   DFFPCE (Minus_shifter(6),GND,not_ResetN,CE,Clock,Minus_shifter(5)) ;
   DFFPCE (Minus_shifter(5),GND,not_ResetN,CE,Clock,Minus_shifter(4)) ;
   DFFPCE (Minus_shifter(4),GND,not_ResetN,CE,Clock,Minus_shifter(3)) ;
   DFFPCE (rtlc14n83,GND,not_ResetN,CE,Clock,Minus_shifter(2)) ;
   DFFPCE (Minus_shifter(2),GND,not_ResetN,CE,Clock,Minus_shifter(1)) ;
   DFFPCE (Minus_shifter(1),GND,not_ResetN,CE,Clock,Minus_shifter(0)) ;
   DFFPCE (plus_dd,GND,not_ResetN,CE,Clock,Plus_shifter(10)) ;
   DFFPCE (Plus_shifter(10),GND,not_ResetN,CE,Clock,Plus_shifter(9)) ;
   DFFPCE (Plus_shifter(9),GND,not_ResetN,CE,Clock,Plus_shifter(8)) ;
   DFFPCE (Plus_shifter(8),GND,not_ResetN,CE,Clock,Plus_shifter(7)) ;
   DFFPCE (Plus_shifter(7),GND,not_ResetN,CE,Clock,Plus_shifter(6)) ;
   DFFPCE (Plus_shifter(6),GND,not_ResetN,CE,Clock,Plus_shifter(5)) ;
   DFFPCE (Plus_shifter(5),GND,not_ResetN,CE,Clock,Plus_shifter(4)) ;
   DFFPCE (Plus_shifter(4),GND,not_ResetN,CE,Clock,Plus_shifter(3)) ;
   DFFPCE (rtlc14n63,GND,not_ResetN,CE,Clock,Plus_shifter(2)) ;
   DFFPCE (Plus_shifter(2),GND,not_ResetN,CE,Clock,Plus_shifter(1)) ;
   DFFPCE (Plus_shifter(1),GND,not_ResetN,CE,Clock,Plus_shifter(0)) ;
   DFFPCE (Clean_minus_17n1s1,GND,not_ResetN,CE,Clock,Clean_minus) ;
   DFFPCE (Clean_plus_17n1s1,GND,not_ResetN,CE,Clock,Clean_plus) ;
   DFFPCE (rtlcn891,GND,not_ResetN,CE,Clock,Echo_Error) ;
   DFFPCE (rtlcn526,GND,not_ResetN,rtlc23n262,Clock,Echo) ;
   DFFPCE (energy_23n9ss1(6),GND,not_ResetN,rtlc23n261,Clock,energy(6)) ;
   DFFPCE (energy_23n9ss1(5),GND,not_ResetN,rtlc23n261,Clock,energy(5)) ;
   DFFPCE (energy_23n9ss1(4),GND,not_ResetN,rtlc23n261,Clock,energy(4)) ;
   DFFPCE (energy_23n9ss1(3),GND,not_ResetN,rtlc23n261,Clock,energy(3)) ;
   DFFPCE (energy_23n9ss1(2),GND,not_ResetN,rtlc23n261,Clock,energy(2)) ;
   DFFPCE (energy_23n9ss1(1),GND,not_ResetN,rtlc23n261,Clock,energy(1)) ;
   DFFPCE (energy_23n9ss1(0),GND,not_ResetN,rtlc23n261,Clock,energy(0)) ;
   DFFPCE (not_Recieving,GND,not_ResetN,rtlc26n80,Clock,Recieving) ;
   DFFPCE (Clean_plus,GND,not_ResetN,rtlc29n57,Clock,level_plus) ;
   DFFPCE (Clean_minus,GND,not_ResetN,rtlc29n57,Clock,Level_minus) ;
   DFFPCE (not_rtlc35n718,GND,not_ResetN,rtlc35n513,Clock,
   H15530_record_Gap_found(2)) ;
   DFFPCE (rtlcn431,GND,not_ResetN,rtlc35n513,Clock,
   H15530_record_Gap_found(1)) ;
   DFFPCE (not_rtlcn427,GND,not_ResetN,rtlc35n513,Clock,
   H15530_record_Gap_found(0)) ;
   DFFPCE (Actual_gap_35n2ss1(6),GND,not_ResetN,rtlc35n513,Clock,
   H15530_record_GAP(6)) ;
   DFFPCE (Actual_gap_35n2ss1(5),GND,not_ResetN,rtlc35n513,Clock,
   H15530_record_GAP(5)) ;
   DFFPCE (Actual_gap_35n2ss1(4),GND,not_ResetN,rtlc35n513,Clock,
   H15530_record_GAP(4)) ;
   DFFPCE (Actual_gap_35n2ss1(3),GND,not_ResetN,rtlc35n513,Clock,
   H15530_record_GAP(3)) ;
   DFFPCE (Actual_gap_35n2ss1(2),GND,not_ResetN,rtlc35n513,Clock,
   H15530_record_GAP(2)) ;
   DFFPCE (Actual_gap_35n2ss1(1),GND,not_ResetN,rtlc35n513,Clock,
   H15530_record_GAP(1)) ;
   DFFPCE (Actual_gap_35n2ss1(0),GND,not_ResetN,rtlc35n513,Clock,
   H15530_record_GAP(0)) ;
   DFFPCE (Gap_35n15ss1(6),GND,not_ResetN,rtlc35n503,Clock,
   H15530_record_RAW_GAP_EXMPLR1677(6)) ;
   DFFPCE (Gap_35n15ss1(5),GND,not_ResetN,rtlc35n503,Clock,
   H15530_record_RAW_GAP_EXMPLR1677(5)) ;
   DFFPCE (Gap_35n15ss1(4),GND,not_ResetN,rtlc35n503,Clock,
   H15530_record_RAW_GAP_EXMPLR1677(4)) ;
   DFFPCE (Gap_35n15ss1(3),GND,not_ResetN,rtlc35n503,Clock,
   H15530_record_RAW_GAP_EXMPLR1677(3)) ;
   DFFPCE (Gap_35n15ss1(2),GND,not_ResetN,rtlc35n503,Clock,
   H15530_record_RAW_GAP_EXMPLR1677(2)) ;
   DFFPCE (Gap_35n15ss1(1),GND,not_ResetN,rtlc35n503,Clock,
   H15530_record_RAW_GAP_EXMPLR1677(1)) ;
   DFFPCE (Gap_35n15ss1(0),GND,not_ResetN,rtlc35n503,Clock,
   H15530_record_RAW_GAP_EXMPLR1677(0)) ;
   DFFPCE (rtlcn627,GND,not_ResetN,rtlc38n677,Clock,resync_after_fault) ;
   DFFPCE (rtlcn525,not_ResetN,GND,rtlc38n676,Clock,first_sync) ;
   DFFPCE (rtlcn545,GND,not_ResetN,rtlc38n675,Clock,Advance) ;
   DFFPCE (rtlcn571,GND,not_ResetN,rtlc38n674,Clock,Stall) ;
   DFFPCE (Phase_38n18ss1(5),GND,not_ResetN,rtlc38n673,Clock,Phase(5)) ;
   DFFPCE (Phase_38n18ss1(4),GND,not_ResetN,rtlc38n673,Clock,Phase(4)) ;
   DFFPCE (Phase_38n18ss1(3),GND,not_ResetN,rtlc38n673,Clock,Phase(3)) ;
   DFFPCE (Phase_38n18ss1(2),GND,not_ResetN,rtlc38n673,Clock,Phase(2)) ;
   DFFPCE (Phase_38n18ss1(1),GND,not_ResetN,rtlc38n673,Clock,Phase(1)) ;
   DFFPCE (Phase_38n18ss1(0),GND,not_ResetN,rtlc38n673,Clock,Phase(0)) ;
   DFFPCE (Manchester_error_41n4ss1,GND,not_ResetN,rtlc41n110,Clock,
   H15530_record_Manchester_error_EXMPLR1636) ;
   DFFPCE (Bit_value_41n4ss1,GND,not_ResetN,rtlc41n109,Clock,Bit_value) ;
   DFFPCE (Strobe_44n1s1,GND,not_ResetN,CE,Clock,Strobe) ;
   DFFPCE (Sync_error_47n10ss1,GND,not_ResetN,rtlc47n571,Clock,
   Sync_error_EXMPLR1635) ;
   DFFPCE (rtlcn639,GND,not_ResetN,CE,Clock,RxRdy) ;
   DFFPCE (rtlcn1110,not_ResetN,GND,rtlc47n553,Clock,H15530_record_CS) ;
   DFFPCE (Calc_parity_47n10ss1,GND,not_ResetN,rtlc47n552,Clock,Calc_parity)
    ;
   DFFPCE (Command_sync_47n10ss1,GND,not_ResetN,rtlc47n551,Clock,
   H15530_record_Command_Sync_EXMPLR1673) ;
   DFFPCE (RxRdy_plus_10us_50n5s1,GND,not_ResetN,CE,Clock,
   H15530_record_RxRDY_plus_10us) ;
   DFFPCE (rtlcn469,GND,not_ResetN,CE,Clock,state(1)) ;
   DFFPCE (state_fsm_56n9ss1(0),GND,not_ResetN,CE,Clock,state(0)) ;
   DFFPCE (Len_56n8ss1(5),GND,not_ResetN,CE,Clock,Len(5)) ;
   DFFPCE (Len_56n8ss1(4),GND,not_ResetN,CE,Clock,Len(4)) ;
   DFFPCE (Len_56n8ss1(3),GND,not_ResetN,CE,Clock,Len(3)) ;
   DFFPCE (Len_56n8ss1(2),GND,not_ResetN,CE,Clock,Len(2)) ;
   DFFPCE (Len_56n8ss1(1),GND,not_ResetN,CE,Clock,Len(1)) ;
   DFFPCE (Len_56n8ss1(0),GND,not_ResetN,CE,Clock,Len(0)) ;
   DFFPCE (Found_CMD_Sync_56n8ss1,GND,not_ResetN,CE,Clock,Found_CMD_Sync) ;
   DFFPCE (Rcv_Filter_fsm_59n16ss1_6,GND,not_ResetN,CE,Clock,Rcv_Filter(6))
    ;
   DFFPCE (Rcv_Filter_fsm_59n16ss1_5,GND,not_ResetN,CE,Clock,Rcv_Filter(5))
    ;
   DFFPCE (Rcv_Filter_fsm_59n16ss1_4,GND,not_ResetN,CE,Clock,Rcv_Filter(4))
    ;
   DFFPCE (Rcv_Filter_fsm_59n16ss1_3,GND,not_ResetN,CE,Clock,Rcv_Filter(3))
    ;
   DFFPCE (rtlcn1064,GND,not_ResetN,CE,Clock,Rcv_Filter(2)) ;
   DFFPCE (rtlcn1053,GND,not_ResetN,CE,Clock,Rcv_Filter(1)) ;
   DFFPCE (rtlcn696,not_ResetN,GND,CE,Clock,Rcv_Filter(0)) ;
   DFFPCE (rtlc59n430,GND,not_ResetN,CE,Clock,H15530_record_recieving) ;
   DFFPCE (rtlc62n94,GND,not_ResetN,CE,Clock,Big_Bit_Gap) ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn318,Clock,H15530_record_R_Data(0))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn323,Clock,H15530_record_R_Data(1))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn328,Clock,H15530_record_R_Data(2))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn333,Clock,H15530_record_R_Data(3))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn338,Clock,H15530_record_R_Data(4))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn343,Clock,H15530_record_R_Data(5))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn348,Clock,H15530_record_R_Data(6))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn353,Clock,H15530_record_R_Data(7))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn358,Clock,H15530_record_R_Data(8))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn363,Clock,H15530_record_R_Data(9))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn368,Clock,H15530_record_R_Data(10))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn373,Clock,H15530_record_R_Data(11))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn378,Clock,H15530_record_R_Data(12))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn383,Clock,H15530_record_R_Data(13))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn388,Clock,H15530_record_R_Data(14))
    ;
   DFFPCE (Bit_value,GND,not_ResetN,rtlcn393,Clock,H15530_record_R_Data(15))
    ;
   rtlc47n629 <= Bit_number(2) OR Bit_number(3) ;
   rtlc23n376 <= rtlc47n629 OR Bit_number(4) ;
   rtlc35_160_and_913_nx0 <= rtlcs0 AND not_rtlcs38 ;
   rtlc35_X_0_n429 <= rtlc35_160_and_913_nx0 AND not_rtlc35n293 ;
   rtlc50_46_and_937_nx0 <= rtlcs44 AND not_rtlcs42 ;
   rtlc50_X_0_n232 <= rtlc50_46_and_937_nx0 AND not_RxRdy ;
   rtlc59_194_or_939_nx0 <= Rcv_Filter(4) OR Rcv_Filter(5) ;
   rtlc59n464 <= rtlc59_194_or_939_nx0 OR Rcv_Filter(6) ;
   rtlc59_198_or_940_nx0 <= Rcv_Filter(3) OR Rcv_Filter(5) ;
   rtlc59n467 <= rtlc59_198_or_940_nx0 OR Rcv_Filter(6) ;
   rtlc59_670_or_942_nx0 <= one_shot(4) OR one_shot(5) ;
   rtlc59n671 <= rtlc59_670_or_942_nx0 OR one_shot(6) ;
   rtlc59_682_and_944_nx0 <= one_shot(6) AND one_shot(5) ;
   rtlc59n706 <= rtlc59_682_and_944_nx0 AND one_shot(4) ;
   rtlc_253_and_945_nx0 <= rtlc23n85 AND not_rtlc23n95 ;
   rtlc23n585 <= rtlc_253_and_945_nx0 AND rtlc23n417 ;
   rtlc_254_and_946_nx0 <= not_rtlc23n85 AND rtlc23n480 ;
   rtlc23n582 <= rtlc_254_and_946_nx0 AND not_rtlc23n152 ;
   rtlc_256_and_947_nx0 <= rtlc23n85 AND rtlc23n95 ;
   rtlc23n584 <= rtlc_256_and_947_nx0 AND rtlc23n398 ;
   rtlc_355_and_948_nx0 <= not_rtlc23n85 AND rtlc23n152 ;
   rtlc23n583 <= rtlc_355_and_948_nx0 AND rtlc23n432 ;
   rtlc_1549_or_964_nx0 <= rtlcs4 OR rtlcs8 ;
   rtlc38n489 <= rtlc_1549_or_964_nx0 OR rtlcs12 ;
   rtlc_1693_or_965_nx0 <= not_rtlc59n464 OR rtlcn746 ;
   rtlcn788 <= rtlc_1693_or_965_nx0 OR rtlcn1131 ;
   rtlc_1701_or_966_nx0 <= not_rtlc59n467 OR rtlcn746 ;
   rtlcn806 <= rtlc_1701_or_966_nx0 OR rtlcn1132 ;
   rtlc_1705_and_967_nx0 <= not_Clean_plus AND Rcv_Filter(3) ;
   rtlcn1066 <= rtlc_1705_and_967_nx0 AND not_rtlc59n252 ;
   rtlc_1710_and_968_nx0 <= not_Clean_minus AND Rcv_Filter(4) ;
   rtlcn1091 <= rtlc_1710_and_968_nx0 AND not_rtlc59n281 ;
   rtlc_1729_and_969_nx0 <= not_rtlc35n678 AND not_rtlc35n694 ;
   rtlcn1172 <= rtlc_1729_and_969_nx0 AND not_RxRdy_plus_us_4 ;
   rtlc_1750_and_971_nx0 <= not_Clean_minus AND rtlcs46 ;
   rtlcn1181 <= rtlc_1750_and_971_nx0 AND rtlcs49 ;
   rtlc_1754_or_972_nx0 <= rtlcn1180 OR rtlcn1181 ;
   rtlcn1140 <= rtlc_1754_or_972_nx0 OR rtlcn1184 ;
   rtlcn639 <= rtlcs37 AND Strobe ;
   rtlc62n36 <= not_Clean_minus AND not_Clean_plus ;
   rtlcn1198 <= rtlc62n36 AND Rcv_Filter(0) ;
   rtlc_1796_and_978_nx0 <= Xmitting AND not_rtlc20n33 ;
   rtlcn891 <= rtlc_1796_and_978_nx0 AND Check_loop_back ;
   rtlc_1803_and_979_nx0 <= not_Clean_plus AND rtlcn1137 ;
   rtlcn1053 <= rtlc_1803_and_979_nx0 AND not_rtlcn746 ;
   rtlc_1805_and_980_nx0 <= not_Clean_minus AND Rcv_Filter(2) ;
   rtlcn1205 <= rtlc_1805_and_980_nx0 AND not_rtlc59n281 ;
   rtlc_1817_or_981_nx0 <= Big_Bit_Gap OR rtlc38n791 ;
   rtlcn746 <= rtlc_1817_or_981_nx0 OR not_Recieving ;
   rtlc_2127_or_983_nx0 <= rtlc38n458 OR rtlcn1271 ;
   rtlcn1283 <= rtlc_2127_or_983_nx0 OR rtlcn1300 ;
   rtlc_2148_and_984_nx0 <= not_rtlc47n218 AND not_rtlcn1268 ;
   rtlcn1310 <= rtlc_2148_and_984_nx0 AND rtlcn1275 ;
   rtlc35n293 <= Clean_minus OR Clean_plus ;
   rtlcn1277 <= rtlc35n293 OR not_Recieving ;
   rtlc_2187_and_987_nx0 <= not_Bit_number_4 AND not_Bit_number_3 ;
   rtlcs25 <= rtlc_2187_and_987_nx0 AND not_Bit_number_2 ;
   Data_47n4s3_3 <= not_Bit_number_3 XOR not_Bit_number_2 ;
   Actual_gap_sub7_35i1 : sub_6u_6u_6u_0 port map ( cin=>RxRdy_plus_us(0), 
      a(5)=>RxRdy_plus_us(6), a(4)=>RxRdy_plus_us(5), a(3)=>RxRdy_plus_us(4), 
      a(2)=>RxRdy_plus_us(3), a(1)=>RxRdy_plus_us(2), a(0)=>RxRdy_plus_us(1), 
      b(5)=>GND, b(4)=>GND, b(3)=>GND, b(2)=>GND, b(1)=>GND, b(0)=>PWR, d(5)
      =>Actual_gap_35n1s1(6), d(4)=>Actual_gap_35n1s1(5), d(3)=>
      Actual_gap_35n1s1(4), d(2)=>Actual_gap_35n1s1(3), d(1)=>
      Actual_gap_35n1s1(2), d(0)=>Actual_gap_35n1s1(1), cout=>DANGLING(17));
   modgen_and_0 : and_3u_3u port map ( a(2)=>rtlcn183, a(1)=>Bit_Gap(3), 
      a(0)=>rtlc62n36, d=>rtlc62n94);
   modgen_and_1 : and_3u_3u port map ( a(2)=>not_Advance, a(1)=>
      not_rtlc38n492, a(0)=>Recieving, d=>rtlcn545);
   modgen_counter_one_shot : counter_up_sload_aclear_clock_clk_en_0_7
       port map ( clock=>Clock, q(6)=>one_shot(6), q(5)=>one_shot(5), q(4)=>
      one_shot(4), q(3)=>one_shot(3), q(2)=>one_shot(2), q(1)=>one_shot(1), 
      q(0)=>one_shot(0), clk_en=>CE, aclear=>not_ResetN, sload=>not_rtlcn671, 
      data(6)=>GND, data(5)=>GND, data(4)=>GND, data(3)=>GND, data(2)=>GND, 
      data(1)=>GND, data(0)=>PWR, aset=>GND, sclear=>GND, updn=>PWR, cnt_en
      =>PWR);
   ix79 : decoder_4 port map ( data(3)=>Data_47n4s3_3, data(2)=>
      Bit_number(2), data(1)=>Data_47n4s3_1, data(0)=>Data_47n4s3_0, eq(15)
      =>Data_47n4s2(15), eq(14)=>Data_47n4s2(14), eq(13)=>Data_47n4s2(13), 
      eq(12)=>Data_47n4s2(12), eq(11)=>Data_47n4s2(11), eq(10)=>
      Data_47n4s2(10), eq(9)=>Data_47n4s2(9), eq(8)=>Data_47n4s2(8), eq(7)=>
      Data_47n4s2(7), eq(6)=>Data_47n4s2(6), eq(5)=>Data_47n4s2(5), eq(4)=>
      Data_47n4s2(4), eq(3)=>Data_47n4s2(3), eq(2)=>Data_47n4s2(2), eq(1)=>
      Data_47n4s2(1), eq(0)=>Data_47n4s2(0));
   modgen_or_2 : or_6u_6u port map ( a(5)=>energy(2), a(4)=>energy(3), a(3)
      =>energy(4), a(2)=>energy(5), a(1)=>energy(6), a(0)=>rtlc23n431, d=>
      rtlc23n432);
   modgen_or_3 : or_5u_5u port map ( a(4)=>Sync_error_47n7s1, a(3)=>
      Big_Bit_Gap, a(2)=>rtlc38n791, a(1)=>not_Recieving, a(0)=>
      not_rtlcn1142, d=>rtlcn1279);
   modgen_and_4 : and_5u_5u port map ( a(4)=>not_Phase_3, a(3)=>not_Phase_0, 
      a(2)=>Phase(2), a(1)=>not_Phase_1, a(0)=>rtlcs3, d=>rtlcs1);
   modgen_and_6 : and_7u_7u port map ( a(6)=>Len(5), a(5)=>Len(4), a(4)=>
      not_Len_3, a(3)=>not_Len_2, a(2)=>not_Len_1, a(1)=>not_Len_0, a(0)=>
      rtlcs47, d=>Found_CMD_Sync_56n8ss1);
   modgen_and_7 : and_5u_5u port map ( a(4)=>not_Phase_4, a(3)=>Phase(2), 
      a(2)=>Phase(0), a(1)=>Phase(5), a(0)=>rtlcs16, d=>rtlcs21);
   modgen_and_8 : and_5u_5u port map ( a(4)=>not_Phase_5, a(3)=>not_Phase_4, 
      a(2)=>not_Phase_2, a(1)=>not_Phase_0, a(0)=>rtlcs16, d=>rtlcs19);
   modgen_and_9 : and_13u_13u port map ( a(12)=>not_RxRdy_plus_phase_5, 
      a(11)=>not_RxRdy_plus_phase_4, a(10)=>not_RxRdy_plus_phase_3, a(9)=>
      not_RxRdy_plus_phase_2, a(8)=>not_RxRdy_plus_phase_1, a(7)=>
      not_RxRdy_plus_phase_0, a(6)=>not_RxRdy_plus_us_6, a(5)=>
      not_RxRdy_plus_us_5, a(4)=>not_RxRdy_plus_us_4, a(3)=>
      not_RxRdy_plus_us_3, a(2)=>RxRdy_plus_us(2), a(1)=>not_RxRdy_plus_us_1, 
      a(0)=>not_RxRdy_plus_us_0, d=>RxRdy_plus_10us_50n5s1);
   modgen_and_10 : and_6u_6u port map ( a(5)=>not_Phase_5, a(4)=>not_Phase_4, 
      a(3)=>Phase(3), a(2)=>not_Phase_1, a(1)=>rtlcs6, a(0)=>CE, d=>
      rtlcn1302);
end Sital_technology_unfold_3721_0 ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (9 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (9 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10 ;

architecture INTERFACE_unfold_1 of 
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_10u_10u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (9 DOWNTO 0) ;
         d : OUT std_logic_vector (9 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx25, nx28, nx31, nx32, nx33, nx34, nx35, nx36, nx37, nx38, 
      nx39, nx40, nx41, nx42, nx43, nx44, nx45, nx46, nx47, nx48, nx49, nx50, 
      nx51, nx52, nx53, nx54, nx55, nx56, nx57, nx58, nx59, nx60, PWR, 
      NOT_nx24: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(9) <= nx32 ;
   q(8) <= nx34 ;
   q(7) <= nx36 ;
   q(6) <= nx38 ;
   q(5) <= nx40 ;
   q(4) <= nx42 ;
   q(3) <= nx44 ;
   q(2) <= nx46 ;
   q(1) <= nx48 ;
   q(0) <= nx50 ;
   GND <= '0' ;
   nx25 <= cnt_en OR sclear ;
   nx28 <= nx25 AND clk_en ;
   DFFPCE (nx31,GND,aclear,nx28,clock,nx32) ;
   DFFPCE (nx33,GND,aclear,nx28,clock,nx34) ;
   DFFPCE (nx35,GND,aclear,nx28,clock,nx36) ;
   DFFPCE (nx37,GND,aclear,nx28,clock,nx38) ;
   DFFPCE (nx39,GND,aclear,nx28,clock,nx40) ;
   DFFPCE (nx41,GND,aclear,nx28,clock,nx42) ;
   DFFPCE (nx43,GND,aclear,nx28,clock,nx44) ;
   DFFPCE (nx45,GND,aclear,nx28,clock,nx46) ;
   DFFPCE (nx47,GND,aclear,nx28,clock,nx48) ;
   DFFPCE (nx49,GND,aclear,nx28,clock,nx50) ;
   inc : inc_10u_10u_0_0 port map ( cin=>PWR, a(9)=>nx32, a(8)=>nx34, a(7)=>
      nx36, a(6)=>nx38, a(5)=>nx40, a(4)=>nx42, a(3)=>nx44, a(2)=>nx46, a(1)
      =>nx48, a(0)=>nx50, d(9)=>nx51, d(8)=>nx52, d(7)=>nx53, d(6)=>nx54, 
      d(5)=>nx55, d(4)=>nx56, d(3)=>nx57, d(2)=>nx58, d(1)=>nx59, d(0)=>nx60, 
      cout=>DANGLING(0));
   PWR <= '1' ;
   NOT_nx24 <= NOT sclear ;
   nx31 <= nx51 AND NOT_nx24 ;
   nx33 <= nx52 AND NOT_nx24 ;
   nx35 <= nx53 AND NOT_nx24 ;
   nx37 <= nx54 AND NOT_nx24 ;
   nx39 <= nx55 AND NOT_nx24 ;
   nx41 <= nx56 AND NOT_nx24 ;
   nx43 <= nx57 AND NOT_nx24 ;
   nx45 <= nx58 AND NOT_nx24 ;
   nx47 <= nx59 AND NOT_nx24 ;
   nx49 <= nx60 AND NOT_nx24 ;
end INTERFACE_unfold_1 ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity single_Transmitter_FS_ver65_40 is 
   port (
      Clock : IN std_logic ;
      ResetN : IN std_logic ;
      CE : IN std_logic ;
      T_data : IN std_logic_vector (15 DOWNTO 0) ;
      T_Sync : IN std_logic ;
      ENC_TEST_On : IN std_logic ;
      Go : IN std_logic ;
      Bus_A : IN std_logic ;
      TxRdy : OUT std_logic ;
      Tx_A : OUT std_logic ;
      Tx_A_N : OUT std_logic ;
      Tx_B : OUT std_logic ;
      Tx_B_N : OUT std_logic ;
      Valid_command : IN std_logic ;
      BC_Mode : IN std_logic ;
      end_of_tx : OUT std_logic ;
      Tx_A_inhibit : OUT std_logic ;
      Tx_B_inhibit : OUT std_logic ;
      Xmitting_A : OUT std_logic ;
      Xmitting_B : OUT std_logic ;
      Check_loop_back : OUT std_logic ;
      Check_value : OUT std_logic ;
      Tx_inhibit_fail_safe : OUT std_logic) ;
end single_Transmitter_FS_ver65_40 ;

architecture Sital_Ofer_Hofman of single_Transmitter_FS_ver65_40 is 
   component inc_5u_5u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic_vector (4 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component inc_6u_6u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component mux_16u_16u
      port (
         a : IN std_logic_vector (15 DOWNTO 0) ;
         b : IN std_logic_vector (15 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_3_3
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         b : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_5_5
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         b : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (9 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (9 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   for modgen_counter_Fail_safe_counter : 
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10 use entity work.
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10(INTERFACE_unfold_1);
   signal Tx_inhibit_fail_safe_EXMPLR1739: std_logic ;
   
   signal Buffer_Data: std_logic_vector (15 DOWNTO 0) ;
   
   signal Buffer_Sync, Buffer_full: std_logic ;
   
   signal Tx_Data: std_logic_vector (15 DOWNTO 0) ;
   
   signal Tx_Sync, Tx_Full: std_logic ;
   
   signal Tx_Counter_us: std_logic_vector (4 DOWNTO 0) ;
   
   signal Tx_Counter_phase: std_logic_vector (5 DOWNTO 0) ;
   
   signal Parity, Fail_safe_counter_9, Fail_safe_counter_8, Tx, Tx_N, 
      Tx_inhibit, Xmitting, Bus_A_int, Switching, PWR, GND, not_ResetN, 
      rtlc3n23, rtlc5n141: std_logic ;
   
   signal Tx_Counter_us_6n7ss1: std_logic_vector (0 DOWNTO 0) ;
   
   signal Tx_Counter_phase_6n7ss1: std_logic_vector (0 DOWNTO 0) ;
   
   signal Tx_Counter_us_6n10ss1: std_logic_vector (4 DOWNTO 0) ;
   
   signal Tx_Counter_phase_6n10ss1: std_logic_vector (5 DOWNTO 0) ;
   
   signal rtlc6n268, not_rtlcn426, rtlc6n294, rtlc6n302, rtlc6n303, 
      not_rtlc6n303, rtlc6n314, not_Tx_Full, rtlc6n316, not_rtlc6n316: 
   std_logic ;
   
   signal Tx_Counter_us_6n4s1: std_logic_vector (4 DOWNTO 0) ;
   
   signal not_rtlcs0: std_logic ;
   
   signal Tx_Counter_phase_6n4s1: std_logic_vector (5 DOWNTO 0) ;
   
   signal rtlc6n357, rtlc6n362, rtlc6n363, rtlc6n372, not_Tx_Sync, rtlc6n380, 
      not_rtlcn33, rtlc6n398, rtlc6n399, rtlc6n401, rtlc6n403, rtlc6n404, 
      rtlc6n409, rtlc6n414, rtlc6n555, rtlc6n572, rtlc6n573, rtlc6n578, 
      rtlc6n584, rtlc6n588, rtlc6n589, Tx_9n2ss1, Tx_N_9n2ss1, Tx_9n4ss1, 
      Tx_N_9n4ss1, Tx_9n5ss1, Tx_N_9n5ss1, Parity_9n5ss1, rtlc9n122, 
      Tx_9n2s2_3, Tx_9n2s2_1, Tx_9n2s2_0, Tx_9n2s1, not_Tx_9n2s1, not_Parity, 
      not_rtlc9n216, rtlc9n216, Parity_9n3s1, not_rtlc9n390, rtlc9n292, 
      rtlc9n295, rtlc9n389, rtlc9n390, rtlc9n404, rtlc9n420, rtlc9n421, 
      rtlc9n422, rtlc9n423, rtlc9n424, not_Valid_command, not_Xmitting, 
      rtlc12_X_0_n139, rtlc12n163, rtlc12n215, Tx_B_15n2ss1, Tx_B_N_15n2ss1, 
      Tx_B_inhibit_15n2ss1, Tx_A_15n2ss1, Tx_A_N_15n2ss1, 
      Tx_A_inhibit_15n2ss1, Xmitting_A_15n2ss1, Xmitting_B_15n2ss1, rtlcn32, 
      rtlcn33, not_rtlcn359, rtlcn118, rtlcn124, rtlcn136, rtlcn151, 
      not_rtlcn358, rtlcn259, rtlcn265, rtlcn266, rtlcn290, rtlcn305, 
      rtlcn322, rtlcn323, rtlcn327, not_rtlcn327, rtlcn329, not_rtlc9n424, 
      rtlcn336, rtlcn337, not_rtlc6n268, not_rtlc6n414, not_rtlcn322, 
      not_Switching, rtlcn358, rtlcn359, rtlcn360, rtlcn361, rtlcn362, 
      not_rtlc6n404, not_rtlc6n403, not_rtlc6n401, not_rtlc9n122, rtlcs0, 
      rtlcs1, rtlcs2, rtlcs5, rtlcs6, rtlcs7, rtlcs8, rtlcs9, rtlcs10, 
      rtlcs11, rtlcs13, rtlcs14, rtlcs16, rtlcs19, not_rtlcn151, 
      not_rtlcn136, not_Tx_Counter_us_4, not_Tx_Counter_us_3, 
      not_Tx_Counter_us_2, not_Tx_Counter_phase_0, not_Tx_Counter_phase_4, 
      not_Tx_Counter_phase_2, not_Tx_Counter_phase_1, not_Tx_Counter_phase_5, 
      not_Tx_Counter_phase_3, rtlcn426, not_rtlcn323, not_rtlcn259, 
      rtlc12_51_or_1008_nx0, rtlc_627_or_1014_nx0, rtlc_636_and_1015_nx0, 
      rtlc_663_and_1016_nx0, rtlc_665_and_1017_nx0, rtlc_673_and_1018_nx0, 
      rtlc_692_and_1021_nx0: std_logic ;
   
   signal DANGLING : std_logic_vector (19 downto 0 );

begin
   Tx_inhibit_fail_safe <= Tx_inhibit_fail_safe_EXMPLR1739 ;
   PWR <= '1' ;
   GND <= '0' ;
   TxRdy <= NOT Buffer_full ;
   rtlc3n23 <= Tx_inhibit_fail_safe_EXMPLR1739 AND BC_Mode ;
   not_Tx_Sync <= NOT Tx_Sync ;
   rtlc6n362 <= rtlc6n357 AND not_rtlc6n303 ;
   rtlc6n398 <= rtlc6n362 AND Switching ;
   rtlc6n363 <= rtlcs7 AND not_rtlc6n303 ;
   rtlc6n399 <= rtlc6n363 AND Switching ;
   rtlc6n357 <= rtlcs7 OR not_rtlcs0 ;
   rtlc6n409 <= Tx_Full AND rtlcs19 ;
   rtlc6n414 <= rtlc6n409 AND rtlcs5 ;
   rtlc6n372 <= rtlcs0 AND rtlcs13 ;
   not_Tx_Full <= NOT Tx_Full ;
   rtlc6n314 <= rtlcs0 AND rtlcs19 ;
   rtlc6n316 <= rtlc6n314 AND not_Tx_Full ;
   rtlc6n302 <= rtlc6n294 OR rtlc6n314 ;
   rtlc6n303 <= rtlc6n302 AND Tx_Full ;
   rtlc6n268 <= Buffer_full AND not_Tx_Full ;
   Tx_Counter_us_inc5_6i1 : inc_5u_5u_0 port map ( cin=>PWR, a(4)=>
      Tx_Counter_us(4), a(3)=>Tx_Counter_us(3), a(2)=>Tx_Counter_us(2), a(1)
      =>Tx_Counter_us(1), a(0)=>Tx_Counter_us(0), d(4)=>
      Tx_Counter_us_6n4s1(4), d(3)=>Tx_Counter_us_6n4s1(3), d(2)=>
      Tx_Counter_us_6n4s1(2), d(1)=>Tx_Counter_us_6n4s1(1), d(0)=>
      Tx_Counter_us_6n4s1(0), cout=>DANGLING(0));
   Tx_Counter_phase_inc6_6i2 : inc_6u_6u_0 port map ( cin=>PWR, a(5)=>
      Tx_Counter_phase(5), a(4)=>Tx_Counter_phase(4), a(3)=>
      Tx_Counter_phase(3), a(2)=>Tx_Counter_phase(2), a(1)=>
      Tx_Counter_phase(1), a(0)=>Tx_Counter_phase(0), d(5)=>
      Tx_Counter_phase_6n4s1(5), d(4)=>Tx_Counter_phase_6n4s1(4), d(3)=>
      Tx_Counter_phase_6n4s1(3), d(2)=>Tx_Counter_phase_6n4s1(2), d(1)=>
      Tx_Counter_phase_6n4s1(1), d(0)=>Tx_Counter_phase_6n4s1(0), cout=>
      DANGLING(1));
   Tx_mux_9i1 : mux_16u_16u port map ( a(15)=>Tx_Data(15), a(14)=>
      Tx_Data(14), a(13)=>Tx_Data(13), a(12)=>Tx_Data(12), a(11)=>
      Tx_Data(11), a(10)=>Tx_Data(10), a(9)=>Tx_Data(9), a(8)=>Tx_Data(8), 
      a(7)=>Tx_Data(7), a(6)=>Tx_Data(6), a(5)=>Tx_Data(5), a(4)=>Tx_Data(4), 
      a(3)=>Tx_Data(3), a(2)=>Tx_Data(2), a(1)=>Tx_Data(1), a(0)=>Tx_Data(0), 
      b(15)=>GND, b(14)=>GND, b(13)=>GND, b(12)=>GND, b(11)=>GND, b(10)=>GND, 
      b(9)=>GND, b(8)=>GND, b(7)=>GND, b(6)=>GND, b(5)=>GND, b(4)=>GND, b(3)
      =>Tx_9n2s2_3, b(2)=>Tx_Counter_us(2), b(1)=>Tx_9n2s2_1, b(0)=>
      Tx_9n2s2_0, d=>Tx_9n2s1);
   not_Tx_9n2s1 <= NOT Tx_9n2s1 ;
   not_Parity <= NOT Parity ;
   rtlc9n295 <= rtlcs13 OR rtlc9n122 ;
   rtlc9n122 <= not_rtlc9n390 AND rtlcn32 ;
   not_rtlc9n390 <= NOT rtlc9n390 ;
   rtlc9n390 <= rtlc9n389 AND Tx_Counter_us(4) ;
   rtlc9n421 <= rtlc9n420 AND Tx_Counter_phase(2) ;
   rtlc9n422 <= Tx_Counter_phase(3) OR rtlc9n421 ;
   rtlc9n423 <= Tx_Counter_phase(4) AND rtlc9n422 ;
   rtlc9n424 <= rtlc9n423 OR Tx_Counter_phase(5) ;
   not_Xmitting <= NOT Xmitting ;
   rtlc12n215 <= Fail_safe_counter_9 AND Fail_safe_counter_8 ;
   rtlc9n389 <= Tx_Counter_us(3) OR Tx_Counter_us(2) ;
   rtlc9n404 <= Tx_Counter_us(4) OR Tx_Counter_us(3) ;
   rtlc9n420 <= Tx_Counter_phase(1) OR Tx_Counter_phase(0) ;
   rtlcn32 <= rtlc9n404 OR Tx_Counter_us(2) ;
   rtlcn33 <= rtlc6n380 OR ENC_TEST_On ;
   Tx_Counter_us_select_6i3 : select_3_3 port map ( a(2)=>not_rtlcn327, a(1)
      =>rtlc6n316, a(0)=>not_rtlcn359, b(2)=>PWR, b(1)=>GND, b(0)=>
      Tx_Counter_us_6n4s1(0), d=>Tx_Counter_us_6n7ss1(0));
   Tx_Counter_phase_select_6i4 : select_3_3 port map ( a(2)=>rtlcn305, a(1)
      =>rtlc6n316, a(0)=>not_rtlcn358, b(2)=>PWR, b(1)=>GND, b(0)=>
      Tx_Counter_phase_6n4s1(0), d=>Tx_Counter_phase_6n7ss1(0));
   Tx_select_9i2 : select_5_5 port map ( a(4)=>rtlcn265, a(3)=>rtlcn266, 
      a(2)=>not_rtlc9n216, a(1)=>rtlc9n122, a(0)=>rtlcs19, b(4)=>Tx_Sync, 
      b(3)=>not_Tx_Sync, b(2)=>GND, b(1)=>Tx_9n2ss1, b(0)=>Tx_9n4ss1, d=>
      Tx_9n5ss1);
   Tx_N_select_9i3 : select_5_5 port map ( a(4)=>rtlcn265, a(3)=>rtlcn266, 
      a(2)=>not_rtlc9n216, a(1)=>rtlc9n122, a(0)=>rtlcs19, b(4)=>not_Tx_Sync, 
      b(3)=>Tx_Sync, b(2)=>GND, b(1)=>Tx_N_9n2ss1, b(0)=>Tx_N_9n4ss1, d=>
      Tx_N_9n5ss1);
   rtlc_447_or_1013 : or_4u_4u port map ( a(3)=>rtlc9n122, a(2)=>rtlcs10, 
      a(1)=>rtlcs14, a(0)=>rtlcs19, d=>rtlc9n216);
   rtlcn327 <= rtlc6n316 OR not_rtlcn359 ;
   not_rtlcn327 <= NOT rtlcn327 ;
   not_rtlc6n303 <= NOT rtlc6n303 ;
   not_rtlc6n316 <= NOT rtlc6n316 ;
   rtlcn305 <= rtlcn358 AND not_rtlc6n316 ;
   not_rtlcs0 <= NOT rtlcs0 ;
   not_rtlc9n424 <= NOT rtlc9n424 ;
   rtlcn336 <= not_rtlc9n424 AND rtlcs11 ;
   rtlcn265 <= rtlcs16 OR rtlcn336 ;
   rtlcn337 <= rtlc9n424 AND rtlcs11 ;
   rtlcn266 <= rtlcs13 OR rtlcn337 ;
   not_rtlc9n216 <= NOT rtlc9n216 ;
   not_ResetN <= NOT ResetN ;
   not_rtlcn33 <= NOT rtlcn33 ;
   rtlcn322 <= rtlcn33 OR Switching ;
   not_rtlc6n268 <= NOT rtlc6n268 ;
   rtlcn329 <= Go OR not_rtlc6n268 ;
   rtlcn118 <= rtlcn322 AND rtlcn329 ;
   not_rtlc6n414 <= NOT rtlc6n414 ;
   rtlcn124 <= rtlcn322 AND not_rtlc6n414 ;
   not_rtlcn322 <= NOT rtlcn322 ;
   rtlcn136 <= rtlcn359 OR not_rtlcn322 ;
   rtlcn151 <= rtlcn358 OR not_rtlcn322 ;
   not_Switching <= NOT Switching ;
   rtlcn259 <= not_Switching AND Bus_A_int ;
   rtlcn323 <= Switching OR Bus_A_int ;
   rtlcn290 <= not_rtlc9n216 OR Tx_inhibit_fail_safe_EXMPLR1739 ;
   not_rtlcn358 <= NOT rtlcn358 ;
   not_rtlcn359 <= NOT rtlcn359 ;
   rtlc6n403 <= rtlc6n362 when rtlcn33 = '1' else rtlc6n398 ;
   rtlc6n404 <= rtlc6n363 when rtlcn33 = '1' else rtlc6n399 ;
   rtlc6n589 <= CE AND Go ;
   rtlc6n588 <= CE AND rtlc6n372 ;
   not_rtlc6n404 <= NOT rtlc6n404 ;
   rtlc6n584 <= CE AND not_rtlc6n404 ;
   not_rtlc6n403 <= NOT rtlc6n403 ;
   rtlc6n578 <= CE AND not_rtlc6n403 ;
   rtlc6n573 <= CE AND rtlcn361 ;
   rtlc6n572 <= CE AND rtlc6n268 ;
   not_rtlc6n401 <= NOT rtlc6n401 ;
   rtlc6n555 <= CE AND not_rtlc6n401 ;
   not_rtlc9n122 <= NOT rtlc9n122 ;
   rtlcn360 <= rtlcs5 OR not_rtlc9n122 ;
   rtlcn362 <= rtlc12n215 OR Valid_command ;
   rtlc12n163 <= CE AND rtlcn362 ;
   not_Valid_command <= NOT Valid_command ;
   rtlc6n380 <= NOT (Bus_A XOR Bus_A_int) ;
   rtlcs0 <= rtlcs1 AND rtlcs2 ;
   rtlcs5 <= rtlcs6 AND rtlcs2 ;
   rtlcs7 <= rtlcs8 AND rtlcs9 ;
   rtlcs11 <= Tx_9n2s2_0 AND rtlcs10 ;
   rtlcs13 <= rtlcs10 AND rtlcs14 ;
   rtlcs10 <= Tx_Counter_us(1) AND rtlcs9 ;
   rtlcs16 <= Tx_9n2s2_1 AND rtlcs14 ;
   rtlcs14 <= Tx_Counter_us(0) AND rtlcs9 ;
   not_rtlcn151 <= NOT rtlcn151 ;
   Tx_Counter_phase_6n10ss1(3) <= Tx_Counter_phase_6n4s1(3) AND not_rtlcn151
    ;
   rtlcn359 <= rtlc6n316 OR rtlc6n303 ;
   not_rtlcn136 <= NOT rtlcn136 ;
   Tx_Counter_us_6n10ss1(4) <= Tx_Counter_us_6n4s1(4) AND not_rtlcn136 ;
   Tx_Counter_us_6n10ss1(3) <= Tx_Counter_us_6n4s1(3) AND not_rtlcn136 ;
   Tx_Counter_us_6n10ss1(2) <= Tx_Counter_us_6n4s1(2) AND not_rtlcn136 ;
   Tx_Counter_us_6n10ss1(0) <= Tx_Counter_us_6n7ss1(0) AND rtlcn322 ;
   Tx_Counter_us_6n10ss1(1) <= Tx_Counter_us_6n4s1(1) AND not_rtlcn136 ;
   Tx_9n2s2_1 <= NOT Tx_Counter_us(1) ;
   Tx_9n2s2_0 <= NOT Tx_Counter_us(0) ;
   rtlcs8 <= Tx_9n2s2_1 AND Tx_9n2s2_0 ;
   not_Tx_Counter_us_4 <= NOT Tx_Counter_us(4) ;
   not_Tx_Counter_us_3 <= NOT Tx_Counter_us(3) ;
   not_Tx_Counter_us_2 <= NOT Tx_Counter_us(2) ;
   not_Tx_Counter_phase_0 <= NOT Tx_Counter_phase(0) ;
   Tx_Counter_phase_6n10ss1(2) <= Tx_Counter_phase_6n4s1(2) AND not_rtlcn151
    ;
   Tx_Counter_phase_6n10ss1(1) <= Tx_Counter_phase_6n4s1(1) AND not_rtlcn151
    ;
   not_Tx_Counter_phase_4 <= NOT Tx_Counter_phase(4) ;
   not_Tx_Counter_phase_2 <= NOT Tx_Counter_phase(2) ;
   not_Tx_Counter_phase_1 <= NOT Tx_Counter_phase(1) ;
   rtlc_677_and_1019 : and_5u_5u port map ( a(4)=>Tx_Counter_us(4), a(3)=>
      not_Tx_Counter_us_3, a(2)=>Tx_Counter_us(2), a(1)=>Tx_9n2s2_1, a(0)=>
      Tx_9n2s2_0, d=>rtlcs19);
   Tx_Counter_phase_6n10ss1(0) <= Tx_Counter_phase_6n7ss1(0) AND rtlcn322 ;
   not_Tx_Counter_phase_5 <= NOT Tx_Counter_phase(5) ;
   not_Tx_Counter_phase_3 <= NOT Tx_Counter_phase(3) ;
   rtlcn358 <= rtlc6n303 OR rtlcs0 ;
   Tx_Counter_phase_6n10ss1(4) <= Tx_Counter_phase_6n4s1(4) AND not_rtlcn151
    ;
   Tx_Counter_phase_6n10ss1(5) <= Tx_Counter_phase_6n4s1(5) AND not_rtlcn151
    ;
   not_rtlcn426 <= NOT rtlcn426 ;
   Parity_9n5ss1 <= Parity_9n3s1 OR not_rtlc9n122 ;
   Tx_A_15n2ss1 <= Tx AND rtlcn259 ;
   Tx_A_N_15n2ss1 <= Tx_N AND rtlcn259 ;
   not_rtlcn323 <= NOT rtlcn323 ;
   Tx_B_15n2ss1 <= Tx AND not_rtlcn323 ;
   Tx_B_N_15n2ss1 <= Tx_N AND not_rtlcn323 ;
   not_rtlcn259 <= NOT rtlcn259 ;
   Tx_A_inhibit_15n2ss1 <= Tx_inhibit OR not_rtlcn259 ;
   Tx_B_inhibit_15n2ss1 <= Tx_inhibit OR rtlcn323 ;
   Xmitting_A_15n2ss1 <= Xmitting AND rtlcn259 ;
   Xmitting_B_15n2ss1 <= Xmitting AND not_rtlcn323 ;
   rtlcn426 <= Go OR rtlc6n268 ;
   rtlc6n401 <= not_rtlcn426 AND rtlcn322 ;
   modgen_counter_Fail_safe_counter : 
      counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10 port map ( clock=>
      Clock, q(9)=>Fail_safe_counter_9, q(8)=>Fail_safe_counter_8, q(7)=>
      DANGLING(2), q(6)=>DANGLING(3), q(5)=>DANGLING(4), q(4)=>DANGLING(5), 
      q(3)=>DANGLING(6), q(2)=>DANGLING(7), q(1)=>DANGLING(8), q(0)=>
      DANGLING(9), clk_en=>CE, aclear=>rtlc5n141, sload=>GND, data(9)=>
      DANGLING(10), data(8)=>DANGLING(11), data(7)=>DANGLING(12), data(6)=>
      DANGLING(13), data(5)=>DANGLING(14), data(4)=>DANGLING(15), data(3)=>
      DANGLING(16), data(2)=>DANGLING(17), data(1)=>DANGLING(18), data(0)=>
      DANGLING(19), aset=>GND, sclear=>rtlc12_X_0_n139, updn=>PWR, cnt_en=>
      rtlcs5);
   Parity_9n3s1 <= Parity XOR Tx_9n2s1 ;
   Tx_9n4ss1 <= Parity XOR rtlc9n424 ;
   Tx_9n2ss1 <= Tx_9n2s1 XOR rtlc9n424 ;
   Tx_N_9n2ss1 <= rtlc9n424 XOR not_Tx_9n2s1 ;
   Tx_N_9n4ss1 <= rtlc9n424 XOR not_Parity ;
   DFFPCE (Bus_A,rtlc5n141,GND,rtlc6n589,Clock,Bus_A_int) ;
   DFFPCE (not_Tx_Sync,GND,rtlc5n141,rtlc6n588,Clock,Check_value) ;
   DFFPCE (rtlc6n372,GND,rtlc5n141,CE,Clock,Check_loop_back) ;
   DFFPCE (rtlc6n316,GND,rtlc5n141,CE,Clock,end_of_tx) ;
   DFFPCE (not_rtlcn33,GND,rtlc5n141,CE,Clock,Switching) ;
   DFFPCE (Tx_Counter_phase_6n10ss1(5),GND,rtlc5n141,rtlc6n584,Clock,
   Tx_Counter_phase(5)) ;
   DFFPCE (Tx_Counter_phase_6n10ss1(4),GND,rtlc5n141,rtlc6n584,Clock,
   Tx_Counter_phase(4)) ;
   DFFPCE (Tx_Counter_phase_6n10ss1(3),GND,rtlc5n141,rtlc6n584,Clock,
   Tx_Counter_phase(3)) ;
   DFFPCE (Tx_Counter_phase_6n10ss1(2),GND,rtlc5n141,rtlc6n584,Clock,
   Tx_Counter_phase(2)) ;
   DFFPCE (Tx_Counter_phase_6n10ss1(1),GND,rtlc5n141,rtlc6n584,Clock,
   Tx_Counter_phase(1)) ;
   DFFPCE (Tx_Counter_phase_6n10ss1(0),GND,rtlc5n141,rtlc6n584,Clock,
   Tx_Counter_phase(0)) ;
   DFFPCE (Tx_Counter_us_6n10ss1(4),GND,rtlc5n141,rtlc6n578,Clock,
   Tx_Counter_us(4)) ;
   DFFPCE (Tx_Counter_us_6n10ss1(3),GND,rtlc5n141,rtlc6n578,Clock,
   Tx_Counter_us(3)) ;
   DFFPCE (Tx_Counter_us_6n10ss1(2),GND,rtlc5n141,rtlc6n578,Clock,
   Tx_Counter_us(2)) ;
   DFFPCE (Tx_Counter_us_6n10ss1(1),GND,rtlc5n141,rtlc6n578,Clock,
   Tx_Counter_us(1)) ;
   DFFPCE (Tx_Counter_us_6n10ss1(0),GND,rtlc5n141,rtlc6n578,Clock,
   Tx_Counter_us(0)) ;
   DFFPCE (rtlcn124,GND,rtlc5n141,rtlc6n573,Clock,Tx_Full) ;
   DFFPCE (Buffer_Sync,GND,rtlc5n141,rtlc6n572,Clock,Tx_Sync) ;
   DFFPCE (Buffer_Data(15),GND,rtlc5n141,rtlc6n572,Clock,Tx_Data(15)) ;
   DFFPCE (Buffer_Data(14),GND,rtlc5n141,rtlc6n572,Clock,Tx_Data(14)) ;
   DFFPCE (Buffer_Data(13),GND,rtlc5n141,rtlc6n572,Clock,Tx_Data(13)) ;
   DFFPCE (Buffer_Data(12),GND,rtlc5n141,rtlc6n572,Clock,Tx_Data(12)) ;
   DFFPCE (Buffer_Data(11),GND,rtlc5n141,rtlc6n572,Clock,Tx_Data(11)) ;
   DFFPCE (Buffer_Data(10),GND,rtlc5n141,rtlc6n572,Clock,Tx_Data(10)) ;
   DFFPCE (Buffer_Data(9),GND,rtlc5n141,rtlc6n572,Clock,Tx_Data(9)) ;
   DFFPCE (Buffer_Data(8),GND,rtlc5n141,rtlc6n572,Clock,Tx_Data(8)) ;
   DFFPCE (Buffer_Data(7),GND,rtlc5n141,rtlc6n572,Clock,Tx_Data(7)) ;
   DFFPCE (Buffer_Data(6),GND,rtlc5n141,rtlc6n572,Clock,Tx_Data(6)) ;
   DFFPCE (Buffer_Data(5),GND,rtlc5n141,rtlc6n572,Clock,Tx_Data(5)) ;
   DFFPCE (Buffer_Data(4),GND,rtlc5n141,rtlc6n572,Clock,Tx_Data(4)) ;
   DFFPCE (Buffer_Data(3),GND,rtlc5n141,rtlc6n572,Clock,Tx_Data(3)) ;
   DFFPCE (Buffer_Data(2),GND,rtlc5n141,rtlc6n572,Clock,Tx_Data(2)) ;
   DFFPCE (Buffer_Data(1),GND,rtlc5n141,rtlc6n572,Clock,Tx_Data(1)) ;
   DFFPCE (Buffer_Data(0),GND,rtlc5n141,rtlc6n572,Clock,Tx_Data(0)) ;
   DFFPCE (rtlcn118,GND,rtlc5n141,rtlc6n555,Clock,Buffer_full) ;
   DFFPCE (T_Sync,GND,rtlc5n141,rtlc6n589,Clock,Buffer_Sync) ;
   DFFPCE (T_data(15),GND,rtlc5n141,rtlc6n589,Clock,Buffer_Data(15)) ;
   DFFPCE (T_data(14),GND,rtlc5n141,rtlc6n589,Clock,Buffer_Data(14)) ;
   DFFPCE (T_data(13),GND,rtlc5n141,rtlc6n589,Clock,Buffer_Data(13)) ;
   DFFPCE (T_data(12),GND,rtlc5n141,rtlc6n589,Clock,Buffer_Data(12)) ;
   DFFPCE (T_data(11),GND,rtlc5n141,rtlc6n589,Clock,Buffer_Data(11)) ;
   DFFPCE (T_data(10),GND,rtlc5n141,rtlc6n589,Clock,Buffer_Data(10)) ;
   DFFPCE (T_data(9),GND,rtlc5n141,rtlc6n589,Clock,Buffer_Data(9)) ;
   DFFPCE (T_data(8),GND,rtlc5n141,rtlc6n589,Clock,Buffer_Data(8)) ;
   DFFPCE (T_data(7),GND,rtlc5n141,rtlc6n589,Clock,Buffer_Data(7)) ;
   DFFPCE (T_data(6),GND,rtlc5n141,rtlc6n589,Clock,Buffer_Data(6)) ;
   DFFPCE (T_data(5),GND,rtlc5n141,rtlc6n589,Clock,Buffer_Data(5)) ;
   DFFPCE (T_data(4),GND,rtlc5n141,rtlc6n589,Clock,Buffer_Data(4)) ;
   DFFPCE (T_data(3),GND,rtlc5n141,rtlc6n589,Clock,Buffer_Data(3)) ;
   DFFPCE (T_data(2),GND,rtlc5n141,rtlc6n589,Clock,Buffer_Data(2)) ;
   DFFPCE (T_data(1),GND,rtlc5n141,rtlc6n589,Clock,Buffer_Data(1)) ;
   DFFPCE (T_data(0),GND,rtlc5n141,rtlc6n589,Clock,Buffer_Data(0)) ;
   DFFPCE (rtlcn290,rtlc5n141,GND,CE,Clock,Tx_inhibit) ;
   DFFPCE (rtlc9n216,GND,rtlc5n141,CE,Clock,Xmitting) ;
   DFFPCE (Parity_9n5ss1,GND,rtlc5n141,rtlc9n292,Clock,Parity) ;
   DFFPCE (Tx_N_9n5ss1,GND,rtlc5n141,CE,Clock,Tx_N) ;
   DFFPCE (Tx_9n5ss1,GND,rtlc5n141,CE,Clock,Tx) ;
   DFFPCE (not_Valid_command,GND,rtlc5n141,rtlc12n163,Clock,
   Tx_inhibit_fail_safe_EXMPLR1739) ;
   DFFPCE (Xmitting_B_15n2ss1,GND,rtlc5n141,CE,Clock,Xmitting_B) ;
   DFFPCE (Xmitting_A_15n2ss1,GND,rtlc5n141,CE,Clock,Xmitting_A) ;
   DFFPCE (Tx_A_inhibit_15n2ss1,rtlc5n141,GND,CE,Clock,Tx_A_inhibit) ;
   DFFPCE (Tx_A_N_15n2ss1,GND,rtlc5n141,CE,Clock,Tx_A_N) ;
   DFFPCE (Tx_A_15n2ss1,GND,rtlc5n141,CE,Clock,Tx_A) ;
   DFFPCE (Tx_B_inhibit_15n2ss1,rtlc5n141,GND,CE,Clock,Tx_B_inhibit) ;
   DFFPCE (Tx_B_N_15n2ss1,GND,rtlc5n141,CE,Clock,Tx_B_N) ;
   DFFPCE (Tx_B_15n2ss1,GND,rtlc5n141,CE,Clock,Tx_B) ;
   DFFPCE (rtlc3n23,not_ResetN,GND,CE,Clock,rtlc5n141) ;
   rtlc12_51_or_1008_nx0 <= Valid_command OR not_Xmitting ;
   rtlc12_X_0_n139 <= rtlc12_51_or_1008_nx0 OR rtlc12n215 ;
   rtlc_627_or_1014_nx0 <= rtlc6n268 OR rtlc6n414 ;
   rtlcn361 <= rtlc_627_or_1014_nx0 OR not_rtlcn322 ;
   rtlc_636_and_1015_nx0 <= CE AND rtlc9n295 ;
   rtlc9n292 <= rtlc_636_and_1015_nx0 AND rtlcn360 ;
   rtlc_663_and_1016_nx0 <= not_Tx_Counter_us_4 AND not_Tx_Counter_us_3 ;
   rtlcs9 <= rtlc_663_and_1016_nx0 AND not_Tx_Counter_us_2 ;
   rtlc_665_and_1017_nx0 <= Tx_Counter_phase(5) AND Tx_Counter_phase(3) ;
   rtlcs1 <= rtlc_665_and_1017_nx0 AND not_Tx_Counter_phase_0 ;
   rtlc_673_and_1018_nx0 <= not_Tx_Counter_phase_4 AND 
   not_Tx_Counter_phase_2 ;
   rtlcs2 <= rtlc_673_and_1018_nx0 AND not_Tx_Counter_phase_1 ;
   rtlc_692_and_1021_nx0 <= not_Tx_Counter_phase_5 AND 
   not_Tx_Counter_phase_3 ;
   rtlcs6 <= rtlc_692_and_1021_nx0 AND Tx_Counter_phase(0) ;
   Tx_9n2s2_3 <= not_Tx_Counter_us_3 XOR not_Tx_Counter_us_2 ;
   modgen_and_0 : and_5u_5u port map ( a(4)=>not_Tx_Counter_phase_0, a(3)=>
      not_Tx_Counter_phase_5, a(2)=>not_Tx_Counter_phase_3, a(1)=>rtlcs2, 
      a(0)=>rtlcs7, d=>rtlc6n294);
end Sital_Ofer_Hofman ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity selcounter_13_13_13_0_1_up is 
   port (
      cin : IN std_logic ;
      mode : IN std_logic ;
      updn : IN std_logic ;
      a : IN std_logic_vector (12 DOWNTO 0) ;
      k : IN std_logic_vector (12 DOWNTO 0) ;
      d : OUT std_logic_vector (12 DOWNTO 0)) ;
end selcounter_13_13_13_0_1_up ;

architecture INTERFACE_unfold_1 of selcounter_13_13_13_0_1_up is 
   component inc_13u_13u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (12 DOWNTO 0) ;
         d : OUT std_logic_vector (12 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal nx42, nx43, nx44, nx45, nx46, nx47, nx48, nx49, nx50, nx51, nx52, 
      nx53, nx54, nx55, nx57, nx59, nx61, nx63, nx65, nx67, nx69, nx71, nx73, 
      nx75, nx77, nx79, nx81, nx97, nx98, nx100: std_logic ;

begin
   nx55 <= k(12) when mode = '1' else a(12) ;
   nx57 <= k(11) when mode = '1' else a(11) ;
   nx59 <= k(10) when mode = '1' else a(10) ;
   nx61 <= k(9) when mode = '1' else a(9) ;
   nx63 <= k(8) when mode = '1' else a(8) ;
   nx65 <= k(7) when mode = '1' else a(7) ;
   nx67 <= k(6) when mode = '1' else a(6) ;
   nx69 <= k(5) when mode = '1' else a(5) ;
   nx71 <= k(4) when mode = '1' else a(4) ;
   nx73 <= k(3) when mode = '1' else a(3) ;
   nx75 <= k(2) when mode = '1' else a(2) ;
   nx77 <= k(1) when mode = '1' else a(1) ;
   nx79 <= k(0) when mode = '1' else a(0) ;
   modgen_inc_1 : inc_13u_13u_0 port map ( cin=>nx100, a(12)=>nx55, a(11)=>
      nx57, a(10)=>nx59, a(9)=>nx61, a(8)=>nx63, a(7)=>nx65, a(6)=>nx67, 
      a(5)=>nx69, a(4)=>nx71, a(3)=>nx73, a(2)=>nx75, a(1)=>nx77, a(0)=>nx79, 
      d=>d, cout=>nx97);
   nx98 <= '0' ;
   nx100 <= nx98 when mode = '1' else cin ;
end INTERFACE_unfold_1 ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity RT_Real_switch_BRM_ver8_4_RTLC_LONGENT2 is 
   port (
      Aux_in : IN std_logic_vector (15 DOWNTO 0) ;
      BC_Active_Bus_A : IN std_logic ;
      BC_Go : IN std_logic ;
      BC_T_sync : IN std_logic ;
      BC_Transmit_data : IN std_logic_vector (15 DOWNTO 0) ;
      BC_mode : IN std_logic ;
      BIT_word : IN std_logic_vector (15 DOWNTO 0) ;
      CPU_ResetN : IN std_logic ;
      Clock : IN std_logic ;
      Cohen : IN std_logic ;
      Data_in : IN std_logic_vector (15 DOWNTO 0) ;
      Do_illegal : IN std_logic ;
      ENC_TEST_On : IN std_logic ;
      External_CE_In : IN std_logic ;
      Host_Status_Bits : IN std_logic_vector (10 DOWNTO 0) ;
      MODE_CODE1553A : IN std_logic ;
      Minus_A : IN std_logic ;
      Minus_B : IN std_logic ;
      NO_BCST : IN std_logic ;
      No_Response_timeout : IN std_logic_vector (2 DOWNTO 0) ;
      Plus_A : IN std_logic ;
      Plus_B : IN std_logic ;
      RT_Address_wire : IN std_logic_vector (5 DOWNTO 0) ;
      RT_On : IN std_logic ;
      Tx_Inh_A_in : IN std_logic ;
      Tx_Inh_B_in : IN std_logic ;
      Wrap_Address : IN std_logic_vector (4 DOWNTO 0) ;
      illegal_command : IN std_logic ;
      loopback_test : IN std_logic ;
      Address : OUT std_logic_vector (15 DOWNTO 0) ;
      BC_TxRdy : OUT std_logic ;
      BUS_A : OUT std_logic ;
      Clock_enable : OUT std_logic ;
      Current_command : OUT std_logic_vector (15 DOWNTO 0) ;
      Data_out : OUT std_logic_vector (15 DOWNTO 0) ;
      Last_command : OUT std_logic_vector (15 DOWNTO 0) ;
      Message_ended_OK : OUT std_logic ;
      New_Command : OUT std_logic ;
      RT2RT_message : OUT std_logic ;
      Read : OUT std_logic ;
      Revision : OUT std_logic_vector (15 DOWNTO 0) ;
      Tx_A : OUT std_logic ;
      Tx_A_N : OUT std_logic ;
      Tx_B : OUT std_logic ;
      Tx_B_N : OUT std_logic ;
      Tx_inh_A : OUT std_logic ;
      Tx_inh_B : OUT std_logic ;
      Write : OUT std_logic ;
      mil1553_errors_Inhibit_TF : OUT std_logic ;
      mil1553_errors_invalid_command : OUT std_logic ;
      mil1553_errors_RT2RT_format_gap : OUT std_logic ;
      mil1553_errors_RT2RT_format_error : OUT std_logic ;
      mil1553_errors_Invalid_word : OUT std_logic ;
      mil1553_errors_Parity_Manchester : OUT std_logic ;
      mil1553_errors_incorrect_data_sync : OUT std_logic ;
      mil1553_errors_Low_word_count : OUT std_logic ;
      mil1553_errors_high_word_count : OUT std_logic ;
      mil1553_errors_Format_error : OUT std_logic ;
      mil1553_errors_Message_Error_set : OUT std_logic ;
      mil1553_errors_Address_Parity : OUT std_logic ;
      mil1553_errors_echo_back_bus_B : OUT std_logic ;
      mil1553_errors_echo_back_bus_A : OUT std_logic ;
      mil1553_errors_bus_B_shutdown : OUT std_logic ;
      mil1553_errors_bus_A_shutdown : OUT std_logic ;
      mil1553_errors_transmitter_timout : OUT std_logic ;
      Channel_status : OUT std_logic_vector (10 DOWNTO 0) ;
      H15530_record_A_Sync_error : OUT std_logic ;
      H15530_record_A_Manchester_error : OUT std_logic ;
      H15530_record_A_Parity_error : OUT std_logic ;
      H15530_record_A_echo_back_bus : OUT std_logic ;
      H15530_record_A_R_Data : OUT std_logic_vector (15 DOWNTO 0) ;
      H15530_record_A_RAW_GAP : OUT std_logic_vector (6 DOWNTO 0) ;
      H15530_record_A_GAP : OUT std_logic_vector (6 DOWNTO 0) ;
      H15530_record_A_Gap_found : OUT std_logic_vector (2 DOWNTO 0) ;
      H15530_record_A_RxRDY_plus_12us : OUT std_logic ;
      H15530_record_A_RxRDY_plus_10us : OUT std_logic ;
      H15530_record_A_CS : OUT std_logic ;
      H15530_record_A_Pre_EchoRdy : OUT std_logic ;
      H15530_record_A_Command_Sync : OUT std_logic ;
      H15530_record_A_Pre_RxRdy : OUT std_logic ;
      H15530_record_A_recieving : OUT std_logic ;
      H15530_record_B_Sync_error : OUT std_logic ;
      H15530_record_B_Manchester_error : OUT std_logic ;
      H15530_record_B_Parity_error : OUT std_logic ;
      H15530_record_B_echo_back_bus : OUT std_logic ;
      H15530_record_B_R_Data : OUT std_logic_vector (15 DOWNTO 0) ;
      H15530_record_B_RAW_GAP : OUT std_logic_vector (6 DOWNTO 0) ;
      H15530_record_B_GAP : OUT std_logic_vector (6 DOWNTO 0) ;
      H15530_record_B_Gap_found : OUT std_logic_vector (2 DOWNTO 0) ;
      H15530_record_B_RxRDY_plus_12us : OUT std_logic ;
      H15530_record_B_RxRDY_plus_10us : OUT std_logic ;
      H15530_record_B_CS : OUT std_logic ;
      H15530_record_B_Pre_EchoRdy : OUT std_logic ;
      H15530_record_B_Command_Sync : OUT std_logic ;
      H15530_record_B_Pre_RxRdy : OUT std_logic ;
      H15530_record_B_recieving : OUT std_logic ;
      Message_ended_not_OK : OUT std_logic ;
      RCV_A_Sync_error : OUT std_logic ;
      RCV_B_Sync_error : OUT std_logic) ;
end RT_Real_switch_BRM_ver8_4_RTLC_LONGENT2 ;

architecture Sital_Ofer_hofman_unfold_2696 of 
   RT_Real_switch_BRM_ver8_4_RTLC_LONGENT2 is 
   component Auxilury_Ver_8_4_1_1_0
      port (
         Clock : IN std_logic ;
         Cohen : IN std_logic ;
         H15530_record_A_Sync_error : IN std_logic ;
         H15530_record_A_Manchester_error : IN std_logic ;
         H15530_record_A_Parity_error : IN std_logic ;
         H15530_record_A_echo_back_bus : IN std_logic ;
         H15530_record_A_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
         H15530_record_A_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         H15530_record_A_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         H15530_record_A_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
         H15530_record_A_RxRDY_plus_12us : IN std_logic ;
         H15530_record_A_RxRDY_plus_10us : IN std_logic ;
         H15530_record_A_CS : IN std_logic ;
         H15530_record_A_Pre_EchoRdy : IN std_logic ;
         H15530_record_A_Command_Sync : IN std_logic ;
         H15530_record_A_Pre_RxRdy : IN std_logic ;
         H15530_record_A_recieving : IN std_logic ;
         H15530_record_B_Sync_error : IN std_logic ;
         H15530_record_B_Manchester_error : IN std_logic ;
         H15530_record_B_Parity_error : IN std_logic ;
         H15530_record_B_echo_back_bus : IN std_logic ;
         H15530_record_B_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
         H15530_record_B_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         H15530_record_B_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         H15530_record_B_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
         H15530_record_B_RxRDY_plus_12us : IN std_logic ;
         H15530_record_B_RxRDY_plus_10us : IN std_logic ;
         H15530_record_B_CS : IN std_logic ;
         H15530_record_B_Pre_EchoRdy : IN std_logic ;
         H15530_record_B_Command_Sync : IN std_logic ;
         H15530_record_B_Pre_RxRdy : IN std_logic ;
         H15530_record_B_recieving : IN std_logic ;
         RT_Address_wire : IN std_logic_vector (5 DOWNTO 0) ;
         ResetN : IN std_logic ;
         External_CE_In : IN std_logic ;
         CE : OUT std_logic ;
         RT_Address_A_valid : OUT std_logic ;
         RT_Address_B_valid : OUT std_logic ;
         RT_Address_Parity_Error : OUT std_logic) ;
   end component ;
   component Back_end_IF_8_4_0_40
      port (
         Active_command : IN std_logic_vector (15 DOWNTO 0) ;
         Active_command_update : IN std_logic ;
         BIT_word : IN std_logic_vector (15 DOWNTO 0) ;
         Bus_Channel_status : IN std_logic_vector (10 DOWNTO 0) ;
         CE : IN std_logic ;
         CPU_ResetN : IN std_logic ;
         Clock : IN std_logic ;
         Data_in : IN std_logic_vector (15 DOWNTO 0) ;
         FE_Address : IN std_logic_vector (15 DOWNTO 0) ;
         Host_Status_Bits : IN std_logic_vector (10 DOWNTO 0) ;
         IDLE_MORE_THAN_NO_RESPONSE : IN std_logic ;
         Inhibit_TF : IN std_logic ;
         MODE_CODE1553A : IN std_logic ;
         Message_ended_OK : IN std_logic ;
         Read_req : IN std_logic ;
         Valid_command : IN std_logic ;
         Wrap_Address : IN std_logic_vector (4 DOWNTO 0) ;
         Write_Req : IN std_logic ;
         Write_data : IN std_logic_vector (15 DOWNTO 0) ;
         Xmitting_A : IN std_logic ;
         Xmitting_B : IN std_logic ;
         illegal_command : IN std_logic ;
         reset_RT_received : IN std_logic ;
         Channel_status : OUT std_logic_vector (10 DOWNTO 0) ;
         Clock_enable : OUT std_logic ;
         Read : OUT std_logic ;
         Write_Ack : OUT std_logic ;
         read_Ack : OUT std_logic ;
         read_Data : OUT std_logic_vector (15 DOWNTO 0) ;
         Address : OUT std_logic_vector (15 DOWNTO 0) ;
         Data_out : OUT std_logic_vector (15 DOWNTO 0) ;
         Last_command : OUT std_logic_vector (15 DOWNTO 0) ;
         ResetN : OUT std_logic ;
         Write : OUT std_logic) ;
   end component ;
   component Dual_channel_stm_ver8_4_1
      port (
         C : IN std_logic ;
         R : IN std_logic ;
         CE : IN std_logic ;
         Hila : IN std_logic ;
         RT_Address_valid_A : IN std_logic ;
         RT_Address_valid_B : IN std_logic ;
         Rcv_A_Sync_error : IN std_logic ;
         Rcv_A_Manchester_error : IN std_logic ;
         Rcv_A_Parity_error : IN std_logic ;
         Rcv_A_echo_back_bus : IN std_logic ;
         Rcv_A_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
         Rcv_A_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         Rcv_A_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         Rcv_A_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
         Rcv_A_RxRDY_plus_12us : IN std_logic ;
         Rcv_A_RxRDY_plus_10us : IN std_logic ;
         Rcv_A_CS : IN std_logic ;
         Rcv_A_Pre_EchoRdy : IN std_logic ;
         Rcv_A_Command_Sync : IN std_logic ;
         Rcv_A_Pre_RxRdy : IN std_logic ;
         Rcv_A_recieving : IN std_logic ;
         Rcv_B_Sync_error : IN std_logic ;
         Rcv_B_Manchester_error : IN std_logic ;
         Rcv_B_Parity_error : IN std_logic ;
         Rcv_B_echo_back_bus : IN std_logic ;
         Rcv_B_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
         Rcv_B_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         Rcv_B_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         Rcv_B_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
         Rcv_B_RxRDY_plus_12us : IN std_logic ;
         Rcv_B_RxRDY_plus_10us : IN std_logic ;
         Rcv_B_CS : IN std_logic ;
         Rcv_B_Pre_EchoRdy : IN std_logic ;
         Rcv_B_Command_Sync : IN std_logic ;
         Rcv_B_Pre_RxRdy : IN std_logic ;
         Rcv_B_recieving : IN std_logic ;
         No_Response_timeout : IN std_logic_vector (2 DOWNTO 0) ;
         TxRdy : IN std_logic ;
         Active_Bus_A : OUT std_logic ;
         Transmit_data : OUT std_logic_vector (15 DOWNTO 0) ;
         T_Sync : OUT std_logic ;
         Go : OUT std_logic ;
         end_of_tx : IN std_logic ;
         Bus_A_shut_down : OUT std_logic ;
         Bus_B_shut_down : OUT std_logic ;
         Address : OUT std_logic_vector (15 DOWNTO 0) ;
         reset_remote_terminal_received : OUT std_logic ;
         Inhibit_TF : OUT std_logic ;
         active_command : OUT std_logic_vector (15 DOWNTO 0) ;
         illegal_command : IN std_logic ;
         Do_illegal : IN std_logic ;
         Active_command_updated : OUT std_logic ;
         Message_ended_OK : OUT std_logic ;
         Message_ended_not_OK : OUT std_logic ;
         Valid_command : OUT std_logic ;
         Write_Req : OUT std_logic ;
         Write_Data : OUT std_logic_vector (15 DOWNTO 0) ;
         Write_Ack : IN std_logic ;
         read_Req : OUT std_logic ;
         read_Data : IN std_logic_vector (15 DOWNTO 0) ;
         read_Ack : IN std_logic ;
         Channel_status_out : OUT std_logic_vector (10 DOWNTO 0) ;
         Channel_status : IN std_logic_vector (10 DOWNTO 0) ;
         RT2RT_message : OUT std_logic ;
         NO_BCST : IN std_logic ;
         MODE_CODE1553A : IN std_logic) ;
   end component ;
   component H15530_Ver17_40_0
      port (
         CE : IN std_logic ;
         Check_loop_back : IN std_logic ;
         Check_value : IN std_logic ;
         Clock : IN std_logic ;
         Minus : IN std_logic ;
         PP194_CS : IN std_logic ;
         Plus : IN std_logic ;
         ResetN : IN std_logic ;
         Xmitting : IN std_logic ;
         Bi_error : OUT std_logic ;
         H15530_record_Sync_error : OUT std_logic ;
         H15530_record_Manchester_error : OUT std_logic ;
         H15530_record_Parity_error : OUT std_logic ;
         H15530_record_echo_back_bus : OUT std_logic ;
         H15530_record_R_Data : OUT std_logic_vector (15 DOWNTO 0) ;
         H15530_record_RAW_GAP : OUT std_logic_vector (6 DOWNTO 0) ;
         H15530_record_GAP : OUT std_logic_vector (6 DOWNTO 0) ;
         H15530_record_Gap_found : OUT std_logic_vector (2 DOWNTO 0) ;
         H15530_record_RxRDY_plus_12us : OUT std_logic ;
         H15530_record_RxRDY_plus_10us : OUT std_logic ;
         H15530_record_CS : OUT std_logic ;
         H15530_record_Pre_EchoRdy : OUT std_logic ;
         H15530_record_Command_Sync : OUT std_logic ;
         H15530_record_Pre_RxRdy : OUT std_logic ;
         H15530_record_recieving : OUT std_logic ;
         Echo_Error : OUT std_logic ;
         Parity_error : OUT std_logic ;
         Sync_error : OUT std_logic) ;
   end component ;
   component single_Transmitter_FS_ver65_40
      port (
         Clock : IN std_logic ;
         ResetN : IN std_logic ;
         CE : IN std_logic ;
         T_data : IN std_logic_vector (15 DOWNTO 0) ;
         T_Sync : IN std_logic ;
         ENC_TEST_On : IN std_logic ;
         Go : IN std_logic ;
         Bus_A : IN std_logic ;
         TxRdy : OUT std_logic ;
         Tx_A : OUT std_logic ;
         Tx_A_N : OUT std_logic ;
         Tx_B : OUT std_logic ;
         Tx_B_N : OUT std_logic ;
         Valid_command : IN std_logic ;
         BC_Mode : IN std_logic ;
         end_of_tx : OUT std_logic ;
         Tx_A_inhibit : OUT std_logic ;
         Tx_B_inhibit : OUT std_logic ;
         Xmitting_A : OUT std_logic ;
         Xmitting_B : OUT std_logic ;
         Check_loop_back : OUT std_logic ;
         Check_value : OUT std_logic ;
         Tx_inhibit_fail_safe : OUT std_logic) ;
   end component ;
   component or_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_13u_13u
      port (
         a : IN std_logic_vector (12 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component mux_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   procedure DFFPC (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           q <= data and data ;    -- takes care of q<='X' if data='Z'
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPC ;
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component and_9u_9u
      port (
         a : IN std_logic_vector (8 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component selcounter_13_13_13_0_1_up
      port (
         cin : IN std_logic ;
         mode : IN std_logic ;
         updn : IN std_logic ;
         a : IN std_logic_vector (12 DOWNTO 0) ;
         k : IN std_logic_vector (12 DOWNTO 0) ;
         d : OUT std_logic_vector (12 DOWNTO 0)) ;
   end component ;
   for H15530_A : H15530_Ver17_40_0 use entity work.H15530_Ver17_40_0(
   Sital_technology_unfold_1);
   for H15530_B : H15530_Ver17_40_0 use entity work.H15530_Ver17_40_0(
   Sital_technology_unfold_3721_0);
   for ix5 : selcounter_13_13_13_0_1_up use entity work.
   selcounter_13_13_13_0_1_up(INTERFACE_unfold_1);
   signal Address_9_EXMPLR1822, Address_8_EXMPLR1823, Address_7_EXMPLR1824, 
      Address_6_EXMPLR1825, Address_5_EXMPLR1826, Address_4_EXMPLR1827, 
      Address_3_EXMPLR1828, Address_2_EXMPLR1829, Address_1_EXMPLR1830, 
      Address_0_EXMPLR1831, BC_TxRdy_EXMPLR1832, BUS_A_EXMPLR1833: std_logic
    ;
   
   signal Current_command_EXMPLR2002: std_logic_vector (15 DOWNTO 0) ;
   
   signal Message_ended_OK_EXMPLR1883, New_Command_EXMPLR1884: std_logic ;
   
   signal Channel_status_EXMPLR2005: std_logic_vector (10 DOWNTO 0) ;
   
   signal Active_Bus_A, Active_command_updated, Bus_A_shut_down, 
      Bus_A_shut_down_dt, Bus_B_shut_down, Bus_B_shut_down_dt, 
      Bus_Channel_status_10, Bus_Channel_status_4, CE, CE_RT, 
      Channel_status_10_dt, Check_loop_back, Check_value, Echo_Error_A, 
      Echo_Error_B, Go, H15530_ResetN, IDLE_MORE_THAN_NO_RESPONSE, 
      Inhibit_TF_A, Inhibit_TF_A_dt, ME_DvDt, Minus_AM, Minus_BM: std_logic
    ;
   
   signal One_Shot: std_logic_vector (12 DOWNTO 0) ;
   
   signal Plus_AM, Plus_BM, RT_Address_A_valid, RT_Address_B_valid, RT_Go, 
      RT_T_Sync: std_logic ;
   
   signal RT_Transmit_data: std_logic_vector (15 DOWNTO 0) ;
   
   signal ResetN, T_Sync: std_logic ;
   
   signal Transmit_data: std_logic_vector (15 DOWNTO 0) ;
   
   signal Tx_A1, Tx_A_N1, Tx_A_inhibit, Tx_B1, Tx_B_N1, Tx_B_inhibit, 
      Write_Ack_A, Write_Req_A, Xmitting_A, Xmitting_B, any_active, 
      end_of_tx, fail_safe_reset, loopback_test_D, read_Ack_A: std_logic ;
   
   signal read_Data: std_logic_vector (15 DOWNTO 0) ;
   
   signal read_Req_A, reset_RT_received_A, transmitter_timeout, 
      Revision_6_EXMPLR1908, Revision_3_EXMPLR1909, rtlc3n12, not_ResetN, 
      Tx_A_15n0r4, Tx_A_15n0r3, not_Tx_A_15n0r3, Tx_A_15n0r1, Tx_A_N_19n0r1, 
      Tx_B_23n0r4, Tx_B_23n0r3, not_Tx_B_23n0r3, Tx_B_23n0r1, Tx_B_N_27n0r1, 
      not_loopback_test, H15530_ResetN_44n0r1, 
      IDLE_MORE_THAN_NO_RESPONSE_52n4ss1, rtlc52n64, not_rtlc52n64, 
      rtlc52n66, not_rtlc52n66, rtlc52n68, IDLE_MORE_THAN_NO_RESPONSE_52n4s4, 
      not_One_Shot_12, not_rtlcn14, rtlc52n285, rtlc52n286, rtlc52n287, 
      rtlc52n288, rtlc52n289, rtlc52n290, rtlc52n291, rtlc52n292, rtlc52n293, 
      rtlc52n307, rtlc52n308, rtlc52n309, rtlc52n310, rtlc52n311, rtlc52n312, 
      rtlc52n313, rtlc52n314, rtlc52n327, rtlc52n330, rtlc52n331, rtlcn14, 
      not_rtlc3n12, not_One_Shot_11, not_One_Shot_9, not_One_Shot_8, 
      not_One_Shot_7, not_One_Shot_6, not_One_Shot_5, not_One_Shot_4, 
      not_One_Shot_3, not_One_Shot_2, not_One_Shot_1, not_One_Shot_0, 
      rtlcn39, rtlcn40, rtlcn42: std_logic ;
   
   signal rtlcn43: std_logic_vector (12 DOWNTO 0) ;
   
   signal rtlcn44: std_logic ;
   
   signal H15530_record_A_R_Data_EXMPLR2006: std_logic_vector (15 DOWNTO 0)
    ;
   
   signal H15530_record_A_RAW_GAP_EXMPLR2007: std_logic_vector (6 DOWNTO 0)
    ;
   
   signal H15530_record_A_Gap_found_EXMPLR2009: std_logic_vector
    (2 DOWNTO 0) ;
   
   signal H15530_record_A_RxRDY_plus_10us_EXMPLR1951, 
      H15530_record_A_CS_EXMPLR1952, H15530_record_A_Command_Sync_EXMPLR1954, 
      H15530_record_A_Pre_RxRdy_EXMPLR1955, 
      H15530_record_A_recieving_EXMPLR1956: std_logic ;
   
   signal H15530_record_B_R_Data_EXMPLR2010: std_logic_vector (15 DOWNTO 0)
    ;
   
   signal H15530_record_B_RAW_GAP_EXMPLR2011: std_logic_vector (6 DOWNTO 0)
    ;
   
   signal H15530_record_B_Gap_found_EXMPLR2013: std_logic_vector
    (2 DOWNTO 0) ;
   
   signal H15530_record_B_RxRDY_plus_10us_EXMPLR1990, 
      H15530_record_B_CS_EXMPLR1991, H15530_record_B_Command_Sync_EXMPLR1993, 
      H15530_record_B_Pre_RxRdy_EXMPLR1994, 
      H15530_record_B_recieving_EXMPLR1995, I7_I_d, I7_not_I_d, I8_I_d, 
      I8_not_I_d, I9_I_d, I9_not_I_d, I10_I_d, I10_not_I_d, I11_I_d, 
      I11_not_I_d, rtlc52_148_and_1025_nx0, rtlc52_151_or_1026_nx0: 
   std_logic ;
   
   signal DANGLING : std_logic_vector (60 downto 0 );

begin
   Address(15) <= Revision_6_EXMPLR1908 ;
   Address(14) <= Revision_6_EXMPLR1908 ;
   Address(13) <= Revision_6_EXMPLR1908 ;
   Address(12) <= Revision_6_EXMPLR1908 ;
   Address(11) <= Revision_6_EXMPLR1908 ;
   Address(9) <= Address_9_EXMPLR1822 ;
   Address(8) <= Address_8_EXMPLR1823 ;
   Address(7) <= Address_7_EXMPLR1824 ;
   Address(6) <= Address_6_EXMPLR1825 ;
   Address(5) <= Address_5_EXMPLR1826 ;
   Address(4) <= Address_4_EXMPLR1827 ;
   Address(3) <= Address_3_EXMPLR1828 ;
   Address(2) <= Address_2_EXMPLR1829 ;
   Address(1) <= Address_1_EXMPLR1830 ;
   Address(0) <= Address_0_EXMPLR1831 ;
   BC_TxRdy <= BC_TxRdy_EXMPLR1832 ;
   BUS_A <= BUS_A_EXMPLR1833 ;
   Current_command(15) <= Current_command_EXMPLR2002(15) ;
   Current_command(14) <= Current_command_EXMPLR2002(14) ;
   Current_command(13) <= Current_command_EXMPLR2002(13) ;
   Current_command(12) <= Current_command_EXMPLR2002(12) ;
   Current_command(11) <= Current_command_EXMPLR2002(11) ;
   Current_command(10) <= Current_command_EXMPLR2002(10) ;
   Current_command(9) <= Current_command_EXMPLR2002(9) ;
   Current_command(8) <= Current_command_EXMPLR2002(8) ;
   Current_command(7) <= Current_command_EXMPLR2002(7) ;
   Current_command(6) <= Current_command_EXMPLR2002(6) ;
   Current_command(5) <= Current_command_EXMPLR2002(5) ;
   Current_command(4) <= Current_command_EXMPLR2002(4) ;
   Current_command(3) <= Current_command_EXMPLR2002(3) ;
   Current_command(2) <= Current_command_EXMPLR2002(2) ;
   Current_command(1) <= Current_command_EXMPLR2002(1) ;
   Current_command(0) <= Current_command_EXMPLR2002(0) ;
   Message_ended_OK <= Message_ended_OK_EXMPLR1883 ;
   New_Command <= New_Command_EXMPLR1884 ;
   Revision(15) <= Revision_6_EXMPLR1908 ;
   Revision(14) <= Revision_6_EXMPLR1908 ;
   Revision(13) <= Revision_6_EXMPLR1908 ;
   Revision(12) <= Revision_3_EXMPLR1909 ;
   Revision(11) <= Revision_6_EXMPLR1908 ;
   Revision(10) <= Revision_3_EXMPLR1909 ;
   Revision(9) <= Revision_6_EXMPLR1908 ;
   Revision(8) <= Revision_3_EXMPLR1909 ;
   Revision(7) <= Revision_3_EXMPLR1909 ;
   Revision(6) <= Revision_6_EXMPLR1908 ;
   Revision(5) <= Revision_3_EXMPLR1909 ;
   Revision(4) <= Revision_3_EXMPLR1909 ;
   Revision(3) <= Revision_3_EXMPLR1909 ;
   Revision(2) <= Revision_6_EXMPLR1908 ;
   Revision(1) <= Revision_6_EXMPLR1908 ;
   Revision(0) <= Revision_6_EXMPLR1908 ;
   mil1553_errors_invalid_command <= Revision_6_EXMPLR1908 ;
   mil1553_errors_RT2RT_format_gap <= Revision_6_EXMPLR1908 ;
   mil1553_errors_RT2RT_format_error <= Revision_6_EXMPLR1908 ;
   mil1553_errors_Invalid_word <= Revision_6_EXMPLR1908 ;
   mil1553_errors_Parity_Manchester <= Revision_6_EXMPLR1908 ;
   mil1553_errors_incorrect_data_sync <= Revision_6_EXMPLR1908 ;
   mil1553_errors_Low_word_count <= Revision_6_EXMPLR1908 ;
   mil1553_errors_high_word_count <= Revision_6_EXMPLR1908 ;
   mil1553_errors_Address_Parity <= Revision_6_EXMPLR1908 ;
   Channel_status(10) <= Channel_status_EXMPLR2005(10) ;
   Channel_status(9) <= Channel_status_EXMPLR2005(9) ;
   Channel_status(8) <= Channel_status_EXMPLR2005(8) ;
   Channel_status(7) <= Channel_status_EXMPLR2005(7) ;
   Channel_status(6) <= Channel_status_EXMPLR2005(6) ;
   Channel_status(5) <= Channel_status_EXMPLR2005(5) ;
   Channel_status(4) <= Channel_status_EXMPLR2005(4) ;
   Channel_status(3) <= Channel_status_EXMPLR2005(3) ;
   Channel_status(2) <= Channel_status_EXMPLR2005(2) ;
   Channel_status(1) <= Channel_status_EXMPLR2005(1) ;
   Channel_status(0) <= Channel_status_EXMPLR2005(0) ;
   H15530_record_A_Sync_error <= Revision_6_EXMPLR1908 ;
   H15530_record_A_Manchester_error <= Revision_6_EXMPLR1908 ;
   H15530_record_A_Parity_error <= Revision_6_EXMPLR1908 ;
   H15530_record_A_echo_back_bus <= Revision_6_EXMPLR1908 ;
   H15530_record_A_R_Data(15) <= H15530_record_A_R_Data_EXMPLR2006(15) ;
   H15530_record_A_R_Data(14) <= H15530_record_A_R_Data_EXMPLR2006(14) ;
   H15530_record_A_R_Data(13) <= H15530_record_A_R_Data_EXMPLR2006(13) ;
   H15530_record_A_R_Data(12) <= H15530_record_A_R_Data_EXMPLR2006(12) ;
   H15530_record_A_R_Data(11) <= H15530_record_A_R_Data_EXMPLR2006(11) ;
   H15530_record_A_R_Data(10) <= H15530_record_A_R_Data_EXMPLR2006(10) ;
   H15530_record_A_R_Data(9) <= H15530_record_A_R_Data_EXMPLR2006(9) ;
   H15530_record_A_R_Data(8) <= H15530_record_A_R_Data_EXMPLR2006(8) ;
   H15530_record_A_R_Data(7) <= H15530_record_A_R_Data_EXMPLR2006(7) ;
   H15530_record_A_R_Data(6) <= H15530_record_A_R_Data_EXMPLR2006(6) ;
   H15530_record_A_R_Data(5) <= H15530_record_A_R_Data_EXMPLR2006(5) ;
   H15530_record_A_R_Data(4) <= H15530_record_A_R_Data_EXMPLR2006(4) ;
   H15530_record_A_R_Data(3) <= H15530_record_A_R_Data_EXMPLR2006(3) ;
   H15530_record_A_R_Data(2) <= H15530_record_A_R_Data_EXMPLR2006(2) ;
   H15530_record_A_R_Data(1) <= H15530_record_A_R_Data_EXMPLR2006(1) ;
   H15530_record_A_R_Data(0) <= H15530_record_A_R_Data_EXMPLR2006(0) ;
   H15530_record_A_RAW_GAP(6) <= H15530_record_A_RAW_GAP_EXMPLR2007(6) ;
   H15530_record_A_RAW_GAP(5) <= H15530_record_A_RAW_GAP_EXMPLR2007(5) ;
   H15530_record_A_RAW_GAP(4) <= H15530_record_A_RAW_GAP_EXMPLR2007(4) ;
   H15530_record_A_RAW_GAP(3) <= H15530_record_A_RAW_GAP_EXMPLR2007(3) ;
   H15530_record_A_RAW_GAP(2) <= H15530_record_A_RAW_GAP_EXMPLR2007(2) ;
   H15530_record_A_RAW_GAP(1) <= H15530_record_A_RAW_GAP_EXMPLR2007(1) ;
   H15530_record_A_RAW_GAP(0) <= H15530_record_A_RAW_GAP_EXMPLR2007(0) ;
   H15530_record_A_Gap_found(2) <= H15530_record_A_Gap_found_EXMPLR2009(2) ;
   H15530_record_A_Gap_found(1) <= H15530_record_A_Gap_found_EXMPLR2009(1) ;
   H15530_record_A_Gap_found(0) <= H15530_record_A_Gap_found_EXMPLR2009(0) ;
   H15530_record_A_RxRDY_plus_12us <= Revision_6_EXMPLR1908 ;
   H15530_record_A_RxRDY_plus_10us <= Revision_6_EXMPLR1908 ;
   H15530_record_A_CS <= H15530_record_A_CS_EXMPLR1952 ;
   H15530_record_A_Command_Sync <= H15530_record_A_Command_Sync_EXMPLR1954 ;
   H15530_record_A_Pre_RxRdy <= H15530_record_A_Pre_RxRdy_EXMPLR1955 ;
   H15530_record_A_recieving <= H15530_record_A_recieving_EXMPLR1956 ;
   H15530_record_B_Sync_error <= Revision_6_EXMPLR1908 ;
   H15530_record_B_Manchester_error <= Revision_6_EXMPLR1908 ;
   H15530_record_B_Parity_error <= Revision_6_EXMPLR1908 ;
   H15530_record_B_echo_back_bus <= Revision_6_EXMPLR1908 ;
   H15530_record_B_R_Data(15) <= H15530_record_B_R_Data_EXMPLR2010(15) ;
   H15530_record_B_R_Data(14) <= H15530_record_B_R_Data_EXMPLR2010(14) ;
   H15530_record_B_R_Data(13) <= H15530_record_B_R_Data_EXMPLR2010(13) ;
   H15530_record_B_R_Data(12) <= H15530_record_B_R_Data_EXMPLR2010(12) ;
   H15530_record_B_R_Data(11) <= H15530_record_B_R_Data_EXMPLR2010(11) ;
   H15530_record_B_R_Data(10) <= H15530_record_B_R_Data_EXMPLR2010(10) ;
   H15530_record_B_R_Data(9) <= H15530_record_B_R_Data_EXMPLR2010(9) ;
   H15530_record_B_R_Data(8) <= H15530_record_B_R_Data_EXMPLR2010(8) ;
   H15530_record_B_R_Data(7) <= H15530_record_B_R_Data_EXMPLR2010(7) ;
   H15530_record_B_R_Data(6) <= H15530_record_B_R_Data_EXMPLR2010(6) ;
   H15530_record_B_R_Data(5) <= H15530_record_B_R_Data_EXMPLR2010(5) ;
   H15530_record_B_R_Data(4) <= H15530_record_B_R_Data_EXMPLR2010(4) ;
   H15530_record_B_R_Data(3) <= H15530_record_B_R_Data_EXMPLR2010(3) ;
   H15530_record_B_R_Data(2) <= H15530_record_B_R_Data_EXMPLR2010(2) ;
   H15530_record_B_R_Data(1) <= H15530_record_B_R_Data_EXMPLR2010(1) ;
   H15530_record_B_R_Data(0) <= H15530_record_B_R_Data_EXMPLR2010(0) ;
   H15530_record_B_RAW_GAP(6) <= H15530_record_B_RAW_GAP_EXMPLR2011(6) ;
   H15530_record_B_RAW_GAP(5) <= H15530_record_B_RAW_GAP_EXMPLR2011(5) ;
   H15530_record_B_RAW_GAP(4) <= H15530_record_B_RAW_GAP_EXMPLR2011(4) ;
   H15530_record_B_RAW_GAP(3) <= H15530_record_B_RAW_GAP_EXMPLR2011(3) ;
   H15530_record_B_RAW_GAP(2) <= H15530_record_B_RAW_GAP_EXMPLR2011(2) ;
   H15530_record_B_RAW_GAP(1) <= H15530_record_B_RAW_GAP_EXMPLR2011(1) ;
   H15530_record_B_RAW_GAP(0) <= H15530_record_B_RAW_GAP_EXMPLR2011(0) ;
   H15530_record_B_Gap_found(2) <= H15530_record_B_Gap_found_EXMPLR2013(2) ;
   H15530_record_B_Gap_found(1) <= H15530_record_B_Gap_found_EXMPLR2013(1) ;
   H15530_record_B_Gap_found(0) <= H15530_record_B_Gap_found_EXMPLR2013(0) ;
   H15530_record_B_RxRDY_plus_12us <= Revision_6_EXMPLR1908 ;
   H15530_record_B_RxRDY_plus_10us <= Revision_6_EXMPLR1908 ;
   H15530_record_B_CS <= H15530_record_B_CS_EXMPLR1991 ;
   H15530_record_B_Command_Sync <= H15530_record_B_Command_Sync_EXMPLR1993 ;
   H15530_record_B_Pre_RxRdy <= H15530_record_B_Pre_RxRdy_EXMPLR1994 ;
   H15530_record_B_recieving <= H15530_record_B_recieving_EXMPLR1995 ;
   Revision_6_EXMPLR1908 <= '0' ;
   Revision_3_EXMPLR1909 <= '1' ;
   Auxilury : Auxilury_Ver_8_4_1_1_0 port map ( Clock=>Clock, Cohen=>
      Revision_3_EXMPLR1909, H15530_record_A_Sync_error=>
      Revision_6_EXMPLR1908, H15530_record_A_Manchester_error=>
      Revision_6_EXMPLR1908, H15530_record_A_Parity_error=>
      Revision_6_EXMPLR1908, H15530_record_A_echo_back_bus=>
      Revision_6_EXMPLR1908, H15530_record_A_R_Data(15)=>
      H15530_record_A_R_Data_EXMPLR2006(15), H15530_record_A_R_Data(14)=>
      H15530_record_A_R_Data_EXMPLR2006(14), H15530_record_A_R_Data(13)=>
      H15530_record_A_R_Data_EXMPLR2006(13), H15530_record_A_R_Data(12)=>
      H15530_record_A_R_Data_EXMPLR2006(12), H15530_record_A_R_Data(11)=>
      H15530_record_A_R_Data_EXMPLR2006(11), H15530_record_A_R_Data(10)=>
      Revision_6_EXMPLR1908, H15530_record_A_R_Data(9)=>
      Revision_6_EXMPLR1908, H15530_record_A_R_Data(8)=>
      Revision_6_EXMPLR1908, H15530_record_A_R_Data(7)=>
      Revision_6_EXMPLR1908, H15530_record_A_R_Data(6)=>
      Revision_6_EXMPLR1908, H15530_record_A_R_Data(5)=>
      Revision_6_EXMPLR1908, H15530_record_A_R_Data(4)=>
      Revision_6_EXMPLR1908, H15530_record_A_R_Data(3)=>
      Revision_6_EXMPLR1908, H15530_record_A_R_Data(2)=>
      Revision_6_EXMPLR1908, H15530_record_A_R_Data(1)=>
      Revision_6_EXMPLR1908, H15530_record_A_R_Data(0)=>
      Revision_6_EXMPLR1908, H15530_record_A_RAW_GAP(6)=>
      Revision_6_EXMPLR1908, H15530_record_A_RAW_GAP(5)=>
      Revision_6_EXMPLR1908, H15530_record_A_RAW_GAP(4)=>
      Revision_6_EXMPLR1908, H15530_record_A_RAW_GAP(3)=>
      Revision_6_EXMPLR1908, H15530_record_A_RAW_GAP(2)=>
      Revision_6_EXMPLR1908, H15530_record_A_RAW_GAP(1)=>
      Revision_6_EXMPLR1908, H15530_record_A_RAW_GAP(0)=>
      Revision_6_EXMPLR1908, H15530_record_A_GAP(6)=>Revision_6_EXMPLR1908, 
      H15530_record_A_GAP(5)=>Revision_6_EXMPLR1908, H15530_record_A_GAP(4)
      =>Revision_6_EXMPLR1908, H15530_record_A_GAP(3)=>Revision_6_EXMPLR1908, 
      H15530_record_A_GAP(2)=>Revision_6_EXMPLR1908, H15530_record_A_GAP(1)
      =>Revision_6_EXMPLR1908, H15530_record_A_GAP(0)=>Revision_6_EXMPLR1908, 
      H15530_record_A_Gap_found(2)=>Revision_6_EXMPLR1908, 
      H15530_record_A_Gap_found(1)=>Revision_6_EXMPLR1908, 
      H15530_record_A_Gap_found(0)=>Revision_6_EXMPLR1908, 
      H15530_record_A_RxRDY_plus_12us=>Revision_6_EXMPLR1908, 
      H15530_record_A_RxRDY_plus_10us=>Revision_6_EXMPLR1908, 
      H15530_record_A_CS=>Revision_6_EXMPLR1908, H15530_record_A_Pre_EchoRdy
      =>Revision_6_EXMPLR1908, H15530_record_A_Command_Sync=>
      Revision_6_EXMPLR1908, H15530_record_A_Pre_RxRdy=>
      Revision_6_EXMPLR1908, H15530_record_A_recieving=>
      Revision_6_EXMPLR1908, H15530_record_B_Sync_error=>
      Revision_6_EXMPLR1908, H15530_record_B_Manchester_error=>
      Revision_6_EXMPLR1908, H15530_record_B_Parity_error=>
      Revision_6_EXMPLR1908, H15530_record_B_echo_back_bus=>
      Revision_6_EXMPLR1908, H15530_record_B_R_Data(15)=>
      H15530_record_B_R_Data_EXMPLR2010(15), H15530_record_B_R_Data(14)=>
      H15530_record_B_R_Data_EXMPLR2010(14), H15530_record_B_R_Data(13)=>
      H15530_record_B_R_Data_EXMPLR2010(13), H15530_record_B_R_Data(12)=>
      H15530_record_B_R_Data_EXMPLR2010(12), H15530_record_B_R_Data(11)=>
      H15530_record_B_R_Data_EXMPLR2010(11), H15530_record_B_R_Data(10)=>
      Revision_6_EXMPLR1908, H15530_record_B_R_Data(9)=>
      Revision_6_EXMPLR1908, H15530_record_B_R_Data(8)=>
      Revision_6_EXMPLR1908, H15530_record_B_R_Data(7)=>
      Revision_6_EXMPLR1908, H15530_record_B_R_Data(6)=>
      Revision_6_EXMPLR1908, H15530_record_B_R_Data(5)=>
      Revision_6_EXMPLR1908, H15530_record_B_R_Data(4)=>
      Revision_6_EXMPLR1908, H15530_record_B_R_Data(3)=>
      Revision_6_EXMPLR1908, H15530_record_B_R_Data(2)=>
      Revision_6_EXMPLR1908, H15530_record_B_R_Data(1)=>
      Revision_6_EXMPLR1908, H15530_record_B_R_Data(0)=>
      Revision_6_EXMPLR1908, H15530_record_B_RAW_GAP(6)=>
      Revision_6_EXMPLR1908, H15530_record_B_RAW_GAP(5)=>
      Revision_6_EXMPLR1908, H15530_record_B_RAW_GAP(4)=>
      Revision_6_EXMPLR1908, H15530_record_B_RAW_GAP(3)=>
      Revision_6_EXMPLR1908, H15530_record_B_RAW_GAP(2)=>
      Revision_6_EXMPLR1908, H15530_record_B_RAW_GAP(1)=>
      Revision_6_EXMPLR1908, H15530_record_B_RAW_GAP(0)=>
      Revision_6_EXMPLR1908, H15530_record_B_GAP(6)=>Revision_6_EXMPLR1908, 
      H15530_record_B_GAP(5)=>Revision_6_EXMPLR1908, H15530_record_B_GAP(4)
      =>Revision_6_EXMPLR1908, H15530_record_B_GAP(3)=>Revision_6_EXMPLR1908, 
      H15530_record_B_GAP(2)=>Revision_6_EXMPLR1908, H15530_record_B_GAP(1)
      =>Revision_6_EXMPLR1908, H15530_record_B_GAP(0)=>Revision_6_EXMPLR1908, 
      H15530_record_B_Gap_found(2)=>Revision_6_EXMPLR1908, 
      H15530_record_B_Gap_found(1)=>Revision_6_EXMPLR1908, 
      H15530_record_B_Gap_found(0)=>Revision_6_EXMPLR1908, 
      H15530_record_B_RxRDY_plus_12us=>Revision_6_EXMPLR1908, 
      H15530_record_B_RxRDY_plus_10us=>Revision_6_EXMPLR1908, 
      H15530_record_B_CS=>Revision_6_EXMPLR1908, H15530_record_B_Pre_EchoRdy
      =>Revision_6_EXMPLR1908, H15530_record_B_Command_Sync=>
      Revision_6_EXMPLR1908, H15530_record_B_Pre_RxRdy=>
      Revision_6_EXMPLR1908, H15530_record_B_recieving=>
      Revision_6_EXMPLR1908, RT_Address_wire(5)=>Revision_6_EXMPLR1908, 
      RT_Address_wire(4)=>Revision_6_EXMPLR1908, RT_Address_wire(3)=>
      Revision_6_EXMPLR1908, RT_Address_wire(2)=>Revision_6_EXMPLR1908, 
      RT_Address_wire(1)=>Revision_6_EXMPLR1908, RT_Address_wire(0)=>
      Revision_6_EXMPLR1908, ResetN=>ResetN, External_CE_In=>
      Revision_6_EXMPLR1908, CE=>CE, RT_Address_A_valid=>RT_Address_A_valid, 
      RT_Address_B_valid=>RT_Address_B_valid, RT_Address_Parity_Error=>
      DANGLING(0));
   I0 : Back_end_IF_8_4_0_40 port map ( Active_command(15)=>
      Current_command_EXMPLR2002(15), Active_command(14)=>
      Current_command_EXMPLR2002(14), Active_command(13)=>
      Current_command_EXMPLR2002(13), Active_command(12)=>
      Current_command_EXMPLR2002(12), Active_command(11)=>
      Current_command_EXMPLR2002(11), Active_command(10)=>
      Current_command_EXMPLR2002(10), Active_command(9)=>
      Current_command_EXMPLR2002(9), Active_command(8)=>
      Current_command_EXMPLR2002(8), Active_command(7)=>
      Current_command_EXMPLR2002(7), Active_command(6)=>
      Current_command_EXMPLR2002(6), Active_command(5)=>
      Current_command_EXMPLR2002(5), Active_command(4)=>
      Current_command_EXMPLR2002(4), Active_command(3)=>
      Current_command_EXMPLR2002(3), Active_command(2)=>
      Current_command_EXMPLR2002(2), Active_command(1)=>
      Current_command_EXMPLR2002(1), Active_command(0)=>
      Current_command_EXMPLR2002(0), Active_command_update=>
      Active_command_updated, BIT_word(15)=>BIT_word(15), BIT_word(14)=>
      BIT_word(14), BIT_word(13)=>BIT_word(13), BIT_word(12)=>BIT_word(12), 
      BIT_word(11)=>BIT_word(11), BIT_word(10)=>BIT_word(10), BIT_word(9)=>
      BIT_word(9), BIT_word(8)=>BIT_word(8), BIT_word(7)=>BIT_word(7), 
      BIT_word(6)=>BIT_word(6), BIT_word(5)=>BIT_word(5), BIT_word(4)=>
      BIT_word(4), BIT_word(3)=>BIT_word(3), BIT_word(2)=>BIT_word(2), 
      BIT_word(1)=>BIT_word(1), BIT_word(0)=>BIT_word(0), 
      Bus_Channel_status(10)=>Bus_Channel_status_10, Bus_Channel_status(9)=>
      Revision_6_EXMPLR1908, Bus_Channel_status(8)=>Revision_6_EXMPLR1908, 
      Bus_Channel_status(7)=>Revision_6_EXMPLR1908, Bus_Channel_status(6)=>
      Revision_6_EXMPLR1908, Bus_Channel_status(5)=>Revision_6_EXMPLR1908, 
      Bus_Channel_status(4)=>Bus_Channel_status_4, Bus_Channel_status(3)=>
      Revision_6_EXMPLR1908, Bus_Channel_status(2)=>Revision_6_EXMPLR1908, 
      Bus_Channel_status(1)=>Revision_6_EXMPLR1908, Bus_Channel_status(0)=>
      Revision_6_EXMPLR1908, CE=>CE, CPU_ResetN=>CPU_ResetN, Clock=>Clock, 
      Data_in(15)=>Data_in(15), Data_in(14)=>Data_in(14), Data_in(13)=>
      Data_in(13), Data_in(12)=>Data_in(12), Data_in(11)=>Data_in(11), 
      Data_in(10)=>Data_in(10), Data_in(9)=>Data_in(9), Data_in(8)=>
      Data_in(8), Data_in(7)=>Data_in(7), Data_in(6)=>Data_in(6), Data_in(5)
      =>Data_in(5), Data_in(4)=>Data_in(4), Data_in(3)=>Data_in(3), 
      Data_in(2)=>Data_in(2), Data_in(1)=>Data_in(1), Data_in(0)=>Data_in(0), 
      FE_Address(15)=>Revision_6_EXMPLR1908, FE_Address(14)=>
      Revision_6_EXMPLR1908, FE_Address(13)=>Revision_6_EXMPLR1908, 
      FE_Address(12)=>Revision_6_EXMPLR1908, FE_Address(11)=>
      Revision_6_EXMPLR1908, FE_Address(10)=>Revision_6_EXMPLR1908, 
      FE_Address(9)=>Address_9_EXMPLR1822, FE_Address(8)=>
      Address_8_EXMPLR1823, FE_Address(7)=>Address_7_EXMPLR1824, 
      FE_Address(6)=>Address_6_EXMPLR1825, FE_Address(5)=>
      Address_5_EXMPLR1826, FE_Address(4)=>Address_4_EXMPLR1827, 
      FE_Address(3)=>Address_3_EXMPLR1828, FE_Address(2)=>
      Address_2_EXMPLR1829, FE_Address(1)=>Address_1_EXMPLR1830, 
      FE_Address(0)=>Address_0_EXMPLR1831, Host_Status_Bits(10)=>
      Host_Status_Bits(10), Host_Status_Bits(9)=>Host_Status_Bits(9), 
      Host_Status_Bits(8)=>Host_Status_Bits(8), Host_Status_Bits(7)=>
      Host_Status_Bits(7), Host_Status_Bits(6)=>Host_Status_Bits(6), 
      Host_Status_Bits(5)=>Host_Status_Bits(5), Host_Status_Bits(4)=>
      Host_Status_Bits(4), Host_Status_Bits(3)=>Host_Status_Bits(3), 
      Host_Status_Bits(2)=>Host_Status_Bits(2), Host_Status_Bits(1)=>
      Host_Status_Bits(1), Host_Status_Bits(0)=>Host_Status_Bits(0), 
      IDLE_MORE_THAN_NO_RESPONSE=>IDLE_MORE_THAN_NO_RESPONSE, Inhibit_TF=>
      Inhibit_TF_A, MODE_CODE1553A=>MODE_CODE1553A, Message_ended_OK=>
      Message_ended_OK_EXMPLR1883, Read_req=>read_Req_A, Valid_command=>
      New_Command_EXMPLR1884, Wrap_Address(4)=>Revision_6_EXMPLR1908, 
      Wrap_Address(3)=>Revision_6_EXMPLR1908, Wrap_Address(2)=>
      Revision_6_EXMPLR1908, Wrap_Address(1)=>Revision_6_EXMPLR1908, 
      Wrap_Address(0)=>Revision_6_EXMPLR1908, Write_Req=>Write_Req_A, 
      Write_data(15)=>Revision_6_EXMPLR1908, Write_data(14)=>
      Revision_6_EXMPLR1908, Write_data(13)=>Revision_6_EXMPLR1908, 
      Write_data(12)=>Revision_6_EXMPLR1908, Write_data(11)=>
      Revision_6_EXMPLR1908, Write_data(10)=>Revision_6_EXMPLR1908, 
      Write_data(9)=>Revision_6_EXMPLR1908, Write_data(8)=>
      Revision_6_EXMPLR1908, Write_data(7)=>Revision_6_EXMPLR1908, 
      Write_data(6)=>Revision_6_EXMPLR1908, Write_data(5)=>
      Revision_6_EXMPLR1908, Write_data(4)=>Revision_6_EXMPLR1908, 
      Write_data(3)=>Revision_6_EXMPLR1908, Write_data(2)=>
      Revision_6_EXMPLR1908, Write_data(1)=>Revision_6_EXMPLR1908, 
      Write_data(0)=>Revision_6_EXMPLR1908, Xmitting_A=>Xmitting_A, 
      Xmitting_B=>Xmitting_B, illegal_command=>illegal_command, 
      reset_RT_received=>reset_RT_received_A, Channel_status(10)=>
      Channel_status_EXMPLR2005(10), Channel_status(9)=>
      Channel_status_EXMPLR2005(9), Channel_status(8)=>
      Channel_status_EXMPLR2005(8), Channel_status(7)=>
      Channel_status_EXMPLR2005(7), Channel_status(6)=>
      Channel_status_EXMPLR2005(6), Channel_status(5)=>
      Channel_status_EXMPLR2005(5), Channel_status(4)=>
      Channel_status_EXMPLR2005(4), Channel_status(3)=>
      Channel_status_EXMPLR2005(3), Channel_status(2)=>
      Channel_status_EXMPLR2005(2), Channel_status(1)=>
      Channel_status_EXMPLR2005(1), Channel_status(0)=>
      Channel_status_EXMPLR2005(0), Clock_enable=>Clock_enable, Read=>Read, 
      Write_Ack=>Write_Ack_A, read_Ack=>read_Ack_A, read_Data(15)=>
      read_Data(15), read_Data(14)=>read_Data(14), read_Data(13)=>
      read_Data(13), read_Data(12)=>read_Data(12), read_Data(11)=>
      read_Data(11), read_Data(10)=>read_Data(10), read_Data(9)=>
      read_Data(9), read_Data(8)=>read_Data(8), read_Data(7)=>read_Data(7), 
      read_Data(6)=>read_Data(6), read_Data(5)=>read_Data(5), read_Data(4)=>
      read_Data(4), read_Data(3)=>read_Data(3), read_Data(2)=>read_Data(2), 
      read_Data(1)=>read_Data(1), read_Data(0)=>read_Data(0), Address(15)=>
      DANGLING(1), Address(14)=>DANGLING(2), Address(13)=>DANGLING(3), 
      Address(12)=>DANGLING(4), Address(11)=>DANGLING(5), Address(10)=>
      DANGLING(6), Address(9)=>DANGLING(7), Address(8)=>DANGLING(8), 
      Address(7)=>DANGLING(9), Address(6)=>DANGLING(10), Address(5)=>
      DANGLING(11), Address(4)=>DANGLING(12), Address(3)=>DANGLING(13), 
      Address(2)=>DANGLING(14), Address(1)=>DANGLING(15), Address(0)=>
      DANGLING(16), Data_out(15)=>DANGLING(17), Data_out(14)=>DANGLING(18), 
      Data_out(13)=>DANGLING(19), Data_out(12)=>DANGLING(20), Data_out(11)=>
      DANGLING(21), Data_out(10)=>DANGLING(22), Data_out(9)=>DANGLING(23), 
      Data_out(8)=>DANGLING(24), Data_out(7)=>DANGLING(25), Data_out(6)=>
      DANGLING(26), Data_out(5)=>DANGLING(27), Data_out(4)=>DANGLING(28), 
      Data_out(3)=>DANGLING(29), Data_out(2)=>DANGLING(30), Data_out(1)=>
      DANGLING(31), Data_out(0)=>DANGLING(32), Last_command(15)=>
      Last_command(15), Last_command(14)=>Last_command(14), Last_command(13)
      =>Last_command(13), Last_command(12)=>Last_command(12), 
      Last_command(11)=>Last_command(11), Last_command(10)=>Last_command(10), 
      Last_command(9)=>Last_command(9), Last_command(8)=>Last_command(8), 
      Last_command(7)=>Last_command(7), Last_command(6)=>Last_command(6), 
      Last_command(5)=>Last_command(5), Last_command(4)=>Last_command(4), 
      Last_command(3)=>Last_command(3), Last_command(2)=>Last_command(2), 
      Last_command(1)=>Last_command(1), Last_command(0)=>Last_command(0), 
      ResetN=>ResetN, Write=>Write);
   Dual_channel_stm : Dual_channel_stm_ver8_4_1 port map ( C=>Clock, R=>
      ResetN, CE=>CE_RT, Hila=>Revision_3_EXMPLR1909, RT_Address_valid_A=>
      RT_Address_A_valid, RT_Address_valid_B=>RT_Address_B_valid, 
      Rcv_A_Sync_error=>Revision_6_EXMPLR1908, Rcv_A_Manchester_error=>
      Revision_6_EXMPLR1908, Rcv_A_Parity_error=>Revision_6_EXMPLR1908, 
      Rcv_A_echo_back_bus=>Revision_6_EXMPLR1908, Rcv_A_R_Data(15)=>
      H15530_record_A_R_Data_EXMPLR2006(15), Rcv_A_R_Data(14)=>
      H15530_record_A_R_Data_EXMPLR2006(14), Rcv_A_R_Data(13)=>
      H15530_record_A_R_Data_EXMPLR2006(13), Rcv_A_R_Data(12)=>
      H15530_record_A_R_Data_EXMPLR2006(12), Rcv_A_R_Data(11)=>
      H15530_record_A_R_Data_EXMPLR2006(11), Rcv_A_R_Data(10)=>
      H15530_record_A_R_Data_EXMPLR2006(10), Rcv_A_R_Data(9)=>
      H15530_record_A_R_Data_EXMPLR2006(9), Rcv_A_R_Data(8)=>
      H15530_record_A_R_Data_EXMPLR2006(8), Rcv_A_R_Data(7)=>
      H15530_record_A_R_Data_EXMPLR2006(7), Rcv_A_R_Data(6)=>
      H15530_record_A_R_Data_EXMPLR2006(6), Rcv_A_R_Data(5)=>
      H15530_record_A_R_Data_EXMPLR2006(5), Rcv_A_R_Data(4)=>
      H15530_record_A_R_Data_EXMPLR2006(4), Rcv_A_R_Data(3)=>
      H15530_record_A_R_Data_EXMPLR2006(3), Rcv_A_R_Data(2)=>
      H15530_record_A_R_Data_EXMPLR2006(2), Rcv_A_R_Data(1)=>
      H15530_record_A_R_Data_EXMPLR2006(1), Rcv_A_R_Data(0)=>
      H15530_record_A_R_Data_EXMPLR2006(0), Rcv_A_RAW_GAP(6)=>
      H15530_record_A_RAW_GAP_EXMPLR2007(6), Rcv_A_RAW_GAP(5)=>
      H15530_record_A_RAW_GAP_EXMPLR2007(5), Rcv_A_RAW_GAP(4)=>
      H15530_record_A_RAW_GAP_EXMPLR2007(4), Rcv_A_RAW_GAP(3)=>
      H15530_record_A_RAW_GAP_EXMPLR2007(3), Rcv_A_RAW_GAP(2)=>
      H15530_record_A_RAW_GAP_EXMPLR2007(2), Rcv_A_RAW_GAP(1)=>
      H15530_record_A_RAW_GAP_EXMPLR2007(1), Rcv_A_RAW_GAP(0)=>
      H15530_record_A_RAW_GAP_EXMPLR2007(0), Rcv_A_GAP(6)=>
      Revision_6_EXMPLR1908, Rcv_A_GAP(5)=>Revision_6_EXMPLR1908, 
      Rcv_A_GAP(4)=>Revision_6_EXMPLR1908, Rcv_A_GAP(3)=>
      Revision_6_EXMPLR1908, Rcv_A_GAP(2)=>Revision_6_EXMPLR1908, 
      Rcv_A_GAP(1)=>Revision_6_EXMPLR1908, Rcv_A_GAP(0)=>
      Revision_6_EXMPLR1908, Rcv_A_Gap_found(2)=>
      H15530_record_A_Gap_found_EXMPLR2009(2), Rcv_A_Gap_found(1)=>
      H15530_record_A_Gap_found_EXMPLR2009(1), Rcv_A_Gap_found(0)=>
      H15530_record_A_Gap_found_EXMPLR2009(0), Rcv_A_RxRDY_plus_12us=>
      Revision_6_EXMPLR1908, Rcv_A_RxRDY_plus_10us=>
      H15530_record_A_RxRDY_plus_10us_EXMPLR1951, Rcv_A_CS=>
      H15530_record_A_CS_EXMPLR1952, Rcv_A_Pre_EchoRdy=>
      Revision_6_EXMPLR1908, Rcv_A_Command_Sync=>
      H15530_record_A_Command_Sync_EXMPLR1954, Rcv_A_Pre_RxRdy=>
      H15530_record_A_Pre_RxRdy_EXMPLR1955, Rcv_A_recieving=>
      H15530_record_A_recieving_EXMPLR1956, Rcv_B_Sync_error=>
      Revision_6_EXMPLR1908, Rcv_B_Manchester_error=>Revision_6_EXMPLR1908, 
      Rcv_B_Parity_error=>Revision_6_EXMPLR1908, Rcv_B_echo_back_bus=>
      Revision_6_EXMPLR1908, Rcv_B_R_Data(15)=>
      H15530_record_B_R_Data_EXMPLR2010(15), Rcv_B_R_Data(14)=>
      H15530_record_B_R_Data_EXMPLR2010(14), Rcv_B_R_Data(13)=>
      H15530_record_B_R_Data_EXMPLR2010(13), Rcv_B_R_Data(12)=>
      H15530_record_B_R_Data_EXMPLR2010(12), Rcv_B_R_Data(11)=>
      H15530_record_B_R_Data_EXMPLR2010(11), Rcv_B_R_Data(10)=>
      H15530_record_B_R_Data_EXMPLR2010(10), Rcv_B_R_Data(9)=>
      H15530_record_B_R_Data_EXMPLR2010(9), Rcv_B_R_Data(8)=>
      H15530_record_B_R_Data_EXMPLR2010(8), Rcv_B_R_Data(7)=>
      H15530_record_B_R_Data_EXMPLR2010(7), Rcv_B_R_Data(6)=>
      H15530_record_B_R_Data_EXMPLR2010(6), Rcv_B_R_Data(5)=>
      H15530_record_B_R_Data_EXMPLR2010(5), Rcv_B_R_Data(4)=>
      H15530_record_B_R_Data_EXMPLR2010(4), Rcv_B_R_Data(3)=>
      H15530_record_B_R_Data_EXMPLR2010(3), Rcv_B_R_Data(2)=>
      H15530_record_B_R_Data_EXMPLR2010(2), Rcv_B_R_Data(1)=>
      H15530_record_B_R_Data_EXMPLR2010(1), Rcv_B_R_Data(0)=>
      H15530_record_B_R_Data_EXMPLR2010(0), Rcv_B_RAW_GAP(6)=>
      H15530_record_B_RAW_GAP_EXMPLR2011(6), Rcv_B_RAW_GAP(5)=>
      H15530_record_B_RAW_GAP_EXMPLR2011(5), Rcv_B_RAW_GAP(4)=>
      H15530_record_B_RAW_GAP_EXMPLR2011(4), Rcv_B_RAW_GAP(3)=>
      H15530_record_B_RAW_GAP_EXMPLR2011(3), Rcv_B_RAW_GAP(2)=>
      H15530_record_B_RAW_GAP_EXMPLR2011(2), Rcv_B_RAW_GAP(1)=>
      H15530_record_B_RAW_GAP_EXMPLR2011(1), Rcv_B_RAW_GAP(0)=>
      H15530_record_B_RAW_GAP_EXMPLR2011(0), Rcv_B_GAP(6)=>
      Revision_6_EXMPLR1908, Rcv_B_GAP(5)=>Revision_6_EXMPLR1908, 
      Rcv_B_GAP(4)=>Revision_6_EXMPLR1908, Rcv_B_GAP(3)=>
      Revision_6_EXMPLR1908, Rcv_B_GAP(2)=>Revision_6_EXMPLR1908, 
      Rcv_B_GAP(1)=>Revision_6_EXMPLR1908, Rcv_B_GAP(0)=>
      Revision_6_EXMPLR1908, Rcv_B_Gap_found(2)=>
      H15530_record_B_Gap_found_EXMPLR2013(2), Rcv_B_Gap_found(1)=>
      H15530_record_B_Gap_found_EXMPLR2013(1), Rcv_B_Gap_found(0)=>
      H15530_record_B_Gap_found_EXMPLR2013(0), Rcv_B_RxRDY_plus_12us=>
      Revision_6_EXMPLR1908, Rcv_B_RxRDY_plus_10us=>
      H15530_record_B_RxRDY_plus_10us_EXMPLR1990, Rcv_B_CS=>
      H15530_record_B_CS_EXMPLR1991, Rcv_B_Pre_EchoRdy=>
      Revision_6_EXMPLR1908, Rcv_B_Command_Sync=>
      H15530_record_B_Command_Sync_EXMPLR1993, Rcv_B_Pre_RxRdy=>
      H15530_record_B_Pre_RxRdy_EXMPLR1994, Rcv_B_recieving=>
      H15530_record_B_recieving_EXMPLR1995, No_Response_timeout(2)=>
      No_Response_timeout(2), No_Response_timeout(1)=>No_Response_timeout(1), 
      No_Response_timeout(0)=>No_Response_timeout(0), TxRdy=>
      BC_TxRdy_EXMPLR1832, Active_Bus_A=>BUS_A_EXMPLR1833, Transmit_data(15)
      =>RT_Transmit_data(15), Transmit_data(14)=>RT_Transmit_data(14), 
      Transmit_data(13)=>RT_Transmit_data(13), Transmit_data(12)=>
      RT_Transmit_data(12), Transmit_data(11)=>RT_Transmit_data(11), 
      Transmit_data(10)=>RT_Transmit_data(10), Transmit_data(9)=>
      RT_Transmit_data(9), Transmit_data(8)=>RT_Transmit_data(8), 
      Transmit_data(7)=>RT_Transmit_data(7), Transmit_data(6)=>
      RT_Transmit_data(6), Transmit_data(5)=>RT_Transmit_data(5), 
      Transmit_data(4)=>RT_Transmit_data(4), Transmit_data(3)=>
      RT_Transmit_data(3), Transmit_data(2)=>RT_Transmit_data(2), 
      Transmit_data(1)=>RT_Transmit_data(1), Transmit_data(0)=>
      RT_Transmit_data(0), T_Sync=>RT_T_Sync, Go=>RT_Go, end_of_tx=>
      end_of_tx, Bus_A_shut_down=>Bus_A_shut_down, Bus_B_shut_down=>
      Bus_B_shut_down, Address(15)=>DANGLING(33), Address(14)=>DANGLING(34), 
      Address(13)=>DANGLING(35), Address(12)=>DANGLING(36), Address(11)=>
      DANGLING(37), Address(10)=>Address(10), Address(9)=>
      Address_9_EXMPLR1822, Address(8)=>Address_8_EXMPLR1823, Address(7)=>
      Address_7_EXMPLR1824, Address(6)=>Address_6_EXMPLR1825, Address(5)=>
      Address_5_EXMPLR1826, Address(4)=>Address_4_EXMPLR1827, Address(3)=>
      Address_3_EXMPLR1828, Address(2)=>Address_2_EXMPLR1829, Address(1)=>
      Address_1_EXMPLR1830, Address(0)=>Address_0_EXMPLR1831, 
      reset_remote_terminal_received=>reset_RT_received_A, Inhibit_TF=>
      Inhibit_TF_A, active_command(15)=>Current_command_EXMPLR2002(15), 
      active_command(14)=>Current_command_EXMPLR2002(14), active_command(13)
      =>Current_command_EXMPLR2002(13), active_command(12)=>
      Current_command_EXMPLR2002(12), active_command(11)=>
      Current_command_EXMPLR2002(11), active_command(10)=>
      Current_command_EXMPLR2002(10), active_command(9)=>
      Current_command_EXMPLR2002(9), active_command(8)=>
      Current_command_EXMPLR2002(8), active_command(7)=>
      Current_command_EXMPLR2002(7), active_command(6)=>
      Current_command_EXMPLR2002(6), active_command(5)=>
      Current_command_EXMPLR2002(5), active_command(4)=>
      Current_command_EXMPLR2002(4), active_command(3)=>
      Current_command_EXMPLR2002(3), active_command(2)=>
      Current_command_EXMPLR2002(2), active_command(1)=>
      Current_command_EXMPLR2002(1), active_command(0)=>
      Current_command_EXMPLR2002(0), illegal_command=>illegal_command, 
      Do_illegal=>Do_illegal, Active_command_updated=>Active_command_updated, 
      Message_ended_OK=>Message_ended_OK_EXMPLR1883, Message_ended_not_OK=>
      Message_ended_not_OK, Valid_command=>New_Command_EXMPLR1884, Write_Req
      =>Write_Req_A, Write_Data(15)=>Data_out(15), Write_Data(14)=>
      Data_out(14), Write_Data(13)=>Data_out(13), Write_Data(12)=>
      Data_out(12), Write_Data(11)=>Data_out(11), Write_Data(10)=>
      Data_out(10), Write_Data(9)=>Data_out(9), Write_Data(8)=>Data_out(8), 
      Write_Data(7)=>Data_out(7), Write_Data(6)=>Data_out(6), Write_Data(5)
      =>Data_out(5), Write_Data(4)=>Data_out(4), Write_Data(3)=>Data_out(3), 
      Write_Data(2)=>Data_out(2), Write_Data(1)=>Data_out(1), Write_Data(0)
      =>Data_out(0), Write_Ack=>Write_Ack_A, read_Req=>read_Req_A, 
      read_Data(15)=>read_Data(15), read_Data(14)=>read_Data(14), 
      read_Data(13)=>read_Data(13), read_Data(12)=>read_Data(12), 
      read_Data(11)=>read_Data(11), read_Data(10)=>read_Data(10), 
      read_Data(9)=>read_Data(9), read_Data(8)=>read_Data(8), read_Data(7)=>
      read_Data(7), read_Data(6)=>read_Data(6), read_Data(5)=>read_Data(5), 
      read_Data(4)=>read_Data(4), read_Data(3)=>read_Data(3), read_Data(2)=>
      read_Data(2), read_Data(1)=>read_Data(1), read_Data(0)=>read_Data(0), 
      read_Ack=>read_Ack_A, Channel_status_out(10)=>Bus_Channel_status_10, 
      Channel_status_out(9)=>DANGLING(38), Channel_status_out(8)=>DANGLING(
      39), Channel_status_out(7)=>DANGLING(40), Channel_status_out(6)=>
      DANGLING(41), Channel_status_out(5)=>DANGLING(42), 
      Channel_status_out(4)=>Bus_Channel_status_4, Channel_status_out(3)=>
      DANGLING(43), Channel_status_out(2)=>DANGLING(44), 
      Channel_status_out(1)=>DANGLING(45), Channel_status_out(0)=>DANGLING(
      46), Channel_status(10)=>Channel_status_EXMPLR2005(10), 
      Channel_status(9)=>Channel_status_EXMPLR2005(9), Channel_status(8)=>
      Channel_status_EXMPLR2005(8), Channel_status(7)=>
      Channel_status_EXMPLR2005(7), Channel_status(6)=>
      Channel_status_EXMPLR2005(6), Channel_status(5)=>
      Channel_status_EXMPLR2005(5), Channel_status(4)=>
      Channel_status_EXMPLR2005(4), Channel_status(3)=>
      Channel_status_EXMPLR2005(3), Channel_status(2)=>
      Channel_status_EXMPLR2005(2), Channel_status(1)=>
      Channel_status_EXMPLR2005(1), Channel_status(0)=>
      Channel_status_EXMPLR2005(0), RT2RT_message=>RT2RT_message, NO_BCST=>
      Revision_6_EXMPLR1908, MODE_CODE1553A=>MODE_CODE1553A);
   H15530_A : H15530_Ver17_40_0 port map ( CE=>CE, Check_loop_back=>
      Check_loop_back, Check_value=>Check_value, Clock=>Clock, Minus=>
      Minus_AM, PP194_CS=>Revision_6_EXMPLR1908, Plus=>Plus_AM, ResetN=>
      H15530_ResetN, Xmitting=>Xmitting_A, Bi_error=>DANGLING(47), 
      H15530_record_Sync_error=>DANGLING(48), H15530_record_Manchester_error
      =>DANGLING(49), H15530_record_Parity_error=>DANGLING(50), 
      H15530_record_echo_back_bus=>DANGLING(51), H15530_record_R_Data(15)=>
      H15530_record_A_R_Data_EXMPLR2006(15), H15530_record_R_Data(14)=>
      H15530_record_A_R_Data_EXMPLR2006(14), H15530_record_R_Data(13)=>
      H15530_record_A_R_Data_EXMPLR2006(13), H15530_record_R_Data(12)=>
      H15530_record_A_R_Data_EXMPLR2006(12), H15530_record_R_Data(11)=>
      H15530_record_A_R_Data_EXMPLR2006(11), H15530_record_R_Data(10)=>
      H15530_record_A_R_Data_EXMPLR2006(10), H15530_record_R_Data(9)=>
      H15530_record_A_R_Data_EXMPLR2006(9), H15530_record_R_Data(8)=>
      H15530_record_A_R_Data_EXMPLR2006(8), H15530_record_R_Data(7)=>
      H15530_record_A_R_Data_EXMPLR2006(7), H15530_record_R_Data(6)=>
      H15530_record_A_R_Data_EXMPLR2006(6), H15530_record_R_Data(5)=>
      H15530_record_A_R_Data_EXMPLR2006(5), H15530_record_R_Data(4)=>
      H15530_record_A_R_Data_EXMPLR2006(4), H15530_record_R_Data(3)=>
      H15530_record_A_R_Data_EXMPLR2006(3), H15530_record_R_Data(2)=>
      H15530_record_A_R_Data_EXMPLR2006(2), H15530_record_R_Data(1)=>
      H15530_record_A_R_Data_EXMPLR2006(1), H15530_record_R_Data(0)=>
      H15530_record_A_R_Data_EXMPLR2006(0), H15530_record_RAW_GAP(6)=>
      H15530_record_A_RAW_GAP_EXMPLR2007(6), H15530_record_RAW_GAP(5)=>
      H15530_record_A_RAW_GAP_EXMPLR2007(5), H15530_record_RAW_GAP(4)=>
      H15530_record_A_RAW_GAP_EXMPLR2007(4), H15530_record_RAW_GAP(3)=>
      H15530_record_A_RAW_GAP_EXMPLR2007(3), H15530_record_RAW_GAP(2)=>
      H15530_record_A_RAW_GAP_EXMPLR2007(2), H15530_record_RAW_GAP(1)=>
      H15530_record_A_RAW_GAP_EXMPLR2007(1), H15530_record_RAW_GAP(0)=>
      H15530_record_A_RAW_GAP_EXMPLR2007(0), H15530_record_GAP(6)=>
      H15530_record_A_GAP(6), H15530_record_GAP(5)=>H15530_record_A_GAP(5), 
      H15530_record_GAP(4)=>H15530_record_A_GAP(4), H15530_record_GAP(3)=>
      H15530_record_A_GAP(3), H15530_record_GAP(2)=>H15530_record_A_GAP(2), 
      H15530_record_GAP(1)=>H15530_record_A_GAP(1), H15530_record_GAP(0)=>
      H15530_record_A_GAP(0), H15530_record_Gap_found(2)=>
      H15530_record_A_Gap_found_EXMPLR2009(2), H15530_record_Gap_found(1)=>
      H15530_record_A_Gap_found_EXMPLR2009(1), H15530_record_Gap_found(0)=>
      H15530_record_A_Gap_found_EXMPLR2009(0), H15530_record_RxRDY_plus_12us
      =>DANGLING(52), H15530_record_RxRDY_plus_10us=>
      H15530_record_A_RxRDY_plus_10us_EXMPLR1951, H15530_record_CS=>
      H15530_record_A_CS_EXMPLR1952, H15530_record_Pre_EchoRdy=>
      H15530_record_A_Pre_EchoRdy, H15530_record_Command_Sync=>
      H15530_record_A_Command_Sync_EXMPLR1954, H15530_record_Pre_RxRdy=>
      H15530_record_A_Pre_RxRdy_EXMPLR1955, H15530_record_recieving=>
      H15530_record_A_recieving_EXMPLR1956, Echo_Error=>Echo_Error_A, 
      Parity_error=>DANGLING(53), Sync_error=>RCV_A_Sync_error);
   H15530_B : H15530_Ver17_40_0 port map ( CE=>CE, Check_loop_back=>
      Check_loop_back, Check_value=>Check_value, Clock=>Clock, Minus=>
      Minus_BM, PP194_CS=>Revision_6_EXMPLR1908, Plus=>Plus_BM, ResetN=>
      H15530_ResetN, Xmitting=>Xmitting_B, Bi_error=>DANGLING(54), 
      H15530_record_Sync_error=>DANGLING(55), H15530_record_Manchester_error
      =>DANGLING(56), H15530_record_Parity_error=>DANGLING(57), 
      H15530_record_echo_back_bus=>DANGLING(58), H15530_record_R_Data(15)=>
      H15530_record_B_R_Data_EXMPLR2010(15), H15530_record_R_Data(14)=>
      H15530_record_B_R_Data_EXMPLR2010(14), H15530_record_R_Data(13)=>
      H15530_record_B_R_Data_EXMPLR2010(13), H15530_record_R_Data(12)=>
      H15530_record_B_R_Data_EXMPLR2010(12), H15530_record_R_Data(11)=>
      H15530_record_B_R_Data_EXMPLR2010(11), H15530_record_R_Data(10)=>
      H15530_record_B_R_Data_EXMPLR2010(10), H15530_record_R_Data(9)=>
      H15530_record_B_R_Data_EXMPLR2010(9), H15530_record_R_Data(8)=>
      H15530_record_B_R_Data_EXMPLR2010(8), H15530_record_R_Data(7)=>
      H15530_record_B_R_Data_EXMPLR2010(7), H15530_record_R_Data(6)=>
      H15530_record_B_R_Data_EXMPLR2010(6), H15530_record_R_Data(5)=>
      H15530_record_B_R_Data_EXMPLR2010(5), H15530_record_R_Data(4)=>
      H15530_record_B_R_Data_EXMPLR2010(4), H15530_record_R_Data(3)=>
      H15530_record_B_R_Data_EXMPLR2010(3), H15530_record_R_Data(2)=>
      H15530_record_B_R_Data_EXMPLR2010(2), H15530_record_R_Data(1)=>
      H15530_record_B_R_Data_EXMPLR2010(1), H15530_record_R_Data(0)=>
      H15530_record_B_R_Data_EXMPLR2010(0), H15530_record_RAW_GAP(6)=>
      H15530_record_B_RAW_GAP_EXMPLR2011(6), H15530_record_RAW_GAP(5)=>
      H15530_record_B_RAW_GAP_EXMPLR2011(5), H15530_record_RAW_GAP(4)=>
      H15530_record_B_RAW_GAP_EXMPLR2011(4), H15530_record_RAW_GAP(3)=>
      H15530_record_B_RAW_GAP_EXMPLR2011(3), H15530_record_RAW_GAP(2)=>
      H15530_record_B_RAW_GAP_EXMPLR2011(2), H15530_record_RAW_GAP(1)=>
      H15530_record_B_RAW_GAP_EXMPLR2011(1), H15530_record_RAW_GAP(0)=>
      H15530_record_B_RAW_GAP_EXMPLR2011(0), H15530_record_GAP(6)=>
      H15530_record_B_GAP(6), H15530_record_GAP(5)=>H15530_record_B_GAP(5), 
      H15530_record_GAP(4)=>H15530_record_B_GAP(4), H15530_record_GAP(3)=>
      H15530_record_B_GAP(3), H15530_record_GAP(2)=>H15530_record_B_GAP(2), 
      H15530_record_GAP(1)=>H15530_record_B_GAP(1), H15530_record_GAP(0)=>
      H15530_record_B_GAP(0), H15530_record_Gap_found(2)=>
      H15530_record_B_Gap_found_EXMPLR2013(2), H15530_record_Gap_found(1)=>
      H15530_record_B_Gap_found_EXMPLR2013(1), H15530_record_Gap_found(0)=>
      H15530_record_B_Gap_found_EXMPLR2013(0), H15530_record_RxRDY_plus_12us
      =>DANGLING(59), H15530_record_RxRDY_plus_10us=>
      H15530_record_B_RxRDY_plus_10us_EXMPLR1990, H15530_record_CS=>
      H15530_record_B_CS_EXMPLR1991, H15530_record_Pre_EchoRdy=>
      H15530_record_B_Pre_EchoRdy, H15530_record_Command_Sync=>
      H15530_record_B_Command_Sync_EXMPLR1993, H15530_record_Pre_RxRdy=>
      H15530_record_B_Pre_RxRdy_EXMPLR1994, H15530_record_recieving=>
      H15530_record_B_recieving_EXMPLR1995, Echo_Error=>Echo_Error_B, 
      Parity_error=>DANGLING(60), Sync_error=>RCV_B_Sync_error);
   I3 : single_Transmitter_FS_ver65_40 port map ( Clock=>Clock, ResetN=>
      ResetN, CE=>CE, T_data(15)=>Transmit_data(15), T_data(14)=>
      Transmit_data(14), T_data(13)=>Transmit_data(13), T_data(12)=>
      Transmit_data(12), T_data(11)=>Transmit_data(11), T_data(10)=>
      Transmit_data(10), T_data(9)=>Transmit_data(9), T_data(8)=>
      Transmit_data(8), T_data(7)=>Transmit_data(7), T_data(6)=>
      Transmit_data(6), T_data(5)=>Transmit_data(5), T_data(4)=>
      Transmit_data(4), T_data(3)=>Transmit_data(3), T_data(2)=>
      Transmit_data(2), T_data(1)=>Transmit_data(1), T_data(0)=>
      Transmit_data(0), T_Sync=>T_Sync, ENC_TEST_On=>ENC_TEST_On, Go=>Go, 
      Bus_A=>Active_Bus_A, TxRdy=>BC_TxRdy_EXMPLR1832, Tx_A=>Tx_A1, Tx_A_N=>
      Tx_A_N1, Tx_B=>Tx_B1, Tx_B_N=>Tx_B_N1, Valid_command=>fail_safe_reset, 
      BC_Mode=>BC_mode, end_of_tx=>end_of_tx, Tx_A_inhibit=>Tx_A_inhibit, 
      Tx_B_inhibit=>Tx_B_inhibit, Xmitting_A=>Xmitting_A, Xmitting_B=>
      Xmitting_B, Check_loop_back=>Check_loop_back, Check_value=>Check_value, 
      Tx_inhibit_fail_safe=>transmitter_timeout);
   CE_RT <= CE AND RT_On ;
   rtlc3n12 <= BC_mode OR ENC_TEST_On ;
   not_loopback_test <= NOT loopback_test ;
   not_ResetN <= NOT ResetN ;
   Tx_A_15n0r1 <= Tx_A1 AND not_Tx_A_15n0r3 ;
   not_Tx_A_15n0r3 <= NOT Tx_A_15n0r3 ;
   Tx_A_15n0r3 <= Tx_A_15n0r4 OR Tx_Inh_A_in ;
   Tx_A_15n0r4 <= Tx_A_inhibit OR loopback_test ;
   Tx_A_N_19n0r1 <= Tx_A_N1 AND not_Tx_A_15n0r3 ;
   Tx_B_23n0r1 <= Tx_B1 AND not_Tx_B_23n0r3 ;
   not_Tx_B_23n0r3 <= NOT Tx_B_23n0r3 ;
   Tx_B_23n0r3 <= Tx_B_23n0r4 OR Tx_Inh_B_in ;
   Tx_B_23n0r4 <= Tx_B_inhibit OR loopback_test ;
   Tx_B_N_27n0r1 <= Tx_B_N1 AND not_Tx_B_23n0r3 ;
   H15530_ResetN_44n0r1 <= not_loopback_test OR loopback_test_D ;
   not_rtlc52n66 <= NOT rtlc52n66 ;
   not_rtlc52n64 <= NOT rtlc52n64 ;
   rtlc52n68 <= not_rtlc52n64 OR not_rtlc52n66 ;
   not_One_Shot_12 <= NOT One_Shot(12) ;
   rtlc52n286 <= One_Shot(7) AND One_Shot(6) ;
   rtlc52_133_or_1024 : or_4u_4u port map ( a(3)=>One_Shot(0), a(2)=>
      One_Shot(1), a(1)=>One_Shot(2), a(0)=>One_Shot(3), d=>rtlc52n287);
   rtlc52n288 <= rtlc52n287 AND One_Shot(4) ;
   rtlc52n289 <= One_Shot(5) OR rtlc52n288 ;
   rtlc52n290 <= rtlc52n286 AND rtlc52n289 ;
   rtlc52n291 <= One_Shot(8) OR rtlc52n290 ;
   rtlc52n292 <= One_Shot(9) AND rtlc52n291 ;
   rtlc52n293 <= rtlc52n292 OR rtlc52n285 ;
   rtlc52n309 <= One_Shot(4) AND One_Shot(3) ;
   rtlc52n311 <= rtlc52n310 AND rtlc52n309 ;
   rtlc52n312 <= rtlc52n308 OR rtlc52n311 ;
   rtlc52n313 <= rtlc52n307 AND rtlc52n312 ;
   rtlc52n314 <= rtlc52n313 OR rtlc52n285 ;
   rtlc52n331 <= rtlc52n330 OR rtlc52n327 ;
   not_rtlcn14 <= NOT rtlcn14 ;
   rtlc52n308 <= One_Shot(6) OR One_Shot(5) ;
   rtlc52n327 <= One_Shot(12) OR One_Shot(11) ;
   rtlcn14 <= One_Shot(11) OR One_Shot(10) ;
   Transmit_data(0) <= BC_Transmit_data(0) when rtlc3n12 = '1' else 
   RT_Transmit_data(0) ;
   Transmit_data(1) <= BC_Transmit_data(1) when rtlc3n12 = '1' else 
   RT_Transmit_data(1) ;
   Transmit_data(2) <= BC_Transmit_data(2) when rtlc3n12 = '1' else 
   RT_Transmit_data(2) ;
   Transmit_data(3) <= BC_Transmit_data(3) when rtlc3n12 = '1' else 
   RT_Transmit_data(3) ;
   Transmit_data(4) <= BC_Transmit_data(4) when rtlc3n12 = '1' else 
   RT_Transmit_data(4) ;
   Transmit_data(5) <= BC_Transmit_data(5) when rtlc3n12 = '1' else 
   RT_Transmit_data(5) ;
   Transmit_data(6) <= BC_Transmit_data(6) when rtlc3n12 = '1' else 
   RT_Transmit_data(6) ;
   Transmit_data(7) <= BC_Transmit_data(7) when rtlc3n12 = '1' else 
   RT_Transmit_data(7) ;
   Transmit_data(8) <= BC_Transmit_data(8) when rtlc3n12 = '1' else 
   RT_Transmit_data(8) ;
   Transmit_data(9) <= BC_Transmit_data(9) when rtlc3n12 = '1' else 
   RT_Transmit_data(9) ;
   Transmit_data(10) <= BC_Transmit_data(10) when rtlc3n12 = '1' else 
   RT_Transmit_data(10) ;
   Transmit_data(11) <= BC_Transmit_data(11) when rtlc3n12 = '1' else 
   RT_Transmit_data(11) ;
   Transmit_data(12) <= BC_Transmit_data(12) when rtlc3n12 = '1' else 
   RT_Transmit_data(12) ;
   Transmit_data(13) <= BC_Transmit_data(13) when rtlc3n12 = '1' else 
   RT_Transmit_data(13) ;
   Transmit_data(14) <= BC_Transmit_data(14) when rtlc3n12 = '1' else 
   RT_Transmit_data(14) ;
   Transmit_data(15) <= BC_Transmit_data(15) when rtlc3n12 = '1' else 
   RT_Transmit_data(15) ;
   T_Sync <= BC_T_sync when rtlc3n12 = '1' else RT_T_Sync ;
   Go <= BC_Go when rtlc3n12 = '1' else RT_Go ;
   Active_Bus_A <= BC_Active_Bus_A when rtlc3n12 = '1' else BUS_A_EXMPLR1833
    ;
   Minus_AM <= Tx_A_N1 when loopback_test = '1' else Minus_A ;
   Plus_AM <= Tx_A1 when loopback_test = '1' else Plus_A ;
   Minus_BM <= Tx_B_N1 when loopback_test = '1' else Minus_B ;
   Plus_BM <= Tx_B1 when loopback_test = '1' else Plus_B ;
   not_rtlc3n12 <= NOT rtlc3n12 ;
   fail_safe_reset <= Active_command_updated AND not_rtlc3n12 ;
   not_One_Shot_11 <= NOT One_Shot(11) ;
   not_One_Shot_9 <= NOT One_Shot(9) ;
   not_One_Shot_8 <= NOT One_Shot(8) ;
   not_One_Shot_7 <= NOT One_Shot(7) ;
   not_One_Shot_6 <= NOT One_Shot(6) ;
   not_One_Shot_5 <= NOT One_Shot(5) ;
   not_One_Shot_4 <= NOT One_Shot(4) ;
   not_One_Shot_3 <= NOT One_Shot(3) ;
   not_One_Shot_2 <= NOT One_Shot(2) ;
   not_One_Shot_1 <= NOT One_Shot(1) ;
   not_One_Shot_0 <= NOT One_Shot(0) ;
   IDLE_MORE_THAN_NO_RESPONSE_and_52i1 : and_13u_13u port map ( a(12)=>
      One_Shot(12), a(11)=>not_One_Shot_11, a(10)=>One_Shot(10), a(9)=>
      not_One_Shot_9, a(8)=>not_One_Shot_8, a(7)=>not_One_Shot_7, a(6)=>
      not_One_Shot_6, a(5)=>not_One_Shot_5, a(4)=>not_One_Shot_4, a(3)=>
      not_One_Shot_3, a(2)=>not_One_Shot_2, a(1)=>not_One_Shot_1, a(0)=>
      not_One_Shot_0, d=>IDLE_MORE_THAN_NO_RESPONSE_52n4s4);
   rtlc_226_mux_1029 : mux_4u_4u port map ( a(3)=>
      IDLE_MORE_THAN_NO_RESPONSE_52n4s4, a(2)=>
      IDLE_MORE_THAN_NO_RESPONSE_52n4s4, a(1)=>rtlc52n331, a(0)=>rtlc52n314, 
      b(3)=>Revision_6_EXMPLR1908, b(2)=>Revision_6_EXMPLR1908, b(1)=>
      No_Response_timeout(1), b(0)=>No_Response_timeout(0), d=>rtlcn39);
   IDLE_MORE_THAN_NO_RESPONSE_52n4ss1 <= rtlcn39 when No_Response_timeout(2)
    = '1' else rtlc52n293 ;
   rtlcn40 <= not_rtlcn14 OR not_One_Shot_12 ;
   rtlcn42 <= rtlcn40 OR any_active ;
   rtlcn44 <= CE AND rtlcn42 ;
   rtlc52n66 <= NOT (Minus_BM XOR Plus_BM) ;
   rtlc52n64 <= NOT (Minus_AM XOR Plus_AM) ;
   DFFPC (Tx_A_15n0r1,Revision_6_EXMPLR1908,not_ResetN,Clock,Tx_A) ;
   DFFPC (Tx_A_N_19n0r1,Revision_6_EXMPLR1908,not_ResetN,Clock,Tx_A_N) ;
   DFFPC (Tx_B_23n0r1,Revision_6_EXMPLR1908,not_ResetN,Clock,Tx_B) ;
   DFFPC (Tx_B_N_27n0r1,Revision_6_EXMPLR1908,not_ResetN,Clock,Tx_B_N) ;
   DFFPC (Tx_A_15n0r3,not_ResetN,Revision_6_EXMPLR1908,Clock,Tx_inh_A) ;
   DFFPC (Tx_B_23n0r3,not_ResetN,Revision_6_EXMPLR1908,Clock,Tx_inh_B) ;
   DFFPC (loopback_test,Revision_6_EXMPLR1908,not_ResetN,Clock,
   loopback_test_D) ;
   DFFPC (H15530_ResetN_44n0r1,Revision_6_EXMPLR1908,not_ResetN,Clock,
   H15530_ResetN) ;
   DFFPCE (transmitter_timeout,Revision_6_EXMPLR1908,not_ResetN,CE,Clock,
   mil1553_errors_transmitter_timout) ;
   DFFPCE (Bus_A_shut_down_dt,Revision_6_EXMPLR1908,not_ResetN,CE,Clock,
   mil1553_errors_bus_A_shutdown) ;
   DFFPCE (Bus_B_shut_down_dt,Revision_6_EXMPLR1908,not_ResetN,CE,Clock,
   mil1553_errors_bus_B_shutdown) ;
   DFFPCE (Echo_Error_A,Revision_6_EXMPLR1908,not_ResetN,CE,Clock,
   mil1553_errors_echo_back_bus_A) ;
   DFFPCE (Echo_Error_B,Revision_6_EXMPLR1908,not_ResetN,CE,Clock,
   mil1553_errors_echo_back_bus_B) ;
   DFFPCE (Channel_status_10_dt,Revision_6_EXMPLR1908,not_ResetN,CE,Clock,
   mil1553_errors_Message_Error_set) ;
   DFFPCE (ME_DvDt,Revision_6_EXMPLR1908,not_ResetN,CE,Clock,
   mil1553_errors_Format_error) ;
   DFFPCE (Inhibit_TF_A_dt,Revision_6_EXMPLR1908,not_ResetN,CE,Clock,
   mil1553_errors_Inhibit_TF) ;
   DFFPCE (IDLE_MORE_THAN_NO_RESPONSE_52n4ss1,not_ResetN,
   Revision_6_EXMPLR1908,CE,Clock,IDLE_MORE_THAN_NO_RESPONSE) ;
   DFFPCE (rtlc52n68,Revision_6_EXMPLR1908,not_ResetN,CE,Clock,any_active) ;
   DFFPCE (rtlcn43(0),Revision_6_EXMPLR1908,not_ResetN,rtlcn44,Clock,
   One_Shot(0)) ;
   DFFPCE (rtlcn43(1),Revision_6_EXMPLR1908,not_ResetN,rtlcn44,Clock,
   One_Shot(1)) ;
   DFFPCE (rtlcn43(2),Revision_6_EXMPLR1908,not_ResetN,rtlcn44,Clock,
   One_Shot(2)) ;
   DFFPCE (rtlcn43(3),Revision_6_EXMPLR1908,not_ResetN,rtlcn44,Clock,
   One_Shot(3)) ;
   DFFPCE (rtlcn43(4),Revision_6_EXMPLR1908,not_ResetN,rtlcn44,Clock,
   One_Shot(4)) ;
   DFFPCE (rtlcn43(5),Revision_6_EXMPLR1908,not_ResetN,rtlcn44,Clock,
   One_Shot(5)) ;
   DFFPCE (rtlcn43(6),Revision_6_EXMPLR1908,not_ResetN,rtlcn44,Clock,
   One_Shot(6)) ;
   DFFPCE (rtlcn43(7),Revision_6_EXMPLR1908,not_ResetN,rtlcn44,Clock,
   One_Shot(7)) ;
   DFFPCE (rtlcn43(8),Revision_6_EXMPLR1908,not_ResetN,rtlcn44,Clock,
   One_Shot(8)) ;
   DFFPCE (rtlcn43(9),Revision_6_EXMPLR1908,not_ResetN,rtlcn44,Clock,
   One_Shot(9)) ;
   DFFPCE (rtlcn43(10),not_ResetN,Revision_6_EXMPLR1908,rtlcn44,Clock,
   One_Shot(10)) ;
   DFFPCE (rtlcn43(11),Revision_6_EXMPLR1908,not_ResetN,rtlcn44,Clock,
   One_Shot(11)) ;
   DFFPCE (rtlcn43(12),not_ResetN,Revision_6_EXMPLR1908,rtlcn44,Clock,
   One_Shot(12)) ;
   Channel_status_10_dt <= Channel_status_EXMPLR2005(10) AND I7_not_I_d ;
   I7_not_I_d <= NOT I7_I_d ;
   DFFPCE (Channel_status_EXMPLR2005(10),Revision_6_EXMPLR1908,not_ResetN,
   CE_RT,Clock,I7_I_d) ;
   Bus_A_shut_down_dt <= Bus_A_shut_down AND I8_not_I_d ;
   I8_not_I_d <= NOT I8_I_d ;
   DFFPCE (Bus_A_shut_down,Revision_6_EXMPLR1908,not_ResetN,CE_RT,Clock,
   I8_I_d) ;
   Bus_B_shut_down_dt <= Bus_B_shut_down AND I9_not_I_d ;
   I9_not_I_d <= NOT I9_I_d ;
   DFFPCE (Bus_B_shut_down,Revision_6_EXMPLR1908,not_ResetN,CE_RT,Clock,
   I9_I_d) ;
   Inhibit_TF_A_dt <= Inhibit_TF_A AND I10_not_I_d ;
   I10_not_I_d <= NOT I10_I_d ;
   DFFPCE (Inhibit_TF_A,Revision_6_EXMPLR1908,not_ResetN,CE_RT,Clock,I10_I_d
   ) ;
   ME_DvDt <= Bus_Channel_status_10 AND I11_not_I_d ;
   I11_not_I_d <= NOT I11_I_d ;
   DFFPCE (Bus_Channel_status_10,Revision_6_EXMPLR1908,not_ResetN,CE_RT,
   Clock,I11_I_d) ;
   rtlc52n285 <= rtlcn14 OR One_Shot(12) ;
   rtlc52_148_and_1025_nx0 <= One_Shot(9) AND One_Shot(8) ;
   rtlc52n307 <= rtlc52_148_and_1025_nx0 AND One_Shot(7) ;
   rtlc52_151_or_1026_nx0 <= One_Shot(0) OR One_Shot(1) ;
   rtlc52n310 <= rtlc52_151_or_1026_nx0 OR One_Shot(2) ;
   modgen_and_0 : and_9u_9u port map ( a(8)=>One_Shot(10), a(7)=>One_Shot(9), 
      a(6)=>One_Shot(8), a(5)=>One_Shot(7), a(4)=>One_Shot(6), a(3)=>
      One_Shot(5), a(2)=>One_Shot(4), a(1)=>One_Shot(3), a(0)=>rtlc52n310, d
      =>rtlc52n330);
   ix5 : selcounter_13_13_13_0_1_up port map ( cin=>Revision_3_EXMPLR1909, 
      mode=>any_active, updn=>Revision_3_EXMPLR1909, a(12)=>One_Shot(12), 
      a(11)=>One_Shot(11), a(10)=>One_Shot(10), a(9)=>One_Shot(9), a(8)=>
      One_Shot(8), a(7)=>One_Shot(7), a(6)=>One_Shot(6), a(5)=>One_Shot(5), 
      a(4)=>One_Shot(4), a(3)=>One_Shot(3), a(2)=>One_Shot(2), a(1)=>
      One_Shot(1), a(0)=>One_Shot(0), k(12)=>Revision_6_EXMPLR1908, k(11)=>
      Revision_6_EXMPLR1908, k(10)=>Revision_6_EXMPLR1908, k(9)=>
      Revision_6_EXMPLR1908, k(8)=>Revision_6_EXMPLR1908, k(7)=>
      Revision_6_EXMPLR1908, k(6)=>Revision_6_EXMPLR1908, k(5)=>
      Revision_6_EXMPLR1908, k(4)=>Revision_6_EXMPLR1908, k(3)=>
      Revision_6_EXMPLR1908, k(2)=>Revision_6_EXMPLR1908, k(1)=>
      Revision_6_EXMPLR1908, k(0)=>Revision_6_EXMPLR1908, d(12)=>rtlcn43(12), 
      d(11)=>rtlcn43(11), d(10)=>rtlcn43(10), d(9)=>rtlcn43(9), d(8)=>
      rtlcn43(8), d(7)=>rtlcn43(7), d(6)=>rtlcn43(6), d(5)=>rtlcn43(5), d(4)
      =>rtlcn43(4), d(3)=>rtlcn43(3), d(2)=>rtlcn43(2), d(1)=>rtlcn43(1), 
      d(0)=>rtlcn43(0));
end Sital_Ofer_hofman_unfold_2696 ;


architecture INTERFACE of counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10
    is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_10u_10u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (9 DOWNTO 0) ;
         d : OUT std_logic_vector (9 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx25, nx28, nx31, nx32, nx33, nx34, nx35, nx36, nx37, nx38, 
      nx39, nx40, nx41, nx42, nx43, nx44, nx45, nx46, nx47, nx48, nx49, nx50, 
      nx51, nx52, nx53, nx54, nx55, nx56, nx57, nx58, nx59, nx60, PWR, 
      NOT_nx24: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(9) <= nx32 ;
   q(8) <= nx34 ;
   q(7) <= nx36 ;
   q(6) <= nx38 ;
   q(5) <= nx40 ;
   q(4) <= nx42 ;
   q(3) <= nx44 ;
   q(2) <= nx46 ;
   q(1) <= nx48 ;
   q(0) <= nx50 ;
   GND <= '0' ;
   nx25 <= cnt_en OR sclear ;
   nx28 <= nx25 AND clk_en ;
   DFFPCE (nx31,GND,aclear,nx28,clock,nx32) ;
   DFFPCE (nx33,GND,aclear,nx28,clock,nx34) ;
   DFFPCE (nx35,GND,aclear,nx28,clock,nx36) ;
   DFFPCE (nx37,GND,aclear,nx28,clock,nx38) ;
   DFFPCE (nx39,GND,aclear,nx28,clock,nx40) ;
   DFFPCE (nx41,GND,aclear,nx28,clock,nx42) ;
   DFFPCE (nx43,GND,aclear,nx28,clock,nx44) ;
   DFFPCE (nx45,GND,aclear,nx28,clock,nx46) ;
   DFFPCE (nx47,GND,aclear,nx28,clock,nx48) ;
   DFFPCE (nx49,GND,aclear,nx28,clock,nx50) ;
   inc : inc_10u_10u_0_0 port map ( cin=>PWR, a(9)=>nx32, a(8)=>nx34, a(7)=>
      nx36, a(6)=>nx38, a(5)=>nx40, a(4)=>nx42, a(3)=>nx44, a(2)=>nx46, a(1)
      =>nx48, a(0)=>nx50, d(9)=>nx51, d(8)=>nx52, d(7)=>nx53, d(6)=>nx54, 
      d(5)=>nx55, d(4)=>nx56, d(3)=>nx57, d(2)=>nx58, d(1)=>nx59, d(0)=>nx60, 
      cout=>DANGLING(0));
   PWR <= '1' ;
   NOT_nx24 <= NOT sclear ;
   nx31 <= nx51 AND NOT_nx24 ;
   nx33 <= nx52 AND NOT_nx24 ;
   nx35 <= nx53 AND NOT_nx24 ;
   nx37 <= nx54 AND NOT_nx24 ;
   nx39 <= nx55 AND NOT_nx24 ;
   nx41 <= nx56 AND NOT_nx24 ;
   nx43 <= nx57 AND NOT_nx24 ;
   nx45 <= nx58 AND NOT_nx24 ;
   nx47 <= nx59 AND NOT_nx24 ;
   nx49 <= nx60 AND NOT_nx24 ;
end INTERFACE ;


architecture INTERFACE of selcounter_13_13_13_0_1_up is 
   component inc_13u_13u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (12 DOWNTO 0) ;
         d : OUT std_logic_vector (12 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal nx42, nx43, nx44, nx45, nx46, nx47, nx48, nx49, nx50, nx51, nx52, 
      nx53, nx54, nx55, nx57, nx59, nx61, nx63, nx65, nx67, nx69, nx71, nx73, 
      nx75, nx77, nx79, nx81, nx97, nx98, nx100: std_logic ;

begin
   nx55 <= k(12) when mode = '1' else a(12) ;
   nx57 <= k(11) when mode = '1' else a(11) ;
   nx59 <= k(10) when mode = '1' else a(10) ;
   nx61 <= k(9) when mode = '1' else a(9) ;
   nx63 <= k(8) when mode = '1' else a(8) ;
   nx65 <= k(7) when mode = '1' else a(7) ;
   nx67 <= k(6) when mode = '1' else a(6) ;
   nx69 <= k(5) when mode = '1' else a(5) ;
   nx71 <= k(4) when mode = '1' else a(4) ;
   nx73 <= k(3) when mode = '1' else a(3) ;
   nx75 <= k(2) when mode = '1' else a(2) ;
   nx77 <= k(1) when mode = '1' else a(1) ;
   nx79 <= k(0) when mode = '1' else a(0) ;
   modgen_inc_1 : inc_13u_13u_0 port map ( cin=>nx100, a(12)=>nx55, a(11)=>
      nx57, a(10)=>nx59, a(9)=>nx61, a(8)=>nx63, a(7)=>nx65, a(6)=>nx67, 
      a(5)=>nx69, a(4)=>nx71, a(3)=>nx73, a(2)=>nx75, a(1)=>nx77, a(0)=>nx79, 
      d=>d, cout=>nx97);
   nx98 <= '0' ;
   nx100 <= nx98 when mode = '1' else cin ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity Monitor_Stm_8_4_1_40 is 
   port (
      C : IN std_logic ;
      R : IN std_logic ;
      yossy : IN std_logic ;
      CE : IN std_logic ;
      Sync_Error : IN std_logic ;
      RCV_Sync_error : IN std_logic ;
      RCV_Manchester_error : IN std_logic ;
      RCV_Parity_error : IN std_logic ;
      RCV_echo_back_bus : IN std_logic ;
      RCV_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
      RCV_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      RCV_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      RCV_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
      RCV_RxRDY_plus_12us : IN std_logic ;
      RCV_RxRDY_plus_10us : IN std_logic ;
      RCV_CS : IN std_logic ;
      RCV_Pre_EchoRdy : IN std_logic ;
      RCV_Command_Sync : IN std_logic ;
      RCV_Pre_RxRdy : IN std_logic ;
      RCV_recieving : IN std_logic ;
      No_Response_timeout : IN std_logic_vector (2 DOWNTO 0) ;
      Address : OUT std_logic_vector (15 DOWNTO 0) ;
      active_command : OUT std_logic_vector (15 DOWNTO 0) ;
      new_command : OUT std_logic ;
      Record_command : IN std_logic ;
      Monitor_ended_OK : OUT std_logic ;
      Monitor_ended_not_OK : OUT std_logic ;
      RT2RT_message : OUT std_logic ;
      Write_Req : OUT std_logic ;
      Write_Data : OUT std_logic_vector (15 DOWNTO 0) ;
      MIL1553_ERRORS_Inhibit_TF : OUT std_logic ;
      MIL1553_ERRORS_invalid_command : OUT std_logic ;
      MIL1553_ERRORS_RT2RT_format_gap : OUT std_logic ;
      MIL1553_ERRORS_RT2RT_format_error : OUT std_logic ;
      MIL1553_ERRORS_Invalid_word : OUT std_logic ;
      MIL1553_ERRORS_Parity_Manchester : OUT std_logic ;
      MIL1553_ERRORS_incorrect_data_sync : OUT std_logic ;
      MIL1553_ERRORS_Low_word_count : OUT std_logic ;
      MIL1553_ERRORS_high_word_count : OUT std_logic ;
      MIL1553_ERRORS_Format_error : OUT std_logic ;
      MIL1553_ERRORS_Message_Error_set : OUT std_logic ;
      MIL1553_ERRORS_Address_Parity : OUT std_logic ;
      MIL1553_ERRORS_echo_back_bus_B : OUT std_logic ;
      MIL1553_ERRORS_echo_back_bus_A : OUT std_logic ;
      MIL1553_ERRORS_bus_B_shutdown : OUT std_logic ;
      MIL1553_ERRORS_bus_A_shutdown : OUT std_logic ;
      MIL1553_ERRORS_transmitter_timout : OUT std_logic ;
      Debug : OUT std_logic_vector (15 DOWNTO 0) ;
      Tx_command_time : OUT std_logic ;
      last_data_time : OUT std_logic ;
      MODE_CODE1553A : IN std_logic ;
      NO_BCST : IN std_logic) ;
end Monitor_Stm_8_4_1_40 ;

architecture SITAL_Technology_unfold_1 of Monitor_Stm_8_4_1_40 is 
   component and_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_4_4
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_5_5
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         b : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_6_6
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         b : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_9_9
      port (
         a : IN std_logic_vector (8 DOWNTO 0) ;
         b : IN std_logic_vector (8 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component inc_5u_5u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic_vector (4 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component select_3_3
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         b : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_7_7
      port (
         a : IN std_logic_vector (6 DOWNTO 0) ;
         b : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_6u_6u
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_6u_6u
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_9u_9u
      port (
         a : IN std_logic_vector (8 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_7u_7u
      port (
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (9 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (9 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component eq_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         b : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component and_3u_3u
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_7u_7u
      port (
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_9u_9u
      port (
         a : IN std_logic_vector (8 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_8u_8u
      port (
         a : IN std_logic_vector (7 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component selcounter_13_13_13_0_1_up
      port (
         cin : IN std_logic ;
         mode : IN std_logic ;
         updn : IN std_logic ;
         a : IN std_logic_vector (12 DOWNTO 0) ;
         k : IN std_logic_vector (12 DOWNTO 0) ;
         d : OUT std_logic_vector (12 DOWNTO 0)) ;
   end component ;
   for modgen_counter_Energy_Count : 
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10 use entity work.
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10(INTERFACE);
   for ix34 : selcounter_13_13_13_0_1_up use entity work.
   selcounter_13_13_13_0_1_up(INTERFACE);
   signal active_command_15_EXMPLR2021, active_command_14_EXMPLR2022, 
      active_command_13_EXMPLR2023, active_command_12_EXMPLR2024, 
      active_command_11_EXMPLR2025, active_command_10_EXMPLR2026, 
      active_command_4_EXMPLR2032, active_command_3_EXMPLR2033, 
      active_command_2_EXMPLR2034, active_command_1_EXMPLR2035, 
      active_command_0_EXMPLR2036, RT2RT_message_EXMPLR2041, Start_Clean, 
      mode_message: std_logic ;
   
   signal first_RT_command: std_logic_vector (15 DOWNTO 11) ;
   
   signal Word_number: std_logic_vector (4 DOWNTO 0) ;
   
   signal RxRdy, Timeout, Error_in_message, GOOD_Data_Block, 
      No_Words_Message: std_logic ;
   
   signal Energy_Count: std_logic_vector (9 DOWNTO 0) ;
   
   signal counter: std_logic_vector (12 DOWNTO 0) ;
   
   signal RxRdy_Plus3us, RxRdy_Plus_2us, RxRdy_Plus4_5us, Counter_is_21us, 
      Counter_is_37us: std_logic ;
   
   signal state: std_logic_vector (8 DOWNTO 0) ;
   
   signal PWR, BCR_message_0n0s2, Address_6_EXMPLR2060, not_R, rtlc3n59, 
      rtlc6n36, rtlc6n157, not_rtlc6n157, rtlc6n159, rtlc6n161, not_rtlcn203, 
      rtlc6n164: std_logic ;
   
   signal MIL1553_ERRORS_9n17ss1: std_logic_vector (0 DOWNTO 0) ;
   
   signal MIL1553_ERRORS_9n22ss1: std_logic_vector (0 DOWNTO 0) ;
   
   signal MIL1553_ERRORS_9n51ss1: std_logic_vector (0 DOWNTO 0) ;
   
   signal active_command_9n55ss1_4, Monitor_ended_OK_9n55ss1, 
      Monitor_ended_not_OK_9n55ss1: std_logic ;
   
   signal Word_number_9n55ss1: std_logic_vector (4 DOWNTO 0) ;
   
   signal MIL1553_ERRORS_9n55ss1_11, MIL1553_ERRORS_9n55ss1_8, 
      MIL1553_ERRORS_9n55ss1_7, MIL1553_ERRORS_9n55ss1_6, 
      MIL1553_ERRORS_9n55ss1_4, MIL1553_ERRORS_9n55ss1_3, 
      MIL1553_ERRORS_9n55ss1_2, MIL1553_ERRORS_9n55ss1_0, 
      GOOD_Data_Block_9n55ss1, No_Words_Message_9n55ss1, Start_Clean_9n55ss1
   : std_logic ;
   
   signal counter_9n58ss1: std_logic_vector (12 DOWNTO 0) ;
   
   signal rtlc9n3320, not_rtlcs27, rtlc9n3328, not_MODE_CODE1553A, 
      mode_message_9n8s2, mode_message_9n8s1, rtlc9n3509, not_rtlc9n3509: 
   std_logic ;
   
   signal Word_number_9n30s1: std_logic_vector (4 DOWNTO 0) ;
   
   signal rtlc9n3664, rtlc9n3668, rtlc9n3678, rtlc9n3705, not_rtlc9n3705, 
      rtlc9n3839, rtlc9n3848, rtlc9n3851, rtlc9n3864, rtlc9n3866, rtlc9n3882, 
      rtlc9n3884, not_RCV_recieving, not_rtlcn202, rtlc9n3976, rtlc9n3978, 
      rtlc9n3979, not_rtlcs37, rtlc9n4003, rtlc9n4008, rtlc9n4009, 
      rtlc9n4010, rtlc9n4040, rtlc9n4041, rtlc9n4043, rtlc9n4045, rtlc9n4051, 
      rtlc9n4054, rtlc9n4059, rtlc9n4060, rtlc9n4069, not_active_command_4, 
      rtlc9n4080, rtlc9n4081, not_RT2RT_message, not_rtlc9n4081, rtlc9n4098, 
      rtlc9n4100, rtlc9n4102, rtlc9n4108, rtlc9n4110, rtlc9n4122, 
      not_rtlcn1734, rtlc9n4149, rtlc9n4154, rtlc9n4157, rtlc9n4159, 
      rtlc9n4166, rtlc9n4168, rtlc9n4175, rtlc9n4177, rtlc9n4179, rtlc9n4180, 
      rtlc9n4181, rtlc9n4182, rtlc9n4184, rtlc9n4186, rtlc9n4187, rtlc9n4198, 
      rtlc9n4201, rtlc9n4203, rtlc9n4204, rtlc9n4207, rtlc9n4211, rtlc9n4213, 
      rtlc9n4216, rtlc9n4217, rtlc9n4222, rtlc9n4225, rtlc9n4233, rtlc9n4234, 
      rtlc9n4237, rtlc9n4238, rtlc9n4239, rtlc9n4250, rtlc9n4252, rtlc9n4253, 
      rtlc9n4254, rtlc9n4256, rtlc9n4257, rtlc9n4258, rtlc9n4259, rtlc9n4260, 
      rtlc9n4262, rtlc9_PS245_n4310, rtlc9_PS247_n4324, 
      not_No_Response_timeout_2, rtlc9_PS248_n4337, 
      not_No_Response_timeout_0, not_No_Response_timeout_1, 
      RxRdy_Plus3us_9n59s1, RxRdy_Plus_2us_9n59s1, RxRdy_Plus4_5us_9n59s1, 
      not_RxRdy, Counter_is_21us_9n59s1, Counter_is_37us_9n59s1, rtlc9n4782, 
      not_rtlc9n4993, not_rtlc9n4862, rtlc9n4860, rtlc9n4862, rtlc9n4890, 
      rtlc9n4909, rtlc9n4912, rtlc9n4917, rtlc9n4924, rtlc9n4926, rtlc9n4927, 
      rtlc9n4928, rtlc9n4930, rtlc9n4931, rtlc9n4932, rtlc9n4935, rtlc9n4941, 
      rtlc9n4943, rtlc9n4973, rtlc9n4980, not_rtlcn1970, rtlc9n4993, 
      rtlc9n4997, not_rtlc9n4997, rtlc9n5001, rtlc9n5005, not_rtlc9n5005, 
      mode_message_9n1s3, mode_message_9n1s5, not_mode_message_9n1s5, 
      rtlc9n863, not_mode_message_9n1s3, rtlc9n871, rtlc9n872, 
      not_RCV_R_Data_4, rtlc9n899, rtlc9n900, not_counter_12, not_counter_11, 
      rtlc9n5526, not_rtlc9n5526, rtlc9n5528, not_rtlc9n5528, not_counter_5, 
      rtlc9n5531, rtlc9n5532, rtlc9n5533, rtlc9n5534, rtlc9n5549, 
      not_rtlc9n5549, not_counter_10, not_counter_9, not_counter_8, 
      not_rtlcn198, rtlc9n5560, rtlc9n5561, rtlc9n5562, rtlc9n5563, 
      rtlc9n5564, rtlc9n5584, not_rtlc9n5584, rtlc9n5586, not_rtlcn199, 
      rtlc9n5590, rtlc9n5591, rtlc9n5592, not_rtlc9n5610, rtlc9n5612, 
      not_rtlc9n5612, rtlc9n5614, not_rtlc9n5614, rtlc9n5619, rtlc9n5620, 
      rtlc9n5621, rtlc9n5640, not_rtlc9n5640, rtlc9n5646, rtlc9n5647, 
      rtlc9n5648, rtlc9n5649, rtlc9n5650, rtlc9n5719, rtlc9n5732, rtlc9n5733, 
      rtlc9n5763, rtlc9n5764, rtlc9n5765, rtlcn198, rtlcn199, rtlcn202, 
      rtlcn203, rtlcn322, rtlcn359, rtlcn379, rtlcn381, rtlcn382, rtlcn384, 
      rtlcn385, rtlcn386, rtlcn387, rtlcn388, rtlcn389, rtlcn392, rtlcn395, 
      rtlcn459, rtlcn609, rtlcn620, rtlcn622, rtlcn708, rtlcn787, rtlcn827, 
      rtlcn833, rtlcn837, rtlcn985, rtlcn1082, rtlcn1091, rtlcn1120, 
      rtlcn1123, rtlcn1125, rtlcn1126, rtlcn1137, rtlcn1155, rtlcn1159, 
      rtlcn1163, rtlcn1166, rtlcn1169, rtlcn1174, rtlcn1180, rtlcn1184, 
      rtlcn1193, not_rtlcn1962, rtlcn1623, rtlcn1635, rtlcn1640, 
      not_rtlcn1760, rtlcn1658, rtlcn1669, rtlcn1673, rtlcn1678, 
      not_rtlcn1963, not_rtlcn1964, rtlcn1734, rtlcn1759, rtlcn1760, 
      rtlcn1761, rtlcn1763, rtlcn1765, rtlcn1766, rtlcn1767, rtlcn1770, 
      rtlcn1771, rtlcn1772, rtlcn1773, rtlcn1775, rtlcn1776, rtlcn1777, 
      rtlcn1778, rtlcn1779, rtlcn1780, rtlcn1781, rtlcn1782, rtlcn1783, 
      rtlcn1785, rtlcn1786, rtlcn1787, rtlcn1788, rtlcn1789, rtlcn1791, 
      rtlcn1792, rtlcn1793, rtlcn1794, rtlcn1795, rtlcn1796, not_Timeout, 
      rtlcn1798, not_rtlc9n3866, rtlcn1800, rtlcn1803, rtlcn1804, 
      not_Counter_is_21us, not_Counter_is_37us, rtlcn1807, not_RCV_R_Data_10, 
      not_rtlcs26, not_RCV_Command_Sync, not_RCV_CS, not_Start_Clean, 
      rtlcn1818, not_rtlcn1778, rtlcn1820, rtlcn1821, not_rtlc9n3851, 
      rtlcn1824, not_rtlc9n3884, not_rtlcn1777, rtlcn1827, rtlcn1830, 
      not_rtlcn1776, rtlcn1832, rtlcn1834, rtlcn1835, not_rtlc9n900, 
      rtlcn1838, not_rtlcn1770, not_rtlcn1765, not_rtlcs32, rtlcn1852, 
      rtlcn1853, rtlcn1854, rtlcn1855, not_rtlc9n4122, rtlcn1857, 
      not_rtlc9n872, not_rtlcn1772, rtlcn1861, rtlcn1862, not_rtlcn1762, 
      rtlcn1864, rtlcn1865, rtlcn1866, rtlcn1867, rtlcn1871, rtlcn1872, 
      rtlcn1873, not_rtlc9n3678, rtlcn1875, rtlcn1876, not_rtlc9n909, 
      rtlcn1878, rtlcn1879, rtlcn1880, rtlcn1881, rtlcn1884, rtlcn1885, 
      rtlcn1886, rtlcn1887, rtlcn1889, rtlcn1890, not_rtlcn1766, rtlcn1893, 
      rtlcn1895, rtlcn1896, rtlcn1898, rtlcn1899, rtlcn1900, rtlcn1901, 
      rtlcn1902, not_rtlcn1125, rtlcn1905, not_rtlcn1779, rtlcn1909, 
      rtlcn1910, rtlcn1911, rtlcn1912, rtlcn1914, not_rtlc9n3664, rtlcn1916, 
      rtlcn1917, rtlcn1921, rtlcn1922, rtlcn1932, rtlcn1962, rtlcn1963, 
      rtlcn1964, rtlcn1970, rtlcn1971, rtlcn1972, rtlcn1973, rtlcn1974, 
      rtlcn1976, rtlcn1977, rtlcn1978, rtlcn1979, rtlcn1980, rtlcn1981, 
      rtlcn1982, rtlcn1983, rtlcn1985, rtlcn1989, not_CE, 
      not_RxRdy_Plus4_5us, rtlcn1994, rtlcn1996, not_RxRdy_Plus3us, 
      rtlcn1999, not_rtlc9n4262, rtlcn2001, not_rtlc9_PS245_n4310, 
      not_rtlc9_PS247_n4324, not_rtlc9_PS248_n4337, not_rtlcs20, not_rtlcs19, 
      rtlcn2007, not_rtlc9n4260, not_rtlc9n4259, not_rtlc9n4258, 
      not_rtlc9n4257, not_rtlc9n4256, not_rtlc9n4254, not_rtlc9n4253, 
      not_rtlc9n4252, not_rtlc9n4250, not_rtlcn389, not_rtlcn384, rtlcn2020, 
      rtlcn2027, rtlcn2028, rtlcn2029, rtlcn2030, rtlcn2031, rtlcn2032, 
      rtlcn2033, rtlcn2035, not_rtlcn1971, not_rtlcn381, not_state_1, 
      not_rtlc9n4054, not_state_0, not_rtlc9n4182, not_state_4, rtlcn2043, 
      rtlcn2044, not_No_Words_Message_9n55ss1, not_rtlc9n4211, rtlcs3, 
      rtlcs4, rtlcs7, rtlcs10, rtlcs13, rtlcs15, not_counter_7, rtlcs19, 
      rtlcs20, rtlcs22, rtlcs25, rtlcs26, rtlcs27, rtlcs28, rtlcs31, rtlcs32, 
      not_RCV_R_Data_9, not_RCV_R_Data_8, not_RCV_R_Data_7, not_RCV_R_Data_6, 
      not_RCV_R_Data_5, not_counter_2, not_counter_1, not_counter_0, 
      not_counter_4, not_RCV_Gap_found_2, not_RCV_Gap_found_1, 
      not_RCV_Gap_found_0, not_active_command_3, not_active_command_2, 
      not_active_command_1, not_counter_3, not_counter_6, not_rtlcn787, 
      not_RCV_RAW_GAP_6, not_RCV_RAW_GAP_5, not_RCV_RAW_GAP_4, 
      not_RCV_RAW_GAP_3, not_RCV_RAW_GAP_2, not_RCV_RAW_GAP_1, 
      not_RCV_RAW_GAP_0, rtlcn2256, rtlcs37, rtlcs38, rtlcs39, 
      not_rtlc9n4782, rtlc6_60_or_1031_nx0, rtlc9_1600_or_1037_nx0, 
      rtlc9_1760_or_1049_nx0, rtlc9_1761_or_1050_nx0, rtlc9_1849_or_1051_nx0, 
      rtlcn1762, rtlc9_1881_or_1054_nx0, rtlc9_1899_or_1058_nx0, 
      rtlc9_1900_or_1059_nx0, rtlc9_1901_or_1060_nx0, rtlc9_1913_or_1063_nx0, 
      rtlc9_1914_or_1064_nx0, rtlc9_1925_or_1067_nx0, rtlc9_2331_gt_1071_nx0, 
      rtlc9_2331_gt_1071_nx2, rtlc9_2331_gt_1071_nx4, rtlc9n5610, 
      rtlc9_3427_and_1078_nx0, rtlc_535_or_1081_nx0, rtlc_538_or_1082_nx0, 
      rtlc_2501_and_1094_nx0, rtlc_2509_and_1095_nx0, rtlc_2549_and_1100_nx0, 
      rtlc_2558_and_1102_nx0, rtlc_2573_or_1103_nx0, rtlc_2590_and_1106_nx0, 
      rtlc_2592_and_1107_nx0, rtlc_2598_or_1110_nx0, rtlc_2607_and_1111_nx0, 
      rtlc_2624_or_1114_nx0, rtlc_2626_and_1115_nx0, rtlc_2628_and_1116_nx0, 
      rtlc_2629_and_1117_nx0, rtlc_2641_and_1118_nx0, rtlc_2642_or_1119_nx0, 
      rtlc_2644_or_1120_nx0, rtlc_2646_and_1121_nx0, rtlc_2653_and_1123_nx0, 
      rtlc_2654_or_1124_nx0, rtlc_2660_and_1125_nx0, rtlc_2869_or_1127_nx0, 
      rtlc_2920_and_1131_nx0, rtlc_2931_and_1133_nx0, rtlc_2932_or_1134_nx0, 
      rtlc_2941_and_1135_nx0, rtlc_2954_or_1137_nx0, rtlc_2964_and_1138_nx0, 
      rtlc_2968_and_1140_nx0, rtlc_2978_or_1144_nx0, rtlc_3034_and_1149_nx0, 
      rtlc_3056_and_1157_nx0, nx5, nx8: std_logic ;
   
   signal DANGLING : std_logic_vector (10 downto 0 );

begin
   Address(15) <= Address_6_EXMPLR2060 ;
   Address(14) <= Address_6_EXMPLR2060 ;
   Address(13) <= Address_6_EXMPLR2060 ;
   Address(12) <= Address_6_EXMPLR2060 ;
   Address(11) <= Address_6_EXMPLR2060 ;
   Address(10) <= Address_6_EXMPLR2060 ;
   Address(9) <= Address_6_EXMPLR2060 ;
   Address(8) <= Address_6_EXMPLR2060 ;
   Address(7) <= Address_6_EXMPLR2060 ;
   Address(6) <= Address_6_EXMPLR2060 ;
   Address(5) <= Address_6_EXMPLR2060 ;
   Address(4) <= Address_6_EXMPLR2060 ;
   Address(3) <= Address_6_EXMPLR2060 ;
   Address(2) <= Address_6_EXMPLR2060 ;
   Address(1) <= Address_6_EXMPLR2060 ;
   Address(0) <= Address_6_EXMPLR2060 ;
   active_command(15) <= active_command_15_EXMPLR2021 ;
   active_command(14) <= active_command_14_EXMPLR2022 ;
   active_command(13) <= active_command_13_EXMPLR2023 ;
   active_command(12) <= active_command_12_EXMPLR2024 ;
   active_command(11) <= active_command_11_EXMPLR2025 ;
   active_command(10) <= active_command_10_EXMPLR2026 ;
   active_command(4) <= active_command_4_EXMPLR2032 ;
   active_command(3) <= active_command_3_EXMPLR2033 ;
   active_command(2) <= active_command_2_EXMPLR2034 ;
   active_command(1) <= active_command_1_EXMPLR2035 ;
   active_command(0) <= active_command_0_EXMPLR2036 ;
   RT2RT_message <= RT2RT_message_EXMPLR2041 ;
   MIL1553_ERRORS_Parity_Manchester <= Address_6_EXMPLR2060 ;
   MIL1553_ERRORS_Format_error <= Address_6_EXMPLR2060 ;
   MIL1553_ERRORS_Message_Error_set <= Address_6_EXMPLR2060 ;
   MIL1553_ERRORS_echo_back_bus_B <= Address_6_EXMPLR2060 ;
   MIL1553_ERRORS_echo_back_bus_A <= Address_6_EXMPLR2060 ;
   MIL1553_ERRORS_bus_B_shutdown <= Address_6_EXMPLR2060 ;
   MIL1553_ERRORS_bus_A_shutdown <= Address_6_EXMPLR2060 ;
   MIL1553_ERRORS_transmitter_timout <= Address_6_EXMPLR2060 ;
   Debug(15) <= Address_6_EXMPLR2060 ;
   Debug(14) <= Address_6_EXMPLR2060 ;
   Debug(13) <= Address_6_EXMPLR2060 ;
   Debug(12) <= Address_6_EXMPLR2060 ;
   Debug(11) <= Address_6_EXMPLR2060 ;
   Debug(10) <= Address_6_EXMPLR2060 ;
   Debug(9) <= Address_6_EXMPLR2060 ;
   Debug(8) <= Address_6_EXMPLR2060 ;
   Debug(7) <= Address_6_EXMPLR2060 ;
   Debug(6) <= Address_6_EXMPLR2060 ;
   Debug(5) <= Address_6_EXMPLR2060 ;
   Debug(4) <= Address_6_EXMPLR2060 ;
   Debug(3) <= Address_6_EXMPLR2060 ;
   Debug(2) <= Address_6_EXMPLR2060 ;
   Debug(1) <= Address_6_EXMPLR2060 ;
   Debug(0) <= Address_6_EXMPLR2060 ;
   Tx_command_time <= Address_6_EXMPLR2060 ;
   last_data_time <= Address_6_EXMPLR2060 ;
   PWR <= '1' ;
   Address_6_EXMPLR2060 <= '0' ;
   Write_Data(0) <= RCV_R_Data(0) ;
   Write_Data(1) <= RCV_R_Data(1) ;
   Write_Data(2) <= RCV_R_Data(2) ;
   Write_Data(3) <= RCV_R_Data(3) ;
   Write_Data(4) <= RCV_R_Data(4) ;
   Write_Data(5) <= RCV_R_Data(5) ;
   Write_Data(6) <= RCV_R_Data(6) ;
   Write_Data(7) <= RCV_R_Data(7) ;
   Write_Data(8) <= RCV_R_Data(8) ;
   Write_Data(9) <= RCV_R_Data(9) ;
   Write_Data(10) <= RCV_R_Data(10) ;
   Write_Data(11) <= RCV_R_Data(11) ;
   Write_Data(12) <= RCV_R_Data(12) ;
   Write_Data(13) <= RCV_R_Data(13) ;
   Write_Data(14) <= RCV_R_Data(14) ;
   Write_Data(15) <= RCV_R_Data(15) ;
   RxRdy <= RCV_Pre_RxRdy OR RCV_Pre_EchoRdy ;
   rtlc6n36 <= RCV_recieving AND rtlc6n164 ;
   rtlc6n157 <= Energy_Count(9) AND Energy_Count(8) ;
   not_rtlc6n157 <= NOT rtlc6n157 ;
   rtlc6_62_and_1032 : and_5u_5u port map ( a(4)=>Energy_Count(4), a(3)=>
      Energy_Count(3), a(2)=>Energy_Count(2), a(1)=>Energy_Count(1), a(0)=>
      Energy_Count(0), d=>rtlc6n161);
   rtlc6n164 <= not_rtlcn203 OR not_rtlc6n157 ;
   MIL1553_ERRORS_9n22ss1(0) <= NOT Error_in_message ;
   mode_message_9n8s1 <= mode_message_9n8s2 OR mode_message_9n1s5 ;
   mode_message_9n8s2 <= mode_message_9n1s3 AND not_MODE_CODE1553A ;
   not_MODE_CODE1553A <= NOT MODE_CODE1553A ;
   MIL1553_ERRORS_9n51ss1(0) <= GOOD_Data_Block OR No_Words_Message ;
   not_rtlc9n4993 <= NOT rtlc9n4993 ;
   rtlc9_1406_or_1033 : or_4u_4u port map ( a(3)=>state(5), a(2)=>state(6), 
      a(1)=>state(7), a(0)=>state(8), d=>rtlc9n4860);
   rtlc9_1410_or_1034 : or_4u_4u port map ( a(3)=>state(0), a(2)=>state(1), 
      a(1)=>state(4), a(0)=>state(5), d=>rtlc9n4862);
   rtlc9_1593_select_1035 : select_4_4 port map ( a(3)=>state(0), a(2)=>
      state(1), a(1)=>not_rtlc9n4993, a(0)=>state(4), b(3)=>
      Address_6_EXMPLR2060, b(2)=>rtlcn379, b(1)=>PWR, b(0)=>rtlcn388, d=>
      rtlcn381);
   rtlc9_1599_select_1036 : select_4_4 port map ( a(3)=>state(0), a(2)=>
      state(1), a(1)=>not_rtlc9n4993, a(0)=>state(4), b(3)=>
      Address_6_EXMPLR2060, b(2)=>rtlcn382, b(1)=>PWR, b(0)=>rtlcn388, d=>
      rtlcn384);
   rtlc9n4008 <= rtlcs26 AND not_RCV_R_Data_10 ;
   rtlc9n4003 <= not_rtlcs37 AND rtlcs26 ;
   rtlc9_1621_select_1038 : select_5_5 port map ( a(4)=>state(0), a(3)=>
      state(1), a(2)=>not_rtlc9n4997, a(1)=>state(3), a(0)=>state(4), b(4)=>
      Address_6_EXMPLR2060, b(3)=>rtlcn387, b(2)=>PWR, b(1)=>Counter_is_37us, 
      b(0)=>rtlcn388, d=>rtlcn389);
   rtlc9_1622_or_1039 : or_4u_4u port map ( a(3)=>state(0), a(2)=>state(1), 
      a(1)=>state(3), a(0)=>state(4), d=>rtlc9n4997);
   not_rtlc9n4997 <= NOT rtlc9n4997 ;
   rtlc9n4040 <= rtlcs26 AND RCV_Command_Sync ;
   rtlc9_1630_select_1041 : select_6_6 port map ( a(5)=>state(0), a(4)=>
      state(1), a(3)=>rtlc9n5001, a(2)=>state(4), a(1)=>state(5), a(0)=>
      state(7), b(5)=>RxRdy, b(4)=>rtlc9n4059, b(3)=>PWR, b(2)=>rtlc9n4213, 
      b(1)=>rtlc9n4238, b(0)=>not_RxRdy_Plus4_5us, d=>rtlc9n4250);
   rtlc9_1631_or_1042 : or_4u_4u port map ( a(3)=>state(2), a(2)=>state(3), 
      a(1)=>state(6), a(0)=>state(8), d=>rtlc9n5001);
   rtlc9n4213 <= rtlc9n4201 AND not_Timeout ;
   rtlc9n4238 <= rtlc9n4233 AND not_Counter_is_37us ;
   rtlc9_1642_or_1043 : or_4u_4u port map ( a(3)=>state(0), a(2)=>state(1), 
      a(1)=>state(2), a(0)=>state(4), d=>rtlc9n5005);
   not_rtlc9n5005 <= NOT rtlc9n5005 ;
   rtlc9n4186 <= rtlc9n4179 AND RCV_CS ;
   rtlc9_1650_select_1044 : select_5_5 port map ( a(4)=>state(0), a(3)=>
      state(1), a(2)=>state(2), a(1)=>not_rtlc9n5005, a(0)=>state(4), b(4)=>
      RxRdy, b(3)=>rtlc9n4060, b(2)=>rtlc9n4108, b(1)=>PWR, b(0)=>rtlc9n4211, 
      d=>rtlc9n4253);
   rtlc9n4010 <= rtlc9n4003 AND RCV_R_Data(10) ;
   rtlc9n4187 <= rtlc9n4177 AND RCV_CS ;
   rtlc9_1671_select_1045 : select_6_6 port map ( a(5)=>state(0), a(4)=>
      state(1), a(3)=>state(2), a(2)=>state(3), a(1)=>state(4), a(0)=>
      rtlc9n4860, b(5)=>rtlc9n3978, b(4)=>rtlc9n4054, b(3)=>rtlc9n4110, b(2)
      =>rtlc9n4166, b(1)=>rtlc9n4216, b(0)=>PWR, d=>rtlc9n4256);
   rtlc9n3978 <= rtlc9n3976 AND RxRdy ;
   rtlc9_1683_select_1046 : select_5_5 port map ( a(4)=>state(0), a(3)=>
      state(1), a(2)=>not_rtlc9n4862, a(1)=>state(4), a(0)=>state(5), b(4)=>
      RxRdy, b(3)=>rtlc9n4054, b(2)=>PWR, b(1)=>rtlc9n4217, b(0)=>rtlc9n4237, 
      d=>rtlc9n4258);
   rtlc9n4198 <= rtlc9n4184 AND rtlc9n4782 ;
   rtlc9_1697_select_1047 : select_5_5 port map ( a(4)=>state(0), a(3)=>
      state(1), a(2)=>not_rtlc9n4997, a(1)=>state(3), a(0)=>state(4), b(4)=>
      RxRdy, b(3)=>rtlc9n4059, b(2)=>PWR, b(1)=>rtlc9n4168, b(0)=>rtlc9n4217, 
      d=>rtlc9n4260);
   rtlc9n4154 <= rtlc9n4149 AND not_rtlc9n4122 ;
   rtlc9n4149 <= not_rtlcn1734 AND RCV_CS ;
   rtlc9_1720_select_1048 : select_9_9 port map ( a(8)=>state(0), a(7)=>
      state(1), a(6)=>state(2), a(5)=>state(3), a(4)=>state(4), a(3)=>
      state(5), a(2)=>state(6), a(1)=>state(7), a(0)=>state(8), b(8)=>
      rtlc9n3979, b(7)=>not_Counter_is_21us, b(6)=>not_Timeout, b(5)=>
      not_Counter_is_37us, b(4)=>rtlc9n4213, b(3)=>rtlc9n4239, b(2)=>
      RCV_recieving, b(1)=>not_RxRdy_Plus4_5us, b(0)=>PWR, d=>rtlc9n4262);
   rtlc9n4239 <= rtlc9n4234 AND not_Counter_is_37us ;
   rtlc9n4225 <= rtlc9n4222 AND not_rtlc9n3866 ;
   rtlc9n4207 <= not_RxRdy OR rtlc9n4198 ;
   rtlc9n4102 <= not_RxRdy OR rtlc9n4782 ;
   rtlc9_1875_or_1053 : or_5u_5u port map ( a(4)=>Timeout, a(3)=>rtlc9n4181, 
      a(2)=>not_RxRdy, a(1)=>not_RCV_CS, a(0)=>not_rtlc9n4782, d=>rtlc9n4217
   );
   rtlc9n4159 <= not_RxRdy OR not_rtlc9n4122 ;
   rtlc9_1886_or_1055 : or_5u_5u port map ( a(4)=>Timeout, a(3)=>rtlc9n4180, 
      a(2)=>not_RxRdy, a(1)=>not_RCV_CS, a(0)=>not_rtlc9n4782, d=>rtlc9n4216
   );
   rtlc9_1887_or_1056 : or_5u_5u port map ( a(4)=>Counter_is_37us, a(3)=>
      rtlc9n4122, a(2)=>not_RxRdy, a(1)=>not_RCV_Command_Sync, a(0)=>
      not_RCV_CS, d=>rtlc9n4166);
   rtlc9_1888_or_1057 : or_5u_5u port map ( a(4)=>RCV_Command_Sync, a(3)=>
      Timeout, a(2)=>not_RxRdy, a(1)=>not_RCV_CS, a(0)=>not_rtlc9n4782, d=>
      rtlc9n4110);
   rtlc9n3976 <= not_RCV_CS OR RCV_Command_Sync ;
   rtlc9n4177 <= not_RCV_Command_Sync OR not_Start_Clean ;
   rtlc9n4051 <= not_RxRdy OR rtlc9n4043 ;
   rtlc9_1907_or_1061 : or_4u_4u port map ( a(3)=>Timeout, a(2)=>
      not_RT2RT_message, a(1)=>not_rtlc9n4081, a(0)=>not_RxRdy, d=>
      rtlc9n4108);
   rtlc9_1908_or_1062 : or_4u_4u port map ( a(3)=>Counter_is_21us, a(2)=>
      rtlc9n4010, a(1)=>not_RxRdy, a(0)=>not_RCV_Command_Sync, d=>rtlc9n4060
   );
   rtlc9_1923_or_1065 : or_4u_4u port map ( a(3)=>rtlc9n3851, a(2)=>
      rtlc9n3866, a(1)=>rtlc9n3884, a(0)=>not_RxRdy_Plus3us, d=>rtlc9n4233);
   rtlc9_1924_or_1066 : or_5u_5u port map ( a(4)=>not_RxRdy, a(3)=>
      not_RCV_Command_Sync, a(2)=>not_RCV_CS, a(1)=>not_Start_Clean, a(0)=>
      not_rtlc9n4782, d=>rtlc9n4201);
   rtlc9n4122 <= Sync_Error OR not_rtlcs26 ;
   rtlc9n4080 <= not_active_command_4 OR MODE_CODE1553A ;
   rtlc9n4081 <= mode_message AND rtlc9n4080 ;
   not_rtlcs37 <= NOT rtlcs37 ;
   rtlc9n3884 <= RCV_recieving AND rtlc9n3882 ;
   rtlc9n3864 <= RCV_recieving AND rtlcs26 ;
   rtlc9n3866 <= rtlc9n3864 AND RCV_CS ;
   rtlc9n3848 <= No_Words_Message AND rtlcs22 ;
   rtlc9n3839 <= RxRdy_Plus_2us AND not_RCV_recieving ;
   rtlc9n3851 <= rtlc9n3839 AND rtlc9n3848 ;
   rtlc9n4782 <= NOT not_rtlc9n4782 ;
   not_rtlc9n3705 <= NOT rtlc9n3705 ;
   rtlc9n3705 <= rtlc9n5765 AND not_RCV_recieving ;
   rtlc9n3668 <= active_command_10_EXMPLR2026 AND not_RT2RT_message ;
   rtlc9n3678 <= rtlc9n3668 OR rtlcs22 ;
   rtlc9n3664 <= rtlcs38 OR mode_message ;
   rtlc9n3509 <= rtlcs25 OR mode_message ;
   not_rtlcs27 <= NOT rtlcs27 ;
   rtlc9n3320 <= RCV_CS AND RCV_Command_Sync ;
   rtlc9n3328 <= rtlc9n3320 AND not_rtlcs27 ;
   rtlc9n899 <= not_RCV_R_Data_4 OR MODE_CODE1553A ;
   rtlc9n900 <= mode_message_9n8s1 AND rtlc9n899 ;
   not_mode_message_9n1s3 <= NOT mode_message_9n1s3 ;
   rtlc9n871 <= not_mode_message_9n1s3 OR MODE_CODE1553A ;
   not_mode_message_9n1s5 <= NOT mode_message_9n1s5 ;
   rtlc9n863 <= rtlcs31 AND not_mode_message_9n1s5 ;
   rtlc9n872 <= rtlc9n863 AND rtlc9n871 ;
   not_RCV_R_Data_4 <= NOT RCV_R_Data(4) ;
   Word_number_inc5_9i1 : inc_5u_5u_0 port map ( cin=>PWR, a(4)=>
      Word_number(4), a(3)=>Word_number(3), a(2)=>Word_number(2), a(1)=>
      Word_number(1), a(0)=>Word_number(0), d(4)=>Word_number_9n30s1(4), 
      d(3)=>Word_number_9n30s1(3), d(2)=>Word_number_9n30s1(2), d(1)=>
      Word_number_9n30s1(1), d(0)=>Word_number_9n30s1(0), cout=>DANGLING(0)
   );
   not_No_Response_timeout_0 <= NOT No_Response_timeout(0) ;
   not_No_Response_timeout_1 <= NOT No_Response_timeout(1) ;
   not_No_Response_timeout_2 <= NOT No_Response_timeout(2) ;
   not_active_command_4 <= NOT active_command_4_EXMPLR2032 ;
   not_counter_12 <= NOT counter(12) ;
   not_counter_11 <= NOT counter(11) ;
   not_rtlc9n5526 <= NOT rtlc9n5526 ;
   not_rtlc9n5528 <= NOT rtlc9n5528 ;
   not_counter_5 <= NOT counter(5) ;
   rtlc9n5531 <= not_rtlc9n5528 AND not_counter_5 ;
   rtlc9n5532 <= not_rtlc9n5526 OR rtlc9n5531 ;
   rtlc9n5533 <= not_counter_11 AND rtlc9n5532 ;
   rtlc9n5534 <= rtlc9n5533 OR not_counter_12 ;
   not_rtlc9n5549 <= NOT rtlc9n5549 ;
   not_counter_10 <= NOT counter(10) ;
   not_counter_9 <= NOT counter(9) ;
   not_counter_8 <= NOT counter(8) ;
   rtlc9n5560 <= not_counter_5 OR not_rtlcn198 ;
   rtlc9n5561 <= not_rtlc9n5528 AND rtlc9n5560 ;
   rtlc9n5562 <= not_counter_8 OR rtlc9n5561 ;
   rtlc9n5563 <= not_counter_9 AND rtlc9n5562 ;
   rtlc9n5564 <= not_counter_10 OR rtlc9n5563 ;
   not_rtlc9n5584 <= NOT rtlc9n5584 ;
   rtlc9n5590 <= not_rtlc9n5584 OR not_rtlcn199 ;
   rtlc9n5591 <= not_counter_9 AND rtlc9n5590 ;
   rtlc9n5592 <= not_counter_10 OR rtlc9n5591 ;
   not_rtlc9n5610 <= NOT rtlc9n5610 ;
   not_rtlc9n5612 <= NOT rtlc9n5612 ;
   rtlc9n5614 <= counter(6) AND counter(5) ;
   not_rtlc9n5614 <= NOT rtlc9n5614 ;
   rtlc9n5619 <= not_rtlc9n5614 OR not_rtlcn198 ;
   rtlc9n5620 <= not_rtlc9n5612 AND rtlc9n5619 ;
   rtlc9n5621 <= not_rtlc9n5610 OR rtlc9n5620 ;
   rtlc9n5640 <= counter(7) AND counter(6) ;
   not_rtlc9n5640 <= NOT rtlc9n5640 ;
   rtlc9n5646 <= not_rtlc9n5640 OR not_rtlcn199 ;
   rtlc9n5647 <= not_counter_8 AND rtlc9n5646 ;
   rtlc9n5648 <= not_counter_9 OR rtlc9n5647 ;
   rtlc9n5649 <= not_counter_10 AND rtlc9n5648 ;
   rtlc9n5650 <= not_counter_11 OR rtlc9n5649 ;
   rtlc9n5732 <= RCV_Gap_found(0) AND RCV_Gap_found(1) ;
   rtlc9n5733 <= rtlc9n5732 OR RCV_Gap_found(2) ;
   rtlc9_3503_or_1080 : or_5u_5u port map ( a(4)=>Energy_Count(0), a(3)=>
      Energy_Count(1), a(2)=>Energy_Count(2), a(1)=>Energy_Count(3), a(0)=>
      Energy_Count(4), d=>rtlc9n5763);
   rtlc9n5765 <= rtlc9n5764 OR Energy_Count(9) ;
   rtlc9n5528 <= counter(7) OR counter(6) ;
   rtlc9n5549 <= counter(12) OR counter(11) ;
   not_rtlcn198 <= NOT rtlcn198 ;
   not_rtlcn199 <= NOT rtlcn199 ;
   rtlc9n5586 <= counter(5) OR counter(4) ;
   rtlc9n5612 <= counter(8) OR counter(7) ;
   rtlc9n5719 <= RCV_Gap_found(2) OR RCV_Gap_found(1) ;
   not_rtlcn202 <= NOT rtlcn202 ;
   not_rtlcn203 <= NOT rtlcn203 ;
   rtlcn198 <= counter(4) OR counter(3) ;
   rtlcn199 <= rtlc9n5586 OR counter(3) ;
   rtlcn202 <= rtlc9n3328 OR rtlc9n5733 ;
   rtlcn203 <= rtlc6n159 OR rtlc6n161 ;
   rtlc9n4009 <= rtlcs26 AND rtlcn386 ;
   rtlcn387 <= Counter_is_21us OR rtlc9n4040 ;
   rtlc_544_or_1083 : or_5u_5u port map ( a(4)=>Timeout, a(3)=>
      not_RCV_Command_Sync, a(2)=>not_RCV_CS, a(1)=>not_Start_Clean, a(0)=>
      not_rtlc9n4782, d=>rtlcn388);
   rtlc9n4043 <= RCV_CS AND rtlcn392 ;
   Start_Clean_select_9i4 : select_3_3 port map ( a(2)=>rtlcn620, a(1)=>
      not_rtlcn1962, a(0)=>rtlcn622, b(2)=>Address_6_EXMPLR2060, b(1)=>PWR, 
      b(0)=>Error_in_message, d=>Start_Clean_9n55ss1);
   MIL1553_ERRORS_select_9i5 : select_4_4 port map ( a(3)=>rtlcn620, a(2)=>
      state(1), a(1)=>rtlcn359, a(0)=>rtlcn1082, b(3)=>Address_6_EXMPLR2060, 
      b(2)=>MIL1553_ERRORS_9n17ss1(0), b(1)=>MIL1553_ERRORS_9n51ss1(0), b(0)
      =>GOOD_Data_Block, d=>MIL1553_ERRORS_9n55ss1_0);
   rtlc_1349_select_1086 : select_6_6 port map ( a(5)=>state(0), a(4)=>
      state(1), a(3)=>not_rtlc9n5005, a(2)=>rtlcn1126, a(1)=>rtlcn1123, a(0)
      =>rtlcn1125, b(5)=>RxRdy, b(4)=>rtlc9n4054, b(3)=>PWR, b(2)=>
      not_rtlc9n3705, b(1)=>rtlc9n4098, b(0)=>rtlc9n4203, d=>rtlc9n4252);
   rtlc_1392_select_1087 : select_7_7 port map ( a(6)=>state(0), a(5)=>
      rtlc9n4860, a(4)=>rtlcn1166, a(3)=>rtlcn1159, a(2)=>rtlcn1123, a(1)=>
      rtlcn1163, a(0)=>rtlcn1125, b(6)=>RxRdy, b(5)=>PWR, b(4)=>
      not_rtlc9n3705, b(3)=>rtlc9n4051, b(2)=>rtlc9n4100, b(1)=>rtlc9n4157, 
      b(0)=>rtlc9n4204, d=>rtlc9n4254);
   MIL1553_ERRORS_select_9i6 : select_3_3 port map ( a(2)=>state(0), a(1)=>
      rtlcn1169, a(0)=>not_rtlcn1963, b(2)=>RxRdy, b(1)=>
      Address_6_EXMPLR2060, b(0)=>MIL1553_ERRORS_9n22ss1(0), d=>
      MIL1553_ERRORS_9n55ss1_6);
   rtlc_1409_select_1089 : select_6_6 port map ( a(5)=>state(0), a(4)=>
      not_rtlc9n4997, a(3)=>state(4), a(2)=>rtlcn1180, a(1)=>rtlcn1159, a(0)
      =>rtlcn1163, b(5)=>RxRdy, b(4)=>PWR, b(3)=>rtlc9n4211, b(2)=>
      rtlc9n3705, b(1)=>rtlc9n4045, b(0)=>rtlc9n4159, d=>rtlc9n4257);
   rtlc_1431_select_1090 : select_6_6 port map ( a(5)=>state(0), a(4)=>
      state(1), a(3)=>not_rtlc9n5005, a(2)=>rtlcn1126, a(1)=>rtlcn1123, a(0)
      =>rtlcn1125, b(5)=>RxRdy, b(4)=>rtlc9n4054, b(3)=>PWR, b(2)=>
      rtlc9n3705, b(1)=>rtlc9n4102, b(0)=>rtlc9n4207, d=>rtlc9n4259);
   not_RCV_recieving <= NOT RCV_recieving ;
   not_rtlc9n4081 <= NOT rtlc9n4081 ;
   not_rtlc9n3509 <= NOT rtlc9n3509 ;
   not_RT2RT_message <= NOT RT2RT_message_EXMPLR2041 ;
   Monitor_ended_not_OK_select_9i7 : select_3_3 port map ( a(2)=>
      not_rtlcn1964, a(1)=>rtlcn1673, a(0)=>rtlcn985, b(2)=>
      Address_6_EXMPLR2060, b(1)=>PWR, b(0)=>Error_in_message, d=>
      Monitor_ended_not_OK_9n55ss1);
   not_rtlcn1734 <= NOT rtlcn1734 ;
   not_rtlc9n4862 <= NOT rtlc9n4862 ;
   rtlcn395 <= state(2) OR state(4) ;
   not_Timeout <= NOT Timeout ;
   rtlcn1125 <= state(4) AND not_Timeout ;
   rtlcn620 <= state(0) OR rtlcn1125 ;
   rtlcn1798 <= state(5) AND Counter_is_37us ;
   rtlcn1781 <= state(7) OR rtlcn1798 ;
   not_rtlc9n3866 <= NOT rtlc9n3866 ;
   rtlcn1800 <= state(5) AND not_rtlc9n3866 ;
   rtlcn622 <= rtlcn1781 OR rtlcn1800 ;
   rtlcn359 <= state(5) OR state(7) ;
   rtlcn1082 <= Timeout AND state(4) ;
   rtlcn1803 <= state(2) AND Timeout ;
   rtlcn1126 <= rtlcn1082 OR rtlcn1803 ;
   rtlcn1123 <= state(2) AND not_Timeout ;
   rtlcn1787 <= state(1) AND Counter_is_21us ;
   rtlcn1804 <= state(3) AND Counter_is_37us ;
   rtlcn1180 <= rtlcn1787 OR rtlcn1804 ;
   rtlcn1166 <= rtlcn1180 OR rtlcn1126 ;
   not_Counter_is_21us <= NOT Counter_is_21us ;
   rtlcn1159 <= state(1) AND not_Counter_is_21us ;
   not_Counter_is_37us <= NOT Counter_is_37us ;
   rtlcn1163 <= state(3) AND not_Counter_is_37us ;
   rtlcn1807 <= state(4) AND RCV_Command_Sync ;
   rtlcn1169 <= state(1) OR rtlcn1807 ;
   not_RCV_R_Data_10 <= NOT RCV_R_Data(10) ;
   not_rtlcs26 <= NOT rtlcs26 ;
   rtlcn1765 <= not_RCV_R_Data_10 OR not_rtlcs26 ;
   not_RCV_Command_Sync <= NOT RCV_Command_Sync ;
   not_RCV_CS <= NOT RCV_CS ;
   not_Start_Clean <= NOT Start_Clean ;
   rtlcn1766 <= not_rtlc9n4782 OR rtlc9n4184 ;
   not_RxRdy <= NOT RxRdy ;
   rtlcn1778 <= not_RxRdy OR rtlcn1766 ;
   rtlcn1818 <= state(6) AND not_RCV_recieving ;
   rtlcn1785 <= rtlcn1180 OR rtlcn1818 ;
   rtlcn1789 <= RCV_Command_Sync AND RxRdy ;
   not_rtlcn1778 <= NOT rtlcn1778 ;
   rtlcn1820 <= not_rtlcn1778 AND rtlcn1125 ;
   rtlc_2491_or_1093 : or_4u_4u port map ( a(3)=>rtlcn1126, a(2)=>rtlcn1785, 
      a(1)=>rtlcn1820, a(0)=>rtlcn1821, d=>rtlcn1673);
   not_rtlc9n3851 <= NOT rtlc9n3851 ;
   rtlcn1771 <= state(5) AND not_rtlc9n3851 ;
   rtlcn1824 <= state(7) AND RxRdy_Plus4_5us ;
   rtlcn1775 <= rtlcn1798 OR rtlcn1824 ;
   not_rtlc9n3884 <= NOT rtlc9n3884 ;
   rtlc9n4222 <= RCV_recieving AND not_rtlc9n3884 ;
   rtlcn1777 <= rtlc9n3866 OR rtlc9n4222 ;
   not_rtlcn1777 <= NOT rtlcn1777 ;
   rtlcn985 <= rtlcn1775 OR rtlcn1827 ;
   rtlcn1776 <= not_rtlc9n4782 OR not_RCV_CS ;
   rtlcn1830 <= not_rtlcs26 AND rtlcn1159 ;
   not_rtlcn1776 <= NOT rtlcn1776 ;
   rtlcn1761 <= rtlcn1830 OR rtlcn1832 ;
   No_Words_Message_9n55ss1 <= state(0) AND RxRdy ;
   rtlcn1834 <= state(0) AND not_RxRdy ;
   rtlc_2515_and_1096 : and_4u_4u port map ( a(3)=>state(1), a(2)=>
      RCV_Command_Sync, a(1)=>not_RCV_R_Data_10, a(0)=>rtlcs26, d=>rtlcn1835
   );
   not_rtlc9n900 <= NOT rtlc9n900 ;
   rtlcn1838 <= rtlc9n900 AND rtlcs31 ;
   rtlcn1770 <= BCR_message_0n0s2 OR not_rtlc9n3509 ;
   rtlcn1780 <= not_RCV_Command_Sync AND rtlcn1159 ;
   not_rtlcn1770 <= NOT rtlcn1770 ;
   not_rtlcn1765 <= NOT rtlcn1765 ;
   not_R <= NOT R ;
   rtlcn1788 <= RCV_Command_Sync AND not_rtlcs26 ;
   not_rtlcs32 <= NOT rtlcs32 ;
   rtlc9n3882 <= not_rtlcs26 OR not_rtlcs32 ;
   rtlcn1782 <= not_RCV_recieving OR rtlc9n3882 ;
   rtlcn1852 <= rtlcn395 AND Timeout ;
   rtlcn1853 <= state(8) AND not_rtlcs32 ;
   rtlcn609 <= state(1) AND not_rtlcn1765 ;
   rtlcn1855 <= state(1) AND not_RCV_Command_Sync ;
   rtlcn787 <= state(3) OR rtlcn1855 ;
   not_rtlc9n4122 <= NOT rtlc9n4122 ;
   rtlcn1091 <= state(1) OR rtlcn1857 ;
   not_rtlc9n872 <= NOT rtlc9n872 ;
   rtlcn1772 <= not_RCV_R_Data_10 OR not_rtlc9n872 ;
   not_rtlcn1772 <= NOT rtlcn1772 ;
   rtlcn1783 <= state(2) OR rtlcn1082 ;
   rtlcn1861 <= state(4) AND rtlc9n4184 ;
   rtlcn1120 <= rtlcn1783 OR rtlcn1861 ;
   rtlcn1862 <= state(1) AND rtlcs26 ;
   rtlcn1137 <= state(2) OR rtlcn1862 ;
   not_rtlcn1762 <= NOT rtlcn1762 ;
   rtlcn1864 <= not_rtlcn1762 AND rtlcn1159 ;
   rtlcn1865 <= RCV_CS AND rtlcn1125 ;
   rtlcn1174 <= state(3) OR rtlcn1787 ;
   rtlcn1866 <= state(4) AND not_RCV_Command_Sync ;
   rtlcn1184 <= state(5) OR rtlcn1866 ;
   rtlcn1867 <= state(4) AND not_rtlc9n4782 ;
   rtlcn1193 <= rtlcn1783 OR rtlcn1867 ;
   rtlcn1871 <= RCV_Command_Sync AND rtlcn1761 ;
   rtlcn1872 <= not_rtlcn1762 AND No_Words_Message_9n55ss1 ;
   rtlcn1763 <= rtlcn1871 OR rtlcn1872 ;
   rtlcn1786 <= rtlc9n3664 AND rtlcn1163 ;
   rtlcn1873 <= not_rtlcn1770 AND rtlcn1780 ;
   not_rtlc9n3678 <= NOT rtlc9n3678 ;
   rtlcn1875 <= not_rtlc9n3678 AND rtlcn1786 ;
   not_rtlc9n909 <= NOT rtlcs31 ;
   rtlc_2593_and_1108 : and_4u_4u port map ( a(3)=>not_RCV_Command_Sync, 
      a(2)=>rtlcs26, a(1)=>not_rtlcn1776, a(0)=>rtlcn1125, d=>rtlcn1879);
   rtlc_2594_or_1109 : or_5u_5u port map ( a(4)=>rtlcn1873, a(3)=>rtlcn1875, 
      a(2)=>rtlcn1876, a(1)=>rtlcn1878, a(0)=>rtlcn1879, d=>rtlcn1623);
   rtlcn1880 <= not_RCV_Command_Sync AND not_rtlcs26 ;
   rtlcn1881 <= RCV_Command_Sync AND not_Start_Clean ;
   rtlcn1791 <= rtlcn1838 OR not_rtlcn1772 ;
   rtlcn1884 <= rtlcn1762 AND No_Words_Message_9n55ss1 ;
   rtlcn1885 <= rtlc9n3678 AND rtlcn1786 ;
   rtlcn1886 <= rtlcn1125 AND rtlcn1792 ;
   rtlcn1887 <= rtlcn1763 AND rtlcn1791 ;
   rtlc_2608_and_1112 : and_4u_4u port map ( a(3)=>not_RCV_Command_Sync, 
      a(2)=>BCR_message_0n0s2, a(1)=>rtlc9n3509, a(0)=>rtlcn1159, d=>
      rtlcn1890);
   rtlc_2609_or_1113 : or_6u_6u port map ( a(5)=>rtlcn1884, a(4)=>rtlcn1885, 
      a(3)=>rtlcn1886, a(2)=>rtlcn1887, a(1)=>rtlcn1889, a(0)=>rtlcn1890, d
      =>rtlcn1635);
   not_rtlcn1766 <= NOT rtlcn1766 ;
   rtlcn1893 <= not_rtlcn1766 AND rtlcn1125 ;
   rtlcn1794 <= rtlcn1872 OR rtlcn1893 ;
   rtlcn1759 <= not_rtlc9n900 AND rtlcn1794 ;
   rtlcn1793 <= rtlcn1759 OR rtlcn1900 ;
   rtlcn1640 <= not_RCV_R_Data_10 AND rtlcn1793 ;
   rtlcn1895 <= state(1) AND rtlcn1765 ;
   rtlcn1896 <= state(0) AND rtlcn1772 ;
   rtlcn1795 <= rtlcn1895 OR rtlcn1896 ;
   rtlcn1898 <= state(4) AND not_rtlcn1766 ;
   rtlcn1899 <= not_rtlcn1762 AND rtlcn1795 ;
   not_rtlcn1760 <= NOT rtlcn1760 ;
   rtlcn1658 <= rtlcn1901 OR rtlcn1902 ;
   not_rtlcn1125 <= NOT rtlcn1125 ;
   rtlcn1767 <= RxRdy AND not_rtlcn1125 ;
   rtlcn1773 <= not_RCV_R_Data_10 OR Record_command ;
   rtlcn1779 <= not_RCV_Command_Sync OR rtlcn1905 ;
   not_rtlcn1779 <= NOT rtlcn1779 ;
   rtlcn1910 <= rtlcn1159 AND rtlcn1779 ;
   rtlcn1911 <= rtlcn1767 AND rtlcn1796 ;
   rtlcn1678 <= rtlcn1911 OR rtlcn1912 ;
   rtlcn1914 <= rtlcn1123 AND not_rtlc9n4081 ;
   not_rtlc9n3664 <= NOT rtlc9n3664 ;
   rtlcn1916 <= not_rtlc9n3664 AND rtlcn1163 ;
   rtlcn1921 <= state(6) AND RCV_recieving ;
   rtlcn827 <= rtlcn1921 OR rtlcn1922 ;
   rtlcn837 <= rtlcs32 AND state(8) ;
   not_rtlcn1962 <= NOT rtlcn1962 ;
   not_rtlcn1963 <= NOT rtlcn1963 ;
   not_rtlcn1964 <= NOT rtlcn1964 ;
   rtlc9n4041 <= rtlcs26 when RCV_Command_Sync = '1' else not_rtlc9n3509 ;
   rtlc9n4179 <= rtlc9n4175 when RCV_Command_Sync = '1' else rtlcs26 ;
   rtlc9n4180 <= not_Start_Clean when RCV_Command_Sync = '1' else rtlcs26 ;
   rtlc9n4181 <= not_Start_Clean when RCV_Command_Sync = '1' else 
   not_rtlcs26 ;
   rtlc9n4182 <= rtlc9n4175 when RCV_Command_Sync = '1' else not_rtlcs26 ;
   rtlc3n59 <= CE AND RxRdy ;
   rtlcn1989 <= not_Timeout AND rtlcn395 ;
   not_CE <= NOT CE ;
   not_RxRdy_Plus4_5us <= NOT RxRdy_Plus4_5us ;
   rtlcn1994 <= not_RxRdy_Plus4_5us AND state(7) ;
   rtlcn1996 <= not_RxRdy AND rtlcn1982 ;
   not_RxRdy_Plus3us <= NOT RxRdy_Plus3us ;
   rtlc_2877_and_1128 : and_4u_4u port map ( a(3)=>not_Counter_is_37us, a(2)
      =>not_RxRdy_Plus3us, a(1)=>not_rtlc9n3851, a(0)=>state(5), d=>
      rtlcn1999);
   rtlc_2878_or_1129 : or_4u_4u port map ( a(3)=>not_CE, a(2)=>rtlcn1994, 
      a(1)=>rtlcn1996, a(0)=>rtlcn1999, d=>rtlcn1970);
   not_rtlcn1970 <= NOT rtlcn1970 ;
   not_rtlc9n4262 <= NOT rtlc9n4262 ;
   rtlc9n4980 <= CE AND not_rtlc9n4262 ;
   rtlcn2001 <= CE AND rtlc9n5534 ;
   rtlc9n4973 <= rtlc3n59 OR rtlcn2001 ;
   not_rtlc9_PS245_n4310 <= NOT rtlc9_PS245_n4310 ;
   not_rtlc9_PS247_n4324 <= NOT rtlc9_PS247_n4324 ;
   not_rtlc9_PS248_n4337 <= NOT rtlc9_PS248_n4337 ;
   not_rtlcs20 <= NOT rtlcs20 ;
   not_rtlcs19 <= NOT rtlcs19 ;
   rtlc_2893_and_1130 : and_6u_6u port map ( a(5)=>CE, a(4)=>
      not_rtlc9_PS245_n4310, a(3)=>not_rtlc9_PS247_n4324, a(2)=>
      not_rtlc9_PS248_n4337, a(1)=>not_rtlcs20, a(0)=>not_rtlcs19, d=>
      rtlcn2007);
   rtlc9n4943 <= rtlc3n59 OR rtlcn2007 ;
   not_rtlc9n4260 <= NOT rtlc9n4260 ;
   rtlc9n4941 <= CE AND not_rtlc9n4260 ;
   not_rtlc9n4259 <= NOT rtlc9n4259 ;
   rtlc9n4935 <= CE AND not_rtlc9n4259 ;
   not_rtlc9n4258 <= NOT rtlc9n4258 ;
   rtlc9n4932 <= CE AND not_rtlc9n4258 ;
   not_rtlc9n4257 <= NOT rtlc9n4257 ;
   rtlc9n4931 <= CE AND not_rtlc9n4257 ;
   not_rtlc9n4256 <= NOT rtlc9n4256 ;
   rtlc9n4930 <= CE AND not_rtlc9n4256 ;
   not_rtlc9n4254 <= NOT rtlc9n4254 ;
   rtlc9n4928 <= CE AND not_rtlc9n4254 ;
   not_rtlc9n4253 <= NOT rtlc9n4253 ;
   rtlc9n4927 <= CE AND not_rtlc9n4253 ;
   not_rtlc9n4252 <= NOT rtlc9n4252 ;
   rtlc9n4926 <= CE AND not_rtlc9n4252 ;
   not_rtlc9n4250 <= NOT rtlc9n4250 ;
   rtlc9n4924 <= CE AND not_rtlc9n4250 ;
   not_rtlcn389 <= NOT rtlcn389 ;
   rtlc9n4917 <= not_rtlcn389 AND rtlc3n59 ;
   not_rtlcn384 <= NOT rtlcn384 ;
   rtlc9n4912 <= not_rtlcn384 AND rtlc3n59 ;
   rtlc9n4175 <= rtlcs37 AND not_Start_Clean ;
   rtlc_2924_or_1132 : or_4u_4u port map ( a(3)=>Counter_is_37us, a(2)=>
      rtlc9n3851, a(1)=>not_rtlc9n3866, a(0)=>not_RxRdy_Plus3us, d=>
      rtlc9n4237);
   rtlcn1977 <= not_RxRdy OR Timeout ;
   rtlcn1980 <= not_RxRdy OR Counter_is_21us ;
   rtlcn2028 <= RCV_CS AND rtlcn385 ;
   rtlcn1983 <= rtlcn1980 OR rtlcn2028 ;
   rtlcn2029 <= state(5) AND rtlc9n4237 ;
   rtlcn2030 <= state(3) AND rtlcn1985 ;
   rtlcn2031 <= rtlcn1977 AND rtlcn395 ;
   rtlcn2032 <= state(1) AND rtlcn1983 ;
   rtlc_2943_and_1136 : and_4u_4u port map ( a(3)=>RCV_Command_Sync, a(2)=>
      rtlc9n4175, a(1)=>state(4), a(0)=>not_rtlcn1776, d=>rtlcn2035);
   not_rtlcn1971 <= NOT rtlcn1971 ;
   rtlc9n4909 <= CE AND not_rtlcn1971 ;
   not_rtlcn381 <= NOT rtlcn381 ;
   rtlc9n4890 <= not_rtlcn381 AND rtlc3n59 ;
   not_state_1 <= NOT state(1) ;
   not_rtlc9n4054 <= NOT rtlc9n4054 ;
   rtlcn1972 <= not_state_1 OR not_rtlc9n4054 ;
   not_state_0 <= NOT state(0) ;
   rtlcn1973 <= rtlc9n900 OR not_state_0 ;
   not_rtlc9n4182 <= NOT rtlc9n4182 ;
   rtlcn1976 <= not_rtlc9n4182 OR rtlcn1776 ;
   rtlcn1978 <= not_RxRdy OR rtlcn1973 ;
   not_state_4 <= NOT state(4) ;
   rtlc_2965_and_1139 : and_4u_4u port map ( a(3)=>not_Timeout, a(2)=>
      rtlcn1973, a(1)=>rtlc3n59, a(0)=>rtlcn1976, d=>rtlcn2044);
   rtlcn1981 <= rtlcn2043 OR rtlcn2044 ;
   not_No_Words_Message_9n55ss1 <= NOT No_Words_Message_9n55ss1 ;
   rtlc_2971_or_1141 : or_4u_4u port map ( a(3)=>rtlcn1776, a(2)=>
      not_RCV_Command_Sync, a(1)=>not_Start_Clean, a(0)=>rtlcn1977, d=>
      rtlc9n4211);
   not_rtlc9n4211 <= NOT rtlc9n4211 ;
   rtlcn1979 <= not_state_4 OR not_rtlc9n4211 ;
   rtlc_2974_and_1142 : and_5u_5u port map ( a(4)=>CE, a(3)=>rtlc9n4993, 
      a(2)=>rtlcn1972, a(1)=>rtlcn1974, a(0)=>rtlcn1979, d=>rtlcn1932);
   rtlc_2977_or_1143 : or_9u_9u port map ( a(8)=>state(6), a(7)=>state(7), 
      a(6)=>state(8), a(5)=>rtlcn2029, a(4)=>rtlcn2030, a(3)=>rtlcn2031, 
      a(2)=>rtlcn2032, a(1)=>rtlcn2033, a(0)=>rtlcn2035, d=>rtlcn1971);
   rtlcs7 <= rtlcs13 AND rtlcs4 ;
   rtlcs4 <= not_counter_9 AND rtlcs15 ;
   rtlcs10 <= not_counter_7 AND rtlcs3 ;
   rtlcs27 <= rtlcs28 AND mode_message_9n1s5 ;
   mode_message_and_9i8 : and_5u_5u port map ( a(4)=>RCV_R_Data(9), a(3)=>
      RCV_R_Data(8), a(2)=>RCV_R_Data(7), a(1)=>RCV_R_Data(6), a(0)=>
      RCV_R_Data(5), d=>mode_message_9n1s3);
   not_RCV_R_Data_9 <= NOT RCV_R_Data(9) ;
   not_RCV_R_Data_8 <= NOT RCV_R_Data(8) ;
   not_RCV_R_Data_7 <= NOT RCV_R_Data(7) ;
   not_RCV_R_Data_6 <= NOT RCV_R_Data(6) ;
   not_RCV_R_Data_5 <= NOT RCV_R_Data(5) ;
   mode_message_and_9i9 : and_5u_5u port map ( a(4)=>not_RCV_R_Data_9, a(3)
      =>not_RCV_R_Data_8, a(2)=>not_RCV_R_Data_7, a(1)=>not_RCV_R_Data_6, 
      a(0)=>not_RCV_R_Data_5, d=>mode_message_9n1s5);
   not_counter_7 <= NOT counter(7) ;
   not_counter_2 <= NOT counter(2) ;
   rtlcs3 <= counter(6) AND not_counter_2 ;
   not_counter_1 <= NOT counter(1) ;
   not_counter_0 <= NOT counter(0) ;
   rtlc_3026_and_1147 : and_4u_4u port map ( a(3)=>not_counter_12, a(2)=>
      not_counter_11, a(1)=>not_counter_1, a(0)=>not_counter_0, d=>rtlcs15);
   not_counter_4 <= NOT counter(4) ;
   not_RCV_Gap_found_2 <= NOT RCV_Gap_found(2) ;
   not_RCV_Gap_found_1 <= NOT RCV_Gap_found(1) ;
   not_RCV_Gap_found_0 <= NOT RCV_Gap_found(0) ;
   rtlc_3039_and_1151 : and_4u_4u port map ( a(3)=>rtlc9n5534, a(2)=>
      No_Response_timeout(2), a(1)=>No_Response_timeout(1), a(0)=>
      not_No_Response_timeout_0, d=>rtlcs19);
   BCR_message_and_0i1 : and_5u_5u port map ( a(4)=>
      active_command_15_EXMPLR2021, a(3)=>active_command_14_EXMPLR2022, a(2)
      =>active_command_13_EXMPLR2023, a(1)=>active_command_12_EXMPLR2024, 
      a(0)=>active_command_11_EXMPLR2025, d=>BCR_message_0n0s2);
   active_command_9n55ss1_4 <= RCV_R_Data(4) AND rtlcn609 ;
   not_active_command_3 <= NOT active_command_3_EXMPLR2033 ;
   not_active_command_2 <= NOT active_command_2_EXMPLR2034 ;
   not_active_command_1 <= NOT active_command_1_EXMPLR2035 ;
   rtlc_3046_and_1153 : and_5u_5u port map ( a(4)=>not_active_command_4, 
      a(3)=>not_active_command_3, a(2)=>not_active_command_2, a(1)=>
      not_active_command_1, a(0)=>active_command_0_EXMPLR2036, d=>rtlcs25);
   rtlc_3048_and_1154 : and_5u_5u port map ( a(4)=>first_RT_command(15), 
      a(3)=>first_RT_command(14), a(2)=>first_RT_command(13), a(1)=>
      first_RT_command(12), a(0)=>first_RT_command(11), d=>rtlcs22);
   rtlc_3049_and_1155 : and_5u_5u port map ( a(4)=>RCV_R_Data(15), a(3)=>
      RCV_R_Data(14), a(2)=>RCV_R_Data(13), a(1)=>RCV_R_Data(12), a(0)=>
      RCV_R_Data(11), d=>rtlcs31);
   not_counter_3 <= NOT counter(3) ;
   not_counter_6 <= NOT counter(6) ;
   Word_number_9n55ss1(3) <= Word_number_9n30s1(3) AND rtlcn787 ;
   Word_number_9n55ss1(2) <= Word_number_9n30s1(2) AND rtlcn787 ;
   Word_number_9n55ss1(1) <= Word_number_9n30s1(1) AND rtlcn787 ;
   not_rtlcn787 <= NOT rtlcn787 ;
   Word_number_9n55ss1(0) <= Word_number_9n30s1(0) OR not_rtlcn787 ;
   Word_number_9n55ss1(4) <= Word_number_9n30s1(4) AND rtlcn787 ;
   rtlcn1962 <= rtlcn620 OR rtlcn622 ;
   not_RCV_RAW_GAP_6 <= NOT RCV_RAW_GAP(6) ;
   not_RCV_RAW_GAP_5 <= NOT RCV_RAW_GAP(5) ;
   not_RCV_RAW_GAP_4 <= NOT RCV_RAW_GAP(4) ;
   not_RCV_RAW_GAP_3 <= NOT RCV_RAW_GAP(3) ;
   not_RCV_RAW_GAP_2 <= NOT RCV_RAW_GAP(2) ;
   not_RCV_RAW_GAP_1 <= NOT RCV_RAW_GAP(1) ;
   not_RCV_RAW_GAP_0 <= NOT RCV_RAW_GAP(0) ;
   rtlc_3086_and_1159 : and_7u_7u port map ( a(6)=>not_RCV_RAW_GAP_6, a(5)=>
      not_RCV_RAW_GAP_5, a(4)=>not_RCV_RAW_GAP_4, a(3)=>not_RCV_RAW_GAP_3, 
      a(2)=>not_RCV_RAW_GAP_2, a(1)=>not_RCV_RAW_GAP_1, a(0)=>
      not_RCV_RAW_GAP_0, d=>rtlcs32);
   rtlcn386 <= not_rtlcs37 OR not_RCV_R_Data_10 ;
   rtlcn385 <= rtlc9n4009 OR not_RCV_Command_Sync ;
   rtlcs28 <= not_RCV_R_Data_10 AND not_RCV_R_Data_4 ;
   Monitor_ended_OK_9n55ss1 <= MIL1553_ERRORS_9n22ss1(0) AND rtlcn985 ;
   rtlcn1964 <= rtlcn1673 OR rtlcn985 ;
   MIL1553_ERRORS_9n17ss1(0) <= MIL1553_ERRORS_9n22ss1(0) AND 
   not_RCV_Command_Sync ;
   GOOD_Data_Block_9n55ss1 <= MIL1553_ERRORS_9n17ss1(0) AND rtlcn1091 ;
   rtlcn1734 <= rtlc9n3664 OR RCV_Command_Sync ;
   MIL1553_ERRORS_9n55ss1_2 <= MIL1553_ERRORS_9n22ss1(0) AND rtlcn1120 ;
   MIL1553_ERRORS_9n55ss1_3 <= MIL1553_ERRORS_9n22ss1(0) AND rtlcn1137 ;
   rtlcn392 <= rtlcs26 OR not_RCV_Command_Sync ;
   rtlcn1963 <= state(0) OR rtlcn1169 ;
   MIL1553_ERRORS_9n55ss1_7 <= MIL1553_ERRORS_9n22ss1(0) AND rtlcn1174 ;
   MIL1553_ERRORS_9n55ss1_8 <= MIL1553_ERRORS_9n22ss1(0) AND rtlcn1184 ;
   MIL1553_ERRORS_9n55ss1_11 <= MIL1553_ERRORS_9n22ss1(0) AND rtlcn1193 ;
   MIL1553_ERRORS_9n55ss1_4 <= NOT rtlcn2256 ;
   rtlcn2256 <= Error_in_message OR rtlcn1155 ;
   rtlcn2020 <= rtlcs39 AND rtlc9n5719 ;
   rtlcn1905 <= rtlcs26 AND rtlcn1773 ;
   modgen_counter_Energy_Count : 
      counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10 port map ( clock=>C, 
      q(9)=>Energy_Count(9), q(8)=>Energy_Count(8), q(7)=>Energy_Count(7), 
      q(6)=>Energy_Count(6), q(5)=>Energy_Count(5), q(4)=>Energy_Count(4), 
      q(3)=>Energy_Count(3), q(2)=>Energy_Count(2), q(1)=>Energy_Count(1), 
      q(0)=>Energy_Count(0), clk_en=>CE, aclear=>not_R, sload=>
      Address_6_EXMPLR2060, data(9)=>DANGLING(1), data(8)=>DANGLING(2), 
      data(7)=>DANGLING(3), data(6)=>DANGLING(4), data(5)=>DANGLING(5), 
      data(4)=>DANGLING(6), data(3)=>DANGLING(7), data(2)=>DANGLING(8), 
      data(1)=>DANGLING(9), data(0)=>DANGLING(10), aset=>
      Address_6_EXMPLR2060, sclear=>RxRdy, updn=>PWR, cnt_en=>rtlc6n36);
   rtlceq_s68_eq_1160 : eq_5u_5u port map ( a(4)=>first_RT_command(15), a(3)
      =>first_RT_command(14), a(2)=>first_RT_command(13), a(1)=>
      first_RT_command(12), a(0)=>first_RT_command(11), b(4)=>RCV_R_Data(15), 
      b(3)=>RCV_R_Data(14), b(2)=>RCV_R_Data(13), b(1)=>RCV_R_Data(12), b(0)
      =>RCV_R_Data(11), d=>rtlcs37);
   rtlceq_s70_eq_1161 : eq_5u_5u port map ( a(4)=>Word_number(4), a(3)=>
      Word_number(3), a(2)=>Word_number(2), a(1)=>Word_number(1), a(0)=>
      Word_number(0), b(4)=>active_command_4_EXMPLR2032, b(3)=>
      active_command_3_EXMPLR2033, b(2)=>active_command_2_EXMPLR2034, b(1)=>
      active_command_1_EXMPLR2035, b(0)=>active_command_0_EXMPLR2036, d=>
      rtlcs38);
   rtlceq_s72_eq_1162 : eq_5u_5u port map ( a(4)=>
      active_command_15_EXMPLR2021, a(3)=>active_command_14_EXMPLR2022, a(2)
      =>active_command_13_EXMPLR2023, a(1)=>active_command_12_EXMPLR2024, 
      a(0)=>active_command_11_EXMPLR2025, b(4)=>RCV_R_Data(15), b(3)=>
      RCV_R_Data(14), b(2)=>RCV_R_Data(13), b(1)=>RCV_R_Data(12), b(0)=>
      RCV_R_Data(11), d=>rtlcs39);
   DFFPCE (rtlcn837,not_R,Address_6_EXMPLR2060,not_rtlcn1970,C,state(8)) ;
   DFFPCE (rtlcn833,Address_6_EXMPLR2060,not_R,not_rtlcn1970,C,state(7)) ;
   DFFPCE (rtlcn827,Address_6_EXMPLR2060,not_R,not_rtlcn1970,C,state(6)) ;
   DFFPCE (rtlcn1635,Address_6_EXMPLR2060,not_R,not_rtlcn1970,C,state(5)) ;
   DFFPCE (rtlcn1623,Address_6_EXMPLR2060,not_R,not_rtlcn1970,C,state(4)) ;
   DFFPCE (rtlcn708,Address_6_EXMPLR2060,not_R,not_rtlcn1970,C,state(3)) ;
   DFFPCE (rtlcn1658,Address_6_EXMPLR2060,not_R,not_rtlcn1970,C,state(2)) ;
   DFFPCE (rtlcn1640,Address_6_EXMPLR2060,not_R,not_rtlcn1970,C,state(1)) ;
   DFFPCE (rtlcn459,Address_6_EXMPLR2060,not_R,not_rtlcn1970,C,state(0)) ;
   DFFPCE (Start_Clean_9n55ss1,not_R,Address_6_EXMPLR2060,rtlc9n4980,C,
   Start_Clean) ;
   DFFPCE (Counter_is_37us_9n59s1,Address_6_EXMPLR2060,not_R,CE,C,
   Counter_is_37us) ;
   DFFPCE (Counter_is_21us_9n59s1,Address_6_EXMPLR2060,not_R,CE,C,
   Counter_is_21us) ;
   DFFPCE (RxRdy_Plus4_5us_9n59s1,Address_6_EXMPLR2060,not_R,CE,C,
   RxRdy_Plus4_5us) ;
   DFFPCE (RxRdy_Plus_2us_9n59s1,Address_6_EXMPLR2060,not_R,CE,C,
   RxRdy_Plus_2us) ;
   DFFPCE (counter_9n58ss1(12),not_R,Address_6_EXMPLR2060,rtlc9n4973,C,
   counter(12)) ;
   DFFPCE (counter_9n58ss1(11),Address_6_EXMPLR2060,not_R,rtlc9n4973,C,
   counter(11)) ;
   DFFPCE (counter_9n58ss1(10),not_R,Address_6_EXMPLR2060,rtlc9n4973,C,
   counter(10)) ;
   DFFPCE (counter_9n58ss1(9),not_R,Address_6_EXMPLR2060,rtlc9n4973,C,
   counter(9)) ;
   DFFPCE (counter_9n58ss1(8),not_R,Address_6_EXMPLR2060,rtlc9n4973,C,
   counter(8)) ;
   DFFPCE (counter_9n58ss1(7),Address_6_EXMPLR2060,not_R,rtlc9n4973,C,
   counter(7)) ;
   DFFPCE (counter_9n58ss1(6),Address_6_EXMPLR2060,not_R,rtlc9n4973,C,
   counter(6)) ;
   DFFPCE (counter_9n58ss1(5),not_R,Address_6_EXMPLR2060,rtlc9n4973,C,
   counter(5)) ;
   DFFPCE (counter_9n58ss1(4),Address_6_EXMPLR2060,not_R,rtlc9n4973,C,
   counter(4)) ;
   DFFPCE (counter_9n58ss1(3),Address_6_EXMPLR2060,not_R,rtlc9n4973,C,
   counter(3)) ;
   DFFPCE (counter_9n58ss1(2),Address_6_EXMPLR2060,not_R,rtlc9n4973,C,
   counter(2)) ;
   DFFPCE (counter_9n58ss1(1),Address_6_EXMPLR2060,not_R,rtlc9n4973,C,
   counter(1)) ;
   DFFPCE (counter_9n58ss1(0),Address_6_EXMPLR2060,not_R,rtlc9n4973,C,
   counter(0)) ;
   DFFPCE (RxRdy_Plus3us_9n59s1,Address_6_EXMPLR2060,not_R,CE,C,
   RxRdy_Plus3us) ;
   DFFPCE (not_RxRdy,Address_6_EXMPLR2060,not_R,rtlc9n4943,C,Timeout) ;
   DFFPCE (GOOD_Data_Block_9n55ss1,Address_6_EXMPLR2060,not_R,rtlc9n4941,C,
   GOOD_Data_Block) ;
   DFFPCE (MIL1553_ERRORS_9n55ss1_11,Address_6_EXMPLR2060,not_R,rtlc9n4935,C,
   MIL1553_ERRORS_Address_Parity) ;
   DFFPCE (MIL1553_ERRORS_9n55ss1_8,Address_6_EXMPLR2060,not_R,rtlc9n4932,C,
   MIL1553_ERRORS_high_word_count) ;
   DFFPCE (MIL1553_ERRORS_9n55ss1_7,Address_6_EXMPLR2060,not_R,rtlc9n4931,C,
   MIL1553_ERRORS_Low_word_count) ;
   DFFPCE (MIL1553_ERRORS_9n55ss1_6,Address_6_EXMPLR2060,not_R,rtlc9n4930,C,
   MIL1553_ERRORS_incorrect_data_sync) ;
   DFFPCE (MIL1553_ERRORS_9n55ss1_4,Address_6_EXMPLR2060,not_R,rtlc9n4928,C,
   MIL1553_ERRORS_Invalid_word) ;
   DFFPCE (MIL1553_ERRORS_9n55ss1_3,Address_6_EXMPLR2060,not_R,rtlc9n4927,C,
   MIL1553_ERRORS_RT2RT_format_error) ;
   DFFPCE (MIL1553_ERRORS_9n55ss1_2,Address_6_EXMPLR2060,not_R,rtlc9n4926,C,
   MIL1553_ERRORS_RT2RT_format_gap) ;
   DFFPCE (MIL1553_ERRORS_9n55ss1_0,Address_6_EXMPLR2060,not_R,rtlc9n4924,C,
   MIL1553_ERRORS_Inhibit_TF) ;
   DFFPCE (Word_number_9n55ss1(4),Address_6_EXMPLR2060,not_R,rtlc9n4917,C,
   Word_number(4)) ;
   DFFPCE (Word_number_9n55ss1(3),Address_6_EXMPLR2060,not_R,rtlc9n4917,C,
   Word_number(3)) ;
   DFFPCE (Word_number_9n55ss1(2),Address_6_EXMPLR2060,not_R,rtlc9n4917,C,
   Word_number(2)) ;
   DFFPCE (Word_number_9n55ss1(1),Address_6_EXMPLR2060,not_R,rtlc9n4917,C,
   Word_number(1)) ;
   DFFPCE (Word_number_9n55ss1(0),Address_6_EXMPLR2060,not_R,rtlc9n4917,C,
   Word_number(0)) ;
   DFFPCE (mode_message_9n8s1,Address_6_EXMPLR2060,not_R,rtlc9n4912,C,
   mode_message) ;
   DFFPCE (rtlcn609,Address_6_EXMPLR2060,not_R,rtlc9n4912,C,
   RT2RT_message_EXMPLR2041) ;
   DFFPCE (rtlcn1669,Address_6_EXMPLR2060,not_R,CE,C,new_command) ;
   DFFPCE (not_rtlcn1760,Address_6_EXMPLR2060,not_R,rtlc9n4909,C,
   Error_in_message) ;
   DFFPCE (Monitor_ended_not_OK_9n55ss1,Address_6_EXMPLR2060,not_R,CE,C,
   Monitor_ended_not_OK) ;
   DFFPCE (Monitor_ended_OK_9n55ss1,Address_6_EXMPLR2060,not_R,CE,C,
   Monitor_ended_OK) ;
   DFFPCE (RCV_R_Data(15),Address_6_EXMPLR2060,not_R,rtlc9n4912,C,
   active_command_15_EXMPLR2021) ;
   DFFPCE (RCV_R_Data(14),Address_6_EXMPLR2060,not_R,rtlc9n4912,C,
   active_command_14_EXMPLR2022) ;
   DFFPCE (RCV_R_Data(13),Address_6_EXMPLR2060,not_R,rtlc9n4912,C,
   active_command_13_EXMPLR2023) ;
   DFFPCE (RCV_R_Data(12),Address_6_EXMPLR2060,not_R,rtlc9n4912,C,
   active_command_12_EXMPLR2024) ;
   DFFPCE (RCV_R_Data(11),Address_6_EXMPLR2060,not_R,rtlc9n4912,C,
   active_command_11_EXMPLR2025) ;
   DFFPCE (RCV_R_Data(10),Address_6_EXMPLR2060,not_R,rtlc9n4912,C,
   active_command_10_EXMPLR2026) ;
   DFFPCE (RCV_R_Data(9),Address_6_EXMPLR2060,not_R,rtlc9n4912,C,
   active_command(9)) ;
   DFFPCE (RCV_R_Data(8),Address_6_EXMPLR2060,not_R,rtlc9n4912,C,
   active_command(8)) ;
   DFFPCE (RCV_R_Data(7),Address_6_EXMPLR2060,not_R,rtlc9n4912,C,
   active_command(7)) ;
   DFFPCE (RCV_R_Data(6),Address_6_EXMPLR2060,not_R,rtlc9n4912,C,
   active_command(6)) ;
   DFFPCE (RCV_R_Data(5),Address_6_EXMPLR2060,not_R,rtlc9n4912,C,
   active_command(5)) ;
   DFFPCE (active_command_9n55ss1_4,Address_6_EXMPLR2060,not_R,rtlc9n4912,C,
   active_command_4_EXMPLR2032) ;
   DFFPCE (RCV_R_Data(3),Address_6_EXMPLR2060,not_R,rtlc9n4912,C,
   active_command_3_EXMPLR2033) ;
   DFFPCE (RCV_R_Data(2),Address_6_EXMPLR2060,not_R,rtlc9n4912,C,
   active_command_2_EXMPLR2034) ;
   DFFPCE (RCV_R_Data(1),Address_6_EXMPLR2060,not_R,rtlc9n4912,C,
   active_command_1_EXMPLR2035) ;
   DFFPCE (RCV_R_Data(0),Address_6_EXMPLR2060,not_R,rtlc9n4912,C,
   active_command_0_EXMPLR2036) ;
   DFFPCE (RCV_R_Data(15),Address_6_EXMPLR2060,not_R,rtlc9n4890,C,
   first_RT_command(15)) ;
   DFFPCE (RCV_R_Data(14),Address_6_EXMPLR2060,not_R,rtlc9n4890,C,
   first_RT_command(14)) ;
   DFFPCE (RCV_R_Data(13),Address_6_EXMPLR2060,not_R,rtlc9n4890,C,
   first_RT_command(13)) ;
   DFFPCE (RCV_R_Data(12),Address_6_EXMPLR2060,not_R,rtlc9n4890,C,
   first_RT_command(12)) ;
   DFFPCE (RCV_R_Data(11),Address_6_EXMPLR2060,not_R,rtlc9n4890,C,
   first_RT_command(11)) ;
   DFFPCE (rtlcn1678,Address_6_EXMPLR2060,not_R,CE,C,Write_Req) ;
   DFFPCE (No_Words_Message_9n55ss1,Address_6_EXMPLR2060,not_R,rtlcn322,C,
   No_Words_Message) ;
   DFFPCE (No_Words_Message_9n55ss1,Address_6_EXMPLR2060,not_R,rtlcn1932,C,
   MIL1553_ERRORS_invalid_command) ;
   rtlc6_60_or_1031_nx0 <= Energy_Count(5) OR Energy_Count(6) ;
   rtlc6n159 <= rtlc6_60_or_1031_nx0 OR Energy_Count(7) ;
   rtlc9_1600_or_1037_nx0 <= state(0) OR state(1) ;
   rtlc9n4993 <= rtlc9_1600_or_1037_nx0 OR state(4) ;
   rtlc9_1760_or_1049_nx0 <= rtlc9n3851 OR rtlc9n4225 ;
   rtlc9n4234 <= rtlc9_1760_or_1049_nx0 OR not_RxRdy_Plus3us ;
   rtlc9_1761_or_1050_nx0 <= not_rtlcn202 OR not_RxRdy ;
   rtlc9n3979 <= rtlc9_1761_or_1050_nx0 OR not_Start_Clean ;
   rtlc9_1849_or_1051_nx0 <= Counter_is_37us OR rtlc9n4154 ;
   rtlc9n4168 <= rtlc9_1849_or_1051_nx0 OR not_RxRdy ;
   rtlcn1762 <= not_RCV_Command_Sync OR not_RCV_CS ;
   rtlc9n4184 <= rtlcn1762 OR not_Start_Clean ;
   rtlc9_1881_or_1054_nx0 <= not_RxRdy OR not_RCV_Command_Sync ;
   rtlc9n4045 <= rtlc9_1881_or_1054_nx0 OR rtlcs26 ;
   rtlc9_1899_or_1058_nx0 <= rtlc9n4187 OR not_RxRdy ;
   rtlc9n4204 <= rtlc9_1899_or_1058_nx0 OR not_rtlc9n4782 ;
   rtlc9_1900_or_1059_nx0 <= RCV_CS OR rtlc9n4122 ;
   rtlc9n4157 <= rtlc9_1900_or_1059_nx0 OR not_RxRdy ;
   rtlc9_1901_or_1060_nx0 <= RCV_CS OR not_RxRdy ;
   rtlc9n4100 <= rtlc9_1901_or_1060_nx0 OR not_rtlc9n4782 ;
   rtlc9_1913_or_1063_nx0 <= rtlc9n4186 OR not_RxRdy ;
   rtlc9n4203 <= rtlc9_1913_or_1063_nx0 OR not_rtlc9n4782 ;
   rtlc9_1914_or_1064_nx0 <= rtlc9n4069 OR not_RxRdy ;
   rtlc9n4098 <= rtlc9_1914_or_1064_nx0 OR not_rtlc9n4782 ;
   rtlc9_1925_or_1067_nx0 <= Counter_is_21us OR rtlc9n4041 ;
   rtlc9n4059 <= rtlc9_1925_or_1067_nx0 OR not_RxRdy ;
   rtlc9_2331_gt_1071_nx0 <= RCV_Gap_found(0) XOR No_Response_timeout(0) ;
   rtlc9_2331_gt_1071_nx2 <= RCV_Gap_found(1) XOR No_Response_timeout(1) ;
   rtlc9_2331_gt_1071_nx4 <= RCV_Gap_found(2) XOR No_Response_timeout(2) ;
   rtlc9n5610 <= counter(10) AND counter(9) ;
   rtlc9n5526 <= rtlc9n5610 AND counter(8) ;
   rtlc9_3427_and_1078_nx0 <= counter(8) AND counter(7) ;
   rtlc9n5584 <= rtlc9_3427_and_1078_nx0 AND counter(6) ;
   rtlc_535_or_1081_nx0 <= Counter_is_21us OR not_RCV_Command_Sync ;
   rtlcn379 <= rtlc_535_or_1081_nx0 OR rtlcs26 ;
   rtlc_538_or_1082_nx0 <= Counter_is_21us OR rtlc9n4008 ;
   rtlcn382 <= rtlc_538_or_1082_nx0 OR not_RCV_Command_Sync ;
   rtlcn1821 <= rtlcn1895 AND rtlcn1789 ;
   rtlc_2501_and_1094_nx0 <= RxRdy_Plus3us AND rtlcn1771 ;
   rtlcn1827 <= rtlc_2501_and_1094_nx0 AND not_rtlcn1777 ;
   rtlc_2509_and_1095_nx0 <= Start_Clean AND not_rtlcn1776 ;
   rtlcn1832 <= rtlc_2509_and_1095_nx0 AND rtlcn1125 ;
   rtlc_2549_and_1100_nx0 <= not_rtlc9n3866 AND rtlcn1771 ;
   rtlcn1854 <= rtlc_2549_and_1100_nx0 AND rtlcn1782 ;
   rtlc_2558_and_1102_nx0 <= state(3) AND RCV_CS ;
   rtlcn1857 <= rtlc_2558_and_1102_nx0 AND not_rtlc9n4122 ;
   rtlc_2573_or_1103_nx0 <= state(0) OR rtlcn1864 ;
   rtlcn1155 <= rtlc_2573_or_1103_nx0 OR rtlcn1865 ;
   rtlc_2590_and_1106_nx0 <= rtlcn1123 AND RT2RT_message_EXMPLR2041 ;
   rtlcn1876 <= rtlc_2590_and_1106_nx0 AND rtlc9n4081 ;
   rtlc_2592_and_1107_nx0 <= rtlc9n900 AND not_rtlc9n909 ;
   rtlcn1878 <= rtlc_2592_and_1107_nx0 AND rtlcn1763 ;
   rtlc_2598_or_1110_nx0 <= rtlcn1776 OR rtlcn1880 ;
   rtlcn1792 <= rtlc_2598_or_1110_nx0 OR rtlcn1881 ;
   rtlc_2607_and_1111_nx0 <= rtlcn1123 AND not_RT2RT_message ;
   rtlcn1889 <= rtlc_2607_and_1111_nx0 AND rtlc9n4081 ;
   rtlc_2624_or_1114_nx0 <= rtlcn1834 OR rtlcn1898 ;
   rtlcn1760 <= rtlc_2624_or_1114_nx0 OR rtlcn1899 ;
   rtlc_2626_and_1115_nx0 <= not_rtlc9n900 AND rtlcn1159 ;
   rtlcn1900 <= rtlc_2626_and_1115_nx0 AND rtlcn1788 ;
   rtlc_2628_and_1116_nx0 <= RCV_Command_Sync AND not_rtlcn1765 ;
   rtlcn1901 <= rtlc_2628_and_1116_nx0 AND rtlcn1159 ;
   rtlc_2629_and_1117_nx0 <= RCV_R_Data(10) AND not_rtlc9n872 ;
   rtlcn1902 <= rtlc_2629_and_1117_nx0 AND rtlcn1793 ;
   rtlc_2641_and_1118_nx0 <= rtlcn1159 AND rtlcn1767 ;
   rtlcn1909 <= rtlc_2641_and_1118_nx0 AND not_rtlcn1779 ;
   rtlc_2642_or_1119_nx0 <= No_Words_Message_9n55ss1 OR rtlcn1820 ;
   rtlcn1669 <= rtlc_2642_or_1119_nx0 OR rtlcn1909 ;
   rtlc_2644_or_1120_nx0 <= rtlcn1123 OR rtlcn1163 ;
   rtlcn1796 <= rtlc_2644_or_1120_nx0 OR rtlcn1910 ;
   rtlc_2646_and_1121_nx0 <= RxRdy AND rtlcn1766 ;
   rtlcn1912 <= rtlc_2646_and_1121_nx0 AND rtlcn1125 ;
   rtlc_2653_and_1123_nx0 <= not_RCV_Command_Sync AND not_rtlc9n3509 ;
   rtlcn1917 <= rtlc_2653_and_1123_nx0 AND rtlcn1159 ;
   rtlc_2654_or_1124_nx0 <= rtlcn1914 OR rtlcn1916 ;
   rtlcn708 <= rtlc_2654_or_1124_nx0 OR rtlcn1917 ;
   rtlc_2660_and_1125_nx0 <= not_Counter_is_37us AND rtlcn1771 ;
   rtlcn1922 <= rtlc_2660_and_1125_nx0 AND rtlcn1777 ;
   rtlc_2869_or_1127_nx0 <= rtlcn1159 OR rtlcn1163 ;
   rtlcn1982 <= rtlc_2869_or_1127_nx0 OR rtlcn1989 ;
   rtlc_2920_and_1131_nx0 <= RCV_CS AND rtlcn2020 ;
   rtlc9n4069 <= rtlc_2920_and_1131_nx0 AND RCV_Command_Sync ;
   rtlc_2931_and_1133_nx0 <= RCV_CS AND not_RCV_Command_Sync ;
   rtlcn2027 <= rtlc_2931_and_1133_nx0 AND not_rtlc9n4122 ;
   rtlc_2932_or_1134_nx0 <= Counter_is_37us OR not_RxRdy ;
   rtlcn1985 <= rtlc_2932_or_1134_nx0 OR rtlcn2027 ;
   rtlc_2941_and_1135_nx0 <= rtlc9n4069 AND rtlc9n4782 ;
   rtlcn2033 <= rtlc_2941_and_1135_nx0 AND state(2) ;
   rtlc_2954_or_1137_nx0 <= not_RCV_Command_Sync OR rtlcn1980 ;
   rtlc9n4054 <= rtlc_2954_or_1137_nx0 OR rtlcs26 ;
   rtlc_2964_and_1138_nx0 <= CE AND not_state_4 ;
   rtlcn2043 <= rtlc_2964_and_1138_nx0 AND rtlcn1978 ;
   rtlc_2968_and_1140_nx0 <= rtlc9n4993 AND rtlcn1972 ;
   rtlcn322 <= rtlc_2968_and_1140_nx0 AND rtlcn1981 ;
   rtlc_2978_or_1144_nx0 <= not_RCV_CS OR not_rtlcn1772 ;
   rtlcn1974 <= rtlc_2978_or_1144_nx0 OR not_No_Words_Message_9n55ss1 ;
   rtlc_3034_and_1149_nx0 <= not_RCV_Gap_found_2 AND not_RCV_Gap_found_1 ;
   rtlcs26 <= rtlc_3034_and_1149_nx0 AND not_RCV_Gap_found_0 ;
   rtlc_3056_and_1157_nx0 <= not_counter_10 AND not_counter_8 ;
   rtlcs13 <= rtlc_3056_and_1157_nx0 AND counter(4) ;
   not_rtlc9n4782 <= RCV_Gap_found(2) when rtlc9_2331_gt_1071_nx4
    = '1' else nx5 ;
   nx5 <= RCV_Gap_found(1) when rtlc9_2331_gt_1071_nx2 = '1' else nx8 ;
   nx8 <= RCV_Gap_found(0) AND rtlc9_2331_gt_1071_nx0 ;
   modgen_and_2 : and_4u_4u port map ( a(3)=>counter(5), a(2)=>counter(3), 
      a(1)=>rtlcs7, a(0)=>rtlcs10, d=>RxRdy_Plus3us_9n59s1);
   modgen_and_3 : and_4u_4u port map ( a(3)=>not_counter_5, a(2)=>
      not_counter_3, a(1)=>rtlcs7, a(0)=>rtlcs10, d=>RxRdy_Plus_2us_9n59s1);
   modgen_and_4 : and_3u_3u port map ( a(2)=>state(5), a(1)=>
      not_Counter_is_37us, a(0)=>rtlc9n3851, d=>rtlcn833);
   modgen_and_5 : and_5u_5u port map ( a(4)=>not_rtlc9n5549, a(3)=>
      rtlc9n5621, a(2)=>not_No_Response_timeout_0, a(1)=>
      not_No_Response_timeout_1, a(0)=>No_Response_timeout(2), d=>
      rtlc9_PS248_n4337);
   modgen_and_6 : and_5u_5u port map ( a(4)=>not_rtlc9n5549, a(3)=>
      rtlc9n5592, a(2)=>No_Response_timeout(0), a(1)=>No_Response_timeout(1), 
      a(0)=>not_No_Response_timeout_2, d=>rtlc9_PS247_n4324);
   modgen_and_7 : and_5u_5u port map ( a(4)=>not_rtlc9n5549, a(3)=>
      rtlc9n5564, a(2)=>not_No_Response_timeout_0, a(1)=>
      No_Response_timeout(1), a(0)=>not_No_Response_timeout_2, d=>
      rtlc9_PS245_n4310);
   modgen_and_8 : and_5u_5u port map ( a(4)=>Energy_Count(8), a(3)=>
      Energy_Count(7), a(2)=>Energy_Count(6), a(1)=>Energy_Count(5), a(0)=>
      rtlc9n5763, d=>rtlc9n5764);
   modgen_or_9 : or_7u_7u port map ( a(6)=>rtlcn1834, a(5)=>rtlcn1835, a(4)
      =>rtlcn1781, a(3)=>rtlcn1785, a(2)=>rtlcn1852, a(1)=>rtlcn1853, a(0)=>
      rtlcn1854, d=>rtlcn459);
   modgen_and_11 : and_5u_5u port map ( a(4)=>No_Response_timeout(2), a(3)=>
      not_No_Response_timeout_1, a(2)=>No_Response_timeout(0), a(1)=>
      not_counter_12, a(0)=>rtlc9n5650, d=>rtlcs20);
   modgen_and_12 : and_6u_6u port map ( a(5)=>counter(5), a(4)=>
      not_counter_3, a(3)=>counter(7), a(2)=>not_counter_6, a(1)=>counter(2), 
      a(0)=>rtlcs7, d=>RxRdy_Plus4_5us_9n59s1);
   modgen_and_14 : and_9u_9u port map ( a(8)=>not_counter_10, a(7)=>
      counter(3), a(6)=>not_counter_5, a(5)=>counter(9), a(4)=>counter(8), 
      a(3)=>not_counter_4, a(2)=>rtlcs10, a(1)=>rtlcs15, a(0)=>not_RxRdy, d
      =>Counter_is_21us_9n59s1);
   modgen_and_15 : and_8u_8u port map ( a(7)=>counter(3), a(6)=>
      not_counter_5, a(5)=>counter(7), a(4)=>counter(8), a(3)=>not_counter_4, 
      a(2)=>counter(10), a(1)=>rtlcs3, a(0)=>rtlcs4, d=>
      Counter_is_37us_9n59s1);
   ix34 : selcounter_13_13_13_0_1_up port map ( cin=>PWR, mode=>RxRdy, updn
      =>PWR, a(12)=>counter(12), a(11)=>counter(11), a(10)=>counter(10), 
      a(9)=>counter(9), a(8)=>counter(8), a(7)=>counter(7), a(6)=>counter(6), 
      a(5)=>counter(5), a(4)=>counter(4), a(3)=>counter(3), a(2)=>counter(2), 
      a(1)=>counter(1), a(0)=>counter(0), k(12)=>Address_6_EXMPLR2060, k(11)
      =>Address_6_EXMPLR2060, k(10)=>Address_6_EXMPLR2060, k(9)=>
      Address_6_EXMPLR2060, k(8)=>Address_6_EXMPLR2060, k(7)=>
      Address_6_EXMPLR2060, k(6)=>Address_6_EXMPLR2060, k(5)=>
      Address_6_EXMPLR2060, k(4)=>Address_6_EXMPLR2060, k(3)=>
      Address_6_EXMPLR2060, k(2)=>Address_6_EXMPLR2060, k(1)=>
      Address_6_EXMPLR2060, k(0)=>Address_6_EXMPLR2060, d(12)=>
      counter_9n58ss1(12), d(11)=>counter_9n58ss1(11), d(10)=>
      counter_9n58ss1(10), d(9)=>counter_9n58ss1(9), d(8)=>
      counter_9n58ss1(8), d(7)=>counter_9n58ss1(7), d(6)=>counter_9n58ss1(6), 
      d(5)=>counter_9n58ss1(5), d(4)=>counter_9n58ss1(4), d(3)=>
      counter_9n58ss1(3), d(2)=>counter_9n58ss1(2), d(1)=>counter_9n58ss1(1), 
      d(0)=>counter_9n58ss1(0));
end SITAL_Technology_unfold_1 ;


architecture INTERFACE_unfold_3 of 
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_10u_10u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (9 DOWNTO 0) ;
         d : OUT std_logic_vector (9 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx25, nx28, nx31, nx32, nx33, nx34, nx35, nx36, nx37, nx38, 
      nx39, nx40, nx41, nx42, nx43, nx44, nx45, nx46, nx47, nx48, nx49, nx50, 
      nx51, nx52, nx53, nx54, nx55, nx56, nx57, nx58, nx59, nx60, PWR, 
      NOT_nx24: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(9) <= nx32 ;
   q(8) <= nx34 ;
   q(7) <= nx36 ;
   q(6) <= nx38 ;
   q(5) <= nx40 ;
   q(4) <= nx42 ;
   q(3) <= nx44 ;
   q(2) <= nx46 ;
   q(1) <= nx48 ;
   q(0) <= nx50 ;
   GND <= '0' ;
   nx25 <= cnt_en OR sclear ;
   nx28 <= nx25 AND clk_en ;
   DFFPCE (nx31,GND,aclear,nx28,clock,nx32) ;
   DFFPCE (nx33,GND,aclear,nx28,clock,nx34) ;
   DFFPCE (nx35,GND,aclear,nx28,clock,nx36) ;
   DFFPCE (nx37,GND,aclear,nx28,clock,nx38) ;
   DFFPCE (nx39,GND,aclear,nx28,clock,nx40) ;
   DFFPCE (nx41,GND,aclear,nx28,clock,nx42) ;
   DFFPCE (nx43,GND,aclear,nx28,clock,nx44) ;
   DFFPCE (nx45,GND,aclear,nx28,clock,nx46) ;
   DFFPCE (nx47,GND,aclear,nx28,clock,nx48) ;
   DFFPCE (nx49,GND,aclear,nx28,clock,nx50) ;
   inc : inc_10u_10u_0_0 port map ( cin=>PWR, a(9)=>nx32, a(8)=>nx34, a(7)=>
      nx36, a(6)=>nx38, a(5)=>nx40, a(4)=>nx42, a(3)=>nx44, a(2)=>nx46, a(1)
      =>nx48, a(0)=>nx50, d(9)=>nx51, d(8)=>nx52, d(7)=>nx53, d(6)=>nx54, 
      d(5)=>nx55, d(4)=>nx56, d(3)=>nx57, d(2)=>nx58, d(1)=>nx59, d(0)=>nx60, 
      cout=>DANGLING(0));
   PWR <= '1' ;
   NOT_nx24 <= NOT sclear ;
   nx31 <= nx51 AND NOT_nx24 ;
   nx33 <= nx52 AND NOT_nx24 ;
   nx35 <= nx53 AND NOT_nx24 ;
   nx37 <= nx54 AND NOT_nx24 ;
   nx39 <= nx55 AND NOT_nx24 ;
   nx41 <= nx56 AND NOT_nx24 ;
   nx43 <= nx57 AND NOT_nx24 ;
   nx45 <= nx58 AND NOT_nx24 ;
   nx47 <= nx59 AND NOT_nx24 ;
   nx49 <= nx60 AND NOT_nx24 ;
end INTERFACE_unfold_3 ;


architecture INTERFACE_unfold_2 of selcounter_13_13_13_0_1_up is 
   component inc_13u_13u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (12 DOWNTO 0) ;
         d : OUT std_logic_vector (12 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal nx42, nx43, nx44, nx45, nx46, nx47, nx48, nx49, nx50, nx51, nx52, 
      nx53, nx54, nx55, nx57, nx59, nx61, nx63, nx65, nx67, nx69, nx71, nx73, 
      nx75, nx77, nx79, nx81, nx97, nx98, nx100: std_logic ;

begin
   nx55 <= k(12) when mode = '1' else a(12) ;
   nx57 <= k(11) when mode = '1' else a(11) ;
   nx59 <= k(10) when mode = '1' else a(10) ;
   nx61 <= k(9) when mode = '1' else a(9) ;
   nx63 <= k(8) when mode = '1' else a(8) ;
   nx65 <= k(7) when mode = '1' else a(7) ;
   nx67 <= k(6) when mode = '1' else a(6) ;
   nx69 <= k(5) when mode = '1' else a(5) ;
   nx71 <= k(4) when mode = '1' else a(4) ;
   nx73 <= k(3) when mode = '1' else a(3) ;
   nx75 <= k(2) when mode = '1' else a(2) ;
   nx77 <= k(1) when mode = '1' else a(1) ;
   nx79 <= k(0) when mode = '1' else a(0) ;
   modgen_inc_1 : inc_13u_13u_0 port map ( cin=>nx100, a(12)=>nx55, a(11)=>
      nx57, a(10)=>nx59, a(9)=>nx61, a(8)=>nx63, a(7)=>nx65, a(6)=>nx67, 
      a(5)=>nx69, a(4)=>nx71, a(3)=>nx73, a(2)=>nx75, a(1)=>nx77, a(0)=>nx79, 
      d=>d, cout=>nx97);
   nx98 <= '0' ;
   nx100 <= nx98 when mode = '1' else cin ;
end INTERFACE_unfold_2 ;


architecture SITAL_Technology_unfold_3815 of Monitor_Stm_8_4_1_40 is 
   component and_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_4_4
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_5_5
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         b : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_6_6
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         b : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_9_9
      port (
         a : IN std_logic_vector (8 DOWNTO 0) ;
         b : IN std_logic_vector (8 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component inc_5u_5u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic_vector (4 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component select_3_3
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         b : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_7_7
      port (
         a : IN std_logic_vector (6 DOWNTO 0) ;
         b : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_6u_6u
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_6u_6u
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_9u_9u
      port (
         a : IN std_logic_vector (8 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_7u_7u
      port (
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (9 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (9 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component eq_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         b : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component and_3u_3u
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_7u_7u
      port (
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_9u_9u
      port (
         a : IN std_logic_vector (8 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_8u_8u
      port (
         a : IN std_logic_vector (7 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component selcounter_13_13_13_0_1_up
      port (
         cin : IN std_logic ;
         mode : IN std_logic ;
         updn : IN std_logic ;
         a : IN std_logic_vector (12 DOWNTO 0) ;
         k : IN std_logic_vector (12 DOWNTO 0) ;
         d : OUT std_logic_vector (12 DOWNTO 0)) ;
   end component ;
   for modgen_counter_Energy_Count : 
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10 use entity work.
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10(INTERFACE_unfold_3);
   
   for ix34 : selcounter_13_13_13_0_1_up use entity work.
   selcounter_13_13_13_0_1_up(INTERFACE_unfold_2);
   signal active_command_15_EXMPLR2114, active_command_14_EXMPLR2115, 
      active_command_13_EXMPLR2116, active_command_12_EXMPLR2117, 
      active_command_11_EXMPLR2118, active_command_10_EXMPLR2119, 
      active_command_4_EXMPLR2125, active_command_3_EXMPLR2126, 
      active_command_2_EXMPLR2127, active_command_1_EXMPLR2128, 
      active_command_0_EXMPLR2129, RT2RT_message_EXMPLR2134, Start_Clean, 
      mode_message: std_logic ;
   
   signal first_RT_command: std_logic_vector (15 DOWNTO 11) ;
   
   signal Word_number: std_logic_vector (4 DOWNTO 0) ;
   
   signal RxRdy, Timeout, Error_in_message, GOOD_Data_Block, 
      No_Words_Message: std_logic ;
   
   signal Energy_Count: std_logic_vector (9 DOWNTO 0) ;
   
   signal counter: std_logic_vector (12 DOWNTO 0) ;
   
   signal RxRdy_Plus3us, RxRdy_Plus_2us, RxRdy_Plus4_5us, Counter_is_21us, 
      Counter_is_37us: std_logic ;
   
   signal state: std_logic_vector (8 DOWNTO 0) ;
   
   signal PWR, BCR_message_0n0s2, Address_6_EXMPLR2153, not_R, rtlc3n59, 
      rtlc6n36, rtlc6n157, not_rtlc6n157, rtlc6n159, rtlc6n161, not_rtlcn203, 
      rtlc6n164: std_logic ;
   
   signal MIL1553_ERRORS_9n17ss1: std_logic_vector (0 DOWNTO 0) ;
   
   signal MIL1553_ERRORS_9n22ss1: std_logic_vector (0 DOWNTO 0) ;
   
   signal MIL1553_ERRORS_9n51ss1: std_logic_vector (0 DOWNTO 0) ;
   
   signal active_command_9n55ss1_4, Monitor_ended_OK_9n55ss1, 
      Monitor_ended_not_OK_9n55ss1: std_logic ;
   
   signal Word_number_9n55ss1: std_logic_vector (4 DOWNTO 0) ;
   
   signal MIL1553_ERRORS_9n55ss1_11, MIL1553_ERRORS_9n55ss1_8, 
      MIL1553_ERRORS_9n55ss1_7, MIL1553_ERRORS_9n55ss1_6, 
      MIL1553_ERRORS_9n55ss1_4, MIL1553_ERRORS_9n55ss1_3, 
      MIL1553_ERRORS_9n55ss1_2, MIL1553_ERRORS_9n55ss1_0, 
      GOOD_Data_Block_9n55ss1, No_Words_Message_9n55ss1, Start_Clean_9n55ss1
   : std_logic ;
   
   signal counter_9n58ss1: std_logic_vector (12 DOWNTO 0) ;
   
   signal rtlc9n3320, not_rtlcs27, rtlc9n3328, not_MODE_CODE1553A, 
      mode_message_9n8s2, mode_message_9n8s1, rtlc9n3509, not_rtlc9n3509: 
   std_logic ;
   
   signal Word_number_9n30s1: std_logic_vector (4 DOWNTO 0) ;
   
   signal rtlc9n3664, rtlc9n3668, rtlc9n3678, rtlc9n3705, not_rtlc9n3705, 
      rtlc9n3839, rtlc9n3848, rtlc9n3851, rtlc9n3864, rtlc9n3866, rtlc9n3882, 
      rtlc9n3884, not_RCV_recieving, not_rtlcn202, rtlc9n3976, rtlc9n3978, 
      rtlc9n3979, not_rtlcs37, rtlc9n4003, rtlc9n4008, rtlc9n4009, 
      rtlc9n4010, rtlc9n4040, rtlc9n4041, rtlc9n4043, rtlc9n4045, rtlc9n4051, 
      rtlc9n4054, rtlc9n4059, rtlc9n4060, rtlc9n4069, not_active_command_4, 
      rtlc9n4080, rtlc9n4081, not_RT2RT_message, not_rtlc9n4081, rtlc9n4098, 
      rtlc9n4100, rtlc9n4102, rtlc9n4108, rtlc9n4110, rtlc9n4122, 
      not_rtlcn1734, rtlc9n4149, rtlc9n4154, rtlc9n4157, rtlc9n4159, 
      rtlc9n4166, rtlc9n4168, rtlc9n4175, rtlc9n4177, rtlc9n4179, rtlc9n4180, 
      rtlc9n4181, rtlc9n4182, rtlc9n4184, rtlc9n4186, rtlc9n4187, rtlc9n4198, 
      rtlc9n4201, rtlc9n4203, rtlc9n4204, rtlc9n4207, rtlc9n4211, rtlc9n4213, 
      rtlc9n4216, rtlc9n4217, rtlc9n4222, rtlc9n4225, rtlc9n4233, rtlc9n4234, 
      rtlc9n4237, rtlc9n4238, rtlc9n4239, rtlc9n4250, rtlc9n4252, rtlc9n4253, 
      rtlc9n4254, rtlc9n4256, rtlc9n4257, rtlc9n4258, rtlc9n4259, rtlc9n4260, 
      rtlc9n4262, rtlc9_PS245_n4310, rtlc9_PS247_n4324, 
      not_No_Response_timeout_2, rtlc9_PS248_n4337, 
      not_No_Response_timeout_0, not_No_Response_timeout_1, 
      RxRdy_Plus3us_9n59s1, RxRdy_Plus_2us_9n59s1, RxRdy_Plus4_5us_9n59s1, 
      not_RxRdy, Counter_is_21us_9n59s1, Counter_is_37us_9n59s1, rtlc9n4782, 
      not_rtlc9n4993, not_rtlc9n4862, rtlc9n4860, rtlc9n4862, rtlc9n4890, 
      rtlc9n4909, rtlc9n4912, rtlc9n4917, rtlc9n4924, rtlc9n4926, rtlc9n4927, 
      rtlc9n4928, rtlc9n4930, rtlc9n4931, rtlc9n4932, rtlc9n4935, rtlc9n4941, 
      rtlc9n4943, rtlc9n4973, rtlc9n4980, not_rtlcn1970, rtlc9n4993, 
      rtlc9n4997, not_rtlc9n4997, rtlc9n5001, rtlc9n5005, not_rtlc9n5005, 
      mode_message_9n1s3, mode_message_9n1s5, not_mode_message_9n1s5, 
      rtlc9n863, not_mode_message_9n1s3, rtlc9n871, rtlc9n872, 
      not_RCV_R_Data_4, rtlc9n899, rtlc9n900, not_counter_12, not_counter_11, 
      rtlc9n5526, not_rtlc9n5526, rtlc9n5528, not_rtlc9n5528, not_counter_5, 
      rtlc9n5531, rtlc9n5532, rtlc9n5533, rtlc9n5534, rtlc9n5549, 
      not_rtlc9n5549, not_counter_10, not_counter_9, not_counter_8, 
      not_rtlcn198, rtlc9n5560, rtlc9n5561, rtlc9n5562, rtlc9n5563, 
      rtlc9n5564, rtlc9n5584, not_rtlc9n5584, rtlc9n5586, not_rtlcn199, 
      rtlc9n5590, rtlc9n5591, rtlc9n5592, not_rtlc9n5610, rtlc9n5612, 
      not_rtlc9n5612, rtlc9n5614, not_rtlc9n5614, rtlc9n5619, rtlc9n5620, 
      rtlc9n5621, rtlc9n5640, not_rtlc9n5640, rtlc9n5646, rtlc9n5647, 
      rtlc9n5648, rtlc9n5649, rtlc9n5650, rtlc9n5719, rtlc9n5732, rtlc9n5733, 
      rtlc9n5763, rtlc9n5764, rtlc9n5765, rtlcn198, rtlcn199, rtlcn202, 
      rtlcn203, rtlcn322, rtlcn359, rtlcn379, rtlcn381, rtlcn382, rtlcn384, 
      rtlcn385, rtlcn386, rtlcn387, rtlcn388, rtlcn389, rtlcn392, rtlcn395, 
      rtlcn459, rtlcn609, rtlcn620, rtlcn622, rtlcn708, rtlcn787, rtlcn827, 
      rtlcn833, rtlcn837, rtlcn985, rtlcn1082, rtlcn1091, rtlcn1120, 
      rtlcn1123, rtlcn1125, rtlcn1126, rtlcn1137, rtlcn1155, rtlcn1159, 
      rtlcn1163, rtlcn1166, rtlcn1169, rtlcn1174, rtlcn1180, rtlcn1184, 
      rtlcn1193, not_rtlcn1962, rtlcn1623, rtlcn1635, rtlcn1640, 
      not_rtlcn1760, rtlcn1658, rtlcn1669, rtlcn1673, rtlcn1678, 
      not_rtlcn1963, not_rtlcn1964, rtlcn1734, rtlcn1759, rtlcn1760, 
      rtlcn1761, rtlcn1763, rtlcn1765, rtlcn1766, rtlcn1767, rtlcn1770, 
      rtlcn1771, rtlcn1772, rtlcn1773, rtlcn1775, rtlcn1776, rtlcn1777, 
      rtlcn1778, rtlcn1779, rtlcn1780, rtlcn1781, rtlcn1782, rtlcn1783, 
      rtlcn1785, rtlcn1786, rtlcn1787, rtlcn1788, rtlcn1789, rtlcn1791, 
      rtlcn1792, rtlcn1793, rtlcn1794, rtlcn1795, rtlcn1796, not_Timeout, 
      rtlcn1798, not_rtlc9n3866, rtlcn1800, rtlcn1803, rtlcn1804, 
      not_Counter_is_21us, not_Counter_is_37us, rtlcn1807, not_RCV_R_Data_10, 
      not_rtlcs26, not_RCV_Command_Sync, not_RCV_CS, not_Start_Clean, 
      rtlcn1818, not_rtlcn1778, rtlcn1820, rtlcn1821, not_rtlc9n3851, 
      rtlcn1824, not_rtlc9n3884, not_rtlcn1777, rtlcn1827, rtlcn1830, 
      not_rtlcn1776, rtlcn1832, rtlcn1834, rtlcn1835, not_rtlc9n900, 
      rtlcn1838, not_rtlcn1770, not_rtlcn1765, not_rtlcs32, rtlcn1852, 
      rtlcn1853, rtlcn1854, rtlcn1855, not_rtlc9n4122, rtlcn1857, 
      not_rtlc9n872, not_rtlcn1772, rtlcn1861, rtlcn1862, not_rtlcn1762, 
      rtlcn1864, rtlcn1865, rtlcn1866, rtlcn1867, rtlcn1871, rtlcn1872, 
      rtlcn1873, not_rtlc9n3678, rtlcn1875, rtlcn1876, not_rtlc9n909, 
      rtlcn1878, rtlcn1879, rtlcn1880, rtlcn1881, rtlcn1884, rtlcn1885, 
      rtlcn1886, rtlcn1887, rtlcn1889, rtlcn1890, not_rtlcn1766, rtlcn1893, 
      rtlcn1895, rtlcn1896, rtlcn1898, rtlcn1899, rtlcn1900, rtlcn1901, 
      rtlcn1902, not_rtlcn1125, rtlcn1905, not_rtlcn1779, rtlcn1909, 
      rtlcn1910, rtlcn1911, rtlcn1912, rtlcn1914, not_rtlc9n3664, rtlcn1916, 
      rtlcn1917, rtlcn1921, rtlcn1922, rtlcn1932, rtlcn1962, rtlcn1963, 
      rtlcn1964, rtlcn1970, rtlcn1971, rtlcn1972, rtlcn1973, rtlcn1974, 
      rtlcn1976, rtlcn1977, rtlcn1978, rtlcn1979, rtlcn1980, rtlcn1981, 
      rtlcn1982, rtlcn1983, rtlcn1985, rtlcn1989, not_CE, 
      not_RxRdy_Plus4_5us, rtlcn1994, rtlcn1996, not_RxRdy_Plus3us, 
      rtlcn1999, not_rtlc9n4262, rtlcn2001, not_rtlc9_PS245_n4310, 
      not_rtlc9_PS247_n4324, not_rtlc9_PS248_n4337, not_rtlcs20, not_rtlcs19, 
      rtlcn2007, not_rtlc9n4260, not_rtlc9n4259, not_rtlc9n4258, 
      not_rtlc9n4257, not_rtlc9n4256, not_rtlc9n4254, not_rtlc9n4253, 
      not_rtlc9n4252, not_rtlc9n4250, not_rtlcn389, not_rtlcn384, rtlcn2020, 
      rtlcn2027, rtlcn2028, rtlcn2029, rtlcn2030, rtlcn2031, rtlcn2032, 
      rtlcn2033, rtlcn2035, not_rtlcn1971, not_rtlcn381, not_state_1, 
      not_rtlc9n4054, not_state_0, not_rtlc9n4182, not_state_4, rtlcn2043, 
      rtlcn2044, not_No_Words_Message_9n55ss1, not_rtlc9n4211, rtlcs3, 
      rtlcs4, rtlcs7, rtlcs10, rtlcs13, rtlcs15, not_counter_7, rtlcs19, 
      rtlcs20, rtlcs22, rtlcs25, rtlcs26, rtlcs27, rtlcs28, rtlcs31, rtlcs32, 
      not_RCV_R_Data_9, not_RCV_R_Data_8, not_RCV_R_Data_7, not_RCV_R_Data_6, 
      not_RCV_R_Data_5, not_counter_2, not_counter_1, not_counter_0, 
      not_counter_4, not_RCV_Gap_found_2, not_RCV_Gap_found_1, 
      not_RCV_Gap_found_0, not_active_command_3, not_active_command_2, 
      not_active_command_1, not_counter_3, not_counter_6, not_rtlcn787, 
      not_RCV_RAW_GAP_6, not_RCV_RAW_GAP_5, not_RCV_RAW_GAP_4, 
      not_RCV_RAW_GAP_3, not_RCV_RAW_GAP_2, not_RCV_RAW_GAP_1, 
      not_RCV_RAW_GAP_0, rtlcn2256, rtlcs37, rtlcs38, rtlcs39, 
      not_rtlc9n4782, rtlc6_60_or_1031_nx0, rtlc9_1600_or_1037_nx0, 
      rtlc9_1760_or_1049_nx0, rtlc9_1761_or_1050_nx0, rtlc9_1849_or_1051_nx0, 
      rtlcn1762, rtlc9_1881_or_1054_nx0, rtlc9_1899_or_1058_nx0, 
      rtlc9_1900_or_1059_nx0, rtlc9_1901_or_1060_nx0, rtlc9_1913_or_1063_nx0, 
      rtlc9_1914_or_1064_nx0, rtlc9_1925_or_1067_nx0, rtlc9_2331_gt_1071_nx0, 
      rtlc9_2331_gt_1071_nx2, rtlc9_2331_gt_1071_nx4, rtlc9n5610, 
      rtlc9_3427_and_1078_nx0, rtlc_535_or_1081_nx0, rtlc_538_or_1082_nx0, 
      rtlc_2501_and_1094_nx0, rtlc_2509_and_1095_nx0, rtlc_2549_and_1100_nx0, 
      rtlc_2558_and_1102_nx0, rtlc_2573_or_1103_nx0, rtlc_2590_and_1106_nx0, 
      rtlc_2592_and_1107_nx0, rtlc_2598_or_1110_nx0, rtlc_2607_and_1111_nx0, 
      rtlc_2624_or_1114_nx0, rtlc_2626_and_1115_nx0, rtlc_2628_and_1116_nx0, 
      rtlc_2629_and_1117_nx0, rtlc_2641_and_1118_nx0, rtlc_2642_or_1119_nx0, 
      rtlc_2644_or_1120_nx0, rtlc_2646_and_1121_nx0, rtlc_2653_and_1123_nx0, 
      rtlc_2654_or_1124_nx0, rtlc_2660_and_1125_nx0, rtlc_2869_or_1127_nx0, 
      rtlc_2920_and_1131_nx0, rtlc_2931_and_1133_nx0, rtlc_2932_or_1134_nx0, 
      rtlc_2941_and_1135_nx0, rtlc_2954_or_1137_nx0, rtlc_2964_and_1138_nx0, 
      rtlc_2968_and_1140_nx0, rtlc_2978_or_1144_nx0, rtlc_3034_and_1149_nx0, 
      rtlc_3056_and_1157_nx0, nx5, nx8: std_logic ;
   
   signal DANGLING : std_logic_vector (10 downto 0 );

begin
   Address(15) <= Address_6_EXMPLR2153 ;
   Address(14) <= Address_6_EXMPLR2153 ;
   Address(13) <= Address_6_EXMPLR2153 ;
   Address(12) <= Address_6_EXMPLR2153 ;
   Address(11) <= Address_6_EXMPLR2153 ;
   Address(10) <= Address_6_EXMPLR2153 ;
   Address(9) <= Address_6_EXMPLR2153 ;
   Address(8) <= Address_6_EXMPLR2153 ;
   Address(7) <= Address_6_EXMPLR2153 ;
   Address(6) <= Address_6_EXMPLR2153 ;
   Address(5) <= Address_6_EXMPLR2153 ;
   Address(4) <= Address_6_EXMPLR2153 ;
   Address(3) <= Address_6_EXMPLR2153 ;
   Address(2) <= Address_6_EXMPLR2153 ;
   Address(1) <= Address_6_EXMPLR2153 ;
   Address(0) <= Address_6_EXMPLR2153 ;
   active_command(15) <= active_command_15_EXMPLR2114 ;
   active_command(14) <= active_command_14_EXMPLR2115 ;
   active_command(13) <= active_command_13_EXMPLR2116 ;
   active_command(12) <= active_command_12_EXMPLR2117 ;
   active_command(11) <= active_command_11_EXMPLR2118 ;
   active_command(10) <= active_command_10_EXMPLR2119 ;
   active_command(4) <= active_command_4_EXMPLR2125 ;
   active_command(3) <= active_command_3_EXMPLR2126 ;
   active_command(2) <= active_command_2_EXMPLR2127 ;
   active_command(1) <= active_command_1_EXMPLR2128 ;
   active_command(0) <= active_command_0_EXMPLR2129 ;
   RT2RT_message <= RT2RT_message_EXMPLR2134 ;
   MIL1553_ERRORS_Parity_Manchester <= Address_6_EXMPLR2153 ;
   MIL1553_ERRORS_Format_error <= Address_6_EXMPLR2153 ;
   MIL1553_ERRORS_Message_Error_set <= Address_6_EXMPLR2153 ;
   MIL1553_ERRORS_echo_back_bus_B <= Address_6_EXMPLR2153 ;
   MIL1553_ERRORS_echo_back_bus_A <= Address_6_EXMPLR2153 ;
   MIL1553_ERRORS_bus_B_shutdown <= Address_6_EXMPLR2153 ;
   MIL1553_ERRORS_bus_A_shutdown <= Address_6_EXMPLR2153 ;
   MIL1553_ERRORS_transmitter_timout <= Address_6_EXMPLR2153 ;
   Debug(15) <= Address_6_EXMPLR2153 ;
   Debug(14) <= Address_6_EXMPLR2153 ;
   Debug(13) <= Address_6_EXMPLR2153 ;
   Debug(12) <= Address_6_EXMPLR2153 ;
   Debug(11) <= Address_6_EXMPLR2153 ;
   Debug(10) <= Address_6_EXMPLR2153 ;
   Debug(9) <= Address_6_EXMPLR2153 ;
   Debug(8) <= Address_6_EXMPLR2153 ;
   Debug(7) <= Address_6_EXMPLR2153 ;
   Debug(6) <= Address_6_EXMPLR2153 ;
   Debug(5) <= Address_6_EXMPLR2153 ;
   Debug(4) <= Address_6_EXMPLR2153 ;
   Debug(3) <= Address_6_EXMPLR2153 ;
   Debug(2) <= Address_6_EXMPLR2153 ;
   Debug(1) <= Address_6_EXMPLR2153 ;
   Debug(0) <= Address_6_EXMPLR2153 ;
   Tx_command_time <= Address_6_EXMPLR2153 ;
   last_data_time <= Address_6_EXMPLR2153 ;
   PWR <= '1' ;
   Address_6_EXMPLR2153 <= '0' ;
   Write_Data(0) <= RCV_R_Data(0) ;
   Write_Data(1) <= RCV_R_Data(1) ;
   Write_Data(2) <= RCV_R_Data(2) ;
   Write_Data(3) <= RCV_R_Data(3) ;
   Write_Data(4) <= RCV_R_Data(4) ;
   Write_Data(5) <= RCV_R_Data(5) ;
   Write_Data(6) <= RCV_R_Data(6) ;
   Write_Data(7) <= RCV_R_Data(7) ;
   Write_Data(8) <= RCV_R_Data(8) ;
   Write_Data(9) <= RCV_R_Data(9) ;
   Write_Data(10) <= RCV_R_Data(10) ;
   Write_Data(11) <= RCV_R_Data(11) ;
   Write_Data(12) <= RCV_R_Data(12) ;
   Write_Data(13) <= RCV_R_Data(13) ;
   Write_Data(14) <= RCV_R_Data(14) ;
   Write_Data(15) <= RCV_R_Data(15) ;
   RxRdy <= RCV_Pre_RxRdy OR RCV_Pre_EchoRdy ;
   rtlc6n36 <= RCV_recieving AND rtlc6n164 ;
   rtlc6n157 <= Energy_Count(9) AND Energy_Count(8) ;
   not_rtlc6n157 <= NOT rtlc6n157 ;
   rtlc6_62_and_1032 : and_5u_5u port map ( a(4)=>Energy_Count(4), a(3)=>
      Energy_Count(3), a(2)=>Energy_Count(2), a(1)=>Energy_Count(1), a(0)=>
      Energy_Count(0), d=>rtlc6n161);
   rtlc6n164 <= not_rtlcn203 OR not_rtlc6n157 ;
   MIL1553_ERRORS_9n22ss1(0) <= NOT Error_in_message ;
   mode_message_9n8s1 <= mode_message_9n8s2 OR mode_message_9n1s5 ;
   mode_message_9n8s2 <= mode_message_9n1s3 AND not_MODE_CODE1553A ;
   not_MODE_CODE1553A <= NOT MODE_CODE1553A ;
   MIL1553_ERRORS_9n51ss1(0) <= GOOD_Data_Block OR No_Words_Message ;
   not_rtlc9n4993 <= NOT rtlc9n4993 ;
   rtlc9_1406_or_1033 : or_4u_4u port map ( a(3)=>state(5), a(2)=>state(6), 
      a(1)=>state(7), a(0)=>state(8), d=>rtlc9n4860);
   rtlc9_1410_or_1034 : or_4u_4u port map ( a(3)=>state(0), a(2)=>state(1), 
      a(1)=>state(4), a(0)=>state(5), d=>rtlc9n4862);
   rtlc9_1593_select_1035 : select_4_4 port map ( a(3)=>state(0), a(2)=>
      state(1), a(1)=>not_rtlc9n4993, a(0)=>state(4), b(3)=>
      Address_6_EXMPLR2153, b(2)=>rtlcn379, b(1)=>PWR, b(0)=>rtlcn388, d=>
      rtlcn381);
   rtlc9_1599_select_1036 : select_4_4 port map ( a(3)=>state(0), a(2)=>
      state(1), a(1)=>not_rtlc9n4993, a(0)=>state(4), b(3)=>
      Address_6_EXMPLR2153, b(2)=>rtlcn382, b(1)=>PWR, b(0)=>rtlcn388, d=>
      rtlcn384);
   rtlc9n4008 <= rtlcs26 AND not_RCV_R_Data_10 ;
   rtlc9n4003 <= not_rtlcs37 AND rtlcs26 ;
   rtlc9_1621_select_1038 : select_5_5 port map ( a(4)=>state(0), a(3)=>
      state(1), a(2)=>not_rtlc9n4997, a(1)=>state(3), a(0)=>state(4), b(4)=>
      Address_6_EXMPLR2153, b(3)=>rtlcn387, b(2)=>PWR, b(1)=>Counter_is_37us, 
      b(0)=>rtlcn388, d=>rtlcn389);
   rtlc9_1622_or_1039 : or_4u_4u port map ( a(3)=>state(0), a(2)=>state(1), 
      a(1)=>state(3), a(0)=>state(4), d=>rtlc9n4997);
   not_rtlc9n4997 <= NOT rtlc9n4997 ;
   rtlc9n4040 <= rtlcs26 AND RCV_Command_Sync ;
   rtlc9_1630_select_1041 : select_6_6 port map ( a(5)=>state(0), a(4)=>
      state(1), a(3)=>rtlc9n5001, a(2)=>state(4), a(1)=>state(5), a(0)=>
      state(7), b(5)=>RxRdy, b(4)=>rtlc9n4059, b(3)=>PWR, b(2)=>rtlc9n4213, 
      b(1)=>rtlc9n4238, b(0)=>not_RxRdy_Plus4_5us, d=>rtlc9n4250);
   rtlc9_1631_or_1042 : or_4u_4u port map ( a(3)=>state(2), a(2)=>state(3), 
      a(1)=>state(6), a(0)=>state(8), d=>rtlc9n5001);
   rtlc9n4213 <= rtlc9n4201 AND not_Timeout ;
   rtlc9n4238 <= rtlc9n4233 AND not_Counter_is_37us ;
   rtlc9_1642_or_1043 : or_4u_4u port map ( a(3)=>state(0), a(2)=>state(1), 
      a(1)=>state(2), a(0)=>state(4), d=>rtlc9n5005);
   not_rtlc9n5005 <= NOT rtlc9n5005 ;
   rtlc9n4186 <= rtlc9n4179 AND RCV_CS ;
   rtlc9_1650_select_1044 : select_5_5 port map ( a(4)=>state(0), a(3)=>
      state(1), a(2)=>state(2), a(1)=>not_rtlc9n5005, a(0)=>state(4), b(4)=>
      RxRdy, b(3)=>rtlc9n4060, b(2)=>rtlc9n4108, b(1)=>PWR, b(0)=>rtlc9n4211, 
      d=>rtlc9n4253);
   rtlc9n4010 <= rtlc9n4003 AND RCV_R_Data(10) ;
   rtlc9n4187 <= rtlc9n4177 AND RCV_CS ;
   rtlc9_1671_select_1045 : select_6_6 port map ( a(5)=>state(0), a(4)=>
      state(1), a(3)=>state(2), a(2)=>state(3), a(1)=>state(4), a(0)=>
      rtlc9n4860, b(5)=>rtlc9n3978, b(4)=>rtlc9n4054, b(3)=>rtlc9n4110, b(2)
      =>rtlc9n4166, b(1)=>rtlc9n4216, b(0)=>PWR, d=>rtlc9n4256);
   rtlc9n3978 <= rtlc9n3976 AND RxRdy ;
   rtlc9_1683_select_1046 : select_5_5 port map ( a(4)=>state(0), a(3)=>
      state(1), a(2)=>not_rtlc9n4862, a(1)=>state(4), a(0)=>state(5), b(4)=>
      RxRdy, b(3)=>rtlc9n4054, b(2)=>PWR, b(1)=>rtlc9n4217, b(0)=>rtlc9n4237, 
      d=>rtlc9n4258);
   rtlc9n4198 <= rtlc9n4184 AND rtlc9n4782 ;
   rtlc9_1697_select_1047 : select_5_5 port map ( a(4)=>state(0), a(3)=>
      state(1), a(2)=>not_rtlc9n4997, a(1)=>state(3), a(0)=>state(4), b(4)=>
      RxRdy, b(3)=>rtlc9n4059, b(2)=>PWR, b(1)=>rtlc9n4168, b(0)=>rtlc9n4217, 
      d=>rtlc9n4260);
   rtlc9n4154 <= rtlc9n4149 AND not_rtlc9n4122 ;
   rtlc9n4149 <= not_rtlcn1734 AND RCV_CS ;
   rtlc9_1720_select_1048 : select_9_9 port map ( a(8)=>state(0), a(7)=>
      state(1), a(6)=>state(2), a(5)=>state(3), a(4)=>state(4), a(3)=>
      state(5), a(2)=>state(6), a(1)=>state(7), a(0)=>state(8), b(8)=>
      rtlc9n3979, b(7)=>not_Counter_is_21us, b(6)=>not_Timeout, b(5)=>
      not_Counter_is_37us, b(4)=>rtlc9n4213, b(3)=>rtlc9n4239, b(2)=>
      RCV_recieving, b(1)=>not_RxRdy_Plus4_5us, b(0)=>PWR, d=>rtlc9n4262);
   rtlc9n4239 <= rtlc9n4234 AND not_Counter_is_37us ;
   rtlc9n4225 <= rtlc9n4222 AND not_rtlc9n3866 ;
   rtlc9n4207 <= not_RxRdy OR rtlc9n4198 ;
   rtlc9n4102 <= not_RxRdy OR rtlc9n4782 ;
   rtlc9_1875_or_1053 : or_5u_5u port map ( a(4)=>Timeout, a(3)=>rtlc9n4181, 
      a(2)=>not_RxRdy, a(1)=>not_RCV_CS, a(0)=>not_rtlc9n4782, d=>rtlc9n4217
   );
   rtlc9n4159 <= not_RxRdy OR not_rtlc9n4122 ;
   rtlc9_1886_or_1055 : or_5u_5u port map ( a(4)=>Timeout, a(3)=>rtlc9n4180, 
      a(2)=>not_RxRdy, a(1)=>not_RCV_CS, a(0)=>not_rtlc9n4782, d=>rtlc9n4216
   );
   rtlc9_1887_or_1056 : or_5u_5u port map ( a(4)=>Counter_is_37us, a(3)=>
      rtlc9n4122, a(2)=>not_RxRdy, a(1)=>not_RCV_Command_Sync, a(0)=>
      not_RCV_CS, d=>rtlc9n4166);
   rtlc9_1888_or_1057 : or_5u_5u port map ( a(4)=>RCV_Command_Sync, a(3)=>
      Timeout, a(2)=>not_RxRdy, a(1)=>not_RCV_CS, a(0)=>not_rtlc9n4782, d=>
      rtlc9n4110);
   rtlc9n3976 <= not_RCV_CS OR RCV_Command_Sync ;
   rtlc9n4177 <= not_RCV_Command_Sync OR not_Start_Clean ;
   rtlc9n4051 <= not_RxRdy OR rtlc9n4043 ;
   rtlc9_1907_or_1061 : or_4u_4u port map ( a(3)=>Timeout, a(2)=>
      not_RT2RT_message, a(1)=>not_rtlc9n4081, a(0)=>not_RxRdy, d=>
      rtlc9n4108);
   rtlc9_1908_or_1062 : or_4u_4u port map ( a(3)=>Counter_is_21us, a(2)=>
      rtlc9n4010, a(1)=>not_RxRdy, a(0)=>not_RCV_Command_Sync, d=>rtlc9n4060
   );
   rtlc9_1923_or_1065 : or_4u_4u port map ( a(3)=>rtlc9n3851, a(2)=>
      rtlc9n3866, a(1)=>rtlc9n3884, a(0)=>not_RxRdy_Plus3us, d=>rtlc9n4233);
   rtlc9_1924_or_1066 : or_5u_5u port map ( a(4)=>not_RxRdy, a(3)=>
      not_RCV_Command_Sync, a(2)=>not_RCV_CS, a(1)=>not_Start_Clean, a(0)=>
      not_rtlc9n4782, d=>rtlc9n4201);
   rtlc9n4122 <= Sync_Error OR not_rtlcs26 ;
   rtlc9n4080 <= not_active_command_4 OR MODE_CODE1553A ;
   rtlc9n4081 <= mode_message AND rtlc9n4080 ;
   not_rtlcs37 <= NOT rtlcs37 ;
   rtlc9n3884 <= RCV_recieving AND rtlc9n3882 ;
   rtlc9n3864 <= RCV_recieving AND rtlcs26 ;
   rtlc9n3866 <= rtlc9n3864 AND RCV_CS ;
   rtlc9n3848 <= No_Words_Message AND rtlcs22 ;
   rtlc9n3839 <= RxRdy_Plus_2us AND not_RCV_recieving ;
   rtlc9n3851 <= rtlc9n3839 AND rtlc9n3848 ;
   rtlc9n4782 <= NOT not_rtlc9n4782 ;
   not_rtlc9n3705 <= NOT rtlc9n3705 ;
   rtlc9n3705 <= rtlc9n5765 AND not_RCV_recieving ;
   rtlc9n3668 <= active_command_10_EXMPLR2119 AND not_RT2RT_message ;
   rtlc9n3678 <= rtlc9n3668 OR rtlcs22 ;
   rtlc9n3664 <= rtlcs38 OR mode_message ;
   rtlc9n3509 <= rtlcs25 OR mode_message ;
   not_rtlcs27 <= NOT rtlcs27 ;
   rtlc9n3320 <= RCV_CS AND RCV_Command_Sync ;
   rtlc9n3328 <= rtlc9n3320 AND not_rtlcs27 ;
   rtlc9n899 <= not_RCV_R_Data_4 OR MODE_CODE1553A ;
   rtlc9n900 <= mode_message_9n8s1 AND rtlc9n899 ;
   not_mode_message_9n1s3 <= NOT mode_message_9n1s3 ;
   rtlc9n871 <= not_mode_message_9n1s3 OR MODE_CODE1553A ;
   not_mode_message_9n1s5 <= NOT mode_message_9n1s5 ;
   rtlc9n863 <= rtlcs31 AND not_mode_message_9n1s5 ;
   rtlc9n872 <= rtlc9n863 AND rtlc9n871 ;
   not_RCV_R_Data_4 <= NOT RCV_R_Data(4) ;
   Word_number_inc5_9i1 : inc_5u_5u_0 port map ( cin=>PWR, a(4)=>
      Word_number(4), a(3)=>Word_number(3), a(2)=>Word_number(2), a(1)=>
      Word_number(1), a(0)=>Word_number(0), d(4)=>Word_number_9n30s1(4), 
      d(3)=>Word_number_9n30s1(3), d(2)=>Word_number_9n30s1(2), d(1)=>
      Word_number_9n30s1(1), d(0)=>Word_number_9n30s1(0), cout=>DANGLING(0)
   );
   not_No_Response_timeout_0 <= NOT No_Response_timeout(0) ;
   not_No_Response_timeout_1 <= NOT No_Response_timeout(1) ;
   not_No_Response_timeout_2 <= NOT No_Response_timeout(2) ;
   not_active_command_4 <= NOT active_command_4_EXMPLR2125 ;
   not_counter_12 <= NOT counter(12) ;
   not_counter_11 <= NOT counter(11) ;
   not_rtlc9n5526 <= NOT rtlc9n5526 ;
   not_rtlc9n5528 <= NOT rtlc9n5528 ;
   not_counter_5 <= NOT counter(5) ;
   rtlc9n5531 <= not_rtlc9n5528 AND not_counter_5 ;
   rtlc9n5532 <= not_rtlc9n5526 OR rtlc9n5531 ;
   rtlc9n5533 <= not_counter_11 AND rtlc9n5532 ;
   rtlc9n5534 <= rtlc9n5533 OR not_counter_12 ;
   not_rtlc9n5549 <= NOT rtlc9n5549 ;
   not_counter_10 <= NOT counter(10) ;
   not_counter_9 <= NOT counter(9) ;
   not_counter_8 <= NOT counter(8) ;
   rtlc9n5560 <= not_counter_5 OR not_rtlcn198 ;
   rtlc9n5561 <= not_rtlc9n5528 AND rtlc9n5560 ;
   rtlc9n5562 <= not_counter_8 OR rtlc9n5561 ;
   rtlc9n5563 <= not_counter_9 AND rtlc9n5562 ;
   rtlc9n5564 <= not_counter_10 OR rtlc9n5563 ;
   not_rtlc9n5584 <= NOT rtlc9n5584 ;
   rtlc9n5590 <= not_rtlc9n5584 OR not_rtlcn199 ;
   rtlc9n5591 <= not_counter_9 AND rtlc9n5590 ;
   rtlc9n5592 <= not_counter_10 OR rtlc9n5591 ;
   not_rtlc9n5610 <= NOT rtlc9n5610 ;
   not_rtlc9n5612 <= NOT rtlc9n5612 ;
   rtlc9n5614 <= counter(6) AND counter(5) ;
   not_rtlc9n5614 <= NOT rtlc9n5614 ;
   rtlc9n5619 <= not_rtlc9n5614 OR not_rtlcn198 ;
   rtlc9n5620 <= not_rtlc9n5612 AND rtlc9n5619 ;
   rtlc9n5621 <= not_rtlc9n5610 OR rtlc9n5620 ;
   rtlc9n5640 <= counter(7) AND counter(6) ;
   not_rtlc9n5640 <= NOT rtlc9n5640 ;
   rtlc9n5646 <= not_rtlc9n5640 OR not_rtlcn199 ;
   rtlc9n5647 <= not_counter_8 AND rtlc9n5646 ;
   rtlc9n5648 <= not_counter_9 OR rtlc9n5647 ;
   rtlc9n5649 <= not_counter_10 AND rtlc9n5648 ;
   rtlc9n5650 <= not_counter_11 OR rtlc9n5649 ;
   rtlc9n5732 <= RCV_Gap_found(0) AND RCV_Gap_found(1) ;
   rtlc9n5733 <= rtlc9n5732 OR RCV_Gap_found(2) ;
   rtlc9_3503_or_1080 : or_5u_5u port map ( a(4)=>Energy_Count(0), a(3)=>
      Energy_Count(1), a(2)=>Energy_Count(2), a(1)=>Energy_Count(3), a(0)=>
      Energy_Count(4), d=>rtlc9n5763);
   rtlc9n5765 <= rtlc9n5764 OR Energy_Count(9) ;
   rtlc9n5528 <= counter(7) OR counter(6) ;
   rtlc9n5549 <= counter(12) OR counter(11) ;
   not_rtlcn198 <= NOT rtlcn198 ;
   not_rtlcn199 <= NOT rtlcn199 ;
   rtlc9n5586 <= counter(5) OR counter(4) ;
   rtlc9n5612 <= counter(8) OR counter(7) ;
   rtlc9n5719 <= RCV_Gap_found(2) OR RCV_Gap_found(1) ;
   not_rtlcn202 <= NOT rtlcn202 ;
   not_rtlcn203 <= NOT rtlcn203 ;
   rtlcn198 <= counter(4) OR counter(3) ;
   rtlcn199 <= rtlc9n5586 OR counter(3) ;
   rtlcn202 <= rtlc9n3328 OR rtlc9n5733 ;
   rtlcn203 <= rtlc6n159 OR rtlc6n161 ;
   rtlc9n4009 <= rtlcs26 AND rtlcn386 ;
   rtlcn387 <= Counter_is_21us OR rtlc9n4040 ;
   rtlc_544_or_1083 : or_5u_5u port map ( a(4)=>Timeout, a(3)=>
      not_RCV_Command_Sync, a(2)=>not_RCV_CS, a(1)=>not_Start_Clean, a(0)=>
      not_rtlc9n4782, d=>rtlcn388);
   rtlc9n4043 <= RCV_CS AND rtlcn392 ;
   Start_Clean_select_9i4 : select_3_3 port map ( a(2)=>rtlcn620, a(1)=>
      not_rtlcn1962, a(0)=>rtlcn622, b(2)=>Address_6_EXMPLR2153, b(1)=>PWR, 
      b(0)=>Error_in_message, d=>Start_Clean_9n55ss1);
   MIL1553_ERRORS_select_9i5 : select_4_4 port map ( a(3)=>rtlcn620, a(2)=>
      state(1), a(1)=>rtlcn359, a(0)=>rtlcn1082, b(3)=>Address_6_EXMPLR2153, 
      b(2)=>MIL1553_ERRORS_9n17ss1(0), b(1)=>MIL1553_ERRORS_9n51ss1(0), b(0)
      =>GOOD_Data_Block, d=>MIL1553_ERRORS_9n55ss1_0);
   rtlc_1349_select_1086 : select_6_6 port map ( a(5)=>state(0), a(4)=>
      state(1), a(3)=>not_rtlc9n5005, a(2)=>rtlcn1126, a(1)=>rtlcn1123, a(0)
      =>rtlcn1125, b(5)=>RxRdy, b(4)=>rtlc9n4054, b(3)=>PWR, b(2)=>
      not_rtlc9n3705, b(1)=>rtlc9n4098, b(0)=>rtlc9n4203, d=>rtlc9n4252);
   rtlc_1392_select_1087 : select_7_7 port map ( a(6)=>state(0), a(5)=>
      rtlc9n4860, a(4)=>rtlcn1166, a(3)=>rtlcn1159, a(2)=>rtlcn1123, a(1)=>
      rtlcn1163, a(0)=>rtlcn1125, b(6)=>RxRdy, b(5)=>PWR, b(4)=>
      not_rtlc9n3705, b(3)=>rtlc9n4051, b(2)=>rtlc9n4100, b(1)=>rtlc9n4157, 
      b(0)=>rtlc9n4204, d=>rtlc9n4254);
   MIL1553_ERRORS_select_9i6 : select_3_3 port map ( a(2)=>state(0), a(1)=>
      rtlcn1169, a(0)=>not_rtlcn1963, b(2)=>RxRdy, b(1)=>
      Address_6_EXMPLR2153, b(0)=>MIL1553_ERRORS_9n22ss1(0), d=>
      MIL1553_ERRORS_9n55ss1_6);
   rtlc_1409_select_1089 : select_6_6 port map ( a(5)=>state(0), a(4)=>
      not_rtlc9n4997, a(3)=>state(4), a(2)=>rtlcn1180, a(1)=>rtlcn1159, a(0)
      =>rtlcn1163, b(5)=>RxRdy, b(4)=>PWR, b(3)=>rtlc9n4211, b(2)=>
      rtlc9n3705, b(1)=>rtlc9n4045, b(0)=>rtlc9n4159, d=>rtlc9n4257);
   rtlc_1431_select_1090 : select_6_6 port map ( a(5)=>state(0), a(4)=>
      state(1), a(3)=>not_rtlc9n5005, a(2)=>rtlcn1126, a(1)=>rtlcn1123, a(0)
      =>rtlcn1125, b(5)=>RxRdy, b(4)=>rtlc9n4054, b(3)=>PWR, b(2)=>
      rtlc9n3705, b(1)=>rtlc9n4102, b(0)=>rtlc9n4207, d=>rtlc9n4259);
   not_RCV_recieving <= NOT RCV_recieving ;
   not_rtlc9n4081 <= NOT rtlc9n4081 ;
   not_rtlc9n3509 <= NOT rtlc9n3509 ;
   not_RT2RT_message <= NOT RT2RT_message_EXMPLR2134 ;
   Monitor_ended_not_OK_select_9i7 : select_3_3 port map ( a(2)=>
      not_rtlcn1964, a(1)=>rtlcn1673, a(0)=>rtlcn985, b(2)=>
      Address_6_EXMPLR2153, b(1)=>PWR, b(0)=>Error_in_message, d=>
      Monitor_ended_not_OK_9n55ss1);
   not_rtlcn1734 <= NOT rtlcn1734 ;
   not_rtlc9n4862 <= NOT rtlc9n4862 ;
   rtlcn395 <= state(2) OR state(4) ;
   not_Timeout <= NOT Timeout ;
   rtlcn1125 <= state(4) AND not_Timeout ;
   rtlcn620 <= state(0) OR rtlcn1125 ;
   rtlcn1798 <= state(5) AND Counter_is_37us ;
   rtlcn1781 <= state(7) OR rtlcn1798 ;
   not_rtlc9n3866 <= NOT rtlc9n3866 ;
   rtlcn1800 <= state(5) AND not_rtlc9n3866 ;
   rtlcn622 <= rtlcn1781 OR rtlcn1800 ;
   rtlcn359 <= state(5) OR state(7) ;
   rtlcn1082 <= Timeout AND state(4) ;
   rtlcn1803 <= state(2) AND Timeout ;
   rtlcn1126 <= rtlcn1082 OR rtlcn1803 ;
   rtlcn1123 <= state(2) AND not_Timeout ;
   rtlcn1787 <= state(1) AND Counter_is_21us ;
   rtlcn1804 <= state(3) AND Counter_is_37us ;
   rtlcn1180 <= rtlcn1787 OR rtlcn1804 ;
   rtlcn1166 <= rtlcn1180 OR rtlcn1126 ;
   not_Counter_is_21us <= NOT Counter_is_21us ;
   rtlcn1159 <= state(1) AND not_Counter_is_21us ;
   not_Counter_is_37us <= NOT Counter_is_37us ;
   rtlcn1163 <= state(3) AND not_Counter_is_37us ;
   rtlcn1807 <= state(4) AND RCV_Command_Sync ;
   rtlcn1169 <= state(1) OR rtlcn1807 ;
   not_RCV_R_Data_10 <= NOT RCV_R_Data(10) ;
   not_rtlcs26 <= NOT rtlcs26 ;
   rtlcn1765 <= not_RCV_R_Data_10 OR not_rtlcs26 ;
   not_RCV_Command_Sync <= NOT RCV_Command_Sync ;
   not_RCV_CS <= NOT RCV_CS ;
   not_Start_Clean <= NOT Start_Clean ;
   rtlcn1766 <= not_rtlc9n4782 OR rtlc9n4184 ;
   not_RxRdy <= NOT RxRdy ;
   rtlcn1778 <= not_RxRdy OR rtlcn1766 ;
   rtlcn1818 <= state(6) AND not_RCV_recieving ;
   rtlcn1785 <= rtlcn1180 OR rtlcn1818 ;
   rtlcn1789 <= RCV_Command_Sync AND RxRdy ;
   not_rtlcn1778 <= NOT rtlcn1778 ;
   rtlcn1820 <= not_rtlcn1778 AND rtlcn1125 ;
   rtlc_2491_or_1093 : or_4u_4u port map ( a(3)=>rtlcn1126, a(2)=>rtlcn1785, 
      a(1)=>rtlcn1820, a(0)=>rtlcn1821, d=>rtlcn1673);
   not_rtlc9n3851 <= NOT rtlc9n3851 ;
   rtlcn1771 <= state(5) AND not_rtlc9n3851 ;
   rtlcn1824 <= state(7) AND RxRdy_Plus4_5us ;
   rtlcn1775 <= rtlcn1798 OR rtlcn1824 ;
   not_rtlc9n3884 <= NOT rtlc9n3884 ;
   rtlc9n4222 <= RCV_recieving AND not_rtlc9n3884 ;
   rtlcn1777 <= rtlc9n3866 OR rtlc9n4222 ;
   not_rtlcn1777 <= NOT rtlcn1777 ;
   rtlcn985 <= rtlcn1775 OR rtlcn1827 ;
   rtlcn1776 <= not_rtlc9n4782 OR not_RCV_CS ;
   rtlcn1830 <= not_rtlcs26 AND rtlcn1159 ;
   not_rtlcn1776 <= NOT rtlcn1776 ;
   rtlcn1761 <= rtlcn1830 OR rtlcn1832 ;
   No_Words_Message_9n55ss1 <= state(0) AND RxRdy ;
   rtlcn1834 <= state(0) AND not_RxRdy ;
   rtlc_2515_and_1096 : and_4u_4u port map ( a(3)=>state(1), a(2)=>
      RCV_Command_Sync, a(1)=>not_RCV_R_Data_10, a(0)=>rtlcs26, d=>rtlcn1835
   );
   not_rtlc9n900 <= NOT rtlc9n900 ;
   rtlcn1838 <= rtlc9n900 AND rtlcs31 ;
   rtlcn1770 <= BCR_message_0n0s2 OR not_rtlc9n3509 ;
   rtlcn1780 <= not_RCV_Command_Sync AND rtlcn1159 ;
   not_rtlcn1770 <= NOT rtlcn1770 ;
   not_rtlcn1765 <= NOT rtlcn1765 ;
   not_R <= NOT R ;
   rtlcn1788 <= RCV_Command_Sync AND not_rtlcs26 ;
   not_rtlcs32 <= NOT rtlcs32 ;
   rtlc9n3882 <= not_rtlcs26 OR not_rtlcs32 ;
   rtlcn1782 <= not_RCV_recieving OR rtlc9n3882 ;
   rtlcn1852 <= rtlcn395 AND Timeout ;
   rtlcn1853 <= state(8) AND not_rtlcs32 ;
   rtlcn609 <= state(1) AND not_rtlcn1765 ;
   rtlcn1855 <= state(1) AND not_RCV_Command_Sync ;
   rtlcn787 <= state(3) OR rtlcn1855 ;
   not_rtlc9n4122 <= NOT rtlc9n4122 ;
   rtlcn1091 <= state(1) OR rtlcn1857 ;
   not_rtlc9n872 <= NOT rtlc9n872 ;
   rtlcn1772 <= not_RCV_R_Data_10 OR not_rtlc9n872 ;
   not_rtlcn1772 <= NOT rtlcn1772 ;
   rtlcn1783 <= state(2) OR rtlcn1082 ;
   rtlcn1861 <= state(4) AND rtlc9n4184 ;
   rtlcn1120 <= rtlcn1783 OR rtlcn1861 ;
   rtlcn1862 <= state(1) AND rtlcs26 ;
   rtlcn1137 <= state(2) OR rtlcn1862 ;
   not_rtlcn1762 <= NOT rtlcn1762 ;
   rtlcn1864 <= not_rtlcn1762 AND rtlcn1159 ;
   rtlcn1865 <= RCV_CS AND rtlcn1125 ;
   rtlcn1174 <= state(3) OR rtlcn1787 ;
   rtlcn1866 <= state(4) AND not_RCV_Command_Sync ;
   rtlcn1184 <= state(5) OR rtlcn1866 ;
   rtlcn1867 <= state(4) AND not_rtlc9n4782 ;
   rtlcn1193 <= rtlcn1783 OR rtlcn1867 ;
   rtlcn1871 <= RCV_Command_Sync AND rtlcn1761 ;
   rtlcn1872 <= not_rtlcn1762 AND No_Words_Message_9n55ss1 ;
   rtlcn1763 <= rtlcn1871 OR rtlcn1872 ;
   rtlcn1786 <= rtlc9n3664 AND rtlcn1163 ;
   rtlcn1873 <= not_rtlcn1770 AND rtlcn1780 ;
   not_rtlc9n3678 <= NOT rtlc9n3678 ;
   rtlcn1875 <= not_rtlc9n3678 AND rtlcn1786 ;
   not_rtlc9n909 <= NOT rtlcs31 ;
   rtlc_2593_and_1108 : and_4u_4u port map ( a(3)=>not_RCV_Command_Sync, 
      a(2)=>rtlcs26, a(1)=>not_rtlcn1776, a(0)=>rtlcn1125, d=>rtlcn1879);
   rtlc_2594_or_1109 : or_5u_5u port map ( a(4)=>rtlcn1873, a(3)=>rtlcn1875, 
      a(2)=>rtlcn1876, a(1)=>rtlcn1878, a(0)=>rtlcn1879, d=>rtlcn1623);
   rtlcn1880 <= not_RCV_Command_Sync AND not_rtlcs26 ;
   rtlcn1881 <= RCV_Command_Sync AND not_Start_Clean ;
   rtlcn1791 <= rtlcn1838 OR not_rtlcn1772 ;
   rtlcn1884 <= rtlcn1762 AND No_Words_Message_9n55ss1 ;
   rtlcn1885 <= rtlc9n3678 AND rtlcn1786 ;
   rtlcn1886 <= rtlcn1125 AND rtlcn1792 ;
   rtlcn1887 <= rtlcn1763 AND rtlcn1791 ;
   rtlc_2608_and_1112 : and_4u_4u port map ( a(3)=>not_RCV_Command_Sync, 
      a(2)=>BCR_message_0n0s2, a(1)=>rtlc9n3509, a(0)=>rtlcn1159, d=>
      rtlcn1890);
   rtlc_2609_or_1113 : or_6u_6u port map ( a(5)=>rtlcn1884, a(4)=>rtlcn1885, 
      a(3)=>rtlcn1886, a(2)=>rtlcn1887, a(1)=>rtlcn1889, a(0)=>rtlcn1890, d
      =>rtlcn1635);
   not_rtlcn1766 <= NOT rtlcn1766 ;
   rtlcn1893 <= not_rtlcn1766 AND rtlcn1125 ;
   rtlcn1794 <= rtlcn1872 OR rtlcn1893 ;
   rtlcn1759 <= not_rtlc9n900 AND rtlcn1794 ;
   rtlcn1793 <= rtlcn1759 OR rtlcn1900 ;
   rtlcn1640 <= not_RCV_R_Data_10 AND rtlcn1793 ;
   rtlcn1895 <= state(1) AND rtlcn1765 ;
   rtlcn1896 <= state(0) AND rtlcn1772 ;
   rtlcn1795 <= rtlcn1895 OR rtlcn1896 ;
   rtlcn1898 <= state(4) AND not_rtlcn1766 ;
   rtlcn1899 <= not_rtlcn1762 AND rtlcn1795 ;
   not_rtlcn1760 <= NOT rtlcn1760 ;
   rtlcn1658 <= rtlcn1901 OR rtlcn1902 ;
   not_rtlcn1125 <= NOT rtlcn1125 ;
   rtlcn1767 <= RxRdy AND not_rtlcn1125 ;
   rtlcn1773 <= not_RCV_R_Data_10 OR Record_command ;
   rtlcn1779 <= not_RCV_Command_Sync OR rtlcn1905 ;
   not_rtlcn1779 <= NOT rtlcn1779 ;
   rtlcn1910 <= rtlcn1159 AND rtlcn1779 ;
   rtlcn1911 <= rtlcn1767 AND rtlcn1796 ;
   rtlcn1678 <= rtlcn1911 OR rtlcn1912 ;
   rtlcn1914 <= rtlcn1123 AND not_rtlc9n4081 ;
   not_rtlc9n3664 <= NOT rtlc9n3664 ;
   rtlcn1916 <= not_rtlc9n3664 AND rtlcn1163 ;
   rtlcn1921 <= state(6) AND RCV_recieving ;
   rtlcn827 <= rtlcn1921 OR rtlcn1922 ;
   rtlcn837 <= rtlcs32 AND state(8) ;
   not_rtlcn1962 <= NOT rtlcn1962 ;
   not_rtlcn1963 <= NOT rtlcn1963 ;
   not_rtlcn1964 <= NOT rtlcn1964 ;
   rtlc9n4041 <= rtlcs26 when RCV_Command_Sync = '1' else not_rtlc9n3509 ;
   rtlc9n4179 <= rtlc9n4175 when RCV_Command_Sync = '1' else rtlcs26 ;
   rtlc9n4180 <= not_Start_Clean when RCV_Command_Sync = '1' else rtlcs26 ;
   rtlc9n4181 <= not_Start_Clean when RCV_Command_Sync = '1' else 
   not_rtlcs26 ;
   rtlc9n4182 <= rtlc9n4175 when RCV_Command_Sync = '1' else not_rtlcs26 ;
   rtlc3n59 <= CE AND RxRdy ;
   rtlcn1989 <= not_Timeout AND rtlcn395 ;
   not_CE <= NOT CE ;
   not_RxRdy_Plus4_5us <= NOT RxRdy_Plus4_5us ;
   rtlcn1994 <= not_RxRdy_Plus4_5us AND state(7) ;
   rtlcn1996 <= not_RxRdy AND rtlcn1982 ;
   not_RxRdy_Plus3us <= NOT RxRdy_Plus3us ;
   rtlc_2877_and_1128 : and_4u_4u port map ( a(3)=>not_Counter_is_37us, a(2)
      =>not_RxRdy_Plus3us, a(1)=>not_rtlc9n3851, a(0)=>state(5), d=>
      rtlcn1999);
   rtlc_2878_or_1129 : or_4u_4u port map ( a(3)=>not_CE, a(2)=>rtlcn1994, 
      a(1)=>rtlcn1996, a(0)=>rtlcn1999, d=>rtlcn1970);
   not_rtlcn1970 <= NOT rtlcn1970 ;
   not_rtlc9n4262 <= NOT rtlc9n4262 ;
   rtlc9n4980 <= CE AND not_rtlc9n4262 ;
   rtlcn2001 <= CE AND rtlc9n5534 ;
   rtlc9n4973 <= rtlc3n59 OR rtlcn2001 ;
   not_rtlc9_PS245_n4310 <= NOT rtlc9_PS245_n4310 ;
   not_rtlc9_PS247_n4324 <= NOT rtlc9_PS247_n4324 ;
   not_rtlc9_PS248_n4337 <= NOT rtlc9_PS248_n4337 ;
   not_rtlcs20 <= NOT rtlcs20 ;
   not_rtlcs19 <= NOT rtlcs19 ;
   rtlc_2893_and_1130 : and_6u_6u port map ( a(5)=>CE, a(4)=>
      not_rtlc9_PS245_n4310, a(3)=>not_rtlc9_PS247_n4324, a(2)=>
      not_rtlc9_PS248_n4337, a(1)=>not_rtlcs20, a(0)=>not_rtlcs19, d=>
      rtlcn2007);
   rtlc9n4943 <= rtlc3n59 OR rtlcn2007 ;
   not_rtlc9n4260 <= NOT rtlc9n4260 ;
   rtlc9n4941 <= CE AND not_rtlc9n4260 ;
   not_rtlc9n4259 <= NOT rtlc9n4259 ;
   rtlc9n4935 <= CE AND not_rtlc9n4259 ;
   not_rtlc9n4258 <= NOT rtlc9n4258 ;
   rtlc9n4932 <= CE AND not_rtlc9n4258 ;
   not_rtlc9n4257 <= NOT rtlc9n4257 ;
   rtlc9n4931 <= CE AND not_rtlc9n4257 ;
   not_rtlc9n4256 <= NOT rtlc9n4256 ;
   rtlc9n4930 <= CE AND not_rtlc9n4256 ;
   not_rtlc9n4254 <= NOT rtlc9n4254 ;
   rtlc9n4928 <= CE AND not_rtlc9n4254 ;
   not_rtlc9n4253 <= NOT rtlc9n4253 ;
   rtlc9n4927 <= CE AND not_rtlc9n4253 ;
   not_rtlc9n4252 <= NOT rtlc9n4252 ;
   rtlc9n4926 <= CE AND not_rtlc9n4252 ;
   not_rtlc9n4250 <= NOT rtlc9n4250 ;
   rtlc9n4924 <= CE AND not_rtlc9n4250 ;
   not_rtlcn389 <= NOT rtlcn389 ;
   rtlc9n4917 <= not_rtlcn389 AND rtlc3n59 ;
   not_rtlcn384 <= NOT rtlcn384 ;
   rtlc9n4912 <= not_rtlcn384 AND rtlc3n59 ;
   rtlc9n4175 <= rtlcs37 AND not_Start_Clean ;
   rtlc_2924_or_1132 : or_4u_4u port map ( a(3)=>Counter_is_37us, a(2)=>
      rtlc9n3851, a(1)=>not_rtlc9n3866, a(0)=>not_RxRdy_Plus3us, d=>
      rtlc9n4237);
   rtlcn1977 <= not_RxRdy OR Timeout ;
   rtlcn1980 <= not_RxRdy OR Counter_is_21us ;
   rtlcn2028 <= RCV_CS AND rtlcn385 ;
   rtlcn1983 <= rtlcn1980 OR rtlcn2028 ;
   rtlcn2029 <= state(5) AND rtlc9n4237 ;
   rtlcn2030 <= state(3) AND rtlcn1985 ;
   rtlcn2031 <= rtlcn1977 AND rtlcn395 ;
   rtlcn2032 <= state(1) AND rtlcn1983 ;
   rtlc_2943_and_1136 : and_4u_4u port map ( a(3)=>RCV_Command_Sync, a(2)=>
      rtlc9n4175, a(1)=>state(4), a(0)=>not_rtlcn1776, d=>rtlcn2035);
   not_rtlcn1971 <= NOT rtlcn1971 ;
   rtlc9n4909 <= CE AND not_rtlcn1971 ;
   not_rtlcn381 <= NOT rtlcn381 ;
   rtlc9n4890 <= not_rtlcn381 AND rtlc3n59 ;
   not_state_1 <= NOT state(1) ;
   not_rtlc9n4054 <= NOT rtlc9n4054 ;
   rtlcn1972 <= not_state_1 OR not_rtlc9n4054 ;
   not_state_0 <= NOT state(0) ;
   rtlcn1973 <= rtlc9n900 OR not_state_0 ;
   not_rtlc9n4182 <= NOT rtlc9n4182 ;
   rtlcn1976 <= not_rtlc9n4182 OR rtlcn1776 ;
   rtlcn1978 <= not_RxRdy OR rtlcn1973 ;
   not_state_4 <= NOT state(4) ;
   rtlc_2965_and_1139 : and_4u_4u port map ( a(3)=>not_Timeout, a(2)=>
      rtlcn1973, a(1)=>rtlc3n59, a(0)=>rtlcn1976, d=>rtlcn2044);
   rtlcn1981 <= rtlcn2043 OR rtlcn2044 ;
   not_No_Words_Message_9n55ss1 <= NOT No_Words_Message_9n55ss1 ;
   rtlc_2971_or_1141 : or_4u_4u port map ( a(3)=>rtlcn1776, a(2)=>
      not_RCV_Command_Sync, a(1)=>not_Start_Clean, a(0)=>rtlcn1977, d=>
      rtlc9n4211);
   not_rtlc9n4211 <= NOT rtlc9n4211 ;
   rtlcn1979 <= not_state_4 OR not_rtlc9n4211 ;
   rtlc_2974_and_1142 : and_5u_5u port map ( a(4)=>CE, a(3)=>rtlc9n4993, 
      a(2)=>rtlcn1972, a(1)=>rtlcn1974, a(0)=>rtlcn1979, d=>rtlcn1932);
   rtlc_2977_or_1143 : or_9u_9u port map ( a(8)=>state(6), a(7)=>state(7), 
      a(6)=>state(8), a(5)=>rtlcn2029, a(4)=>rtlcn2030, a(3)=>rtlcn2031, 
      a(2)=>rtlcn2032, a(1)=>rtlcn2033, a(0)=>rtlcn2035, d=>rtlcn1971);
   rtlcs7 <= rtlcs13 AND rtlcs4 ;
   rtlcs4 <= not_counter_9 AND rtlcs15 ;
   rtlcs10 <= not_counter_7 AND rtlcs3 ;
   rtlcs27 <= rtlcs28 AND mode_message_9n1s5 ;
   mode_message_and_9i8 : and_5u_5u port map ( a(4)=>RCV_R_Data(9), a(3)=>
      RCV_R_Data(8), a(2)=>RCV_R_Data(7), a(1)=>RCV_R_Data(6), a(0)=>
      RCV_R_Data(5), d=>mode_message_9n1s3);
   not_RCV_R_Data_9 <= NOT RCV_R_Data(9) ;
   not_RCV_R_Data_8 <= NOT RCV_R_Data(8) ;
   not_RCV_R_Data_7 <= NOT RCV_R_Data(7) ;
   not_RCV_R_Data_6 <= NOT RCV_R_Data(6) ;
   not_RCV_R_Data_5 <= NOT RCV_R_Data(5) ;
   mode_message_and_9i9 : and_5u_5u port map ( a(4)=>not_RCV_R_Data_9, a(3)
      =>not_RCV_R_Data_8, a(2)=>not_RCV_R_Data_7, a(1)=>not_RCV_R_Data_6, 
      a(0)=>not_RCV_R_Data_5, d=>mode_message_9n1s5);
   not_counter_7 <= NOT counter(7) ;
   not_counter_2 <= NOT counter(2) ;
   rtlcs3 <= counter(6) AND not_counter_2 ;
   not_counter_1 <= NOT counter(1) ;
   not_counter_0 <= NOT counter(0) ;
   rtlc_3026_and_1147 : and_4u_4u port map ( a(3)=>not_counter_12, a(2)=>
      not_counter_11, a(1)=>not_counter_1, a(0)=>not_counter_0, d=>rtlcs15);
   not_counter_4 <= NOT counter(4) ;
   not_RCV_Gap_found_2 <= NOT RCV_Gap_found(2) ;
   not_RCV_Gap_found_1 <= NOT RCV_Gap_found(1) ;
   not_RCV_Gap_found_0 <= NOT RCV_Gap_found(0) ;
   rtlc_3039_and_1151 : and_4u_4u port map ( a(3)=>rtlc9n5534, a(2)=>
      No_Response_timeout(2), a(1)=>No_Response_timeout(1), a(0)=>
      not_No_Response_timeout_0, d=>rtlcs19);
   BCR_message_and_0i1 : and_5u_5u port map ( a(4)=>
      active_command_15_EXMPLR2114, a(3)=>active_command_14_EXMPLR2115, a(2)
      =>active_command_13_EXMPLR2116, a(1)=>active_command_12_EXMPLR2117, 
      a(0)=>active_command_11_EXMPLR2118, d=>BCR_message_0n0s2);
   active_command_9n55ss1_4 <= RCV_R_Data(4) AND rtlcn609 ;
   not_active_command_3 <= NOT active_command_3_EXMPLR2126 ;
   not_active_command_2 <= NOT active_command_2_EXMPLR2127 ;
   not_active_command_1 <= NOT active_command_1_EXMPLR2128 ;
   rtlc_3046_and_1153 : and_5u_5u port map ( a(4)=>not_active_command_4, 
      a(3)=>not_active_command_3, a(2)=>not_active_command_2, a(1)=>
      not_active_command_1, a(0)=>active_command_0_EXMPLR2129, d=>rtlcs25);
   rtlc_3048_and_1154 : and_5u_5u port map ( a(4)=>first_RT_command(15), 
      a(3)=>first_RT_command(14), a(2)=>first_RT_command(13), a(1)=>
      first_RT_command(12), a(0)=>first_RT_command(11), d=>rtlcs22);
   rtlc_3049_and_1155 : and_5u_5u port map ( a(4)=>RCV_R_Data(15), a(3)=>
      RCV_R_Data(14), a(2)=>RCV_R_Data(13), a(1)=>RCV_R_Data(12), a(0)=>
      RCV_R_Data(11), d=>rtlcs31);
   not_counter_3 <= NOT counter(3) ;
   not_counter_6 <= NOT counter(6) ;
   Word_number_9n55ss1(3) <= Word_number_9n30s1(3) AND rtlcn787 ;
   Word_number_9n55ss1(2) <= Word_number_9n30s1(2) AND rtlcn787 ;
   Word_number_9n55ss1(1) <= Word_number_9n30s1(1) AND rtlcn787 ;
   not_rtlcn787 <= NOT rtlcn787 ;
   Word_number_9n55ss1(0) <= Word_number_9n30s1(0) OR not_rtlcn787 ;
   Word_number_9n55ss1(4) <= Word_number_9n30s1(4) AND rtlcn787 ;
   rtlcn1962 <= rtlcn620 OR rtlcn622 ;
   not_RCV_RAW_GAP_6 <= NOT RCV_RAW_GAP(6) ;
   not_RCV_RAW_GAP_5 <= NOT RCV_RAW_GAP(5) ;
   not_RCV_RAW_GAP_4 <= NOT RCV_RAW_GAP(4) ;
   not_RCV_RAW_GAP_3 <= NOT RCV_RAW_GAP(3) ;
   not_RCV_RAW_GAP_2 <= NOT RCV_RAW_GAP(2) ;
   not_RCV_RAW_GAP_1 <= NOT RCV_RAW_GAP(1) ;
   not_RCV_RAW_GAP_0 <= NOT RCV_RAW_GAP(0) ;
   rtlc_3086_and_1159 : and_7u_7u port map ( a(6)=>not_RCV_RAW_GAP_6, a(5)=>
      not_RCV_RAW_GAP_5, a(4)=>not_RCV_RAW_GAP_4, a(3)=>not_RCV_RAW_GAP_3, 
      a(2)=>not_RCV_RAW_GAP_2, a(1)=>not_RCV_RAW_GAP_1, a(0)=>
      not_RCV_RAW_GAP_0, d=>rtlcs32);
   rtlcn386 <= not_rtlcs37 OR not_RCV_R_Data_10 ;
   rtlcn385 <= rtlc9n4009 OR not_RCV_Command_Sync ;
   rtlcs28 <= not_RCV_R_Data_10 AND not_RCV_R_Data_4 ;
   Monitor_ended_OK_9n55ss1 <= MIL1553_ERRORS_9n22ss1(0) AND rtlcn985 ;
   rtlcn1964 <= rtlcn1673 OR rtlcn985 ;
   MIL1553_ERRORS_9n17ss1(0) <= MIL1553_ERRORS_9n22ss1(0) AND 
   not_RCV_Command_Sync ;
   GOOD_Data_Block_9n55ss1 <= MIL1553_ERRORS_9n17ss1(0) AND rtlcn1091 ;
   rtlcn1734 <= rtlc9n3664 OR RCV_Command_Sync ;
   MIL1553_ERRORS_9n55ss1_2 <= MIL1553_ERRORS_9n22ss1(0) AND rtlcn1120 ;
   MIL1553_ERRORS_9n55ss1_3 <= MIL1553_ERRORS_9n22ss1(0) AND rtlcn1137 ;
   rtlcn392 <= rtlcs26 OR not_RCV_Command_Sync ;
   rtlcn1963 <= state(0) OR rtlcn1169 ;
   MIL1553_ERRORS_9n55ss1_7 <= MIL1553_ERRORS_9n22ss1(0) AND rtlcn1174 ;
   MIL1553_ERRORS_9n55ss1_8 <= MIL1553_ERRORS_9n22ss1(0) AND rtlcn1184 ;
   MIL1553_ERRORS_9n55ss1_11 <= MIL1553_ERRORS_9n22ss1(0) AND rtlcn1193 ;
   MIL1553_ERRORS_9n55ss1_4 <= NOT rtlcn2256 ;
   rtlcn2256 <= Error_in_message OR rtlcn1155 ;
   rtlcn2020 <= rtlcs39 AND rtlc9n5719 ;
   rtlcn1905 <= rtlcs26 AND rtlcn1773 ;
   modgen_counter_Energy_Count : 
      counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10 port map ( clock=>C, 
      q(9)=>Energy_Count(9), q(8)=>Energy_Count(8), q(7)=>Energy_Count(7), 
      q(6)=>Energy_Count(6), q(5)=>Energy_Count(5), q(4)=>Energy_Count(4), 
      q(3)=>Energy_Count(3), q(2)=>Energy_Count(2), q(1)=>Energy_Count(1), 
      q(0)=>Energy_Count(0), clk_en=>CE, aclear=>not_R, sload=>
      Address_6_EXMPLR2153, data(9)=>DANGLING(1), data(8)=>DANGLING(2), 
      data(7)=>DANGLING(3), data(6)=>DANGLING(4), data(5)=>DANGLING(5), 
      data(4)=>DANGLING(6), data(3)=>DANGLING(7), data(2)=>DANGLING(8), 
      data(1)=>DANGLING(9), data(0)=>DANGLING(10), aset=>
      Address_6_EXMPLR2153, sclear=>RxRdy, updn=>PWR, cnt_en=>rtlc6n36);
   rtlceq_s68_eq_1160 : eq_5u_5u port map ( a(4)=>first_RT_command(15), a(3)
      =>first_RT_command(14), a(2)=>first_RT_command(13), a(1)=>
      first_RT_command(12), a(0)=>first_RT_command(11), b(4)=>RCV_R_Data(15), 
      b(3)=>RCV_R_Data(14), b(2)=>RCV_R_Data(13), b(1)=>RCV_R_Data(12), b(0)
      =>RCV_R_Data(11), d=>rtlcs37);
   rtlceq_s70_eq_1161 : eq_5u_5u port map ( a(4)=>Word_number(4), a(3)=>
      Word_number(3), a(2)=>Word_number(2), a(1)=>Word_number(1), a(0)=>
      Word_number(0), b(4)=>active_command_4_EXMPLR2125, b(3)=>
      active_command_3_EXMPLR2126, b(2)=>active_command_2_EXMPLR2127, b(1)=>
      active_command_1_EXMPLR2128, b(0)=>active_command_0_EXMPLR2129, d=>
      rtlcs38);
   rtlceq_s72_eq_1162 : eq_5u_5u port map ( a(4)=>
      active_command_15_EXMPLR2114, a(3)=>active_command_14_EXMPLR2115, a(2)
      =>active_command_13_EXMPLR2116, a(1)=>active_command_12_EXMPLR2117, 
      a(0)=>active_command_11_EXMPLR2118, b(4)=>RCV_R_Data(15), b(3)=>
      RCV_R_Data(14), b(2)=>RCV_R_Data(13), b(1)=>RCV_R_Data(12), b(0)=>
      RCV_R_Data(11), d=>rtlcs39);
   DFFPCE (rtlcn837,not_R,Address_6_EXMPLR2153,not_rtlcn1970,C,state(8)) ;
   DFFPCE (rtlcn833,Address_6_EXMPLR2153,not_R,not_rtlcn1970,C,state(7)) ;
   DFFPCE (rtlcn827,Address_6_EXMPLR2153,not_R,not_rtlcn1970,C,state(6)) ;
   DFFPCE (rtlcn1635,Address_6_EXMPLR2153,not_R,not_rtlcn1970,C,state(5)) ;
   DFFPCE (rtlcn1623,Address_6_EXMPLR2153,not_R,not_rtlcn1970,C,state(4)) ;
   DFFPCE (rtlcn708,Address_6_EXMPLR2153,not_R,not_rtlcn1970,C,state(3)) ;
   DFFPCE (rtlcn1658,Address_6_EXMPLR2153,not_R,not_rtlcn1970,C,state(2)) ;
   DFFPCE (rtlcn1640,Address_6_EXMPLR2153,not_R,not_rtlcn1970,C,state(1)) ;
   DFFPCE (rtlcn459,Address_6_EXMPLR2153,not_R,not_rtlcn1970,C,state(0)) ;
   DFFPCE (Start_Clean_9n55ss1,not_R,Address_6_EXMPLR2153,rtlc9n4980,C,
   Start_Clean) ;
   DFFPCE (Counter_is_37us_9n59s1,Address_6_EXMPLR2153,not_R,CE,C,
   Counter_is_37us) ;
   DFFPCE (Counter_is_21us_9n59s1,Address_6_EXMPLR2153,not_R,CE,C,
   Counter_is_21us) ;
   DFFPCE (RxRdy_Plus4_5us_9n59s1,Address_6_EXMPLR2153,not_R,CE,C,
   RxRdy_Plus4_5us) ;
   DFFPCE (RxRdy_Plus_2us_9n59s1,Address_6_EXMPLR2153,not_R,CE,C,
   RxRdy_Plus_2us) ;
   DFFPCE (counter_9n58ss1(12),not_R,Address_6_EXMPLR2153,rtlc9n4973,C,
   counter(12)) ;
   DFFPCE (counter_9n58ss1(11),Address_6_EXMPLR2153,not_R,rtlc9n4973,C,
   counter(11)) ;
   DFFPCE (counter_9n58ss1(10),not_R,Address_6_EXMPLR2153,rtlc9n4973,C,
   counter(10)) ;
   DFFPCE (counter_9n58ss1(9),not_R,Address_6_EXMPLR2153,rtlc9n4973,C,
   counter(9)) ;
   DFFPCE (counter_9n58ss1(8),not_R,Address_6_EXMPLR2153,rtlc9n4973,C,
   counter(8)) ;
   DFFPCE (counter_9n58ss1(7),Address_6_EXMPLR2153,not_R,rtlc9n4973,C,
   counter(7)) ;
   DFFPCE (counter_9n58ss1(6),Address_6_EXMPLR2153,not_R,rtlc9n4973,C,
   counter(6)) ;
   DFFPCE (counter_9n58ss1(5),not_R,Address_6_EXMPLR2153,rtlc9n4973,C,
   counter(5)) ;
   DFFPCE (counter_9n58ss1(4),Address_6_EXMPLR2153,not_R,rtlc9n4973,C,
   counter(4)) ;
   DFFPCE (counter_9n58ss1(3),Address_6_EXMPLR2153,not_R,rtlc9n4973,C,
   counter(3)) ;
   DFFPCE (counter_9n58ss1(2),Address_6_EXMPLR2153,not_R,rtlc9n4973,C,
   counter(2)) ;
   DFFPCE (counter_9n58ss1(1),Address_6_EXMPLR2153,not_R,rtlc9n4973,C,
   counter(1)) ;
   DFFPCE (counter_9n58ss1(0),Address_6_EXMPLR2153,not_R,rtlc9n4973,C,
   counter(0)) ;
   DFFPCE (RxRdy_Plus3us_9n59s1,Address_6_EXMPLR2153,not_R,CE,C,
   RxRdy_Plus3us) ;
   DFFPCE (not_RxRdy,Address_6_EXMPLR2153,not_R,rtlc9n4943,C,Timeout) ;
   DFFPCE (GOOD_Data_Block_9n55ss1,Address_6_EXMPLR2153,not_R,rtlc9n4941,C,
   GOOD_Data_Block) ;
   DFFPCE (MIL1553_ERRORS_9n55ss1_11,Address_6_EXMPLR2153,not_R,rtlc9n4935,C,
   MIL1553_ERRORS_Address_Parity) ;
   DFFPCE (MIL1553_ERRORS_9n55ss1_8,Address_6_EXMPLR2153,not_R,rtlc9n4932,C,
   MIL1553_ERRORS_high_word_count) ;
   DFFPCE (MIL1553_ERRORS_9n55ss1_7,Address_6_EXMPLR2153,not_R,rtlc9n4931,C,
   MIL1553_ERRORS_Low_word_count) ;
   DFFPCE (MIL1553_ERRORS_9n55ss1_6,Address_6_EXMPLR2153,not_R,rtlc9n4930,C,
   MIL1553_ERRORS_incorrect_data_sync) ;
   DFFPCE (MIL1553_ERRORS_9n55ss1_4,Address_6_EXMPLR2153,not_R,rtlc9n4928,C,
   MIL1553_ERRORS_Invalid_word) ;
   DFFPCE (MIL1553_ERRORS_9n55ss1_3,Address_6_EXMPLR2153,not_R,rtlc9n4927,C,
   MIL1553_ERRORS_RT2RT_format_error) ;
   DFFPCE (MIL1553_ERRORS_9n55ss1_2,Address_6_EXMPLR2153,not_R,rtlc9n4926,C,
   MIL1553_ERRORS_RT2RT_format_gap) ;
   DFFPCE (MIL1553_ERRORS_9n55ss1_0,Address_6_EXMPLR2153,not_R,rtlc9n4924,C,
   MIL1553_ERRORS_Inhibit_TF) ;
   DFFPCE (Word_number_9n55ss1(4),Address_6_EXMPLR2153,not_R,rtlc9n4917,C,
   Word_number(4)) ;
   DFFPCE (Word_number_9n55ss1(3),Address_6_EXMPLR2153,not_R,rtlc9n4917,C,
   Word_number(3)) ;
   DFFPCE (Word_number_9n55ss1(2),Address_6_EXMPLR2153,not_R,rtlc9n4917,C,
   Word_number(2)) ;
   DFFPCE (Word_number_9n55ss1(1),Address_6_EXMPLR2153,not_R,rtlc9n4917,C,
   Word_number(1)) ;
   DFFPCE (Word_number_9n55ss1(0),Address_6_EXMPLR2153,not_R,rtlc9n4917,C,
   Word_number(0)) ;
   DFFPCE (mode_message_9n8s1,Address_6_EXMPLR2153,not_R,rtlc9n4912,C,
   mode_message) ;
   DFFPCE (rtlcn609,Address_6_EXMPLR2153,not_R,rtlc9n4912,C,
   RT2RT_message_EXMPLR2134) ;
   DFFPCE (rtlcn1669,Address_6_EXMPLR2153,not_R,CE,C,new_command) ;
   DFFPCE (not_rtlcn1760,Address_6_EXMPLR2153,not_R,rtlc9n4909,C,
   Error_in_message) ;
   DFFPCE (Monitor_ended_not_OK_9n55ss1,Address_6_EXMPLR2153,not_R,CE,C,
   Monitor_ended_not_OK) ;
   DFFPCE (Monitor_ended_OK_9n55ss1,Address_6_EXMPLR2153,not_R,CE,C,
   Monitor_ended_OK) ;
   DFFPCE (RCV_R_Data(15),Address_6_EXMPLR2153,not_R,rtlc9n4912,C,
   active_command_15_EXMPLR2114) ;
   DFFPCE (RCV_R_Data(14),Address_6_EXMPLR2153,not_R,rtlc9n4912,C,
   active_command_14_EXMPLR2115) ;
   DFFPCE (RCV_R_Data(13),Address_6_EXMPLR2153,not_R,rtlc9n4912,C,
   active_command_13_EXMPLR2116) ;
   DFFPCE (RCV_R_Data(12),Address_6_EXMPLR2153,not_R,rtlc9n4912,C,
   active_command_12_EXMPLR2117) ;
   DFFPCE (RCV_R_Data(11),Address_6_EXMPLR2153,not_R,rtlc9n4912,C,
   active_command_11_EXMPLR2118) ;
   DFFPCE (RCV_R_Data(10),Address_6_EXMPLR2153,not_R,rtlc9n4912,C,
   active_command_10_EXMPLR2119) ;
   DFFPCE (RCV_R_Data(9),Address_6_EXMPLR2153,not_R,rtlc9n4912,C,
   active_command(9)) ;
   DFFPCE (RCV_R_Data(8),Address_6_EXMPLR2153,not_R,rtlc9n4912,C,
   active_command(8)) ;
   DFFPCE (RCV_R_Data(7),Address_6_EXMPLR2153,not_R,rtlc9n4912,C,
   active_command(7)) ;
   DFFPCE (RCV_R_Data(6),Address_6_EXMPLR2153,not_R,rtlc9n4912,C,
   active_command(6)) ;
   DFFPCE (RCV_R_Data(5),Address_6_EXMPLR2153,not_R,rtlc9n4912,C,
   active_command(5)) ;
   DFFPCE (active_command_9n55ss1_4,Address_6_EXMPLR2153,not_R,rtlc9n4912,C,
   active_command_4_EXMPLR2125) ;
   DFFPCE (RCV_R_Data(3),Address_6_EXMPLR2153,not_R,rtlc9n4912,C,
   active_command_3_EXMPLR2126) ;
   DFFPCE (RCV_R_Data(2),Address_6_EXMPLR2153,not_R,rtlc9n4912,C,
   active_command_2_EXMPLR2127) ;
   DFFPCE (RCV_R_Data(1),Address_6_EXMPLR2153,not_R,rtlc9n4912,C,
   active_command_1_EXMPLR2128) ;
   DFFPCE (RCV_R_Data(0),Address_6_EXMPLR2153,not_R,rtlc9n4912,C,
   active_command_0_EXMPLR2129) ;
   DFFPCE (RCV_R_Data(15),Address_6_EXMPLR2153,not_R,rtlc9n4890,C,
   first_RT_command(15)) ;
   DFFPCE (RCV_R_Data(14),Address_6_EXMPLR2153,not_R,rtlc9n4890,C,
   first_RT_command(14)) ;
   DFFPCE (RCV_R_Data(13),Address_6_EXMPLR2153,not_R,rtlc9n4890,C,
   first_RT_command(13)) ;
   DFFPCE (RCV_R_Data(12),Address_6_EXMPLR2153,not_R,rtlc9n4890,C,
   first_RT_command(12)) ;
   DFFPCE (RCV_R_Data(11),Address_6_EXMPLR2153,not_R,rtlc9n4890,C,
   first_RT_command(11)) ;
   DFFPCE (rtlcn1678,Address_6_EXMPLR2153,not_R,CE,C,Write_Req) ;
   DFFPCE (No_Words_Message_9n55ss1,Address_6_EXMPLR2153,not_R,rtlcn322,C,
   No_Words_Message) ;
   DFFPCE (No_Words_Message_9n55ss1,Address_6_EXMPLR2153,not_R,rtlcn1932,C,
   MIL1553_ERRORS_invalid_command) ;
   rtlc6_60_or_1031_nx0 <= Energy_Count(5) OR Energy_Count(6) ;
   rtlc6n159 <= rtlc6_60_or_1031_nx0 OR Energy_Count(7) ;
   rtlc9_1600_or_1037_nx0 <= state(0) OR state(1) ;
   rtlc9n4993 <= rtlc9_1600_or_1037_nx0 OR state(4) ;
   rtlc9_1760_or_1049_nx0 <= rtlc9n3851 OR rtlc9n4225 ;
   rtlc9n4234 <= rtlc9_1760_or_1049_nx0 OR not_RxRdy_Plus3us ;
   rtlc9_1761_or_1050_nx0 <= not_rtlcn202 OR not_RxRdy ;
   rtlc9n3979 <= rtlc9_1761_or_1050_nx0 OR not_Start_Clean ;
   rtlc9_1849_or_1051_nx0 <= Counter_is_37us OR rtlc9n4154 ;
   rtlc9n4168 <= rtlc9_1849_or_1051_nx0 OR not_RxRdy ;
   rtlcn1762 <= not_RCV_Command_Sync OR not_RCV_CS ;
   rtlc9n4184 <= rtlcn1762 OR not_Start_Clean ;
   rtlc9_1881_or_1054_nx0 <= not_RxRdy OR not_RCV_Command_Sync ;
   rtlc9n4045 <= rtlc9_1881_or_1054_nx0 OR rtlcs26 ;
   rtlc9_1899_or_1058_nx0 <= rtlc9n4187 OR not_RxRdy ;
   rtlc9n4204 <= rtlc9_1899_or_1058_nx0 OR not_rtlc9n4782 ;
   rtlc9_1900_or_1059_nx0 <= RCV_CS OR rtlc9n4122 ;
   rtlc9n4157 <= rtlc9_1900_or_1059_nx0 OR not_RxRdy ;
   rtlc9_1901_or_1060_nx0 <= RCV_CS OR not_RxRdy ;
   rtlc9n4100 <= rtlc9_1901_or_1060_nx0 OR not_rtlc9n4782 ;
   rtlc9_1913_or_1063_nx0 <= rtlc9n4186 OR not_RxRdy ;
   rtlc9n4203 <= rtlc9_1913_or_1063_nx0 OR not_rtlc9n4782 ;
   rtlc9_1914_or_1064_nx0 <= rtlc9n4069 OR not_RxRdy ;
   rtlc9n4098 <= rtlc9_1914_or_1064_nx0 OR not_rtlc9n4782 ;
   rtlc9_1925_or_1067_nx0 <= Counter_is_21us OR rtlc9n4041 ;
   rtlc9n4059 <= rtlc9_1925_or_1067_nx0 OR not_RxRdy ;
   rtlc9_2331_gt_1071_nx0 <= RCV_Gap_found(0) XOR No_Response_timeout(0) ;
   rtlc9_2331_gt_1071_nx2 <= RCV_Gap_found(1) XOR No_Response_timeout(1) ;
   rtlc9_2331_gt_1071_nx4 <= RCV_Gap_found(2) XOR No_Response_timeout(2) ;
   rtlc9n5610 <= counter(10) AND counter(9) ;
   rtlc9n5526 <= rtlc9n5610 AND counter(8) ;
   rtlc9_3427_and_1078_nx0 <= counter(8) AND counter(7) ;
   rtlc9n5584 <= rtlc9_3427_and_1078_nx0 AND counter(6) ;
   rtlc_535_or_1081_nx0 <= Counter_is_21us OR not_RCV_Command_Sync ;
   rtlcn379 <= rtlc_535_or_1081_nx0 OR rtlcs26 ;
   rtlc_538_or_1082_nx0 <= Counter_is_21us OR rtlc9n4008 ;
   rtlcn382 <= rtlc_538_or_1082_nx0 OR not_RCV_Command_Sync ;
   rtlcn1821 <= rtlcn1895 AND rtlcn1789 ;
   rtlc_2501_and_1094_nx0 <= RxRdy_Plus3us AND rtlcn1771 ;
   rtlcn1827 <= rtlc_2501_and_1094_nx0 AND not_rtlcn1777 ;
   rtlc_2509_and_1095_nx0 <= Start_Clean AND not_rtlcn1776 ;
   rtlcn1832 <= rtlc_2509_and_1095_nx0 AND rtlcn1125 ;
   rtlc_2549_and_1100_nx0 <= not_rtlc9n3866 AND rtlcn1771 ;
   rtlcn1854 <= rtlc_2549_and_1100_nx0 AND rtlcn1782 ;
   rtlc_2558_and_1102_nx0 <= state(3) AND RCV_CS ;
   rtlcn1857 <= rtlc_2558_and_1102_nx0 AND not_rtlc9n4122 ;
   rtlc_2573_or_1103_nx0 <= state(0) OR rtlcn1864 ;
   rtlcn1155 <= rtlc_2573_or_1103_nx0 OR rtlcn1865 ;
   rtlc_2590_and_1106_nx0 <= rtlcn1123 AND RT2RT_message_EXMPLR2134 ;
   rtlcn1876 <= rtlc_2590_and_1106_nx0 AND rtlc9n4081 ;
   rtlc_2592_and_1107_nx0 <= rtlc9n900 AND not_rtlc9n909 ;
   rtlcn1878 <= rtlc_2592_and_1107_nx0 AND rtlcn1763 ;
   rtlc_2598_or_1110_nx0 <= rtlcn1776 OR rtlcn1880 ;
   rtlcn1792 <= rtlc_2598_or_1110_nx0 OR rtlcn1881 ;
   rtlc_2607_and_1111_nx0 <= rtlcn1123 AND not_RT2RT_message ;
   rtlcn1889 <= rtlc_2607_and_1111_nx0 AND rtlc9n4081 ;
   rtlc_2624_or_1114_nx0 <= rtlcn1834 OR rtlcn1898 ;
   rtlcn1760 <= rtlc_2624_or_1114_nx0 OR rtlcn1899 ;
   rtlc_2626_and_1115_nx0 <= not_rtlc9n900 AND rtlcn1159 ;
   rtlcn1900 <= rtlc_2626_and_1115_nx0 AND rtlcn1788 ;
   rtlc_2628_and_1116_nx0 <= RCV_Command_Sync AND not_rtlcn1765 ;
   rtlcn1901 <= rtlc_2628_and_1116_nx0 AND rtlcn1159 ;
   rtlc_2629_and_1117_nx0 <= RCV_R_Data(10) AND not_rtlc9n872 ;
   rtlcn1902 <= rtlc_2629_and_1117_nx0 AND rtlcn1793 ;
   rtlc_2641_and_1118_nx0 <= rtlcn1159 AND rtlcn1767 ;
   rtlcn1909 <= rtlc_2641_and_1118_nx0 AND not_rtlcn1779 ;
   rtlc_2642_or_1119_nx0 <= No_Words_Message_9n55ss1 OR rtlcn1820 ;
   rtlcn1669 <= rtlc_2642_or_1119_nx0 OR rtlcn1909 ;
   rtlc_2644_or_1120_nx0 <= rtlcn1123 OR rtlcn1163 ;
   rtlcn1796 <= rtlc_2644_or_1120_nx0 OR rtlcn1910 ;
   rtlc_2646_and_1121_nx0 <= RxRdy AND rtlcn1766 ;
   rtlcn1912 <= rtlc_2646_and_1121_nx0 AND rtlcn1125 ;
   rtlc_2653_and_1123_nx0 <= not_RCV_Command_Sync AND not_rtlc9n3509 ;
   rtlcn1917 <= rtlc_2653_and_1123_nx0 AND rtlcn1159 ;
   rtlc_2654_or_1124_nx0 <= rtlcn1914 OR rtlcn1916 ;
   rtlcn708 <= rtlc_2654_or_1124_nx0 OR rtlcn1917 ;
   rtlc_2660_and_1125_nx0 <= not_Counter_is_37us AND rtlcn1771 ;
   rtlcn1922 <= rtlc_2660_and_1125_nx0 AND rtlcn1777 ;
   rtlc_2869_or_1127_nx0 <= rtlcn1159 OR rtlcn1163 ;
   rtlcn1982 <= rtlc_2869_or_1127_nx0 OR rtlcn1989 ;
   rtlc_2920_and_1131_nx0 <= RCV_CS AND rtlcn2020 ;
   rtlc9n4069 <= rtlc_2920_and_1131_nx0 AND RCV_Command_Sync ;
   rtlc_2931_and_1133_nx0 <= RCV_CS AND not_RCV_Command_Sync ;
   rtlcn2027 <= rtlc_2931_and_1133_nx0 AND not_rtlc9n4122 ;
   rtlc_2932_or_1134_nx0 <= Counter_is_37us OR not_RxRdy ;
   rtlcn1985 <= rtlc_2932_or_1134_nx0 OR rtlcn2027 ;
   rtlc_2941_and_1135_nx0 <= rtlc9n4069 AND rtlc9n4782 ;
   rtlcn2033 <= rtlc_2941_and_1135_nx0 AND state(2) ;
   rtlc_2954_or_1137_nx0 <= not_RCV_Command_Sync OR rtlcn1980 ;
   rtlc9n4054 <= rtlc_2954_or_1137_nx0 OR rtlcs26 ;
   rtlc_2964_and_1138_nx0 <= CE AND not_state_4 ;
   rtlcn2043 <= rtlc_2964_and_1138_nx0 AND rtlcn1978 ;
   rtlc_2968_and_1140_nx0 <= rtlc9n4993 AND rtlcn1972 ;
   rtlcn322 <= rtlc_2968_and_1140_nx0 AND rtlcn1981 ;
   rtlc_2978_or_1144_nx0 <= not_RCV_CS OR not_rtlcn1772 ;
   rtlcn1974 <= rtlc_2978_or_1144_nx0 OR not_No_Words_Message_9n55ss1 ;
   rtlc_3034_and_1149_nx0 <= not_RCV_Gap_found_2 AND not_RCV_Gap_found_1 ;
   rtlcs26 <= rtlc_3034_and_1149_nx0 AND not_RCV_Gap_found_0 ;
   rtlc_3056_and_1157_nx0 <= not_counter_10 AND not_counter_8 ;
   rtlcs13 <= rtlc_3056_and_1157_nx0 AND counter(4) ;
   not_rtlc9n4782 <= RCV_Gap_found(2) when rtlc9_2331_gt_1071_nx4
    = '1' else nx5 ;
   nx5 <= RCV_Gap_found(1) when rtlc9_2331_gt_1071_nx2 = '1' else nx8 ;
   nx8 <= RCV_Gap_found(0) AND rtlc9_2331_gt_1071_nx0 ;
   modgen_and_2 : and_4u_4u port map ( a(3)=>counter(5), a(2)=>counter(3), 
      a(1)=>rtlcs7, a(0)=>rtlcs10, d=>RxRdy_Plus3us_9n59s1);
   modgen_and_3 : and_4u_4u port map ( a(3)=>not_counter_5, a(2)=>
      not_counter_3, a(1)=>rtlcs7, a(0)=>rtlcs10, d=>RxRdy_Plus_2us_9n59s1);
   modgen_and_4 : and_3u_3u port map ( a(2)=>state(5), a(1)=>
      not_Counter_is_37us, a(0)=>rtlc9n3851, d=>rtlcn833);
   modgen_and_5 : and_5u_5u port map ( a(4)=>not_rtlc9n5549, a(3)=>
      rtlc9n5621, a(2)=>not_No_Response_timeout_0, a(1)=>
      not_No_Response_timeout_1, a(0)=>No_Response_timeout(2), d=>
      rtlc9_PS248_n4337);
   modgen_and_6 : and_5u_5u port map ( a(4)=>not_rtlc9n5549, a(3)=>
      rtlc9n5592, a(2)=>No_Response_timeout(0), a(1)=>No_Response_timeout(1), 
      a(0)=>not_No_Response_timeout_2, d=>rtlc9_PS247_n4324);
   modgen_and_7 : and_5u_5u port map ( a(4)=>not_rtlc9n5549, a(3)=>
      rtlc9n5564, a(2)=>not_No_Response_timeout_0, a(1)=>
      No_Response_timeout(1), a(0)=>not_No_Response_timeout_2, d=>
      rtlc9_PS245_n4310);
   modgen_and_8 : and_5u_5u port map ( a(4)=>Energy_Count(8), a(3)=>
      Energy_Count(7), a(2)=>Energy_Count(6), a(1)=>Energy_Count(5), a(0)=>
      rtlc9n5763, d=>rtlc9n5764);
   modgen_or_9 : or_7u_7u port map ( a(6)=>rtlcn1834, a(5)=>rtlcn1835, a(4)
      =>rtlcn1781, a(3)=>rtlcn1785, a(2)=>rtlcn1852, a(1)=>rtlcn1853, a(0)=>
      rtlcn1854, d=>rtlcn459);
   modgen_and_11 : and_5u_5u port map ( a(4)=>No_Response_timeout(2), a(3)=>
      not_No_Response_timeout_1, a(2)=>No_Response_timeout(0), a(1)=>
      not_counter_12, a(0)=>rtlc9n5650, d=>rtlcs20);
   modgen_and_12 : and_6u_6u port map ( a(5)=>counter(5), a(4)=>
      not_counter_3, a(3)=>counter(7), a(2)=>not_counter_6, a(1)=>counter(2), 
      a(0)=>rtlcs7, d=>RxRdy_Plus4_5us_9n59s1);
   modgen_and_14 : and_9u_9u port map ( a(8)=>not_counter_10, a(7)=>
      counter(3), a(6)=>not_counter_5, a(5)=>counter(9), a(4)=>counter(8), 
      a(3)=>not_counter_4, a(2)=>rtlcs10, a(1)=>rtlcs15, a(0)=>not_RxRdy, d
      =>Counter_is_21us_9n59s1);
   modgen_and_15 : and_8u_8u port map ( a(7)=>counter(3), a(6)=>
      not_counter_5, a(5)=>counter(7), a(4)=>counter(8), a(3)=>not_counter_4, 
      a(2)=>counter(10), a(1)=>rtlcs3, a(0)=>rtlcs4, d=>
      Counter_is_37us_9n59s1);
   ix34 : selcounter_13_13_13_0_1_up port map ( cin=>PWR, mode=>RxRdy, updn
      =>PWR, a(12)=>counter(12), a(11)=>counter(11), a(10)=>counter(10), 
      a(9)=>counter(9), a(8)=>counter(8), a(7)=>counter(7), a(6)=>counter(6), 
      a(5)=>counter(5), a(4)=>counter(4), a(3)=>counter(3), a(2)=>counter(2), 
      a(1)=>counter(1), a(0)=>counter(0), k(12)=>Address_6_EXMPLR2153, k(11)
      =>Address_6_EXMPLR2153, k(10)=>Address_6_EXMPLR2153, k(9)=>
      Address_6_EXMPLR2153, k(8)=>Address_6_EXMPLR2153, k(7)=>
      Address_6_EXMPLR2153, k(6)=>Address_6_EXMPLR2153, k(5)=>
      Address_6_EXMPLR2153, k(4)=>Address_6_EXMPLR2153, k(3)=>
      Address_6_EXMPLR2153, k(2)=>Address_6_EXMPLR2153, k(1)=>
      Address_6_EXMPLR2153, k(0)=>Address_6_EXMPLR2153, d(12)=>
      counter_9n58ss1(12), d(11)=>counter_9n58ss1(11), d(10)=>
      counter_9n58ss1(10), d(9)=>counter_9n58ss1(9), d(8)=>
      counter_9n58ss1(8), d(7)=>counter_9n58ss1(7), d(6)=>counter_9n58ss1(6), 
      d(5)=>counter_9n58ss1(5), d(4)=>counter_9n58ss1(4), d(3)=>
      counter_9n58ss1(3), d(2)=>counter_9n58ss1(2), d(1)=>counter_9n58ss1(1), 
      d(0)=>counter_9n58ss1(0));
end SITAL_Technology_unfold_3815 ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_dn_cnt_en_sload_aclear_clock_clk_en_0_7 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (6 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (6 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_dn_cnt_en_sload_aclear_clock_clk_en_0_7 ;

architecture INTERFACE of counter_dn_cnt_en_sload_aclear_clock_clk_en_0_7
    is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component dec_7u_7u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx19, nx22, nx25, nx26, nx27, nx28, nx29, nx30, nx31, nx32, 
      nx33, nx34, nx35, nx36, nx37, nx38, nx39, nx40, nx41, nx42, nx43, nx44, 
      nx45: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(6) <= nx26 ;
   q(5) <= nx28 ;
   q(4) <= nx30 ;
   q(3) <= nx32 ;
   q(2) <= nx34 ;
   q(1) <= nx36 ;
   q(0) <= nx38 ;
   GND <= '0' ;
   nx19 <= cnt_en OR sload ;
   nx22 <= nx19 AND clk_en ;
   DFFPCE (nx25,GND,aclear,nx22,clock,nx26) ;
   DFFPCE (nx27,GND,aclear,nx22,clock,nx28) ;
   DFFPCE (nx29,GND,aclear,nx22,clock,nx30) ;
   DFFPCE (nx31,GND,aclear,nx22,clock,nx32) ;
   DFFPCE (nx33,GND,aclear,nx22,clock,nx34) ;
   DFFPCE (nx35,GND,aclear,nx22,clock,nx36) ;
   DFFPCE (nx37,GND,aclear,nx22,clock,nx38) ;
   dec : dec_7u_7u_0_0 port map ( cin=>GND, a(6)=>nx26, a(5)=>nx28, a(4)=>
      nx30, a(3)=>nx32, a(2)=>nx34, a(1)=>nx36, a(0)=>nx38, d(6)=>nx39, d(5)
      =>nx40, d(4)=>nx41, d(3)=>nx42, d(2)=>nx43, d(1)=>nx44, d(0)=>nx45, 
      cout=>DANGLING(0));
   nx25 <= data(6) when sload = '1' else nx39 ;
   nx27 <= data(5) when sload = '1' else nx40 ;
   nx29 <= data(4) when sload = '1' else nx41 ;
   nx31 <= data(3) when sload = '1' else nx42 ;
   nx33 <= data(2) when sload = '1' else nx43 ;
   nx35 <= data(1) when sload = '1' else nx44 ;
   nx37 <= data(0) when sload = '1' else nx45 ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity Monitor_two_channel_8_4_1_40 is 
   port (
      C : IN std_logic ;
      CE : IN std_logic ;
      MODE_CODE1553A : IN std_logic ;
      NO_BCST : IN std_logic ;
      No_Response_timeout : IN std_logic_vector (2 DOWNTO 0) ;
      R : IN std_logic ;
      rtlc_RCV_A_Sync_error_n139 : IN std_logic ;
      RCV_A_Manchester_error : IN std_logic ;
      RCV_A_Parity_error : IN std_logic ;
      RCV_A_echo_back_bus : IN std_logic ;
      RCV_A_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
      RCV_A_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      RCV_A_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      RCV_A_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
      RCV_A_RxRDY_plus_12us : IN std_logic ;
      RCV_A_RxRDY_plus_10us : IN std_logic ;
      RCV_A_CS : IN std_logic ;
      RCV_A_Pre_EchoRdy : IN std_logic ;
      RCV_A_Command_Sync : IN std_logic ;
      RCV_A_Pre_RxRdy : IN std_logic ;
      RCV_A_recieving : IN std_logic ;
      RCV_A_Sync_Error : IN std_logic ;
      rtlc_RCV_B_Sync_error_n140 : IN std_logic ;
      RCV_B_Manchester_error : IN std_logic ;
      RCV_B_Parity_error : IN std_logic ;
      RCV_B_echo_back_bus : IN std_logic ;
      RCV_B_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
      RCV_B_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      RCV_B_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      RCV_B_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
      RCV_B_RxRDY_plus_12us : IN std_logic ;
      RCV_B_RxRDY_plus_10us : IN std_logic ;
      RCV_B_CS : IN std_logic ;
      RCV_B_Pre_EchoRdy : IN std_logic ;
      RCV_B_Command_Sync : IN std_logic ;
      RCV_B_Pre_RxRdy : IN std_logic ;
      RCV_B_recieving : IN std_logic ;
      RCV_B_Sync_Error : IN std_logic ;
      Record_command_A : IN std_logic ;
      Record_command_B : IN std_logic ;
      yossy : IN std_logic ;
      Address : OUT std_logic_vector (15 DOWNTO 0) ;
      BM_OK_A : OUT std_logic ;
      BM_OK_B : OUT std_logic ;
      BM_not_OK_A : OUT std_logic ;
      BM_not_OK_B : OUT std_logic ;
      Debug : OUT std_logic_vector (15 DOWNTO 0) ;
      Debug_BM1 : OUT std_logic_vector (15 DOWNTO 0) ;
      Debug_BM2 : OUT std_logic_vector (15 DOWNTO 0) ;
      MIL1553_Errors_Inhibit_TF : OUT std_logic ;
      MIL1553_Errors_invalid_command : OUT std_logic ;
      MIL1553_Errors_RT2RT_format_gap : OUT std_logic ;
      MIL1553_Errors_RT2RT_format_error : OUT std_logic ;
      MIL1553_Errors_Invalid_word : OUT std_logic ;
      MIL1553_Errors_Parity_Manchester : OUT std_logic ;
      MIL1553_Errors_incorrect_data_sync : OUT std_logic ;
      MIL1553_Errors_Low_word_count : OUT std_logic ;
      MIL1553_Errors_high_word_count : OUT std_logic ;
      MIL1553_Errors_Format_error : OUT std_logic ;
      MIL1553_Errors_Message_Error_set : OUT std_logic ;
      MIL1553_Errors_Address_Parity : OUT std_logic ;
      MIL1553_Errors_echo_back_bus_B : OUT std_logic ;
      MIL1553_Errors_echo_back_bus_A : OUT std_logic ;
      MIL1553_Errors_bus_B_shutdown : OUT std_logic ;
      MIL1553_Errors_bus_A_shutdown : OUT std_logic ;
      MIL1553_Errors_transmitter_timout : OUT std_logic ;
      Monitor_ended_OK : OUT std_logic ;
      Monitor_ended_not_OK : OUT std_logic ;
      RT2RT_message : OUT std_logic ;
      Write : OUT std_logic ;
      Write_Data : OUT std_logic_vector (15 DOWNTO 0) ;
      active_command : OUT std_logic_vector (15 DOWNTO 0) ;
      new_command : OUT std_logic ;
      Monitor_Bus_A : OUT std_logic) ;
end Monitor_two_channel_8_4_1_40 ;

architecture Sital_ofer_hofman_unfold_3022 of Monitor_two_channel_8_4_1_40
    is 
   component Monitor_Stm_8_4_1_40
      port (
         C : IN std_logic ;
         R : IN std_logic ;
         yossy : IN std_logic ;
         CE : IN std_logic ;
         Sync_Error : IN std_logic ;
         RCV_Sync_error : IN std_logic ;
         RCV_Manchester_error : IN std_logic ;
         RCV_Parity_error : IN std_logic ;
         RCV_echo_back_bus : IN std_logic ;
         RCV_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
         RCV_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         RCV_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         RCV_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
         RCV_RxRDY_plus_12us : IN std_logic ;
         RCV_RxRDY_plus_10us : IN std_logic ;
         RCV_CS : IN std_logic ;
         RCV_Pre_EchoRdy : IN std_logic ;
         RCV_Command_Sync : IN std_logic ;
         RCV_Pre_RxRdy : IN std_logic ;
         RCV_recieving : IN std_logic ;
         No_Response_timeout : IN std_logic_vector (2 DOWNTO 0) ;
         Address : OUT std_logic_vector (15 DOWNTO 0) ;
         active_command : OUT std_logic_vector (15 DOWNTO 0) ;
         new_command : OUT std_logic ;
         Record_command : IN std_logic ;
         Monitor_ended_OK : OUT std_logic ;
         Monitor_ended_not_OK : OUT std_logic ;
         RT2RT_message : OUT std_logic ;
         Write_Req : OUT std_logic ;
         Write_Data : OUT std_logic_vector (15 DOWNTO 0) ;
         MIL1553_ERRORS_Inhibit_TF : OUT std_logic ;
         MIL1553_ERRORS_invalid_command : OUT std_logic ;
         MIL1553_ERRORS_RT2RT_format_gap : OUT std_logic ;
         MIL1553_ERRORS_RT2RT_format_error : OUT std_logic ;
         MIL1553_ERRORS_Invalid_word : OUT std_logic ;
         MIL1553_ERRORS_Parity_Manchester : OUT std_logic ;
         MIL1553_ERRORS_incorrect_data_sync : OUT std_logic ;
         MIL1553_ERRORS_Low_word_count : OUT std_logic ;
         MIL1553_ERRORS_high_word_count : OUT std_logic ;
         MIL1553_ERRORS_Format_error : OUT std_logic ;
         MIL1553_ERRORS_Message_Error_set : OUT std_logic ;
         MIL1553_ERRORS_Address_Parity : OUT std_logic ;
         MIL1553_ERRORS_echo_back_bus_B : OUT std_logic ;
         MIL1553_ERRORS_echo_back_bus_A : OUT std_logic ;
         MIL1553_ERRORS_bus_B_shutdown : OUT std_logic ;
         MIL1553_ERRORS_bus_A_shutdown : OUT std_logic ;
         MIL1553_ERRORS_transmitter_timout : OUT std_logic ;
         Debug : OUT std_logic_vector (15 DOWNTO 0) ;
         Tx_command_time : OUT std_logic ;
         last_data_time : OUT std_logic ;
         MODE_CODE1553A : IN std_logic ;
         NO_BCST : IN std_logic) ;
   end component ;
   component or_7u_7u
      port (
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component counter_dn_cnt_en_sload_aclear_clock_clk_en_0_7
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (6 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (6 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component and_3u_3u
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   for Monitor_Stm_a : Monitor_Stm_8_4_1_40 use entity work.
   Monitor_Stm_8_4_1_40(SITAL_Technology_unfold_1);
   for Monitor_Stm_b : Monitor_Stm_8_4_1_40 use entity work.
   Monitor_Stm_8_4_1_40(SITAL_Technology_unfold_3815);
   signal BM_OK_A_EXMPLR2219, BM_OK_B_EXMPLR2220, BM_not_OK_A_EXMPLR2221, 
      BM_not_OK_B_EXMPLR2222, Debug_0_EXMPLR2223, Monitor_Bus_A_EXMPLR2261, 
      RT2RT_message_a, RT2RT_message_b: std_logic ;
   
   signal Write_Data_a: std_logic_vector (15 DOWNTO 0) ;
   
   signal Write_Data_b: std_logic_vector (15 DOWNTO 0) ;
   
   signal Write_Length: std_logic_vector (6 DOWNTO 0) ;
   
   signal Write_Req_a, Write_Req_b: std_logic ;
   
   signal active_command_a: std_logic_vector (15 DOWNTO 0) ;
   
   signal active_command_b: std_logic_vector (15 DOWNTO 0) ;
   
   signal new_command_a, new_command_b, PWR, Debug_1_EXMPLR2262, not_R, 
      Monitor_ended_not_OK_3n1ss1: std_logic ;
   
   signal active_command_3n5ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal Monitor_ended_not_OK_3n1s1, not_Monitor_Bus_A, 
      Monitor_ended_not_OK_3n1s2, rtlc3n133, rtlc3n145, not_new_command_b, 
      rtlc3n162, rtlc3n163, rtlc3n165, rtlc3n166, rtlc3n170, rtlc3n173, 
      rtlc3n174, rtlc3n183, rtlc3n185, rtlc3n188, rtlc3n190, rtlc3n191, 
      not_rtlc3n191, rtlc3n234, rtlc3n237, rtlc3n253, Write_6n2ss1, rtlc6n36, 
      rtlc6n48, Write_6n1s1: std_logic ;
   
   signal Write_Data_9n2ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal MIL1553_Errors_9n2ss1_11, MIL1553_Errors_9n2ss1_8, 
      MIL1553_Errors_9n2ss1_7, MIL1553_Errors_9n2ss1_6, 
      MIL1553_Errors_9n2ss1_4, MIL1553_Errors_9n2ss1_3, 
      MIL1553_Errors_9n2ss1_2, MIL1553_Errors_9n2ss1_1, 
      MIL1553_Errors_9n2ss1_0: std_logic ;
   
   signal Write_Data_9n3ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal MIL1553_Errors_9n3ss1_11, MIL1553_Errors_9n3ss1_8, 
      MIL1553_Errors_9n3ss1_7, MIL1553_Errors_9n3ss1_6, 
      MIL1553_Errors_9n3ss1_4, MIL1553_Errors_9n3ss1_3, 
      MIL1553_Errors_9n3ss1_2, MIL1553_Errors_9n3ss1_1, 
      MIL1553_Errors_9n3ss1_0, rtlc9n150, rtlc9n151, rtlcn10, rtlcn15, 
      rtlcn27, rtlcn28, rtlcn30, rtlcn37, rtlcn38, rtlcn39, not_rtlc3n165, 
      not_rtlc3n166, not_Debug_0, MIL1553_Errors_A_Inhibit_TF, 
      MIL1553_Errors_A_invalid_command, MIL1553_Errors_A_RT2RT_format_gap, 
      MIL1553_Errors_A_RT2RT_format_error, MIL1553_Errors_A_Invalid_word, 
      MIL1553_Errors_A_incorrect_data_sync, MIL1553_Errors_A_Low_word_count, 
      MIL1553_Errors_A_high_word_count, MIL1553_Errors_A_Address_Parity, 
      MIL1553_Errors_B_Inhibit_TF, MIL1553_Errors_B_invalid_command, 
      MIL1553_Errors_B_RT2RT_format_gap, MIL1553_Errors_B_RT2RT_format_error, 
      MIL1553_Errors_B_Invalid_word, MIL1553_Errors_B_incorrect_data_sync, 
      MIL1553_Errors_B_Low_word_count, MIL1553_Errors_B_high_word_count, 
      MIL1553_Errors_B_Address_Parity: std_logic ;
   
   signal DANGLING : std_logic_vector (83 downto 0 );

begin
   Address(15) <= Debug_1_EXMPLR2262 ;
   Address(14) <= Debug_1_EXMPLR2262 ;
   Address(13) <= Debug_1_EXMPLR2262 ;
   Address(12) <= Debug_1_EXMPLR2262 ;
   Address(11) <= Debug_1_EXMPLR2262 ;
   Address(10) <= Debug_1_EXMPLR2262 ;
   Address(9) <= Debug_1_EXMPLR2262 ;
   Address(8) <= Debug_1_EXMPLR2262 ;
   Address(7) <= Debug_1_EXMPLR2262 ;
   Address(6) <= Debug_1_EXMPLR2262 ;
   Address(5) <= Debug_1_EXMPLR2262 ;
   Address(4) <= Debug_1_EXMPLR2262 ;
   Address(3) <= Debug_1_EXMPLR2262 ;
   Address(2) <= Debug_1_EXMPLR2262 ;
   Address(1) <= Debug_1_EXMPLR2262 ;
   Address(0) <= Debug_1_EXMPLR2262 ;
   BM_OK_A <= Debug_1_EXMPLR2262 ;
   BM_OK_B <= Debug_1_EXMPLR2262 ;
   BM_not_OK_A <= Debug_1_EXMPLR2262 ;
   BM_not_OK_B <= Debug_1_EXMPLR2262 ;
   Debug(15) <= Debug_1_EXMPLR2262 ;
   Debug(14) <= Debug_1_EXMPLR2262 ;
   Debug(13) <= Debug_1_EXMPLR2262 ;
   Debug(12) <= Debug_1_EXMPLR2262 ;
   Debug(11) <= Debug_1_EXMPLR2262 ;
   Debug(10) <= Debug_1_EXMPLR2262 ;
   Debug(9) <= Debug_1_EXMPLR2262 ;
   Debug(8) <= Debug_1_EXMPLR2262 ;
   Debug(7) <= Debug_1_EXMPLR2262 ;
   Debug(6) <= Debug_1_EXMPLR2262 ;
   Debug(5) <= Debug_1_EXMPLR2262 ;
   Debug(4) <= Debug_1_EXMPLR2262 ;
   Debug(3) <= Debug_1_EXMPLR2262 ;
   Debug(2) <= Debug_1_EXMPLR2262 ;
   Debug(1) <= Debug_1_EXMPLR2262 ;
   Debug(0) <= Debug_1_EXMPLR2262 ;
   Debug_BM1(15) <= Debug_1_EXMPLR2262 ;
   Debug_BM1(14) <= Debug_1_EXMPLR2262 ;
   Debug_BM1(13) <= Debug_1_EXMPLR2262 ;
   Debug_BM1(12) <= Debug_1_EXMPLR2262 ;
   Debug_BM1(11) <= Debug_1_EXMPLR2262 ;
   Debug_BM1(10) <= Debug_1_EXMPLR2262 ;
   Debug_BM1(9) <= Debug_1_EXMPLR2262 ;
   Debug_BM1(8) <= Debug_1_EXMPLR2262 ;
   Debug_BM1(7) <= Debug_1_EXMPLR2262 ;
   Debug_BM1(6) <= Debug_1_EXMPLR2262 ;
   Debug_BM1(5) <= Debug_1_EXMPLR2262 ;
   Debug_BM1(4) <= Debug_1_EXMPLR2262 ;
   Debug_BM1(3) <= Debug_1_EXMPLR2262 ;
   Debug_BM1(2) <= Debug_1_EXMPLR2262 ;
   Debug_BM1(1) <= Debug_1_EXMPLR2262 ;
   Debug_BM1(0) <= Debug_1_EXMPLR2262 ;
   Debug_BM2(15) <= Debug_1_EXMPLR2262 ;
   Debug_BM2(14) <= Debug_1_EXMPLR2262 ;
   Debug_BM2(13) <= Debug_1_EXMPLR2262 ;
   Debug_BM2(12) <= Debug_1_EXMPLR2262 ;
   Debug_BM2(11) <= Debug_1_EXMPLR2262 ;
   Debug_BM2(10) <= Debug_1_EXMPLR2262 ;
   Debug_BM2(9) <= Debug_1_EXMPLR2262 ;
   Debug_BM2(8) <= Debug_1_EXMPLR2262 ;
   Debug_BM2(7) <= Debug_1_EXMPLR2262 ;
   Debug_BM2(6) <= Debug_1_EXMPLR2262 ;
   Debug_BM2(5) <= Debug_1_EXMPLR2262 ;
   Debug_BM2(4) <= Debug_1_EXMPLR2262 ;
   Debug_BM2(3) <= Debug_1_EXMPLR2262 ;
   Debug_BM2(2) <= Debug_1_EXMPLR2262 ;
   Debug_BM2(1) <= Debug_1_EXMPLR2262 ;
   Debug_BM2(0) <= Debug_1_EXMPLR2262 ;
   MIL1553_Errors_Parity_Manchester <= Debug_1_EXMPLR2262 ;
   MIL1553_Errors_Format_error <= Debug_1_EXMPLR2262 ;
   MIL1553_Errors_Message_Error_set <= Debug_1_EXMPLR2262 ;
   MIL1553_Errors_echo_back_bus_B <= Debug_1_EXMPLR2262 ;
   MIL1553_Errors_echo_back_bus_A <= Debug_1_EXMPLR2262 ;
   MIL1553_Errors_bus_B_shutdown <= Debug_1_EXMPLR2262 ;
   MIL1553_Errors_bus_A_shutdown <= Debug_1_EXMPLR2262 ;
   MIL1553_Errors_transmitter_timout <= Debug_1_EXMPLR2262 ;
   Monitor_Bus_A <= Monitor_Bus_A_EXMPLR2261 ;
   PWR <= '1' ;
   Debug_1_EXMPLR2262 <= '0' ;
   Monitor_Stm_a : Monitor_Stm_8_4_1_40 port map ( C=>C, R=>R, yossy=>PWR, 
      CE=>CE, Sync_Error=>RCV_A_Sync_Error, RCV_Sync_error=>
      Debug_1_EXMPLR2262, RCV_Manchester_error=>Debug_1_EXMPLR2262, 
      RCV_Parity_error=>Debug_1_EXMPLR2262, RCV_echo_back_bus=>
      Debug_1_EXMPLR2262, RCV_R_Data(15)=>RCV_A_R_Data(15), RCV_R_Data(14)=>
      RCV_A_R_Data(14), RCV_R_Data(13)=>RCV_A_R_Data(13), RCV_R_Data(12)=>
      RCV_A_R_Data(12), RCV_R_Data(11)=>RCV_A_R_Data(11), RCV_R_Data(10)=>
      RCV_A_R_Data(10), RCV_R_Data(9)=>RCV_A_R_Data(9), RCV_R_Data(8)=>
      RCV_A_R_Data(8), RCV_R_Data(7)=>RCV_A_R_Data(7), RCV_R_Data(6)=>
      RCV_A_R_Data(6), RCV_R_Data(5)=>RCV_A_R_Data(5), RCV_R_Data(4)=>
      RCV_A_R_Data(4), RCV_R_Data(3)=>RCV_A_R_Data(3), RCV_R_Data(2)=>
      RCV_A_R_Data(2), RCV_R_Data(1)=>RCV_A_R_Data(1), RCV_R_Data(0)=>
      RCV_A_R_Data(0), RCV_RAW_GAP(6)=>RCV_A_RAW_GAP(6), RCV_RAW_GAP(5)=>
      RCV_A_RAW_GAP(5), RCV_RAW_GAP(4)=>RCV_A_RAW_GAP(4), RCV_RAW_GAP(3)=>
      RCV_A_RAW_GAP(3), RCV_RAW_GAP(2)=>RCV_A_RAW_GAP(2), RCV_RAW_GAP(1)=>
      RCV_A_RAW_GAP(1), RCV_RAW_GAP(0)=>RCV_A_RAW_GAP(0), RCV_GAP(6)=>
      Debug_1_EXMPLR2262, RCV_GAP(5)=>Debug_1_EXMPLR2262, RCV_GAP(4)=>
      Debug_1_EXMPLR2262, RCV_GAP(3)=>Debug_1_EXMPLR2262, RCV_GAP(2)=>
      Debug_1_EXMPLR2262, RCV_GAP(1)=>Debug_1_EXMPLR2262, RCV_GAP(0)=>
      Debug_1_EXMPLR2262, RCV_Gap_found(2)=>RCV_A_Gap_found(2), 
      RCV_Gap_found(1)=>RCV_A_Gap_found(1), RCV_Gap_found(0)=>
      RCV_A_Gap_found(0), RCV_RxRDY_plus_12us=>Debug_1_EXMPLR2262, 
      RCV_RxRDY_plus_10us=>Debug_1_EXMPLR2262, RCV_CS=>RCV_A_CS, 
      RCV_Pre_EchoRdy=>RCV_A_Pre_EchoRdy, RCV_Command_Sync=>
      RCV_A_Command_Sync, RCV_Pre_RxRdy=>RCV_A_Pre_RxRdy, RCV_recieving=>
      RCV_A_recieving, No_Response_timeout(2)=>No_Response_timeout(2), 
      No_Response_timeout(1)=>No_Response_timeout(1), No_Response_timeout(0)
      =>No_Response_timeout(0), Address(15)=>DANGLING(0), Address(14)=>
      DANGLING(1), Address(13)=>DANGLING(2), Address(12)=>DANGLING(3), 
      Address(11)=>DANGLING(4), Address(10)=>DANGLING(5), Address(9)=>
      DANGLING(6), Address(8)=>DANGLING(7), Address(7)=>DANGLING(8), 
      Address(6)=>DANGLING(9), Address(5)=>DANGLING(10), Address(4)=>
      DANGLING(11), Address(3)=>DANGLING(12), Address(2)=>DANGLING(13), 
      Address(1)=>DANGLING(14), Address(0)=>DANGLING(15), active_command(15)
      =>active_command_a(15), active_command(14)=>active_command_a(14), 
      active_command(13)=>active_command_a(13), active_command(12)=>
      active_command_a(12), active_command(11)=>active_command_a(11), 
      active_command(10)=>active_command_a(10), active_command(9)=>
      active_command_a(9), active_command(8)=>active_command_a(8), 
      active_command(7)=>active_command_a(7), active_command(6)=>
      active_command_a(6), active_command(5)=>active_command_a(5), 
      active_command(4)=>active_command_a(4), active_command(3)=>
      active_command_a(3), active_command(2)=>active_command_a(2), 
      active_command(1)=>active_command_a(1), active_command(0)=>
      active_command_a(0), new_command=>new_command_a, Record_command=>
      Record_command_A, Monitor_ended_OK=>BM_OK_A_EXMPLR2219, 
      Monitor_ended_not_OK=>BM_not_OK_A_EXMPLR2221, RT2RT_message=>
      RT2RT_message_a, Write_Req=>Write_Req_a, Write_Data(15)=>
      Write_Data_a(15), Write_Data(14)=>Write_Data_a(14), Write_Data(13)=>
      Write_Data_a(13), Write_Data(12)=>Write_Data_a(12), Write_Data(11)=>
      Write_Data_a(11), Write_Data(10)=>Write_Data_a(10), Write_Data(9)=>
      Write_Data_a(9), Write_Data(8)=>Write_Data_a(8), Write_Data(7)=>
      Write_Data_a(7), Write_Data(6)=>Write_Data_a(6), Write_Data(5)=>
      Write_Data_a(5), Write_Data(4)=>Write_Data_a(4), Write_Data(3)=>
      Write_Data_a(3), Write_Data(2)=>Write_Data_a(2), Write_Data(1)=>
      Write_Data_a(1), Write_Data(0)=>Write_Data_a(0), 
      MIL1553_ERRORS_Inhibit_TF=>MIL1553_Errors_A_Inhibit_TF, 
      MIL1553_ERRORS_invalid_command=>MIL1553_Errors_A_invalid_command, 
      MIL1553_ERRORS_RT2RT_format_gap=>MIL1553_Errors_A_RT2RT_format_gap, 
      MIL1553_ERRORS_RT2RT_format_error=>MIL1553_Errors_A_RT2RT_format_error, 
      MIL1553_ERRORS_Invalid_word=>MIL1553_Errors_A_Invalid_word, 
      MIL1553_ERRORS_Parity_Manchester=>DANGLING(16), 
      MIL1553_ERRORS_incorrect_data_sync=>
      MIL1553_Errors_A_incorrect_data_sync, MIL1553_ERRORS_Low_word_count=>
      MIL1553_Errors_A_Low_word_count, MIL1553_ERRORS_high_word_count=>
      MIL1553_Errors_A_high_word_count, MIL1553_ERRORS_Format_error=>
      DANGLING(17), MIL1553_ERRORS_Message_Error_set=>DANGLING(18), 
      MIL1553_ERRORS_Address_Parity=>MIL1553_Errors_A_Address_Parity, 
      MIL1553_ERRORS_echo_back_bus_B=>DANGLING(19), 
      MIL1553_ERRORS_echo_back_bus_A=>DANGLING(20), 
      MIL1553_ERRORS_bus_B_shutdown=>DANGLING(21), 
      MIL1553_ERRORS_bus_A_shutdown=>DANGLING(22), 
      MIL1553_ERRORS_transmitter_timout=>DANGLING(23), Debug(15)=>DANGLING(
      24), Debug(14)=>DANGLING(25), Debug(13)=>DANGLING(26), Debug(12)=>
      DANGLING(27), Debug(11)=>DANGLING(28), Debug(10)=>DANGLING(29), 
      Debug(9)=>DANGLING(30), Debug(8)=>DANGLING(31), Debug(7)=>DANGLING(32), 
      Debug(6)=>DANGLING(33), Debug(5)=>DANGLING(34), Debug(4)=>DANGLING(35), 
      Debug(3)=>DANGLING(36), Debug(2)=>DANGLING(37), Debug(1)=>DANGLING(38), 
      Debug(0)=>DANGLING(39), Tx_command_time=>DANGLING(40), last_data_time
      =>DANGLING(41), MODE_CODE1553A=>MODE_CODE1553A, NO_BCST=>
      Debug_1_EXMPLR2262);
   Monitor_Stm_b : Monitor_Stm_8_4_1_40 port map ( C=>C, R=>R, yossy=>PWR, 
      CE=>CE, Sync_Error=>RCV_B_Sync_Error, RCV_Sync_error=>
      Debug_1_EXMPLR2262, RCV_Manchester_error=>Debug_1_EXMPLR2262, 
      RCV_Parity_error=>Debug_1_EXMPLR2262, RCV_echo_back_bus=>
      Debug_1_EXMPLR2262, RCV_R_Data(15)=>RCV_B_R_Data(15), RCV_R_Data(14)=>
      RCV_B_R_Data(14), RCV_R_Data(13)=>RCV_B_R_Data(13), RCV_R_Data(12)=>
      RCV_B_R_Data(12), RCV_R_Data(11)=>RCV_B_R_Data(11), RCV_R_Data(10)=>
      RCV_B_R_Data(10), RCV_R_Data(9)=>RCV_B_R_Data(9), RCV_R_Data(8)=>
      RCV_B_R_Data(8), RCV_R_Data(7)=>RCV_B_R_Data(7), RCV_R_Data(6)=>
      RCV_B_R_Data(6), RCV_R_Data(5)=>RCV_B_R_Data(5), RCV_R_Data(4)=>
      RCV_B_R_Data(4), RCV_R_Data(3)=>RCV_B_R_Data(3), RCV_R_Data(2)=>
      RCV_B_R_Data(2), RCV_R_Data(1)=>RCV_B_R_Data(1), RCV_R_Data(0)=>
      RCV_B_R_Data(0), RCV_RAW_GAP(6)=>RCV_B_RAW_GAP(6), RCV_RAW_GAP(5)=>
      RCV_B_RAW_GAP(5), RCV_RAW_GAP(4)=>RCV_B_RAW_GAP(4), RCV_RAW_GAP(3)=>
      RCV_B_RAW_GAP(3), RCV_RAW_GAP(2)=>RCV_B_RAW_GAP(2), RCV_RAW_GAP(1)=>
      RCV_B_RAW_GAP(1), RCV_RAW_GAP(0)=>RCV_B_RAW_GAP(0), RCV_GAP(6)=>
      Debug_1_EXMPLR2262, RCV_GAP(5)=>Debug_1_EXMPLR2262, RCV_GAP(4)=>
      Debug_1_EXMPLR2262, RCV_GAP(3)=>Debug_1_EXMPLR2262, RCV_GAP(2)=>
      Debug_1_EXMPLR2262, RCV_GAP(1)=>Debug_1_EXMPLR2262, RCV_GAP(0)=>
      Debug_1_EXMPLR2262, RCV_Gap_found(2)=>RCV_B_Gap_found(2), 
      RCV_Gap_found(1)=>RCV_B_Gap_found(1), RCV_Gap_found(0)=>
      RCV_B_Gap_found(0), RCV_RxRDY_plus_12us=>Debug_1_EXMPLR2262, 
      RCV_RxRDY_plus_10us=>Debug_1_EXMPLR2262, RCV_CS=>RCV_B_CS, 
      RCV_Pre_EchoRdy=>RCV_B_Pre_EchoRdy, RCV_Command_Sync=>
      RCV_B_Command_Sync, RCV_Pre_RxRdy=>RCV_B_Pre_RxRdy, RCV_recieving=>
      RCV_B_recieving, No_Response_timeout(2)=>No_Response_timeout(2), 
      No_Response_timeout(1)=>No_Response_timeout(1), No_Response_timeout(0)
      =>No_Response_timeout(0), Address(15)=>DANGLING(42), Address(14)=>
      DANGLING(43), Address(13)=>DANGLING(44), Address(12)=>DANGLING(45), 
      Address(11)=>DANGLING(46), Address(10)=>DANGLING(47), Address(9)=>
      DANGLING(48), Address(8)=>DANGLING(49), Address(7)=>DANGLING(50), 
      Address(6)=>DANGLING(51), Address(5)=>DANGLING(52), Address(4)=>
      DANGLING(53), Address(3)=>DANGLING(54), Address(2)=>DANGLING(55), 
      Address(1)=>DANGLING(56), Address(0)=>DANGLING(57), active_command(15)
      =>active_command_b(15), active_command(14)=>active_command_b(14), 
      active_command(13)=>active_command_b(13), active_command(12)=>
      active_command_b(12), active_command(11)=>active_command_b(11), 
      active_command(10)=>active_command_b(10), active_command(9)=>
      active_command_b(9), active_command(8)=>active_command_b(8), 
      active_command(7)=>active_command_b(7), active_command(6)=>
      active_command_b(6), active_command(5)=>active_command_b(5), 
      active_command(4)=>active_command_b(4), active_command(3)=>
      active_command_b(3), active_command(2)=>active_command_b(2), 
      active_command(1)=>active_command_b(1), active_command(0)=>
      active_command_b(0), new_command=>new_command_b, Record_command=>
      Record_command_B, Monitor_ended_OK=>BM_OK_B_EXMPLR2220, 
      Monitor_ended_not_OK=>BM_not_OK_B_EXMPLR2222, RT2RT_message=>
      RT2RT_message_b, Write_Req=>Write_Req_b, Write_Data(15)=>
      Write_Data_b(15), Write_Data(14)=>Write_Data_b(14), Write_Data(13)=>
      Write_Data_b(13), Write_Data(12)=>Write_Data_b(12), Write_Data(11)=>
      Write_Data_b(11), Write_Data(10)=>Write_Data_b(10), Write_Data(9)=>
      Write_Data_b(9), Write_Data(8)=>Write_Data_b(8), Write_Data(7)=>
      Write_Data_b(7), Write_Data(6)=>Write_Data_b(6), Write_Data(5)=>
      Write_Data_b(5), Write_Data(4)=>Write_Data_b(4), Write_Data(3)=>
      Write_Data_b(3), Write_Data(2)=>Write_Data_b(2), Write_Data(1)=>
      Write_Data_b(1), Write_Data(0)=>Write_Data_b(0), 
      MIL1553_ERRORS_Inhibit_TF=>MIL1553_Errors_B_Inhibit_TF, 
      MIL1553_ERRORS_invalid_command=>MIL1553_Errors_B_invalid_command, 
      MIL1553_ERRORS_RT2RT_format_gap=>MIL1553_Errors_B_RT2RT_format_gap, 
      MIL1553_ERRORS_RT2RT_format_error=>MIL1553_Errors_B_RT2RT_format_error, 
      MIL1553_ERRORS_Invalid_word=>MIL1553_Errors_B_Invalid_word, 
      MIL1553_ERRORS_Parity_Manchester=>DANGLING(58), 
      MIL1553_ERRORS_incorrect_data_sync=>
      MIL1553_Errors_B_incorrect_data_sync, MIL1553_ERRORS_Low_word_count=>
      MIL1553_Errors_B_Low_word_count, MIL1553_ERRORS_high_word_count=>
      MIL1553_Errors_B_high_word_count, MIL1553_ERRORS_Format_error=>
      DANGLING(59), MIL1553_ERRORS_Message_Error_set=>DANGLING(60), 
      MIL1553_ERRORS_Address_Parity=>MIL1553_Errors_B_Address_Parity, 
      MIL1553_ERRORS_echo_back_bus_B=>DANGLING(61), 
      MIL1553_ERRORS_echo_back_bus_A=>DANGLING(62), 
      MIL1553_ERRORS_bus_B_shutdown=>DANGLING(63), 
      MIL1553_ERRORS_bus_A_shutdown=>DANGLING(64), 
      MIL1553_ERRORS_transmitter_timout=>DANGLING(65), Debug(15)=>DANGLING(
      66), Debug(14)=>DANGLING(67), Debug(13)=>DANGLING(68), Debug(12)=>
      DANGLING(69), Debug(11)=>DANGLING(70), Debug(10)=>DANGLING(71), 
      Debug(9)=>DANGLING(72), Debug(8)=>DANGLING(73), Debug(7)=>DANGLING(74), 
      Debug(6)=>DANGLING(75), Debug(5)=>DANGLING(76), Debug(4)=>DANGLING(77), 
      Debug(3)=>DANGLING(78), Debug(2)=>DANGLING(79), Debug(1)=>DANGLING(80), 
      Debug(0)=>DANGLING(81), Tx_command_time=>DANGLING(82), last_data_time
      =>DANGLING(83), MODE_CODE1553A=>MODE_CODE1553A, NO_BCST=>
      Debug_1_EXMPLR2262);
   Monitor_ended_not_OK_3n1s1 <= BM_not_OK_A_EXMPLR2221 AND Record_command_A
    ;
   Monitor_ended_not_OK_3n1s2 <= BM_not_OK_B_EXMPLR2222 AND Record_command_B
    ;
   rtlc3n163 <= rtlc3n145 AND new_command_b ;
   rtlc3n162 <= not_new_command_b OR rtlc3n145 ;
   rtlc3n188 <= BM_OK_B_EXMPLR2220 OR BM_not_OK_B_EXMPLR2222 ;
   rtlc3n190 <= rtlc3n188 AND not_Monitor_Bus_A ;
   rtlc3n183 <= BM_OK_A_EXMPLR2219 OR BM_not_OK_A_EXMPLR2221 ;
   rtlc3n185 <= rtlc3n183 AND Monitor_Bus_A_EXMPLR2261 ;
   rtlc3n191 <= rtlc3n185 OR rtlc3n190 ;
   rtlc3n173 <= BM_OK_B_EXMPLR2220 AND Record_command_B ;
   rtlc3n170 <= BM_OK_A_EXMPLR2219 AND Record_command_A ;
   rtlc3n174 <= rtlc3n170 OR rtlc3n173 ;
   rtlc3n145 <= Monitor_Bus_A_EXMPLR2261 AND Debug_0_EXMPLR2223 ;
   rtlc3n133 <= not_Monitor_Bus_A AND Debug_0_EXMPLR2223 ;
   Write_6n1s1 <= Record_command_A OR Record_command_B ;
   rtlc6n36 <= Write_Req_a OR Write_Req_b ;
   not_Monitor_Bus_A <= NOT Monitor_Bus_A_EXMPLR2261 ;
   not_new_command_b <= NOT new_command_b ;
   not_R <= NOT R ;
   rtlcn28 <= Monitor_Bus_A_EXMPLR2261 AND RT2RT_message_a ;
   rtlcn30 <= not_Monitor_Bus_A AND RT2RT_message_b ;
   rtlcn10 <= rtlcn28 OR rtlcn30 ;
   rtlcn15 <= rtlc6n36 OR rtlc6n48 ;
   rtlcn27 <= new_command_b OR new_command_a ;
   Monitor_ended_not_OK_3n1ss1 <= Monitor_ended_not_OK_3n1s1 when 
   Monitor_Bus_A_EXMPLR2261 = '1' else Monitor_ended_not_OK_3n1s2 ;
   active_command_3n5ss1(0) <= active_command_a(0) when new_command_a
    = '1' else active_command_b(0) ;
   active_command_3n5ss1(1) <= active_command_a(1) when new_command_a
    = '1' else active_command_b(1) ;
   active_command_3n5ss1(2) <= active_command_a(2) when new_command_a
    = '1' else active_command_b(2) ;
   active_command_3n5ss1(3) <= active_command_a(3) when new_command_a
    = '1' else active_command_b(3) ;
   active_command_3n5ss1(4) <= active_command_a(4) when new_command_a
    = '1' else active_command_b(4) ;
   active_command_3n5ss1(5) <= active_command_a(5) when new_command_a
    = '1' else active_command_b(5) ;
   active_command_3n5ss1(6) <= active_command_a(6) when new_command_a
    = '1' else active_command_b(6) ;
   active_command_3n5ss1(7) <= active_command_a(7) when new_command_a
    = '1' else active_command_b(7) ;
   active_command_3n5ss1(8) <= active_command_a(8) when new_command_a
    = '1' else active_command_b(8) ;
   active_command_3n5ss1(9) <= active_command_a(9) when new_command_a
    = '1' else active_command_b(9) ;
   active_command_3n5ss1(10) <= active_command_a(10) when new_command_a
    = '1' else active_command_b(10) ;
   active_command_3n5ss1(11) <= active_command_a(11) when new_command_a
    = '1' else active_command_b(11) ;
   active_command_3n5ss1(12) <= active_command_a(12) when new_command_a
    = '1' else active_command_b(12) ;
   active_command_3n5ss1(13) <= active_command_a(13) when new_command_a
    = '1' else active_command_b(13) ;
   active_command_3n5ss1(14) <= active_command_a(14) when new_command_a
    = '1' else active_command_b(14) ;
   active_command_3n5ss1(15) <= active_command_a(15) when new_command_a
    = '1' else active_command_b(15) ;
   rtlc3n165 <= rtlc3n133 when new_command_a = '1' else rtlc3n162 ;
   rtlc3n166 <= rtlc3n133 when new_command_a = '1' else rtlc3n163 ;
   Write_Data_9n2ss1(0) <= Write_Data_a(0) when Monitor_Bus_A_EXMPLR2261
    = '1' else Write_Data_b(0) ;
   Write_Data_9n2ss1(1) <= Write_Data_a(1) when Monitor_Bus_A_EXMPLR2261
    = '1' else Write_Data_b(1) ;
   Write_Data_9n2ss1(2) <= Write_Data_a(2) when Monitor_Bus_A_EXMPLR2261
    = '1' else Write_Data_b(2) ;
   Write_Data_9n2ss1(3) <= Write_Data_a(3) when Monitor_Bus_A_EXMPLR2261
    = '1' else Write_Data_b(3) ;
   Write_Data_9n2ss1(4) <= Write_Data_a(4) when Monitor_Bus_A_EXMPLR2261
    = '1' else Write_Data_b(4) ;
   Write_Data_9n2ss1(5) <= Write_Data_a(5) when Monitor_Bus_A_EXMPLR2261
    = '1' else Write_Data_b(5) ;
   Write_Data_9n2ss1(6) <= Write_Data_a(6) when Monitor_Bus_A_EXMPLR2261
    = '1' else Write_Data_b(6) ;
   Write_Data_9n2ss1(7) <= Write_Data_a(7) when Monitor_Bus_A_EXMPLR2261
    = '1' else Write_Data_b(7) ;
   Write_Data_9n2ss1(8) <= Write_Data_a(8) when Monitor_Bus_A_EXMPLR2261
    = '1' else Write_Data_b(8) ;
   Write_Data_9n2ss1(9) <= Write_Data_a(9) when Monitor_Bus_A_EXMPLR2261
    = '1' else Write_Data_b(9) ;
   Write_Data_9n2ss1(10) <= Write_Data_a(10) when Monitor_Bus_A_EXMPLR2261
    = '1' else Write_Data_b(10) ;
   Write_Data_9n2ss1(11) <= Write_Data_a(11) when Monitor_Bus_A_EXMPLR2261
    = '1' else Write_Data_b(11) ;
   Write_Data_9n2ss1(12) <= Write_Data_a(12) when Monitor_Bus_A_EXMPLR2261
    = '1' else Write_Data_b(12) ;
   Write_Data_9n2ss1(13) <= Write_Data_a(13) when Monitor_Bus_A_EXMPLR2261
    = '1' else Write_Data_b(13) ;
   Write_Data_9n2ss1(14) <= Write_Data_a(14) when Monitor_Bus_A_EXMPLR2261
    = '1' else Write_Data_b(14) ;
   Write_Data_9n2ss1(15) <= Write_Data_a(15) when Monitor_Bus_A_EXMPLR2261
    = '1' else Write_Data_b(15) ;
   MIL1553_Errors_9n2ss1_0 <= MIL1553_Errors_A_Inhibit_TF when 
   Monitor_Bus_A_EXMPLR2261 = '1' else MIL1553_Errors_B_Inhibit_TF ;
   MIL1553_Errors_9n2ss1_1 <= MIL1553_Errors_A_invalid_command when 
   Monitor_Bus_A_EXMPLR2261 = '1' else MIL1553_Errors_B_invalid_command ;
   MIL1553_Errors_9n2ss1_2 <= MIL1553_Errors_A_RT2RT_format_gap when 
   Monitor_Bus_A_EXMPLR2261 = '1' else MIL1553_Errors_B_RT2RT_format_gap ;
   MIL1553_Errors_9n2ss1_3 <= MIL1553_Errors_A_RT2RT_format_error when 
   Monitor_Bus_A_EXMPLR2261 = '1' else MIL1553_Errors_B_RT2RT_format_error ;
   MIL1553_Errors_9n2ss1_4 <= MIL1553_Errors_A_Invalid_word when 
   Monitor_Bus_A_EXMPLR2261 = '1' else MIL1553_Errors_B_Invalid_word ;
   MIL1553_Errors_9n2ss1_6 <= MIL1553_Errors_A_incorrect_data_sync when 
   Monitor_Bus_A_EXMPLR2261 = '1' else MIL1553_Errors_B_incorrect_data_sync
    ;
   MIL1553_Errors_9n2ss1_7 <= MIL1553_Errors_A_Low_word_count when 
   Monitor_Bus_A_EXMPLR2261 = '1' else MIL1553_Errors_B_Low_word_count ;
   MIL1553_Errors_9n2ss1_8 <= MIL1553_Errors_A_high_word_count when 
   Monitor_Bus_A_EXMPLR2261 = '1' else MIL1553_Errors_B_high_word_count ;
   MIL1553_Errors_9n2ss1_11 <= MIL1553_Errors_A_Address_Parity when 
   Monitor_Bus_A_EXMPLR2261 = '1' else MIL1553_Errors_B_Address_Parity ;
   not_rtlc3n165 <= NOT rtlc3n165 ;
   rtlc3n253 <= CE AND not_rtlc3n165 ;
   rtlcn38 <= not_rtlc3n165 OR rtlc3n191 ;
   rtlc3n237 <= CE AND rtlcn38 ;
   not_rtlc3n191 <= NOT rtlc3n191 ;
   not_rtlc3n166 <= NOT rtlc3n166 ;
   rtlc3n234 <= CE AND not_rtlc3n166 ;
   rtlcn37 <= Record_command_B OR Monitor_Bus_A_EXMPLR2261 ;
   not_Debug_0 <= NOT Debug_0_EXMPLR2223 ;
   rtlcn39 <= not_Debug_0 OR rtlcn37 ;
   rtlc9n150 <= CE AND rtlcn39 ;
   MIL1553_Errors_9n3ss1_0 <= MIL1553_Errors_9n2ss1_0 AND Debug_0_EXMPLR2223
    ;
   MIL1553_Errors_9n3ss1_1 <= MIL1553_Errors_9n2ss1_1 AND Debug_0_EXMPLR2223
    ;
   MIL1553_Errors_9n3ss1_2 <= MIL1553_Errors_9n2ss1_2 AND Debug_0_EXMPLR2223
    ;
   MIL1553_Errors_9n3ss1_3 <= MIL1553_Errors_9n2ss1_3 AND Debug_0_EXMPLR2223
    ;
   MIL1553_Errors_9n3ss1_4 <= MIL1553_Errors_9n2ss1_4 AND Debug_0_EXMPLR2223
    ;
   MIL1553_Errors_9n3ss1_6 <= MIL1553_Errors_9n2ss1_6 AND Debug_0_EXMPLR2223
    ;
   MIL1553_Errors_9n3ss1_7 <= MIL1553_Errors_9n2ss1_7 AND Debug_0_EXMPLR2223
    ;
   MIL1553_Errors_9n3ss1_8 <= MIL1553_Errors_9n2ss1_8 AND Debug_0_EXMPLR2223
    ;
   MIL1553_Errors_9n3ss1_11 <= MIL1553_Errors_9n2ss1_11 AND 
   Debug_0_EXMPLR2223 ;
   Write_6n2ss1 <= Write_6n1s1 AND rtlcn15 ;
   Write_Data_9n3ss1(0) <= Write_Data_9n2ss1(0) AND Debug_0_EXMPLR2223 ;
   Write_Data_9n3ss1(1) <= Write_Data_9n2ss1(1) AND Debug_0_EXMPLR2223 ;
   Write_Data_9n3ss1(2) <= Write_Data_9n2ss1(2) AND Debug_0_EXMPLR2223 ;
   Write_Data_9n3ss1(3) <= Write_Data_9n2ss1(3) AND Debug_0_EXMPLR2223 ;
   Write_Data_9n3ss1(4) <= Write_Data_9n2ss1(4) AND Debug_0_EXMPLR2223 ;
   Write_Data_9n3ss1(5) <= Write_Data_9n2ss1(5) AND Debug_0_EXMPLR2223 ;
   Write_Data_9n3ss1(6) <= Write_Data_9n2ss1(6) AND Debug_0_EXMPLR2223 ;
   Write_Data_9n3ss1(7) <= Write_Data_9n2ss1(7) AND Debug_0_EXMPLR2223 ;
   Write_Data_9n3ss1(8) <= Write_Data_9n2ss1(8) AND Debug_0_EXMPLR2223 ;
   Write_Data_9n3ss1(9) <= Write_Data_9n2ss1(9) AND Debug_0_EXMPLR2223 ;
   Write_Data_9n3ss1(10) <= Write_Data_9n2ss1(10) AND Debug_0_EXMPLR2223 ;
   Write_Data_9n3ss1(11) <= Write_Data_9n2ss1(11) AND Debug_0_EXMPLR2223 ;
   Write_Data_9n3ss1(12) <= Write_Data_9n2ss1(12) AND Debug_0_EXMPLR2223 ;
   Write_Data_9n3ss1(13) <= Write_Data_9n2ss1(13) AND Debug_0_EXMPLR2223 ;
   Write_Data_9n3ss1(14) <= Write_Data_9n2ss1(14) AND Debug_0_EXMPLR2223 ;
   Write_Data_9n3ss1(15) <= Write_Data_9n2ss1(15) AND Debug_0_EXMPLR2223 ;
   rtlc_522_or_1164 : or_7u_7u port map ( a(6)=>Write_Length(0), a(5)=>
      Write_Length(1), a(4)=>Write_Length(2), a(3)=>Write_Length(3), a(2)=>
      Write_Length(4), a(1)=>Write_Length(5), a(0)=>Write_Length(6), d=>
      rtlc6n48);
   modgen_counter_Write_Length : 
      counter_dn_cnt_en_sload_aclear_clock_clk_en_0_7 port map ( clock=>C, 
      q(6)=>Write_Length(6), q(5)=>Write_Length(5), q(4)=>Write_Length(4), 
      q(3)=>Write_Length(3), q(2)=>Write_Length(2), q(1)=>Write_Length(1), 
      q(0)=>Write_Length(0), clk_en=>CE, aclear=>not_R, sload=>rtlc6n36, 
      data(6)=>PWR, data(5)=>Debug_1_EXMPLR2262, data(4)=>Debug_1_EXMPLR2262, 
      data(3)=>PWR, data(2)=>PWR, data(1)=>PWR, data(0)=>PWR, aset=>
      Debug_1_EXMPLR2262, sclear=>Debug_1_EXMPLR2262, updn=>
      Debug_1_EXMPLR2262, cnt_en=>rtlc6n48);
   DFFPCE (active_command_3n5ss1(15),Debug_1_EXMPLR2262,not_R,rtlc3n253,C,
   active_command(15)) ;
   DFFPCE (active_command_3n5ss1(14),Debug_1_EXMPLR2262,not_R,rtlc3n253,C,
   active_command(14)) ;
   DFFPCE (active_command_3n5ss1(13),Debug_1_EXMPLR2262,not_R,rtlc3n253,C,
   active_command(13)) ;
   DFFPCE (active_command_3n5ss1(12),Debug_1_EXMPLR2262,not_R,rtlc3n253,C,
   active_command(12)) ;
   DFFPCE (active_command_3n5ss1(11),Debug_1_EXMPLR2262,not_R,rtlc3n253,C,
   active_command(11)) ;
   DFFPCE (active_command_3n5ss1(10),Debug_1_EXMPLR2262,not_R,rtlc3n253,C,
   active_command(10)) ;
   DFFPCE (active_command_3n5ss1(9),Debug_1_EXMPLR2262,not_R,rtlc3n253,C,
   active_command(9)) ;
   DFFPCE (active_command_3n5ss1(8),Debug_1_EXMPLR2262,not_R,rtlc3n253,C,
   active_command(8)) ;
   DFFPCE (active_command_3n5ss1(7),Debug_1_EXMPLR2262,not_R,rtlc3n253,C,
   active_command(7)) ;
   DFFPCE (active_command_3n5ss1(6),Debug_1_EXMPLR2262,not_R,rtlc3n253,C,
   active_command(6)) ;
   DFFPCE (active_command_3n5ss1(5),Debug_1_EXMPLR2262,not_R,rtlc3n253,C,
   active_command(5)) ;
   DFFPCE (active_command_3n5ss1(4),Debug_1_EXMPLR2262,not_R,rtlc3n253,C,
   active_command(4)) ;
   DFFPCE (active_command_3n5ss1(3),Debug_1_EXMPLR2262,not_R,rtlc3n253,C,
   active_command(3)) ;
   DFFPCE (active_command_3n5ss1(2),Debug_1_EXMPLR2262,not_R,rtlc3n253,C,
   active_command(2)) ;
   DFFPCE (active_command_3n5ss1(1),Debug_1_EXMPLR2262,not_R,rtlc3n253,C,
   active_command(1)) ;
   DFFPCE (active_command_3n5ss1(0),Debug_1_EXMPLR2262,not_R,rtlc3n253,C,
   active_command(0)) ;
   DFFPCE (not_rtlc3n191,Debug_1_EXMPLR2262,not_R,rtlc3n237,C,
   Debug_0_EXMPLR2223) ;
   DFFPCE (Monitor_ended_not_OK_3n1ss1,Debug_1_EXMPLR2262,not_R,CE,C,
   Monitor_ended_not_OK) ;
   DFFPCE (rtlc3n174,Debug_1_EXMPLR2262,not_R,CE,C,Monitor_ended_OK) ;
   DFFPCE (rtlcn27,Debug_1_EXMPLR2262,not_R,rtlc3n234,C,new_command) ;
   DFFPCE (new_command_a,Debug_1_EXMPLR2262,not_R,rtlc3n253,C,
   Monitor_Bus_A_EXMPLR2261) ;
   DFFPCE (Write_6n2ss1,Debug_1_EXMPLR2262,not_R,CE,C,Write) ;
   DFFPCE (rtlcn10,Debug_1_EXMPLR2262,not_R,rtlc9n151,C,RT2RT_message) ;
   DFFPCE (MIL1553_Errors_9n3ss1_11,Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   MIL1553_Errors_Address_Parity) ;
   DFFPCE (MIL1553_Errors_9n3ss1_8,Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   MIL1553_Errors_high_word_count) ;
   DFFPCE (MIL1553_Errors_9n3ss1_7,Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   MIL1553_Errors_Low_word_count) ;
   DFFPCE (MIL1553_Errors_9n3ss1_6,Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   MIL1553_Errors_incorrect_data_sync) ;
   DFFPCE (MIL1553_Errors_9n3ss1_4,Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   MIL1553_Errors_Invalid_word) ;
   DFFPCE (MIL1553_Errors_9n3ss1_3,Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   MIL1553_Errors_RT2RT_format_error) ;
   DFFPCE (MIL1553_Errors_9n3ss1_2,Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   MIL1553_Errors_RT2RT_format_gap) ;
   DFFPCE (MIL1553_Errors_9n3ss1_1,Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   MIL1553_Errors_invalid_command) ;
   DFFPCE (MIL1553_Errors_9n3ss1_0,Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   MIL1553_Errors_Inhibit_TF) ;
   DFFPCE (Write_Data_9n3ss1(15),Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   Write_Data(15)) ;
   DFFPCE (Write_Data_9n3ss1(14),Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   Write_Data(14)) ;
   DFFPCE (Write_Data_9n3ss1(13),Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   Write_Data(13)) ;
   DFFPCE (Write_Data_9n3ss1(12),Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   Write_Data(12)) ;
   DFFPCE (Write_Data_9n3ss1(11),Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   Write_Data(11)) ;
   DFFPCE (Write_Data_9n3ss1(10),Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   Write_Data(10)) ;
   DFFPCE (Write_Data_9n3ss1(9),Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   Write_Data(9)) ;
   DFFPCE (Write_Data_9n3ss1(8),Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   Write_Data(8)) ;
   DFFPCE (Write_Data_9n3ss1(7),Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   Write_Data(7)) ;
   DFFPCE (Write_Data_9n3ss1(6),Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   Write_Data(6)) ;
   DFFPCE (Write_Data_9n3ss1(5),Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   Write_Data(5)) ;
   DFFPCE (Write_Data_9n3ss1(4),Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   Write_Data(4)) ;
   DFFPCE (Write_Data_9n3ss1(3),Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   Write_Data(3)) ;
   DFFPCE (Write_Data_9n3ss1(2),Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   Write_Data(2)) ;
   DFFPCE (Write_Data_9n3ss1(1),Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   Write_Data(1)) ;
   DFFPCE (Write_Data_9n3ss1(0),Debug_1_EXMPLR2262,not_R,rtlc9n150,C,
   Write_Data(0)) ;
   modgen_and_0 : and_3u_3u port map ( a(2)=>CE, a(1)=>Debug_0_EXMPLR2223, 
      a(0)=>rtlcn37, d=>rtlc9n151);
end Sital_ofer_hofman_unfold_3022 ;


architecture INTERFACE_unfold_2 of 
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_10u_10u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (9 DOWNTO 0) ;
         d : OUT std_logic_vector (9 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx25, nx28, nx31, nx32, nx33, nx34, nx35, nx36, nx37, nx38, 
      nx39, nx40, nx41, nx42, nx43, nx44, nx45, nx46, nx47, nx48, nx49, nx50, 
      nx51, nx52, nx53, nx54, nx55, nx56, nx57, nx58, nx59, nx60, PWR, 
      NOT_nx24: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(9) <= nx32 ;
   q(8) <= nx34 ;
   q(7) <= nx36 ;
   q(6) <= nx38 ;
   q(5) <= nx40 ;
   q(4) <= nx42 ;
   q(3) <= nx44 ;
   q(2) <= nx46 ;
   q(1) <= nx48 ;
   q(0) <= nx50 ;
   GND <= '0' ;
   nx25 <= cnt_en OR sclear ;
   nx28 <= nx25 AND clk_en ;
   DFFPCE (nx31,GND,aclear,nx28,clock,nx32) ;
   DFFPCE (nx33,GND,aclear,nx28,clock,nx34) ;
   DFFPCE (nx35,GND,aclear,nx28,clock,nx36) ;
   DFFPCE (nx37,GND,aclear,nx28,clock,nx38) ;
   DFFPCE (nx39,GND,aclear,nx28,clock,nx40) ;
   DFFPCE (nx41,GND,aclear,nx28,clock,nx42) ;
   DFFPCE (nx43,GND,aclear,nx28,clock,nx44) ;
   DFFPCE (nx45,GND,aclear,nx28,clock,nx46) ;
   DFFPCE (nx47,GND,aclear,nx28,clock,nx48) ;
   DFFPCE (nx49,GND,aclear,nx28,clock,nx50) ;
   inc : inc_10u_10u_0_0 port map ( cin=>PWR, a(9)=>nx32, a(8)=>nx34, a(7)=>
      nx36, a(6)=>nx38, a(5)=>nx40, a(4)=>nx42, a(3)=>nx44, a(2)=>nx46, a(1)
      =>nx48, a(0)=>nx50, d(9)=>nx51, d(8)=>nx52, d(7)=>nx53, d(6)=>nx54, 
      d(5)=>nx55, d(4)=>nx56, d(3)=>nx57, d(2)=>nx58, d(1)=>nx59, d(0)=>nx60, 
      cout=>DANGLING(0));
   PWR <= '1' ;
   NOT_nx24 <= NOT sclear ;
   nx31 <= nx51 AND NOT_nx24 ;
   nx33 <= nx52 AND NOT_nx24 ;
   nx35 <= nx53 AND NOT_nx24 ;
   nx37 <= nx54 AND NOT_nx24 ;
   nx39 <= nx55 AND NOT_nx24 ;
   nx41 <= nx56 AND NOT_nx24 ;
   nx43 <= nx57 AND NOT_nx24 ;
   nx45 <= nx58 AND NOT_nx24 ;
   nx47 <= nx59 AND NOT_nx24 ;
   nx49 <= nx60 AND NOT_nx24 ;
end INTERFACE_unfold_2 ;


architecture INTERFACE of counter_up_sclear_aclear_clock_clk_en_0_6 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_6u_6u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx17, nx18, nx19, nx20, nx21, nx22, nx23, nx24, nx25, nx26, 
      nx27, nx28, nx29, nx30, nx31, nx32, nx33, nx34, PWR, NOT_SCLEAR: 
   std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(5) <= nx18 ;
   q(4) <= nx20 ;
   q(3) <= nx22 ;
   q(2) <= nx24 ;
   q(1) <= nx26 ;
   q(0) <= nx28 ;
   GND <= '0' ;
   DFFPCE (nx17,GND,aclear,clk_en,clock,nx18) ;
   DFFPCE (nx19,GND,aclear,clk_en,clock,nx20) ;
   DFFPCE (nx21,GND,aclear,clk_en,clock,nx22) ;
   DFFPCE (nx23,GND,aclear,clk_en,clock,nx24) ;
   DFFPCE (nx25,GND,aclear,clk_en,clock,nx26) ;
   DFFPCE (nx27,GND,aclear,clk_en,clock,nx28) ;
   inc : inc_6u_6u_0_0 port map ( cin=>PWR, a(5)=>nx18, a(4)=>nx20, a(3)=>
      nx22, a(2)=>nx24, a(1)=>nx26, a(0)=>nx28, d(5)=>nx29, d(4)=>nx30, d(3)
      =>nx31, d(2)=>nx32, d(1)=>nx33, d(0)=>nx34, cout=>DANGLING(0));
   PWR <= '1' ;
   NOT_SCLEAR <= NOT sclear ;
   nx17 <= nx29 AND NOT_SCLEAR ;
   nx19 <= nx30 AND NOT_SCLEAR ;
   nx21 <= nx31 AND NOT_SCLEAR ;
   nx23 <= nx32 AND NOT_SCLEAR ;
   nx25 <= nx33 AND NOT_SCLEAR ;
   nx27 <= nx34 AND NOT_SCLEAR ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity BC_Stm_ver8_4_1_40 is 
   port (
      C : IN std_logic ;
      R : IN std_logic ;
      CE : IN std_logic ;
      Yoav : IN std_logic ;
      rtlc_RCV_A_Sync_error_n2570 : IN std_logic ;
      RCV_A_Manchester_error : IN std_logic ;
      RCV_A_Parity_error : IN std_logic ;
      RCV_A_echo_back_bus : IN std_logic ;
      RCV_A_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
      RCV_A_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      RCV_A_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      RCV_A_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
      RCV_A_RxRDY_plus_12us : IN std_logic ;
      RCV_A_RxRDY_plus_10us : IN std_logic ;
      RCV_A_CS : IN std_logic ;
      RCV_A_Pre_EchoRdy : IN std_logic ;
      RCV_A_Command_Sync : IN std_logic ;
      RCV_A_Pre_RxRdy : IN std_logic ;
      RCV_A_recieving : IN std_logic ;
      rtlc_RCV_B_Sync_error_n2571 : IN std_logic ;
      RCV_B_Manchester_error : IN std_logic ;
      RCV_B_Parity_error : IN std_logic ;
      RCV_B_echo_back_bus : IN std_logic ;
      RCV_B_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
      RCV_B_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      RCV_B_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      RCV_B_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
      RCV_B_RxRDY_plus_12us : IN std_logic ;
      RCV_B_RxRDY_plus_10us : IN std_logic ;
      RCV_B_CS : IN std_logic ;
      RCV_B_Pre_EchoRdy : IN std_logic ;
      RCV_B_Command_Sync : IN std_logic ;
      RCV_B_Pre_RxRdy : IN std_logic ;
      RCV_B_recieving : IN std_logic ;
      No_Response_timeout : IN std_logic_vector (2 DOWNTO 0) ;
      RCV_A_Sync_error : IN std_logic ;
      RCV_B_Sync_error : IN std_logic ;
      Transmit_data : OUT std_logic_vector (15 DOWNTO 0) ;
      T_Sync : OUT std_logic ;
      Go_Tx : OUT std_logic ;
      Tx_Rdy : IN std_logic ;
      Tx_Bus_A : OUT std_logic ;
      Tx_Data : IN std_logic_vector (15 DOWNTO 0) ;
      Read : OUT std_logic ;
      Go : IN std_logic ;
      ENC_TEST_Go : IN std_logic ;
      RT2RT : IN std_logic ;
      Bus_A : IN std_logic ;
      Rx_Data : OUT std_logic_vector (15 DOWNTO 0) ;
      Write : OUT std_logic ;
      Echo : OUT std_logic ;
      Message_Active : OUT std_logic ;
      Command_Sync : OUT std_logic ;
      Idle_state : OUT std_logic ;
      Activity_on_wrong_bus : OUT std_logic ;
      Response_timeout_Error : OUT std_logic ;
      Found_Format_Error : OUT std_logic ;
      Loopback_error : OUT std_logic ;
      Found_wrong_RT_Address : OUT std_logic ;
      Found_wrong_word_count : OUT std_logic ;
      Bus_Coupling_error : OUT std_logic ;
      BC_logic_error : OUT std_logic ;
      Wrong_Sync_error : OUT std_logic ;
      FE_All_Errors : OUT std_logic ;
      Good_data_block_recieved : OUT std_logic ;
      NO_BCST : IN std_logic ;
      BC_1553A : IN std_logic ;
      BC_1553A_ME : OUT std_logic ;
      Config_reg_4 : IN std_logic_vector (15 DOWNTO 0) ;
      Debug : OUT std_logic_vector (15 DOWNTO 0)) ;
end BC_Stm_ver8_4_1_40 ;

architecture SITAL_Technology_unfold_3026 of BC_Stm_ver8_4_1_40 is 
   component and_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_3_3
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         b : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_8u_8u
      port (
         a : IN std_logic_vector (7 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_9u_9u
      port (
         a : IN std_logic_vector (8 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_7u_7u
      port (
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_6u_6u
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_5_5
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         b : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component inc_6u_6u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component dec_8u_8u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (7 DOWNTO 0) ;
         d : OUT std_logic_vector (7 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component select_4_4
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_6_6
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         b : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_16u_16u
      port (
         a : IN std_logic_vector (15 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_6u_6u
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_16u_16u
      port (
         a : IN std_logic_vector (15 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_8u_8u
      port (
         a : IN std_logic_vector (7 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (9 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (9 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component dec_6u_6u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component counter_up_sclear_aclear_clock_clk_en_0_6
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (5 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (5 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component eq_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         b : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   procedure DFFPC (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           q <= data and data ;    -- takes care of q<='X' if data='Z'
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPC ;
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component and_3u_3u
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_7u_7u
      port (
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   for modgen_counter_Energy_Count : 
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10 use entity work.
   counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10(INTERFACE_unfold_2);
   
   for modgen_counter_us_counter : counter_up_sclear_aclear_clock_clk_en_0_6
    use entity work.counter_up_sclear_aclear_clock_clk_en_0_6(INTERFACE);
   signal Tx_Bus_A_EXMPLR2371, FE_All_Errors_EXMPLR2421, recieving_on_A, 
      recieving_on_B, first_command_15, first_command_14, first_command_13, 
      first_command_12, first_command_11, first_command_10, first_command_9, 
      first_command_8, first_command_7, first_command_6, first_command_5, 
      Debug_2_EXMPLR2427, first_command_3, first_command_2, first_command_1, 
      first_command_0, active_command_15, active_command_14, 
      active_command_13, active_command_12, active_command_11, 
      active_command_10, active_command_9, active_command_8, 
      active_command_7, active_command_6, active_command_5, active_command_3, 
      active_command_2, active_command_1, active_command_0, WC_5, WC_3, WC_2, 
      WC_1, WC_0, mode_message_no_data, BCR_message, ME_message, 
      BUSY_message, Tx_message: std_logic ;
   
   signal word_counter: std_logic_vector (5 DOWNTO 0) ;
   
   signal timeout_count_enable, timeout, Set_time_out_to_5us, 
      Set_time_out_to_echo, Set_time_out_to_rcv, Receive_problem: std_logic
    ;
   
   signal us_counter: std_logic_vector (5 DOWNTO 0) ;
   
   signal Found_errors, Sync_error, RT2RT_int, read_req, read_ack, write_req, 
      write_ack: std_logic ;
   
   signal Down_count: std_logic_vector (5 DOWNTO 0) ;
   
   signal Energy_Count: std_logic_vector (9 DOWNTO 0) ;
   
   signal state: std_logic_vector (19 DOWNTO 0) ;
   
   signal PWR, not_R, BCR_message_10n2s2, not_BC_1553A, 
      mode_message_no_data_10n2s3, mode_message_no_data_10n2s6, 
      mode_message_no_data_10n2s2, rtlc13n27, rtlc13n39, rtlc13n160, 
      not_rtlc13n160, rtlc13n162, rtlc13n164, not_rtlcn123, rtlc13n167, 
      RCV_16n5ss1_43, RCV_16n5ss1_42, RCV_16n5ss1_41, RCV_16n5ss1_40, 
      RCV_16n5ss1_39, RCV_16n5ss1_36, RCV_16n5ss1_35, RCV_16n5ss1_34, 
      RCV_16n5ss1_19, RCV_16n5ss1_18, RCV_16n5ss1_17, RCV_16n5ss1_16, 
      RCV_16n5ss1_15, RCV_16n5ss1_14, RCV_16n5ss1_13, RCV_16n5ss1_12, 
      RCV_16n5ss1_11, RCV_16n5ss1_10, RCV_16n5ss1_9, RCV_16n5ss1_8, 
      RCV_16n5ss1_7, RCV_16n5ss1_6, RCV_16n5ss1_5, RCV_16n5ss1_4, 
      Sync_error_16n5ss1, not_Go: std_logic ;
   
   signal time_out_counter_var: std_logic_vector (7 DOWNTO 0) ;
   
   signal FE_All_Errors_20n21ss1, FE_All_Errors_20n22ss1, 
      state_fsm_20n23ss1_17, state_fsm_20n32ss1_17, 
      Response_timeout_Error_20n33ss1, state_fsm_20n33ss1_10, 
      state_fsm_20n43ss1_10, state_fsm_20n45ss1_17, state_fsm_20n45ss1_10, 
      state_fsm_20n63ss1_17, state_fsm_20n76ss1_10, RT2RT_int_20n83ss1: 
   std_logic ;
   
   signal Rx_Data_20n83ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal T_Sync_20n83ss1, active_command_20n83ss1_15, 
      active_command_20n83ss1_14, active_command_20n83ss1_13, 
      active_command_20n83ss1_12, active_command_20n83ss1_11, 
      active_command_20n83ss1_10, active_command_20n83ss1_9, 
      active_command_20n83ss1_8, active_command_20n83ss1_7, 
      active_command_20n83ss1_6, active_command_20n83ss1_5, 
      active_command_20n83ss1_3, active_command_20n83ss1_2, 
      active_command_20n83ss1_1, active_command_20n83ss1_0: std_logic ;
   
   signal word_counter_20n83ss1: std_logic_vector (5 DOWNTO 0) ;
   
   signal Set_time_out_to_5us_20n83ss1, Set_time_out_to_rcv_20n83ss1, 
      Response_timeout_Error_20n83ss1, Found_Format_Error_20n83ss1, 
      Loopback_error_20n83ss1, Found_wrong_RT_Address_20n83ss1, 
      Found_wrong_word_count_20n83ss1, Wrong_Sync_error_20n83ss1, 
      BC_logic_error_20n83ss1, Bus_Coupling_error_20n83ss1, 
      FE_All_Errors_20n83ss1, Good_data_block_recieved_20n83ss1, 
      Found_errors_20n83ss1, ME_message_20n83ss1, BUSY_message_20n83ss1, 
      state_fsm_20n83ss1_17, state_fsm_20n83ss1_10, state_fsm_20n83ss1_7, 
      time_out_counter_var_20n97ss1_7, time_out_counter_var_20n97ss1_6, 
      time_out_counter_var_20n97ss1_3, time_out_counter_var_20n97ss1_0, 
      time_out_counter_var_20n98ss1_2: std_logic ;
   
   signal time_out_counter_var_20n99ss1: std_logic_vector (7 DOWNTO 0) ;
   
   signal not_ENC_TEST_Go, not_Found_errors, rtlc20n5254, not_Bus_A, 
      rtlc20n5256, rtlc20n5257, BC_1553A_ME_20n26s1, not_rtlcs18, 
      rtlc20n5498, not_rtlcs14, not_BCR_message, rtlc20n5750, rtlc20n5768, 
      rtlc20n5769, rtlc20n5789, rtlc20n5806, rtlc20n5808, rtlc20n5809, 
      not_FE_All_Errors, Loopback_error_20n18s1, rtlc20n5892, rtlc20n5893, 
      rtlc20n5897, rtlc20n5911, rtlc20n5931, rtlc20n6008, not_rtlc20n6008, 
      not_RCV_Pre_RxRdy, rtlc20n6069, not_RCV_Command_Sync: std_logic ;
   
   signal word_counter_20n69s1: std_logic_vector (5 DOWNTO 0) ;
   
   signal not_RCV_CS, rtlc20n6164, not_rtlc20n6164, rtlc20n6171, rtlc20n6188, 
      rtlc20n6193, rtlc20n6194, rtlc20n6195, rtlc20n6200, rtlc20n6201, 
      not_rtlcs5, read_ack_20n87s2, read_ack_20n87s1, write_ack_20n90s1, 
      rtlc20n6318: std_logic ;
   
   signal time_out_counter_var_20n92s1: std_logic_vector (7 DOWNTO 0) ;
   
   signal rtlc20n6618, rtlc20n6622, rtlc20_X_0_n6667, rtlc20n6823, 
      rtlc20n6833, rtlc20n6846, not_rtlc20n6846, rtlc20n6858, rtlc20n6893, 
      rtlc20n6897, not_rtlc20n6897, rtlc20n6917, rtlc20n6924, rtlc20n6934, 
      rtlc20n7019, rtlc20n7047, rtlc20n7048, rtlc20n7065, rtlc20n7066, 
      rtlc20n7068, rtlc20n7085, rtlc20n7086, rtlc20n7087, rtlc20n7103, 
      rtlc20n7119, not_rtlcn1948, rtlc20n7134, rtlc20n7136, rtlc20n7140, 
      rtlc20n7141, rtlc20n7143, rtlc20n7155, rtlc20n7156, rtlc20n7158, 
      rtlc20n7159, rtlc20n7195, rtlc20n7199, not_rtlc20n7199, rtlc20n7202, 
      rtlc20n7209, not_rtlc20n7209, rtlc20n7218, not_rtlc20n7218, 
      rtlc20n7221, rtlc20n7224, rtlc20n7227, not_rtlc20n7227, not_state_0, 
      not_rtlc20n6924, rtlc20n7462, rtlc20n7464, rtlc20n7511, rtlc20n7512, 
      rtlc20n7513, rtlcn122, rtlcn123, rtlcn126, rtlcn190, rtlcn194, 
      rtlcn210, rtlcn219, rtlcn220, rtlcn221, rtlcn223, rtlcn225, rtlcn235, 
      rtlcn237, rtlcn241, rtlcn246, rtlcn260, rtlcn264, rtlcn275, rtlcn319, 
      rtlcn361, rtlcn372, rtlcn384, rtlcn426, rtlcn616, rtlcn660, rtlcn668, 
      rtlcn705, rtlcn768, rtlcn785, rtlcn786, rtlcn787, rtlcn797, rtlcn800, 
      rtlcn801, rtlcn810, rtlcn811, rtlcn822, rtlcn825, rtlcn864, rtlcn878, 
      rtlcn882, rtlcn885, rtlcn970, rtlcn1009, rtlcn1010, rtlcn1011, 
      rtlcn1019, rtlcn1020, rtlcn1120, rtlcn1121, rtlcn1123, rtlcn1186, 
      rtlcn1214, rtlcn1222, not_rtlcn1936, not_rtlcn1937, not_rtlcn1941, 
      not_rtlcn1944, rtlcn1469, rtlcn1471, rtlcn1477, rtlcn1485, rtlcn1491, 
      rtlcn1498, rtlcn1504, rtlcn1509, rtlcn1514, rtlcn1518, rtlcn1527, 
      rtlcn1532, rtlcn1536, rtlcn1537, rtlcn1538, rtlcn1543, rtlcn1552, 
      rtlcn1553, rtlcn1555, rtlcn1556, rtlcn1562, rtlcn1565, not_rtlcn1938, 
      not_rtlcn1939, rtlcn1612, rtlcn1615, not_rtlcn1940, not_rtlcn1945, 
      rtlcn1646, not_rtlcn1646, rtlcn1648, not_rtlcn1648, rtlcn1650, 
      rtlcn1651, rtlcn1652, rtlcn1653, rtlcn1654, rtlcn1655, rtlcn1656, 
      rtlcn1657, rtlcn1658, rtlcn1660, rtlcn1661, rtlcn1662, rtlcn1663, 
      rtlcn1664, rtlcn1665, rtlcn1666, rtlcn1667, rtlcn1668, rtlcn1669, 
      rtlcn1670, rtlcn1671, rtlcn1672, rtlcn1674, not_rtlcn1942, rtlcn1677, 
      rtlcn1678, rtlcn1679, rtlcn1680, rtlcn1681, rtlcn1682, rtlcn1683, 
      rtlcn1684, rtlcn1685, rtlcn1686, rtlcn1687, rtlcn1688, rtlcn1689, 
      rtlcn1690, rtlcn1691, rtlcn1692, rtlcn1693, rtlcn1694, rtlcn1695, 
      rtlcn1696, rtlcn1698, rtlcn1699, rtlcn1700, rtlcn1701, rtlcn1702, 
      rtlcn1703, rtlcn1704, rtlcn1705, rtlcn1706, rtlcn1707, rtlcn1708, 
      rtlcn1709, rtlcn1710, rtlcn1711, not_timeout, rtlcn1713, not_RT2RT_int, 
      rtlcn1715, not_mode_message_no_data, not_rtlcn705, rtlcn1723, 
      not_state_7, not_state_16, not_Set_time_out_to_echo, rtlcn1729, 
      not_Receive_problem, not_Set_time_out_to_5us, rtlcn1732, 
      not_rtlc20n7019, rtlcn1734, not_Set_time_out_to_rcv, not_rtlcs7, 
      rtlcn1737, rtlcn1738, rtlcn1739, not_rtlcs9, not_rtlc20n7513, 
      not_rtlcn241, rtlcn1751, rtlcn1752, rtlcn1753, rtlcn1754, 
      not_rtlc20n5498, rtlcn1756, rtlcn1757, rtlcn1758, not_rtlcn1683, 
      rtlcn1760, not_rtlc20n5893, not_rtlcn1943, not_rtlc20n6171, rtlcn1767, 
      rtlcn1768, rtlcn1770, not_rtlcn1660, rtlcn1772, rtlcn1775, 
      not_Tx_message, not_read_ack, not_Tx_Rdy, not_rtlcn1691, rtlcn1782, 
      rtlcn1783, rtlcn1784, rtlcn1786, rtlcn1787, not_state_3, not_rtlcn1656, 
      not_RCV_Pre_EchoRdy, rtlcn1791, not_state_5, not_rtlcn1654, rtlcn1794, 
      not_rtlcn1657, rtlcn1797, rtlcn1798, not_write_ack, rtlcn1800, 
      not_rtlcn1652, rtlcn1802, rtlcn1803, rtlcn1804, rtlcn1805, rtlcn1806, 
      rtlcn1807, not_rtlcn1670, rtlcn1809, not_rtlcn1666, not_rtlcs19, 
      rtlcn1812, not_rtlcs20, rtlcn1814, rtlcn1815, rtlcn1816, rtlcn1817, 
      not_rtlcn1678, rtlcn1820, rtlcn1821, rtlcn1822, rtlcn1823, 
      not_rtlcn237, rtlcn1828, not_read_req, not_rtlcs13, rtlcn1831, 
      rtlcn1832, rtlcn1834, rtlcn1835, rtlcn1836, rtlcn1838, rtlcn1841, 
      not_rtlcn1686, rtlcn1843, rtlcn1844, rtlcn1845, not_write_req, 
      rtlcn1848, rtlcn1849, not_rtlcn1669, rtlcn1851, rtlcn1853, rtlcn1854, 
      rtlcn1855, not_state_14, not_state_15, not_rtlcn1679, not_rtlcn1661, 
      rtlcn1861, rtlcn1862, rtlcn1863, rtlcn1864, rtlcn1865, rtlcn1866, 
      rtlcn1867, rtlcn1870, rtlcn1872, rtlcn1873, rtlcn1874, rtlcn1876, 
      rtlcn1878, rtlcn1879, rtlcn1881, rtlcn1884, rtlcn1885, not_rtlcn1946, 
      rtlcn1889, rtlcn1890, not_rtlc20n6893, rtlcn1936, rtlcn1937, rtlcn1938, 
      rtlcn1939, rtlcn1940, rtlcn1941, rtlcn1942, rtlcn1943, rtlcn1944, 
      rtlcn1945, rtlcn1946, rtlcn1947, rtlcn1948, rtlcn1949, rtlcn1950, 
      rtlcn1951, rtlcn1952, rtlcn1954, rtlcn1955, rtlcn1958, rtlcn1959, 
      rtlcn1960, rtlcn1961, rtlcn1963, rtlcn1964, rtlcn1966, rtlcn1967, 
      rtlcn1968, rtlcn1969, rtlcn1970, not_rtlc20n5750, not_state_10, 
      not_rtlcn235, rtlcn1978, not_rtlcn225, not_rtlcn223, not_rtlc20n6201, 
      not_rtlc20n6200, not_rtlcn1954, rtlcn1986, not_rtlcn1947, 
      not_rtlcn1477, rtlcn1991, not_state_12, not_rtlcn1964, not_rtlcn1703, 
      rtlcn2000, not_rtlc20n6934, not_rtlc20n6318, not_rtlcn1961, rtlcn2005, 
      rtlcn2007, not_CE, rtlcn2009, rtlcn2010, rtlcn2013, rtlcn2014, 
      not_rtlc20n6195, not_rtlc20n6194, not_rtlc20n6193, not_rtlcn221, 
      not_rtlcn219, not_rtlc20n5931, not_rtlc20n7202, not_rtlc20n6188, 
      rtlcn2024, rtlcn2025, rtlcn2026, rtlcs3, rtlcs5, rtlcs7, rtlcs8, 
      rtlcs9, rtlcs13, rtlcs14, rtlcs17, rtlcs18, not_active_command_9, 
      not_active_command_8, not_active_command_7, not_active_command_6, 
      not_active_command_5, not_active_command_3, not_active_command_2, 
      not_active_command_1, not_active_command_0, not_word_counter_4, 
      not_word_counter_5, not_word_counter_3, not_word_counter_2, 
      not_word_counter_1, not_word_counter_0, rtlcn2073, rtlcn2075, 
      not_Down_count_5, not_Down_count_4, not_Down_count_3, not_Down_count_2, 
      not_Down_count_1, not_Down_count_0, not_No_Response_timeout_1, 
      not_us_counter_4, not_us_counter_3, not_No_Response_timeout_0, 
      not_rtlcn768, not_time_out_counter_var_7, not_time_out_counter_var_6, 
      not_time_out_counter_var_5, not_time_out_counter_var_4, 
      not_time_out_counter_var_3, not_time_out_counter_var_2, 
      not_time_out_counter_var_1, not_time_out_counter_var_0, not_rtlcn885, 
      not_RCV_Gap_found_2, not_RCV_Gap_found_1, not_RCV_Gap_found_0, 
      not_rtlcn210, rtlcn2236, rtlcn2242: std_logic ;
   
   signal rtlcn2243: std_logic_vector (5 DOWNTO 0) ;
   
   signal rtlcn2244, rtlcs19, rtlcs20, rtlcs21: std_logic ;
   
   signal RCV_R_Data: std_logic_vector (15 DOWNTO 0) ;
   
   signal RCV_Gap_found: std_logic_vector (2 DOWNTO 0) ;
   
   signal RCV_CS, RCV_Pre_EchoRdy, RCV_Command_Sync, RCV_Pre_RxRdy, 
      RCV_recieving, not_rtlc20n6805: std_logic ;
   
   signal rtlcn2572: std_logic_vector (5 DOWNTO 0) ;
   
   signal NOT_rtlc20n6622, rtlc13_61_or_1165_nx0, rtlc20_788_or_1167_nx0, 
      rtlc20_846_or_1171_nx0, rtlc20_2324_gt_1185_nx0, 
      rtlc20_2324_gt_1185_nx2, rtlc20_2324_gt_1185_nx4, 
      rtlc20_3270_and_1188_nx0, rtlc20_3286_and_1189_nx0, 
      rtlc_2269_and_1210_nx0, rtlc_2270_or_1211_nx0, rtlc_2311_or_1212_nx0, 
      rtlc_2328_and_1213_nx0, rtlc_2342_and_1214_nx0, rtlcn1781, 
      rtlc_2362_and_1217_nx0, rtlc_2413_and_1220_nx0, rtlc_2434_and_1221_nx0, 
      rtlc_2453_and_1223_nx0, rtlc_2460_or_1225_nx0, rtlc_2482_and_1226_nx0, 
      rtlc_2484_and_1227_nx0, rtlc_2489_and_1229_nx0, rtlc_2506_and_1232_nx0, 
      rtlc_2524_and_1235_nx0, rtlc_2525_or_1236_nx0, rtlc_2528_and_1237_nx0, 
      rtlc_2544_and_1238_nx0, rtlc_2554_and_1239_nx0, rtlc_2562_and_1240_nx0, 
      rtlc_2570_or_1243_nx0, rtlc_2575_or_1244_nx0, rtlc_2587_and_1245_nx0, 
      rtlc_2588_or_1246_nx0, rtlc_2594_and_1247_nx0, rtlc_2961_and_1252_nx0, 
      rtlc_2980_or_1253_nx0, rtlc_3010_and_1255_nx0, rtlc_3060_or_1260_nx0, 
      rtlc_3061_or_1261_nx0, rtlc_3184_and_1273_nx0, rtlc_3188_and_1274_nx0, 
      rtlc_3237_and_1276_nx0, nx5, nx8: std_logic ;
   
   signal DANGLING : std_logic_vector (18 downto 0 );

begin
   Tx_Bus_A <= Tx_Bus_A_EXMPLR2371 ;
   Idle_state <= Debug_2_EXMPLR2427 ;
   Activity_on_wrong_bus <= Debug_2_EXMPLR2427 ;
   FE_All_Errors <= FE_All_Errors_EXMPLR2421 ;
   Debug(15) <= Debug_2_EXMPLR2427 ;
   Debug(14) <= Debug_2_EXMPLR2427 ;
   Debug(13) <= Debug_2_EXMPLR2427 ;
   Debug(12) <= Debug_2_EXMPLR2427 ;
   Debug(11) <= Debug_2_EXMPLR2427 ;
   Debug(10) <= Debug_2_EXMPLR2427 ;
   Debug(9) <= Debug_2_EXMPLR2427 ;
   Debug(8) <= Debug_2_EXMPLR2427 ;
   Debug(7) <= Debug_2_EXMPLR2427 ;
   Debug(6) <= Debug_2_EXMPLR2427 ;
   Debug(5) <= Debug_2_EXMPLR2427 ;
   Debug(4) <= Debug_2_EXMPLR2427 ;
   Debug(3) <= Debug_2_EXMPLR2427 ;
   Debug(2) <= Debug_2_EXMPLR2427 ;
   Debug(1) <= Debug_2_EXMPLR2427 ;
   Debug(0) <= Debug_2_EXMPLR2427 ;
   Debug_2_EXMPLR2427 <= '0' ;
   PWR <= '1' ;
   mode_message_no_data_10n2s2 <= mode_message_no_data_10n2s3 OR 
   mode_message_no_data_10n2s6 ;
   not_BC_1553A <= NOT BC_1553A ;
   rtlc13n39 <= RCV_recieving AND rtlc13n167 ;
   rtlc13n27 <= RCV_Pre_RxRdy OR RCV_Pre_EchoRdy ;
   rtlc13n160 <= Energy_Count(9) AND Energy_Count(8) ;
   not_rtlc13n160 <= NOT rtlc13n160 ;
   rtlc13_63_and_1166 : and_5u_5u port map ( a(4)=>Energy_Count(4), a(3)=>
      Energy_Count(3), a(2)=>Energy_Count(2), a(1)=>Energy_Count(1), a(0)=>
      Energy_Count(0), d=>rtlc13n164);
   rtlc13n167 <= not_rtlcn123 OR not_rtlc13n160 ;
   not_rtlcs18 <= NOT rtlcs18 ;
   not_Found_errors <= NOT Found_errors ;
   Loopback_error_20n18s1 <= not_Found_errors AND not_FE_All_Errors ;
   not_FE_All_Errors <= NOT FE_All_Errors_EXMPLR2421 ;
   BC_1553A_ME_20n26s1 <= RCV_R_Data(10) AND BC_1553A ;
   rtlc20n6833 <= state(4) OR state(5) ;
   rtlc20n6846 <= state(3) OR state(5) ;
   rtlc20n6858 <= state(14) OR state(16) ;
   rtlc20_795_or_1168 : or_5u_5u port map ( a(4)=>state(0), a(3)=>state(3), 
      a(2)=>state(5), a(1)=>state(13), a(0)=>state(15), d=>rtlc20n6897);
   not_rtlc20n6897 <= NOT rtlc20n6897 ;
   T_Sync_select_20i1 : select_3_3 port map ( a(2)=>state(0), a(1)=>
      rtlc20n6846, a(0)=>rtlc20n6917, b(2)=>Go, b(1)=>PWR, b(0)=>
      Debug_2_EXMPLR2427, d=>T_Sync_20n83ss1);
   rtlc20n6917 <= state(13) OR state(15) ;
   rtlc20_832_or_1170 : or_8u_8u port map ( a(7)=>state(0), a(6)=>state(1), 
      a(5)=>state(2), a(4)=>state(3), a(3)=>state(4), a(2)=>state(9), a(1)=>
      state(12), a(0)=>state(14), d=>rtlc20n6924);
   read_ack_20n87s1 <= read_ack_20n87s2 AND read_req ;
   write_ack_20n90s1 <= read_ack_20n87s2 AND write_req ;
   rtlc20n7019 <= rtlcs8 OR rtlcs7 ;
   rtlc20_1250_select_1172 : select_3_3 port map ( a(2)=>not_rtlc20n6846, 
      a(1)=>state(3), a(0)=>state(5), b(2)=>PWR, b(1)=>rtlc20n5768, b(0)=>
      rtlc20n5808, d=>rtlc20n6188);
   rtlc20_1257_or_1173 : or_9u_9u port map ( a(8)=>state(2), a(7)=>state(5), 
      a(6)=>state(6), a(5)=>state(7), a(4)=>state(9), a(3)=>state(10), a(2)
      =>state(11), a(1)=>state(15), a(0)=>state(16), d=>rtlc20n7199);
   not_rtlc20n7199 <= NOT rtlc20n7199 ;
   rtlc20_1269_or_1174 : or_7u_7u port map ( a(6)=>state(0), a(5)=>state(3), 
      a(4)=>state(9), a(3)=>state(13), a(2)=>state(17), a(1)=>state(18), 
      a(0)=>state(19), d=>rtlc20n7202);
   rtlc20_1281_select_1175 : select_3_3 port map ( a(2)=>not_rtlc20n7209, 
      a(1)=>state(0), a(0)=>state(3), b(2)=>PWR, b(1)=>not_ENC_TEST_Go, b(0)
      =>rtlc20n5768, d=>rtlc20n6193);
   rtlc20n7209 <= state(0) OR state(3) ;
   not_rtlc20n7209 <= NOT rtlc20n7209 ;
   rtlc20_1289_select_1176 : select_3_3 port map ( a(2)=>not_rtlc20n6846, 
      a(1)=>state(3), a(0)=>state(5), b(2)=>PWR, b(1)=>rtlc20n5768, b(0)=>
      rtlc20n5809, d=>rtlc20n6195);
   rtlc20n5806 <= rtlc20n5789 AND not_rtlcs13 ;
   rtlc20n5789 <= not_read_req AND Tx_message ;
   rtlc20_1302_or_1177 : or_6u_6u port map ( a(5)=>state(0), a(4)=>state(3), 
      a(3)=>state(5), a(2)=>state(8), a(1)=>state(13), a(0)=>state(15), d=>
      rtlc20n7218);
   not_rtlc20n7218 <= NOT rtlc20n7218 ;
   rtlc20_1316_or_1178 : or_4u_4u port map ( a(3)=>state(0), a(2)=>state(11), 
      a(1)=>state(15), a(0)=>state(16), d=>rtlc20n7221);
   rtlc20_1322_or_1179 : or_5u_5u port map ( a(4)=>state(1), a(3)=>state(3), 
      a(2)=>state(4), a(1)=>state(12), a(0)=>state(14), d=>rtlc20n7224);
   rtlc20_1330_select_1180 : select_5_5 port map ( a(4)=>not_rtlc20n7227, 
      a(3)=>state(0), a(2)=>state(9), a(1)=>state(10), a(0)=>state(17), b(4)
      =>PWR, b(3)=>rtlc20n5750, b(2)=>not_rtlcs14, b(1)=>rtlc20n6069, b(0)=>
      rtlc20n6171, d=>rtlc20n6200);
   rtlc20_1331_or_1181 : or_4u_4u port map ( a(3)=>state(0), a(2)=>state(9), 
      a(1)=>state(10), a(0)=>state(17), d=>rtlc20n7227);
   not_rtlc20n7227 <= NOT rtlc20n7227 ;
   rtlc20n6171 <= not_timeout OR not_rtlc20n6164 ;
   rtlc20_1444_or_1182 : or_5u_5u port map ( a(4)=>timeout, a(3)=>
      not_rtlc20n6805, a(2)=>not_rtlc20n6008, a(1)=>not_RCV_Pre_RxRdy, a(0)
      =>not_RCV_CS, d=>rtlc20n6069);
   rtlc20_1608_or_1183 : or_4u_4u port map ( a(3)=>rtlc20n5257, a(2)=>
      not_read_ack, a(1)=>not_Tx_Rdy, a(0)=>rtlcs13, d=>rtlc20n5769);
   rtlc20n5768 <= rtlc20n5257 OR not_Tx_Rdy ;
   rtlc20_1757_or_1184 : or_5u_5u port map ( a(4)=>Set_time_out_to_5us, a(3)
      =>Set_time_out_to_echo, a(2)=>Set_time_out_to_rcv, a(1)=>rtlc20n6823, 
      a(0)=>not_rtlc20n6318, d=>rtlc20_X_0_n6667);
   rtlc20n6618 <= rtlcs5 AND write_req ;
   rtlc20n6318 <= timeout_count_enable AND not_timeout ;
   rtlc20n6164 <= RCV_recieving AND RCV_CS ;
   rtlc20n6008 <= rtlcs18 AND not_RCV_Command_Sync ;
   rtlc20n5911 <= Config_reg_4(6) AND ME_message ;
   rtlc20n5897 <= Config_reg_4(5) AND BUSY_message ;
   rtlc20n5892 <= ME_message OR BUSY_message ;
   rtlc20n5498 <= Sync_error OR not_rtlcs18 ;
   rtlc20n5256 <= recieving_on_B AND not_Bus_A ;
   rtlc20n5254 <= recieving_on_A AND Bus_A ;
   rtlc20n5257 <= rtlc20n5254 OR rtlc20n5256 ;
   word_counter_inc6_20i2 : inc_6u_6u_0 port map ( cin=>PWR, a(5)=>
      word_counter(5), a(4)=>word_counter(4), a(3)=>word_counter(3), a(2)=>
      word_counter(2), a(1)=>word_counter(1), a(0)=>word_counter(0), d(5)=>
      word_counter_20n69s1(5), d(4)=>word_counter_20n69s1(4), d(3)=>
      word_counter_20n69s1(3), d(2)=>word_counter_20n69s1(2), d(1)=>
      word_counter_20n69s1(1), d(0)=>word_counter_20n69s1(0), cout=>DANGLING
      (0));
   time_out_counter_var_dec8_20i3 : dec_8u_8u_0 port map ( cin=>
      Debug_2_EXMPLR2427, a(7)=>time_out_counter_var(7), a(6)=>
      time_out_counter_var(6), a(5)=>time_out_counter_var(5), a(4)=>
      time_out_counter_var(4), a(3)=>time_out_counter_var(3), a(2)=>
      time_out_counter_var(2), a(1)=>time_out_counter_var(1), a(0)=>
      time_out_counter_var(0), d(7)=>time_out_counter_var_20n92s1(7), d(6)=>
      time_out_counter_var_20n92s1(6), d(5)=>time_out_counter_var_20n92s1(5), 
      d(4)=>time_out_counter_var_20n92s1(4), d(3)=>
      time_out_counter_var_20n92s1(3), d(2)=>time_out_counter_var_20n92s1(2), 
      d(1)=>time_out_counter_var_20n92s1(1), d(0)=>
      time_out_counter_var_20n92s1(0), cout=>DANGLING(1));
   not_Bus_A <= NOT Bus_A ;
   rtlc20n7512 <= Energy_Count(5) AND rtlc20n7511 ;
   rtlc20n7513 <= rtlc20n7512 OR Energy_Count(9) ;
   rtlc20n7462 <= us_counter(4) OR us_counter(3) ;
   not_rtlcn123 <= NOT rtlcn123 ;
   rtlcn122 <= rtlc20n7462 OR rtlc20n7464 ;
   rtlcn123 <= rtlc13n162 OR rtlc13n164 ;
   rtlcn126 <= rtlcs5 AND read_req ;
   rtlc20n6622 <= rtlc20n6618 OR rtlcn126 ;
   word_counter_select_20i4 : select_3_3 port map ( a(2)=>not_rtlcn1646, 
      a(1)=>rtlcn190, a(0)=>state(13), b(2)=>Debug_2_EXMPLR2427, b(1)=>
      word_counter_20n69s1(0), b(0)=>PWR, d=>word_counter_20n83ss1(0));
   rtlc_314_select_1191 : select_5_5 port map ( a(4)=>not_rtlc20n6897, a(3)
      =>state(0), a(2)=>state(3), a(1)=>state(5), a(0)=>rtlc20n6917, b(4)=>
      PWR, b(3)=>not_ENC_TEST_Go, b(2)=>rtlc20n5768, b(1)=>not_read_req, 
      b(0)=>not_read_ack, d=>rtlcn219);
   rtlc_317_select_1192 : select_4_4 port map ( a(3)=>not_rtlc20n6897, a(2)
      =>state(0), a(1)=>state(3), a(0)=>rtlcn220, b(3)=>PWR, b(2)=>
      not_ENC_TEST_Go, b(1)=>rtlc20n5769, b(0)=>not_read_ack, d=>rtlcn221);
   rtlc_320_select_1193 : select_3_3 port map ( a(2)=>not_rtlcn1648, a(1)=>
      state(0), a(0)=>rtlcn210, b(2)=>PWR, b(1)=>rtlc20n5750, b(0)=>
      rtlc20n5931, d=>rtlcn223);
   state_fsm_select_20i5 : select_6_6 port map ( a(5)=>not_rtlcn1936, a(4)=>
      rtlcn264, a(3)=>rtlcn194, a(2)=>state(9), a(1)=>state(11), a(0)=>
      rtlcn260, b(5)=>Debug_2_EXMPLR2427, b(4)=>PWR, b(3)=>
      state_fsm_20n23ss1_17, b(2)=>state_fsm_20n45ss1_17, b(1)=>
      state_fsm_20n63ss1_17, b(0)=>state_fsm_20n32ss1_17, d=>
      state_fsm_20n83ss1_17);
   state_fsm_select_20i6 : select_6_6 port map ( a(5)=>not_rtlcn1937, a(4)=>
      state(7), a(3)=>state(8), a(2)=>state(9), a(1)=>state(16), a(0)=>
      rtlcn660, b(5)=>Debug_2_EXMPLR2427, b(4)=>state_fsm_20n33ss1_10, b(3)
      =>state_fsm_20n43ss1_10, b(2)=>state_fsm_20n45ss1_10, b(1)=>
      state_fsm_20n76ss1_10, b(0)=>not_BCR_message, d=>state_fsm_20n83ss1_10
   );
   time_out_counter_var_select_20i8Bus23_5 : select_3_3 port map ( a(2)=>
      rtlcn787, a(1)=>rtlcn785, a(0)=>rtlcn786, b(2)=>Debug_2_EXMPLR2427, 
      b(1)=>PWR, b(0)=>time_out_counter_var_20n92s1(5), d=>
      time_out_counter_var_20n99ss1(5));
   time_out_counter_var_select_20i8Bus23_4 : select_3_3 port map ( a(2)=>
      rtlcn800, a(1)=>rtlcn797, a(0)=>rtlcn786, b(2)=>Debug_2_EXMPLR2427, 
      b(1)=>PWR, b(0)=>time_out_counter_var_20n92s1(4), d=>
      time_out_counter_var_20n99ss1(4));
   time_out_counter_var_select_20i9 : select_3_3 port map ( a(2)=>
      not_Set_time_out_to_rcv, a(1)=>rtlcn801, a(0)=>rtlcn1565, b(2)=>
      time_out_counter_var_20n92s1(3), b(1)=>Debug_2_EXMPLR2427, b(0)=>PWR, 
      d=>time_out_counter_var_20n97ss1_3);
   time_out_counter_var_select_20i10 : select_3_3 port map ( a(2)=>
      not_rtlcn1940, a(1)=>rtlcn810, a(0)=>rtlcn811, b(2)=>
      Debug_2_EXMPLR2427, b(1)=>PWR, b(0)=>time_out_counter_var_20n92s1(2), 
      d=>time_out_counter_var_20n98ss1_2);
   time_out_counter_var_select_20i11 : select_3_3 port map ( a(2)=>rtlcn825, 
      a(1)=>rtlcn822, a(0)=>rtlcn786, b(2)=>Debug_2_EXMPLR2427, b(1)=>PWR, 
      b(0)=>time_out_counter_var_20n92s1(1), d=>
      time_out_counter_var_20n99ss1(1));
   rtlc_1064_select_1201 : select_3_3 port map ( a(2)=>not_rtlcn1941, a(1)=>
      rtlcn878, a(0)=>rtlcn882, b(2)=>Debug_2_EXMPLR2427, b(1)=>PWR, b(0)=>
      not_FE_All_Errors, d=>rtlcn2024);
   rtlc_1195_select_1202 : select_3_3 port map ( a(2)=>rtlcn1009, a(1)=>
      rtlcn1010, a(0)=>rtlcn1011, b(2)=>Debug_2_EXMPLR2427, b(1)=>not_RCV_CS, 
      b(0)=>not_FE_All_Errors, d=>rtlcn2236);
   rtlc_1308_select_1203 : select_3_3 port map ( a(2)=>not_rtlcn1944, a(1)=>
      rtlcn1120, a(0)=>rtlcn1121, b(2)=>Debug_2_EXMPLR2427, b(1)=>
      not_FE_All_Errors, b(0)=>PWR, d=>rtlcn2025);
   not_rtlc20n6164 <= NOT rtlc20n6164 ;
   not_rtlcs14 <= NOT rtlcs14 ;
   not_ENC_TEST_Go <= NOT ENC_TEST_Go ;
   not_RCV_CS <= NOT RCV_CS ;
   not_RCV_Command_Sync <= NOT RCV_Command_Sync ;
   not_rtlc20n6008 <= NOT rtlc20n6008 ;
   Set_time_out_to_rcv_select_20i12 : select_5_5 port map ( a(4)=>
      not_rtlcn1938, a(3)=>state(7), a(2)=>state(8), a(1)=>state(9), a(0)=>
      rtlcn1518, b(4)=>Debug_2_EXMPLR2427, b(3)=>state_fsm_20n33ss1_10, b(2)
      =>state_fsm_20n43ss1_10, b(1)=>state_fsm_20n45ss1_10, b(0)=>PWR, d=>
      Set_time_out_to_rcv_20n83ss1);
   Set_time_out_to_5us_select_20i13 : select_6_6 port map ( a(5)=>
      not_rtlcn1939, a(4)=>rtlcn194, a(3)=>state(9), a(2)=>state(11), a(1)=>
      rtlcn1536, a(0)=>rtlcn260, b(5)=>Debug_2_EXMPLR2427, b(4)=>
      state_fsm_20n23ss1_17, b(3)=>state_fsm_20n45ss1_17, b(2)=>
      state_fsm_20n63ss1_17, b(1)=>PWR, b(0)=>state_fsm_20n32ss1_17, d=>
      Set_time_out_to_5us_20n83ss1);
   time_out_counter_var_select_20i14 : select_3_3 port map ( a(2)=>
      not_Set_time_out_to_rcv, a(1)=>rtlcn1537, a(0)=>rtlcn1538, b(2)=>
      time_out_counter_var_20n92s1(7), b(1)=>Debug_2_EXMPLR2427, b(0)=>PWR, 
      d=>time_out_counter_var_20n97ss1_7);
   FE_All_Errors_select_20i15 : select_3_3 port map ( a(2)=>rtlcn1552, a(1)
      =>rtlcn1553, a(0)=>rtlcn970, b(2)=>Debug_2_EXMPLR2427, b(1)=>
      not_Found_errors, b(0)=>FE_All_Errors_20n22ss1, d=>
      FE_All_Errors_20n83ss1);
   Loopback_error_select_20i16 : select_4_4 port map ( a(3)=>rtlcn1556, a(2)
      =>rtlcn1019, a(1)=>rtlcn1020, a(0)=>rtlcn1555, b(3)=>
      Debug_2_EXMPLR2427, b(2)=>Loopback_error_20n18s1, b(1)=>
      FE_All_Errors_20n22ss1, b(0)=>not_Found_errors, d=>
      Loopback_error_20n83ss1);
   state_fsm_select_20i17 : select_3_3 port map ( a(2)=>not_rtlcn1945, a(1)
      =>state(6), a(0)=>rtlcn1612, b(2)=>Debug_2_EXMPLR2427, b(1)=>
      state_fsm_20n76ss1_10, b(0)=>PWR, d=>state_fsm_20n83ss1_7);
   rtlcn1646 <= rtlcn190 OR state(13) ;
   not_rtlcn1646 <= NOT rtlcn1646 ;
   rtlcn1648 <= state(0) OR rtlcn210 ;
   not_rtlcn1648 <= NOT rtlcn1648 ;
   not_rtlc20n6846 <= NOT rtlc20n6846 ;
   rtlcn190 <= state(8) OR state(15) ;
   rtlcn1663 <= state(5) OR state(15) ;
   rtlcn220 <= state(13) OR rtlcn1663 ;
   rtlcn210 <= state(10) OR state(7) ;
   rtlcn235 <= state(17) OR state(18) ;
   rtlcn194 <= state(6) OR state(16) ;
   rtlcn1674 <= state(11) OR rtlcn1663 ;
   rtlcn237 <= rtlcn194 OR rtlcn1674 ;
   rtlcn241 <= state(8) OR rtlcn210 ;
   rtlcn1671 <= state(8) AND timeout ;
   not_timeout <= NOT timeout ;
   rtlcn1713 <= state(10) AND not_timeout ;
   not_RT2RT_int <= NOT RT2RT_int ;
   rtlcn260 <= state(7) AND not_timeout ;
   rtlcn705 <= timeout OR RCV_Pre_EchoRdy ;
   not_mode_message_no_data <= NOT mode_message_no_data ;
   not_rtlcn705 <= NOT rtlcn705 ;
   rtlcn660 <= state(11) AND rtlcn1723 ;
   not_state_7 <= NOT state(7) ;
   not_state_16 <= NOT state(16) ;
   not_Set_time_out_to_echo <= NOT Set_time_out_to_echo ;
   rtlcn1672 <= Set_time_out_to_rcv AND not_Set_time_out_to_echo ;
   rtlcn1729 <= rtlc20n7019 AND rtlcn1672 ;
   rtlcn1682 <= Set_time_out_to_5us OR rtlcn1729 ;
   rtlcn1693 <= Set_time_out_to_echo AND Receive_problem ;
   rtlcn787 <= rtlcn1682 OR rtlcn1693 ;
   not_Receive_problem <= NOT Receive_problem ;
   rtlcn1694 <= Set_time_out_to_echo AND not_Receive_problem ;
   not_Set_time_out_to_5us <= NOT Set_time_out_to_5us ;
   rtlcn1695 <= not_Set_time_out_to_5us AND rtlcn1672 ;
   rtlcn1732 <= not_Set_time_out_to_5us AND rtlcn1694 ;
   not_rtlc20n7019 <= NOT rtlc20n7019 ;
   rtlcn1734 <= not_rtlc20n7019 AND rtlcn1695 ;
   rtlcn785 <= rtlcn1732 OR rtlcn1734 ;
   not_Set_time_out_to_rcv <= NOT Set_time_out_to_rcv ;
   rtlcn811 <= not_Set_time_out_to_rcv AND not_Set_time_out_to_echo ;
   rtlcn786 <= not_Set_time_out_to_5us AND rtlcn811 ;
   not_rtlcs7 <= NOT rtlcs7 ;
   rtlcn1737 <= not_rtlcs7 AND rtlcn1672 ;
   rtlcn1738 <= not_Set_time_out_to_5us AND rtlcn1693 ;
   rtlcn1739 <= rtlcs7 AND rtlcn1695 ;
   rtlcn797 <= rtlcn1738 OR rtlcn1739 ;
   not_rtlcs9 <= NOT rtlcs9 ;
   rtlcn801 <= Set_time_out_to_rcv AND not_rtlcs9 ;
   rtlcn1565 <= Set_time_out_to_rcv AND rtlcs9 ;
   rtlcn810 <= not_Set_time_out_to_echo AND rtlcn801 ;
   rtlcn825 <= rtlcn1682 OR rtlcn1694 ;
   rtlcn822 <= rtlcn1738 OR rtlcn1734 ;
   rtlcn1650 <= not_timeout AND RCV_Pre_RxRdy ;
   not_rtlc20n7513 <= NOT rtlc20n7513 ;
   rtlcn1683 <= not_rtlc20n6805 OR not_rtlc20n7513 ;
   rtlcn882 <= timeout AND rtlcn1683 ;
   not_rtlcn241 <= NOT rtlcn241 ;
   rtlcn1751 <= rtlcn882 AND rtlcn210 ;
   rtlcn1752 <= not_rtlc20n7513 AND rtlcn1671 ;
   rtlcn1753 <= not_rtlcn1942 AND rtlcn241 ;
   rtlc_2343_or_1215 : or_5u_5u port map ( a(4)=>not_rtlcn241, a(3)=>
      rtlcn1751, a(2)=>rtlcn1752, a(1)=>rtlcn1753, a(0)=>rtlcn1754, d=>
      rtlcn1009);
   rtlcn1615 <= state(8) AND rtlcn1650 ;
   not_rtlc20n5498 <= NOT rtlc20n5498 ;
   rtlcn1756 <= not_rtlc20n5498 AND rtlcn1615 ;
   rtlcn1757 <= rtlcn1650 AND rtlcn210 ;
   rtlcn1010 <= rtlcn1756 OR rtlcn1757 ;
   rtlcn1758 <= rtlc20n7513 AND rtlcn1671 ;
   not_rtlcn1683 <= NOT rtlcn1683 ;
   rtlcn1011 <= rtlcn1758 OR rtlcn1760 ;
   not_rtlc20n5893 <= NOT rtlc20n5893 ;
   rtlcn1665 <= not_rtlc20n5893 OR not_rtlcn1943 ;
   not_rtlc20n6171 <= NOT rtlc20n6171 ;
   rtlcn1767 <= state(17) AND not_rtlc20n6171 ;
   rtlcn1120 <= rtlcn1767 OR rtlcn1768 ;
   rtlcn1660 <= not_rtlc20n6805 OR not_RCV_CS ;
   rtlcn1770 <= rtlc20n5498 AND rtlcn1615 ;
   not_rtlcn1660 <= NOT rtlcn1660 ;
   rtlc_2368_and_1218 : and_4u_4u port map ( a(3)=>state(10), a(2)=>
      rtlcn1650, a(1)=>rtlc20n6008, a(0)=>not_rtlcn1660, d=>rtlcn1772);
   rtlcn1121 <= rtlcn1770 OR rtlcn1772 ;
   rtlcn1775 <= rtlcn194 AND rtlcn705 ;
   rtlcn1518 <= rtlcn660 OR rtlcn1775 ;
   not_Tx_message <= NOT Tx_message ;
   rtlcn1657 <= not_Tx_message OR rtlcs13 ;
   not_read_ack <= NOT read_ack ;
   rtlcn1669 <= not_read_ack OR rtlcn1657 ;
   rtlcn1691 <= not_RT2RT_int OR rtlcn1669 ;
   not_Tx_Rdy <= NOT Tx_Rdy ;
   not_rtlcn1691 <= NOT rtlcn1691 ;
   rtlcn1655 <= not_Tx_Rdy OR not_rtlcn1691 ;
   rtlcn1680 <= rtlc20n5257 OR rtlcn1655 ;
   rtlcn1651 <= state(3) AND rtlcn1680 ;
   rtlcn1688 <= rtlcn1651 OR rtlcn1781 ;
   rtlcn1698 <= RCV_Pre_RxRdy OR rtlcn1782 ;
   rtlcn1783 <= timeout AND rtlcn235 ;
   rtlcn1784 <= state(10) AND rtlcn1698 ;
   rtlc_2393_or_1219 : or_4u_4u port map ( a(3)=>rtlcn1671, a(2)=>rtlcn1688, 
      a(1)=>rtlcn1783, a(0)=>rtlcn1784, d=>rtlcn1536);
   rtlcn1537 <= Set_time_out_to_rcv AND not_rtlcs7 ;
   rtlcn1538 <= rtlcs7 AND Set_time_out_to_rcv ;
   rtlcn1686 <= not_RCV_CS OR rtlc20n5498 ;
   rtlcn1699 <= RCV_Command_Sync OR rtlcn1686 ;
   rtlcn1786 <= timeout AND rtlcn1665 ;
   rtlcn1787 <= rtlcn1650 AND rtlcn1699 ;
   rtlcn1652 <= rtlcn1786 OR rtlcn1787 ;
   not_state_3 <= NOT state(3) ;
   rtlcn1656 <= not_state_3 OR rtlc20n5257 ;
   not_rtlcn1656 <= NOT rtlcn1656 ;
   rtlcn1662 <= Tx_Rdy AND not_rtlcn1656 ;
   not_RCV_Pre_EchoRdy <= NOT RCV_Pre_EchoRdy ;
   rtlcn1666 <= not_RCV_Pre_EchoRdy OR rtlcn1791 ;
   not_state_5 <= NOT state(5) ;
   rtlcn1654 <= not_state_5 OR rtlcn705 ;
   not_rtlcn1654 <= NOT rtlcn1654 ;
   rtlcn1668 <= not_rtlcn1654 OR rtlcn1794 ;
   rtlcn1670 <= not_RCV_Command_Sync OR rtlcn1660 ;
   not_rtlcn1657 <= NOT rtlcn1657 ;
   rtlcn1678 <= not_read_ack OR not_rtlcn1657 ;
   rtlcn1684 <= state(12) OR state(4) ;
   rtlcn1797 <= state(10) AND rtlcs19 ;
   rtlcn1798 <= state(7) AND rtlcs20 ;
   rtlcn1685 <= rtlcn1797 OR rtlcn1798 ;
   rtlcn1696 <= state(11) AND not_timeout ;
   not_write_ack <= NOT write_ack ;
   rtlcn1800 <= not_write_ack AND state(2) ;
   not_rtlcn1652 <= NOT rtlcn1652 ;
   rtlcn1802 <= state(8) AND not_rtlcn1652 ;
   rtlcn1803 <= rtlcn210 AND not_rtlcn1942 ;
   rtlcn1804 <= state(17) AND rtlc20n6171 ;
   rtlcn1805 <= rtlcn1668 AND rtlcn1678 ;
   rtlcn1806 <= rtlcn1662 AND rtlcn1691 ;
   rtlcn1807 <= rtlcn1666 AND rtlcn1696 ;
   not_rtlcn1670 <= NOT rtlcn1670 ;
   rtlc_2435_or_1222 : or_16u_16u port map ( a(15)=>state(0), a(14)=>
      state(1), a(13)=>state(9), a(12)=>state(13), a(11)=>state(14), a(10)=>
      state(18), a(9)=>state(19), a(8)=>rtlcn1684, a(7)=>rtlcn1800, a(6)=>
      rtlcn1802, a(5)=>rtlcn1803, a(4)=>rtlcn1804, a(3)=>rtlcn1805, a(2)=>
      rtlcn1806, a(1)=>rtlcn1807, a(0)=>rtlcn1809, d=>rtlcn1552);
   not_rtlcn1666 <= NOT rtlcn1666 ;
   rtlcn1555 <= not_rtlcn1666 AND rtlcn1696 ;
   not_rtlcs19 <= NOT rtlcs19 ;
   rtlcn1812 <= state(10) AND not_rtlcs19 ;
   not_rtlcs20 <= NOT rtlcs20 ;
   rtlcn1814 <= state(7) AND not_rtlcs20 ;
   rtlcn1664 <= rtlcn1812 OR rtlcn1814 ;
   rtlcn1815 <= rtlcn210 AND rtlcn1670 ;
   rtlcn1700 <= rtlcn1664 OR rtlcn1815 ;
   rtlcn1816 <= write_ack AND state(2) ;
   rtlcn1817 <= state(8) AND rtlcn1652 ;
   not_rtlcn1678 <= NOT rtlcn1678 ;
   rtlcn1820 <= rtlcn1668 AND not_rtlcn1678 ;
   rtlcn1821 <= timeout AND rtlcn237 ;
   rtlcn1822 <= RCV_Pre_RxRdy AND rtlcn1700 ;
   rtlc_2454_or_1224 : or_9u_9u port map ( a(8)=>rtlcn1555, a(7)=>rtlcn1688, 
      a(6)=>rtlcn1767, a(5)=>rtlcn1816, a(4)=>rtlcn1817, a(3)=>rtlcn1820, 
      a(2)=>rtlcn1821, a(1)=>rtlcn1822, a(0)=>rtlcn1823, d=>rtlcn1553);
   rtlcn1701 <= state(15) OR rtlcn194 ;
   rtlcn970 <= not_timeout AND rtlcn1701 ;
   rtlcn1123 <= timeout AND rtlcn194 ;
   not_rtlcn237 <= NOT rtlcn237 ;
   rtlcn1019 <= timeout AND rtlcn1674 ;
   rtlcn1702 <= rtlcn1663 OR rtlcn194 ;
   rtlcn1020 <= not_timeout AND rtlcn1702 ;
   rtlcn1612 <= state(7) AND not_rtlcn1942 ;
   not_R <= NOT R ;
   not_BCR_message <= NOT BCR_message ;
   not_state_0 <= NOT state(0) ;
   not_rtlc20n6924 <= NOT rtlc20n6924 ;
   not_rtlcs5 <= NOT rtlcs5 ;
   rtlcn246 <= state(17) AND not_rtlc20n6164 ;
   rtlcn1828 <= not_read_ack AND rtlcn1662 ;
   rtlcn275 <= state(1) OR rtlcn1828 ;
   not_read_req <= NOT read_req ;
   rtlcn1703 <= not_read_ack OR not_read_req ;
   rtlcn319 <= not_state_3 AND rtlcn1703 ;
   not_rtlcs13 <= NOT rtlcs13 ;
   rtlcn1831 <= not_rtlcn1654 AND not_rtlcn1678 ;
   rtlcn361 <= rtlcn1831 OR rtlcn1832 ;
   rtlcn372 <= not_state_3 AND not_rtlcn1678 ;
   rtlc_2487_and_1228 : and_4u_4u port map ( a(3)=>not_Set_time_out_to_5us, 
      a(2)=>not_Set_time_out_to_rcv, a(1)=>not_Set_time_out_to_echo, a(0)=>
      rtlc20n6318, d=>rtlcn384);
   rtlcn426 <= rtlcn1800 OR rtlcn1834 ;
   rtlcn1835 <= state(12) AND not_mode_message_no_data ;
   rtlcn1836 <= state(13) AND not_read_ack ;
   rtlcn616 <= rtlcn1835 OR rtlcn1836 ;
   rtlcn668 <= state(18) OR rtlcn1816 ;
   rtlcn768 <= not_Set_time_out_to_5us AND not_Set_time_out_to_echo ;
   rtlcn1838 <= RCV_Command_Sync AND rtlcn237 ;
   rtlc_2498_or_1230 : or_4u_4u port map ( a(3)=>state(1), a(2)=>state(4), 
      a(1)=>rtlcn210, a(0)=>rtlcn1838, d=>rtlcn864);
   rtlcn885 <= state(0) AND not_ENC_TEST_Go ;
   rtlcn1841 <= state(10) AND not_rtlc20n6008 ;
   rtlcn1677 <= state(7) OR rtlcn1841 ;
   not_rtlcn1686 <= NOT rtlcn1686 ;
   rtlc_2507_and_1233 : and_4u_4u port map ( a(3)=>rtlcn1650, a(2)=>
      not_RCV_Command_Sync, a(1)=>not_rtlcn1660, a(0)=>rtlcn1677, d=>
      rtlcn1844);
   rtlcn1186 <= rtlcn1843 OR rtlcn1844 ;
   rtlcn1222 <= RCV_Pre_RxRdy AND mode_message_no_data ;
   rtlcn1214 <= not_timeout AND rtlcn1222 ;
   rtlcn1692 <= rtlcn705 OR rtlcn1678 ;
   rtlcn1845 <= not_rtlcn705 AND rtlcn1692 ;
   rtlcn1704 <= not_state_5 OR rtlcn1845 ;
   rtlcn1469 <= rtlc20n6833 AND rtlcn1704 ;
   not_write_req <= NOT write_req ;
   rtlcn1477 <= not_write_ack OR not_write_req ;
   rtlcn1848 <= state(5) AND rtlcn705 ;
   rtlcn1849 <= state(6) AND not_rtlcn705 ;
   not_rtlcn1669 <= NOT rtlcn1669 ;
   rtlcn1853 <= state(9) AND not_rtlcs14 ;
   rtlcn1705 <= rtlcn1853 OR rtlcn1854 ;
   rtlcn1855 <= state(8) AND not_rtlcn1942 ;
   rtlcn1491 <= rtlcn1855 OR rtlcn1705 ;
   not_state_14 <= NOT state(14) ;
   rtlcn1661 <= not_state_14 OR rtlcs14 ;
   not_state_15 <= NOT state(15) ;
   rtlcn1679 <= not_state_15 OR rtlcn705 ;
   not_rtlcn1679 <= NOT rtlcn1679 ;
   not_rtlcn1661 <= NOT rtlcn1661 ;
   rtlcn1861 <= write_ack AND not_rtlcn1661 ;
   rtlcn1498 <= not_rtlcn1679 OR rtlcn1861 ;
   rtlcn1862 <= state(11) AND not_mode_message_no_data ;
   rtlcn1706 <= state(15) OR rtlcn1862 ;
   rtlcn1863 <= rtlcn705 AND rtlcn1706 ;
   rtlcn1504 <= rtlcn1863 OR rtlcn1864 ;
   rtlcn1865 <= state(12) AND mode_message_no_data ;
   rtlcn1866 <= state(13) AND read_ack ;
   rtlcn1707 <= rtlcn1865 OR rtlcn1866 ;
   rtlcn1867 <= state(11) AND not_rtlcn705 ;
   rtlcn1509 <= rtlcn1867 OR rtlcn1707 ;
   rtlcn1690 <= not_state_16 OR not_rtlcn705 ;
   rtlcn1667 <= not_state_7 AND rtlcn1654 ;
   rtlcn1870 <= rtlcn1650 AND rtlcn1654 ;
   rtlcn1681 <= rtlcn1667 OR rtlcn1870 ;
   rtlcn1687 <= write_ack OR rtlcs14 ;
   rtlcn1872 <= state(14) AND rtlcn1687 ;
   rtlc_2563_or_1241 : or_4u_4u port map ( a(3)=>rtlcn1684, a(2)=>rtlcn1853, 
      a(1)=>rtlcn1872, a(0)=>rtlcn1873, d=>rtlcn1709);
   rtlcn1708 <= rtlcn1874 OR rtlcn1848 ;
   rtlc_2569_and_1242 : and_4u_4u port map ( a(3)=>not_RT2RT_int, a(2)=>
      rtlcn1662, a(1)=>not_rtlcn1669, a(0)=>rtlcn1681, d=>rtlcn1878);
   rtlcn1879 <= state(17) AND rtlc20n6164 ;
   rtlcn1881 <= not_rtlc20n5893 AND rtlcn1671 ;
   rtlcn1532 <= rtlcn1651 OR rtlcn1710 ;
   rtlcn1658 <= not_state_5 OR not_read_ack ;
   rtlcn1689 <= not_RT2RT_int OR not_Tx_message ;
   rtlcn1884 <= state(0) AND ENC_TEST_Go ;
   rtlcn1885 <= rtlcn1653 AND rtlcn1689 ;
   rtlcn1711 <= rtlcn1884 OR rtlcn1885 ;
   rtlcn1890 <= state(5) AND not_rtlcn1678 ;
   rtlcn1562 <= rtlcn1651 OR rtlcn1890 ;
   rtlcn1874 <= state(7) AND rtlcn1650 ;
   not_rtlc20n6893 <= NOT rtlc20n6893 ;
   rtlc_2784_or_1248 : or_5u_5u port map ( a(4)=>state(9), a(3)=>state(11), 
      a(2)=>rtlcn194, a(1)=>rtlcn260, a(0)=>rtlcn264, d=>rtlcn1936);
   not_rtlcn1936 <= NOT rtlcn1936 ;
   rtlc_2786_or_1249 : or_5u_5u port map ( a(4)=>state(7), a(3)=>state(8), 
      a(2)=>state(9), a(1)=>state(16), a(0)=>rtlcn660, d=>rtlcn1937);
   not_rtlcn1937 <= NOT rtlcn1937 ;
   rtlc_2788_or_1250 : or_4u_4u port map ( a(3)=>state(7), a(2)=>state(8), 
      a(1)=>state(9), a(0)=>rtlcn1518, d=>rtlcn1938);
   not_rtlcn1938 <= NOT rtlcn1938 ;
   rtlc_2790_or_1251 : or_5u_5u port map ( a(4)=>state(9), a(3)=>state(11), 
      a(2)=>rtlcn194, a(1)=>rtlcn260, a(0)=>rtlcn1536, d=>rtlcn1939);
   not_rtlcn1939 <= NOT rtlcn1939 ;
   not_rtlcn1940 <= NOT rtlcn1940 ;
   not_rtlcn1941 <= NOT rtlcn1941 ;
   not_rtlcn1942 <= NOT rtlcn1942 ;
   not_rtlcn1943 <= NOT rtlcn1943 ;
   not_rtlcn1944 <= NOT rtlcn1944 ;
   not_rtlcn1945 <= NOT rtlcn1945 ;
   not_rtlcn1946 <= NOT rtlcn1946 ;
   RCV_16n5ss1_4 <= RCV_A_R_Data(0) when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_R_Data(0) ;
   RCV_16n5ss1_5 <= RCV_A_R_Data(1) when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_R_Data(1) ;
   RCV_16n5ss1_6 <= RCV_A_R_Data(2) when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_R_Data(2) ;
   RCV_16n5ss1_7 <= RCV_A_R_Data(3) when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_R_Data(3) ;
   RCV_16n5ss1_8 <= RCV_A_R_Data(4) when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_R_Data(4) ;
   RCV_16n5ss1_9 <= RCV_A_R_Data(5) when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_R_Data(5) ;
   RCV_16n5ss1_10 <= RCV_A_R_Data(6) when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_R_Data(6) ;
   RCV_16n5ss1_11 <= RCV_A_R_Data(7) when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_R_Data(7) ;
   RCV_16n5ss1_12 <= RCV_A_R_Data(8) when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_R_Data(8) ;
   RCV_16n5ss1_13 <= RCV_A_R_Data(9) when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_R_Data(9) ;
   RCV_16n5ss1_14 <= RCV_A_R_Data(10) when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_R_Data(10) ;
   RCV_16n5ss1_15 <= RCV_A_R_Data(11) when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_R_Data(11) ;
   RCV_16n5ss1_16 <= RCV_A_R_Data(12) when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_R_Data(12) ;
   RCV_16n5ss1_17 <= RCV_A_R_Data(13) when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_R_Data(13) ;
   RCV_16n5ss1_18 <= RCV_A_R_Data(14) when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_R_Data(14) ;
   RCV_16n5ss1_19 <= RCV_A_R_Data(15) when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_R_Data(15) ;
   RCV_16n5ss1_34 <= RCV_A_Gap_found(0) when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_Gap_found(0) ;
   RCV_16n5ss1_35 <= RCV_A_Gap_found(1) when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_Gap_found(1) ;
   RCV_16n5ss1_36 <= RCV_A_Gap_found(2) when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_Gap_found(2) ;
   RCV_16n5ss1_39 <= RCV_A_CS when Tx_Bus_A_EXMPLR2371 = '1' else RCV_B_CS ;
   RCV_16n5ss1_40 <= RCV_A_Pre_EchoRdy when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_Pre_EchoRdy ;
   RCV_16n5ss1_41 <= RCV_A_Command_Sync when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_Command_Sync ;
   RCV_16n5ss1_42 <= RCV_A_Pre_RxRdy when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_Pre_RxRdy ;
   RCV_16n5ss1_43 <= RCV_A_recieving when Tx_Bus_A_EXMPLR2371 = '1' else 
   RCV_B_recieving ;
   Sync_error_16n5ss1 <= RCV_A_Sync_error when Tx_Bus_A_EXMPLR2371
    = '1' else RCV_B_Sync_error ;
   time_out_counter_var_20n97ss1_0 <= rtlcs8 when Set_time_out_to_rcv
    = '1' else time_out_counter_var_20n92s1(0) ;
   time_out_counter_var_20n97ss1_6 <= rtlcs8 when Set_time_out_to_rcv
    = '1' else time_out_counter_var_20n92s1(6) ;
   rtlc20n5809 <= rtlc20n5806 when read_ack = '1' else not_read_req ;
   active_command_20n83ss1_10 <= first_command_10 when rtlcn372 = '1' else 
   Tx_Data(10) ;
   active_command_20n83ss1_15 <= first_command_15 when rtlcn372 = '1' else 
   Tx_Data(15) ;
   active_command_20n83ss1_14 <= first_command_14 when rtlcn372 = '1' else 
   Tx_Data(14) ;
   active_command_20n83ss1_13 <= first_command_13 when rtlcn372 = '1' else 
   Tx_Data(13) ;
   active_command_20n83ss1_12 <= first_command_12 when rtlcn372 = '1' else 
   Tx_Data(12) ;
   active_command_20n83ss1_11 <= first_command_11 when rtlcn372 = '1' else 
   Tx_Data(11) ;
   active_command_20n83ss1_9 <= first_command_9 when rtlcn372 = '1' else 
   Tx_Data(9) ;
   active_command_20n83ss1_8 <= first_command_8 when rtlcn372 = '1' else 
   Tx_Data(8) ;
   active_command_20n83ss1_7 <= first_command_7 when rtlcn372 = '1' else 
   Tx_Data(7) ;
   active_command_20n83ss1_6 <= first_command_6 when rtlcn372 = '1' else 
   Tx_Data(6) ;
   active_command_20n83ss1_5 <= first_command_5 when rtlcn372 = '1' else 
   Tx_Data(5) ;
   active_command_20n83ss1_3 <= first_command_3 when rtlcn372 = '1' else 
   Tx_Data(3) ;
   active_command_20n83ss1_2 <= first_command_2 when rtlcn372 = '1' else 
   Tx_Data(2) ;
   active_command_20n83ss1_1 <= first_command_1 when rtlcn372 = '1' else 
   Tx_Data(1) ;
   active_command_20n83ss1_0 <= first_command_0 when rtlcn372 = '1' else 
   Tx_Data(0) ;
   not_Go <= NOT Go ;
   rtlc20n5750 <= not_Go OR ENC_TEST_Go ;
   not_rtlc20n5750 <= NOT rtlc20n5750 ;
   rtlcn1952 <= not_rtlc20n5750 OR not_state_0 ;
   not_state_10 <= NOT state(10) ;
   not_rtlcn235 <= NOT rtlcn235 ;
   rtlcn1978 <= not_rtlcn235 AND rtlcn1959 ;
   rtlcn1963 <= timeout OR rtlcn1978 ;
   not_RCV_Pre_RxRdy <= NOT RCV_Pre_RxRdy ;
   not_rtlcn225 <= NOT rtlcn225 ;
   rtlc20n7159 <= CE AND not_rtlcn225 ;
   not_rtlcn223 <= NOT rtlcn223 ;
   rtlc20n7158 <= CE AND not_rtlcn223 ;
   not_rtlc20n6201 <= NOT rtlc20n6201 ;
   rtlc20n7156 <= CE AND not_rtlc20n6201 ;
   not_rtlc20n6200 <= NOT rtlc20n6200 ;
   rtlc20n7155 <= CE AND not_rtlc20n6200 ;
   rtlc20n5931 <= not_RCV_Pre_RxRdy OR timeout ;
   rtlcn1954 <= not_rtlcn237 OR rtlcn705 ;
   not_rtlcn1954 <= NOT rtlcn1954 ;
   rtlcn1986 <= rtlc20n5931 AND rtlcn210 ;
   not_rtlcn1947 <= NOT rtlcn1947 ;
   not_rtlcn1477 <= NOT rtlcn1477 ;
   rtlcn1966 <= not_rtlcn1947 OR not_rtlcn1477 ;
   rtlc20n7143 <= CE AND rtlcn1966 ;
   rtlcn1991 <= not_rtlcs14 AND write_ack ;
   rtlcn1949 <= not_state_14 OR rtlcn1991 ;
   not_state_12 <= NOT state(12) ;
   rtlcn1950 <= not_mode_message_no_data OR not_state_12 ;
   not_rtlcn1964 <= NOT rtlcn1964 ;
   rtlcn1955 <= not_state_3 OR not_rtlcn1964 ;
   not_rtlcn1703 <= NOT rtlcn1703 ;
   rtlc_3001_and_1254 : and_4u_4u port map ( a(3)=>rtlc20n7224, a(2)=>
      rtlcn1949, a(1)=>rtlcn1950, a(0)=>rtlcn1955, d=>rtlcn2000);
   rtlcn1967 <= not_rtlcn1703 OR rtlcn2000 ;
   rtlc20n7141 <= CE AND rtlcn1967 ;
   not_rtlc20n6934 <= NOT rtlc20n6934 ;
   rtlcn1960 <= timeout OR not_rtlc20n6934 ;
   not_rtlc20n6318 <= NOT rtlc20n6318 ;
   rtlcn1961 <= rtlcs17 OR not_rtlc20n6318 ;
   rtlcn1968 <= rtlcn1958 OR rtlcn1961 ;
   rtlc20n7136 <= CE AND rtlcn1968 ;
   not_rtlcn1961 <= NOT rtlcn1961 ;
   rtlcn1969 <= rtlcn1958 OR rtlcn2005 ;
   rtlc20n7134 <= CE AND rtlcn1969 ;
   rtlcn2007 <= Tx_message AND not_rtlcs13 ;
   rtlc20n5808 <= not_read_ack OR rtlcn2007 ;
   rtlc_3026_or_1256 : or_4u_4u port map ( a(3)=>Tx_message, a(2)=>RT2RT_int, 
      a(1)=>rtlcn1964, a(0)=>rtlcs13, d=>rtlcn1970);
   not_CE <= NOT CE ;
   rtlcn2009 <= rtlc20n5808 AND state(5) ;
   rtlcn2010 <= rtlc20n5931 AND state(8) ;
   rtlcn2013 <= state(15) AND not_rtlcn705 ;
   rtlcn2014 <= state(3) AND rtlcn1970 ;
   rtlc_3034_or_1257 : or_7u_7u port map ( a(6)=>not_rtlc20n7218, a(5)=>
      rtlcn1836, a(4)=>not_CE, a(3)=>rtlcn2009, a(2)=>rtlcn2010, a(1)=>
      rtlcn2013, a(0)=>rtlcn2014, d=>rtlcn1948);
   not_rtlcn1948 <= NOT rtlcn1948 ;
   not_rtlc20n6195 <= NOT rtlc20n6195 ;
   rtlc20n7119 <= CE AND not_rtlc20n6195 ;
   not_rtlc20n6194 <= NOT rtlc20n6194 ;
   rtlc20n7103 <= CE AND not_rtlc20n6194 ;
   not_rtlc20n6193 <= NOT rtlc20n6193 ;
   rtlc20n7087 <= CE AND not_rtlc20n6193 ;
   not_rtlcn221 <= NOT rtlcn221 ;
   rtlc20n7086 <= CE AND not_rtlcn221 ;
   not_rtlcn219 <= NOT rtlcn219 ;
   rtlc20n7085 <= CE AND not_rtlcn219 ;
   not_rtlc20n5931 <= NOT rtlc20n5931 ;
   rtlcn1951 <= not_rtlc20n5931 OR not_rtlcn241 ;
   not_rtlc20n7202 <= NOT rtlc20n7202 ;
   rtlc_3051_and_1258 : and_6u_6u port map ( a(5)=>CE, a(4)=>not_rtlc20n7202, 
      a(3)=>rtlcn1949, a(2)=>rtlcn1950, a(1)=>rtlcn1951, a(0)=>rtlcn1954, d
      =>rtlc20n7068);
   rtlc20n7066 <= CE AND not_rtlcn1947 ;
   rtlc20n7065 <= CE AND write_req ;
   not_rtlc20n6188 <= NOT rtlc20n6188 ;
   rtlc20n7048 <= CE AND not_rtlc20n6188 ;
   rtlc20n7047 <= CE AND read_req ;
   Response_timeout_Error_20n33ss1 <= not_Found_errors AND rtlcn2024 ;
   Found_wrong_word_count_20n83ss1 <= not_Found_errors AND rtlcn2025 ;
   rtlc20n6201 <= not_FE_All_Errors AND rtlcn2026 ;
   rtlc20n6194 <= rtlc20n5768 OR not_state_3 ;
   rtlc_3073_and_1262 : and_16u_16u port map ( a(15)=>Tx_Data(15), a(14)=>
      Tx_Data(14), a(13)=>Tx_Data(13), a(12)=>Tx_Data(12), a(11)=>
      Tx_Data(11), a(10)=>Tx_Data(10), a(9)=>Tx_Data(9), a(8)=>Tx_Data(8), 
      a(7)=>Tx_Data(7), a(6)=>Tx_Data(6), a(5)=>Tx_Data(5), a(4)=>Tx_Data(4), 
      a(3)=>Tx_Data(3), a(2)=>Tx_Data(2), a(1)=>Tx_Data(1), a(0)=>Tx_Data(0), 
      d=>rtlcs13);
   rtlcn1945 <= state(6) OR rtlcn1612 ;
   BCR_message_and_10i1 : and_5u_5u port map ( a(4)=>active_command_15, a(3)
      =>active_command_14, a(2)=>active_command_13, a(1)=>active_command_12, 
      a(0)=>active_command_11, d=>BCR_message_10n2s2);
   state_fsm_20n76ss1_10 <= not_BCR_message AND rtlcn705 ;
   not_active_command_9 <= NOT active_command_9 ;
   not_active_command_8 <= NOT active_command_8 ;
   not_active_command_7 <= NOT active_command_7 ;
   not_active_command_6 <= NOT active_command_6 ;
   not_active_command_5 <= NOT active_command_5 ;
   mode_message_no_data_and_10i3 : and_5u_5u port map ( a(4)=>
      not_active_command_9, a(3)=>not_active_command_8, a(2)=>
      not_active_command_7, a(1)=>not_active_command_6, a(0)=>
      not_active_command_5, d=>mode_message_no_data_10n2s6);
   not_active_command_3 <= NOT active_command_3 ;
   not_active_command_2 <= NOT active_command_2 ;
   not_active_command_1 <= NOT active_command_1 ;
   not_active_command_0 <= NOT active_command_0 ;
   rtlc_3094_and_1266 : and_4u_4u port map ( a(3)=>not_active_command_3, 
      a(2)=>not_active_command_2, a(1)=>not_active_command_1, a(0)=>
      not_active_command_0, d=>rtlcs3);
   word_counter_20n83ss1(4) <= word_counter_20n69s1(4) AND rtlcn190 ;
   word_counter_20n83ss1(3) <= word_counter_20n69s1(3) AND rtlcn190 ;
   word_counter_20n83ss1(2) <= word_counter_20n69s1(2) AND rtlcn190 ;
   word_counter_20n83ss1(1) <= word_counter_20n69s1(1) AND rtlcn190 ;
   word_counter_20n83ss1(5) <= word_counter_20n69s1(5) AND rtlcn190 ;
   not_word_counter_4 <= NOT word_counter(4) ;
   rtlcs14 <= not_word_counter_4 AND rtlcs21 ;
   not_word_counter_5 <= NOT word_counter(5) ;
   not_word_counter_3 <= NOT word_counter(3) ;
   not_word_counter_2 <= NOT word_counter(2) ;
   not_word_counter_1 <= NOT word_counter(1) ;
   state_fsm_20n33ss1_10 <= RT2RT_int AND rtlcn1214 ;
   not_word_counter_0 <= NOT word_counter(0) ;
   ME_message_20n83ss1 <= RCV_R_Data(10) AND not_state_0 ;
   BUSY_message_20n83ss1 <= RCV_R_Data(3) AND not_state_0 ;
   state_fsm_20n43ss1_10 <= RT2RT_int AND rtlcn2073 ;
   state_fsm_20n45ss1_10 <= RT2RT_int AND rtlcs14 ;
   not_Down_count_5 <= NOT Down_count(5) ;
   not_Down_count_4 <= NOT Down_count(4) ;
   not_Down_count_3 <= NOT Down_count(3) ;
   not_Down_count_2 <= NOT Down_count(2) ;
   not_Down_count_1 <= NOT Down_count(1) ;
   not_Down_count_0 <= NOT Down_count(0) ;
   rtlc_3151_and_1268 : and_6u_6u port map ( a(5)=>not_Down_count_5, a(4)=>
      not_Down_count_4, a(3)=>not_Down_count_3, a(2)=>not_Down_count_2, a(1)
      =>not_Down_count_1, a(0)=>not_Down_count_0, d=>rtlcs5);
   read_ack_and_20i35 : and_6u_6u port map ( a(5)=>not_Down_count_5, a(4)=>
      not_Down_count_4, a(3)=>not_Down_count_3, a(2)=>not_Down_count_2, a(1)
      =>not_Down_count_1, a(0)=>Down_count(0), d=>read_ack_20n87s2);
   RT2RT_int_20n83ss1 <= RT2RT AND not_state_5 ;
   state_fsm_20n23ss1_17 <= BCR_message AND rtlcn705 ;
   state_fsm_20n45ss1_17 <= not_RT2RT_int AND rtlcs14 ;
   state_fsm_20n63ss1_17 <= BCR_message AND rtlcn1723 ;
   state_fsm_20n32ss1_17 <= not_RT2RT_int AND rtlcn1222 ;
   not_No_Response_timeout_1 <= NOT No_Response_timeout(1) ;
   time_out_counter_var_20n99ss1(6) <= time_out_counter_var_20n97ss1_6 AND 
   rtlcn768 ;
   not_us_counter_4 <= NOT us_counter(4) ;
   not_us_counter_3 <= NOT us_counter(3) ;
   not_No_Response_timeout_0 <= NOT No_Response_timeout(0) ;
   time_out_counter_var_20n99ss1(3) <= time_out_counter_var_20n97ss1_3 AND 
   rtlcn768 ;
   rtlcn1940 <= rtlcn810 OR rtlcn811 ;
   time_out_counter_var_20n99ss1(2) <= time_out_counter_var_20n98ss1_2 OR 
   Set_time_out_to_5us ;
   not_rtlcn768 <= NOT rtlcn768 ;
   time_out_counter_var_20n99ss1(0) <= time_out_counter_var_20n97ss1_0 OR 
   not_rtlcn768 ;
   time_out_counter_var_20n99ss1(7) <= time_out_counter_var_20n97ss1_7 AND 
   rtlcn768 ;
   not_time_out_counter_var_7 <= NOT time_out_counter_var(7) ;
   not_time_out_counter_var_6 <= NOT time_out_counter_var(6) ;
   not_time_out_counter_var_5 <= NOT time_out_counter_var(5) ;
   not_time_out_counter_var_4 <= NOT time_out_counter_var(4) ;
   not_time_out_counter_var_3 <= NOT time_out_counter_var(3) ;
   not_time_out_counter_var_2 <= NOT time_out_counter_var(2) ;
   not_time_out_counter_var_1 <= NOT time_out_counter_var(1) ;
   not_time_out_counter_var_0 <= NOT time_out_counter_var(0) ;
   rtlc_3203_and_1275 : and_8u_8u port map ( a(7)=>
      not_time_out_counter_var_7, a(6)=>not_time_out_counter_var_6, a(5)=>
      not_time_out_counter_var_5, a(4)=>not_time_out_counter_var_4, a(3)=>
      not_time_out_counter_var_3, a(2)=>not_time_out_counter_var_2, a(1)=>
      not_time_out_counter_var_1, a(0)=>not_time_out_counter_var_0, d=>
      rtlcs17);
   rtlcn1942 <= timeout OR RCV_Pre_RxRdy ;
   rtlcn1946 <= rtlcn1657 OR rtlcn1658 ;
   Rx_Data_20n83ss1(0) <= RCV_R_Data(0) OR state(2) ;
   Rx_Data_20n83ss1(1) <= RCV_R_Data(1) OR state(2) ;
   Rx_Data_20n83ss1(2) <= RCV_R_Data(2) OR state(2) ;
   Rx_Data_20n83ss1(3) <= RCV_R_Data(3) OR state(2) ;
   Rx_Data_20n83ss1(4) <= RCV_R_Data(4) OR state(2) ;
   Rx_Data_20n83ss1(5) <= RCV_R_Data(5) OR state(2) ;
   Rx_Data_20n83ss1(6) <= RCV_R_Data(6) OR state(2) ;
   Rx_Data_20n83ss1(7) <= RCV_R_Data(7) OR state(2) ;
   Rx_Data_20n83ss1(8) <= RCV_R_Data(8) OR state(2) ;
   Rx_Data_20n83ss1(9) <= RCV_R_Data(9) OR state(2) ;
   Rx_Data_20n83ss1(10) <= RCV_R_Data(10) OR state(2) ;
   Rx_Data_20n83ss1(11) <= RCV_R_Data(11) OR state(2) ;
   Rx_Data_20n83ss1(12) <= RCV_R_Data(12) OR state(2) ;
   Rx_Data_20n83ss1(13) <= RCV_R_Data(13) OR state(2) ;
   Rx_Data_20n83ss1(14) <= RCV_R_Data(14) OR state(2) ;
   Rx_Data_20n83ss1(15) <= RCV_R_Data(15) OR state(2) ;
   not_rtlcn885 <= NOT rtlcn885 ;
   Found_errors_20n83ss1 <= not_Go OR not_rtlcn885 ;
   rtlcn1943 <= rtlc20n5897 OR rtlc20n5911 ;
   not_RCV_Gap_found_2 <= NOT RCV_Gap_found(2) ;
   not_RCV_Gap_found_1 <= NOT RCV_Gap_found(1) ;
   not_RCV_Gap_found_0 <= NOT RCV_Gap_found(0) ;
   FE_All_Errors_20n21ss1 <= not_Found_errors AND not_RCV_CS ;
   FE_All_Errors_20n22ss1 <= FE_All_Errors_20n21ss1 AND RCV_Pre_EchoRdy ;
   rtlcn2026 <= rtlc20n5750 OR not_state_0 ;
   rtlcn1941 <= rtlcn878 OR rtlcn882 ;
   Response_timeout_Error_20n83ss1 <= Response_timeout_Error_20n33ss1 AND 
   rtlcn210 ;
   rtlcn1944 <= rtlcn1120 OR rtlcn1121 ;
   Bus_Coupling_error_20n83ss1 <= Loopback_error_20n18s1 AND rtlcn1123 ;
   BC_logic_error_20n83ss1 <= not_Found_errors AND rtlcn1562 ;
   Wrong_Sync_error_20n83ss1 <= not_Found_errors AND rtlcn1186 ;
   Good_data_block_recieved_20n83ss1 <= Loopback_error_20n18s1 AND state(9)
    ;
   not_rtlcn210 <= NOT rtlcn210 ;
   rtlcn225 <= rtlc20n5931 OR not_rtlcn210 ;
   rtlcn2075 <= read_req OR write_req ;
   Found_Format_Error_20n83ss1 <= not_Found_errors AND rtlcn2236 ;
   rtlcn1791 <= RCV_CS AND RCV_Command_Sync ;
   rtlc20n6823 <= rtlcn122 AND us_counter(5) ;
   rtlcn1723 <= mode_message_no_data AND rtlcn705 ;
   rtlcn2073 <= timeout AND rtlc20n5893 ;
   modgen_counter_Energy_Count : 
      counter_up_cnt_en_sclear_aclear_clock_clk_en_0_10 port map ( clock=>C, 
      q(9)=>Energy_Count(9), q(8)=>Energy_Count(8), q(7)=>Energy_Count(7), 
      q(6)=>Energy_Count(6), q(5)=>Energy_Count(5), q(4)=>Energy_Count(4), 
      q(3)=>Energy_Count(3), q(2)=>Energy_Count(2), q(1)=>Energy_Count(1), 
      q(0)=>Energy_Count(0), clk_en=>CE, aclear=>not_R, sload=>
      Debug_2_EXMPLR2427, data(9)=>DANGLING(2), data(8)=>DANGLING(3), 
      data(7)=>DANGLING(4), data(6)=>DANGLING(5), data(5)=>DANGLING(6), 
      data(4)=>DANGLING(7), data(3)=>DANGLING(8), data(2)=>DANGLING(9), 
      data(1)=>DANGLING(10), data(0)=>DANGLING(11), aset=>Debug_2_EXMPLR2427, 
      sclear=>rtlc13n27, updn=>PWR, cnt_en=>rtlc13n39);
   rtlcn2242 <= rtlcn2075 OR rtlc20n6622 ;
   modgen_dec_1277 : dec_6u_6u_0 port map ( cin=>Debug_2_EXMPLR2427, a(5)=>
      Down_count(5), a(4)=>Down_count(4), a(3)=>Down_count(3), a(2)=>
      Down_count(2), a(1)=>Down_count(1), a(0)=>Down_count(0), d(5)=>
      rtlcn2572(5), d(4)=>rtlcn2572(4), d(3)=>rtlcn2572(3), d(2)=>
      rtlcn2572(2), d(1)=>rtlcn2572(1), d(0)=>rtlcn2572(0), cout=>DANGLING(
      12));
   rtlcn2244 <= CE AND rtlcn2242 ;
   modgen_counter_us_counter : counter_up_sclear_aclear_clock_clk_en_0_6
       port map ( clock=>C, q(5)=>us_counter(5), q(4)=>us_counter(4), q(3)=>
      us_counter(3), q(2)=>us_counter(2), q(1)=>us_counter(1), q(0)=>
      us_counter(0), clk_en=>CE, aclear=>not_R, sload=>Debug_2_EXMPLR2427, 
      data(5)=>DANGLING(13), data(4)=>DANGLING(14), data(3)=>DANGLING(15), 
      data(2)=>DANGLING(16), data(1)=>DANGLING(17), data(0)=>DANGLING(18), 
      aset=>Debug_2_EXMPLR2427, sclear=>rtlc20_X_0_n6667, updn=>PWR, cnt_en
      =>PWR);
   rtlceq_s39_eq_1278 : eq_5u_5u port map ( a(4)=>first_command_15, a(3)=>
      first_command_14, a(2)=>first_command_13, a(1)=>first_command_12, a(0)
      =>first_command_11, b(4)=>RCV_R_Data(15), b(3)=>RCV_R_Data(14), b(2)=>
      RCV_R_Data(13), b(1)=>RCV_R_Data(12), b(0)=>RCV_R_Data(11), d=>rtlcs19
   );
   rtlceq_s41_eq_1279 : eq_5u_5u port map ( a(4)=>active_command_15, a(3)=>
      active_command_14, a(2)=>active_command_13, a(1)=>active_command_12, 
      a(0)=>active_command_11, b(4)=>RCV_R_Data(15), b(3)=>RCV_R_Data(14), 
      b(2)=>RCV_R_Data(13), b(1)=>RCV_R_Data(12), b(0)=>RCV_R_Data(11), d=>
      rtlcs20);
   rtlceq_s43_eq_1280 : eq_5u_5u port map ( a(4)=>WC_5, a(3)=>WC_3, a(2)=>
      WC_2, a(1)=>WC_1, a(0)=>WC_0, b(4)=>word_counter(5), b(3)=>
      word_counter(3), b(2)=>word_counter(2), b(1)=>word_counter(1), b(0)=>
      word_counter(0), d=>rtlcs21);
   DFFPC (RCV_A_recieving,Debug_2_EXMPLR2427,not_R,C,recieving_on_A) ;
   DFFPC (RCV_B_recieving,Debug_2_EXMPLR2427,not_R,C,recieving_on_B) ;
   DFFPCE (mode_message_no_data_10n2s2,Debug_2_EXMPLR2427,not_R,CE,C,
   mode_message_no_data) ;
   DFFPCE (active_command_10,Debug_2_EXMPLR2427,not_R,CE,C,Tx_message) ;
   DFFPCE (BCR_message_10n2s2,Debug_2_EXMPLR2427,not_R,CE,C,BCR_message) ;
   DFFPCE (rtlcs3,Debug_2_EXMPLR2427,not_R,CE,C,WC_5) ;
   DFFPCE (active_command_3,Debug_2_EXMPLR2427,not_R,CE,C,WC_3) ;
   DFFPCE (active_command_2,Debug_2_EXMPLR2427,not_R,CE,C,WC_2) ;
   DFFPCE (active_command_1,Debug_2_EXMPLR2427,not_R,CE,C,WC_1) ;
   DFFPCE (active_command_0,Debug_2_EXMPLR2427,not_R,CE,C,WC_0) ;
   DFFPCE (Sync_error_16n5ss1,Debug_2_EXMPLR2427,not_R,CE,C,Sync_error) ;
   DFFPCE (RCV_16n5ss1_43,Debug_2_EXMPLR2427,not_R,CE,C,RCV_recieving) ;
   DFFPCE (RCV_16n5ss1_42,Debug_2_EXMPLR2427,not_R,CE,C,RCV_Pre_RxRdy) ;
   DFFPCE (RCV_16n5ss1_41,Debug_2_EXMPLR2427,not_R,CE,C,RCV_Command_Sync) ;
   DFFPCE (RCV_16n5ss1_40,Debug_2_EXMPLR2427,not_R,CE,C,RCV_Pre_EchoRdy) ;
   DFFPCE (RCV_16n5ss1_39,Debug_2_EXMPLR2427,not_R,CE,C,RCV_CS) ;
   DFFPCE (RCV_16n5ss1_36,Debug_2_EXMPLR2427,not_R,CE,C,RCV_Gap_found(2)) ;
   DFFPCE (RCV_16n5ss1_35,Debug_2_EXMPLR2427,not_R,CE,C,RCV_Gap_found(1)) ;
   DFFPCE (RCV_16n5ss1_34,Debug_2_EXMPLR2427,not_R,CE,C,RCV_Gap_found(0)) ;
   DFFPCE (RCV_16n5ss1_19,Debug_2_EXMPLR2427,not_R,CE,C,RCV_R_Data(15)) ;
   DFFPCE (RCV_16n5ss1_18,Debug_2_EXMPLR2427,not_R,CE,C,RCV_R_Data(14)) ;
   DFFPCE (RCV_16n5ss1_17,Debug_2_EXMPLR2427,not_R,CE,C,RCV_R_Data(13)) ;
   DFFPCE (RCV_16n5ss1_16,Debug_2_EXMPLR2427,not_R,CE,C,RCV_R_Data(12)) ;
   DFFPCE (RCV_16n5ss1_15,Debug_2_EXMPLR2427,not_R,CE,C,RCV_R_Data(11)) ;
   DFFPCE (RCV_16n5ss1_14,Debug_2_EXMPLR2427,not_R,CE,C,RCV_R_Data(10)) ;
   DFFPCE (RCV_16n5ss1_13,Debug_2_EXMPLR2427,not_R,CE,C,RCV_R_Data(9)) ;
   DFFPCE (RCV_16n5ss1_12,Debug_2_EXMPLR2427,not_R,CE,C,RCV_R_Data(8)) ;
   DFFPCE (RCV_16n5ss1_11,Debug_2_EXMPLR2427,not_R,CE,C,RCV_R_Data(7)) ;
   DFFPCE (RCV_16n5ss1_10,Debug_2_EXMPLR2427,not_R,CE,C,RCV_R_Data(6)) ;
   DFFPCE (RCV_16n5ss1_9,Debug_2_EXMPLR2427,not_R,CE,C,RCV_R_Data(5)) ;
   DFFPCE (RCV_16n5ss1_8,Debug_2_EXMPLR2427,not_R,CE,C,RCV_R_Data(4)) ;
   DFFPCE (RCV_16n5ss1_7,Debug_2_EXMPLR2427,not_R,CE,C,RCV_R_Data(3)) ;
   DFFPCE (RCV_16n5ss1_6,Debug_2_EXMPLR2427,not_R,CE,C,RCV_R_Data(2)) ;
   DFFPCE (RCV_16n5ss1_5,Debug_2_EXMPLR2427,not_R,CE,C,RCV_R_Data(1)) ;
   DFFPCE (RCV_16n5ss1_4,Debug_2_EXMPLR2427,not_R,CE,C,RCV_R_Data(0)) ;
   DFFPCE (rtlcn668,Debug_2_EXMPLR2427,not_R,rtlc20n7195,C,state(19)) ;
   DFFPCE (rtlcn1532,Debug_2_EXMPLR2427,not_R,rtlc20n7195,C,state(18)) ;
   DFFPCE (state_fsm_20n83ss1_17,Debug_2_EXMPLR2427,not_R,rtlc20n7195,C,
   state(17)) ;
   DFFPCE (rtlcn1514,Debug_2_EXMPLR2427,not_R,rtlc20n7195,C,state(16)) ;
   DFFPCE (rtlcn1498,Debug_2_EXMPLR2427,not_R,rtlc20n7195,C,state(15)) ;
   DFFPCE (rtlcn1504,Debug_2_EXMPLR2427,not_R,rtlc20n7195,C,state(14)) ;
   DFFPCE (rtlcn616,Debug_2_EXMPLR2427,not_R,rtlc20n7195,C,state(13)) ;
   DFFPCE (rtlcn361,Debug_2_EXMPLR2427,not_R,rtlc20n7195,C,state(12)) ;
   DFFPCE (rtlcn1509,Debug_2_EXMPLR2427,not_R,rtlc20n7195,C,state(11)) ;
   DFFPCE (state_fsm_20n83ss1_10,Debug_2_EXMPLR2427,not_R,rtlc20n7195,C,
   state(10)) ;
   DFFPCE (rtlcn1615,Debug_2_EXMPLR2427,not_R,rtlc20n7195,C,state(9)) ;
   DFFPCE (rtlcn1491,Debug_2_EXMPLR2427,not_R,rtlc20n7195,C,state(8)) ;
   DFFPCE (state_fsm_20n83ss1_7,Debug_2_EXMPLR2427,not_R,rtlc20n7195,C,
   state(7)) ;
   DFFPCE (rtlcn1485,Debug_2_EXMPLR2427,not_R,rtlc20n7195,C,state(6)) ;
   DFFPCE (rtlcn1469,Debug_2_EXMPLR2427,not_R,rtlc20n7195,C,state(5)) ;
   DFFPCE (rtlcn1471,Debug_2_EXMPLR2427,not_R,rtlc20n7195,C,state(4)) ;
   DFFPCE (rtlcn275,Debug_2_EXMPLR2427,not_R,rtlc20n7195,C,state(3)) ;
   DFFPCE (rtlcn426,Debug_2_EXMPLR2427,not_R,rtlc20n7195,C,state(2)) ;
   DFFPCE (state(0),Debug_2_EXMPLR2427,not_R,rtlc20n7195,C,state(1)) ;
   DFFPCE (rtlcn246,not_R,Debug_2_EXMPLR2427,rtlc20n7195,C,state(0)) ;
   DFFPCE (BC_1553A_ME_20n26s1,Debug_2_EXMPLR2427,not_R,rtlc20n7159,C,
   BC_1553A_ME) ;
   DFFPCE (BUSY_message_20n83ss1,Debug_2_EXMPLR2427,not_R,rtlc20n7158,C,
   BUSY_message) ;
   DFFPCE (ME_message_20n83ss1,Debug_2_EXMPLR2427,not_R,rtlc20n7158,C,
   ME_message) ;
   DFFPCE (Found_errors_20n83ss1,Debug_2_EXMPLR2427,not_R,rtlc20n7156,C,
   Found_errors) ;
   DFFPCE (Good_data_block_recieved_20n83ss1,Debug_2_EXMPLR2427,not_R,
   rtlc20n7155,C,Good_data_block_recieved) ;
   DFFPCE (FE_All_Errors_20n83ss1,Debug_2_EXMPLR2427,not_R,CE,C,
   FE_All_Errors_EXMPLR2421) ;
   DFFPCE (Bus_Coupling_error_20n83ss1,Debug_2_EXMPLR2427,not_R,CE,C,
   Bus_Coupling_error) ;
   DFFPCE (BC_logic_error_20n83ss1,Debug_2_EXMPLR2427,not_R,CE,C,
   BC_logic_error) ;
   DFFPCE (Wrong_Sync_error_20n83ss1,Debug_2_EXMPLR2427,not_R,CE,C,
   Wrong_Sync_error) ;
   DFFPCE (Found_wrong_word_count_20n83ss1,Debug_2_EXMPLR2427,not_R,CE,C,
   Found_wrong_word_count) ;
   DFFPCE (Found_wrong_RT_Address_20n83ss1,Debug_2_EXMPLR2427,not_R,CE,C,
   Found_wrong_RT_Address) ;
   DFFPCE (Loopback_error_20n83ss1,Debug_2_EXMPLR2427,not_R,CE,C,
   Loopback_error) ;
   DFFPCE (Found_Format_Error_20n83ss1,Debug_2_EXMPLR2427,not_R,CE,C,
   Found_Format_Error) ;
   DFFPCE (Response_timeout_Error_20n83ss1,Debug_2_EXMPLR2427,not_R,CE,C,
   Response_timeout_Error) ;
   DFFPCE (write_ack_20n90s1,Debug_2_EXMPLR2427,not_R,CE,C,write_ack) ;
   DFFPCE (rtlcn1477,Debug_2_EXMPLR2427,not_R,rtlc20n7143,C,write_req) ;
   DFFPCE (read_ack_20n87s1,Debug_2_EXMPLR2427,not_R,CE,C,read_ack) ;
   DFFPCE (rtlcn319,Debug_2_EXMPLR2427,not_R,rtlc20n7141,C,read_req) ;
   DFFPCE (not_state_0,Debug_2_EXMPLR2427,not_R,rtlc20n7140,C,
   Receive_problem) ;
   DFFPCE (Set_time_out_to_rcv_20n83ss1,Debug_2_EXMPLR2427,not_R,CE,C,
   Set_time_out_to_rcv) ;
   DFFPCE (rtlcn1527,Debug_2_EXMPLR2427,not_R,CE,C,Set_time_out_to_echo) ;
   DFFPCE (Set_time_out_to_5us_20n83ss1,Debug_2_EXMPLR2427,not_R,CE,C,
   Set_time_out_to_5us) ;
   DFFPCE (rtlcn384,Debug_2_EXMPLR2427,not_R,rtlc20n7136,C,timeout) ;
   DFFPCE (not_rtlc20n6924,Debug_2_EXMPLR2427,not_R,CE,C,
   timeout_count_enable) ;
   DFFPCE (time_out_counter_var_20n99ss1(7),Debug_2_EXMPLR2427,not_R,
   rtlc20n7134,C,time_out_counter_var(7)) ;
   DFFPCE (time_out_counter_var_20n99ss1(6),Debug_2_EXMPLR2427,not_R,
   rtlc20n7134,C,time_out_counter_var(6)) ;
   DFFPCE (time_out_counter_var_20n99ss1(5),Debug_2_EXMPLR2427,not_R,
   rtlc20n7134,C,time_out_counter_var(5)) ;
   DFFPCE (time_out_counter_var_20n99ss1(4),Debug_2_EXMPLR2427,not_R,
   rtlc20n7134,C,time_out_counter_var(4)) ;
   DFFPCE (time_out_counter_var_20n99ss1(3),Debug_2_EXMPLR2427,not_R,
   rtlc20n7134,C,time_out_counter_var(3)) ;
   DFFPCE (time_out_counter_var_20n99ss1(2),Debug_2_EXMPLR2427,not_R,
   rtlc20n7134,C,time_out_counter_var(2)) ;
   DFFPCE (time_out_counter_var_20n99ss1(1),Debug_2_EXMPLR2427,not_R,
   rtlc20n7134,C,time_out_counter_var(1)) ;
   DFFPCE (time_out_counter_var_20n99ss1(0),Debug_2_EXMPLR2427,not_R,
   rtlc20n7134,C,time_out_counter_var(0)) ;
   DFFPCE (word_counter_20n83ss1(5),Debug_2_EXMPLR2427,not_R,not_rtlcn1948,C,
   word_counter(5)) ;
   DFFPCE (word_counter_20n83ss1(4),Debug_2_EXMPLR2427,not_R,not_rtlcn1948,C,
   word_counter(4)) ;
   DFFPCE (word_counter_20n83ss1(3),Debug_2_EXMPLR2427,not_R,not_rtlcn1948,C,
   word_counter(3)) ;
   DFFPCE (word_counter_20n83ss1(2),Debug_2_EXMPLR2427,not_R,not_rtlcn1948,C,
   word_counter(2)) ;
   DFFPCE (word_counter_20n83ss1(1),Debug_2_EXMPLR2427,not_R,not_rtlcn1948,C,
   word_counter(1)) ;
   DFFPCE (word_counter_20n83ss1(0),Debug_2_EXMPLR2427,not_R,not_rtlcn1948,C,
   word_counter(0)) ;
   DFFPCE (active_command_20n83ss1_15,Debug_2_EXMPLR2427,not_R,rtlc20n7119,C,
   active_command_15) ;
   DFFPCE (active_command_20n83ss1_14,Debug_2_EXMPLR2427,not_R,rtlc20n7119,C,
   active_command_14) ;
   DFFPCE (active_command_20n83ss1_13,Debug_2_EXMPLR2427,not_R,rtlc20n7119,C,
   active_command_13) ;
   DFFPCE (active_command_20n83ss1_12,Debug_2_EXMPLR2427,not_R,rtlc20n7119,C,
   active_command_12) ;
   DFFPCE (active_command_20n83ss1_11,Debug_2_EXMPLR2427,not_R,rtlc20n7119,C,
   active_command_11) ;
   DFFPCE (active_command_20n83ss1_10,Debug_2_EXMPLR2427,not_R,rtlc20n7119,C,
   active_command_10) ;
   DFFPCE (active_command_20n83ss1_9,Debug_2_EXMPLR2427,not_R,rtlc20n7119,C,
   active_command_9) ;
   DFFPCE (active_command_20n83ss1_8,Debug_2_EXMPLR2427,not_R,rtlc20n7119,C,
   active_command_8) ;
   DFFPCE (active_command_20n83ss1_7,Debug_2_EXMPLR2427,not_R,rtlc20n7119,C,
   active_command_7) ;
   DFFPCE (active_command_20n83ss1_6,Debug_2_EXMPLR2427,not_R,rtlc20n7119,C,
   active_command_6) ;
   DFFPCE (active_command_20n83ss1_5,Debug_2_EXMPLR2427,not_R,rtlc20n7119,C,
   active_command_5) ;
   DFFPCE (active_command_20n83ss1_3,Debug_2_EXMPLR2427,not_R,rtlc20n7119,C,
   active_command_3) ;
   DFFPCE (active_command_20n83ss1_2,Debug_2_EXMPLR2427,not_R,rtlc20n7119,C,
   active_command_2) ;
   DFFPCE (active_command_20n83ss1_1,Debug_2_EXMPLR2427,not_R,rtlc20n7119,C,
   active_command_1) ;
   DFFPCE (active_command_20n83ss1_0,Debug_2_EXMPLR2427,not_R,rtlc20n7119,C,
   active_command_0) ;
   DFFPCE (Tx_Data(15),Debug_2_EXMPLR2427,not_R,rtlc20n7103,C,
   first_command_15) ;
   DFFPCE (Tx_Data(14),Debug_2_EXMPLR2427,not_R,rtlc20n7103,C,
   first_command_14) ;
   DFFPCE (Tx_Data(13),Debug_2_EXMPLR2427,not_R,rtlc20n7103,C,
   first_command_13) ;
   DFFPCE (Tx_Data(12),Debug_2_EXMPLR2427,not_R,rtlc20n7103,C,
   first_command_12) ;
   DFFPCE (Tx_Data(11),Debug_2_EXMPLR2427,not_R,rtlc20n7103,C,
   first_command_11) ;
   DFFPCE (Tx_Data(10),Debug_2_EXMPLR2427,not_R,rtlc20n7103,C,
   first_command_10) ;
   DFFPCE (Tx_Data(9),Debug_2_EXMPLR2427,not_R,rtlc20n7103,C,first_command_9
   ) ;
   DFFPCE (Tx_Data(8),Debug_2_EXMPLR2427,not_R,rtlc20n7103,C,first_command_8
   ) ;
   DFFPCE (Tx_Data(7),Debug_2_EXMPLR2427,not_R,rtlc20n7103,C,first_command_7
   ) ;
   DFFPCE (Tx_Data(6),Debug_2_EXMPLR2427,not_R,rtlc20n7103,C,first_command_6
   ) ;
   DFFPCE (Tx_Data(5),Debug_2_EXMPLR2427,not_R,rtlc20n7103,C,first_command_5
   ) ;
   DFFPCE (Tx_Data(3),Debug_2_EXMPLR2427,not_R,rtlc20n7103,C,first_command_3
   ) ;
   DFFPCE (Tx_Data(2),Debug_2_EXMPLR2427,not_R,rtlc20n7103,C,first_command_2
   ) ;
   DFFPCE (Tx_Data(1),Debug_2_EXMPLR2427,not_R,rtlc20n7103,C,first_command_1
   ) ;
   DFFPCE (Tx_Data(0),Debug_2_EXMPLR2427,not_R,rtlc20n7103,C,first_command_0
   ) ;
   DFFPCE (Bus_A,Debug_2_EXMPLR2427,not_R,rtlc20n7087,C,Tx_Bus_A_EXMPLR2371)
    ;
   DFFPCE (T_Sync_20n83ss1,Debug_2_EXMPLR2427,not_R,rtlc20n7086,C,T_Sync) ;
   DFFPCE (Tx_Data(15),Debug_2_EXMPLR2427,not_R,rtlc20n7085,C,
   Transmit_data(15)) ;
   DFFPCE (Tx_Data(14),Debug_2_EXMPLR2427,not_R,rtlc20n7085,C,
   Transmit_data(14)) ;
   DFFPCE (Tx_Data(13),Debug_2_EXMPLR2427,not_R,rtlc20n7085,C,
   Transmit_data(13)) ;
   DFFPCE (Tx_Data(12),Debug_2_EXMPLR2427,not_R,rtlc20n7085,C,
   Transmit_data(12)) ;
   DFFPCE (Tx_Data(11),Debug_2_EXMPLR2427,not_R,rtlc20n7085,C,
   Transmit_data(11)) ;
   DFFPCE (Tx_Data(10),Debug_2_EXMPLR2427,not_R,rtlc20n7085,C,
   Transmit_data(10)) ;
   DFFPCE (Tx_Data(9),Debug_2_EXMPLR2427,not_R,rtlc20n7085,C,
   Transmit_data(9)) ;
   DFFPCE (Tx_Data(8),Debug_2_EXMPLR2427,not_R,rtlc20n7085,C,
   Transmit_data(8)) ;
   DFFPCE (Tx_Data(7),Debug_2_EXMPLR2427,not_R,rtlc20n7085,C,
   Transmit_data(7)) ;
   DFFPCE (Tx_Data(6),Debug_2_EXMPLR2427,not_R,rtlc20n7085,C,
   Transmit_data(6)) ;
   DFFPCE (Tx_Data(5),Debug_2_EXMPLR2427,not_R,rtlc20n7085,C,
   Transmit_data(5)) ;
   DFFPCE (Tx_Data(4),Debug_2_EXMPLR2427,not_R,rtlc20n7085,C,
   Transmit_data(4)) ;
   DFFPCE (Tx_Data(3),Debug_2_EXMPLR2427,not_R,rtlc20n7085,C,
   Transmit_data(3)) ;
   DFFPCE (Tx_Data(2),Debug_2_EXMPLR2427,not_R,rtlc20n7085,C,
   Transmit_data(2)) ;
   DFFPCE (Tx_Data(1),Debug_2_EXMPLR2427,not_R,rtlc20n7085,C,
   Transmit_data(1)) ;
   DFFPCE (Tx_Data(0),Debug_2_EXMPLR2427,not_R,rtlc20n7085,C,
   Transmit_data(0)) ;
   DFFPCE (rtlcn1543,Debug_2_EXMPLR2427,not_R,CE,C,Go_Tx) ;
   DFFPCE (rtlcn864,Debug_2_EXMPLR2427,not_R,rtlc20n7068,C,Command_Sync) ;
   DFFPCE (not_state_0,Debug_2_EXMPLR2427,not_R,CE,C,Message_Active) ;
   DFFPCE (not_rtlc20n6893,Debug_2_EXMPLR2427,not_R,rtlc20n7066,C,Echo) ;
   DFFPCE (not_rtlcs5,Debug_2_EXMPLR2427,not_R,rtlc20n7065,C,Write) ;
   DFFPCE (Rx_Data_20n83ss1(15),Debug_2_EXMPLR2427,not_R,rtlc20n7066,C,
   Rx_Data(15)) ;
   DFFPCE (Rx_Data_20n83ss1(14),Debug_2_EXMPLR2427,not_R,rtlc20n7066,C,
   Rx_Data(14)) ;
   DFFPCE (Rx_Data_20n83ss1(13),Debug_2_EXMPLR2427,not_R,rtlc20n7066,C,
   Rx_Data(13)) ;
   DFFPCE (Rx_Data_20n83ss1(12),Debug_2_EXMPLR2427,not_R,rtlc20n7066,C,
   Rx_Data(12)) ;
   DFFPCE (Rx_Data_20n83ss1(11),Debug_2_EXMPLR2427,not_R,rtlc20n7066,C,
   Rx_Data(11)) ;
   DFFPCE (Rx_Data_20n83ss1(10),Debug_2_EXMPLR2427,not_R,rtlc20n7066,C,
   Rx_Data(10)) ;
   DFFPCE (Rx_Data_20n83ss1(9),Debug_2_EXMPLR2427,not_R,rtlc20n7066,C,
   Rx_Data(9)) ;
   DFFPCE (Rx_Data_20n83ss1(8),Debug_2_EXMPLR2427,not_R,rtlc20n7066,C,
   Rx_Data(8)) ;
   DFFPCE (Rx_Data_20n83ss1(7),Debug_2_EXMPLR2427,not_R,rtlc20n7066,C,
   Rx_Data(7)) ;
   DFFPCE (Rx_Data_20n83ss1(6),Debug_2_EXMPLR2427,not_R,rtlc20n7066,C,
   Rx_Data(6)) ;
   DFFPCE (Rx_Data_20n83ss1(5),Debug_2_EXMPLR2427,not_R,rtlc20n7066,C,
   Rx_Data(5)) ;
   DFFPCE (Rx_Data_20n83ss1(4),Debug_2_EXMPLR2427,not_R,rtlc20n7066,C,
   Rx_Data(4)) ;
   DFFPCE (Rx_Data_20n83ss1(3),Debug_2_EXMPLR2427,not_R,rtlc20n7066,C,
   Rx_Data(3)) ;
   DFFPCE (Rx_Data_20n83ss1(2),Debug_2_EXMPLR2427,not_R,rtlc20n7066,C,
   Rx_Data(2)) ;
   DFFPCE (Rx_Data_20n83ss1(1),Debug_2_EXMPLR2427,not_R,rtlc20n7066,C,
   Rx_Data(1)) ;
   DFFPCE (Rx_Data_20n83ss1(0),Debug_2_EXMPLR2427,not_R,rtlc20n7066,C,
   Rx_Data(0)) ;
   DFFPCE (RT2RT_int_20n83ss1,Debug_2_EXMPLR2427,not_R,rtlc20n7048,C,
   RT2RT_int) ;
   DFFPCE (not_rtlcs5,Debug_2_EXMPLR2427,not_R,rtlc20n7047,C,Read) ;
   DFFPCE (rtlcn2243(0),not_R,Debug_2_EXMPLR2427,rtlcn2244,C,Down_count(0))
    ;
   DFFPCE (rtlcn2243(1),not_R,Debug_2_EXMPLR2427,rtlcn2244,C,Down_count(1))
    ;
   DFFPCE (rtlcn2243(2),not_R,Debug_2_EXMPLR2427,rtlcn2244,C,Down_count(2))
    ;
   DFFPCE (rtlcn2243(3),Debug_2_EXMPLR2427,not_R,rtlcn2244,C,Down_count(3))
    ;
   DFFPCE (rtlcn2243(4),Debug_2_EXMPLR2427,not_R,rtlcn2244,C,Down_count(4))
    ;
   DFFPCE (rtlcn2243(5),not_R,Debug_2_EXMPLR2427,rtlcn2244,C,Down_count(5))
    ;
   NOT_rtlc20n6622 <= NOT rtlc20n6622 ;
   rtlcn2243(4) <= rtlcn2572(4) AND NOT_rtlc20n6622 ;
   rtlcn2243(3) <= rtlcn2572(3) AND NOT_rtlc20n6622 ;
   rtlcn2243(5) <= rtlcn2572(5) OR rtlc20n6622 ;
   rtlcn2243(2) <= rtlcn2572(2) OR rtlc20n6622 ;
   rtlcn2243(1) <= rtlcn2572(1) OR rtlc20n6622 ;
   rtlcn2243(0) <= rtlcn2572(0) OR rtlc20n6622 ;
   rtlc13_61_or_1165_nx0 <= Energy_Count(5) OR Energy_Count(6) ;
   rtlc13n162 <= rtlc13_61_or_1165_nx0 OR Energy_Count(7) ;
   rtlc20_788_or_1167_nx0 <= state(7) OR state(9) ;
   rtlc20n6893 <= rtlc20_788_or_1167_nx0 OR state(10) ;
   rtlc20_846_or_1171_nx0 <= state(11) OR state(15) ;
   rtlc20n6934 <= rtlc20_846_or_1171_nx0 OR state(16) ;
   rtlc20_2324_gt_1185_nx0 <= RCV_Gap_found(0) XOR No_Response_timeout(0) ;
   rtlc20_2324_gt_1185_nx2 <= RCV_Gap_found(1) XOR No_Response_timeout(1) ;
   rtlc20_2324_gt_1185_nx4 <= RCV_Gap_found(2) XOR No_Response_timeout(2) ;
   rtlc20_3270_and_1188_nx0 <= us_counter(2) AND us_counter(1) ;
   rtlc20n7464 <= rtlc20_3270_and_1188_nx0 AND us_counter(0) ;
   rtlc20_3286_and_1189_nx0 <= Energy_Count(8) AND Energy_Count(7) ;
   rtlc20n7511 <= rtlc20_3286_and_1189_nx0 AND Energy_Count(6) ;
   rtlc_2269_and_1210_nx0 <= rtlc20n5893 AND not_RT2RT_int ;
   rtlcn1715 <= rtlc_2269_and_1210_nx0 AND rtlcn1671 ;
   rtlc_2270_or_1211_nx0 <= state(19) OR rtlcn1713 ;
   rtlcn264 <= rtlc_2270_or_1211_nx0 OR rtlcn1715 ;
   rtlc_2311_or_1212_nx0 <= Set_time_out_to_5us OR rtlcn1694 ;
   rtlcn800 <= rtlc_2311_or_1212_nx0 OR rtlcn1737 ;
   rtlc_2328_and_1213_nx0 <= not_rtlc20n6805 AND RCV_CS ;
   rtlcn878 <= rtlc_2328_and_1213_nx0 AND rtlcn1650 ;
   rtlc_2342_and_1214_nx0 <= state(8) AND not_timeout ;
   rtlcn1754 <= rtlc_2342_and_1214_nx0 AND rtlc20n5498 ;
   rtlcn1781 <= timeout AND rtlcn210 ;
   rtlcn1760 <= rtlcn1781 AND not_rtlcn1683 ;
   rtlc_2362_and_1217_nx0 <= not_rtlc20n7513 AND rtlcn1665 ;
   rtlcn1768 <= rtlc_2362_and_1217_nx0 AND rtlcn1671 ;
   rtlc_2413_and_1220_nx0 <= state(5) AND not_timeout ;
   rtlcn1794 <= rtlc_2413_and_1220_nx0 AND RCV_CS ;
   rtlc_2434_and_1221_nx0 <= not_timeout AND not_rtlcn1670 ;
   rtlcn1809 <= rtlc_2434_and_1221_nx0 AND rtlcn1685 ;
   rtlc_2453_and_1223_nx0 <= state(5) AND RCV_Pre_EchoRdy ;
   rtlcn1823 <= rtlc_2453_and_1223_nx0 AND not_RCV_CS ;
   rtlc_2460_or_1225_nx0 <= rtlcn1123 OR rtlcn1807 ;
   rtlcn1556 <= rtlc_2460_or_1225_nx0 OR not_rtlcn237 ;
   rtlc_2482_and_1226_nx0 <= read_ack AND not_rtlcs13 ;
   rtlcn1653 <= rtlc_2482_and_1226_nx0 AND rtlcn1662 ;
   rtlc_2484_and_1227_nx0 <= not_RT2RT_int AND not_Tx_message ;
   rtlcn1832 <= rtlc_2484_and_1227_nx0 AND rtlcn1653 ;
   rtlc_2489_and_1229_nx0 <= read_ack AND rtlcs13 ;
   rtlcn1834 <= rtlc_2489_and_1229_nx0 AND rtlcn1662 ;
   rtlc_2506_and_1232_nx0 <= rtlcn1615 AND RCV_Command_Sync ;
   rtlcn1843 <= rtlc_2506_and_1232_nx0 AND not_rtlcn1686 ;
   rtlc_2524_and_1235_nx0 <= not_RT2RT_int AND rtlcn1662 ;
   rtlcn1851 <= rtlc_2524_and_1235_nx0 AND not_rtlcn1669 ;
   rtlc_2525_or_1236_nx0 <= rtlcn1848 OR rtlcn1849 ;
   rtlcn1485 <= rtlc_2525_or_1236_nx0 OR rtlcn1851 ;
   rtlc_2528_and_1237_nx0 <= state(7) AND not_mode_message_no_data ;
   rtlcn1854 <= rtlc_2528_and_1237_nx0 AND rtlcn1650 ;
   rtlc_2544_and_1238_nx0 <= not_write_ack AND not_rtlcn1661 ;
   rtlcn1864 <= rtlc_2544_and_1238_nx0 AND rtlcn1679 ;
   rtlc_2554_and_1239_nx0 <= rtlc20n6858 AND rtlcn1661 ;
   rtlcn1514 <= rtlc_2554_and_1239_nx0 AND rtlcn1690 ;
   rtlc_2562_and_1240_nx0 <= state(18) AND not_timeout ;
   rtlcn1873 <= rtlc_2562_and_1240_nx0 AND RCV_recieving ;
   rtlc_2570_or_1243_nx0 <= rtlcn1708 OR rtlcn1876 ;
   rtlcn1527 <= rtlc_2570_or_1243_nx0 OR rtlcn1878 ;
   rtlc_2575_or_1244_nx0 <= rtlcn1781 OR rtlcn1879 ;
   rtlcn1710 <= rtlc_2575_or_1244_nx0 OR rtlcn1881 ;
   rtlc_2587_and_1245_nx0 <= not_state_5 AND rtlc20n6917 ;
   rtlcn1889 <= rtlc_2587_and_1245_nx0 AND read_ack ;
   rtlc_2588_or_1246_nx0 <= rtlcn1711 OR not_rtlcn1946 ;
   rtlcn1543 <= rtlc_2588_or_1246_nx0 OR rtlcn1889 ;
   rtlc_2594_and_1247_nx0 <= not_state_3 AND rtlcn1667 ;
   rtlcn1876 <= rtlc_2594_and_1247_nx0 AND rtlcn1709 ;
   rtlc_2961_and_1252_nx0 <= CE AND rtlcn1952 ;
   rtlc20n7195 <= rtlc_2961_and_1252_nx0 AND rtlcn1963 ;
   rtlc_2980_or_1253_nx0 <= not_rtlc20n7199 OR not_rtlcn1954 ;
   rtlcn1947 <= rtlc_2980_or_1253_nx0 OR rtlcn1986 ;
   rtlc_3010_and_1255_nx0 <= CE AND rtlc20n7221 ;
   rtlc20n7140 <= rtlc_3010_and_1255_nx0 AND rtlcn1960 ;
   rtlcn1959 <= rtlcn1698 OR not_state_10 ;
   rtlc_3060_or_1260_nx0 <= rtlc20n5257 OR not_read_ack ;
   rtlcn1964 <= rtlc_3060_or_1260_nx0 OR not_Tx_Rdy ;
   rtlc_3061_or_1261_nx0 <= Set_time_out_to_5us OR Set_time_out_to_echo ;
   rtlcn1958 <= rtlc_3061_or_1261_nx0 OR Set_time_out_to_rcv ;
   rtlcs8 <= rtlc_3188_and_1274_nx0 AND No_Response_timeout(0) ;
   rtlc_3184_and_1273_nx0 <= No_Response_timeout(2) AND 
   No_Response_timeout(1) ;
   rtlcs7 <= rtlc_3184_and_1273_nx0 AND not_No_Response_timeout_0 ;
   rtlc_3188_and_1274_nx0 <= No_Response_timeout(2) AND 
   not_No_Response_timeout_1 ;
   rtlcs9 <= rtlc_3188_and_1274_nx0 AND not_No_Response_timeout_0 ;
   rtlc_3237_and_1276_nx0 <= not_RCV_Gap_found_2 AND not_RCV_Gap_found_1 ;
   rtlcs18 <= rtlc_3237_and_1276_nx0 AND not_RCV_Gap_found_0 ;
   not_rtlc20n6805 <= RCV_Gap_found(2) when rtlc20_2324_gt_1185_nx4
    = '1' else nx5 ;
   nx5 <= RCV_Gap_found(1) when rtlc20_2324_gt_1185_nx2 = '1' else nx8 ;
   nx8 <= RCV_Gap_found(0) AND rtlc20_2324_gt_1185_nx0 ;
   modgen_and_2 : and_4u_4u port map ( a(3)=>rtlcn1650, a(2)=>rtlcn1664, 
      a(1)=>not_rtlcn1670, a(0)=>not_Found_errors, d=>
      Found_wrong_RT_Address_20n83ss1);
   modgen_and_3 : and_3u_3u port map ( a(2)=>RT2RT_int, a(1)=>not_Tx_message, 
      a(0)=>rtlcn1653, d=>rtlcn1471);
   modgen_and_4 : and_6u_6u port map ( a(5)=>active_command_9, a(4)=>
      active_command_8, a(3)=>active_command_7, a(2)=>active_command_6, a(1)
      =>active_command_5, a(0)=>not_BC_1553A, d=>mode_message_no_data_10n2s3
   );
   modgen_and_6 : and_6u_6u port map ( a(5)=>first_command_15, a(4)=>
      first_command_14, a(3)=>first_command_13, a(2)=>first_command_12, a(1)
      =>first_command_11, a(0)=>RT2RT_int, d=>rtlcn1782);
   modgen_and_7 : and_7u_7u port map ( a(6)=>us_counter(5), a(5)=>
      not_us_counter_4, a(4)=>not_us_counter_3, a(3)=>us_counter(2), a(2)=>
      us_counter(1), a(1)=>us_counter(0), a(0)=>not_rtlcn1961, d=>rtlcn2005
   );
   modgen_and_8 : and_8u_8u port map ( a(7)=>not_word_counter_5, a(6)=>
      not_word_counter_4, a(5)=>not_word_counter_3, a(4)=>not_word_counter_2, 
      a(3)=>not_word_counter_1, a(2)=>not_word_counter_0, a(1)=>Tx_message, 
      a(0)=>rtlc20n5892, d=>rtlc20n5893);
end SITAL_Technology_unfold_3026 ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_up_cnt_en_sclear_aclear_clock_clk_en_0_6 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (5 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (5 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_up_cnt_en_sclear_aclear_clock_clk_en_0_6 ;

architecture INTERFACE of counter_up_cnt_en_sclear_aclear_clock_clk_en_0_6
    is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_6u_6u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx17, nx20, nx23, nx24, nx25, nx26, nx27, nx28, nx29, nx30, 
      nx31, nx32, nx33, nx34, nx35, nx36, nx37, nx38, nx39, nx40, PWR, 
      NOT_nx16: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(5) <= nx24 ;
   q(4) <= nx26 ;
   q(3) <= nx28 ;
   q(2) <= nx30 ;
   q(1) <= nx32 ;
   q(0) <= nx34 ;
   GND <= '0' ;
   nx17 <= cnt_en OR sclear ;
   nx20 <= nx17 AND clk_en ;
   DFFPCE (nx23,GND,aclear,nx20,clock,nx24) ;
   DFFPCE (nx25,GND,aclear,nx20,clock,nx26) ;
   DFFPCE (nx27,GND,aclear,nx20,clock,nx28) ;
   DFFPCE (nx29,GND,aclear,nx20,clock,nx30) ;
   DFFPCE (nx31,GND,aclear,nx20,clock,nx32) ;
   DFFPCE (nx33,GND,aclear,nx20,clock,nx34) ;
   inc : inc_6u_6u_0_0 port map ( cin=>PWR, a(5)=>nx24, a(4)=>nx26, a(3)=>
      nx28, a(2)=>nx30, a(1)=>nx32, a(0)=>nx34, d(5)=>nx35, d(4)=>nx36, d(3)
      =>nx37, d(2)=>nx38, d(1)=>nx39, d(0)=>nx40, cout=>DANGLING(0));
   PWR <= '1' ;
   NOT_nx16 <= NOT sclear ;
   nx23 <= nx35 AND NOT_nx16 ;
   nx25 <= nx36 AND NOT_nx16 ;
   nx27 <= nx37 AND NOT_nx16 ;
   nx29 <= nx38 AND NOT_nx16 ;
   nx31 <= nx39 AND NOT_nx16 ;
   nx33 <= nx40 AND NOT_nx16 ;
end INTERFACE ;


architecture INTERFACE of 
   counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_5 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_5u_5u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic_vector (4 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx15, nx18, nx21, nx24, nx25, nx26, nx27, nx28, nx29, nx30, 
      nx31, nx32, nx33, nx34, nx35, nx36, nx37, nx38, PWR, nx42, nx44, nx46, 
      nx48, nx50, NOT_nx17: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(4) <= nx25 ;
   q(3) <= nx27 ;
   q(2) <= nx29 ;
   q(1) <= nx31 ;
   q(0) <= nx33 ;
   GND <= '0' ;
   nx15 <= cnt_en OR sload ;
   nx18 <= nx15 OR sclear ;
   nx21 <= nx18 AND clk_en ;
   DFFPCE (nx24,GND,aclear,nx21,clock,nx25) ;
   DFFPCE (nx26,GND,aclear,nx21,clock,nx27) ;
   DFFPCE (nx28,GND,aclear,nx21,clock,nx29) ;
   DFFPCE (nx30,GND,aclear,nx21,clock,nx31) ;
   DFFPCE (nx32,GND,aclear,nx21,clock,nx33) ;
   inc : inc_5u_5u_0_0 port map ( cin=>PWR, a(4)=>nx25, a(3)=>nx27, a(2)=>
      nx29, a(1)=>nx31, a(0)=>nx33, d(4)=>nx34, d(3)=>nx35, d(2)=>nx36, d(1)
      =>nx37, d(0)=>nx38, cout=>DANGLING(0));
   PWR <= '1' ;
   nx42 <= data(4) when sload = '1' else nx34 ;
   nx44 <= data(3) when sload = '1' else nx35 ;
   nx46 <= data(2) when sload = '1' else nx36 ;
   nx48 <= data(1) when sload = '1' else nx37 ;
   nx50 <= data(0) when sload = '1' else nx38 ;
   NOT_nx17 <= NOT sclear ;
   nx24 <= nx42 AND NOT_nx17 ;
   nx26 <= nx44 AND NOT_nx17 ;
   nx28 <= nx46 AND NOT_nx17 ;
   nx30 <= nx48 AND NOT_nx17 ;
   nx32 <= nx50 AND NOT_nx17 ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_up_cnt_en_sclear_aclear_clock_clk_en_0_9 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (8 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (8 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_up_cnt_en_sclear_aclear_clock_clk_en_0_9 ;

architecture INTERFACE of counter_up_cnt_en_sclear_aclear_clock_clk_en_0_9
    is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_9u_9u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (8 DOWNTO 0) ;
         d : OUT std_logic_vector (8 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx23, nx26, nx29, nx30, nx31, nx32, nx33, nx34, nx35, nx36, 
      nx37, nx38, nx39, nx40, nx41, nx42, nx43, nx44, nx45, nx46, nx47, nx48, 
      nx49, nx50, nx51, nx52, nx53, nx54, nx55, PWR, NOT_nx22: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(8) <= nx30 ;
   q(7) <= nx32 ;
   q(6) <= nx34 ;
   q(5) <= nx36 ;
   q(4) <= nx38 ;
   q(3) <= nx40 ;
   q(2) <= nx42 ;
   q(1) <= nx44 ;
   q(0) <= nx46 ;
   GND <= '0' ;
   nx23 <= cnt_en OR sclear ;
   nx26 <= nx23 AND clk_en ;
   DFFPCE (nx29,GND,aclear,nx26,clock,nx30) ;
   DFFPCE (nx31,GND,aclear,nx26,clock,nx32) ;
   DFFPCE (nx33,GND,aclear,nx26,clock,nx34) ;
   DFFPCE (nx35,GND,aclear,nx26,clock,nx36) ;
   DFFPCE (nx37,GND,aclear,nx26,clock,nx38) ;
   DFFPCE (nx39,GND,aclear,nx26,clock,nx40) ;
   DFFPCE (nx41,GND,aclear,nx26,clock,nx42) ;
   DFFPCE (nx43,GND,aclear,nx26,clock,nx44) ;
   DFFPCE (nx45,GND,aclear,nx26,clock,nx46) ;
   inc : inc_9u_9u_0_0 port map ( cin=>PWR, a(8)=>nx30, a(7)=>nx32, a(6)=>
      nx34, a(5)=>nx36, a(4)=>nx38, a(3)=>nx40, a(2)=>nx42, a(1)=>nx44, a(0)
      =>nx46, d(8)=>nx47, d(7)=>nx48, d(6)=>nx49, d(5)=>nx50, d(4)=>nx51, 
      d(3)=>nx52, d(2)=>nx53, d(1)=>nx54, d(0)=>nx55, cout=>DANGLING(0));
   PWR <= '1' ;
   NOT_nx22 <= NOT sclear ;
   nx29 <= nx47 AND NOT_nx22 ;
   nx31 <= nx48 AND NOT_nx22 ;
   nx33 <= nx49 AND NOT_nx22 ;
   nx35 <= nx50 AND NOT_nx22 ;
   nx37 <= nx51 AND NOT_nx22 ;
   nx39 <= nx52 AND NOT_nx22 ;
   nx41 <= nx53 AND NOT_nx22 ;
   nx43 <= nx54 AND NOT_nx22 ;
   nx45 <= nx55 AND NOT_nx22 ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity Monitor_Word_DDC_8_4_40 is 
   port (
      A_Sync_error : IN std_logic ;
      A_Manchester_error : IN std_logic ;
      A_Parity_error : IN std_logic ;
      A_echo_back_bus : IN std_logic ;
      A_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
      A_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      A_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      A_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
      A_RxRDY_plus_12us : IN std_logic ;
      A_RxRDY_plus_10us : IN std_logic ;
      A_CS : IN std_logic ;
      A_Pre_EchoRdy : IN std_logic ;
      A_Command_Sync : IN std_logic ;
      A_Pre_RxRdy : IN std_logic ;
      A_recieving : IN std_logic ;
      Ack : IN std_logic ;
      B_Sync_error : IN std_logic ;
      B_Manchester_error : IN std_logic ;
      B_Parity_error : IN std_logic ;
      B_echo_back_bus : IN std_logic ;
      B_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
      B_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      B_GAP : IN std_logic_vector (6 DOWNTO 0) ;
      B_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
      B_RxRDY_plus_12us : IN std_logic ;
      B_RxRDY_plus_10us : IN std_logic ;
      B_CS : IN std_logic ;
      B_Pre_EchoRdy : IN std_logic ;
      B_Command_Sync : IN std_logic ;
      B_Pre_RxRdy : IN std_logic ;
      B_recieving : IN std_logic ;
      C : IN std_logic ;
      CE : IN std_logic ;
      R : IN std_logic ;
      Descriptor : OUT std_logic_vector (15 DOWNTO 0) ;
      Req : OUT std_logic ;
      Word : OUT std_logic_vector (15 DOWNTO 0)) ;
end Monitor_Word_DDC_8_4_40 ;

architecture Sital_OH_unfold_3180 of Monitor_Word_DDC_8_4_40 is 
   component and_9u_9u
      port (
         a : IN std_logic_vector (8 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component counter_up_cnt_en_sclear_aclear_clock_clk_en_0_6
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (5 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (5 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_5
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (4 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (4 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_up_cnt_en_sclear_aclear_clock_clk_en_0_9
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (8 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (8 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component sub_4u_4u_4u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic_vector (3 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component and_3u_3u
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_6u_6u
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_3u_3u
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_6u_6u
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   for modgen_counter_Half_us_counter : 
   counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_5 use entity work.
   counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_5(INTERFACE);
   signal BusA: std_logic ;
   
   signal D_BusA: std_logic_vector (15 DOWNTO 0) ;
   
   signal D_BusB: std_logic_vector (15 DOWNTO 0) ;
   
   signal Descriptor_A_15, Descriptor_A_14, Descriptor_A_13, Descriptor_A_12, 
      Descriptor_A_11, Descriptor_A_10, Descriptor_A_9, Descriptor_A_8, 
      Descriptor_A_7, Descriptor_6_EXMPLR2546, Descriptor_A_5, 
      Descriptor_A_4, Descriptor_A_3, Descriptor_A_1, Descriptor_A_0, 
      Descriptor_B_15, Descriptor_B_14, Descriptor_B_13, Descriptor_B_12, 
      Descriptor_B_11, Descriptor_B_10, Descriptor_B_9, Descriptor_B_8, 
      Descriptor_B_5, Descriptor_B_4, Descriptor_B_3, Descriptor_B_2, 
      Descriptor_B_1, Descriptor_B_0, Grant_A, Grant_B: std_logic ;
   
   signal Half_us_counter: std_logic_vector (4 DOWNTO 0) ;
   
   signal Req_A, Req_B: std_logic ;
   
   signal Timeout: std_logic_vector (5 DOWNTO 0) ;
   
   signal Timer: std_logic_vector (8 DOWNTO 0) ;
   
   signal Timer_minus_40_7, Timer_minus_40_6, Timer_minus_40_5, 
      Timer_minus_40_4: std_logic ;
   
   signal state: std_logic_vector (5 DOWNTO 0) ;
   
   signal PWR, not_R, Descriptor_3n6ss1_15, Descriptor_3n6ss1_14, 
      Descriptor_3n6ss1_13, Descriptor_3n6ss1_12, Descriptor_3n6ss1_11, 
      Descriptor_3n6ss1_10, Descriptor_3n6ss1_9, Descriptor_3n6ss1_8, 
      Descriptor_3n6ss1_7, Descriptor_3n6ss1_5, Descriptor_3n6ss1_4, 
      Descriptor_3n6ss1_3, Descriptor_3n6ss1_2, Descriptor_3n6ss1_1, 
      Descriptor_3n6ss1_0, Req_3n6ss1: std_logic ;
   
   signal Word_3n6ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal state_fsm_3n7ss1_4, state_fsm_3n7ss1_2, not_Ack, rtlc3n337, 
      rtlc3n399, rtlc3n452, rtlc6n60, not_rtlcn44, rtlc6n216, not_rtlc6n216, 
      rtlc6n326, not_rtlc6n326, not_Half_us_counter_4, rtlc6n339, rtlc6n341, 
      not_rtlcn45, rtlc6n344, rtlc9n42, rtlc9n61: std_logic ;
   
   signal Descriptor_A_12n4ss1: std_logic_vector (2 DOWNTO 0) ;
   
   signal Descriptor_A_12n5ss1_7, Descriptor_A_12n5ss1_6, 
      Descriptor_A_12n5ss1_5, Descriptor_A_12n5ss1_4, Descriptor_A_12n5ss1_3
   : std_logic ;
   
   signal Descriptor_A_12n6ss1: std_logic_vector (8 DOWNTO 1) ;
   
   signal rtlc12n130, rtlc12n144, rtlc12n146, not_rtlc12n146, not_A_CS, 
      Descriptor_A_5_12n7s6, not_Descriptor_A_5_12n7s6, rtlc12n276, 
      rtlc12n277, rtlc12n299, not_rtlcn42, rtlc12n349, rtlc12n350, 
      rtlc12n351, rtlc12n352, rtlc12n353, Descriptor_B_15n5ss1_7, 
      Descriptor_B_15n5ss1_6, Descriptor_B_15n5ss1_5, Descriptor_B_15n5ss1_4, 
      Descriptor_B_15n5ss1_3: std_logic ;
   
   signal Descriptor_B_15n6ss1: std_logic_vector (8 DOWNTO 1) ;
   
   signal rtlc15n131, rtlc15n145, rtlc15n147, not_rtlc15n147, not_B_CS, 
      Descriptor_B_5_15n7s6, not_Descriptor_B_5_15n7s6, rtlc15n278, 
      rtlc15n279, rtlc15n301, not_rtlcn43, rtlcn42, rtlcn43, rtlcn44, 
      rtlcn45, rtlcn73, rtlcn86, rtlcn113, rtlcn131, rtlcn132, not_rtlc3n452, 
      rtlcn134, rtlcn136, rtlcn137, not_Req_A, not_Req_B, rtlcn140, rtlcn141, 
      rtlcn142, not_B_Pre_RxRdy, rtlcn159, rtlcn160, rtlcs1, rtlcs2, rtlcs4, 
      rtlcs5, rtlcs7, rtlcs8, not_B_R_Data_9, not_B_R_Data_8, not_B_R_Data_7, 
      not_B_R_Data_6, not_B_R_Data_5, not_A_R_Data_9, not_A_R_Data_8, 
      not_A_R_Data_7, not_A_R_Data_6, not_A_R_Data_5, not_A_Pre_RxRdy, 
      rtlcn214, rtlcn215, rtlcn216, rtlcn217, rtlcn218, rtlcn219, rtlcn220, 
      rtlcn221, rtlcn222, rtlcn223, not_Timeout_5, not_Timeout_4, 
      not_Timeout_3, not_Timeout_2, not_Timeout_1, not_Timeout_0, rtlcn231, 
      rtlc_41_or_1284_nx0, rtlc_293_and_1285_nx0, rtlc_298_and_1286_nx0, 
      rtlc_303_and_1287_nx0, rtlc_304_and_1288_nx0: std_logic ;
   
   signal DANGLING : std_logic_vector (15 downto 0 );

begin
   Descriptor(6) <= Descriptor_6_EXMPLR2546 ;
   Descriptor_6_EXMPLR2546 <= '0' ;
   PWR <= '1' ;
   rtlc3n337 <= state(1) OR state(3) ;
   rtlc3n452 <= Timeout(4) AND Timeout(5) ;
   rtlc6n216 <= rtlc6n326 OR rtlc6n344 ;
   not_rtlc6n216 <= NOT rtlc6n216 ;
   rtlc6n60 <= A_Pre_RxRdy OR B_Pre_RxRdy ;
   rtlc6_103_and_1281 : and_9u_9u port map ( a(8)=>Timer(8), a(7)=>Timer(7), 
      a(6)=>Timer(6), a(5)=>Timer(5), a(4)=>Timer(4), a(3)=>Timer(3), a(2)=>
      Timer(2), a(1)=>Timer(1), a(0)=>Timer(0), d=>rtlc6n326);
   not_rtlc6n326 <= NOT rtlc6n326 ;
   not_Half_us_counter_4 <= NOT Half_us_counter(4) ;
   rtlc6n341 <= Half_us_counter(1) AND Half_us_counter(0) ;
   rtlc6n344 <= not_rtlcn45 OR not_Half_us_counter_4 ;
   rtlc9n42 <= rtlcs2 OR rtlcs1 ;
   rtlc12n144 <= rtlcs5 OR rtlcs4 ;
   rtlc12n146 <= A_Command_Sync AND rtlc12n144 ;
   rtlc12n130 <= A_Pre_RxRdy OR A_Pre_EchoRdy ;
   rtlc12n299 <= A_GAP(1) AND A_GAP(0) ;
   rtlc12n351 <= rtlc12n350 AND Timer(5) ;
   rtlc12n352 <= rtlc12n349 OR rtlc12n351 ;
   rtlc12n353 <= Timer(8) AND rtlc12n352 ;
   rtlc15n145 <= rtlcs8 OR rtlcs7 ;
   rtlc15n147 <= B_Command_Sync AND rtlc15n145 ;
   rtlc15n131 <= B_Pre_RxRdy OR B_Pre_EchoRdy ;
   rtlc15n301 <= B_GAP(1) AND B_GAP(0) ;
   not_rtlcn44 <= NOT rtlcn44 ;
   rtlc6n339 <= Half_us_counter(3) OR Half_us_counter(2) ;
   not_rtlcn45 <= NOT rtlcn45 ;
   rtlc12n349 <= Timer(7) OR Timer(6) ;
   rtlc12n350 <= Timer(4) OR Timer(3) ;
   rtlcn45 <= rtlc6n339 OR rtlc6n341 ;
   not_Ack <= NOT Ack ;
   not_R <= NOT R ;
   not_rtlc12n146 <= NOT rtlc12n146 ;
   not_rtlcn42 <= NOT rtlcn42 ;
   not_A_CS <= NOT A_CS ;
   not_Descriptor_A_5_12n7s6 <= NOT Descriptor_A_5_12n7s6 ;
   not_rtlc15n147 <= NOT rtlc15n147 ;
   not_rtlcn43 <= NOT rtlcn43 ;
   not_B_CS <= NOT B_CS ;
   not_Descriptor_B_5_15n7s6 <= NOT Descriptor_B_5_15n7s6 ;
   not_rtlc3n452 <= NOT rtlc3n452 ;
   rtlcn132 <= state(0) AND not_rtlc3n452 ;
   rtlcn134 <= Req_A AND rtlcn132 ;
   rtlcn73 <= rtlcn134 OR rtlcn136 ;
   rtlcn137 <= not_rtlc3n452 AND state(5) ;
   not_Req_A <= NOT Req_A ;
   not_Req_B <= NOT Req_B ;
   rtlcn86 <= rtlcn137 OR rtlcn140 ;
   rtlcn113 <= rtlcn141 OR rtlcn142 ;
   not_B_Pre_RxRdy <= NOT B_Pre_RxRdy ;
   Descriptor_3n6ss1_0 <= Descriptor_B_0 when state(3) = '1' else 
   Descriptor_A_0 ;
   Descriptor_3n6ss1_1 <= Descriptor_B_1 when state(3) = '1' else 
   Descriptor_A_1 ;
   Descriptor_3n6ss1_3 <= Descriptor_B_3 when state(3) = '1' else 
   Descriptor_A_3 ;
   Descriptor_3n6ss1_4 <= Descriptor_B_4 when state(3) = '1' else 
   Descriptor_A_4 ;
   Descriptor_3n6ss1_5 <= Descriptor_B_5 when state(3) = '1' else 
   Descriptor_A_5 ;
   Descriptor_3n6ss1_7 <= Descriptor_B_2 when state(3) = '1' else 
   Descriptor_A_7 ;
   Descriptor_3n6ss1_8 <= Descriptor_B_8 when state(3) = '1' else 
   Descriptor_A_8 ;
   Descriptor_3n6ss1_9 <= Descriptor_B_9 when state(3) = '1' else 
   Descriptor_A_9 ;
   Descriptor_3n6ss1_10 <= Descriptor_B_10 when state(3) = '1' else 
   Descriptor_A_10 ;
   Descriptor_3n6ss1_11 <= Descriptor_B_11 when state(3) = '1' else 
   Descriptor_A_11 ;
   Descriptor_3n6ss1_12 <= Descriptor_B_12 when state(3) = '1' else 
   Descriptor_A_12 ;
   Descriptor_3n6ss1_13 <= Descriptor_B_13 when state(3) = '1' else 
   Descriptor_A_13 ;
   Descriptor_3n6ss1_14 <= Descriptor_B_14 when state(3) = '1' else 
   Descriptor_A_14 ;
   Descriptor_3n6ss1_15 <= Descriptor_B_15 when state(3) = '1' else 
   Descriptor_A_15 ;
   Word_3n6ss1(0) <= D_BusB(0) when state(3) = '1' else D_BusA(0) ;
   Word_3n6ss1(1) <= D_BusB(1) when state(3) = '1' else D_BusA(1) ;
   Word_3n6ss1(2) <= D_BusB(2) when state(3) = '1' else D_BusA(2) ;
   Word_3n6ss1(3) <= D_BusB(3) when state(3) = '1' else D_BusA(3) ;
   Word_3n6ss1(4) <= D_BusB(4) when state(3) = '1' else D_BusA(4) ;
   Word_3n6ss1(5) <= D_BusB(5) when state(3) = '1' else D_BusA(5) ;
   Word_3n6ss1(6) <= D_BusB(6) when state(3) = '1' else D_BusA(6) ;
   Word_3n6ss1(7) <= D_BusB(7) when state(3) = '1' else D_BusA(7) ;
   Word_3n6ss1(8) <= D_BusB(8) when state(3) = '1' else D_BusA(8) ;
   Word_3n6ss1(9) <= D_BusB(9) when state(3) = '1' else D_BusA(9) ;
   Word_3n6ss1(10) <= D_BusB(10) when state(3) = '1' else D_BusA(10) ;
   Word_3n6ss1(11) <= D_BusB(11) when state(3) = '1' else D_BusA(11) ;
   Word_3n6ss1(12) <= D_BusB(12) when state(3) = '1' else D_BusA(12) ;
   Word_3n6ss1(13) <= D_BusB(13) when state(3) = '1' else D_BusA(13) ;
   Word_3n6ss1(14) <= D_BusB(14) when state(3) = '1' else D_BusA(14) ;
   Word_3n6ss1(15) <= D_BusB(15) when state(3) = '1' else D_BusA(15) ;
   rtlcn215 <= Timer_minus_40_4 when BusA = '1' else Timer(4) ;
   rtlcn216 <= Timer_minus_40_5 when BusA = '1' else Timer(5) ;
   rtlcn217 <= Timer_minus_40_6 when BusA = '1' else Timer(6) ;
   rtlcn218 <= Timer_minus_40_7 when BusA = '1' else Timer(7) ;
   rtlcn220 <= Timer(4) when BusA = '1' else Timer_minus_40_4 ;
   rtlcn221 <= Timer(5) when BusA = '1' else Timer_minus_40_5 ;
   rtlcn222 <= Timer(6) when BusA = '1' else Timer_minus_40_6 ;
   rtlcn223 <= Timer(7) when BusA = '1' else Timer_minus_40_7 ;
   rtlc3n399 <= CE AND rtlc3n337 ;
   rtlc9n61 <= CE AND rtlc9n42 ;
   rtlcn159 <= Grant_A OR rtlc12n130 ;
   rtlc12n277 <= CE AND rtlcn159 ;
   rtlc12n276 <= CE AND rtlc12n130 ;
   rtlcn160 <= Grant_B OR rtlc15n131 ;
   rtlc15n279 <= CE AND rtlcn160 ;
   rtlc15n278 <= CE AND rtlc15n131 ;
   rtlc_539_and_1290 : and_5u_5u port map ( a(4)=>B_R_Data(9), a(3)=>
      B_R_Data(8), a(2)=>B_R_Data(7), a(1)=>B_R_Data(6), a(0)=>B_R_Data(5), 
      d=>rtlcs8);
   not_B_R_Data_9 <= NOT B_R_Data(9) ;
   not_B_R_Data_8 <= NOT B_R_Data(8) ;
   not_B_R_Data_7 <= NOT B_R_Data(7) ;
   not_B_R_Data_6 <= NOT B_R_Data(6) ;
   not_B_R_Data_5 <= NOT B_R_Data(5) ;
   rtlc_545_and_1291 : and_5u_5u port map ( a(4)=>not_B_R_Data_9, a(3)=>
      not_B_R_Data_8, a(2)=>not_B_R_Data_7, a(1)=>not_B_R_Data_6, a(0)=>
      not_B_R_Data_5, d=>rtlcs7);
   rtlc_548_and_1292 : and_5u_5u port map ( a(4)=>A_R_Data(9), a(3)=>
      A_R_Data(8), a(2)=>A_R_Data(7), a(1)=>A_R_Data(6), a(0)=>A_R_Data(5), 
      d=>rtlcs5);
   not_A_R_Data_9 <= NOT A_R_Data(9) ;
   not_A_R_Data_8 <= NOT A_R_Data(8) ;
   not_A_R_Data_7 <= NOT A_R_Data(7) ;
   not_A_R_Data_6 <= NOT A_R_Data(6) ;
   not_A_R_Data_5 <= NOT A_R_Data(5) ;
   rtlc_554_and_1293 : and_5u_5u port map ( a(4)=>not_A_R_Data_9, a(3)=>
      not_A_R_Data_8, a(2)=>not_A_R_Data_7, a(1)=>not_A_R_Data_6, a(0)=>
      not_A_R_Data_5, d=>rtlcs4);
   Descriptor_3n6ss1_2 <= Descriptor_B_2 AND state(3) ;
   Descriptor_A_12n4ss1(0) <= Timer(0) OR rtlc12n353 ;
   rtlcs2 <= A_Pre_RxRdy AND not_B_Pre_RxRdy ;
   not_A_Pre_RxRdy <= NOT A_Pre_RxRdy ;
   rtlcs1 <= not_A_Pre_RxRdy AND B_Pre_RxRdy ;
   Descriptor_B_15n6ss1(1) <= Descriptor_A_12n4ss1(0) AND rtlcn43 ;
   Descriptor_A_12n6ss1(1) <= Descriptor_A_12n4ss1(0) AND rtlcn42 ;
   Descriptor_A_12n4ss1(1) <= Timer(1) OR rtlc12n353 ;
   Descriptor_B_15n6ss1(2) <= Descriptor_A_12n4ss1(1) AND rtlcn43 ;
   Descriptor_A_12n6ss1(2) <= Descriptor_A_12n4ss1(1) AND rtlcn42 ;
   Descriptor_A_12n4ss1(2) <= Timer(2) OR rtlc12n353 ;
   Descriptor_B_15n6ss1(3) <= Descriptor_A_12n4ss1(2) AND rtlcn43 ;
   Descriptor_A_12n6ss1(3) <= Descriptor_A_12n4ss1(2) AND rtlcn42 ;
   Descriptor_B_15n6ss1(4) <= Descriptor_B_15n5ss1_3 AND rtlcn43 ;
   Descriptor_A_12n6ss1(4) <= Descriptor_A_12n5ss1_3 AND rtlcn42 ;
   Descriptor_B_15n6ss1(5) <= Descriptor_B_15n5ss1_4 AND rtlcn43 ;
   Descriptor_A_12n6ss1(5) <= Descriptor_A_12n5ss1_4 AND rtlcn42 ;
   Descriptor_B_15n6ss1(6) <= Descriptor_B_15n5ss1_5 AND rtlcn43 ;
   Descriptor_A_12n6ss1(6) <= Descriptor_A_12n5ss1_5 AND rtlcn42 ;
   Descriptor_B_15n6ss1(7) <= Descriptor_B_15n5ss1_6 AND rtlcn43 ;
   Descriptor_A_12n6ss1(7) <= Descriptor_A_12n5ss1_6 AND rtlcn42 ;
   Descriptor_B_15n6ss1(8) <= Descriptor_B_15n5ss1_7 AND rtlcn43 ;
   Descriptor_A_12n6ss1(8) <= Descriptor_A_12n5ss1_7 AND rtlcn42 ;
   Req_3n6ss1 <= not_Ack AND rtlc3n337 ;
   Descriptor_A_12n5ss1_3 <= rtlc12n353 OR rtlcn214 ;
   Descriptor_A_12n5ss1_4 <= rtlc12n353 OR rtlcn215 ;
   Descriptor_A_12n5ss1_5 <= rtlc12n353 OR rtlcn216 ;
   Descriptor_A_12n5ss1_6 <= rtlc12n353 OR rtlcn217 ;
   Descriptor_A_12n5ss1_7 <= rtlc12n353 OR rtlcn218 ;
   Descriptor_B_15n5ss1_3 <= rtlc12n353 OR rtlcn219 ;
   Descriptor_B_15n5ss1_4 <= rtlc12n353 OR rtlcn220 ;
   Descriptor_B_15n5ss1_5 <= rtlc12n353 OR rtlcn221 ;
   Descriptor_B_15n5ss1_6 <= rtlc12n353 OR rtlcn222 ;
   Descriptor_B_15n5ss1_7 <= rtlc12n353 OR rtlcn223 ;
   not_Timeout_5 <= NOT Timeout(5) ;
   not_Timeout_4 <= NOT Timeout(4) ;
   not_Timeout_3 <= NOT Timeout(3) ;
   not_Timeout_2 <= NOT Timeout(2) ;
   not_Timeout_1 <= NOT Timeout(1) ;
   not_Timeout_0 <= NOT Timeout(0) ;
   modgen_counter_Timeout : counter_up_cnt_en_sclear_aclear_clock_clk_en_0_6
       port map ( clock=>C, q(5)=>Timeout(5), q(4)=>Timeout(4), q(3)=>
      Timeout(3), q(2)=>Timeout(2), q(1)=>Timeout(1), q(0)=>Timeout(0), 
      clk_en=>CE, aclear=>not_R, sload=>Descriptor_6_EXMPLR2546, data(5)=>
      DANGLING(0), data(4)=>DANGLING(1), data(3)=>DANGLING(2), data(2)=>
      DANGLING(3), data(1)=>DANGLING(4), data(0)=>DANGLING(5), aset=>
      Descriptor_6_EXMPLR2546, sclear=>state(0), updn=>PWR, cnt_en=>rtlcn231
   );
   modgen_counter_Half_us_counter : 
      counter_up_cnt_en_sload_sclear_aclear_clock_clk_en_0_5 port map ( 
      clock=>C, q(4)=>Half_us_counter(4), q(3)=>Half_us_counter(3), q(2)=>
      Half_us_counter(2), q(1)=>Half_us_counter(1), q(0)=>Half_us_counter(0), 
      clk_en=>CE, aclear=>not_R, sload=>rtlc6n60, data(4)=>
      Descriptor_6_EXMPLR2546, data(3)=>PWR, data(2)=>
      Descriptor_6_EXMPLR2546, data(1)=>Descriptor_6_EXMPLR2546, data(0)=>
      PWR, aset=>Descriptor_6_EXMPLR2546, sclear=>not_rtlcn44, updn=>PWR, 
      cnt_en=>not_rtlc6n326);
   modgen_counter_Timer : counter_up_cnt_en_sclear_aclear_clock_clk_en_0_9
       port map ( clock=>C, q(8)=>Timer(8), q(7)=>Timer(7), q(6)=>Timer(6), 
      q(5)=>Timer(5), q(4)=>Timer(4), q(3)=>Timer(3), q(2)=>Timer(2), q(1)=>
      Timer(1), q(0)=>Timer(0), clk_en=>CE, aclear=>not_R, sload=>
      Descriptor_6_EXMPLR2546, data(8)=>DANGLING(6), data(7)=>DANGLING(7), 
      data(6)=>DANGLING(8), data(5)=>DANGLING(9), data(4)=>DANGLING(10), 
      data(3)=>DANGLING(11), data(2)=>DANGLING(12), data(1)=>DANGLING(13), 
      data(0)=>DANGLING(14), aset=>Descriptor_6_EXMPLR2546, sclear=>rtlc6n60, 
      updn=>PWR, cnt_en=>not_rtlc6n216);
   DFFPCE (rtlcn131,Descriptor_6_EXMPLR2546,not_R,CE,C,state(5)) ;
   DFFPCE (state_fsm_3n7ss1_4,Descriptor_6_EXMPLR2546,not_R,CE,C,state(4)) ;
   DFFPCE (rtlcn113,Descriptor_6_EXMPLR2546,not_R,CE,C,state(3)) ;
   DFFPCE (state_fsm_3n7ss1_2,Descriptor_6_EXMPLR2546,not_R,CE,C,state(2)) ;
   DFFPCE (rtlcn73,Descriptor_6_EXMPLR2546,not_R,CE,C,state(1)) ;
   DFFPCE (rtlcn86,not_R,Descriptor_6_EXMPLR2546,CE,C,state(0)) ;
   DFFPCE (Word_3n6ss1(15),Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Word(15)) ;
   DFFPCE (Word_3n6ss1(14),Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Word(14)) ;
   DFFPCE (Word_3n6ss1(13),Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Word(13)) ;
   DFFPCE (Word_3n6ss1(12),Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Word(12)) ;
   DFFPCE (Word_3n6ss1(11),Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Word(11)) ;
   DFFPCE (Word_3n6ss1(10),Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Word(10)) ;
   DFFPCE (Word_3n6ss1(9),Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,Word(9))
    ;
   DFFPCE (Word_3n6ss1(8),Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,Word(8))
    ;
   DFFPCE (Word_3n6ss1(7),Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,Word(7))
    ;
   DFFPCE (Word_3n6ss1(6),Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,Word(6))
    ;
   DFFPCE (Word_3n6ss1(5),Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,Word(5))
    ;
   DFFPCE (Word_3n6ss1(4),Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,Word(4))
    ;
   DFFPCE (Word_3n6ss1(3),Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,Word(3))
    ;
   DFFPCE (Word_3n6ss1(2),Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,Word(2))
    ;
   DFFPCE (Word_3n6ss1(1),Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,Word(1))
    ;
   DFFPCE (Word_3n6ss1(0),Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,Word(0))
    ;
   DFFPCE (Req_3n6ss1,Descriptor_6_EXMPLR2546,not_R,CE,C,Req) ;
   DFFPCE (state(4),Descriptor_6_EXMPLR2546,not_R,CE,C,Grant_B) ;
   DFFPCE (state(2),Descriptor_6_EXMPLR2546,not_R,CE,C,Grant_A) ;
   DFFPCE (Descriptor_3n6ss1_15,Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Descriptor(15)) ;
   DFFPCE (Descriptor_3n6ss1_14,Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Descriptor(14)) ;
   DFFPCE (Descriptor_3n6ss1_13,Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Descriptor(13)) ;
   DFFPCE (Descriptor_3n6ss1_12,Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Descriptor(12)) ;
   DFFPCE (Descriptor_3n6ss1_11,Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Descriptor(11)) ;
   DFFPCE (Descriptor_3n6ss1_10,Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Descriptor(10)) ;
   DFFPCE (Descriptor_3n6ss1_9,Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Descriptor(9)) ;
   DFFPCE (Descriptor_3n6ss1_8,Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Descriptor(8)) ;
   DFFPCE (Descriptor_3n6ss1_7,Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Descriptor(7)) ;
   DFFPCE (Descriptor_3n6ss1_5,Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Descriptor(5)) ;
   DFFPCE (Descriptor_3n6ss1_4,Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Descriptor(4)) ;
   DFFPCE (Descriptor_3n6ss1_3,Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Descriptor(3)) ;
   DFFPCE (Descriptor_3n6ss1_2,Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Descriptor(2)) ;
   DFFPCE (Descriptor_3n6ss1_1,Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Descriptor(1)) ;
   DFFPCE (Descriptor_3n6ss1_0,Descriptor_6_EXMPLR2546,not_R,rtlc3n399,C,
   Descriptor(0)) ;
   DFFPCE (not_B_Pre_RxRdy,Descriptor_6_EXMPLR2546,not_R,rtlc9n61,C,BusA) ;
   DFFPCE (rtlc12n130,Descriptor_6_EXMPLR2546,not_R,rtlc12n277,C,Req_A) ;
   DFFPCE (Descriptor_A_12n6ss1(8),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,
   C,Descriptor_A_15) ;
   DFFPCE (Descriptor_A_12n6ss1(7),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,
   C,Descriptor_A_14) ;
   DFFPCE (Descriptor_A_12n6ss1(6),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,
   C,Descriptor_A_13) ;
   DFFPCE (Descriptor_A_12n6ss1(5),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,
   C,Descriptor_A_12) ;
   DFFPCE (Descriptor_A_12n6ss1(4),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,
   C,Descriptor_A_11) ;
   DFFPCE (Descriptor_A_12n6ss1(3),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,
   C,Descriptor_A_10) ;
   DFFPCE (Descriptor_A_12n6ss1(2),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,
   C,Descriptor_A_9) ;
   DFFPCE (Descriptor_A_12n6ss1(1),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,
   C,Descriptor_A_8) ;
   DFFPCE (PWR,Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,Descriptor_A_7) ;
   DFFPCE (not_Descriptor_A_5_12n7s6,Descriptor_6_EXMPLR2546,not_R,
   rtlc12n276,C,Descriptor_A_5) ;
   DFFPCE (not_A_CS,Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,
   Descriptor_A_4) ;
   DFFPCE (A_Command_Sync,Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,
   Descriptor_A_3) ;
   DFFPCE (not_rtlcn42,Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,
   Descriptor_A_1) ;
   DFFPCE (not_rtlc12n146,Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,
   Descriptor_A_0) ;
   DFFPCE (A_R_Data(15),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,
   D_BusA(15)) ;
   DFFPCE (A_R_Data(14),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,
   D_BusA(14)) ;
   DFFPCE (A_R_Data(13),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,
   D_BusA(13)) ;
   DFFPCE (A_R_Data(12),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,
   D_BusA(12)) ;
   DFFPCE (A_R_Data(11),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,
   D_BusA(11)) ;
   DFFPCE (A_R_Data(10),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,
   D_BusA(10)) ;
   DFFPCE (A_R_Data(9),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,D_BusA(9))
    ;
   DFFPCE (A_R_Data(8),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,D_BusA(8))
    ;
   DFFPCE (A_R_Data(7),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,D_BusA(7))
    ;
   DFFPCE (A_R_Data(6),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,D_BusA(6))
    ;
   DFFPCE (A_R_Data(5),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,D_BusA(5))
    ;
   DFFPCE (A_R_Data(4),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,D_BusA(4))
    ;
   DFFPCE (A_R_Data(3),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,D_BusA(3))
    ;
   DFFPCE (A_R_Data(2),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,D_BusA(2))
    ;
   DFFPCE (A_R_Data(1),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,D_BusA(1))
    ;
   DFFPCE (A_R_Data(0),Descriptor_6_EXMPLR2546,not_R,rtlc12n276,C,D_BusA(0))
    ;
   DFFPCE (rtlc15n131,Descriptor_6_EXMPLR2546,not_R,rtlc15n279,C,Req_B) ;
   DFFPCE (Descriptor_B_15n6ss1(8),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,
   C,Descriptor_B_15) ;
   DFFPCE (Descriptor_B_15n6ss1(7),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,
   C,Descriptor_B_14) ;
   DFFPCE (Descriptor_B_15n6ss1(6),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,
   C,Descriptor_B_13) ;
   DFFPCE (Descriptor_B_15n6ss1(5),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,
   C,Descriptor_B_12) ;
   DFFPCE (Descriptor_B_15n6ss1(4),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,
   C,Descriptor_B_11) ;
   DFFPCE (Descriptor_B_15n6ss1(3),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,
   C,Descriptor_B_10) ;
   DFFPCE (Descriptor_B_15n6ss1(2),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,
   C,Descriptor_B_9) ;
   DFFPCE (Descriptor_B_15n6ss1(1),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,
   C,Descriptor_B_8) ;
   DFFPCE (not_Descriptor_B_5_15n7s6,Descriptor_6_EXMPLR2546,not_R,
   rtlc15n278,C,Descriptor_B_5) ;
   DFFPCE (not_B_CS,Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,
   Descriptor_B_4) ;
   DFFPCE (B_Command_Sync,Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,
   Descriptor_B_3) ;
   DFFPCE (PWR,Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,Descriptor_B_2) ;
   DFFPCE (not_rtlcn43,Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,
   Descriptor_B_1) ;
   DFFPCE (not_rtlc15n147,Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,
   Descriptor_B_0) ;
   DFFPCE (B_R_Data(15),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,
   D_BusB(15)) ;
   DFFPCE (B_R_Data(14),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,
   D_BusB(14)) ;
   DFFPCE (B_R_Data(13),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,
   D_BusB(13)) ;
   DFFPCE (B_R_Data(12),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,
   D_BusB(12)) ;
   DFFPCE (B_R_Data(11),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,
   D_BusB(11)) ;
   DFFPCE (B_R_Data(10),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,
   D_BusB(10)) ;
   DFFPCE (B_R_Data(9),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,D_BusB(9))
    ;
   DFFPCE (B_R_Data(8),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,D_BusB(8))
    ;
   DFFPCE (B_R_Data(7),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,D_BusB(7))
    ;
   DFFPCE (B_R_Data(6),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,D_BusB(6))
    ;
   DFFPCE (B_R_Data(5),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,D_BusB(5))
    ;
   DFFPCE (B_R_Data(4),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,D_BusB(4))
    ;
   DFFPCE (B_R_Data(3),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,D_BusB(3))
    ;
   DFFPCE (B_R_Data(2),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,D_BusB(2))
    ;
   DFFPCE (B_R_Data(1),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,D_BusB(1))
    ;
   DFFPCE (B_R_Data(0),Descriptor_6_EXMPLR2546,not_R,rtlc15n278,C,D_BusB(0))
    ;
   rtlc_41_or_1284_nx0 <= rtlc6n60 OR rtlc6n326 ;
   rtlcn44 <= rtlc_41_or_1284_nx0 OR rtlc6n344 ;
   rtlc_293_and_1285_nx0 <= not_Ack AND not_rtlc3n452 ;
   rtlcn136 <= rtlc_293_and_1285_nx0 AND state(1) ;
   rtlc_298_and_1286_nx0 <= not_Req_A AND not_Req_B ;
   rtlcn140 <= rtlc_298_and_1286_nx0 AND rtlcn132 ;
   rtlc_303_and_1287_nx0 <= not_Ack AND state(3) ;
   rtlcn141 <= rtlc_303_and_1287_nx0 AND not_rtlc3n452 ;
   rtlc_304_and_1288_nx0 <= not_Req_A AND Req_B ;
   rtlcn142 <= rtlc_304_and_1288_nx0 AND rtlcn132 ;
   Timer_minus_40_sub5_0 : sub_4u_4u_4u_0 port map ( cin=>Timer(3), a(3)=>
      Timer(7), a(2)=>Timer(6), a(1)=>Timer(5), a(0)=>Timer(4), b(3)=>
      Descriptor_6_EXMPLR2546, b(2)=>Descriptor_6_EXMPLR2546, b(1)=>PWR, 
      b(0)=>Descriptor_6_EXMPLR2546, d(3)=>Timer_minus_40_7, d(2)=>
      Timer_minus_40_6, d(1)=>Timer_minus_40_5, d(0)=>Timer_minus_40_4, cout
      =>DANGLING(15));
   rtlcn214 <= Timer(3) XOR BusA ;
   rtlcn219 <= NOT (Timer(3) XOR BusA) ;
   modgen_and_0 : and_3u_3u port map ( a(2)=>not_rtlc3n452, a(1)=>state(1), 
      a(0)=>Ack, d=>state_fsm_3n7ss1_2);
   modgen_and_1 : and_3u_3u port map ( a(2)=>state(3), a(1)=>not_rtlc3n452, 
      a(0)=>Ack, d=>state_fsm_3n7ss1_4);
   modgen_or_2 : or_6u_6u port map ( a(5)=>not_Timeout_3, a(4)=>
      not_Timeout_2, a(3)=>not_Timeout_5, a(2)=>not_Timeout_4, a(1)=>
      not_Timeout_1, a(0)=>not_Timeout_0, d=>rtlcn231);
   modgen_or_3 : or_3u_3u port map ( a(2)=>state(2), a(1)=>state(4), a(0)=>
      rtlc3n452, d=>rtlcn131);
   modgen_or_4 : or_6u_6u port map ( a(5)=>A_GAP(2), a(4)=>A_GAP(3), a(3)=>
      A_GAP(4), a(2)=>A_GAP(5), a(1)=>A_GAP(6), a(0)=>rtlc12n299, d=>rtlcn42
   );
   modgen_or_5 : or_6u_6u port map ( a(5)=>B_GAP(2), a(4)=>B_GAP(3), a(3)=>
      B_GAP(4), a(2)=>B_GAP(5), a(1)=>B_GAP(6), a(0)=>rtlc15n301, d=>rtlcn43
   );
   modgen_and_6 : and_6u_6u port map ( a(5)=>B_R_Data(15), a(4)=>
      B_R_Data(14), a(3)=>B_R_Data(13), a(2)=>B_R_Data(12), a(1)=>
      B_R_Data(11), a(0)=>B_Command_Sync, d=>Descriptor_B_5_15n7s6);
   modgen_and_7 : and_6u_6u port map ( a(5)=>A_R_Data(15), a(4)=>
      A_R_Data(14), a(3)=>A_R_Data(13), a(2)=>A_R_Data(12), a(1)=>
      A_R_Data(11), a(0)=>A_Command_Sync, d=>Descriptor_A_5_12n7s6);
end Sital_OH_unfold_3180 ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity BRM1553D_ver8_4_RTLC_LONGENT0 is 
   port (
      Aux_in : IN std_logic_vector (15 DOWNTO 0) ;
      BC_DISABLE : IN std_logic ;
      CPU_Address : IN std_logic_vector (15 DOWNTO 0) ;
      CPU_CS : IN std_logic ;
      CPU_Data_in_wide : IN std_logic_vector (31 DOWNTO 0) ;
      CPU_RE_vec : IN std_logic_vector (1 DOWNTO 0) ;
      CPU_Side_MEM_Data_o : IN std_logic_vector (31 DOWNTO 0) ;
      CPU_WE : IN std_logic_vector (1 DOWNTO 0) ;
      Clock_0 : IN std_logic ;
      Clock_1 : IN std_logic ;
      Clock_2 : IN std_logic ;
      Clock_3 : IN std_logic ;
      Constants_readback : IN std_logic_vector (15 DOWNTO 0) ;
      Ext_Trigger : IN std_logic ;
      External_CE_In : IN std_logic ;
      FromK : IN std_logic ;
      Handshake_Error : IN std_logic ;
      M1760 : IN std_logic ;
      MEM_nREG : IN std_logic ;
      Mem_Ack : IN std_logic ;
      Mem_Data_o : IN std_logic_vector (15 DOWNTO 0) ;
      Minus_A : IN std_logic ;
      Minus_B : IN std_logic ;
      Plus_A : IN std_logic ;
      Plus_B : IN std_logic ;
      RTAD : IN std_logic_vector (4 DOWNTO 0) ;
      RTADP : IN std_logic ;
      RTAD_SW_EN : IN std_logic ;
      RT_ADR_LAT : IN std_logic ;
      Raw_resetN : IN std_logic ;
      Set_SSFLAG : IN std_logic ;
      Strobe_TT : IN std_logic ;
      Tag_CLK : IN std_logic ;
      Tx_InhB : IN std_logic ;
      Tx_inhA : IN std_logic ;
      clock : IN std_logic ;
      key_ports_In : IN std_logic_vector (23 DOWNTO 0) ;
      CE_out : OUT std_logic ;
      CPU_Data_out_wide : OUT std_logic_vector (31 DOWNTO 0) ;
      CPU_Side_WE : OUT std_logic_vector (1 DOWNTO 0) ;
      Fault_value : OUT std_logic_vector (15 DOWNTO 0) ;
      INTn : OUT std_logic ;
      IP_Freq_sel : OUT std_logic_vector (1 DOWNTO 0) ;
      Mem_Address : OUT std_logic_vector (15 DOWNTO 0) ;
      Mem_RE : OUT std_logic ;
      Mem_data_in : OUT std_logic_vector (15 DOWNTO 0) ;
      OE_High : OUT std_logic ;
      TT_Load : OUT std_logic ;
      Tok : OUT std_logic ;
      Tx_A : OUT std_logic ;
      Tx_A_N : OUT std_logic ;
      Tx_B : OUT std_logic ;
      Tx_B_N : OUT std_logic ;
      Tx_inh_A : OUT std_logic ;
      Tx_inh_B : OUT std_logic ;
      Update : OUT std_logic ;
      debug_out : OUT std_logic_vector (63 DOWNTO 0) ;
      fault_type : OUT std_logic_vector (3 DOWNTO 0) ;
      mem_WE : OUT std_logic ;
      n16Mhz_12 : OUT std_logic ;
      BC_Message_Active : OUT std_logic ;
      BC_on : OUT std_logic ;
      H15530_record_A_Sync_error : OUT std_logic ;
      H15530_record_A_Manchester_error : OUT std_logic ;
      H15530_record_A_Parity_error : OUT std_logic ;
      H15530_record_A_echo_back_bus : OUT std_logic ;
      H15530_record_A_R_Data : OUT std_logic_vector (15 DOWNTO 0) ;
      H15530_record_A_RAW_GAP : OUT std_logic_vector (6 DOWNTO 0) ;
      H15530_record_A_GAP : OUT std_logic_vector (6 DOWNTO 0) ;
      H15530_record_A_Gap_found : OUT std_logic_vector (2 DOWNTO 0) ;
      H15530_record_A_RxRDY_plus_12us : OUT std_logic ;
      H15530_record_A_RxRDY_plus_10us : OUT std_logic ;
      H15530_record_A_CS : OUT std_logic ;
      H15530_record_A_Pre_EchoRdy : OUT std_logic ;
      H15530_record_A_Command_Sync : OUT std_logic ;
      H15530_record_A_Pre_RxRdy : OUT std_logic ;
      H15530_record_A_recieving : OUT std_logic ;
      H15530_record_B_Sync_error : OUT std_logic ;
      H15530_record_B_Manchester_error : OUT std_logic ;
      H15530_record_B_Parity_error : OUT std_logic ;
      H15530_record_B_echo_back_bus : OUT std_logic ;
      H15530_record_B_R_Data : OUT std_logic_vector (15 DOWNTO 0) ;
      H15530_record_B_RAW_GAP : OUT std_logic_vector (6 DOWNTO 0) ;
      H15530_record_B_GAP : OUT std_logic_vector (6 DOWNTO 0) ;
      H15530_record_B_Gap_found : OUT std_logic_vector (2 DOWNTO 0) ;
      H15530_record_B_RxRDY_plus_12us : OUT std_logic ;
      H15530_record_B_RxRDY_plus_10us : OUT std_logic ;
      H15530_record_B_CS : OUT std_logic ;
      H15530_record_B_Pre_EchoRdy : OUT std_logic ;
      H15530_record_B_Command_Sync : OUT std_logic ;
      H15530_record_B_Pre_RxRdy : OUT std_logic ;
      H15530_record_B_recieving : OUT std_logic ;
      key_ports_out : OUT std_logic_vector (23 DOWNTO 0) ;
      one_micro_increment : OUT std_logic ;
      pTDR_INT : OUT std_logic ;
      time_tag : OUT std_logic_vector (15 DOWNTO 0)) ;
end BRM1553D_ver8_4_RTLC_LONGENT0 ;

architecture no_int_mem_unfold_2431 of BRM1553D_ver8_4_RTLC_LONGENT0 is 
   component DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1
      port (
         Ack : IN std_logic ;
         Address : IN std_logic_vector (15 DOWNTO 0) ;
         BC_1553A_ME : IN std_logic ;
         BC_Command_Sync : IN std_logic ;
         BC_Coupling_error : IN std_logic ;
         BC_DISABLE : IN std_logic ;
         BC_Echo : IN std_logic ;
         BC_FE_All_Errors : IN std_logic ;
         BC_FE_Logic_error : IN std_logic ;
         BC_Found_Format_Error : IN std_logic ;
         BC_Found_wrong_RT_Address : IN std_logic ;
         BC_Found_wrong_word_count : IN std_logic ;
         BC_Loopback_error : IN std_logic ;
         BC_Message_Active : IN std_logic ;
         BC_Read : IN std_logic ;
         BC_Response_timeout_Error : IN std_logic ;
         BC_Rx_Data : IN std_logic_vector (15 DOWNTO 0) ;
         BC_Write : IN std_logic ;
         BC_wrong_sync : IN std_logic ;
         BE_Revision : IN std_logic_vector (15 DOWNTO 0) ;
         CE : IN std_logic ;
         CPU_Address : IN std_logic_vector (15 DOWNTO 0) ;
         CPU_CS : IN std_logic ;
         CPU_Data_in_wide : IN std_logic_vector (31 DOWNTO 0) ;
         CPU_RE_vec : IN std_logic_vector (1 DOWNTO 0) ;
         CPU_WE_vec : IN std_logic_vector (1 DOWNTO 0) ;
         Channel_Status : IN std_logic_vector (10 DOWNTO 0) ;
         Constants_readback : IN std_logic_vector (15 DOWNTO 0) ;
         Current_command : IN std_logic_vector (15 DOWNTO 0) ;
         Data_From_FE : IN std_logic_vector (15 DOWNTO 0) ;
         Data_o_temp : IN std_logic_vector (15 DOWNTO 0) ;
         Ext_Trigger : IN std_logic ;
         Goldenberg : IN std_logic ;
         Good_data_block_recieved : IN std_logic ;
         Handshake_Error : IN std_logic ;
         M1760 : IN std_logic ;
         MEM_Data_out_wide : IN std_logic_vector (31 DOWNTO 0) ;
         MEM_nREG : IN std_logic ;
         MIL1553_errors_Inhibit_TF : IN std_logic ;
         MIL1553_errors_invalid_command : IN std_logic ;
         MIL1553_errors_RT2RT_format_gap : IN std_logic ;
         MIL1553_errors_RT2RT_format_error : IN std_logic ;
         MIL1553_errors_Invalid_word : IN std_logic ;
         MIL1553_errors_Parity_Manchester : IN std_logic ;
         MIL1553_errors_incorrect_data_sync : IN std_logic ;
         MIL1553_errors_Low_word_count : IN std_logic ;
         MIL1553_errors_high_word_count : IN std_logic ;
         MIL1553_errors_Format_error : IN std_logic ;
         MIL1553_errors_Message_Error_set : IN std_logic ;
         MIL1553_errors_Address_Parity : IN std_logic ;
         MIL1553_errors_echo_back_bus_B : IN std_logic ;
         MIL1553_errors_echo_back_bus_A : IN std_logic ;
         MIL1553_errors_bus_B_shutdown : IN std_logic ;
         MIL1553_errors_bus_A_shutdown : IN std_logic ;
         MIL1553_errors_transmitter_timout : IN std_logic ;
         Message_ended_OK : IN std_logic ;
         Message_ended_not_OK : IN std_logic ;
         Monitor_Active_command : IN std_logic_vector (15 DOWNTO 0) ;
         Monitor_Ended_not_OK : IN std_logic ;
         Monitor_MIL1553_errors_Inhibit_TF : IN std_logic ;
         Monitor_MIL1553_errors_invalid_command : IN std_logic ;
         Monitor_MIL1553_errors_RT2RT_format_gap : IN std_logic ;
         Monitor_MIL1553_errors_RT2RT_format_error : IN std_logic ;
         Monitor_MIL1553_errors_Invalid_word : IN std_logic ;
         Monitor_MIL1553_errors_Parity_Manchester : IN std_logic ;
         Monitor_MIL1553_errors_incorrect_data_sync : IN std_logic ;
         Monitor_MIL1553_errors_Low_word_count : IN std_logic ;
         Monitor_MIL1553_errors_high_word_count : IN std_logic ;
         Monitor_MIL1553_errors_Format_error : IN std_logic ;
         Monitor_MIL1553_errors_Message_Error_set : IN std_logic ;
         Monitor_MIL1553_errors_Address_Parity : IN std_logic ;
         Monitor_MIL1553_errors_echo_back_bus_B : IN std_logic ;
         Monitor_MIL1553_errors_echo_back_bus_A : IN std_logic ;
         Monitor_MIL1553_errors_bus_B_shutdown : IN std_logic ;
         Monitor_MIL1553_errors_bus_A_shutdown : IN std_logic ;
         Monitor_MIL1553_errors_transmitter_timout : IN std_logic ;
         Monitor_RT2RT_Message : IN std_logic ;
         Monitor_bus_a : IN std_logic ;
         Monitor_ended_OK : IN std_logic ;
         Monitor_new_command : IN std_logic ;
         Monitor_write : IN std_logic ;
         Monitor_write_data : IN std_logic_vector (15 DOWNTO 0) ;
         New_command : IN std_logic ;
         RT2RT_Message : IN std_logic ;
         RTAD : IN std_logic_vector (4 DOWNTO 0) ;
         RTADP : IN std_logic ;
         RTAD_SW_EN : IN std_logic ;
         RT_ADR_LAT : IN std_logic ;
         Raw_resetN : IN std_logic ;
         Read : IN std_logic ;
         Set_SSFLAG : IN std_logic ;
         Strobe_TT : IN std_logic ;
         Tag_CLK : IN std_logic ;
         Tails_data_out_wide : IN std_logic_vector (31 DOWNTO 0) ;
         Tx_InhB : IN std_logic ;
         Tx_inhA : IN std_logic ;
         WM_Descriptor : IN std_logic_vector (15 DOWNTO 0) ;
         WM_Req : IN std_logic ;
         WM_Word : IN std_logic_vector (15 DOWNTO 0) ;
         Write : IN std_logic ;
         bus_A : IN std_logic ;
         clock : IN std_logic ;
         last_command : IN std_logic_vector (15 DOWNTO 0) ;
         pTDR_INT : IN std_logic ;
         ADDr_i_A : OUT std_logic_vector (15 DOWNTO 0) ;
         BC_FE_ResetN : OUT std_logic ;
         BC_RT2RT : OUT std_logic ;
         BC_Test : OUT std_logic ;
         BIT_Word : OUT std_logic_vector (15 DOWNTO 0) ;
         CPU_Data_out_wide : OUT std_logic_vector (31 DOWNTO 0) ;
         Data_i_A : OUT std_logic_vector (15 DOWNTO 0) ;
         ENC_TEST_GO : OUT std_logic ;
         ENC_TEST_on : OUT std_logic ;
         INTn : OUT std_logic ;
         IP_Freq_sel : OUT std_logic_vector (1 DOWNTO 0) ;
         No_Response_timeout : OUT std_logic_vector (2 DOWNTO 0) ;
         RE_A : OUT std_logic ;
         TT_Load : OUT std_logic ;
         Tails_WE_vec : OUT std_logic_vector (1 DOWNTO 0) ;
         WE_A : OUT std_logic ;
         debug : OUT std_logic_vector (15 DOWNTO 0) ;
         mem_WE_vec : OUT std_logic_vector (1 DOWNTO 0) ;
         n16Mhz_12 : OUT std_logic ;
         one_micro_increment : OUT std_logic ;
         pTDR_CS : OUT std_logic ;
         record_message_A : OUT std_logic ;
         record_message_B : OUT std_logic ;
         BC_1553A : OUT std_logic ;
         BC_BUS_A : OUT std_logic ;
         BC_Go : OUT std_logic ;
         BC_TX_Data : OUT std_logic_vector (15 DOWNTO 0) ;
         BC_on : OUT std_logic ;
         Config_reg_4 : OUT std_logic_vector (15 DOWNTO 0) ;
         Data_to_FE : OUT std_logic_vector (15 DOWNTO 0) ;
         Do_illegal : OUT std_logic ;
         MODE_CODE1553A : OUT std_logic ;
         NO_BCST : OUT std_logic ;
         RT_Address : OUT std_logic_vector (5 DOWNTO 0) ;
         RT_On : OUT std_logic ;
         ResetN : OUT std_logic ;
         WM_Ack : OUT std_logic ;
         WM_Started : OUT std_logic ;
         host_status_bits : OUT std_logic_vector (10 DOWNTO 0) ;
         illegal_message : OUT std_logic ;
         time_tag : OUT std_logic_vector (15 DOWNTO 0)) ;
   end component ;
   component RT_Real_switch_BRM_ver8_4_RTLC_LONGENT2
      port (
         Aux_in : IN std_logic_vector (15 DOWNTO 0) ;
         BC_Active_Bus_A : IN std_logic ;
         BC_Go : IN std_logic ;
         BC_T_sync : IN std_logic ;
         BC_Transmit_data : IN std_logic_vector (15 DOWNTO 0) ;
         BC_mode : IN std_logic ;
         BIT_word : IN std_logic_vector (15 DOWNTO 0) ;
         CPU_ResetN : IN std_logic ;
         Clock : IN std_logic ;
         Cohen : IN std_logic ;
         Data_in : IN std_logic_vector (15 DOWNTO 0) ;
         Do_illegal : IN std_logic ;
         ENC_TEST_On : IN std_logic ;
         External_CE_In : IN std_logic ;
         Host_Status_Bits : IN std_logic_vector (10 DOWNTO 0) ;
         MODE_CODE1553A : IN std_logic ;
         Minus_A : IN std_logic ;
         Minus_B : IN std_logic ;
         NO_BCST : IN std_logic ;
         No_Response_timeout : IN std_logic_vector (2 DOWNTO 0) ;
         Plus_A : IN std_logic ;
         Plus_B : IN std_logic ;
         RT_Address_wire : IN std_logic_vector (5 DOWNTO 0) ;
         RT_On : IN std_logic ;
         Tx_Inh_A_in : IN std_logic ;
         Tx_Inh_B_in : IN std_logic ;
         Wrap_Address : IN std_logic_vector (4 DOWNTO 0) ;
         illegal_command : IN std_logic ;
         loopback_test : IN std_logic ;
         Address : OUT std_logic_vector (15 DOWNTO 0) ;
         BC_TxRdy : OUT std_logic ;
         BUS_A : OUT std_logic ;
         Clock_enable : OUT std_logic ;
         Current_command : OUT std_logic_vector (15 DOWNTO 0) ;
         Data_out : OUT std_logic_vector (15 DOWNTO 0) ;
         Last_command : OUT std_logic_vector (15 DOWNTO 0) ;
         Message_ended_OK : OUT std_logic ;
         New_Command : OUT std_logic ;
         RT2RT_message : OUT std_logic ;
         Read : OUT std_logic ;
         Revision : OUT std_logic_vector (15 DOWNTO 0) ;
         Tx_A : OUT std_logic ;
         Tx_A_N : OUT std_logic ;
         Tx_B : OUT std_logic ;
         Tx_B_N : OUT std_logic ;
         Tx_inh_A : OUT std_logic ;
         Tx_inh_B : OUT std_logic ;
         Write : OUT std_logic ;
         mil1553_errors_Inhibit_TF : OUT std_logic ;
         mil1553_errors_invalid_command : OUT std_logic ;
         mil1553_errors_RT2RT_format_gap : OUT std_logic ;
         mil1553_errors_RT2RT_format_error : OUT std_logic ;
         mil1553_errors_Invalid_word : OUT std_logic ;
         mil1553_errors_Parity_Manchester : OUT std_logic ;
         mil1553_errors_incorrect_data_sync : OUT std_logic ;
         mil1553_errors_Low_word_count : OUT std_logic ;
         mil1553_errors_high_word_count : OUT std_logic ;
         mil1553_errors_Format_error : OUT std_logic ;
         mil1553_errors_Message_Error_set : OUT std_logic ;
         mil1553_errors_Address_Parity : OUT std_logic ;
         mil1553_errors_echo_back_bus_B : OUT std_logic ;
         mil1553_errors_echo_back_bus_A : OUT std_logic ;
         mil1553_errors_bus_B_shutdown : OUT std_logic ;
         mil1553_errors_bus_A_shutdown : OUT std_logic ;
         mil1553_errors_transmitter_timout : OUT std_logic ;
         Channel_status : OUT std_logic_vector (10 DOWNTO 0) ;
         H15530_record_A_Sync_error : OUT std_logic ;
         H15530_record_A_Manchester_error : OUT std_logic ;
         H15530_record_A_Parity_error : OUT std_logic ;
         H15530_record_A_echo_back_bus : OUT std_logic ;
         H15530_record_A_R_Data : OUT std_logic_vector (15 DOWNTO 0) ;
         H15530_record_A_RAW_GAP : OUT std_logic_vector (6 DOWNTO 0) ;
         H15530_record_A_GAP : OUT std_logic_vector (6 DOWNTO 0) ;
         H15530_record_A_Gap_found : OUT std_logic_vector (2 DOWNTO 0) ;
         H15530_record_A_RxRDY_plus_12us : OUT std_logic ;
         H15530_record_A_RxRDY_plus_10us : OUT std_logic ;
         H15530_record_A_CS : OUT std_logic ;
         H15530_record_A_Pre_EchoRdy : OUT std_logic ;
         H15530_record_A_Command_Sync : OUT std_logic ;
         H15530_record_A_Pre_RxRdy : OUT std_logic ;
         H15530_record_A_recieving : OUT std_logic ;
         H15530_record_B_Sync_error : OUT std_logic ;
         H15530_record_B_Manchester_error : OUT std_logic ;
         H15530_record_B_Parity_error : OUT std_logic ;
         H15530_record_B_echo_back_bus : OUT std_logic ;
         H15530_record_B_R_Data : OUT std_logic_vector (15 DOWNTO 0) ;
         H15530_record_B_RAW_GAP : OUT std_logic_vector (6 DOWNTO 0) ;
         H15530_record_B_GAP : OUT std_logic_vector (6 DOWNTO 0) ;
         H15530_record_B_Gap_found : OUT std_logic_vector (2 DOWNTO 0) ;
         H15530_record_B_RxRDY_plus_12us : OUT std_logic ;
         H15530_record_B_RxRDY_plus_10us : OUT std_logic ;
         H15530_record_B_CS : OUT std_logic ;
         H15530_record_B_Pre_EchoRdy : OUT std_logic ;
         H15530_record_B_Command_Sync : OUT std_logic ;
         H15530_record_B_Pre_RxRdy : OUT std_logic ;
         H15530_record_B_recieving : OUT std_logic ;
         Message_ended_not_OK : OUT std_logic ;
         RCV_A_Sync_error : OUT std_logic ;
         RCV_B_Sync_error : OUT std_logic) ;
   end component ;
   component Monitor_two_channel_8_4_1_40
      port (
         C : IN std_logic ;
         CE : IN std_logic ;
         MODE_CODE1553A : IN std_logic ;
         NO_BCST : IN std_logic ;
         No_Response_timeout : IN std_logic_vector (2 DOWNTO 0) ;
         R : IN std_logic ;
         rtlc_RCV_A_Sync_error_n139 : IN std_logic ;
         RCV_A_Manchester_error : IN std_logic ;
         RCV_A_Parity_error : IN std_logic ;
         RCV_A_echo_back_bus : IN std_logic ;
         RCV_A_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
         RCV_A_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         RCV_A_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         RCV_A_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
         RCV_A_RxRDY_plus_12us : IN std_logic ;
         RCV_A_RxRDY_plus_10us : IN std_logic ;
         RCV_A_CS : IN std_logic ;
         RCV_A_Pre_EchoRdy : IN std_logic ;
         RCV_A_Command_Sync : IN std_logic ;
         RCV_A_Pre_RxRdy : IN std_logic ;
         RCV_A_recieving : IN std_logic ;
         RCV_A_Sync_Error : IN std_logic ;
         rtlc_RCV_B_Sync_error_n140 : IN std_logic ;
         RCV_B_Manchester_error : IN std_logic ;
         RCV_B_Parity_error : IN std_logic ;
         RCV_B_echo_back_bus : IN std_logic ;
         RCV_B_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
         RCV_B_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         RCV_B_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         RCV_B_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
         RCV_B_RxRDY_plus_12us : IN std_logic ;
         RCV_B_RxRDY_plus_10us : IN std_logic ;
         RCV_B_CS : IN std_logic ;
         RCV_B_Pre_EchoRdy : IN std_logic ;
         RCV_B_Command_Sync : IN std_logic ;
         RCV_B_Pre_RxRdy : IN std_logic ;
         RCV_B_recieving : IN std_logic ;
         RCV_B_Sync_Error : IN std_logic ;
         Record_command_A : IN std_logic ;
         Record_command_B : IN std_logic ;
         yossy : IN std_logic ;
         Address : OUT std_logic_vector (15 DOWNTO 0) ;
         BM_OK_A : OUT std_logic ;
         BM_OK_B : OUT std_logic ;
         BM_not_OK_A : OUT std_logic ;
         BM_not_OK_B : OUT std_logic ;
         Debug : OUT std_logic_vector (15 DOWNTO 0) ;
         Debug_BM1 : OUT std_logic_vector (15 DOWNTO 0) ;
         Debug_BM2 : OUT std_logic_vector (15 DOWNTO 0) ;
         MIL1553_Errors_Inhibit_TF : OUT std_logic ;
         MIL1553_Errors_invalid_command : OUT std_logic ;
         MIL1553_Errors_RT2RT_format_gap : OUT std_logic ;
         MIL1553_Errors_RT2RT_format_error : OUT std_logic ;
         MIL1553_Errors_Invalid_word : OUT std_logic ;
         MIL1553_Errors_Parity_Manchester : OUT std_logic ;
         MIL1553_Errors_incorrect_data_sync : OUT std_logic ;
         MIL1553_Errors_Low_word_count : OUT std_logic ;
         MIL1553_Errors_high_word_count : OUT std_logic ;
         MIL1553_Errors_Format_error : OUT std_logic ;
         MIL1553_Errors_Message_Error_set : OUT std_logic ;
         MIL1553_Errors_Address_Parity : OUT std_logic ;
         MIL1553_Errors_echo_back_bus_B : OUT std_logic ;
         MIL1553_Errors_echo_back_bus_A : OUT std_logic ;
         MIL1553_Errors_bus_B_shutdown : OUT std_logic ;
         MIL1553_Errors_bus_A_shutdown : OUT std_logic ;
         MIL1553_Errors_transmitter_timout : OUT std_logic ;
         Monitor_ended_OK : OUT std_logic ;
         Monitor_ended_not_OK : OUT std_logic ;
         RT2RT_message : OUT std_logic ;
         Write : OUT std_logic ;
         Write_Data : OUT std_logic_vector (15 DOWNTO 0) ;
         active_command : OUT std_logic_vector (15 DOWNTO 0) ;
         new_command : OUT std_logic ;
         Monitor_Bus_A : OUT std_logic) ;
   end component ;
   component BC_Stm_ver8_4_1_40
      port (
         C : IN std_logic ;
         R : IN std_logic ;
         CE : IN std_logic ;
         Yoav : IN std_logic ;
         rtlc_RCV_A_Sync_error_n2570 : IN std_logic ;
         RCV_A_Manchester_error : IN std_logic ;
         RCV_A_Parity_error : IN std_logic ;
         RCV_A_echo_back_bus : IN std_logic ;
         RCV_A_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
         RCV_A_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         RCV_A_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         RCV_A_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
         RCV_A_RxRDY_plus_12us : IN std_logic ;
         RCV_A_RxRDY_plus_10us : IN std_logic ;
         RCV_A_CS : IN std_logic ;
         RCV_A_Pre_EchoRdy : IN std_logic ;
         RCV_A_Command_Sync : IN std_logic ;
         RCV_A_Pre_RxRdy : IN std_logic ;
         RCV_A_recieving : IN std_logic ;
         rtlc_RCV_B_Sync_error_n2571 : IN std_logic ;
         RCV_B_Manchester_error : IN std_logic ;
         RCV_B_Parity_error : IN std_logic ;
         RCV_B_echo_back_bus : IN std_logic ;
         RCV_B_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
         RCV_B_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         RCV_B_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         RCV_B_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
         RCV_B_RxRDY_plus_12us : IN std_logic ;
         RCV_B_RxRDY_plus_10us : IN std_logic ;
         RCV_B_CS : IN std_logic ;
         RCV_B_Pre_EchoRdy : IN std_logic ;
         RCV_B_Command_Sync : IN std_logic ;
         RCV_B_Pre_RxRdy : IN std_logic ;
         RCV_B_recieving : IN std_logic ;
         No_Response_timeout : IN std_logic_vector (2 DOWNTO 0) ;
         RCV_A_Sync_error : IN std_logic ;
         RCV_B_Sync_error : IN std_logic ;
         Transmit_data : OUT std_logic_vector (15 DOWNTO 0) ;
         T_Sync : OUT std_logic ;
         Go_Tx : OUT std_logic ;
         Tx_Rdy : IN std_logic ;
         Tx_Bus_A : OUT std_logic ;
         Tx_Data : IN std_logic_vector (15 DOWNTO 0) ;
         Read : OUT std_logic ;
         Go : IN std_logic ;
         ENC_TEST_Go : IN std_logic ;
         RT2RT : IN std_logic ;
         Bus_A : IN std_logic ;
         Rx_Data : OUT std_logic_vector (15 DOWNTO 0) ;
         Write : OUT std_logic ;
         Echo : OUT std_logic ;
         Message_Active : OUT std_logic ;
         Command_Sync : OUT std_logic ;
         Idle_state : OUT std_logic ;
         Activity_on_wrong_bus : OUT std_logic ;
         Response_timeout_Error : OUT std_logic ;
         Found_Format_Error : OUT std_logic ;
         Loopback_error : OUT std_logic ;
         Found_wrong_RT_Address : OUT std_logic ;
         Found_wrong_word_count : OUT std_logic ;
         Bus_Coupling_error : OUT std_logic ;
         BC_logic_error : OUT std_logic ;
         Wrong_Sync_error : OUT std_logic ;
         FE_All_Errors : OUT std_logic ;
         Good_data_block_recieved : OUT std_logic ;
         NO_BCST : IN std_logic ;
         BC_1553A : IN std_logic ;
         BC_1553A_ME : OUT std_logic ;
         Config_reg_4 : IN std_logic_vector (15 DOWNTO 0) ;
         Debug : OUT std_logic_vector (15 DOWNTO 0)) ;
   end component ;
   component Monitor_Word_DDC_8_4_40
      port (
         A_Sync_error : IN std_logic ;
         A_Manchester_error : IN std_logic ;
         A_Parity_error : IN std_logic ;
         A_echo_back_bus : IN std_logic ;
         A_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
         A_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         A_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         A_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
         A_RxRDY_plus_12us : IN std_logic ;
         A_RxRDY_plus_10us : IN std_logic ;
         A_CS : IN std_logic ;
         A_Pre_EchoRdy : IN std_logic ;
         A_Command_Sync : IN std_logic ;
         A_Pre_RxRdy : IN std_logic ;
         A_recieving : IN std_logic ;
         Ack : IN std_logic ;
         B_Sync_error : IN std_logic ;
         B_Manchester_error : IN std_logic ;
         B_Parity_error : IN std_logic ;
         B_echo_back_bus : IN std_logic ;
         B_R_Data : IN std_logic_vector (15 DOWNTO 0) ;
         B_RAW_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         B_GAP : IN std_logic_vector (6 DOWNTO 0) ;
         B_Gap_found : IN std_logic_vector (2 DOWNTO 0) ;
         B_RxRDY_plus_12us : IN std_logic ;
         B_RxRDY_plus_10us : IN std_logic ;
         B_CS : IN std_logic ;
         B_Pre_EchoRdy : IN std_logic ;
         B_Command_Sync : IN std_logic ;
         B_Pre_RxRdy : IN std_logic ;
         B_recieving : IN std_logic ;
         C : IN std_logic ;
         CE : IN std_logic ;
         R : IN std_logic ;
         Descriptor : OUT std_logic_vector (15 DOWNTO 0) ;
         Req : OUT std_logic ;
         Word : OUT std_logic_vector (15 DOWNTO 0)) ;
   end component ;
   signal CE_out_EXMPLR2718, BC_Message_Active_EXMPLR2794, BC_on_EXMPLR2795
   : std_logic ;
   
   signal Address: std_logic_vector (10 DOWNTO 0) ;
   
   signal BC_1553A, BC_1553A_ME, BC_BUS_A, BC_Command_Sync, 
      BC_Coupling_error, BC_Echo, BC_FE_All_Errors, BC_FE_Logic_error, 
      BC_Found_Format_Error, BC_Found_wrong_RT_Address, 
      BC_Found_wrong_word_count, BC_Go, BC_Go_Tx, BC_Loopback_error, 
      BC_RT2RT, BC_Read, BC_Response_timeout_Error: std_logic ;
   
   signal BC_Rx_Data: std_logic_vector (15 DOWNTO 0) ;
   
   signal BC_STM_ResetN: std_logic ;
   
   signal BC_TX_Data: std_logic_vector (15 DOWNTO 0) ;
   
   signal BC_Test: std_logic ;
   
   signal BC_Transmit_data: std_logic_vector (15 DOWNTO 0) ;
   
   signal BC_Write, BC_wrong_sync: std_logic ;
   
   signal BIT_word: std_logic_vector (15 DOWNTO 0) ;
   
   signal Channel_status: std_logic_vector (10 DOWNTO 0) ;
   
   signal Config_reg_4_6, Config_reg_4_5: std_logic ;
   
   signal Current_command: std_logic_vector (15 DOWNTO 0) ;
   
   signal Data_From_FE: std_logic_vector (15 DOWNTO 0) ;
   
   signal Data_to_FE: std_logic_vector (15 DOWNTO 0) ;
   
   signal Do_illegal, ENC_TEST_Go, ENC_TEST_On, Good_data_block_recieved: 
   std_logic ;
   
   signal Host_Status_Bits: std_logic_vector (10 DOWNTO 0) ;
   
   signal Last_command: std_logic_vector (15 DOWNTO 0) ;
   
   signal MODE_CODE1553A, Message_ended_OK, Message_ended_not_OK, 
      Monitor_Bus_A, Monitor_New_command, Monitor_RT2RT_message, 
      Monitor_Record_command_A, Monitor_Record_command_B, Monitor_Write: 
   std_logic ;
   
   signal Monitor_Write_Data: std_logic_vector (15 DOWNTO 0) ;
   
   signal Monitor_active_command: std_logic_vector (15 DOWNTO 0) ;
   
   signal Monitor_ended_OK, Monitor_ended_not_OK, New_command: std_logic ;
   
   signal No_Response_timeout: std_logic_vector (2 DOWNTO 0) ;
   
   signal RCV_A_Sync_error, RCV_B_Sync_error, RT2RT_message, RT_On, Read, 
      ResetN, T_Sync, Tx_Bus_A, Tx_Rdy, WM_Ack, WM_Descriptor_15, 
      WM_Descriptor_14, WM_Descriptor_13, WM_Descriptor_12, WM_Descriptor_11, 
      WM_Descriptor_10, WM_Descriptor_9, WM_Descriptor_8, WM_Descriptor_7, 
      WM_Descriptor_5, WM_Descriptor_4, WM_Descriptor_3, WM_Descriptor_2, 
      WM_Descriptor_1, WM_Descriptor_0, WM_Req, WM_Started: std_logic ;
   
   signal WM_Word: std_logic_vector (15 DOWNTO 0) ;
   
   signal Write, bus_A, illegal_command, PWR, OE_High_EXMPLR2813: std_logic
    ;
   
   signal H15530_record_A_R_Data_EXMPLR2902: std_logic_vector (15 DOWNTO 0)
    ;
   
   signal H15530_record_A_RAW_GAP_EXMPLR2903: std_logic_vector (6 DOWNTO 0)
    ;
   
   signal H15530_record_A_GAP_EXMPLR2904: std_logic_vector (6 DOWNTO 0) ;
   
   signal H15530_record_A_Gap_found_EXMPLR2905: std_logic_vector
    (2 DOWNTO 0) ;
   
   signal H15530_record_A_CS_EXMPLR2847, 
      H15530_record_A_Pre_EchoRdy_EXMPLR2848, 
      H15530_record_A_Command_Sync_EXMPLR2849, 
      H15530_record_A_Pre_RxRdy_EXMPLR2850, 
      H15530_record_A_recieving_EXMPLR2851: std_logic ;
   
   signal H15530_record_B_R_Data_EXMPLR2906: std_logic_vector (15 DOWNTO 0)
    ;
   
   signal H15530_record_B_RAW_GAP_EXMPLR2907: std_logic_vector (6 DOWNTO 0)
    ;
   
   signal H15530_record_B_GAP_EXMPLR2908: std_logic_vector (6 DOWNTO 0) ;
   
   signal H15530_record_B_Gap_found_EXMPLR2909: std_logic_vector
    (2 DOWNTO 0) ;
   
   signal H15530_record_B_CS_EXMPLR2885, 
      H15530_record_B_Pre_EchoRdy_EXMPLR2886, 
      H15530_record_B_Command_Sync_EXMPLR2887, 
      H15530_record_B_Pre_RxRdy_EXMPLR2888, 
      H15530_record_B_recieving_EXMPLR2889, 
      Monitor_MIL1553_errors_Inhibit_TF, 
      Monitor_MIL1553_errors_invalid_command, 
      Monitor_MIL1553_errors_RT2RT_format_gap, 
      Monitor_MIL1553_errors_RT2RT_format_error, 
      Monitor_MIL1553_errors_Invalid_word, 
      Monitor_MIL1553_errors_incorrect_data_sync, 
      Monitor_MIL1553_errors_Low_word_count, 
      Monitor_MIL1553_errors_high_word_count, 
      Monitor_MIL1553_errors_Address_Parity, mil1553_errors_Inhibit_TF, 
      mil1553_errors_Format_error, mil1553_errors_Message_Error_set, 
      mil1553_errors_echo_back_bus_B, mil1553_errors_echo_back_bus_A, 
      mil1553_errors_bus_B_shutdown, mil1553_errors_bus_A_shutdown, 
      mil1553_errors_transmitter_timout: std_logic ;
   
   signal DANGLING : std_logic_vector (180 downto 0 );

begin
   CE_out <= CE_out_EXMPLR2718 ;
   Fault_value(15) <= OE_High_EXMPLR2813 ;
   Fault_value(14) <= OE_High_EXMPLR2813 ;
   Fault_value(13) <= OE_High_EXMPLR2813 ;
   Fault_value(12) <= OE_High_EXMPLR2813 ;
   Fault_value(11) <= OE_High_EXMPLR2813 ;
   Fault_value(10) <= OE_High_EXMPLR2813 ;
   Fault_value(9) <= OE_High_EXMPLR2813 ;
   Fault_value(8) <= OE_High_EXMPLR2813 ;
   Fault_value(7) <= OE_High_EXMPLR2813 ;
   Fault_value(6) <= OE_High_EXMPLR2813 ;
   Fault_value(5) <= OE_High_EXMPLR2813 ;
   Fault_value(4) <= OE_High_EXMPLR2813 ;
   Fault_value(3) <= OE_High_EXMPLR2813 ;
   Fault_value(2) <= OE_High_EXMPLR2813 ;
   Fault_value(1) <= OE_High_EXMPLR2813 ;
   Fault_value(0) <= OE_High_EXMPLR2813 ;
   IP_Freq_sel(1) <= OE_High_EXMPLR2813 ;
   IP_Freq_sel(0) <= OE_High_EXMPLR2813 ;
   OE_High <= OE_High_EXMPLR2813 ;
   TT_Load <= OE_High_EXMPLR2813 ;
   Tok <= OE_High_EXMPLR2813 ;
   Update <= OE_High_EXMPLR2813 ;
   debug_out(63) <= OE_High_EXMPLR2813 ;
   debug_out(62) <= OE_High_EXMPLR2813 ;
   debug_out(61) <= OE_High_EXMPLR2813 ;
   debug_out(60) <= OE_High_EXMPLR2813 ;
   debug_out(59) <= OE_High_EXMPLR2813 ;
   debug_out(58) <= OE_High_EXMPLR2813 ;
   debug_out(57) <= OE_High_EXMPLR2813 ;
   debug_out(56) <= OE_High_EXMPLR2813 ;
   debug_out(55) <= OE_High_EXMPLR2813 ;
   debug_out(54) <= OE_High_EXMPLR2813 ;
   debug_out(53) <= OE_High_EXMPLR2813 ;
   debug_out(52) <= OE_High_EXMPLR2813 ;
   debug_out(51) <= OE_High_EXMPLR2813 ;
   debug_out(50) <= OE_High_EXMPLR2813 ;
   debug_out(49) <= OE_High_EXMPLR2813 ;
   debug_out(48) <= OE_High_EXMPLR2813 ;
   debug_out(47) <= OE_High_EXMPLR2813 ;
   debug_out(46) <= OE_High_EXMPLR2813 ;
   debug_out(45) <= OE_High_EXMPLR2813 ;
   debug_out(44) <= OE_High_EXMPLR2813 ;
   debug_out(43) <= OE_High_EXMPLR2813 ;
   debug_out(42) <= OE_High_EXMPLR2813 ;
   debug_out(41) <= OE_High_EXMPLR2813 ;
   debug_out(40) <= OE_High_EXMPLR2813 ;
   debug_out(39) <= OE_High_EXMPLR2813 ;
   debug_out(38) <= OE_High_EXMPLR2813 ;
   debug_out(37) <= OE_High_EXMPLR2813 ;
   debug_out(36) <= OE_High_EXMPLR2813 ;
   debug_out(35) <= OE_High_EXMPLR2813 ;
   debug_out(34) <= OE_High_EXMPLR2813 ;
   debug_out(33) <= OE_High_EXMPLR2813 ;
   debug_out(32) <= OE_High_EXMPLR2813 ;
   debug_out(31) <= OE_High_EXMPLR2813 ;
   debug_out(30) <= OE_High_EXMPLR2813 ;
   debug_out(29) <= OE_High_EXMPLR2813 ;
   debug_out(28) <= OE_High_EXMPLR2813 ;
   debug_out(27) <= OE_High_EXMPLR2813 ;
   debug_out(26) <= OE_High_EXMPLR2813 ;
   debug_out(25) <= OE_High_EXMPLR2813 ;
   debug_out(24) <= OE_High_EXMPLR2813 ;
   debug_out(23) <= OE_High_EXMPLR2813 ;
   debug_out(22) <= OE_High_EXMPLR2813 ;
   debug_out(21) <= OE_High_EXMPLR2813 ;
   debug_out(20) <= OE_High_EXMPLR2813 ;
   debug_out(19) <= OE_High_EXMPLR2813 ;
   debug_out(18) <= OE_High_EXMPLR2813 ;
   debug_out(17) <= OE_High_EXMPLR2813 ;
   debug_out(16) <= OE_High_EXMPLR2813 ;
   debug_out(15) <= OE_High_EXMPLR2813 ;
   debug_out(14) <= OE_High_EXMPLR2813 ;
   debug_out(13) <= OE_High_EXMPLR2813 ;
   debug_out(12) <= OE_High_EXMPLR2813 ;
   debug_out(11) <= OE_High_EXMPLR2813 ;
   debug_out(10) <= OE_High_EXMPLR2813 ;
   debug_out(9) <= OE_High_EXMPLR2813 ;
   debug_out(8) <= OE_High_EXMPLR2813 ;
   debug_out(7) <= OE_High_EXMPLR2813 ;
   debug_out(6) <= OE_High_EXMPLR2813 ;
   debug_out(5) <= OE_High_EXMPLR2813 ;
   debug_out(4) <= OE_High_EXMPLR2813 ;
   debug_out(3) <= OE_High_EXMPLR2813 ;
   debug_out(2) <= OE_High_EXMPLR2813 ;
   debug_out(1) <= OE_High_EXMPLR2813 ;
   debug_out(0) <= OE_High_EXMPLR2813 ;
   fault_type(3) <= OE_High_EXMPLR2813 ;
   fault_type(2) <= OE_High_EXMPLR2813 ;
   fault_type(1) <= OE_High_EXMPLR2813 ;
   fault_type(0) <= OE_High_EXMPLR2813 ;
   n16Mhz_12 <= OE_High_EXMPLR2813 ;
   BC_Message_Active <= BC_Message_Active_EXMPLR2794 ;
   BC_on <= BC_on_EXMPLR2795 ;
   H15530_record_A_Sync_error <= OE_High_EXMPLR2813 ;
   H15530_record_A_Manchester_error <= OE_High_EXMPLR2813 ;
   H15530_record_A_Parity_error <= OE_High_EXMPLR2813 ;
   H15530_record_A_echo_back_bus <= OE_High_EXMPLR2813 ;
   H15530_record_A_R_Data(15) <= H15530_record_A_R_Data_EXMPLR2902(15) ;
   H15530_record_A_R_Data(14) <= H15530_record_A_R_Data_EXMPLR2902(14) ;
   H15530_record_A_R_Data(13) <= H15530_record_A_R_Data_EXMPLR2902(13) ;
   H15530_record_A_R_Data(12) <= H15530_record_A_R_Data_EXMPLR2902(12) ;
   H15530_record_A_R_Data(11) <= H15530_record_A_R_Data_EXMPLR2902(11) ;
   H15530_record_A_R_Data(10) <= H15530_record_A_R_Data_EXMPLR2902(10) ;
   H15530_record_A_R_Data(9) <= H15530_record_A_R_Data_EXMPLR2902(9) ;
   H15530_record_A_R_Data(8) <= H15530_record_A_R_Data_EXMPLR2902(8) ;
   H15530_record_A_R_Data(7) <= H15530_record_A_R_Data_EXMPLR2902(7) ;
   H15530_record_A_R_Data(6) <= H15530_record_A_R_Data_EXMPLR2902(6) ;
   H15530_record_A_R_Data(5) <= H15530_record_A_R_Data_EXMPLR2902(5) ;
   H15530_record_A_R_Data(4) <= H15530_record_A_R_Data_EXMPLR2902(4) ;
   H15530_record_A_R_Data(3) <= H15530_record_A_R_Data_EXMPLR2902(3) ;
   H15530_record_A_R_Data(2) <= H15530_record_A_R_Data_EXMPLR2902(2) ;
   H15530_record_A_R_Data(1) <= H15530_record_A_R_Data_EXMPLR2902(1) ;
   H15530_record_A_R_Data(0) <= H15530_record_A_R_Data_EXMPLR2902(0) ;
   H15530_record_A_RAW_GAP(6) <= OE_High_EXMPLR2813 ;
   H15530_record_A_RAW_GAP(5) <= OE_High_EXMPLR2813 ;
   H15530_record_A_RAW_GAP(4) <= OE_High_EXMPLR2813 ;
   H15530_record_A_RAW_GAP(3) <= OE_High_EXMPLR2813 ;
   H15530_record_A_RAW_GAP(2) <= OE_High_EXMPLR2813 ;
   H15530_record_A_RAW_GAP(1) <= OE_High_EXMPLR2813 ;
   H15530_record_A_RAW_GAP(0) <= OE_High_EXMPLR2813 ;
   H15530_record_A_GAP(6) <= OE_High_EXMPLR2813 ;
   H15530_record_A_GAP(5) <= OE_High_EXMPLR2813 ;
   H15530_record_A_GAP(4) <= OE_High_EXMPLR2813 ;
   H15530_record_A_GAP(3) <= OE_High_EXMPLR2813 ;
   H15530_record_A_GAP(2) <= OE_High_EXMPLR2813 ;
   H15530_record_A_GAP(1) <= OE_High_EXMPLR2813 ;
   H15530_record_A_GAP(0) <= OE_High_EXMPLR2813 ;
   H15530_record_A_Gap_found(2) <= OE_High_EXMPLR2813 ;
   H15530_record_A_Gap_found(1) <= OE_High_EXMPLR2813 ;
   H15530_record_A_Gap_found(0) <= OE_High_EXMPLR2813 ;
   H15530_record_A_RxRDY_plus_12us <= OE_High_EXMPLR2813 ;
   H15530_record_A_RxRDY_plus_10us <= OE_High_EXMPLR2813 ;
   H15530_record_A_CS <= H15530_record_A_CS_EXMPLR2847 ;
   H15530_record_A_Pre_EchoRdy <= OE_High_EXMPLR2813 ;
   H15530_record_A_Command_Sync <= H15530_record_A_Command_Sync_EXMPLR2849 ;
   H15530_record_A_Pre_RxRdy <= H15530_record_A_Pre_RxRdy_EXMPLR2850 ;
   H15530_record_A_recieving <= OE_High_EXMPLR2813 ;
   H15530_record_B_Sync_error <= OE_High_EXMPLR2813 ;
   H15530_record_B_Manchester_error <= OE_High_EXMPLR2813 ;
   H15530_record_B_Parity_error <= OE_High_EXMPLR2813 ;
   H15530_record_B_echo_back_bus <= OE_High_EXMPLR2813 ;
   H15530_record_B_R_Data(15) <= H15530_record_B_R_Data_EXMPLR2906(15) ;
   H15530_record_B_R_Data(14) <= H15530_record_B_R_Data_EXMPLR2906(14) ;
   H15530_record_B_R_Data(13) <= H15530_record_B_R_Data_EXMPLR2906(13) ;
   H15530_record_B_R_Data(12) <= H15530_record_B_R_Data_EXMPLR2906(12) ;
   H15530_record_B_R_Data(11) <= H15530_record_B_R_Data_EXMPLR2906(11) ;
   H15530_record_B_R_Data(10) <= H15530_record_B_R_Data_EXMPLR2906(10) ;
   H15530_record_B_R_Data(9) <= H15530_record_B_R_Data_EXMPLR2906(9) ;
   H15530_record_B_R_Data(8) <= H15530_record_B_R_Data_EXMPLR2906(8) ;
   H15530_record_B_R_Data(7) <= H15530_record_B_R_Data_EXMPLR2906(7) ;
   H15530_record_B_R_Data(6) <= H15530_record_B_R_Data_EXMPLR2906(6) ;
   H15530_record_B_R_Data(5) <= H15530_record_B_R_Data_EXMPLR2906(5) ;
   H15530_record_B_R_Data(4) <= H15530_record_B_R_Data_EXMPLR2906(4) ;
   H15530_record_B_R_Data(3) <= H15530_record_B_R_Data_EXMPLR2906(3) ;
   H15530_record_B_R_Data(2) <= H15530_record_B_R_Data_EXMPLR2906(2) ;
   H15530_record_B_R_Data(1) <= H15530_record_B_R_Data_EXMPLR2906(1) ;
   H15530_record_B_R_Data(0) <= H15530_record_B_R_Data_EXMPLR2906(0) ;
   H15530_record_B_RAW_GAP(6) <= OE_High_EXMPLR2813 ;
   H15530_record_B_RAW_GAP(5) <= OE_High_EXMPLR2813 ;
   H15530_record_B_RAW_GAP(4) <= OE_High_EXMPLR2813 ;
   H15530_record_B_RAW_GAP(3) <= OE_High_EXMPLR2813 ;
   H15530_record_B_RAW_GAP(2) <= OE_High_EXMPLR2813 ;
   H15530_record_B_RAW_GAP(1) <= OE_High_EXMPLR2813 ;
   H15530_record_B_RAW_GAP(0) <= OE_High_EXMPLR2813 ;
   H15530_record_B_GAP(6) <= OE_High_EXMPLR2813 ;
   H15530_record_B_GAP(5) <= OE_High_EXMPLR2813 ;
   H15530_record_B_GAP(4) <= OE_High_EXMPLR2813 ;
   H15530_record_B_GAP(3) <= OE_High_EXMPLR2813 ;
   H15530_record_B_GAP(2) <= OE_High_EXMPLR2813 ;
   H15530_record_B_GAP(1) <= OE_High_EXMPLR2813 ;
   H15530_record_B_GAP(0) <= OE_High_EXMPLR2813 ;
   H15530_record_B_Gap_found(2) <= OE_High_EXMPLR2813 ;
   H15530_record_B_Gap_found(1) <= OE_High_EXMPLR2813 ;
   H15530_record_B_Gap_found(0) <= OE_High_EXMPLR2813 ;
   H15530_record_B_RxRDY_plus_12us <= OE_High_EXMPLR2813 ;
   H15530_record_B_RxRDY_plus_10us <= OE_High_EXMPLR2813 ;
   H15530_record_B_CS <= H15530_record_B_CS_EXMPLR2885 ;
   H15530_record_B_Pre_EchoRdy <= OE_High_EXMPLR2813 ;
   H15530_record_B_Command_Sync <= H15530_record_B_Command_Sync_EXMPLR2887 ;
   H15530_record_B_Pre_RxRdy <= H15530_record_B_Pre_RxRdy_EXMPLR2888 ;
   H15530_record_B_recieving <= OE_High_EXMPLR2813 ;
   key_ports_out(23) <= OE_High_EXMPLR2813 ;
   key_ports_out(22) <= OE_High_EXMPLR2813 ;
   key_ports_out(21) <= OE_High_EXMPLR2813 ;
   key_ports_out(20) <= OE_High_EXMPLR2813 ;
   key_ports_out(19) <= OE_High_EXMPLR2813 ;
   key_ports_out(18) <= OE_High_EXMPLR2813 ;
   key_ports_out(17) <= OE_High_EXMPLR2813 ;
   key_ports_out(16) <= OE_High_EXMPLR2813 ;
   key_ports_out(15) <= OE_High_EXMPLR2813 ;
   key_ports_out(14) <= OE_High_EXMPLR2813 ;
   key_ports_out(13) <= OE_High_EXMPLR2813 ;
   key_ports_out(12) <= OE_High_EXMPLR2813 ;
   key_ports_out(11) <= OE_High_EXMPLR2813 ;
   key_ports_out(10) <= OE_High_EXMPLR2813 ;
   key_ports_out(9) <= OE_High_EXMPLR2813 ;
   key_ports_out(8) <= OE_High_EXMPLR2813 ;
   key_ports_out(7) <= OE_High_EXMPLR2813 ;
   key_ports_out(6) <= OE_High_EXMPLR2813 ;
   key_ports_out(5) <= OE_High_EXMPLR2813 ;
   key_ports_out(4) <= OE_High_EXMPLR2813 ;
   key_ports_out(3) <= OE_High_EXMPLR2813 ;
   key_ports_out(2) <= OE_High_EXMPLR2813 ;
   key_ports_out(1) <= OE_High_EXMPLR2813 ;
   key_ports_out(0) <= OE_High_EXMPLR2813 ;
   pTDR_INT <= OE_High_EXMPLR2813 ;
   PWR <= '1' ;
   OE_High_EXMPLR2813 <= '0' ;
   DDC_Enhanced : DDC_enhanced_ACE_BRM_8_4_RTLC_LONGENT1 port map ( Ack=>
      Mem_Ack, Address(15)=>OE_High_EXMPLR2813, Address(14)=>
      OE_High_EXMPLR2813, Address(13)=>OE_High_EXMPLR2813, Address(12)=>
      OE_High_EXMPLR2813, Address(11)=>OE_High_EXMPLR2813, Address(10)=>
      Address(10), Address(9)=>Address(9), Address(8)=>Address(8), 
      Address(7)=>Address(7), Address(6)=>Address(6), Address(5)=>Address(5), 
      Address(4)=>Address(4), Address(3)=>Address(3), Address(2)=>Address(2), 
      Address(1)=>Address(1), Address(0)=>Address(0), BC_1553A_ME=>
      BC_1553A_ME, BC_Command_Sync=>BC_Command_Sync, BC_Coupling_error=>
      BC_Coupling_error, BC_DISABLE=>BC_DISABLE, BC_Echo=>BC_Echo, 
      BC_FE_All_Errors=>BC_FE_All_Errors, BC_FE_Logic_error=>
      BC_FE_Logic_error, BC_Found_Format_Error=>BC_Found_Format_Error, 
      BC_Found_wrong_RT_Address=>BC_Found_wrong_RT_Address, 
      BC_Found_wrong_word_count=>BC_Found_wrong_word_count, 
      BC_Loopback_error=>BC_Loopback_error, BC_Message_Active=>
      BC_Message_Active_EXMPLR2794, BC_Read=>BC_Read, 
      BC_Response_timeout_Error=>BC_Response_timeout_Error, BC_Rx_Data(15)=>
      BC_Rx_Data(15), BC_Rx_Data(14)=>BC_Rx_Data(14), BC_Rx_Data(13)=>
      BC_Rx_Data(13), BC_Rx_Data(12)=>BC_Rx_Data(12), BC_Rx_Data(11)=>
      BC_Rx_Data(11), BC_Rx_Data(10)=>BC_Rx_Data(10), BC_Rx_Data(9)=>
      BC_Rx_Data(9), BC_Rx_Data(8)=>BC_Rx_Data(8), BC_Rx_Data(7)=>
      BC_Rx_Data(7), BC_Rx_Data(6)=>BC_Rx_Data(6), BC_Rx_Data(5)=>
      BC_Rx_Data(5), BC_Rx_Data(4)=>BC_Rx_Data(4), BC_Rx_Data(3)=>
      BC_Rx_Data(3), BC_Rx_Data(2)=>BC_Rx_Data(2), BC_Rx_Data(1)=>
      BC_Rx_Data(1), BC_Rx_Data(0)=>BC_Rx_Data(0), BC_Write=>BC_Write, 
      BC_wrong_sync=>BC_wrong_sync, BE_Revision(15)=>OE_High_EXMPLR2813, 
      BE_Revision(14)=>OE_High_EXMPLR2813, BE_Revision(13)=>PWR, 
      BE_Revision(12)=>PWR, BE_Revision(11)=>OE_High_EXMPLR2813, 
      BE_Revision(10)=>OE_High_EXMPLR2813, BE_Revision(9)=>
      OE_High_EXMPLR2813, BE_Revision(8)=>OE_High_EXMPLR2813, BE_Revision(7)
      =>OE_High_EXMPLR2813, BE_Revision(6)=>OE_High_EXMPLR2813, 
      BE_Revision(5)=>OE_High_EXMPLR2813, BE_Revision(4)=>PWR, 
      BE_Revision(3)=>PWR, BE_Revision(2)=>OE_High_EXMPLR2813, 
      BE_Revision(1)=>OE_High_EXMPLR2813, BE_Revision(0)=>PWR, CE=>
      CE_out_EXMPLR2718, CPU_Address(15)=>OE_High_EXMPLR2813, 
      CPU_Address(14)=>OE_High_EXMPLR2813, CPU_Address(13)=>
      OE_High_EXMPLR2813, CPU_Address(12)=>OE_High_EXMPLR2813, 
      CPU_Address(11)=>OE_High_EXMPLR2813, CPU_Address(10)=>
      OE_High_EXMPLR2813, CPU_Address(9)=>OE_High_EXMPLR2813, CPU_Address(8)
      =>OE_High_EXMPLR2813, CPU_Address(7)=>OE_High_EXMPLR2813, 
      CPU_Address(6)=>OE_High_EXMPLR2813, CPU_Address(5)=>OE_High_EXMPLR2813, 
      CPU_Address(4)=>CPU_Address(4), CPU_Address(3)=>CPU_Address(3), 
      CPU_Address(2)=>CPU_Address(2), CPU_Address(1)=>CPU_Address(1), 
      CPU_Address(0)=>OE_High_EXMPLR2813, CPU_CS=>CPU_CS, 
      CPU_Data_in_wide(31)=>CPU_Data_in_wide(31), CPU_Data_in_wide(30)=>
      CPU_Data_in_wide(30), CPU_Data_in_wide(29)=>CPU_Data_in_wide(29), 
      CPU_Data_in_wide(28)=>CPU_Data_in_wide(28), CPU_Data_in_wide(27)=>
      CPU_Data_in_wide(27), CPU_Data_in_wide(26)=>CPU_Data_in_wide(26), 
      CPU_Data_in_wide(25)=>CPU_Data_in_wide(25), CPU_Data_in_wide(24)=>
      CPU_Data_in_wide(24), CPU_Data_in_wide(23)=>CPU_Data_in_wide(23), 
      CPU_Data_in_wide(22)=>CPU_Data_in_wide(22), CPU_Data_in_wide(21)=>
      CPU_Data_in_wide(21), CPU_Data_in_wide(20)=>CPU_Data_in_wide(20), 
      CPU_Data_in_wide(19)=>CPU_Data_in_wide(19), CPU_Data_in_wide(18)=>
      CPU_Data_in_wide(18), CPU_Data_in_wide(17)=>CPU_Data_in_wide(17), 
      CPU_Data_in_wide(16)=>CPU_Data_in_wide(16), CPU_Data_in_wide(15)=>
      CPU_Data_in_wide(15), CPU_Data_in_wide(14)=>CPU_Data_in_wide(14), 
      CPU_Data_in_wide(13)=>CPU_Data_in_wide(13), CPU_Data_in_wide(12)=>
      CPU_Data_in_wide(12), CPU_Data_in_wide(11)=>CPU_Data_in_wide(11), 
      CPU_Data_in_wide(10)=>CPU_Data_in_wide(10), CPU_Data_in_wide(9)=>
      CPU_Data_in_wide(9), CPU_Data_in_wide(8)=>CPU_Data_in_wide(8), 
      CPU_Data_in_wide(7)=>CPU_Data_in_wide(7), CPU_Data_in_wide(6)=>
      CPU_Data_in_wide(6), CPU_Data_in_wide(5)=>CPU_Data_in_wide(5), 
      CPU_Data_in_wide(4)=>CPU_Data_in_wide(4), CPU_Data_in_wide(3)=>
      CPU_Data_in_wide(3), CPU_Data_in_wide(2)=>CPU_Data_in_wide(2), 
      CPU_Data_in_wide(1)=>CPU_Data_in_wide(1), CPU_Data_in_wide(0)=>
      CPU_Data_in_wide(0), CPU_RE_vec(1)=>OE_High_EXMPLR2813, CPU_RE_vec(0)
      =>CPU_RE_vec(0), CPU_WE_vec(1)=>CPU_WE(1), CPU_WE_vec(0)=>CPU_WE(0), 
      Channel_Status(10)=>Channel_status(10), Channel_Status(9)=>
      Channel_status(9), Channel_Status(8)=>Channel_status(8), 
      Channel_Status(7)=>Channel_status(7), Channel_Status(6)=>
      Channel_status(6), Channel_Status(5)=>Channel_status(5), 
      Channel_Status(4)=>Channel_status(4), Channel_Status(3)=>
      Channel_status(3), Channel_Status(2)=>Channel_status(2), 
      Channel_Status(1)=>Channel_status(1), Channel_Status(0)=>
      Channel_status(0), Constants_readback(15)=>OE_High_EXMPLR2813, 
      Constants_readback(14)=>OE_High_EXMPLR2813, Constants_readback(13)=>
      OE_High_EXMPLR2813, Constants_readback(12)=>OE_High_EXMPLR2813, 
      Constants_readback(11)=>OE_High_EXMPLR2813, Constants_readback(10)=>
      OE_High_EXMPLR2813, Constants_readback(9)=>OE_High_EXMPLR2813, 
      Constants_readback(8)=>OE_High_EXMPLR2813, Constants_readback(7)=>
      OE_High_EXMPLR2813, Constants_readback(6)=>OE_High_EXMPLR2813, 
      Constants_readback(5)=>OE_High_EXMPLR2813, Constants_readback(4)=>
      OE_High_EXMPLR2813, Constants_readback(3)=>OE_High_EXMPLR2813, 
      Constants_readback(2)=>OE_High_EXMPLR2813, Constants_readback(1)=>
      OE_High_EXMPLR2813, Constants_readback(0)=>OE_High_EXMPLR2813, 
      Current_command(15)=>Current_command(15), Current_command(14)=>
      Current_command(14), Current_command(13)=>Current_command(13), 
      Current_command(12)=>Current_command(12), Current_command(11)=>
      Current_command(11), Current_command(10)=>Current_command(10), 
      Current_command(9)=>Current_command(9), Current_command(8)=>
      Current_command(8), Current_command(7)=>Current_command(7), 
      Current_command(6)=>Current_command(6), Current_command(5)=>
      Current_command(5), Current_command(4)=>Current_command(4), 
      Current_command(3)=>Current_command(3), Current_command(2)=>
      Current_command(2), Current_command(1)=>Current_command(1), 
      Current_command(0)=>Current_command(0), Data_From_FE(15)=>
      Data_From_FE(15), Data_From_FE(14)=>Data_From_FE(14), Data_From_FE(13)
      =>Data_From_FE(13), Data_From_FE(12)=>Data_From_FE(12), 
      Data_From_FE(11)=>Data_From_FE(11), Data_From_FE(10)=>Data_From_FE(10), 
      Data_From_FE(9)=>Data_From_FE(9), Data_From_FE(8)=>Data_From_FE(8), 
      Data_From_FE(7)=>Data_From_FE(7), Data_From_FE(6)=>Data_From_FE(6), 
      Data_From_FE(5)=>Data_From_FE(5), Data_From_FE(4)=>Data_From_FE(4), 
      Data_From_FE(3)=>Data_From_FE(3), Data_From_FE(2)=>Data_From_FE(2), 
      Data_From_FE(1)=>Data_From_FE(1), Data_From_FE(0)=>Data_From_FE(0), 
      Data_o_temp(15)=>Mem_Data_o(15), Data_o_temp(14)=>Mem_Data_o(14), 
      Data_o_temp(13)=>Mem_Data_o(13), Data_o_temp(12)=>Mem_Data_o(12), 
      Data_o_temp(11)=>Mem_Data_o(11), Data_o_temp(10)=>Mem_Data_o(10), 
      Data_o_temp(9)=>Mem_Data_o(9), Data_o_temp(8)=>Mem_Data_o(8), 
      Data_o_temp(7)=>Mem_Data_o(7), Data_o_temp(6)=>Mem_Data_o(6), 
      Data_o_temp(5)=>Mem_Data_o(5), Data_o_temp(4)=>Mem_Data_o(4), 
      Data_o_temp(3)=>Mem_Data_o(3), Data_o_temp(2)=>Mem_Data_o(2), 
      Data_o_temp(1)=>Mem_Data_o(1), Data_o_temp(0)=>Mem_Data_o(0), 
      Ext_Trigger=>Ext_Trigger, Goldenberg=>PWR, Good_data_block_recieved=>
      Good_data_block_recieved, Handshake_Error=>OE_High_EXMPLR2813, M1760=>
      OE_High_EXMPLR2813, MEM_Data_out_wide(31)=>CPU_Side_MEM_Data_o(31), 
      MEM_Data_out_wide(30)=>CPU_Side_MEM_Data_o(30), MEM_Data_out_wide(29)
      =>CPU_Side_MEM_Data_o(29), MEM_Data_out_wide(28)=>
      CPU_Side_MEM_Data_o(28), MEM_Data_out_wide(27)=>
      CPU_Side_MEM_Data_o(27), MEM_Data_out_wide(26)=>
      CPU_Side_MEM_Data_o(26), MEM_Data_out_wide(25)=>
      CPU_Side_MEM_Data_o(25), MEM_Data_out_wide(24)=>
      CPU_Side_MEM_Data_o(24), MEM_Data_out_wide(23)=>
      CPU_Side_MEM_Data_o(23), MEM_Data_out_wide(22)=>
      CPU_Side_MEM_Data_o(22), MEM_Data_out_wide(21)=>
      CPU_Side_MEM_Data_o(21), MEM_Data_out_wide(20)=>
      CPU_Side_MEM_Data_o(20), MEM_Data_out_wide(19)=>
      CPU_Side_MEM_Data_o(19), MEM_Data_out_wide(18)=>
      CPU_Side_MEM_Data_o(18), MEM_Data_out_wide(17)=>
      CPU_Side_MEM_Data_o(17), MEM_Data_out_wide(16)=>
      CPU_Side_MEM_Data_o(16), MEM_Data_out_wide(15)=>
      CPU_Side_MEM_Data_o(15), MEM_Data_out_wide(14)=>
      CPU_Side_MEM_Data_o(14), MEM_Data_out_wide(13)=>
      CPU_Side_MEM_Data_o(13), MEM_Data_out_wide(12)=>
      CPU_Side_MEM_Data_o(12), MEM_Data_out_wide(11)=>
      CPU_Side_MEM_Data_o(11), MEM_Data_out_wide(10)=>
      CPU_Side_MEM_Data_o(10), MEM_Data_out_wide(9)=>CPU_Side_MEM_Data_o(9), 
      MEM_Data_out_wide(8)=>CPU_Side_MEM_Data_o(8), MEM_Data_out_wide(7)=>
      CPU_Side_MEM_Data_o(7), MEM_Data_out_wide(6)=>CPU_Side_MEM_Data_o(6), 
      MEM_Data_out_wide(5)=>CPU_Side_MEM_Data_o(5), MEM_Data_out_wide(4)=>
      CPU_Side_MEM_Data_o(4), MEM_Data_out_wide(3)=>CPU_Side_MEM_Data_o(3), 
      MEM_Data_out_wide(2)=>CPU_Side_MEM_Data_o(2), MEM_Data_out_wide(1)=>
      CPU_Side_MEM_Data_o(1), MEM_Data_out_wide(0)=>CPU_Side_MEM_Data_o(0), 
      MEM_nREG=>MEM_nREG, MIL1553_errors_Inhibit_TF=>
      mil1553_errors_Inhibit_TF, MIL1553_errors_invalid_command=>
      OE_High_EXMPLR2813, MIL1553_errors_RT2RT_format_gap=>
      OE_High_EXMPLR2813, MIL1553_errors_RT2RT_format_error=>
      OE_High_EXMPLR2813, MIL1553_errors_Invalid_word=>OE_High_EXMPLR2813, 
      MIL1553_errors_Parity_Manchester=>OE_High_EXMPLR2813, 
      MIL1553_errors_incorrect_data_sync=>OE_High_EXMPLR2813, 
      MIL1553_errors_Low_word_count=>OE_High_EXMPLR2813, 
      MIL1553_errors_high_word_count=>OE_High_EXMPLR2813, 
      MIL1553_errors_Format_error=>mil1553_errors_Format_error, 
      MIL1553_errors_Message_Error_set=>mil1553_errors_Message_Error_set, 
      MIL1553_errors_Address_Parity=>OE_High_EXMPLR2813, 
      MIL1553_errors_echo_back_bus_B=>mil1553_errors_echo_back_bus_B, 
      MIL1553_errors_echo_back_bus_A=>mil1553_errors_echo_back_bus_A, 
      MIL1553_errors_bus_B_shutdown=>mil1553_errors_bus_B_shutdown, 
      MIL1553_errors_bus_A_shutdown=>mil1553_errors_bus_A_shutdown, 
      MIL1553_errors_transmitter_timout=>mil1553_errors_transmitter_timout, 
      Message_ended_OK=>Message_ended_OK, Message_ended_not_OK=>
      Message_ended_not_OK, Monitor_Active_command(15)=>
      Monitor_active_command(15), Monitor_Active_command(14)=>
      Monitor_active_command(14), Monitor_Active_command(13)=>
      Monitor_active_command(13), Monitor_Active_command(12)=>
      Monitor_active_command(12), Monitor_Active_command(11)=>
      Monitor_active_command(11), Monitor_Active_command(10)=>
      Monitor_active_command(10), Monitor_Active_command(9)=>
      Monitor_active_command(9), Monitor_Active_command(8)=>
      Monitor_active_command(8), Monitor_Active_command(7)=>
      Monitor_active_command(7), Monitor_Active_command(6)=>
      Monitor_active_command(6), Monitor_Active_command(5)=>
      Monitor_active_command(5), Monitor_Active_command(4)=>
      Monitor_active_command(4), Monitor_Active_command(3)=>
      Monitor_active_command(3), Monitor_Active_command(2)=>
      Monitor_active_command(2), Monitor_Active_command(1)=>
      Monitor_active_command(1), Monitor_Active_command(0)=>
      Monitor_active_command(0), Monitor_Ended_not_OK=>Monitor_ended_not_OK, 
      Monitor_MIL1553_errors_Inhibit_TF=>Monitor_MIL1553_errors_Inhibit_TF, 
      Monitor_MIL1553_errors_invalid_command=>
      Monitor_MIL1553_errors_invalid_command, 
      Monitor_MIL1553_errors_RT2RT_format_gap=>
      Monitor_MIL1553_errors_RT2RT_format_gap, 
      Monitor_MIL1553_errors_RT2RT_format_error=>
      Monitor_MIL1553_errors_RT2RT_format_error, 
      Monitor_MIL1553_errors_Invalid_word=>
      Monitor_MIL1553_errors_Invalid_word, 
      Monitor_MIL1553_errors_Parity_Manchester=>OE_High_EXMPLR2813, 
      Monitor_MIL1553_errors_incorrect_data_sync=>
      Monitor_MIL1553_errors_incorrect_data_sync, 
      Monitor_MIL1553_errors_Low_word_count=>
      Monitor_MIL1553_errors_Low_word_count, 
      Monitor_MIL1553_errors_high_word_count=>
      Monitor_MIL1553_errors_high_word_count, 
      Monitor_MIL1553_errors_Format_error=>OE_High_EXMPLR2813, 
      Monitor_MIL1553_errors_Message_Error_set=>OE_High_EXMPLR2813, 
      Monitor_MIL1553_errors_Address_Parity=>
      Monitor_MIL1553_errors_Address_Parity, 
      Monitor_MIL1553_errors_echo_back_bus_B=>OE_High_EXMPLR2813, 
      Monitor_MIL1553_errors_echo_back_bus_A=>OE_High_EXMPLR2813, 
      Monitor_MIL1553_errors_bus_B_shutdown=>OE_High_EXMPLR2813, 
      Monitor_MIL1553_errors_bus_A_shutdown=>OE_High_EXMPLR2813, 
      Monitor_MIL1553_errors_transmitter_timout=>OE_High_EXMPLR2813, 
      Monitor_RT2RT_Message=>Monitor_RT2RT_message, Monitor_bus_a=>
      Monitor_Bus_A, Monitor_ended_OK=>Monitor_ended_OK, Monitor_new_command
      =>Monitor_New_command, Monitor_write=>Monitor_Write, 
      Monitor_write_data(15)=>Monitor_Write_Data(15), Monitor_write_data(14)
      =>Monitor_Write_Data(14), Monitor_write_data(13)=>
      Monitor_Write_Data(13), Monitor_write_data(12)=>Monitor_Write_Data(12), 
      Monitor_write_data(11)=>Monitor_Write_Data(11), Monitor_write_data(10)
      =>Monitor_Write_Data(10), Monitor_write_data(9)=>Monitor_Write_Data(9), 
      Monitor_write_data(8)=>Monitor_Write_Data(8), Monitor_write_data(7)=>
      Monitor_Write_Data(7), Monitor_write_data(6)=>Monitor_Write_Data(6), 
      Monitor_write_data(5)=>Monitor_Write_Data(5), Monitor_write_data(4)=>
      Monitor_Write_Data(4), Monitor_write_data(3)=>Monitor_Write_Data(3), 
      Monitor_write_data(2)=>Monitor_Write_Data(2), Monitor_write_data(1)=>
      Monitor_Write_Data(1), Monitor_write_data(0)=>Monitor_Write_Data(0), 
      New_command=>New_command, RT2RT_Message=>RT2RT_message, RTAD(4)=>
      RTAD(4), RTAD(3)=>RTAD(3), RTAD(2)=>RTAD(2), RTAD(1)=>RTAD(1), RTAD(0)
      =>RTAD(0), RTADP=>RTADP, RTAD_SW_EN=>RTAD_SW_EN, RT_ADR_LAT=>
      RT_ADR_LAT, Raw_resetN=>Raw_resetN, Read=>Read, Set_SSFLAG=>Set_SSFLAG, 
      Strobe_TT=>Strobe_TT, Tag_CLK=>Tag_CLK, Tails_data_out_wide(31)=>
      OE_High_EXMPLR2813, Tails_data_out_wide(30)=>OE_High_EXMPLR2813, 
      Tails_data_out_wide(29)=>OE_High_EXMPLR2813, Tails_data_out_wide(28)=>
      OE_High_EXMPLR2813, Tails_data_out_wide(27)=>OE_High_EXMPLR2813, 
      Tails_data_out_wide(26)=>OE_High_EXMPLR2813, Tails_data_out_wide(25)=>
      OE_High_EXMPLR2813, Tails_data_out_wide(24)=>OE_High_EXMPLR2813, 
      Tails_data_out_wide(23)=>OE_High_EXMPLR2813, Tails_data_out_wide(22)=>
      OE_High_EXMPLR2813, Tails_data_out_wide(21)=>OE_High_EXMPLR2813, 
      Tails_data_out_wide(20)=>OE_High_EXMPLR2813, Tails_data_out_wide(19)=>
      OE_High_EXMPLR2813, Tails_data_out_wide(18)=>OE_High_EXMPLR2813, 
      Tails_data_out_wide(17)=>OE_High_EXMPLR2813, Tails_data_out_wide(16)=>
      OE_High_EXMPLR2813, Tails_data_out_wide(15)=>OE_High_EXMPLR2813, 
      Tails_data_out_wide(14)=>OE_High_EXMPLR2813, Tails_data_out_wide(13)=>
      OE_High_EXMPLR2813, Tails_data_out_wide(12)=>OE_High_EXMPLR2813, 
      Tails_data_out_wide(11)=>OE_High_EXMPLR2813, Tails_data_out_wide(10)=>
      OE_High_EXMPLR2813, Tails_data_out_wide(9)=>OE_High_EXMPLR2813, 
      Tails_data_out_wide(8)=>OE_High_EXMPLR2813, Tails_data_out_wide(7)=>
      OE_High_EXMPLR2813, Tails_data_out_wide(6)=>OE_High_EXMPLR2813, 
      Tails_data_out_wide(5)=>OE_High_EXMPLR2813, Tails_data_out_wide(4)=>
      OE_High_EXMPLR2813, Tails_data_out_wide(3)=>OE_High_EXMPLR2813, 
      Tails_data_out_wide(2)=>OE_High_EXMPLR2813, Tails_data_out_wide(1)=>
      OE_High_EXMPLR2813, Tails_data_out_wide(0)=>OE_High_EXMPLR2813, 
      Tx_InhB=>Tx_InhB, Tx_inhA=>Tx_inhA, WM_Descriptor(15)=>
      WM_Descriptor_15, WM_Descriptor(14)=>WM_Descriptor_14, 
      WM_Descriptor(13)=>WM_Descriptor_13, WM_Descriptor(12)=>
      WM_Descriptor_12, WM_Descriptor(11)=>WM_Descriptor_11, 
      WM_Descriptor(10)=>WM_Descriptor_10, WM_Descriptor(9)=>WM_Descriptor_9, 
      WM_Descriptor(8)=>WM_Descriptor_8, WM_Descriptor(7)=>WM_Descriptor_7, 
      WM_Descriptor(6)=>OE_High_EXMPLR2813, WM_Descriptor(5)=>
      WM_Descriptor_5, WM_Descriptor(4)=>WM_Descriptor_4, WM_Descriptor(3)=>
      WM_Descriptor_3, WM_Descriptor(2)=>WM_Descriptor_2, WM_Descriptor(1)=>
      WM_Descriptor_1, WM_Descriptor(0)=>WM_Descriptor_0, WM_Req=>WM_Req, 
      WM_Word(15)=>WM_Word(15), WM_Word(14)=>WM_Word(14), WM_Word(13)=>
      WM_Word(13), WM_Word(12)=>WM_Word(12), WM_Word(11)=>WM_Word(11), 
      WM_Word(10)=>WM_Word(10), WM_Word(9)=>WM_Word(9), WM_Word(8)=>
      WM_Word(8), WM_Word(7)=>WM_Word(7), WM_Word(6)=>WM_Word(6), WM_Word(5)
      =>WM_Word(5), WM_Word(4)=>WM_Word(4), WM_Word(3)=>WM_Word(3), 
      WM_Word(2)=>WM_Word(2), WM_Word(1)=>WM_Word(1), WM_Word(0)=>WM_Word(0), 
      Write=>Write, bus_A=>bus_A, clock=>clock, last_command(15)=>
      Last_command(15), last_command(14)=>Last_command(14), last_command(13)
      =>Last_command(13), last_command(12)=>Last_command(12), 
      last_command(11)=>Last_command(11), last_command(10)=>Last_command(10), 
      last_command(9)=>Last_command(9), last_command(8)=>Last_command(8), 
      last_command(7)=>Last_command(7), last_command(6)=>Last_command(6), 
      last_command(5)=>Last_command(5), last_command(4)=>Last_command(4), 
      last_command(3)=>Last_command(3), last_command(2)=>Last_command(2), 
      last_command(1)=>Last_command(1), last_command(0)=>Last_command(0), 
      pTDR_INT=>OE_High_EXMPLR2813, ADDr_i_A(15)=>Mem_Address(15), 
      ADDr_i_A(14)=>Mem_Address(14), ADDr_i_A(13)=>Mem_Address(13), 
      ADDr_i_A(12)=>Mem_Address(12), ADDr_i_A(11)=>Mem_Address(11), 
      ADDr_i_A(10)=>Mem_Address(10), ADDr_i_A(9)=>Mem_Address(9), 
      ADDr_i_A(8)=>Mem_Address(8), ADDr_i_A(7)=>Mem_Address(7), ADDr_i_A(6)
      =>Mem_Address(6), ADDr_i_A(5)=>Mem_Address(5), ADDr_i_A(4)=>
      Mem_Address(4), ADDr_i_A(3)=>Mem_Address(3), ADDr_i_A(2)=>
      Mem_Address(2), ADDr_i_A(1)=>Mem_Address(1), ADDr_i_A(0)=>
      Mem_Address(0), BC_FE_ResetN=>BC_STM_ResetN, BC_RT2RT=>BC_RT2RT, 
      BC_Test=>BC_Test, BIT_Word(15)=>BIT_word(15), BIT_Word(14)=>
      BIT_word(14), BIT_Word(13)=>BIT_word(13), BIT_Word(12)=>BIT_word(12), 
      BIT_Word(11)=>BIT_word(11), BIT_Word(10)=>BIT_word(10), BIT_Word(9)=>
      BIT_word(9), BIT_Word(8)=>BIT_word(8), BIT_Word(7)=>BIT_word(7), 
      BIT_Word(6)=>BIT_word(6), BIT_Word(5)=>BIT_word(5), BIT_Word(4)=>
      BIT_word(4), BIT_Word(3)=>BIT_word(3), BIT_Word(2)=>BIT_word(2), 
      BIT_Word(1)=>BIT_word(1), BIT_Word(0)=>BIT_word(0), 
      CPU_Data_out_wide(31)=>CPU_Data_out_wide(31), CPU_Data_out_wide(30)=>
      CPU_Data_out_wide(30), CPU_Data_out_wide(29)=>CPU_Data_out_wide(29), 
      CPU_Data_out_wide(28)=>CPU_Data_out_wide(28), CPU_Data_out_wide(27)=>
      CPU_Data_out_wide(27), CPU_Data_out_wide(26)=>CPU_Data_out_wide(26), 
      CPU_Data_out_wide(25)=>CPU_Data_out_wide(25), CPU_Data_out_wide(24)=>
      CPU_Data_out_wide(24), CPU_Data_out_wide(23)=>CPU_Data_out_wide(23), 
      CPU_Data_out_wide(22)=>CPU_Data_out_wide(22), CPU_Data_out_wide(21)=>
      CPU_Data_out_wide(21), CPU_Data_out_wide(20)=>CPU_Data_out_wide(20), 
      CPU_Data_out_wide(19)=>CPU_Data_out_wide(19), CPU_Data_out_wide(18)=>
      CPU_Data_out_wide(18), CPU_Data_out_wide(17)=>CPU_Data_out_wide(17), 
      CPU_Data_out_wide(16)=>CPU_Data_out_wide(16), CPU_Data_out_wide(15)=>
      CPU_Data_out_wide(15), CPU_Data_out_wide(14)=>CPU_Data_out_wide(14), 
      CPU_Data_out_wide(13)=>CPU_Data_out_wide(13), CPU_Data_out_wide(12)=>
      CPU_Data_out_wide(12), CPU_Data_out_wide(11)=>CPU_Data_out_wide(11), 
      CPU_Data_out_wide(10)=>CPU_Data_out_wide(10), CPU_Data_out_wide(9)=>
      CPU_Data_out_wide(9), CPU_Data_out_wide(8)=>CPU_Data_out_wide(8), 
      CPU_Data_out_wide(7)=>CPU_Data_out_wide(7), CPU_Data_out_wide(6)=>
      CPU_Data_out_wide(6), CPU_Data_out_wide(5)=>CPU_Data_out_wide(5), 
      CPU_Data_out_wide(4)=>CPU_Data_out_wide(4), CPU_Data_out_wide(3)=>
      CPU_Data_out_wide(3), CPU_Data_out_wide(2)=>CPU_Data_out_wide(2), 
      CPU_Data_out_wide(1)=>CPU_Data_out_wide(1), CPU_Data_out_wide(0)=>
      CPU_Data_out_wide(0), Data_i_A(15)=>Mem_data_in(15), Data_i_A(14)=>
      Mem_data_in(14), Data_i_A(13)=>Mem_data_in(13), Data_i_A(12)=>
      Mem_data_in(12), Data_i_A(11)=>Mem_data_in(11), Data_i_A(10)=>
      Mem_data_in(10), Data_i_A(9)=>Mem_data_in(9), Data_i_A(8)=>
      Mem_data_in(8), Data_i_A(7)=>Mem_data_in(7), Data_i_A(6)=>
      Mem_data_in(6), Data_i_A(5)=>Mem_data_in(5), Data_i_A(4)=>
      Mem_data_in(4), Data_i_A(3)=>Mem_data_in(3), Data_i_A(2)=>
      Mem_data_in(2), Data_i_A(1)=>Mem_data_in(1), Data_i_A(0)=>
      Mem_data_in(0), ENC_TEST_GO=>ENC_TEST_Go, ENC_TEST_on=>ENC_TEST_On, 
      INTn=>INTn, IP_Freq_sel(1)=>DANGLING(0), IP_Freq_sel(0)=>DANGLING(1), 
      No_Response_timeout(2)=>No_Response_timeout(2), No_Response_timeout(1)
      =>No_Response_timeout(1), No_Response_timeout(0)=>
      No_Response_timeout(0), RE_A=>Mem_RE, TT_Load=>DANGLING(2), 
      Tails_WE_vec(1)=>DANGLING(3), Tails_WE_vec(0)=>DANGLING(4), WE_A=>
      mem_WE, debug(15)=>DANGLING(5), debug(14)=>DANGLING(6), debug(13)=>
      DANGLING(7), debug(12)=>DANGLING(8), debug(11)=>DANGLING(9), debug(10)
      =>DANGLING(10), debug(9)=>DANGLING(11), debug(8)=>DANGLING(12), 
      debug(7)=>DANGLING(13), debug(6)=>DANGLING(14), debug(5)=>DANGLING(15), 
      debug(4)=>DANGLING(16), debug(3)=>DANGLING(17), debug(2)=>DANGLING(18), 
      debug(1)=>DANGLING(19), debug(0)=>DANGLING(20), mem_WE_vec(1)=>
      CPU_Side_WE(1), mem_WE_vec(0)=>CPU_Side_WE(0), n16Mhz_12=>DANGLING(21), 
      one_micro_increment=>one_micro_increment, pTDR_CS=>DANGLING(22), 
      record_message_A=>Monitor_Record_command_A, record_message_B=>
      Monitor_Record_command_B, BC_1553A=>BC_1553A, BC_BUS_A=>BC_BUS_A, 
      BC_Go=>BC_Go, BC_TX_Data(15)=>BC_TX_Data(15), BC_TX_Data(14)=>
      BC_TX_Data(14), BC_TX_Data(13)=>BC_TX_Data(13), BC_TX_Data(12)=>
      BC_TX_Data(12), BC_TX_Data(11)=>BC_TX_Data(11), BC_TX_Data(10)=>
      BC_TX_Data(10), BC_TX_Data(9)=>BC_TX_Data(9), BC_TX_Data(8)=>
      BC_TX_Data(8), BC_TX_Data(7)=>BC_TX_Data(7), BC_TX_Data(6)=>
      BC_TX_Data(6), BC_TX_Data(5)=>BC_TX_Data(5), BC_TX_Data(4)=>
      BC_TX_Data(4), BC_TX_Data(3)=>BC_TX_Data(3), BC_TX_Data(2)=>
      BC_TX_Data(2), BC_TX_Data(1)=>BC_TX_Data(1), BC_TX_Data(0)=>
      BC_TX_Data(0), BC_on=>BC_on_EXMPLR2795, Config_reg_4(15)=>DANGLING(23), 
      Config_reg_4(14)=>DANGLING(24), Config_reg_4(13)=>DANGLING(25), 
      Config_reg_4(12)=>DANGLING(26), Config_reg_4(11)=>DANGLING(27), 
      Config_reg_4(10)=>DANGLING(28), Config_reg_4(9)=>DANGLING(29), 
      Config_reg_4(8)=>DANGLING(30), Config_reg_4(7)=>DANGLING(31), 
      Config_reg_4(6)=>Config_reg_4_6, Config_reg_4(5)=>Config_reg_4_5, 
      Config_reg_4(4)=>DANGLING(32), Config_reg_4(3)=>DANGLING(33), 
      Config_reg_4(2)=>DANGLING(34), Config_reg_4(1)=>DANGLING(35), 
      Config_reg_4(0)=>DANGLING(36), Data_to_FE(15)=>Data_to_FE(15), 
      Data_to_FE(14)=>Data_to_FE(14), Data_to_FE(13)=>Data_to_FE(13), 
      Data_to_FE(12)=>Data_to_FE(12), Data_to_FE(11)=>Data_to_FE(11), 
      Data_to_FE(10)=>Data_to_FE(10), Data_to_FE(9)=>Data_to_FE(9), 
      Data_to_FE(8)=>Data_to_FE(8), Data_to_FE(7)=>Data_to_FE(7), 
      Data_to_FE(6)=>Data_to_FE(6), Data_to_FE(5)=>Data_to_FE(5), 
      Data_to_FE(4)=>Data_to_FE(4), Data_to_FE(3)=>Data_to_FE(3), 
      Data_to_FE(2)=>Data_to_FE(2), Data_to_FE(1)=>Data_to_FE(1), 
      Data_to_FE(0)=>Data_to_FE(0), Do_illegal=>Do_illegal, MODE_CODE1553A=>
      MODE_CODE1553A, NO_BCST=>DANGLING(37), RT_Address(5)=>DANGLING(38), 
      RT_Address(4)=>DANGLING(39), RT_Address(3)=>DANGLING(40), 
      RT_Address(2)=>DANGLING(41), RT_Address(1)=>DANGLING(42), 
      RT_Address(0)=>DANGLING(43), RT_On=>RT_On, ResetN=>ResetN, WM_Ack=>
      WM_Ack, WM_Started=>WM_Started, host_status_bits(10)=>
      Host_Status_Bits(10), host_status_bits(9)=>Host_Status_Bits(9), 
      host_status_bits(8)=>Host_Status_Bits(8), host_status_bits(7)=>
      Host_Status_Bits(7), host_status_bits(6)=>Host_Status_Bits(6), 
      host_status_bits(5)=>Host_Status_Bits(5), host_status_bits(4)=>
      Host_Status_Bits(4), host_status_bits(3)=>Host_Status_Bits(3), 
      host_status_bits(2)=>Host_Status_Bits(2), host_status_bits(1)=>
      Host_Status_Bits(1), host_status_bits(0)=>Host_Status_Bits(0), 
      illegal_message=>illegal_command, time_tag(15)=>time_tag(15), 
      time_tag(14)=>time_tag(14), time_tag(13)=>time_tag(13), time_tag(12)=>
      time_tag(12), time_tag(11)=>time_tag(11), time_tag(10)=>time_tag(10), 
      time_tag(9)=>time_tag(9), time_tag(8)=>time_tag(8), time_tag(7)=>
      time_tag(7), time_tag(6)=>time_tag(6), time_tag(5)=>time_tag(5), 
      time_tag(4)=>time_tag(4), time_tag(3)=>time_tag(3), time_tag(2)=>
      time_tag(2), time_tag(1)=>time_tag(1), time_tag(0)=>time_tag(0));
   RT : RT_Real_switch_BRM_ver8_4_RTLC_LONGENT2 port map ( Aux_in(15)=>
      OE_High_EXMPLR2813, Aux_in(14)=>OE_High_EXMPLR2813, Aux_in(13)=>
      OE_High_EXMPLR2813, Aux_in(12)=>OE_High_EXMPLR2813, Aux_in(11)=>
      OE_High_EXMPLR2813, Aux_in(10)=>OE_High_EXMPLR2813, Aux_in(9)=>
      OE_High_EXMPLR2813, Aux_in(8)=>OE_High_EXMPLR2813, Aux_in(7)=>
      OE_High_EXMPLR2813, Aux_in(6)=>OE_High_EXMPLR2813, Aux_in(5)=>
      OE_High_EXMPLR2813, Aux_in(4)=>OE_High_EXMPLR2813, Aux_in(3)=>
      OE_High_EXMPLR2813, Aux_in(2)=>OE_High_EXMPLR2813, Aux_in(1)=>
      OE_High_EXMPLR2813, Aux_in(0)=>OE_High_EXMPLR2813, BC_Active_Bus_A=>
      Tx_Bus_A, BC_Go=>BC_Go_Tx, BC_T_sync=>T_Sync, BC_Transmit_data(15)=>
      BC_Transmit_data(15), BC_Transmit_data(14)=>BC_Transmit_data(14), 
      BC_Transmit_data(13)=>BC_Transmit_data(13), BC_Transmit_data(12)=>
      BC_Transmit_data(12), BC_Transmit_data(11)=>BC_Transmit_data(11), 
      BC_Transmit_data(10)=>BC_Transmit_data(10), BC_Transmit_data(9)=>
      BC_Transmit_data(9), BC_Transmit_data(8)=>BC_Transmit_data(8), 
      BC_Transmit_data(7)=>BC_Transmit_data(7), BC_Transmit_data(6)=>
      BC_Transmit_data(6), BC_Transmit_data(5)=>BC_Transmit_data(5), 
      BC_Transmit_data(4)=>BC_Transmit_data(4), BC_Transmit_data(3)=>
      BC_Transmit_data(3), BC_Transmit_data(2)=>BC_Transmit_data(2), 
      BC_Transmit_data(1)=>BC_Transmit_data(1), BC_Transmit_data(0)=>
      BC_Transmit_data(0), BC_mode=>BC_on_EXMPLR2795, BIT_word(15)=>
      BIT_word(15), BIT_word(14)=>BIT_word(14), BIT_word(13)=>BIT_word(13), 
      BIT_word(12)=>BIT_word(12), BIT_word(11)=>BIT_word(11), BIT_word(10)=>
      BIT_word(10), BIT_word(9)=>BIT_word(9), BIT_word(8)=>BIT_word(8), 
      BIT_word(7)=>BIT_word(7), BIT_word(6)=>BIT_word(6), BIT_word(5)=>
      BIT_word(5), BIT_word(4)=>BIT_word(4), BIT_word(3)=>BIT_word(3), 
      BIT_word(2)=>BIT_word(2), BIT_word(1)=>BIT_word(1), BIT_word(0)=>
      BIT_word(0), CPU_ResetN=>ResetN, Clock=>clock, Cohen=>PWR, Data_in(15)
      =>Data_to_FE(15), Data_in(14)=>Data_to_FE(14), Data_in(13)=>
      Data_to_FE(13), Data_in(12)=>Data_to_FE(12), Data_in(11)=>
      Data_to_FE(11), Data_in(10)=>Data_to_FE(10), Data_in(9)=>Data_to_FE(9), 
      Data_in(8)=>Data_to_FE(8), Data_in(7)=>Data_to_FE(7), Data_in(6)=>
      Data_to_FE(6), Data_in(5)=>Data_to_FE(5), Data_in(4)=>Data_to_FE(4), 
      Data_in(3)=>Data_to_FE(3), Data_in(2)=>Data_to_FE(2), Data_in(1)=>
      Data_to_FE(1), Data_in(0)=>Data_to_FE(0), Do_illegal=>Do_illegal, 
      ENC_TEST_On=>ENC_TEST_On, External_CE_In=>OE_High_EXMPLR2813, 
      Host_Status_Bits(10)=>Host_Status_Bits(10), Host_Status_Bits(9)=>
      Host_Status_Bits(9), Host_Status_Bits(8)=>Host_Status_Bits(8), 
      Host_Status_Bits(7)=>Host_Status_Bits(7), Host_Status_Bits(6)=>
      Host_Status_Bits(6), Host_Status_Bits(5)=>Host_Status_Bits(5), 
      Host_Status_Bits(4)=>Host_Status_Bits(4), Host_Status_Bits(3)=>
      Host_Status_Bits(3), Host_Status_Bits(2)=>Host_Status_Bits(2), 
      Host_Status_Bits(1)=>Host_Status_Bits(1), Host_Status_Bits(0)=>
      Host_Status_Bits(0), MODE_CODE1553A=>MODE_CODE1553A, Minus_A=>Minus_A, 
      Minus_B=>Minus_B, NO_BCST=>OE_High_EXMPLR2813, No_Response_timeout(2)
      =>No_Response_timeout(2), No_Response_timeout(1)=>
      No_Response_timeout(1), No_Response_timeout(0)=>No_Response_timeout(0), 
      Plus_A=>Plus_A, Plus_B=>Plus_B, RT_Address_wire(5)=>OE_High_EXMPLR2813, 
      RT_Address_wire(4)=>OE_High_EXMPLR2813, RT_Address_wire(3)=>
      OE_High_EXMPLR2813, RT_Address_wire(2)=>OE_High_EXMPLR2813, 
      RT_Address_wire(1)=>OE_High_EXMPLR2813, RT_Address_wire(0)=>
      OE_High_EXMPLR2813, RT_On=>RT_On, Tx_Inh_A_in=>Tx_inhA, Tx_Inh_B_in=>
      Tx_InhB, Wrap_Address(4)=>OE_High_EXMPLR2813, Wrap_Address(3)=>
      OE_High_EXMPLR2813, Wrap_Address(2)=>OE_High_EXMPLR2813, 
      Wrap_Address(1)=>OE_High_EXMPLR2813, Wrap_Address(0)=>
      OE_High_EXMPLR2813, illegal_command=>illegal_command, loopback_test=>
      BC_Test, Address(15)=>DANGLING(44), Address(14)=>DANGLING(45), 
      Address(13)=>DANGLING(46), Address(12)=>DANGLING(47), Address(11)=>
      DANGLING(48), Address(10)=>Address(10), Address(9)=>Address(9), 
      Address(8)=>Address(8), Address(7)=>Address(7), Address(6)=>Address(6), 
      Address(5)=>Address(5), Address(4)=>Address(4), Address(3)=>Address(3), 
      Address(2)=>Address(2), Address(1)=>Address(1), Address(0)=>Address(0), 
      BC_TxRdy=>Tx_Rdy, BUS_A=>bus_A, Clock_enable=>CE_out_EXMPLR2718, 
      Current_command(15)=>Current_command(15), Current_command(14)=>
      Current_command(14), Current_command(13)=>Current_command(13), 
      Current_command(12)=>Current_command(12), Current_command(11)=>
      Current_command(11), Current_command(10)=>Current_command(10), 
      Current_command(9)=>Current_command(9), Current_command(8)=>
      Current_command(8), Current_command(7)=>Current_command(7), 
      Current_command(6)=>Current_command(6), Current_command(5)=>
      Current_command(5), Current_command(4)=>Current_command(4), 
      Current_command(3)=>Current_command(3), Current_command(2)=>
      Current_command(2), Current_command(1)=>Current_command(1), 
      Current_command(0)=>Current_command(0), Data_out(15)=>Data_From_FE(15), 
      Data_out(14)=>Data_From_FE(14), Data_out(13)=>Data_From_FE(13), 
      Data_out(12)=>Data_From_FE(12), Data_out(11)=>Data_From_FE(11), 
      Data_out(10)=>Data_From_FE(10), Data_out(9)=>Data_From_FE(9), 
      Data_out(8)=>Data_From_FE(8), Data_out(7)=>Data_From_FE(7), 
      Data_out(6)=>Data_From_FE(6), Data_out(5)=>Data_From_FE(5), 
      Data_out(4)=>Data_From_FE(4), Data_out(3)=>Data_From_FE(3), 
      Data_out(2)=>Data_From_FE(2), Data_out(1)=>Data_From_FE(1), 
      Data_out(0)=>Data_From_FE(0), Last_command(15)=>Last_command(15), 
      Last_command(14)=>Last_command(14), Last_command(13)=>Last_command(13), 
      Last_command(12)=>Last_command(12), Last_command(11)=>Last_command(11), 
      Last_command(10)=>Last_command(10), Last_command(9)=>Last_command(9), 
      Last_command(8)=>Last_command(8), Last_command(7)=>Last_command(7), 
      Last_command(6)=>Last_command(6), Last_command(5)=>Last_command(5), 
      Last_command(4)=>Last_command(4), Last_command(3)=>Last_command(3), 
      Last_command(2)=>Last_command(2), Last_command(1)=>Last_command(1), 
      Last_command(0)=>Last_command(0), Message_ended_OK=>Message_ended_OK, 
      New_Command=>New_command, RT2RT_message=>RT2RT_message, Read=>Read, 
      Revision(15)=>DANGLING(49), Revision(14)=>DANGLING(50), Revision(13)=>
      DANGLING(51), Revision(12)=>DANGLING(52), Revision(11)=>DANGLING(53), 
      Revision(10)=>DANGLING(54), Revision(9)=>DANGLING(55), Revision(8)=>
      DANGLING(56), Revision(7)=>DANGLING(57), Revision(6)=>DANGLING(58), 
      Revision(5)=>DANGLING(59), Revision(4)=>DANGLING(60), Revision(3)=>
      DANGLING(61), Revision(2)=>DANGLING(62), Revision(1)=>DANGLING(63), 
      Revision(0)=>DANGLING(64), Tx_A=>Tx_A, Tx_A_N=>Tx_A_N, Tx_B=>Tx_B, 
      Tx_B_N=>Tx_B_N, Tx_inh_A=>Tx_inh_A, Tx_inh_B=>Tx_inh_B, Write=>Write, 
      mil1553_errors_Inhibit_TF=>mil1553_errors_Inhibit_TF, 
      mil1553_errors_invalid_command=>DANGLING(65), 
      mil1553_errors_RT2RT_format_gap=>DANGLING(66), 
      mil1553_errors_RT2RT_format_error=>DANGLING(67), 
      mil1553_errors_Invalid_word=>DANGLING(68), 
      mil1553_errors_Parity_Manchester=>DANGLING(69), 
      mil1553_errors_incorrect_data_sync=>DANGLING(70), 
      mil1553_errors_Low_word_count=>DANGLING(71), 
      mil1553_errors_high_word_count=>DANGLING(72), 
      mil1553_errors_Format_error=>mil1553_errors_Format_error, 
      mil1553_errors_Message_Error_set=>mil1553_errors_Message_Error_set, 
      mil1553_errors_Address_Parity=>DANGLING(73), 
      mil1553_errors_echo_back_bus_B=>mil1553_errors_echo_back_bus_B, 
      mil1553_errors_echo_back_bus_A=>mil1553_errors_echo_back_bus_A, 
      mil1553_errors_bus_B_shutdown=>mil1553_errors_bus_B_shutdown, 
      mil1553_errors_bus_A_shutdown=>mil1553_errors_bus_A_shutdown, 
      mil1553_errors_transmitter_timout=>mil1553_errors_transmitter_timout, 
      Channel_status(10)=>Channel_status(10), Channel_status(9)=>
      Channel_status(9), Channel_status(8)=>Channel_status(8), 
      Channel_status(7)=>Channel_status(7), Channel_status(6)=>
      Channel_status(6), Channel_status(5)=>Channel_status(5), 
      Channel_status(4)=>Channel_status(4), Channel_status(3)=>
      Channel_status(3), Channel_status(2)=>Channel_status(2), 
      Channel_status(1)=>Channel_status(1), Channel_status(0)=>
      Channel_status(0), H15530_record_A_Sync_error=>DANGLING(74), 
      H15530_record_A_Manchester_error=>DANGLING(75), 
      H15530_record_A_Parity_error=>DANGLING(76), 
      H15530_record_A_echo_back_bus=>DANGLING(77), 
      H15530_record_A_R_Data(15)=>H15530_record_A_R_Data_EXMPLR2902(15), 
      H15530_record_A_R_Data(14)=>H15530_record_A_R_Data_EXMPLR2902(14), 
      H15530_record_A_R_Data(13)=>H15530_record_A_R_Data_EXMPLR2902(13), 
      H15530_record_A_R_Data(12)=>H15530_record_A_R_Data_EXMPLR2902(12), 
      H15530_record_A_R_Data(11)=>H15530_record_A_R_Data_EXMPLR2902(11), 
      H15530_record_A_R_Data(10)=>H15530_record_A_R_Data_EXMPLR2902(10), 
      H15530_record_A_R_Data(9)=>H15530_record_A_R_Data_EXMPLR2902(9), 
      H15530_record_A_R_Data(8)=>H15530_record_A_R_Data_EXMPLR2902(8), 
      H15530_record_A_R_Data(7)=>H15530_record_A_R_Data_EXMPLR2902(7), 
      H15530_record_A_R_Data(6)=>H15530_record_A_R_Data_EXMPLR2902(6), 
      H15530_record_A_R_Data(5)=>H15530_record_A_R_Data_EXMPLR2902(5), 
      H15530_record_A_R_Data(4)=>H15530_record_A_R_Data_EXMPLR2902(4), 
      H15530_record_A_R_Data(3)=>H15530_record_A_R_Data_EXMPLR2902(3), 
      H15530_record_A_R_Data(2)=>H15530_record_A_R_Data_EXMPLR2902(2), 
      H15530_record_A_R_Data(1)=>H15530_record_A_R_Data_EXMPLR2902(1), 
      H15530_record_A_R_Data(0)=>H15530_record_A_R_Data_EXMPLR2902(0), 
      H15530_record_A_RAW_GAP(6)=>H15530_record_A_RAW_GAP_EXMPLR2903(6), 
      H15530_record_A_RAW_GAP(5)=>H15530_record_A_RAW_GAP_EXMPLR2903(5), 
      H15530_record_A_RAW_GAP(4)=>H15530_record_A_RAW_GAP_EXMPLR2903(4), 
      H15530_record_A_RAW_GAP(3)=>H15530_record_A_RAW_GAP_EXMPLR2903(3), 
      H15530_record_A_RAW_GAP(2)=>H15530_record_A_RAW_GAP_EXMPLR2903(2), 
      H15530_record_A_RAW_GAP(1)=>H15530_record_A_RAW_GAP_EXMPLR2903(1), 
      H15530_record_A_RAW_GAP(0)=>H15530_record_A_RAW_GAP_EXMPLR2903(0), 
      H15530_record_A_GAP(6)=>H15530_record_A_GAP_EXMPLR2904(6), 
      H15530_record_A_GAP(5)=>H15530_record_A_GAP_EXMPLR2904(5), 
      H15530_record_A_GAP(4)=>H15530_record_A_GAP_EXMPLR2904(4), 
      H15530_record_A_GAP(3)=>H15530_record_A_GAP_EXMPLR2904(3), 
      H15530_record_A_GAP(2)=>H15530_record_A_GAP_EXMPLR2904(2), 
      H15530_record_A_GAP(1)=>H15530_record_A_GAP_EXMPLR2904(1), 
      H15530_record_A_GAP(0)=>H15530_record_A_GAP_EXMPLR2904(0), 
      H15530_record_A_Gap_found(2)=>H15530_record_A_Gap_found_EXMPLR2905(2), 
      H15530_record_A_Gap_found(1)=>H15530_record_A_Gap_found_EXMPLR2905(1), 
      H15530_record_A_Gap_found(0)=>H15530_record_A_Gap_found_EXMPLR2905(0), 
      H15530_record_A_RxRDY_plus_12us=>DANGLING(78), 
      H15530_record_A_RxRDY_plus_10us=>DANGLING(79), H15530_record_A_CS=>
      H15530_record_A_CS_EXMPLR2847, H15530_record_A_Pre_EchoRdy=>
      H15530_record_A_Pre_EchoRdy_EXMPLR2848, H15530_record_A_Command_Sync=>
      H15530_record_A_Command_Sync_EXMPLR2849, H15530_record_A_Pre_RxRdy=>
      H15530_record_A_Pre_RxRdy_EXMPLR2850, H15530_record_A_recieving=>
      H15530_record_A_recieving_EXMPLR2851, H15530_record_B_Sync_error=>
      DANGLING(80), H15530_record_B_Manchester_error=>DANGLING(81), 
      H15530_record_B_Parity_error=>DANGLING(82), 
      H15530_record_B_echo_back_bus=>DANGLING(83), 
      H15530_record_B_R_Data(15)=>H15530_record_B_R_Data_EXMPLR2906(15), 
      H15530_record_B_R_Data(14)=>H15530_record_B_R_Data_EXMPLR2906(14), 
      H15530_record_B_R_Data(13)=>H15530_record_B_R_Data_EXMPLR2906(13), 
      H15530_record_B_R_Data(12)=>H15530_record_B_R_Data_EXMPLR2906(12), 
      H15530_record_B_R_Data(11)=>H15530_record_B_R_Data_EXMPLR2906(11), 
      H15530_record_B_R_Data(10)=>H15530_record_B_R_Data_EXMPLR2906(10), 
      H15530_record_B_R_Data(9)=>H15530_record_B_R_Data_EXMPLR2906(9), 
      H15530_record_B_R_Data(8)=>H15530_record_B_R_Data_EXMPLR2906(8), 
      H15530_record_B_R_Data(7)=>H15530_record_B_R_Data_EXMPLR2906(7), 
      H15530_record_B_R_Data(6)=>H15530_record_B_R_Data_EXMPLR2906(6), 
      H15530_record_B_R_Data(5)=>H15530_record_B_R_Data_EXMPLR2906(5), 
      H15530_record_B_R_Data(4)=>H15530_record_B_R_Data_EXMPLR2906(4), 
      H15530_record_B_R_Data(3)=>H15530_record_B_R_Data_EXMPLR2906(3), 
      H15530_record_B_R_Data(2)=>H15530_record_B_R_Data_EXMPLR2906(2), 
      H15530_record_B_R_Data(1)=>H15530_record_B_R_Data_EXMPLR2906(1), 
      H15530_record_B_R_Data(0)=>H15530_record_B_R_Data_EXMPLR2906(0), 
      H15530_record_B_RAW_GAP(6)=>H15530_record_B_RAW_GAP_EXMPLR2907(6), 
      H15530_record_B_RAW_GAP(5)=>H15530_record_B_RAW_GAP_EXMPLR2907(5), 
      H15530_record_B_RAW_GAP(4)=>H15530_record_B_RAW_GAP_EXMPLR2907(4), 
      H15530_record_B_RAW_GAP(3)=>H15530_record_B_RAW_GAP_EXMPLR2907(3), 
      H15530_record_B_RAW_GAP(2)=>H15530_record_B_RAW_GAP_EXMPLR2907(2), 
      H15530_record_B_RAW_GAP(1)=>H15530_record_B_RAW_GAP_EXMPLR2907(1), 
      H15530_record_B_RAW_GAP(0)=>H15530_record_B_RAW_GAP_EXMPLR2907(0), 
      H15530_record_B_GAP(6)=>H15530_record_B_GAP_EXMPLR2908(6), 
      H15530_record_B_GAP(5)=>H15530_record_B_GAP_EXMPLR2908(5), 
      H15530_record_B_GAP(4)=>H15530_record_B_GAP_EXMPLR2908(4), 
      H15530_record_B_GAP(3)=>H15530_record_B_GAP_EXMPLR2908(3), 
      H15530_record_B_GAP(2)=>H15530_record_B_GAP_EXMPLR2908(2), 
      H15530_record_B_GAP(1)=>H15530_record_B_GAP_EXMPLR2908(1), 
      H15530_record_B_GAP(0)=>H15530_record_B_GAP_EXMPLR2908(0), 
      H15530_record_B_Gap_found(2)=>H15530_record_B_Gap_found_EXMPLR2909(2), 
      H15530_record_B_Gap_found(1)=>H15530_record_B_Gap_found_EXMPLR2909(1), 
      H15530_record_B_Gap_found(0)=>H15530_record_B_Gap_found_EXMPLR2909(0), 
      H15530_record_B_RxRDY_plus_12us=>DANGLING(84), 
      H15530_record_B_RxRDY_plus_10us=>DANGLING(85), H15530_record_B_CS=>
      H15530_record_B_CS_EXMPLR2885, H15530_record_B_Pre_EchoRdy=>
      H15530_record_B_Pre_EchoRdy_EXMPLR2886, H15530_record_B_Command_Sync=>
      H15530_record_B_Command_Sync_EXMPLR2887, H15530_record_B_Pre_RxRdy=>
      H15530_record_B_Pre_RxRdy_EXMPLR2888, H15530_record_B_recieving=>
      H15530_record_B_recieving_EXMPLR2889, Message_ended_not_OK=>
      Message_ended_not_OK, RCV_A_Sync_error=>RCV_A_Sync_error, 
      RCV_B_Sync_error=>RCV_B_Sync_error);
   gMon_I3 : Monitor_two_channel_8_4_1_40 port map ( C=>clock, CE=>
      CE_out_EXMPLR2718, MODE_CODE1553A=>MODE_CODE1553A, NO_BCST=>
      OE_High_EXMPLR2813, No_Response_timeout(2)=>No_Response_timeout(2), 
      No_Response_timeout(1)=>No_Response_timeout(1), No_Response_timeout(0)
      =>No_Response_timeout(0), R=>ResetN, rtlc_RCV_A_Sync_error_n139=>
      OE_High_EXMPLR2813, RCV_A_Manchester_error=>OE_High_EXMPLR2813, 
      RCV_A_Parity_error=>OE_High_EXMPLR2813, RCV_A_echo_back_bus=>
      OE_High_EXMPLR2813, RCV_A_R_Data(15)=>
      H15530_record_A_R_Data_EXMPLR2902(15), RCV_A_R_Data(14)=>
      H15530_record_A_R_Data_EXMPLR2902(14), RCV_A_R_Data(13)=>
      H15530_record_A_R_Data_EXMPLR2902(13), RCV_A_R_Data(12)=>
      H15530_record_A_R_Data_EXMPLR2902(12), RCV_A_R_Data(11)=>
      H15530_record_A_R_Data_EXMPLR2902(11), RCV_A_R_Data(10)=>
      H15530_record_A_R_Data_EXMPLR2902(10), RCV_A_R_Data(9)=>
      H15530_record_A_R_Data_EXMPLR2902(9), RCV_A_R_Data(8)=>
      H15530_record_A_R_Data_EXMPLR2902(8), RCV_A_R_Data(7)=>
      H15530_record_A_R_Data_EXMPLR2902(7), RCV_A_R_Data(6)=>
      H15530_record_A_R_Data_EXMPLR2902(6), RCV_A_R_Data(5)=>
      H15530_record_A_R_Data_EXMPLR2902(5), RCV_A_R_Data(4)=>
      H15530_record_A_R_Data_EXMPLR2902(4), RCV_A_R_Data(3)=>
      H15530_record_A_R_Data_EXMPLR2902(3), RCV_A_R_Data(2)=>
      H15530_record_A_R_Data_EXMPLR2902(2), RCV_A_R_Data(1)=>
      H15530_record_A_R_Data_EXMPLR2902(1), RCV_A_R_Data(0)=>
      H15530_record_A_R_Data_EXMPLR2902(0), RCV_A_RAW_GAP(6)=>
      H15530_record_A_RAW_GAP_EXMPLR2903(6), RCV_A_RAW_GAP(5)=>
      H15530_record_A_RAW_GAP_EXMPLR2903(5), RCV_A_RAW_GAP(4)=>
      H15530_record_A_RAW_GAP_EXMPLR2903(4), RCV_A_RAW_GAP(3)=>
      H15530_record_A_RAW_GAP_EXMPLR2903(3), RCV_A_RAW_GAP(2)=>
      H15530_record_A_RAW_GAP_EXMPLR2903(2), RCV_A_RAW_GAP(1)=>
      H15530_record_A_RAW_GAP_EXMPLR2903(1), RCV_A_RAW_GAP(0)=>
      H15530_record_A_RAW_GAP_EXMPLR2903(0), RCV_A_GAP(6)=>
      OE_High_EXMPLR2813, RCV_A_GAP(5)=>OE_High_EXMPLR2813, RCV_A_GAP(4)=>
      OE_High_EXMPLR2813, RCV_A_GAP(3)=>OE_High_EXMPLR2813, RCV_A_GAP(2)=>
      OE_High_EXMPLR2813, RCV_A_GAP(1)=>OE_High_EXMPLR2813, RCV_A_GAP(0)=>
      OE_High_EXMPLR2813, RCV_A_Gap_found(2)=>
      H15530_record_A_Gap_found_EXMPLR2905(2), RCV_A_Gap_found(1)=>
      H15530_record_A_Gap_found_EXMPLR2905(1), RCV_A_Gap_found(0)=>
      H15530_record_A_Gap_found_EXMPLR2905(0), RCV_A_RxRDY_plus_12us=>
      OE_High_EXMPLR2813, RCV_A_RxRDY_plus_10us=>OE_High_EXMPLR2813, 
      RCV_A_CS=>H15530_record_A_CS_EXMPLR2847, RCV_A_Pre_EchoRdy=>
      H15530_record_A_Pre_EchoRdy_EXMPLR2848, RCV_A_Command_Sync=>
      H15530_record_A_Command_Sync_EXMPLR2849, RCV_A_Pre_RxRdy=>
      H15530_record_A_Pre_RxRdy_EXMPLR2850, RCV_A_recieving=>
      H15530_record_A_recieving_EXMPLR2851, RCV_A_Sync_Error=>
      RCV_A_Sync_error, rtlc_RCV_B_Sync_error_n140=>OE_High_EXMPLR2813, 
      RCV_B_Manchester_error=>OE_High_EXMPLR2813, RCV_B_Parity_error=>
      OE_High_EXMPLR2813, RCV_B_echo_back_bus=>OE_High_EXMPLR2813, 
      RCV_B_R_Data(15)=>H15530_record_B_R_Data_EXMPLR2906(15), 
      RCV_B_R_Data(14)=>H15530_record_B_R_Data_EXMPLR2906(14), 
      RCV_B_R_Data(13)=>H15530_record_B_R_Data_EXMPLR2906(13), 
      RCV_B_R_Data(12)=>H15530_record_B_R_Data_EXMPLR2906(12), 
      RCV_B_R_Data(11)=>H15530_record_B_R_Data_EXMPLR2906(11), 
      RCV_B_R_Data(10)=>H15530_record_B_R_Data_EXMPLR2906(10), 
      RCV_B_R_Data(9)=>H15530_record_B_R_Data_EXMPLR2906(9), RCV_B_R_Data(8)
      =>H15530_record_B_R_Data_EXMPLR2906(8), RCV_B_R_Data(7)=>
      H15530_record_B_R_Data_EXMPLR2906(7), RCV_B_R_Data(6)=>
      H15530_record_B_R_Data_EXMPLR2906(6), RCV_B_R_Data(5)=>
      H15530_record_B_R_Data_EXMPLR2906(5), RCV_B_R_Data(4)=>
      H15530_record_B_R_Data_EXMPLR2906(4), RCV_B_R_Data(3)=>
      H15530_record_B_R_Data_EXMPLR2906(3), RCV_B_R_Data(2)=>
      H15530_record_B_R_Data_EXMPLR2906(2), RCV_B_R_Data(1)=>
      H15530_record_B_R_Data_EXMPLR2906(1), RCV_B_R_Data(0)=>
      H15530_record_B_R_Data_EXMPLR2906(0), RCV_B_RAW_GAP(6)=>
      H15530_record_B_RAW_GAP_EXMPLR2907(6), RCV_B_RAW_GAP(5)=>
      H15530_record_B_RAW_GAP_EXMPLR2907(5), RCV_B_RAW_GAP(4)=>
      H15530_record_B_RAW_GAP_EXMPLR2907(4), RCV_B_RAW_GAP(3)=>
      H15530_record_B_RAW_GAP_EXMPLR2907(3), RCV_B_RAW_GAP(2)=>
      H15530_record_B_RAW_GAP_EXMPLR2907(2), RCV_B_RAW_GAP(1)=>
      H15530_record_B_RAW_GAP_EXMPLR2907(1), RCV_B_RAW_GAP(0)=>
      H15530_record_B_RAW_GAP_EXMPLR2907(0), RCV_B_GAP(6)=>
      OE_High_EXMPLR2813, RCV_B_GAP(5)=>OE_High_EXMPLR2813, RCV_B_GAP(4)=>
      OE_High_EXMPLR2813, RCV_B_GAP(3)=>OE_High_EXMPLR2813, RCV_B_GAP(2)=>
      OE_High_EXMPLR2813, RCV_B_GAP(1)=>OE_High_EXMPLR2813, RCV_B_GAP(0)=>
      OE_High_EXMPLR2813, RCV_B_Gap_found(2)=>
      H15530_record_B_Gap_found_EXMPLR2909(2), RCV_B_Gap_found(1)=>
      H15530_record_B_Gap_found_EXMPLR2909(1), RCV_B_Gap_found(0)=>
      H15530_record_B_Gap_found_EXMPLR2909(0), RCV_B_RxRDY_plus_12us=>
      OE_High_EXMPLR2813, RCV_B_RxRDY_plus_10us=>OE_High_EXMPLR2813, 
      RCV_B_CS=>H15530_record_B_CS_EXMPLR2885, RCV_B_Pre_EchoRdy=>
      H15530_record_B_Pre_EchoRdy_EXMPLR2886, RCV_B_Command_Sync=>
      H15530_record_B_Command_Sync_EXMPLR2887, RCV_B_Pre_RxRdy=>
      H15530_record_B_Pre_RxRdy_EXMPLR2888, RCV_B_recieving=>
      H15530_record_B_recieving_EXMPLR2889, RCV_B_Sync_Error=>
      RCV_B_Sync_error, Record_command_A=>Monitor_Record_command_A, 
      Record_command_B=>Monitor_Record_command_B, yossy=>PWR, Address(15)=>
      DANGLING(86), Address(14)=>DANGLING(87), Address(13)=>DANGLING(88), 
      Address(12)=>DANGLING(89), Address(11)=>DANGLING(90), Address(10)=>
      DANGLING(91), Address(9)=>DANGLING(92), Address(8)=>DANGLING(93), 
      Address(7)=>DANGLING(94), Address(6)=>DANGLING(95), Address(5)=>
      DANGLING(96), Address(4)=>DANGLING(97), Address(3)=>DANGLING(98), 
      Address(2)=>DANGLING(99), Address(1)=>DANGLING(100), Address(0)=>
      DANGLING(101), BM_OK_A=>DANGLING(102), BM_OK_B=>DANGLING(103), 
      BM_not_OK_A=>DANGLING(104), BM_not_OK_B=>DANGLING(105), Debug(15)=>
      DANGLING(106), Debug(14)=>DANGLING(107), Debug(13)=>DANGLING(108), 
      Debug(12)=>DANGLING(109), Debug(11)=>DANGLING(110), Debug(10)=>
      DANGLING(111), Debug(9)=>DANGLING(112), Debug(8)=>DANGLING(113), 
      Debug(7)=>DANGLING(114), Debug(6)=>DANGLING(115), Debug(5)=>DANGLING(
      116), Debug(4)=>DANGLING(117), Debug(3)=>DANGLING(118), Debug(2)=>
      DANGLING(119), Debug(1)=>DANGLING(120), Debug(0)=>DANGLING(121), 
      Debug_BM1(15)=>DANGLING(122), Debug_BM1(14)=>DANGLING(123), 
      Debug_BM1(13)=>DANGLING(124), Debug_BM1(12)=>DANGLING(125), 
      Debug_BM1(11)=>DANGLING(126), Debug_BM1(10)=>DANGLING(127), 
      Debug_BM1(9)=>DANGLING(128), Debug_BM1(8)=>DANGLING(129), Debug_BM1(7)
      =>DANGLING(130), Debug_BM1(6)=>DANGLING(131), Debug_BM1(5)=>DANGLING(
      132), Debug_BM1(4)=>DANGLING(133), Debug_BM1(3)=>DANGLING(134), 
      Debug_BM1(2)=>DANGLING(135), Debug_BM1(1)=>DANGLING(136), Debug_BM1(0)
      =>DANGLING(137), Debug_BM2(15)=>DANGLING(138), Debug_BM2(14)=>DANGLING
      (139), Debug_BM2(13)=>DANGLING(140), Debug_BM2(12)=>DANGLING(141), 
      Debug_BM2(11)=>DANGLING(142), Debug_BM2(10)=>DANGLING(143), 
      Debug_BM2(9)=>DANGLING(144), Debug_BM2(8)=>DANGLING(145), Debug_BM2(7)
      =>DANGLING(146), Debug_BM2(6)=>DANGLING(147), Debug_BM2(5)=>DANGLING(
      148), Debug_BM2(4)=>DANGLING(149), Debug_BM2(3)=>DANGLING(150), 
      Debug_BM2(2)=>DANGLING(151), Debug_BM2(1)=>DANGLING(152), Debug_BM2(0)
      =>DANGLING(153), MIL1553_Errors_Inhibit_TF=>
      Monitor_MIL1553_errors_Inhibit_TF, MIL1553_Errors_invalid_command=>
      Monitor_MIL1553_errors_invalid_command, 
      MIL1553_Errors_RT2RT_format_gap=>
      Monitor_MIL1553_errors_RT2RT_format_gap, 
      MIL1553_Errors_RT2RT_format_error=>
      Monitor_MIL1553_errors_RT2RT_format_error, MIL1553_Errors_Invalid_word
      =>Monitor_MIL1553_errors_Invalid_word, 
      MIL1553_Errors_Parity_Manchester=>DANGLING(154), 
      MIL1553_Errors_incorrect_data_sync=>
      Monitor_MIL1553_errors_incorrect_data_sync, 
      MIL1553_Errors_Low_word_count=>Monitor_MIL1553_errors_Low_word_count, 
      MIL1553_Errors_high_word_count=>Monitor_MIL1553_errors_high_word_count, 
      MIL1553_Errors_Format_error=>DANGLING(155), 
      MIL1553_Errors_Message_Error_set=>DANGLING(156), 
      MIL1553_Errors_Address_Parity=>Monitor_MIL1553_errors_Address_Parity, 
      MIL1553_Errors_echo_back_bus_B=>DANGLING(157), 
      MIL1553_Errors_echo_back_bus_A=>DANGLING(158), 
      MIL1553_Errors_bus_B_shutdown=>DANGLING(159), 
      MIL1553_Errors_bus_A_shutdown=>DANGLING(160), 
      MIL1553_Errors_transmitter_timout=>DANGLING(161), Monitor_ended_OK=>
      Monitor_ended_OK, Monitor_ended_not_OK=>Monitor_ended_not_OK, 
      RT2RT_message=>Monitor_RT2RT_message, Write=>Monitor_Write, 
      Write_Data(15)=>Monitor_Write_Data(15), Write_Data(14)=>
      Monitor_Write_Data(14), Write_Data(13)=>Monitor_Write_Data(13), 
      Write_Data(12)=>Monitor_Write_Data(12), Write_Data(11)=>
      Monitor_Write_Data(11), Write_Data(10)=>Monitor_Write_Data(10), 
      Write_Data(9)=>Monitor_Write_Data(9), Write_Data(8)=>
      Monitor_Write_Data(8), Write_Data(7)=>Monitor_Write_Data(7), 
      Write_Data(6)=>Monitor_Write_Data(6), Write_Data(5)=>
      Monitor_Write_Data(5), Write_Data(4)=>Monitor_Write_Data(4), 
      Write_Data(3)=>Monitor_Write_Data(3), Write_Data(2)=>
      Monitor_Write_Data(2), Write_Data(1)=>Monitor_Write_Data(1), 
      Write_Data(0)=>Monitor_Write_Data(0), active_command(15)=>
      Monitor_active_command(15), active_command(14)=>
      Monitor_active_command(14), active_command(13)=>
      Monitor_active_command(13), active_command(12)=>
      Monitor_active_command(12), active_command(11)=>
      Monitor_active_command(11), active_command(10)=>
      Monitor_active_command(10), active_command(9)=>
      Monitor_active_command(9), active_command(8)=>
      Monitor_active_command(8), active_command(7)=>
      Monitor_active_command(7), active_command(6)=>
      Monitor_active_command(6), active_command(5)=>
      Monitor_active_command(5), active_command(4)=>
      Monitor_active_command(4), active_command(3)=>
      Monitor_active_command(3), active_command(2)=>
      Monitor_active_command(2), active_command(1)=>
      Monitor_active_command(1), active_command(0)=>
      Monitor_active_command(0), new_command=>Monitor_New_command, 
      Monitor_Bus_A=>Monitor_Bus_A);
   gBC_UBC_Stm : BC_Stm_ver8_4_1_40 port map ( C=>clock, R=>BC_STM_ResetN, 
      CE=>CE_out_EXMPLR2718, Yoav=>PWR, rtlc_RCV_A_Sync_error_n2570=>
      OE_High_EXMPLR2813, RCV_A_Manchester_error=>OE_High_EXMPLR2813, 
      RCV_A_Parity_error=>OE_High_EXMPLR2813, RCV_A_echo_back_bus=>
      OE_High_EXMPLR2813, RCV_A_R_Data(15)=>
      H15530_record_A_R_Data_EXMPLR2902(15), RCV_A_R_Data(14)=>
      H15530_record_A_R_Data_EXMPLR2902(14), RCV_A_R_Data(13)=>
      H15530_record_A_R_Data_EXMPLR2902(13), RCV_A_R_Data(12)=>
      H15530_record_A_R_Data_EXMPLR2902(12), RCV_A_R_Data(11)=>
      H15530_record_A_R_Data_EXMPLR2902(11), RCV_A_R_Data(10)=>
      H15530_record_A_R_Data_EXMPLR2902(10), RCV_A_R_Data(9)=>
      H15530_record_A_R_Data_EXMPLR2902(9), RCV_A_R_Data(8)=>
      H15530_record_A_R_Data_EXMPLR2902(8), RCV_A_R_Data(7)=>
      H15530_record_A_R_Data_EXMPLR2902(7), RCV_A_R_Data(6)=>
      H15530_record_A_R_Data_EXMPLR2902(6), RCV_A_R_Data(5)=>
      H15530_record_A_R_Data_EXMPLR2902(5), RCV_A_R_Data(4)=>
      H15530_record_A_R_Data_EXMPLR2902(4), RCV_A_R_Data(3)=>
      H15530_record_A_R_Data_EXMPLR2902(3), RCV_A_R_Data(2)=>
      H15530_record_A_R_Data_EXMPLR2902(2), RCV_A_R_Data(1)=>
      H15530_record_A_R_Data_EXMPLR2902(1), RCV_A_R_Data(0)=>
      H15530_record_A_R_Data_EXMPLR2902(0), RCV_A_RAW_GAP(6)=>
      OE_High_EXMPLR2813, RCV_A_RAW_GAP(5)=>OE_High_EXMPLR2813, 
      RCV_A_RAW_GAP(4)=>OE_High_EXMPLR2813, RCV_A_RAW_GAP(3)=>
      OE_High_EXMPLR2813, RCV_A_RAW_GAP(2)=>OE_High_EXMPLR2813, 
      RCV_A_RAW_GAP(1)=>OE_High_EXMPLR2813, RCV_A_RAW_GAP(0)=>
      OE_High_EXMPLR2813, RCV_A_GAP(6)=>OE_High_EXMPLR2813, RCV_A_GAP(5)=>
      OE_High_EXMPLR2813, RCV_A_GAP(4)=>OE_High_EXMPLR2813, RCV_A_GAP(3)=>
      OE_High_EXMPLR2813, RCV_A_GAP(2)=>OE_High_EXMPLR2813, RCV_A_GAP(1)=>
      OE_High_EXMPLR2813, RCV_A_GAP(0)=>OE_High_EXMPLR2813, 
      RCV_A_Gap_found(2)=>H15530_record_A_Gap_found_EXMPLR2905(2), 
      RCV_A_Gap_found(1)=>H15530_record_A_Gap_found_EXMPLR2905(1), 
      RCV_A_Gap_found(0)=>H15530_record_A_Gap_found_EXMPLR2905(0), 
      RCV_A_RxRDY_plus_12us=>OE_High_EXMPLR2813, RCV_A_RxRDY_plus_10us=>
      OE_High_EXMPLR2813, RCV_A_CS=>H15530_record_A_CS_EXMPLR2847, 
      RCV_A_Pre_EchoRdy=>H15530_record_A_Pre_EchoRdy_EXMPLR2848, 
      RCV_A_Command_Sync=>H15530_record_A_Command_Sync_EXMPLR2849, 
      RCV_A_Pre_RxRdy=>H15530_record_A_Pre_RxRdy_EXMPLR2850, RCV_A_recieving
      =>H15530_record_A_recieving_EXMPLR2851, rtlc_RCV_B_Sync_error_n2571=>
      OE_High_EXMPLR2813, RCV_B_Manchester_error=>OE_High_EXMPLR2813, 
      RCV_B_Parity_error=>OE_High_EXMPLR2813, RCV_B_echo_back_bus=>
      OE_High_EXMPLR2813, RCV_B_R_Data(15)=>
      H15530_record_B_R_Data_EXMPLR2906(15), RCV_B_R_Data(14)=>
      H15530_record_B_R_Data_EXMPLR2906(14), RCV_B_R_Data(13)=>
      H15530_record_B_R_Data_EXMPLR2906(13), RCV_B_R_Data(12)=>
      H15530_record_B_R_Data_EXMPLR2906(12), RCV_B_R_Data(11)=>
      H15530_record_B_R_Data_EXMPLR2906(11), RCV_B_R_Data(10)=>
      H15530_record_B_R_Data_EXMPLR2906(10), RCV_B_R_Data(9)=>
      H15530_record_B_R_Data_EXMPLR2906(9), RCV_B_R_Data(8)=>
      H15530_record_B_R_Data_EXMPLR2906(8), RCV_B_R_Data(7)=>
      H15530_record_B_R_Data_EXMPLR2906(7), RCV_B_R_Data(6)=>
      H15530_record_B_R_Data_EXMPLR2906(6), RCV_B_R_Data(5)=>
      H15530_record_B_R_Data_EXMPLR2906(5), RCV_B_R_Data(4)=>
      H15530_record_B_R_Data_EXMPLR2906(4), RCV_B_R_Data(3)=>
      H15530_record_B_R_Data_EXMPLR2906(3), RCV_B_R_Data(2)=>
      H15530_record_B_R_Data_EXMPLR2906(2), RCV_B_R_Data(1)=>
      H15530_record_B_R_Data_EXMPLR2906(1), RCV_B_R_Data(0)=>
      H15530_record_B_R_Data_EXMPLR2906(0), RCV_B_RAW_GAP(6)=>
      OE_High_EXMPLR2813, RCV_B_RAW_GAP(5)=>OE_High_EXMPLR2813, 
      RCV_B_RAW_GAP(4)=>OE_High_EXMPLR2813, RCV_B_RAW_GAP(3)=>
      OE_High_EXMPLR2813, RCV_B_RAW_GAP(2)=>OE_High_EXMPLR2813, 
      RCV_B_RAW_GAP(1)=>OE_High_EXMPLR2813, RCV_B_RAW_GAP(0)=>
      OE_High_EXMPLR2813, RCV_B_GAP(6)=>OE_High_EXMPLR2813, RCV_B_GAP(5)=>
      OE_High_EXMPLR2813, RCV_B_GAP(4)=>OE_High_EXMPLR2813, RCV_B_GAP(3)=>
      OE_High_EXMPLR2813, RCV_B_GAP(2)=>OE_High_EXMPLR2813, RCV_B_GAP(1)=>
      OE_High_EXMPLR2813, RCV_B_GAP(0)=>OE_High_EXMPLR2813, 
      RCV_B_Gap_found(2)=>H15530_record_B_Gap_found_EXMPLR2909(2), 
      RCV_B_Gap_found(1)=>H15530_record_B_Gap_found_EXMPLR2909(1), 
      RCV_B_Gap_found(0)=>H15530_record_B_Gap_found_EXMPLR2909(0), 
      RCV_B_RxRDY_plus_12us=>OE_High_EXMPLR2813, RCV_B_RxRDY_plus_10us=>
      OE_High_EXMPLR2813, RCV_B_CS=>H15530_record_B_CS_EXMPLR2885, 
      RCV_B_Pre_EchoRdy=>H15530_record_B_Pre_EchoRdy_EXMPLR2886, 
      RCV_B_Command_Sync=>H15530_record_B_Command_Sync_EXMPLR2887, 
      RCV_B_Pre_RxRdy=>H15530_record_B_Pre_RxRdy_EXMPLR2888, RCV_B_recieving
      =>H15530_record_B_recieving_EXMPLR2889, No_Response_timeout(2)=>
      No_Response_timeout(2), No_Response_timeout(1)=>No_Response_timeout(1), 
      No_Response_timeout(0)=>No_Response_timeout(0), RCV_A_Sync_error=>
      RCV_A_Sync_error, RCV_B_Sync_error=>RCV_B_Sync_error, 
      Transmit_data(15)=>BC_Transmit_data(15), Transmit_data(14)=>
      BC_Transmit_data(14), Transmit_data(13)=>BC_Transmit_data(13), 
      Transmit_data(12)=>BC_Transmit_data(12), Transmit_data(11)=>
      BC_Transmit_data(11), Transmit_data(10)=>BC_Transmit_data(10), 
      Transmit_data(9)=>BC_Transmit_data(9), Transmit_data(8)=>
      BC_Transmit_data(8), Transmit_data(7)=>BC_Transmit_data(7), 
      Transmit_data(6)=>BC_Transmit_data(6), Transmit_data(5)=>
      BC_Transmit_data(5), Transmit_data(4)=>BC_Transmit_data(4), 
      Transmit_data(3)=>BC_Transmit_data(3), Transmit_data(2)=>
      BC_Transmit_data(2), Transmit_data(1)=>BC_Transmit_data(1), 
      Transmit_data(0)=>BC_Transmit_data(0), T_Sync=>T_Sync, Go_Tx=>BC_Go_Tx, 
      Tx_Rdy=>Tx_Rdy, Tx_Bus_A=>Tx_Bus_A, Tx_Data(15)=>BC_TX_Data(15), 
      Tx_Data(14)=>BC_TX_Data(14), Tx_Data(13)=>BC_TX_Data(13), Tx_Data(12)
      =>BC_TX_Data(12), Tx_Data(11)=>BC_TX_Data(11), Tx_Data(10)=>
      BC_TX_Data(10), Tx_Data(9)=>BC_TX_Data(9), Tx_Data(8)=>BC_TX_Data(8), 
      Tx_Data(7)=>BC_TX_Data(7), Tx_Data(6)=>BC_TX_Data(6), Tx_Data(5)=>
      BC_TX_Data(5), Tx_Data(4)=>BC_TX_Data(4), Tx_Data(3)=>BC_TX_Data(3), 
      Tx_Data(2)=>BC_TX_Data(2), Tx_Data(1)=>BC_TX_Data(1), Tx_Data(0)=>
      BC_TX_Data(0), Read=>BC_Read, Go=>BC_Go, ENC_TEST_Go=>ENC_TEST_Go, 
      RT2RT=>BC_RT2RT, Bus_A=>BC_BUS_A, Rx_Data(15)=>BC_Rx_Data(15), 
      Rx_Data(14)=>BC_Rx_Data(14), Rx_Data(13)=>BC_Rx_Data(13), Rx_Data(12)
      =>BC_Rx_Data(12), Rx_Data(11)=>BC_Rx_Data(11), Rx_Data(10)=>
      BC_Rx_Data(10), Rx_Data(9)=>BC_Rx_Data(9), Rx_Data(8)=>BC_Rx_Data(8), 
      Rx_Data(7)=>BC_Rx_Data(7), Rx_Data(6)=>BC_Rx_Data(6), Rx_Data(5)=>
      BC_Rx_Data(5), Rx_Data(4)=>BC_Rx_Data(4), Rx_Data(3)=>BC_Rx_Data(3), 
      Rx_Data(2)=>BC_Rx_Data(2), Rx_Data(1)=>BC_Rx_Data(1), Rx_Data(0)=>
      BC_Rx_Data(0), Write=>BC_Write, Echo=>BC_Echo, Message_Active=>
      BC_Message_Active_EXMPLR2794, Command_Sync=>BC_Command_Sync, 
      Idle_state=>DANGLING(162), Activity_on_wrong_bus=>DANGLING(163), 
      Response_timeout_Error=>BC_Response_timeout_Error, Found_Format_Error
      =>BC_Found_Format_Error, Loopback_error=>BC_Loopback_error, 
      Found_wrong_RT_Address=>BC_Found_wrong_RT_Address, 
      Found_wrong_word_count=>BC_Found_wrong_word_count, Bus_Coupling_error
      =>BC_Coupling_error, BC_logic_error=>BC_FE_Logic_error, 
      Wrong_Sync_error=>BC_wrong_sync, FE_All_Errors=>BC_FE_All_Errors, 
      Good_data_block_recieved=>Good_data_block_recieved, NO_BCST=>
      OE_High_EXMPLR2813, BC_1553A=>BC_1553A, BC_1553A_ME=>BC_1553A_ME, 
      Config_reg_4(15)=>OE_High_EXMPLR2813, Config_reg_4(14)=>
      OE_High_EXMPLR2813, Config_reg_4(13)=>OE_High_EXMPLR2813, 
      Config_reg_4(12)=>OE_High_EXMPLR2813, Config_reg_4(11)=>
      OE_High_EXMPLR2813, Config_reg_4(10)=>OE_High_EXMPLR2813, 
      Config_reg_4(9)=>OE_High_EXMPLR2813, Config_reg_4(8)=>
      OE_High_EXMPLR2813, Config_reg_4(7)=>OE_High_EXMPLR2813, 
      Config_reg_4(6)=>Config_reg_4_6, Config_reg_4(5)=>Config_reg_4_5, 
      Config_reg_4(4)=>OE_High_EXMPLR2813, Config_reg_4(3)=>
      OE_High_EXMPLR2813, Config_reg_4(2)=>OE_High_EXMPLR2813, 
      Config_reg_4(1)=>OE_High_EXMPLR2813, Config_reg_4(0)=>
      OE_High_EXMPLR2813, Debug(15)=>DANGLING(164), Debug(14)=>DANGLING(165), 
      Debug(13)=>DANGLING(166), Debug(12)=>DANGLING(167), Debug(11)=>
      DANGLING(168), Debug(10)=>DANGLING(169), Debug(9)=>DANGLING(170), 
      Debug(8)=>DANGLING(171), Debug(7)=>DANGLING(172), Debug(6)=>DANGLING(
      173), Debug(5)=>DANGLING(174), Debug(4)=>DANGLING(175), Debug(3)=>
      DANGLING(176), Debug(2)=>DANGLING(177), Debug(1)=>DANGLING(178), 
      Debug(0)=>DANGLING(179));
   gWM_Monitor_Word_DDC : Monitor_Word_DDC_8_4_40 port map ( A_Sync_error=>
      OE_High_EXMPLR2813, A_Manchester_error=>OE_High_EXMPLR2813, 
      A_Parity_error=>OE_High_EXMPLR2813, A_echo_back_bus=>
      OE_High_EXMPLR2813, A_R_Data(15)=>
      H15530_record_A_R_Data_EXMPLR2902(15), A_R_Data(14)=>
      H15530_record_A_R_Data_EXMPLR2902(14), A_R_Data(13)=>
      H15530_record_A_R_Data_EXMPLR2902(13), A_R_Data(12)=>
      H15530_record_A_R_Data_EXMPLR2902(12), A_R_Data(11)=>
      H15530_record_A_R_Data_EXMPLR2902(11), A_R_Data(10)=>
      H15530_record_A_R_Data_EXMPLR2902(10), A_R_Data(9)=>
      H15530_record_A_R_Data_EXMPLR2902(9), A_R_Data(8)=>
      H15530_record_A_R_Data_EXMPLR2902(8), A_R_Data(7)=>
      H15530_record_A_R_Data_EXMPLR2902(7), A_R_Data(6)=>
      H15530_record_A_R_Data_EXMPLR2902(6), A_R_Data(5)=>
      H15530_record_A_R_Data_EXMPLR2902(5), A_R_Data(4)=>
      H15530_record_A_R_Data_EXMPLR2902(4), A_R_Data(3)=>
      H15530_record_A_R_Data_EXMPLR2902(3), A_R_Data(2)=>
      H15530_record_A_R_Data_EXMPLR2902(2), A_R_Data(1)=>
      H15530_record_A_R_Data_EXMPLR2902(1), A_R_Data(0)=>
      H15530_record_A_R_Data_EXMPLR2902(0), A_RAW_GAP(6)=>OE_High_EXMPLR2813, 
      A_RAW_GAP(5)=>OE_High_EXMPLR2813, A_RAW_GAP(4)=>OE_High_EXMPLR2813, 
      A_RAW_GAP(3)=>OE_High_EXMPLR2813, A_RAW_GAP(2)=>OE_High_EXMPLR2813, 
      A_RAW_GAP(1)=>OE_High_EXMPLR2813, A_RAW_GAP(0)=>OE_High_EXMPLR2813, 
      A_GAP(6)=>H15530_record_A_GAP_EXMPLR2904(6), A_GAP(5)=>
      H15530_record_A_GAP_EXMPLR2904(5), A_GAP(4)=>
      H15530_record_A_GAP_EXMPLR2904(4), A_GAP(3)=>
      H15530_record_A_GAP_EXMPLR2904(3), A_GAP(2)=>
      H15530_record_A_GAP_EXMPLR2904(2), A_GAP(1)=>
      H15530_record_A_GAP_EXMPLR2904(1), A_GAP(0)=>
      H15530_record_A_GAP_EXMPLR2904(0), A_Gap_found(2)=>OE_High_EXMPLR2813, 
      A_Gap_found(1)=>OE_High_EXMPLR2813, A_Gap_found(0)=>OE_High_EXMPLR2813, 
      A_RxRDY_plus_12us=>OE_High_EXMPLR2813, A_RxRDY_plus_10us=>
      OE_High_EXMPLR2813, A_CS=>H15530_record_A_CS_EXMPLR2847, A_Pre_EchoRdy
      =>H15530_record_A_Pre_EchoRdy_EXMPLR2848, A_Command_Sync=>
      H15530_record_A_Command_Sync_EXMPLR2849, A_Pre_RxRdy=>
      H15530_record_A_Pre_RxRdy_EXMPLR2850, A_recieving=>OE_High_EXMPLR2813, 
      Ack=>WM_Ack, B_Sync_error=>OE_High_EXMPLR2813, B_Manchester_error=>
      OE_High_EXMPLR2813, B_Parity_error=>OE_High_EXMPLR2813, 
      B_echo_back_bus=>OE_High_EXMPLR2813, B_R_Data(15)=>
      H15530_record_B_R_Data_EXMPLR2906(15), B_R_Data(14)=>
      H15530_record_B_R_Data_EXMPLR2906(14), B_R_Data(13)=>
      H15530_record_B_R_Data_EXMPLR2906(13), B_R_Data(12)=>
      H15530_record_B_R_Data_EXMPLR2906(12), B_R_Data(11)=>
      H15530_record_B_R_Data_EXMPLR2906(11), B_R_Data(10)=>
      H15530_record_B_R_Data_EXMPLR2906(10), B_R_Data(9)=>
      H15530_record_B_R_Data_EXMPLR2906(9), B_R_Data(8)=>
      H15530_record_B_R_Data_EXMPLR2906(8), B_R_Data(7)=>
      H15530_record_B_R_Data_EXMPLR2906(7), B_R_Data(6)=>
      H15530_record_B_R_Data_EXMPLR2906(6), B_R_Data(5)=>
      H15530_record_B_R_Data_EXMPLR2906(5), B_R_Data(4)=>
      H15530_record_B_R_Data_EXMPLR2906(4), B_R_Data(3)=>
      H15530_record_B_R_Data_EXMPLR2906(3), B_R_Data(2)=>
      H15530_record_B_R_Data_EXMPLR2906(2), B_R_Data(1)=>
      H15530_record_B_R_Data_EXMPLR2906(1), B_R_Data(0)=>
      H15530_record_B_R_Data_EXMPLR2906(0), B_RAW_GAP(6)=>OE_High_EXMPLR2813, 
      B_RAW_GAP(5)=>OE_High_EXMPLR2813, B_RAW_GAP(4)=>OE_High_EXMPLR2813, 
      B_RAW_GAP(3)=>OE_High_EXMPLR2813, B_RAW_GAP(2)=>OE_High_EXMPLR2813, 
      B_RAW_GAP(1)=>OE_High_EXMPLR2813, B_RAW_GAP(0)=>OE_High_EXMPLR2813, 
      B_GAP(6)=>H15530_record_B_GAP_EXMPLR2908(6), B_GAP(5)=>
      H15530_record_B_GAP_EXMPLR2908(5), B_GAP(4)=>
      H15530_record_B_GAP_EXMPLR2908(4), B_GAP(3)=>
      H15530_record_B_GAP_EXMPLR2908(3), B_GAP(2)=>
      H15530_record_B_GAP_EXMPLR2908(2), B_GAP(1)=>
      H15530_record_B_GAP_EXMPLR2908(1), B_GAP(0)=>
      H15530_record_B_GAP_EXMPLR2908(0), B_Gap_found(2)=>OE_High_EXMPLR2813, 
      B_Gap_found(1)=>OE_High_EXMPLR2813, B_Gap_found(0)=>OE_High_EXMPLR2813, 
      B_RxRDY_plus_12us=>OE_High_EXMPLR2813, B_RxRDY_plus_10us=>
      OE_High_EXMPLR2813, B_CS=>H15530_record_B_CS_EXMPLR2885, B_Pre_EchoRdy
      =>H15530_record_B_Pre_EchoRdy_EXMPLR2886, B_Command_Sync=>
      H15530_record_B_Command_Sync_EXMPLR2887, B_Pre_RxRdy=>
      H15530_record_B_Pre_RxRdy_EXMPLR2888, B_recieving=>OE_High_EXMPLR2813, 
      C=>clock, CE=>CE_out_EXMPLR2718, R=>WM_Started, Descriptor(15)=>
      WM_Descriptor_15, Descriptor(14)=>WM_Descriptor_14, Descriptor(13)=>
      WM_Descriptor_13, Descriptor(12)=>WM_Descriptor_12, Descriptor(11)=>
      WM_Descriptor_11, Descriptor(10)=>WM_Descriptor_10, Descriptor(9)=>
      WM_Descriptor_9, Descriptor(8)=>WM_Descriptor_8, Descriptor(7)=>
      WM_Descriptor_7, Descriptor(6)=>DANGLING(180), Descriptor(5)=>
      WM_Descriptor_5, Descriptor(4)=>WM_Descriptor_4, Descriptor(3)=>
      WM_Descriptor_3, Descriptor(2)=>WM_Descriptor_2, Descriptor(1)=>
      WM_Descriptor_1, Descriptor(0)=>WM_Descriptor_0, Req=>WM_Req, Word(15)
      =>WM_Word(15), Word(14)=>WM_Word(14), Word(13)=>WM_Word(13), Word(12)
      =>WM_Word(12), Word(11)=>WM_Word(11), Word(10)=>WM_Word(10), Word(9)=>
      WM_Word(9), Word(8)=>WM_Word(8), Word(7)=>WM_Word(7), Word(6)=>
      WM_Word(6), Word(5)=>WM_Word(5), Word(4)=>WM_Word(4), Word(3)=>
      WM_Word(3), Word(2)=>WM_Word(2), Word(1)=>WM_Word(1), Word(0)=>
      WM_Word(0));
end no_int_mem_unfold_2431 ;

-- library IEEE;
--  use IEEE.STD_LOGIC_1164.ALL;
--  Library MODGEN_SITAL;

-- entity ram_new_4_interlace_read_through is 
--    port (
--       wr_data1 : IN std_logic_vector (15 DOWNTO 0) ;
--       rd_data1 : OUT std_logic_vector (15 DOWNTO 0) ;
--       addr1 : IN std_logic_vector (14 DOWNTO 0) ;
--       wr_clk1 : IN std_logic ;
--       rd_clk1 : IN std_logic ;
--       wr_ena1 : IN std_logic ;
--       rd_ena1 : IN std_logic ;
--       ena1 : IN std_logic ;
--       rst1 : IN std_logic ;
--       regce1 : IN std_logic ;
--       wr_data2 : IN std_logic_vector (15 DOWNTO 0) ;
--       rd_data2 : OUT std_logic_vector (15 DOWNTO 0) ;
--       addr2 : IN std_logic_vector (14 DOWNTO 0) ;
--       wr_clk2 : IN std_logic ;
--       rd_clk2 : IN std_logic ;
--       wr_ena2 : IN std_logic ;
--       rd_ena2 : IN std_logic ;
--       ena2 : IN std_logic ;
--       rst2 : IN std_logic ;
--       regce2 : IN std_logic) ;
-- end ram_new_4_interlace_read_through ;

-- architecture INTERFACE of 
--    ram_new_4_interlace_read_through is 
--    procedure DFFPC (
--       constant data   : in std_logic;
--       constant preset : in std_logic;
--       constant clear  : in std_logic;
--       signal clk      : in std_logic;
--       signal q        : out std_logic)
--    is begin
--        if (preset = '1') then
--            q <= '1' ;
--        elsif (clear = '1') then
--            q <= '0' ;
--        elsif (clk'event and clk'last_value = '0' and clk = '1') then
--            q <= data and data ;    -- takes care of q<='X' if data='Z'
--        end if ;
--        if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
--            q <= 'X' ;
--        end if ;
--    end DFFPC ;
--    component clocked_ram_16_15_32768_F_T_F_F_T_T_F_F_F
--       generic (ram_type : integer := 2;
--          dual_addresses : string := "TRUE"
--          ;
--          dual_data_ports : string := "TRUE"
--          ;
--          dual_out_ports : string := "TRUE") ;
--       
--       port (
--          clk : IN std_logic ;
--          we : IN std_logic ;
--          address : IN std_logic_vector (14 DOWNTO 0) ;
--          data : IN std_logic_vector (15 DOWNTO 0) ;
--          q : OUT std_logic_vector (15 DOWNTO 0) ;
--          we2 : IN std_logic ;
--          addr2 : IN std_logic_vector (14 DOWNTO 0) ;
--          data2 : IN std_logic_vector (15 DOWNTO 0) ;
--          q2 : OUT std_logic_vector (15 DOWNTO 0)) ;
--    end component ;
--    signal nx108, nx110, dup_0_rtlc_rdout_n26_9, dup_0_rtlc_rdout_n26_8, 
--       dup_0_rtlc_rdout_n26_7, dup_0_rtlc_rdout_n26_6, dup_0_rtlc_rdout_n26_5, 
--       dup_0_rtlc_rdout_n26_4, dup_0_rtlc_rdout_n26_3, dup_0_rtlc_rdout_n26_2, 
--       dup_0_rtlc_rdout_n26_15, dup_0_rtlc_rdout_n26_14, 
--       dup_0_rtlc_rdout_n26_13, dup_0_rtlc_rdout_n26_12, 
--       dup_0_rtlc_rdout_n26_11, dup_0_rtlc_rdout_n26_10, 
--       dup_0_rtlc_rdout_n26_1, dup_0_rtlc_rdout_n26_0, dup_0_rtlc_rdout_n19_9, 
--       dup_0_rtlc_rdout_n19_8, dup_0_rtlc_rdout_n19_7, dup_0_rtlc_rdout_n19_6, 
--       dup_0_rtlc_rdout_n19_5, dup_0_rtlc_rdout_n19_4, dup_0_rtlc_rdout_n19_3, 
--       dup_0_rtlc_rdout_n19_2, dup_0_rtlc_rdout_n19_15, 
--       dup_0_rtlc_rdout_n19_14, dup_0_rtlc_rdout_n19_13, 
--       dup_0_rtlc_rdout_n19_12, dup_0_rtlc_rdout_n19_11, 
--       dup_0_rtlc_rdout_n19_10, dup_0_rtlc_rdout_n19_1, 
--       dup_0_rtlc_rdout_n19_0, nx112, nx114, nx116, nx118: std_logic ;

-- begin
--    nx108 <= '0' ;
--    nx110 <= '1' ;
--    DFFPC (dup_0_rtlc_rdout_n26_9,nx108,nx108,rd_clk2,rd_data2(9)) ;
--    DFFPC (dup_0_rtlc_rdout_n26_8,nx108,nx108,rd_clk2,rd_data2(8)) ;
--    DFFPC (dup_0_rtlc_rdout_n26_7,nx108,nx108,rd_clk2,rd_data2(7)) ;
--    DFFPC (dup_0_rtlc_rdout_n26_6,nx108,nx108,rd_clk2,rd_data2(6)) ;
--    DFFPC (dup_0_rtlc_rdout_n26_5,nx108,nx108,rd_clk2,rd_data2(5)) ;
--    DFFPC (dup_0_rtlc_rdout_n26_4,nx108,nx108,rd_clk2,rd_data2(4)) ;
--    DFFPC (dup_0_rtlc_rdout_n26_3,nx108,nx108,rd_clk2,rd_data2(3)) ;
--    DFFPC (dup_0_rtlc_rdout_n26_2,nx108,nx108,rd_clk2,rd_data2(2)) ;
--    DFFPC (dup_0_rtlc_rdout_n26_15,nx108,nx108,rd_clk2,rd_data2(15)) ;
--    DFFPC (dup_0_rtlc_rdout_n26_14,nx108,nx108,rd_clk2,rd_data2(14)) ;
--    DFFPC (dup_0_rtlc_rdout_n26_13,nx108,nx108,rd_clk2,rd_data2(13)) ;
--    DFFPC (dup_0_rtlc_rdout_n26_12,nx108,nx108,rd_clk2,rd_data2(12)) ;
--    DFFPC (dup_0_rtlc_rdout_n26_11,nx108,nx108,rd_clk2,rd_data2(11)) ;
--    DFFPC (dup_0_rtlc_rdout_n26_10,nx108,nx108,rd_clk2,rd_data2(10)) ;
--    DFFPC (dup_0_rtlc_rdout_n26_1,nx108,nx108,rd_clk2,rd_data2(1)) ;
--    DFFPC (dup_0_rtlc_rdout_n26_0,nx108,nx108,rd_clk2,rd_data2(0)) ;
--    DFFPC (dup_0_rtlc_rdout_n19_9,nx108,nx108,rd_clk1,rd_data1(9)) ;
--    DFFPC (dup_0_rtlc_rdout_n19_8,nx108,nx108,rd_clk1,rd_data1(8)) ;
--    DFFPC (dup_0_rtlc_rdout_n19_7,nx108,nx108,rd_clk1,rd_data1(7)) ;
--    DFFPC (dup_0_rtlc_rdout_n19_6,nx108,nx108,rd_clk1,rd_data1(6)) ;
--    DFFPC (dup_0_rtlc_rdout_n19_5,nx108,nx108,rd_clk1,rd_data1(5)) ;
--    DFFPC (dup_0_rtlc_rdout_n19_4,nx108,nx108,rd_clk1,rd_data1(4)) ;
--    DFFPC (dup_0_rtlc_rdout_n19_3,nx108,nx108,rd_clk1,rd_data1(3)) ;
--    DFFPC (dup_0_rtlc_rdout_n19_2,nx108,nx108,rd_clk1,rd_data1(2)) ;
--    DFFPC (dup_0_rtlc_rdout_n19_15,nx108,nx108,rd_clk1,rd_data1(15)) ;
--    DFFPC (dup_0_rtlc_rdout_n19_14,nx108,nx108,rd_clk1,rd_data1(14)) ;
--    DFFPC (dup_0_rtlc_rdout_n19_13,nx108,nx108,rd_clk1,rd_data1(13)) ;
--    DFFPC (dup_0_rtlc_rdout_n19_12,nx108,nx108,rd_clk1,rd_data1(12)) ;
--    DFFPC (dup_0_rtlc_rdout_n19_11,nx108,nx108,rd_clk1,rd_data1(11)) ;
--    DFFPC (dup_0_rtlc_rdout_n19_10,nx108,nx108,rd_clk1,rd_data1(10)) ;
--    DFFPC (dup_0_rtlc_rdout_n19_1,nx108,nx108,rd_clk1,rd_data1(1)) ;
--    DFFPC (dup_0_rtlc_rdout_n19_0,nx108,nx108,rd_clk1,rd_data1(0)) ;
--    mem_655350 : clocked_ram_16_15_32768_F_T_F_F_T_T_F_F_F port map ( clk=>
--       wr_clk1, we=>nx112, address(14)=>addr1(14), address(13)=>addr1(13), 
--       address(12)=>addr1(12), address(11)=>addr1(11), address(10)=>addr1(10), 
--       address(9)=>addr1(9), address(8)=>addr1(8), address(7)=>addr1(7), 
--       address(6)=>addr1(6), address(5)=>addr1(5), address(4)=>addr1(4), 
--       address(3)=>addr1(3), address(2)=>addr1(2), address(1)=>addr1(1), 
--       address(0)=>addr1(0), data(15)=>wr_data1(15), data(14)=>wr_data1(14), 
--       data(13)=>wr_data1(13), data(12)=>wr_data1(12), data(11)=>wr_data1(11), 
--       data(10)=>wr_data1(10), data(9)=>wr_data1(9), data(8)=>wr_data1(8), 
--       data(7)=>wr_data1(7), data(6)=>wr_data1(6), data(5)=>wr_data1(5), 
--       data(4)=>wr_data1(4), data(3)=>wr_data1(3), data(2)=>wr_data1(2), 
--       data(1)=>wr_data1(1), data(0)=>wr_data1(0), q(15)=>
--       dup_0_rtlc_rdout_n19_15, q(14)=>dup_0_rtlc_rdout_n19_14, q(13)=>
--       dup_0_rtlc_rdout_n19_13, q(12)=>dup_0_rtlc_rdout_n19_12, q(11)=>
--       dup_0_rtlc_rdout_n19_11, q(10)=>dup_0_rtlc_rdout_n19_10, q(9)=>
--       dup_0_rtlc_rdout_n19_9, q(8)=>dup_0_rtlc_rdout_n19_8, q(7)=>
--       dup_0_rtlc_rdout_n19_7, q(6)=>dup_0_rtlc_rdout_n19_6, q(5)=>
--       dup_0_rtlc_rdout_n19_5, q(4)=>dup_0_rtlc_rdout_n19_4, q(3)=>
--       dup_0_rtlc_rdout_n19_3, q(2)=>dup_0_rtlc_rdout_n19_2, q(1)=>
--       dup_0_rtlc_rdout_n19_1, q(0)=>dup_0_rtlc_rdout_n19_0, we2=>nx116, 
--       addr2(14)=>addr2(14), addr2(13)=>addr2(13), addr2(12)=>addr2(12), 
--       addr2(11)=>addr2(11), addr2(10)=>addr2(10), addr2(9)=>addr2(9), 
--       addr2(8)=>addr2(8), addr2(7)=>addr2(7), addr2(6)=>addr2(6), addr2(5)=>
--       addr2(5), addr2(4)=>addr2(4), addr2(3)=>addr2(3), addr2(2)=>addr2(2), 
--       addr2(1)=>addr2(1), addr2(0)=>addr2(0), data2(15)=>wr_data2(15), 
--       data2(14)=>wr_data2(14), data2(13)=>wr_data2(13), data2(12)=>
--       wr_data2(12), data2(11)=>wr_data2(11), data2(10)=>wr_data2(10), 
--       data2(9)=>wr_data2(9), data2(8)=>wr_data2(8), data2(7)=>wr_data2(7), 
--       data2(6)=>wr_data2(6), data2(5)=>wr_data2(5), data2(4)=>wr_data2(4), 
--       data2(3)=>wr_data2(3), data2(2)=>wr_data2(2), data2(1)=>wr_data2(1), 
--       data2(0)=>wr_data2(0), q2(15)=>dup_0_rtlc_rdout_n26_15, q2(14)=>
--       dup_0_rtlc_rdout_n26_14, q2(13)=>dup_0_rtlc_rdout_n26_13, q2(12)=>
--       dup_0_rtlc_rdout_n26_12, q2(11)=>dup_0_rtlc_rdout_n26_11, q2(10)=>
--       dup_0_rtlc_rdout_n26_10, q2(9)=>dup_0_rtlc_rdout_n26_9, q2(8)=>
--       dup_0_rtlc_rdout_n26_8, q2(7)=>dup_0_rtlc_rdout_n26_7, q2(6)=>
--       dup_0_rtlc_rdout_n26_6, q2(5)=>dup_0_rtlc_rdout_n26_5, q2(4)=>
--       dup_0_rtlc_rdout_n26_4, q2(3)=>dup_0_rtlc_rdout_n26_3, q2(2)=>
--       dup_0_rtlc_rdout_n26_2, q2(1)=>dup_0_rtlc_rdout_n26_1, q2(0)=>
--       dup_0_rtlc_rdout_n26_0);
--    nx112 <= wr_ena1 AND ena1 ;
--    nx114 <= rd_ena1 AND ena1 ;
--    nx116 <= wr_ena2 AND ena2 ;
--    nx118 <= rd_ena2 AND ena2 ;
-- end INTERFACE ;

-- library IEEE;
--  use IEEE.STD_LOGIC_1164.ALL;
--  Library MODGEN_SITAL;

-- entity ram_new_4_interlace_read_through is 
--    port (
--       wr_data1 : IN std_logic_vector (15 DOWNTO 0) ;
--       rd_data1 : OUT std_logic_vector (15 DOWNTO 0) ;
--       addr1 : IN std_logic_vector (14 DOWNTO 0) ;
--       wr_clk1 : IN std_logic ;
--       rd_clk1 : IN std_logic ;
--       wr_ena1 : IN std_logic ;
--       rd_ena1 : IN std_logic ;
--       ena1 : IN std_logic ;
--       rst1 : IN std_logic ;
--       regce1 : IN std_logic ;
--       wr_data2 : IN std_logic_vector (15 DOWNTO 0) ;
--       rd_data2 : OUT std_logic_vector (15 DOWNTO 0) ;
--       addr2 : IN std_logic_vector (14 DOWNTO 0) ;
--       wr_clk2 : IN std_logic ;
--       rd_clk2 : IN std_logic ;
--       wr_ena2 : IN std_logic ;
--       rd_ena2 : IN std_logic ;
--       ena2 : IN std_logic ;
--       rst2 : IN std_logic ;
--       regce2 : IN std_logic) ;
-- end ram_new_4_interlace_read_through ;

-- architecture INTERFACE of 
--    ram_new_4_interlace_read_through is 
--    procedure DFFPC (
--       constant data   : in std_logic;
--       constant preset : in std_logic;
--       constant clear  : in std_logic;
--       signal clk      : in std_logic;
--       signal q        : out std_logic)
--    is begin
--        if (preset = '1') then
--            q <= '1' ;
--        elsif (clear = '1') then
--            q <= '0' ;
--        elsif (clk'event and clk'last_value = '0' and clk = '1') then
--            q <= data and data ;    -- takes care of q<='X' if data='Z'
--        end if ;
--        if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
--            q <= 'X' ;
--        end if ;
--    end DFFPC ;
--    component clocked_ram_16_15_32768_F_T_F_F_T_T_F_F_F
--       generic (ram_type : integer := 2;
--          dual_addresses : string := "TRUE"
--          ;
--          dual_data_ports : string := "TRUE"
--          ;
--          dual_out_ports : string := "TRUE") ;
--       
--       port (
--          clk : IN std_logic ;
--          we : IN std_logic ;
--          address : IN std_logic_vector (14 DOWNTO 0) ;
--          data : IN std_logic_vector (15 DOWNTO 0) ;
--          q : OUT std_logic_vector (15 DOWNTO 0) ;
--          we2 : IN std_logic ;
--          addr2 : IN std_logic_vector (14 DOWNTO 0) ;
--          data2 : IN std_logic_vector (15 DOWNTO 0) ;
--          q2 : OUT std_logic_vector (15 DOWNTO 0)) ;
--    end component ;
--    signal nx108, nx110, dup_0_rtlc_rdout_n12_15, dup_0_rtlc_rdout_n12_14, 
--       dup_0_rtlc_rdout_n12_13, dup_0_rtlc_rdout_n12_12, 
--       dup_0_rtlc_rdout_n12_11, dup_0_rtlc_rdout_n12_10, 
--       dup_0_rtlc_rdout_n12_9, dup_0_rtlc_rdout_n12_8, dup_0_rtlc_rdout_n12_7, 
--       dup_0_rtlc_rdout_n12_6, dup_0_rtlc_rdout_n12_5, dup_0_rtlc_rdout_n12_4, 
--       dup_0_rtlc_rdout_n12_3, dup_0_rtlc_rdout_n12_2, dup_0_rtlc_rdout_n12_1, 
--       dup_0_rtlc_rdout_n12_0, dup_0_rtlc_rdout_n5_15, dup_0_rtlc_rdout_n5_14, 
--       dup_0_rtlc_rdout_n5_13, dup_0_rtlc_rdout_n5_12, dup_0_rtlc_rdout_n5_11, 
--       dup_0_rtlc_rdout_n5_10, dup_0_rtlc_rdout_n5_9, dup_0_rtlc_rdout_n5_8, 
--       dup_0_rtlc_rdout_n5_7, dup_0_rtlc_rdout_n5_6, dup_0_rtlc_rdout_n5_5, 
--       dup_0_rtlc_rdout_n5_4, dup_0_rtlc_rdout_n5_3, dup_0_rtlc_rdout_n5_2, 
--       dup_0_rtlc_rdout_n5_1, dup_0_rtlc_rdout_n5_0, nx112, nx114, nx116, 
--       nx118: std_logic ;

-- begin
--    nx108 <= '0' ;
--    nx110 <= '1' ;
--    DFFPC (dup_0_rtlc_rdout_n12_15,nx108,nx108,rd_clk2,rd_data2(15)) ;
--    DFFPC (dup_0_rtlc_rdout_n12_14,nx108,nx108,rd_clk2,rd_data2(14)) ;
--    DFFPC (dup_0_rtlc_rdout_n12_13,nx108,nx108,rd_clk2,rd_data2(13)) ;
--    DFFPC (dup_0_rtlc_rdout_n12_12,nx108,nx108,rd_clk2,rd_data2(12)) ;
--    DFFPC (dup_0_rtlc_rdout_n12_11,nx108,nx108,rd_clk2,rd_data2(11)) ;
--    DFFPC (dup_0_rtlc_rdout_n12_10,nx108,nx108,rd_clk2,rd_data2(10)) ;
--    DFFPC (dup_0_rtlc_rdout_n12_9,nx108,nx108,rd_clk2,rd_data2(9)) ;
--    DFFPC (dup_0_rtlc_rdout_n12_8,nx108,nx108,rd_clk2,rd_data2(8)) ;
--    DFFPC (dup_0_rtlc_rdout_n12_7,nx108,nx108,rd_clk2,rd_data2(7)) ;
--    DFFPC (dup_0_rtlc_rdout_n12_6,nx108,nx108,rd_clk2,rd_data2(6)) ;
--    DFFPC (dup_0_rtlc_rdout_n12_5,nx108,nx108,rd_clk2,rd_data2(5)) ;
--    DFFPC (dup_0_rtlc_rdout_n12_4,nx108,nx108,rd_clk2,rd_data2(4)) ;
--    DFFPC (dup_0_rtlc_rdout_n12_3,nx108,nx108,rd_clk2,rd_data2(3)) ;
--    DFFPC (dup_0_rtlc_rdout_n12_2,nx108,nx108,rd_clk2,rd_data2(2)) ;
--    DFFPC (dup_0_rtlc_rdout_n12_1,nx108,nx108,rd_clk2,rd_data2(1)) ;
--    DFFPC (dup_0_rtlc_rdout_n12_0,nx108,nx108,rd_clk2,rd_data2(0)) ;
--    DFFPC (dup_0_rtlc_rdout_n5_15,nx108,nx108,rd_clk1,rd_data1(15)) ;
--    DFFPC (dup_0_rtlc_rdout_n5_14,nx108,nx108,rd_clk1,rd_data1(14)) ;
--    DFFPC (dup_0_rtlc_rdout_n5_13,nx108,nx108,rd_clk1,rd_data1(13)) ;
--    DFFPC (dup_0_rtlc_rdout_n5_12,nx108,nx108,rd_clk1,rd_data1(12)) ;
--    DFFPC (dup_0_rtlc_rdout_n5_11,nx108,nx108,rd_clk1,rd_data1(11)) ;
--    DFFPC (dup_0_rtlc_rdout_n5_10,nx108,nx108,rd_clk1,rd_data1(10)) ;
--    DFFPC (dup_0_rtlc_rdout_n5_9,nx108,nx108,rd_clk1,rd_data1(9)) ;
--    DFFPC (dup_0_rtlc_rdout_n5_8,nx108,nx108,rd_clk1,rd_data1(8)) ;
--    DFFPC (dup_0_rtlc_rdout_n5_7,nx108,nx108,rd_clk1,rd_data1(7)) ;
--    DFFPC (dup_0_rtlc_rdout_n5_6,nx108,nx108,rd_clk1,rd_data1(6)) ;
--    DFFPC (dup_0_rtlc_rdout_n5_5,nx108,nx108,rd_clk1,rd_data1(5)) ;
--    DFFPC (dup_0_rtlc_rdout_n5_4,nx108,nx108,rd_clk1,rd_data1(4)) ;
--    DFFPC (dup_0_rtlc_rdout_n5_3,nx108,nx108,rd_clk1,rd_data1(3)) ;
--    DFFPC (dup_0_rtlc_rdout_n5_2,nx108,nx108,rd_clk1,rd_data1(2)) ;
--    DFFPC (dup_0_rtlc_rdout_n5_1,nx108,nx108,rd_clk1,rd_data1(1)) ;
--    DFFPC (dup_0_rtlc_rdout_n5_0,nx108,nx108,rd_clk1,rd_data1(0)) ;
--    mem_327671 : clocked_ram_16_15_32768_F_T_F_F_T_T_F_F_F port map ( clk=>
--       wr_clk1, we=>nx112, address(14)=>addr1(14), address(13)=>addr1(13), 
--       address(12)=>addr1(12), address(11)=>addr1(11), address(10)=>addr1(10), 
--       address(9)=>addr1(9), address(8)=>addr1(8), address(7)=>addr1(7), 
--       address(6)=>addr1(6), address(5)=>addr1(5), address(4)=>addr1(4), 
--       address(3)=>addr1(3), address(2)=>addr1(2), address(1)=>addr1(1), 
--       address(0)=>addr1(0), data(15)=>wr_data1(15), data(14)=>wr_data1(14), 
--       data(13)=>wr_data1(13), data(12)=>wr_data1(12), data(11)=>wr_data1(11), 
--       data(10)=>wr_data1(10), data(9)=>wr_data1(9), data(8)=>wr_data1(8), 
--       data(7)=>wr_data1(7), data(6)=>wr_data1(6), data(5)=>wr_data1(5), 
--       data(4)=>wr_data1(4), data(3)=>wr_data1(3), data(2)=>wr_data1(2), 
--       data(1)=>wr_data1(1), data(0)=>wr_data1(0), q(15)=>
--       dup_0_rtlc_rdout_n5_15, q(14)=>dup_0_rtlc_rdout_n5_14, q(13)=>
--       dup_0_rtlc_rdout_n5_13, q(12)=>dup_0_rtlc_rdout_n5_12, q(11)=>
--       dup_0_rtlc_rdout_n5_11, q(10)=>dup_0_rtlc_rdout_n5_10, q(9)=>
--       dup_0_rtlc_rdout_n5_9, q(8)=>dup_0_rtlc_rdout_n5_8, q(7)=>
--       dup_0_rtlc_rdout_n5_7, q(6)=>dup_0_rtlc_rdout_n5_6, q(5)=>
--       dup_0_rtlc_rdout_n5_5, q(4)=>dup_0_rtlc_rdout_n5_4, q(3)=>
--       dup_0_rtlc_rdout_n5_3, q(2)=>dup_0_rtlc_rdout_n5_2, q(1)=>
--       dup_0_rtlc_rdout_n5_1, q(0)=>dup_0_rtlc_rdout_n5_0, we2=>nx116, 
--       addr2(14)=>addr2(14), addr2(13)=>addr2(13), addr2(12)=>addr2(12), 
--       addr2(11)=>addr2(11), addr2(10)=>addr2(10), addr2(9)=>addr2(9), 
--       addr2(8)=>addr2(8), addr2(7)=>addr2(7), addr2(6)=>addr2(6), addr2(5)=>
--       addr2(5), addr2(4)=>addr2(4), addr2(3)=>addr2(3), addr2(2)=>addr2(2), 
--       addr2(1)=>addr2(1), addr2(0)=>addr2(0), data2(15)=>wr_data2(15), 
--       data2(14)=>wr_data2(14), data2(13)=>wr_data2(13), data2(12)=>
--       wr_data2(12), data2(11)=>wr_data2(11), data2(10)=>wr_data2(10), 
--       data2(9)=>wr_data2(9), data2(8)=>wr_data2(8), data2(7)=>wr_data2(7), 
--       data2(6)=>wr_data2(6), data2(5)=>wr_data2(5), data2(4)=>wr_data2(4), 
--       data2(3)=>wr_data2(3), data2(2)=>wr_data2(2), data2(1)=>wr_data2(1), 
--       data2(0)=>wr_data2(0), q2(15)=>dup_0_rtlc_rdout_n12_15, q2(14)=>
--       dup_0_rtlc_rdout_n12_14, q2(13)=>dup_0_rtlc_rdout_n12_13, q2(12)=>
--       dup_0_rtlc_rdout_n12_12, q2(11)=>dup_0_rtlc_rdout_n12_11, q2(10)=>
--       dup_0_rtlc_rdout_n12_10, q2(9)=>dup_0_rtlc_rdout_n12_9, q2(8)=>
--       dup_0_rtlc_rdout_n12_8, q2(7)=>dup_0_rtlc_rdout_n12_7, q2(6)=>
--       dup_0_rtlc_rdout_n12_6, q2(5)=>dup_0_rtlc_rdout_n12_5, q2(4)=>
--       dup_0_rtlc_rdout_n12_4, q2(3)=>dup_0_rtlc_rdout_n12_3, q2(2)=>
--       dup_0_rtlc_rdout_n12_2, q2(1)=>dup_0_rtlc_rdout_n12_1, q2(0)=>
--       dup_0_rtlc_rdout_n12_0);
--    nx112 <= wr_ena1 AND ena1 ;
--    nx114 <= rd_ena1 AND ena1 ;
--    nx116 <= wr_ena2 AND ena2 ;
--    nx118 <= rd_ena2 AND ena2 ;
-- end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity DPRAM_ACTEL_Infer_16_1_0 is 
   port (
      clock : IN std_logic ;
      Data_i_A : IN std_logic_vector (15 DOWNTO 0) ;
      ADDr_i_A : IN std_logic_vector (15 DOWNTO 0) ;
      WE_A : IN std_logic ;
      Data_o_A : OUT std_logic_vector (15 DOWNTO 0) ;
      Data_i_B : IN std_logic_vector (31 DOWNTO 0) ;
      ADDr_i_B : IN std_logic_vector (15 DOWNTO 0) ;
      WE_B_vec : IN std_logic_vector (1 DOWNTO 0) ;
      Data_o_B : OUT std_logic_vector (31 DOWNTO 0)) ;
end DPRAM_ACTEL_Infer_16_1_0 ;

architecture Sital_OH_unfold_1 of DPRAM_ACTEL_Infer_16_1_0 is 
   component eq_15u_15u
      port (
         a : IN std_logic_vector (14 DOWNTO 0) ;
         b : IN std_logic_vector (14 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   procedure DFFPC (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           q <= data and data ;    -- takes care of q<='X' if data='Z'
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPC ;
   component ram_new_4_interlace_read_through
      port (
         wr_data1 : IN std_logic_vector (15 DOWNTO 0) ;
         rd_data1 : OUT std_logic_vector (15 DOWNTO 0) ;
         addr1 : IN std_logic_vector (14 DOWNTO 0) ;
         wr_clk1 : IN std_logic ;
         rd_clk1 : IN std_logic ;
         wr_ena1 : IN std_logic ;
         rd_ena1 : IN std_logic ;
         ena1 : IN std_logic ;
         rst1 : IN std_logic ;
         regce1 : IN std_logic ;
         wr_data2 : IN std_logic_vector (15 DOWNTO 0) ;
         rd_data2 : OUT std_logic_vector (15 DOWNTO 0) ;
         addr2 : IN std_logic_vector (14 DOWNTO 0) ;
         wr_clk2 : IN std_logic ;
         rd_clk2 : IN std_logic ;
         wr_ena2 : IN std_logic ;
         rd_ena2 : IN std_logic ;
         ena2 : IN std_logic ;
         rst2 : IN std_logic ;
         regce2 : IN std_logic) ;
   end component ;
--    component ram_new_4_interlace_read_through
--       port (
--          wr_data1 : IN std_logic_vector (15 DOWNTO 0) ;
--          rd_data1 : OUT std_logic_vector (15 DOWNTO 0) ;
--          addr1 : IN std_logic_vector (14 DOWNTO 0) ;
--          wr_clk1 : IN std_logic ;
--          rd_clk1 : IN std_logic ;
--          wr_ena1 : IN std_logic ;
--          rd_ena1 : IN std_logic ;
--          ena1 : IN std_logic ;
--          rst1 : IN std_logic ;
--          regce1 : IN std_logic ;
--          wr_data2 : IN std_logic_vector (15 DOWNTO 0) ;
--          rd_data2 : OUT std_logic_vector (15 DOWNTO 0) ;
--          addr2 : IN std_logic_vector (14 DOWNTO 0) ;
--          wr_clk2 : IN std_logic ;
--          rd_clk2 : IN std_logic ;
--          wr_ena2 : IN std_logic ;
--          rd_ena2 : IN std_logic ;
--          ena2 : IN std_logic ;
--          rst2 : IN std_logic ;
--          regce2 : IN std_logic) ;
--    end component ;
   signal INT_ADD_A_D: std_logic ;
   
   signal Data_o_A_array: std_logic_vector (31 DOWNTO 0) ;
   
   signal WE_A_Array: std_logic_vector (1 DOWNTO 0) ;
   
   signal GND: std_logic ;
   
   signal Data_o_A_4n0r1: std_logic_vector (0 DOWNTO 0) ;
   
   signal Data_o_A_4n0r2: std_logic_vector (0 DOWNTO 0) ;
   
   signal Data_o_A_4n0r3: std_logic_vector (0 DOWNTO 0) ;
   
   signal Data_o_A_4n0r4: std_logic_vector (0 DOWNTO 0) ;
   
   signal Data_o_A_4n0r5: std_logic_vector (0 DOWNTO 0) ;
   
   signal Data_o_A_4n0r6: std_logic_vector (0 DOWNTO 0) ;
   
   signal Data_o_A_4n0r7: std_logic_vector (0 DOWNTO 0) ;
   
   signal Data_o_A_4n0r8: std_logic_vector (0 DOWNTO 0) ;
   
   signal Data_o_A_4n0r9: std_logic_vector (0 DOWNTO 0) ;
   
   signal Data_o_A_4n0r10: std_logic_vector (0 DOWNTO 0) ;
   
   signal Data_o_A_4n0r11: std_logic_vector (0 DOWNTO 0) ;
   
   signal Data_o_A_4n0r12: std_logic_vector (0 DOWNTO 0) ;
   
   signal Data_o_A_4n0r13: std_logic_vector (0 DOWNTO 0) ;
   
   signal Data_o_A_4n0r14: std_logic_vector (0 DOWNTO 0) ;
   
   signal Data_o_A_4n0r15: std_logic_vector (0 DOWNTO 0) ;
   
   signal Data_o_A_4n0r16: std_logic_vector (0 DOWNTO 0) ;
   
   signal WE_A_Array_5n0s2: std_logic_vector (0 DOWNTO 0) ;
   
   signal rtlcn35, not_rtlcn35, rtlcn37, rtlcn38, rtlcn39, not_rtlcn39, 
      rtlcn41, nx15: std_logic ;

begin
   GND <= '0' ;
   WE_A_Array(0) <= WE_A AND WE_A_Array_5n0s2(0) ;
   WE_A_Array(1) <= WE_A AND ADDr_i_A(0) ;
   Data_o_A_4n0r1(0) <= Data_o_A_array(16) when INT_ADD_A_D = '1' else 
   Data_o_A_array(0) ;
   Data_o_A_4n0r2(0) <= Data_o_A_array(17) when INT_ADD_A_D = '1' else 
   Data_o_A_array(1) ;
   Data_o_A_4n0r3(0) <= Data_o_A_array(18) when INT_ADD_A_D = '1' else 
   Data_o_A_array(2) ;
   Data_o_A_4n0r4(0) <= Data_o_A_array(19) when INT_ADD_A_D = '1' else 
   Data_o_A_array(3) ;
   Data_o_A_4n0r5(0) <= Data_o_A_array(20) when INT_ADD_A_D = '1' else 
   Data_o_A_array(4) ;
   Data_o_A_4n0r6(0) <= Data_o_A_array(21) when INT_ADD_A_D = '1' else 
   Data_o_A_array(5) ;
   Data_o_A_4n0r7(0) <= Data_o_A_array(22) when INT_ADD_A_D = '1' else 
   Data_o_A_array(6) ;
   Data_o_A_4n0r8(0) <= Data_o_A_array(23) when INT_ADD_A_D = '1' else 
   Data_o_A_array(7) ;
   Data_o_A_4n0r9(0) <= Data_o_A_array(24) when INT_ADD_A_D = '1' else 
   Data_o_A_array(8) ;
   Data_o_A_4n0r10(0) <= Data_o_A_array(25) when INT_ADD_A_D = '1' else 
   Data_o_A_array(9) ;
   Data_o_A_4n0r11(0) <= Data_o_A_array(26) when INT_ADD_A_D = '1' else 
   Data_o_A_array(10) ;
   Data_o_A_4n0r12(0) <= Data_o_A_array(27) when INT_ADD_A_D = '1' else 
   Data_o_A_array(11) ;
   Data_o_A_4n0r13(0) <= Data_o_A_array(28) when INT_ADD_A_D = '1' else 
   Data_o_A_array(12) ;
   Data_o_A_4n0r14(0) <= Data_o_A_array(29) when INT_ADD_A_D = '1' else 
   Data_o_A_array(13) ;
   Data_o_A_4n0r15(0) <= Data_o_A_array(30) when INT_ADD_A_D = '1' else 
   Data_o_A_array(14) ;
   Data_o_A_4n0r16(0) <= Data_o_A_array(31) when INT_ADD_A_D = '1' else 
   Data_o_A_array(15) ;
   rtlcn37 <= WE_A_Array(0) AND not_rtlcn35 ;
   rtlcn35 <= rtlcn38 AND WE_B_vec(0) ;
   not_rtlcn35 <= NOT rtlcn35 ;
   rtlcn41 <= WE_A_Array(1) AND not_rtlcn39 ;
   rtlceq_n74_eq_1299 : eq_15u_15u port map ( a(14)=>ADDr_i_B(1), a(13)=>
      ADDr_i_B(2), a(12)=>ADDr_i_B(3), a(11)=>ADDr_i_B(4), a(10)=>
      ADDr_i_B(5), a(9)=>ADDr_i_B(6), a(8)=>ADDr_i_B(7), a(7)=>ADDr_i_B(8), 
      a(6)=>ADDr_i_B(9), a(5)=>ADDr_i_B(10), a(4)=>ADDr_i_B(11), a(3)=>
      ADDr_i_B(12), a(2)=>ADDr_i_B(13), a(1)=>ADDr_i_B(14), a(0)=>
      ADDr_i_B(15), b(14)=>ADDr_i_A(1), b(13)=>ADDr_i_A(2), b(12)=>
      ADDr_i_A(3), b(11)=>ADDr_i_A(4), b(10)=>ADDr_i_A(5), b(9)=>ADDr_i_A(6), 
      b(8)=>ADDr_i_A(7), b(7)=>ADDr_i_A(8), b(6)=>ADDr_i_A(9), b(5)=>
      ADDr_i_A(10), b(4)=>ADDr_i_A(11), b(3)=>ADDr_i_A(12), b(2)=>
      ADDr_i_A(13), b(1)=>ADDr_i_A(14), b(0)=>ADDr_i_A(15), d=>rtlcn38);
   rtlcn39 <= rtlcn38 AND WE_B_vec(1) ;
   not_rtlcn39 <= NOT rtlcn39 ;
   DFFPC (Data_o_A_4n0r16(0),GND,GND,clock,Data_o_A(15)) ;
   DFFPC (Data_o_A_4n0r15(0),GND,GND,clock,Data_o_A(14)) ;
   DFFPC (Data_o_A_4n0r14(0),GND,GND,clock,Data_o_A(13)) ;
   DFFPC (Data_o_A_4n0r13(0),GND,GND,clock,Data_o_A(12)) ;
   DFFPC (Data_o_A_4n0r12(0),GND,GND,clock,Data_o_A(11)) ;
   DFFPC (Data_o_A_4n0r11(0),GND,GND,clock,Data_o_A(10)) ;
   DFFPC (Data_o_A_4n0r10(0),GND,GND,clock,Data_o_A(9)) ;
   DFFPC (Data_o_A_4n0r9(0),GND,GND,clock,Data_o_A(8)) ;
   DFFPC (Data_o_A_4n0r8(0),GND,GND,clock,Data_o_A(7)) ;
   DFFPC (Data_o_A_4n0r7(0),GND,GND,clock,Data_o_A(6)) ;
   DFFPC (Data_o_A_4n0r6(0),GND,GND,clock,Data_o_A(5)) ;
   DFFPC (Data_o_A_4n0r5(0),GND,GND,clock,Data_o_A(4)) ;
   DFFPC (Data_o_A_4n0r4(0),GND,GND,clock,Data_o_A(3)) ;
   DFFPC (Data_o_A_4n0r3(0),GND,GND,clock,Data_o_A(2)) ;
   DFFPC (Data_o_A_4n0r2(0),GND,GND,clock,Data_o_A(1)) ;
   DFFPC (Data_o_A_4n0r1(0),GND,GND,clock,Data_o_A(0)) ;
   DFFPC (ADDr_i_A(0),GND,GND,clock,INT_ADD_A_D) ;
   WE_A_Array_5n0s2(0) <= NOT ADDr_i_A(0) ;
   mem_655350 : ram_new_4_interlace_read_through
       port map ( wr_data1(15)=>Data_i_A(15), wr_data1(14)=>Data_i_A(14), 
      wr_data1(13)=>Data_i_A(13), wr_data1(12)=>Data_i_A(12), wr_data1(11)=>
      Data_i_A(11), wr_data1(10)=>Data_i_A(10), wr_data1(9)=>Data_i_A(9), 
      wr_data1(8)=>Data_i_A(8), wr_data1(7)=>Data_i_A(7), wr_data1(6)=>
      Data_i_A(6), wr_data1(5)=>Data_i_A(5), wr_data1(4)=>Data_i_A(4), 
      wr_data1(3)=>Data_i_A(3), wr_data1(2)=>Data_i_A(2), wr_data1(1)=>
      Data_i_A(1), wr_data1(0)=>Data_i_A(0), rd_data1(15)=>
      Data_o_A_array(15), rd_data1(14)=>Data_o_A_array(14), rd_data1(13)=>
      Data_o_A_array(13), rd_data1(12)=>Data_o_A_array(12), rd_data1(11)=>
      Data_o_A_array(11), rd_data1(10)=>Data_o_A_array(10), rd_data1(9)=>
      Data_o_A_array(9), rd_data1(8)=>Data_o_A_array(8), rd_data1(7)=>
      Data_o_A_array(7), rd_data1(6)=>Data_o_A_array(6), rd_data1(5)=>
      Data_o_A_array(5), rd_data1(4)=>Data_o_A_array(4), rd_data1(3)=>
      Data_o_A_array(3), rd_data1(2)=>Data_o_A_array(2), rd_data1(1)=>
      Data_o_A_array(1), rd_data1(0)=>Data_o_A_array(0), addr1(14)=>
      ADDr_i_A(15), addr1(13)=>ADDr_i_A(14), addr1(12)=>ADDr_i_A(13), 
      addr1(11)=>ADDr_i_A(12), addr1(10)=>ADDr_i_A(11), addr1(9)=>
      ADDr_i_A(10), addr1(8)=>ADDr_i_A(9), addr1(7)=>ADDr_i_A(8), addr1(6)=>
      ADDr_i_A(7), addr1(5)=>ADDr_i_A(6), addr1(4)=>ADDr_i_A(5), addr1(3)=>
      ADDr_i_A(4), addr1(2)=>ADDr_i_A(3), addr1(1)=>ADDr_i_A(2), addr1(0)=>
      ADDr_i_A(1), wr_clk1=>clock, rd_clk1=>clock, wr_ena1=>rtlcn37, rd_ena1
      =>nx15, ena1=>nx15, rst1=>GND, regce1=>nx15, wr_data2(15)=>
      Data_i_B(15), wr_data2(14)=>Data_i_B(14), wr_data2(13)=>Data_i_B(13), 
      wr_data2(12)=>Data_i_B(12), wr_data2(11)=>Data_i_B(11), wr_data2(10)=>
      Data_i_B(10), wr_data2(9)=>Data_i_B(9), wr_data2(8)=>Data_i_B(8), 
      wr_data2(7)=>Data_i_B(7), wr_data2(6)=>Data_i_B(6), wr_data2(5)=>
      Data_i_B(5), wr_data2(4)=>Data_i_B(4), wr_data2(3)=>Data_i_B(3), 
      wr_data2(2)=>Data_i_B(2), wr_data2(1)=>Data_i_B(1), wr_data2(0)=>
      Data_i_B(0), rd_data2(15)=>Data_o_B(15), rd_data2(14)=>Data_o_B(14), 
      rd_data2(13)=>Data_o_B(13), rd_data2(12)=>Data_o_B(12), rd_data2(11)=>
      Data_o_B(11), rd_data2(10)=>Data_o_B(10), rd_data2(9)=>Data_o_B(9), 
      rd_data2(8)=>Data_o_B(8), rd_data2(7)=>Data_o_B(7), rd_data2(6)=>
      Data_o_B(6), rd_data2(5)=>Data_o_B(5), rd_data2(4)=>Data_o_B(4), 
      rd_data2(3)=>Data_o_B(3), rd_data2(2)=>Data_o_B(2), rd_data2(1)=>
      Data_o_B(1), rd_data2(0)=>Data_o_B(0), addr2(14)=>ADDr_i_B(15), 
      addr2(13)=>ADDr_i_B(14), addr2(12)=>ADDr_i_B(13), addr2(11)=>
      ADDr_i_B(12), addr2(10)=>ADDr_i_B(11), addr2(9)=>ADDr_i_B(10), 
      addr2(8)=>ADDr_i_B(9), addr2(7)=>ADDr_i_B(8), addr2(6)=>ADDr_i_B(7), 
      addr2(5)=>ADDr_i_B(6), addr2(4)=>ADDr_i_B(5), addr2(3)=>ADDr_i_B(4), 
      addr2(2)=>ADDr_i_B(3), addr2(1)=>ADDr_i_B(2), addr2(0)=>ADDr_i_B(1), 
      wr_clk2=>clock, rd_clk2=>clock, wr_ena2=>WE_B_vec(0), rd_ena2=>nx15, 
      ena2=>nx15, rst2=>GND, regce2=>nx15);
   nx15 <= '1' ;
   mem_327671 : ram_new_4_interlace_read_through
       port map ( wr_data1(15)=>Data_i_A(15), wr_data1(14)=>Data_i_A(14), 
      wr_data1(13)=>Data_i_A(13), wr_data1(12)=>Data_i_A(12), wr_data1(11)=>
      Data_i_A(11), wr_data1(10)=>Data_i_A(10), wr_data1(9)=>Data_i_A(9), 
      wr_data1(8)=>Data_i_A(8), wr_data1(7)=>Data_i_A(7), wr_data1(6)=>
      Data_i_A(6), wr_data1(5)=>Data_i_A(5), wr_data1(4)=>Data_i_A(4), 
      wr_data1(3)=>Data_i_A(3), wr_data1(2)=>Data_i_A(2), wr_data1(1)=>
      Data_i_A(1), wr_data1(0)=>Data_i_A(0), rd_data1(15)=>
      Data_o_A_array(31), rd_data1(14)=>Data_o_A_array(30), rd_data1(13)=>
      Data_o_A_array(29), rd_data1(12)=>Data_o_A_array(28), rd_data1(11)=>
      Data_o_A_array(27), rd_data1(10)=>Data_o_A_array(26), rd_data1(9)=>
      Data_o_A_array(25), rd_data1(8)=>Data_o_A_array(24), rd_data1(7)=>
      Data_o_A_array(23), rd_data1(6)=>Data_o_A_array(22), rd_data1(5)=>
      Data_o_A_array(21), rd_data1(4)=>Data_o_A_array(20), rd_data1(3)=>
      Data_o_A_array(19), rd_data1(2)=>Data_o_A_array(18), rd_data1(1)=>
      Data_o_A_array(17), rd_data1(0)=>Data_o_A_array(16), addr1(14)=>
      ADDr_i_A(15), addr1(13)=>ADDr_i_A(14), addr1(12)=>ADDr_i_A(13), 
      addr1(11)=>ADDr_i_A(12), addr1(10)=>ADDr_i_A(11), addr1(9)=>
      ADDr_i_A(10), addr1(8)=>ADDr_i_A(9), addr1(7)=>ADDr_i_A(8), addr1(6)=>
      ADDr_i_A(7), addr1(5)=>ADDr_i_A(6), addr1(4)=>ADDr_i_A(5), addr1(3)=>
      ADDr_i_A(4), addr1(2)=>ADDr_i_A(3), addr1(1)=>ADDr_i_A(2), addr1(0)=>
      ADDr_i_A(1), wr_clk1=>clock, rd_clk1=>clock, wr_ena1=>rtlcn41, rd_ena1
      =>nx15, ena1=>nx15, rst1=>GND, regce1=>nx15, wr_data2(15)=>
      Data_i_B(31), wr_data2(14)=>Data_i_B(30), wr_data2(13)=>Data_i_B(29), 
      wr_data2(12)=>Data_i_B(28), wr_data2(11)=>Data_i_B(27), wr_data2(10)=>
      Data_i_B(26), wr_data2(9)=>Data_i_B(25), wr_data2(8)=>Data_i_B(24), 
      wr_data2(7)=>Data_i_B(23), wr_data2(6)=>Data_i_B(22), wr_data2(5)=>
      Data_i_B(21), wr_data2(4)=>Data_i_B(20), wr_data2(3)=>Data_i_B(19), 
      wr_data2(2)=>Data_i_B(18), wr_data2(1)=>Data_i_B(17), wr_data2(0)=>
      Data_i_B(16), rd_data2(15)=>Data_o_B(31), rd_data2(14)=>Data_o_B(30), 
      rd_data2(13)=>Data_o_B(29), rd_data2(12)=>Data_o_B(28), rd_data2(11)=>
      Data_o_B(27), rd_data2(10)=>Data_o_B(26), rd_data2(9)=>Data_o_B(25), 
      rd_data2(8)=>Data_o_B(24), rd_data2(7)=>Data_o_B(23), rd_data2(6)=>
      Data_o_B(22), rd_data2(5)=>Data_o_B(21), rd_data2(4)=>Data_o_B(20), 
      rd_data2(3)=>Data_o_B(19), rd_data2(2)=>Data_o_B(18), rd_data2(1)=>
      Data_o_B(17), rd_data2(0)=>Data_o_B(16), addr2(14)=>ADDr_i_B(15), 
      addr2(13)=>ADDr_i_B(14), addr2(12)=>ADDr_i_B(13), addr2(11)=>
      ADDr_i_B(12), addr2(10)=>ADDr_i_B(11), addr2(9)=>ADDr_i_B(10), 
      addr2(8)=>ADDr_i_B(9), addr2(7)=>ADDr_i_B(8), addr2(6)=>ADDr_i_B(7), 
      addr2(5)=>ADDr_i_B(6), addr2(4)=>ADDr_i_B(5), addr2(3)=>ADDr_i_B(4), 
      addr2(2)=>ADDr_i_B(3), addr2(1)=>ADDr_i_B(2), addr2(0)=>ADDr_i_B(1), 
      wr_clk2=>clock, rd_clk2=>clock, wr_ena2=>WE_B_vec(1), rd_ena2=>nx15, 
      ena2=>nx15, rst2=>GND, regce2=>nx15);
end Sital_OH_unfold_1 ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity DPRAM_Interlaced2_16_1_0 is 
   port (
      ADDr_i_A : IN std_logic_vector (15 DOWNTO 0) ;
      ADDr_i_B : IN std_logic_vector (15 DOWNTO 0) ;
      Data_i_A : IN std_logic_vector (15 DOWNTO 0) ;
      Data_i_B : IN std_logic_vector (31 DOWNTO 0) ;
      WE_A : IN std_logic ;
      WE_B_vec : IN std_logic_vector (1 DOWNTO 0) ;
      clock : IN std_logic ;
      Data_o_A : OUT std_logic_vector (15 DOWNTO 0) ;
      Data_o_B : OUT std_logic_vector (31 DOWNTO 0)) ;
end DPRAM_Interlaced2_16_1_0 ;

architecture sital_ofer_hofman_unfold_2939 of DPRAM_Interlaced2_16_1_0 is 
   component DPRAM_ACTEL_Infer_16_1_0
      port (
         clock : IN std_logic ;
         Data_i_A : IN std_logic_vector (15 DOWNTO 0) ;
         ADDr_i_A : IN std_logic_vector (15 DOWNTO 0) ;
         WE_A : IN std_logic ;
         Data_o_A : OUT std_logic_vector (15 DOWNTO 0) ;
         Data_i_B : IN std_logic_vector (31 DOWNTO 0) ;
         ADDr_i_B : IN std_logic_vector (15 DOWNTO 0) ;
         WE_B_vec : IN std_logic_vector (1 DOWNTO 0) ;
         Data_o_B : OUT std_logic_vector (31 DOWNTO 0)) ;
   end component ;
   signal nx4: std_logic ;

begin
   U_0 : DPRAM_ACTEL_Infer_16_1_0 port map ( clock=>clock, Data_i_A(15)=>
      Data_i_A(15), Data_i_A(14)=>Data_i_A(14), Data_i_A(13)=>Data_i_A(13), 
      Data_i_A(12)=>Data_i_A(12), Data_i_A(11)=>Data_i_A(11), Data_i_A(10)=>
      Data_i_A(10), Data_i_A(9)=>Data_i_A(9), Data_i_A(8)=>Data_i_A(8), 
      Data_i_A(7)=>Data_i_A(7), Data_i_A(6)=>Data_i_A(6), Data_i_A(5)=>
      Data_i_A(5), Data_i_A(4)=>Data_i_A(4), Data_i_A(3)=>Data_i_A(3), 
      Data_i_A(2)=>Data_i_A(2), Data_i_A(1)=>Data_i_A(1), Data_i_A(0)=>
      Data_i_A(0), ADDr_i_A(15)=>ADDr_i_A(15), ADDr_i_A(14)=>ADDr_i_A(14), 
      ADDr_i_A(13)=>ADDr_i_A(13), ADDr_i_A(12)=>ADDr_i_A(12), ADDr_i_A(11)=>
      ADDr_i_A(11), ADDr_i_A(10)=>ADDr_i_A(10), ADDr_i_A(9)=>ADDr_i_A(9), 
      ADDr_i_A(8)=>ADDr_i_A(8), ADDr_i_A(7)=>ADDr_i_A(7), ADDr_i_A(6)=>
      ADDr_i_A(6), ADDr_i_A(5)=>ADDr_i_A(5), ADDr_i_A(4)=>ADDr_i_A(4), 
      ADDr_i_A(3)=>ADDr_i_A(3), ADDr_i_A(2)=>ADDr_i_A(2), ADDr_i_A(1)=>
      ADDr_i_A(1), ADDr_i_A(0)=>ADDr_i_A(0), WE_A=>WE_A, Data_o_A(15)=>
      Data_o_A(15), Data_o_A(14)=>Data_o_A(14), Data_o_A(13)=>Data_o_A(13), 
      Data_o_A(12)=>Data_o_A(12), Data_o_A(11)=>Data_o_A(11), Data_o_A(10)=>
      Data_o_A(10), Data_o_A(9)=>Data_o_A(9), Data_o_A(8)=>Data_o_A(8), 
      Data_o_A(7)=>Data_o_A(7), Data_o_A(6)=>Data_o_A(6), Data_o_A(5)=>
      Data_o_A(5), Data_o_A(4)=>Data_o_A(4), Data_o_A(3)=>Data_o_A(3), 
      Data_o_A(2)=>Data_o_A(2), Data_o_A(1)=>Data_o_A(1), Data_o_A(0)=>
      Data_o_A(0), Data_i_B(31)=>Data_i_B(31), Data_i_B(30)=>Data_i_B(30), 
      Data_i_B(29)=>Data_i_B(29), Data_i_B(28)=>Data_i_B(28), Data_i_B(27)=>
      Data_i_B(27), Data_i_B(26)=>Data_i_B(26), Data_i_B(25)=>Data_i_B(25), 
      Data_i_B(24)=>Data_i_B(24), Data_i_B(23)=>Data_i_B(23), Data_i_B(22)=>
      Data_i_B(22), Data_i_B(21)=>Data_i_B(21), Data_i_B(20)=>Data_i_B(20), 
      Data_i_B(19)=>Data_i_B(19), Data_i_B(18)=>Data_i_B(18), Data_i_B(17)=>
      Data_i_B(17), Data_i_B(16)=>Data_i_B(16), Data_i_B(15)=>Data_i_B(15), 
      Data_i_B(14)=>Data_i_B(14), Data_i_B(13)=>Data_i_B(13), Data_i_B(12)=>
      Data_i_B(12), Data_i_B(11)=>Data_i_B(11), Data_i_B(10)=>Data_i_B(10), 
      Data_i_B(9)=>Data_i_B(9), Data_i_B(8)=>Data_i_B(8), Data_i_B(7)=>
      Data_i_B(7), Data_i_B(6)=>Data_i_B(6), Data_i_B(5)=>Data_i_B(5), 
      Data_i_B(4)=>Data_i_B(4), Data_i_B(3)=>Data_i_B(3), Data_i_B(2)=>
      Data_i_B(2), Data_i_B(1)=>Data_i_B(1), Data_i_B(0)=>Data_i_B(0), 
      ADDr_i_B(15)=>ADDr_i_B(15), ADDr_i_B(14)=>ADDr_i_B(14), ADDr_i_B(13)=>
      ADDr_i_B(13), ADDr_i_B(12)=>ADDr_i_B(12), ADDr_i_B(11)=>ADDr_i_B(11), 
      ADDr_i_B(10)=>ADDr_i_B(10), ADDr_i_B(9)=>ADDr_i_B(9), ADDr_i_B(8)=>
      ADDr_i_B(8), ADDr_i_B(7)=>ADDr_i_B(7), ADDr_i_B(6)=>ADDr_i_B(6), 
      ADDr_i_B(5)=>ADDr_i_B(5), ADDr_i_B(4)=>ADDr_i_B(4), ADDr_i_B(3)=>
      ADDr_i_B(3), ADDr_i_B(2)=>ADDr_i_B(2), ADDr_i_B(1)=>ADDr_i_B(1), 
      ADDr_i_B(0)=>nx4, WE_B_vec(1)=>WE_B_vec(1), WE_B_vec(0)=>WE_B_vec(0), 
      Data_o_B(31)=>Data_o_B(31), Data_o_B(30)=>Data_o_B(30), Data_o_B(29)=>
      Data_o_B(29), Data_o_B(28)=>Data_o_B(28), Data_o_B(27)=>Data_o_B(27), 
      Data_o_B(26)=>Data_o_B(26), Data_o_B(25)=>Data_o_B(25), Data_o_B(24)=>
      Data_o_B(24), Data_o_B(23)=>Data_o_B(23), Data_o_B(22)=>Data_o_B(22), 
      Data_o_B(21)=>Data_o_B(21), Data_o_B(20)=>Data_o_B(20), Data_o_B(19)=>
      Data_o_B(19), Data_o_B(18)=>Data_o_B(18), Data_o_B(17)=>Data_o_B(17), 
      Data_o_B(16)=>Data_o_B(16), Data_o_B(15)=>Data_o_B(15), Data_o_B(14)=>
      Data_o_B(14), Data_o_B(13)=>Data_o_B(13), Data_o_B(12)=>Data_o_B(12), 
      Data_o_B(11)=>Data_o_B(11), Data_o_B(10)=>Data_o_B(10), Data_o_B(9)=>
      Data_o_B(9), Data_o_B(8)=>Data_o_B(8), Data_o_B(7)=>Data_o_B(7), 
      Data_o_B(6)=>Data_o_B(6), Data_o_B(5)=>Data_o_B(5), Data_o_B(4)=>
      Data_o_B(4), Data_o_B(3)=>Data_o_B(3), Data_o_B(2)=>Data_o_B(2), 
      Data_o_B(1)=>Data_o_B(1), Data_o_B(0)=>Data_o_B(0));
   nx4 <= '0' ;
end sital_ofer_hofman_unfold_2939 ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_updn_aclear_clock_clk_en_0_7 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (6 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (6 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_updn_aclear_clock_clk_en_0_7 ;

architecture INTERFACE of counter_updn_aclear_clock_clk_en_0_7 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_7u_7u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component dec_7u_7u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx19, nx20, nx21, nx22, nx23, nx24, nx25, nx26, nx27, nx28, 
      nx29, nx30, nx31, nx32, nx33, nx34, nx35, nx36, nx37, nx38, nx39, PWR, 
      nx43, nx44, nx45, nx46, nx47, nx48, nx49: std_logic ;
   
   signal DANGLING : std_logic_vector (1 downto 0 );

begin
   q(6) <= nx20 ;
   q(5) <= nx22 ;
   q(4) <= nx24 ;
   q(3) <= nx26 ;
   q(2) <= nx28 ;
   q(1) <= nx30 ;
   q(0) <= nx32 ;
   GND <= '0' ;
   DFFPCE (nx19,GND,aclear,clk_en,clock,nx20) ;
   DFFPCE (nx21,GND,aclear,clk_en,clock,nx22) ;
   DFFPCE (nx23,GND,aclear,clk_en,clock,nx24) ;
   DFFPCE (nx25,GND,aclear,clk_en,clock,nx26) ;
   DFFPCE (nx27,GND,aclear,clk_en,clock,nx28) ;
   DFFPCE (nx29,GND,aclear,clk_en,clock,nx30) ;
   DFFPCE (nx31,GND,aclear,clk_en,clock,nx32) ;
   inc : inc_7u_7u_0_0 port map ( cin=>PWR, a(6)=>nx20, a(5)=>nx22, a(4)=>
      nx24, a(3)=>nx26, a(2)=>nx28, a(1)=>nx30, a(0)=>nx32, d(6)=>nx33, d(5)
      =>nx34, d(4)=>nx35, d(3)=>nx36, d(2)=>nx37, d(1)=>nx38, d(0)=>nx39, 
      cout=>DANGLING(0));
   PWR <= '1' ;
   dec : dec_7u_7u_0_0 port map ( cin=>GND, a(6)=>nx20, a(5)=>nx22, a(4)=>
      nx24, a(3)=>nx26, a(2)=>nx28, a(1)=>nx30, a(0)=>nx32, d(6)=>nx43, d(5)
      =>nx44, d(4)=>nx45, d(3)=>nx46, d(2)=>nx47, d(1)=>nx48, d(0)=>nx49, 
      cout=>DANGLING(1));
   nx19 <= nx33 when updn = '1' else nx43 ;
   nx21 <= nx34 when updn = '1' else nx44 ;
   nx23 <= nx35 when updn = '1' else nx45 ;
   nx25 <= nx36 when updn = '1' else nx46 ;
   nx27 <= nx37 when updn = '1' else nx47 ;
   nx29 <= nx38 when updn = '1' else nx48 ;
   nx31 <= nx39 when updn = '1' else nx49 ;
end INTERFACE ;


architecture INTERFACE of counter_dn_sload_aclear_clock_clk_en_0_6 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component dec_6u_6u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx17, nx18, nx19, nx20, nx21, nx22, nx23, nx24, nx25, nx26, 
      nx27, nx28, nx29, nx30, nx31, nx32, nx33, nx34: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(5) <= nx18 ;
   q(4) <= nx20 ;
   q(3) <= nx22 ;
   q(2) <= nx24 ;
   q(1) <= nx26 ;
   q(0) <= nx28 ;
   GND <= '0' ;
   DFFPCE (nx17,GND,aclear,clk_en,clock,nx18) ;
   DFFPCE (nx19,GND,aclear,clk_en,clock,nx20) ;
   DFFPCE (nx21,GND,aclear,clk_en,clock,nx22) ;
   DFFPCE (nx23,GND,aclear,clk_en,clock,nx24) ;
   DFFPCE (nx25,GND,aclear,clk_en,clock,nx26) ;
   DFFPCE (nx27,GND,aclear,clk_en,clock,nx28) ;
   dec : dec_6u_6u_0_0 port map ( cin=>GND, a(5)=>nx18, a(4)=>nx20, a(3)=>
      nx22, a(2)=>nx24, a(1)=>nx26, a(0)=>nx28, d(5)=>nx29, d(4)=>nx30, d(3)
      =>nx31, d(2)=>nx32, d(1)=>nx33, d(0)=>nx34, cout=>DANGLING(0));
   nx17 <= data(5) when sload = '1' else nx29 ;
   nx19 <= data(4) when sload = '1' else nx30 ;
   nx21 <= data(3) when sload = '1' else nx31 ;
   nx23 <= data(2) when sload = '1' else nx32 ;
   nx25 <= data(1) when sload = '1' else nx33 ;
   nx27 <= data(0) when sload = '1' else nx34 ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_dn_sload_aclear_clock_clk_en_0_5 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (4 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (4 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_dn_sload_aclear_clock_clk_en_0_5 ;

architecture INTERFACE of counter_dn_sload_aclear_clock_clk_en_0_5 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component dec_5u_5u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic_vector (4 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx15, nx16, nx17, nx18, nx19, nx20, nx21, nx22, nx23, nx24, 
      nx25, nx26, nx27, nx28, nx29: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(4) <= nx16 ;
   q(3) <= nx18 ;
   q(2) <= nx20 ;
   q(1) <= nx22 ;
   q(0) <= nx24 ;
   GND <= '0' ;
   DFFPCE (nx15,GND,aclear,clk_en,clock,nx16) ;
   DFFPCE (nx17,GND,aclear,clk_en,clock,nx18) ;
   DFFPCE (nx19,GND,aclear,clk_en,clock,nx20) ;
   DFFPCE (nx21,GND,aclear,clk_en,clock,nx22) ;
   DFFPCE (nx23,GND,aclear,clk_en,clock,nx24) ;
   dec : dec_5u_5u_0_0 port map ( cin=>GND, a(4)=>nx16, a(3)=>nx18, a(2)=>
      nx20, a(1)=>nx22, a(0)=>nx24, d(4)=>nx25, d(3)=>nx26, d(2)=>nx27, d(1)
      =>nx28, d(0)=>nx29, cout=>DANGLING(0));
   nx15 <= data(4) when sload = '1' else nx25 ;
   nx17 <= data(3) when sload = '1' else nx26 ;
   nx19 <= data(2) when sload = '1' else nx27 ;
   nx21 <= data(1) when sload = '1' else nx28 ;
   nx23 <= data(0) when sload = '1' else nx29 ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_dn_sload_aclear_clock_clk_en_0_4 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (3 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (3 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_dn_sload_aclear_clock_clk_en_0_4 ;

architecture INTERFACE of counter_dn_sload_aclear_clock_clk_en_0_4 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component dec_4u_4u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic_vector (3 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx13, nx14, nx15, nx16, nx17, nx18, nx19, nx20, nx21, nx22, 
      nx23, nx24: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(3) <= nx14 ;
   q(2) <= nx16 ;
   q(1) <= nx18 ;
   q(0) <= nx20 ;
   GND <= '0' ;
   DFFPCE (nx13,GND,aclear,clk_en,clock,nx14) ;
   DFFPCE (nx15,GND,aclear,clk_en,clock,nx16) ;
   DFFPCE (nx17,GND,aclear,clk_en,clock,nx18) ;
   DFFPCE (nx19,GND,aclear,clk_en,clock,nx20) ;
   dec : dec_4u_4u_0_0 port map ( cin=>GND, a(3)=>nx14, a(2)=>nx16, a(1)=>
      nx18, a(0)=>nx20, d(3)=>nx21, d(2)=>nx22, d(1)=>nx23, d(0)=>nx24, cout
      =>DANGLING(0));
   nx13 <= data(3) when sload = '1' else nx21 ;
   nx15 <= data(2) when sload = '1' else nx22 ;
   nx17 <= data(1) when sload = '1' else nx23 ;
   nx19 <= data(0) when sload = '1' else nx24 ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_updn_sclear_aclear_clock_clk_en_0_7 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (6 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (6 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_updn_sclear_aclear_clock_clk_en_0_7 ;

architecture INTERFACE of counter_updn_sclear_aclear_clock_clk_en_0_7 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_7u_7u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component dec_7u_7u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal q_EXMPLR3471: std_logic_vector (6 DOWNTO 0) ;
   
   signal nx15, nx19, nx20, nx21, nx22, nx23, nx24, nx25, nx26, nx27, nx28, 
      nx29, nx30, nx31, nx32, nx33, nx34, nx35, nx36, nx37, nx38, nx39, nx41, 
      nx43, nx44, nx45, nx46, nx47, nx48, nx49, nx51, nx53, nx55, nx57, nx59, 
      nx61, nx63, NOT_SCLEAR: std_logic ;
   
   signal DANGLING : std_logic_vector (1 downto 0 );

begin
   q(6) <= nx20 ;
   q(5) <= nx22 ;
   q(4) <= nx24 ;
   q(3) <= nx26 ;
   q(2) <= nx28 ;
   q(1) <= nx30 ;
   q(0) <= nx32 ;
   nx15 <= '0' ;
   DFFPCE (nx19,nx15,aclear,clk_en,clock,nx20) ;
   DFFPCE (nx21,nx15,aclear,clk_en,clock,nx22) ;
   DFFPCE (nx23,nx15,aclear,clk_en,clock,nx24) ;
   DFFPCE (nx25,nx15,aclear,clk_en,clock,nx26) ;
   DFFPCE (nx27,nx15,aclear,clk_en,clock,nx28) ;
   DFFPCE (nx29,nx15,aclear,clk_en,clock,nx30) ;
   DFFPCE (nx31,nx15,aclear,clk_en,clock,nx32) ;
   inc : inc_7u_7u_0_0 port map ( cin=>nx41, a(6)=>nx20, a(5)=>nx22, a(4)=>
      nx24, a(3)=>nx26, a(2)=>nx28, a(1)=>nx30, a(0)=>nx32, d(6)=>nx33, d(5)
      =>nx34, d(4)=>nx35, d(3)=>nx36, d(2)=>nx37, d(1)=>nx38, d(0)=>nx39, 
      cout=>DANGLING(0));
   nx41 <= '1' ;
   dec : dec_7u_7u_0_0 port map ( cin=>nx15, a(6)=>nx20, a(5)=>nx22, a(4)=>
      nx24, a(3)=>nx26, a(2)=>nx28, a(1)=>nx30, a(0)=>nx32, d(6)=>nx43, d(5)
      =>nx44, d(4)=>nx45, d(3)=>nx46, d(2)=>nx47, d(1)=>nx48, d(0)=>nx49, 
      cout=>DANGLING(1));
   nx51 <= nx33 when updn = '1' else nx43 ;
   nx53 <= nx34 when updn = '1' else nx44 ;
   nx55 <= nx35 when updn = '1' else nx45 ;
   nx57 <= nx36 when updn = '1' else nx46 ;
   nx59 <= nx37 when updn = '1' else nx47 ;
   nx61 <= nx38 when updn = '1' else nx48 ;
   nx63 <= nx39 when updn = '1' else nx49 ;
   NOT_SCLEAR <= NOT sclear ;
   nx19 <= nx51 AND NOT_SCLEAR ;
   nx21 <= nx53 AND NOT_SCLEAR ;
   nx23 <= nx55 AND NOT_SCLEAR ;
   nx25 <= nx57 AND NOT_SCLEAR ;
   nx27 <= nx59 AND NOT_SCLEAR ;
   nx29 <= nx61 AND NOT_SCLEAR ;
   nx31 <= nx63 AND NOT_SCLEAR ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity counter_updn_sload_aclear_clock_clk_en_0_6 is 
   port (
      clock : IN std_logic ;
      q : OUT std_logic_vector (5 DOWNTO 0) ;
      clk_en : IN std_logic ;
      aclear : IN std_logic ;
      sload : IN std_logic ;
      data : IN std_logic_vector (5 DOWNTO 0) ;
      aset : IN std_logic ;
      sclear : IN std_logic ;
      updn : IN std_logic ;
      cnt_en : IN std_logic) ;
end counter_updn_sload_aclear_clock_clk_en_0_6 ;

architecture INTERFACE of counter_updn_sload_aclear_clock_clk_en_0_6 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_6u_6u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component dec_6u_6u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal q_EXMPLR3486: std_logic_vector (5 DOWNTO 0) ;
   
   signal nx13, nx17, nx18, nx19, nx20, nx21, nx22, nx23, nx24, nx25, nx26, 
      nx27, nx28, nx29, nx30, nx31, nx32, nx33, nx34, nx36, nx38, nx39, nx40, 
      nx41, nx42, nx43, nx45, nx47, nx49, nx51, nx53, nx55: std_logic ;
   
   signal DANGLING : std_logic_vector (1 downto 0 );

begin
   q(5) <= nx18 ;
   q(4) <= nx20 ;
   q(3) <= nx22 ;
   q(2) <= nx24 ;
   q(1) <= nx26 ;
   q(0) <= nx28 ;
   nx13 <= '0' ;
   DFFPCE (nx17,nx13,aclear,clk_en,clock,nx18) ;
   DFFPCE (nx19,nx13,aclear,clk_en,clock,nx20) ;
   DFFPCE (nx21,nx13,aclear,clk_en,clock,nx22) ;
   DFFPCE (nx23,nx13,aclear,clk_en,clock,nx24) ;
   DFFPCE (nx25,nx13,aclear,clk_en,clock,nx26) ;
   DFFPCE (nx27,nx13,aclear,clk_en,clock,nx28) ;
   inc : inc_6u_6u_0_0 port map ( cin=>nx36, a(5)=>nx18, a(4)=>nx20, a(3)=>
      nx22, a(2)=>nx24, a(1)=>nx26, a(0)=>nx28, d(5)=>nx29, d(4)=>nx30, d(3)
      =>nx31, d(2)=>nx32, d(1)=>nx33, d(0)=>nx34, cout=>DANGLING(0));
   nx36 <= '1' ;
   dec : dec_6u_6u_0_0 port map ( cin=>nx13, a(5)=>nx18, a(4)=>nx20, a(3)=>
      nx22, a(2)=>nx24, a(1)=>nx26, a(0)=>nx28, d(5)=>nx38, d(4)=>nx39, d(3)
      =>nx40, d(2)=>nx41, d(1)=>nx42, d(0)=>nx43, cout=>DANGLING(1));
   nx45 <= nx29 when updn = '1' else nx38 ;
   nx47 <= nx30 when updn = '1' else nx39 ;
   nx49 <= nx31 when updn = '1' else nx40 ;
   nx51 <= nx32 when updn = '1' else nx41 ;
   nx53 <= nx33 when updn = '1' else nx42 ;
   nx55 <= nx34 when updn = '1' else nx43 ;
   nx17 <= data(5) when sload = '1' else nx45 ;
   nx19 <= data(4) when sload = '1' else nx47 ;
   nx21 <= data(3) when sload = '1' else nx49 ;
   nx23 <= data(2) when sload = '1' else nx51 ;
   nx25 <= data(1) when sload = '1' else nx53 ;
   nx27 <= data(0) when sload = '1' else nx55 ;
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity rom_1_9_512_3_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate is 
   port (
      address : IN std_logic_vector (8 DOWNTO 0) ;
      inclock : IN std_logic ;
      outclock : IN std_logic ;
      outclockena : IN std_logic ;
      q : OUT std_logic_vector (0 DOWNTO 0)) ;
end rom_1_9_512_3_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate ;

architecture INTERFACE_unfold_1 of 
   rom_1_9_512_3_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate is 
   component mux_512u_512u
      port (
         a : IN std_logic_vector (511 DOWNTO 0) ;
         b : IN std_logic_vector (511 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   signal GND, PWR: std_logic ;

begin
   GND <= '0' ;
   PWR <= '1' ;
   modgen_mux_1360 : mux_512u_512u port map ( a(511)=>GND, a(510)=>GND, 
      a(509)=>GND, a(508)=>GND, a(507)=>GND, a(506)=>GND, a(505)=>GND, 
      a(504)=>GND, a(503)=>GND, a(502)=>GND, a(501)=>GND, a(500)=>GND, 
      a(499)=>GND, a(498)=>GND, a(497)=>GND, a(496)=>GND, a(495)=>GND, 
      a(494)=>GND, a(493)=>GND, a(492)=>GND, a(491)=>GND, a(490)=>GND, 
      a(489)=>GND, a(488)=>GND, a(487)=>GND, a(486)=>GND, a(485)=>GND, 
      a(484)=>GND, a(483)=>GND, a(482)=>GND, a(481)=>GND, a(480)=>GND, 
      a(479)=>GND, a(478)=>GND, a(477)=>GND, a(476)=>GND, a(475)=>GND, 
      a(474)=>GND, a(473)=>GND, a(472)=>GND, a(471)=>GND, a(470)=>GND, 
      a(469)=>GND, a(468)=>GND, a(467)=>GND, a(466)=>GND, a(465)=>GND, 
      a(464)=>GND, a(463)=>GND, a(462)=>GND, a(461)=>GND, a(460)=>GND, 
      a(459)=>GND, a(458)=>GND, a(457)=>GND, a(456)=>GND, a(455)=>GND, 
      a(454)=>GND, a(453)=>GND, a(452)=>GND, a(451)=>GND, a(450)=>GND, 
      a(449)=>GND, a(448)=>GND, a(447)=>GND, a(446)=>GND, a(445)=>GND, 
      a(444)=>GND, a(443)=>GND, a(442)=>GND, a(441)=>GND, a(440)=>GND, 
      a(439)=>GND, a(438)=>GND, a(437)=>GND, a(436)=>GND, a(435)=>GND, 
      a(434)=>GND, a(433)=>GND, a(432)=>GND, a(431)=>GND, a(430)=>GND, 
      a(429)=>GND, a(428)=>GND, a(427)=>GND, a(426)=>GND, a(425)=>GND, 
      a(424)=>GND, a(423)=>GND, a(422)=>GND, a(421)=>GND, a(420)=>GND, 
      a(419)=>GND, a(418)=>GND, a(417)=>GND, a(416)=>GND, a(415)=>GND, 
      a(414)=>GND, a(413)=>GND, a(412)=>GND, a(411)=>GND, a(410)=>GND, 
      a(409)=>GND, a(408)=>GND, a(407)=>GND, a(406)=>GND, a(405)=>GND, 
      a(404)=>GND, a(403)=>GND, a(402)=>GND, a(401)=>GND, a(400)=>GND, 
      a(399)=>GND, a(398)=>GND, a(397)=>GND, a(396)=>GND, a(395)=>GND, 
      a(394)=>GND, a(393)=>GND, a(392)=>GND, a(391)=>GND, a(390)=>GND, 
      a(389)=>GND, a(388)=>GND, a(387)=>GND, a(386)=>GND, a(385)=>GND, 
      a(384)=>GND, a(383)=>GND, a(382)=>GND, a(381)=>GND, a(380)=>GND, 
      a(379)=>GND, a(378)=>GND, a(377)=>GND, a(376)=>GND, a(375)=>GND, 
      a(374)=>GND, a(373)=>GND, a(372)=>GND, a(371)=>GND, a(370)=>GND, 
      a(369)=>GND, a(368)=>GND, a(367)=>GND, a(366)=>GND, a(365)=>GND, 
      a(364)=>GND, a(363)=>GND, a(362)=>GND, a(361)=>GND, a(360)=>GND, 
      a(359)=>GND, a(358)=>GND, a(357)=>GND, a(356)=>GND, a(355)=>GND, 
      a(354)=>GND, a(353)=>GND, a(352)=>GND, a(351)=>GND, a(350)=>GND, 
      a(349)=>GND, a(348)=>GND, a(347)=>GND, a(346)=>GND, a(345)=>GND, 
      a(344)=>GND, a(343)=>GND, a(342)=>GND, a(341)=>GND, a(340)=>GND, 
      a(339)=>GND, a(338)=>GND, a(337)=>GND, a(336)=>GND, a(335)=>GND, 
      a(334)=>GND, a(333)=>GND, a(332)=>GND, a(331)=>GND, a(330)=>GND, 
      a(329)=>GND, a(328)=>GND, a(327)=>GND, a(326)=>GND, a(325)=>GND, 
      a(324)=>GND, a(323)=>GND, a(322)=>GND, a(321)=>GND, a(320)=>GND, 
      a(319)=>GND, a(318)=>GND, a(317)=>GND, a(316)=>GND, a(315)=>GND, 
      a(314)=>GND, a(313)=>GND, a(312)=>GND, a(311)=>GND, a(310)=>GND, 
      a(309)=>GND, a(308)=>GND, a(307)=>GND, a(306)=>GND, a(305)=>GND, 
      a(304)=>GND, a(303)=>GND, a(302)=>GND, a(301)=>GND, a(300)=>GND, 
      a(299)=>GND, a(298)=>GND, a(297)=>GND, a(296)=>GND, a(295)=>GND, 
      a(294)=>GND, a(293)=>GND, a(292)=>GND, a(291)=>GND, a(290)=>GND, 
      a(289)=>GND, a(288)=>GND, a(287)=>GND, a(286)=>GND, a(285)=>GND, 
      a(284)=>GND, a(283)=>GND, a(282)=>GND, a(281)=>GND, a(280)=>GND, 
      a(279)=>GND, a(278)=>GND, a(277)=>GND, a(276)=>GND, a(275)=>GND, 
      a(274)=>GND, a(273)=>GND, a(272)=>GND, a(271)=>GND, a(270)=>GND, 
      a(269)=>GND, a(268)=>GND, a(267)=>PWR, a(266)=>GND, a(265)=>GND, 
      a(264)=>GND, a(263)=>GND, a(262)=>GND, a(261)=>GND, a(260)=>GND, 
      a(259)=>GND, a(258)=>GND, a(257)=>GND, a(256)=>GND, a(255)=>GND, 
      a(254)=>GND, a(253)=>GND, a(252)=>GND, a(251)=>GND, a(250)=>GND, 
      a(249)=>GND, a(248)=>GND, a(247)=>GND, a(246)=>GND, a(245)=>GND, 
      a(244)=>GND, a(243)=>GND, a(242)=>GND, a(241)=>GND, a(240)=>GND, 
      a(239)=>GND, a(238)=>GND, a(237)=>GND, a(236)=>GND, a(235)=>GND, 
      a(234)=>GND, a(233)=>GND, a(232)=>GND, a(231)=>GND, a(230)=>GND, 
      a(229)=>GND, a(228)=>GND, a(227)=>GND, a(226)=>GND, a(225)=>GND, 
      a(224)=>GND, a(223)=>GND, a(222)=>GND, a(221)=>GND, a(220)=>GND, 
      a(219)=>GND, a(218)=>GND, a(217)=>GND, a(216)=>GND, a(215)=>GND, 
      a(214)=>GND, a(213)=>GND, a(212)=>GND, a(211)=>GND, a(210)=>GND, 
      a(209)=>GND, a(208)=>GND, a(207)=>GND, a(206)=>GND, a(205)=>GND, 
      a(204)=>GND, a(203)=>GND, a(202)=>GND, a(201)=>GND, a(200)=>GND, 
      a(199)=>GND, a(198)=>GND, a(197)=>GND, a(196)=>GND, a(195)=>GND, 
      a(194)=>GND, a(193)=>GND, a(192)=>GND, a(191)=>GND, a(190)=>GND, 
      a(189)=>GND, a(188)=>GND, a(187)=>GND, a(186)=>GND, a(185)=>GND, 
      a(184)=>GND, a(183)=>GND, a(182)=>GND, a(181)=>GND, a(180)=>GND, 
      a(179)=>GND, a(178)=>GND, a(177)=>GND, a(176)=>GND, a(175)=>GND, 
      a(174)=>GND, a(173)=>GND, a(172)=>GND, a(171)=>GND, a(170)=>GND, 
      a(169)=>GND, a(168)=>GND, a(167)=>GND, a(166)=>GND, a(165)=>GND, 
      a(164)=>GND, a(163)=>GND, a(162)=>GND, a(161)=>GND, a(160)=>GND, 
      a(159)=>GND, a(158)=>GND, a(157)=>GND, a(156)=>GND, a(155)=>GND, 
      a(154)=>GND, a(153)=>GND, a(152)=>GND, a(151)=>GND, a(150)=>GND, 
      a(149)=>GND, a(148)=>GND, a(147)=>GND, a(146)=>GND, a(145)=>GND, 
      a(144)=>GND, a(143)=>GND, a(142)=>GND, a(141)=>GND, a(140)=>GND, 
      a(139)=>GND, a(138)=>GND, a(137)=>GND, a(136)=>GND, a(135)=>GND, 
      a(134)=>GND, a(133)=>GND, a(132)=>GND, a(131)=>GND, a(130)=>GND, 
      a(129)=>GND, a(128)=>GND, a(127)=>GND, a(126)=>GND, a(125)=>GND, 
      a(124)=>GND, a(123)=>GND, a(122)=>GND, a(121)=>GND, a(120)=>GND, 
      a(119)=>GND, a(118)=>GND, a(117)=>GND, a(116)=>GND, a(115)=>GND, 
      a(114)=>GND, a(113)=>GND, a(112)=>GND, a(111)=>GND, a(110)=>GND, 
      a(109)=>GND, a(108)=>GND, a(107)=>GND, a(106)=>GND, a(105)=>GND, 
      a(104)=>GND, a(103)=>GND, a(102)=>GND, a(101)=>GND, a(100)=>GND, a(99)
      =>GND, a(98)=>GND, a(97)=>GND, a(96)=>GND, a(95)=>GND, a(94)=>GND, 
      a(93)=>GND, a(92)=>GND, a(91)=>GND, a(90)=>GND, a(89)=>GND, a(88)=>GND, 
      a(87)=>GND, a(86)=>GND, a(85)=>GND, a(84)=>GND, a(83)=>GND, a(82)=>GND, 
      a(81)=>GND, a(80)=>GND, a(79)=>GND, a(78)=>GND, a(77)=>GND, a(76)=>GND, 
      a(75)=>GND, a(74)=>GND, a(73)=>GND, a(72)=>GND, a(71)=>GND, a(70)=>GND, 
      a(69)=>GND, a(68)=>GND, a(67)=>GND, a(66)=>GND, a(65)=>GND, a(64)=>GND, 
      a(63)=>GND, a(62)=>GND, a(61)=>GND, a(60)=>GND, a(59)=>GND, a(58)=>GND, 
      a(57)=>GND, a(56)=>GND, a(55)=>GND, a(54)=>GND, a(53)=>GND, a(52)=>GND, 
      a(51)=>GND, a(50)=>GND, a(49)=>GND, a(48)=>GND, a(47)=>GND, a(46)=>GND, 
      a(45)=>GND, a(44)=>GND, a(43)=>GND, a(42)=>GND, a(41)=>GND, a(40)=>GND, 
      a(39)=>GND, a(38)=>GND, a(37)=>GND, a(36)=>GND, a(35)=>GND, a(34)=>GND, 
      a(33)=>GND, a(32)=>GND, a(31)=>GND, a(30)=>GND, a(29)=>GND, a(28)=>GND, 
      a(27)=>GND, a(26)=>GND, a(25)=>GND, a(24)=>GND, a(23)=>GND, a(22)=>GND, 
      a(21)=>GND, a(20)=>GND, a(19)=>GND, a(18)=>GND, a(17)=>GND, a(16)=>GND, 
      a(15)=>GND, a(14)=>GND, a(13)=>GND, a(12)=>GND, a(11)=>GND, a(10)=>GND, 
      a(9)=>PWR, a(8)=>GND, a(7)=>GND, a(6)=>GND, a(5)=>GND, a(4)=>GND, a(3)
      =>GND, a(2)=>GND, a(1)=>GND, a(0)=>GND, b(511)=>GND, b(510)=>GND, 
      b(509)=>GND, b(508)=>GND, b(507)=>GND, b(506)=>GND, b(505)=>GND, 
      b(504)=>GND, b(503)=>GND, b(502)=>GND, b(501)=>GND, b(500)=>GND, 
      b(499)=>GND, b(498)=>GND, b(497)=>GND, b(496)=>GND, b(495)=>GND, 
      b(494)=>GND, b(493)=>GND, b(492)=>GND, b(491)=>GND, b(490)=>GND, 
      b(489)=>GND, b(488)=>GND, b(487)=>GND, b(486)=>GND, b(485)=>GND, 
      b(484)=>GND, b(483)=>GND, b(482)=>GND, b(481)=>GND, b(480)=>GND, 
      b(479)=>GND, b(478)=>GND, b(477)=>GND, b(476)=>GND, b(475)=>GND, 
      b(474)=>GND, b(473)=>GND, b(472)=>GND, b(471)=>GND, b(470)=>GND, 
      b(469)=>GND, b(468)=>GND, b(467)=>GND, b(466)=>GND, b(465)=>GND, 
      b(464)=>GND, b(463)=>GND, b(462)=>GND, b(461)=>GND, b(460)=>GND, 
      b(459)=>GND, b(458)=>GND, b(457)=>GND, b(456)=>GND, b(455)=>GND, 
      b(454)=>GND, b(453)=>GND, b(452)=>GND, b(451)=>GND, b(450)=>GND, 
      b(449)=>GND, b(448)=>GND, b(447)=>GND, b(446)=>GND, b(445)=>GND, 
      b(444)=>GND, b(443)=>GND, b(442)=>GND, b(441)=>GND, b(440)=>GND, 
      b(439)=>GND, b(438)=>GND, b(437)=>GND, b(436)=>GND, b(435)=>GND, 
      b(434)=>GND, b(433)=>GND, b(432)=>GND, b(431)=>GND, b(430)=>GND, 
      b(429)=>GND, b(428)=>GND, b(427)=>GND, b(426)=>GND, b(425)=>GND, 
      b(424)=>GND, b(423)=>GND, b(422)=>GND, b(421)=>GND, b(420)=>GND, 
      b(419)=>GND, b(418)=>GND, b(417)=>GND, b(416)=>GND, b(415)=>GND, 
      b(414)=>GND, b(413)=>GND, b(412)=>GND, b(411)=>GND, b(410)=>GND, 
      b(409)=>GND, b(408)=>GND, b(407)=>GND, b(406)=>GND, b(405)=>GND, 
      b(404)=>GND, b(403)=>GND, b(402)=>GND, b(401)=>GND, b(400)=>GND, 
      b(399)=>GND, b(398)=>GND, b(397)=>GND, b(396)=>GND, b(395)=>GND, 
      b(394)=>GND, b(393)=>GND, b(392)=>GND, b(391)=>GND, b(390)=>GND, 
      b(389)=>GND, b(388)=>GND, b(387)=>GND, b(386)=>GND, b(385)=>GND, 
      b(384)=>GND, b(383)=>GND, b(382)=>GND, b(381)=>GND, b(380)=>GND, 
      b(379)=>GND, b(378)=>GND, b(377)=>GND, b(376)=>GND, b(375)=>GND, 
      b(374)=>GND, b(373)=>GND, b(372)=>GND, b(371)=>GND, b(370)=>GND, 
      b(369)=>GND, b(368)=>GND, b(367)=>GND, b(366)=>GND, b(365)=>GND, 
      b(364)=>GND, b(363)=>GND, b(362)=>GND, b(361)=>GND, b(360)=>GND, 
      b(359)=>GND, b(358)=>GND, b(357)=>GND, b(356)=>GND, b(355)=>GND, 
      b(354)=>GND, b(353)=>GND, b(352)=>GND, b(351)=>GND, b(350)=>GND, 
      b(349)=>GND, b(348)=>GND, b(347)=>GND, b(346)=>GND, b(345)=>GND, 
      b(344)=>GND, b(343)=>GND, b(342)=>GND, b(341)=>GND, b(340)=>GND, 
      b(339)=>GND, b(338)=>GND, b(337)=>GND, b(336)=>GND, b(335)=>GND, 
      b(334)=>GND, b(333)=>GND, b(332)=>GND, b(331)=>GND, b(330)=>GND, 
      b(329)=>GND, b(328)=>GND, b(327)=>GND, b(326)=>GND, b(325)=>GND, 
      b(324)=>GND, b(323)=>GND, b(322)=>GND, b(321)=>GND, b(320)=>GND, 
      b(319)=>GND, b(318)=>GND, b(317)=>GND, b(316)=>GND, b(315)=>GND, 
      b(314)=>GND, b(313)=>GND, b(312)=>GND, b(311)=>GND, b(310)=>GND, 
      b(309)=>GND, b(308)=>GND, b(307)=>GND, b(306)=>GND, b(305)=>GND, 
      b(304)=>GND, b(303)=>GND, b(302)=>GND, b(301)=>GND, b(300)=>GND, 
      b(299)=>GND, b(298)=>GND, b(297)=>GND, b(296)=>GND, b(295)=>GND, 
      b(294)=>GND, b(293)=>GND, b(292)=>GND, b(291)=>GND, b(290)=>GND, 
      b(289)=>GND, b(288)=>GND, b(287)=>GND, b(286)=>GND, b(285)=>GND, 
      b(284)=>GND, b(283)=>GND, b(282)=>GND, b(281)=>GND, b(280)=>GND, 
      b(279)=>GND, b(278)=>GND, b(277)=>GND, b(276)=>GND, b(275)=>GND, 
      b(274)=>GND, b(273)=>GND, b(272)=>GND, b(271)=>GND, b(270)=>GND, 
      b(269)=>GND, b(268)=>GND, b(267)=>GND, b(266)=>GND, b(265)=>GND, 
      b(264)=>GND, b(263)=>GND, b(262)=>GND, b(261)=>GND, b(260)=>GND, 
      b(259)=>GND, b(258)=>GND, b(257)=>GND, b(256)=>GND, b(255)=>GND, 
      b(254)=>GND, b(253)=>GND, b(252)=>GND, b(251)=>GND, b(250)=>GND, 
      b(249)=>GND, b(248)=>GND, b(247)=>GND, b(246)=>GND, b(245)=>GND, 
      b(244)=>GND, b(243)=>GND, b(242)=>GND, b(241)=>GND, b(240)=>GND, 
      b(239)=>GND, b(238)=>GND, b(237)=>GND, b(236)=>GND, b(235)=>GND, 
      b(234)=>GND, b(233)=>GND, b(232)=>GND, b(231)=>GND, b(230)=>GND, 
      b(229)=>GND, b(228)=>GND, b(227)=>GND, b(226)=>GND, b(225)=>GND, 
      b(224)=>GND, b(223)=>GND, b(222)=>GND, b(221)=>GND, b(220)=>GND, 
      b(219)=>GND, b(218)=>GND, b(217)=>GND, b(216)=>GND, b(215)=>GND, 
      b(214)=>GND, b(213)=>GND, b(212)=>GND, b(211)=>GND, b(210)=>GND, 
      b(209)=>GND, b(208)=>GND, b(207)=>GND, b(206)=>GND, b(205)=>GND, 
      b(204)=>GND, b(203)=>GND, b(202)=>GND, b(201)=>GND, b(200)=>GND, 
      b(199)=>GND, b(198)=>GND, b(197)=>GND, b(196)=>GND, b(195)=>GND, 
      b(194)=>GND, b(193)=>GND, b(192)=>GND, b(191)=>GND, b(190)=>GND, 
      b(189)=>GND, b(188)=>GND, b(187)=>GND, b(186)=>GND, b(185)=>GND, 
      b(184)=>GND, b(183)=>GND, b(182)=>GND, b(181)=>GND, b(180)=>GND, 
      b(179)=>GND, b(178)=>GND, b(177)=>GND, b(176)=>GND, b(175)=>GND, 
      b(174)=>GND, b(173)=>GND, b(172)=>GND, b(171)=>GND, b(170)=>GND, 
      b(169)=>GND, b(168)=>GND, b(167)=>GND, b(166)=>GND, b(165)=>GND, 
      b(164)=>GND, b(163)=>GND, b(162)=>GND, b(161)=>GND, b(160)=>GND, 
      b(159)=>GND, b(158)=>GND, b(157)=>GND, b(156)=>GND, b(155)=>GND, 
      b(154)=>GND, b(153)=>GND, b(152)=>GND, b(151)=>GND, b(150)=>GND, 
      b(149)=>GND, b(148)=>GND, b(147)=>GND, b(146)=>GND, b(145)=>GND, 
      b(144)=>GND, b(143)=>GND, b(142)=>GND, b(141)=>GND, b(140)=>GND, 
      b(139)=>GND, b(138)=>GND, b(137)=>GND, b(136)=>GND, b(135)=>GND, 
      b(134)=>GND, b(133)=>GND, b(132)=>GND, b(131)=>GND, b(130)=>GND, 
      b(129)=>GND, b(128)=>GND, b(127)=>GND, b(126)=>GND, b(125)=>GND, 
      b(124)=>GND, b(123)=>GND, b(122)=>GND, b(121)=>GND, b(120)=>GND, 
      b(119)=>GND, b(118)=>GND, b(117)=>GND, b(116)=>GND, b(115)=>GND, 
      b(114)=>GND, b(113)=>GND, b(112)=>GND, b(111)=>GND, b(110)=>GND, 
      b(109)=>GND, b(108)=>GND, b(107)=>GND, b(106)=>GND, b(105)=>GND, 
      b(104)=>GND, b(103)=>GND, b(102)=>GND, b(101)=>GND, b(100)=>GND, b(99)
      =>GND, b(98)=>GND, b(97)=>GND, b(96)=>GND, b(95)=>GND, b(94)=>GND, 
      b(93)=>GND, b(92)=>GND, b(91)=>GND, b(90)=>GND, b(89)=>GND, b(88)=>GND, 
      b(87)=>GND, b(86)=>GND, b(85)=>GND, b(84)=>GND, b(83)=>GND, b(82)=>GND, 
      b(81)=>GND, b(80)=>GND, b(79)=>GND, b(78)=>GND, b(77)=>GND, b(76)=>GND, 
      b(75)=>GND, b(74)=>GND, b(73)=>GND, b(72)=>GND, b(71)=>GND, b(70)=>GND, 
      b(69)=>GND, b(68)=>GND, b(67)=>GND, b(66)=>GND, b(65)=>GND, b(64)=>GND, 
      b(63)=>GND, b(62)=>GND, b(61)=>GND, b(60)=>GND, b(59)=>GND, b(58)=>GND, 
      b(57)=>GND, b(56)=>GND, b(55)=>GND, b(54)=>GND, b(53)=>GND, b(52)=>GND, 
      b(51)=>GND, b(50)=>GND, b(49)=>GND, b(48)=>GND, b(47)=>GND, b(46)=>GND, 
      b(45)=>GND, b(44)=>GND, b(43)=>GND, b(42)=>GND, b(41)=>GND, b(40)=>GND, 
      b(39)=>GND, b(38)=>GND, b(37)=>GND, b(36)=>GND, b(35)=>GND, b(34)=>GND, 
      b(33)=>GND, b(32)=>GND, b(31)=>GND, b(30)=>GND, b(29)=>GND, b(28)=>GND, 
      b(27)=>GND, b(26)=>GND, b(25)=>GND, b(24)=>GND, b(23)=>GND, b(22)=>GND, 
      b(21)=>GND, b(20)=>GND, b(19)=>GND, b(18)=>GND, b(17)=>GND, b(16)=>GND, 
      b(15)=>GND, b(14)=>GND, b(13)=>GND, b(12)=>GND, b(11)=>GND, b(10)=>GND, 
      b(9)=>GND, b(8)=>address(8), b(7)=>address(7), b(6)=>address(6), b(5)
      =>address(5), b(4)=>address(4), b(3)=>address(3), b(2)=>address(2), 
      b(1)=>address(1), b(0)=>address(0), d=>q(0));
end INTERFACE_unfold_1 ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity rom_new_0_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate is 
   port (
      rd_data1 : OUT std_logic_vector (0 DOWNTO 0) ;
      addr1 : IN std_logic_vector (8 DOWNTO 0) ;
      rd_clk1 : IN std_logic ;
      rd_ena1 : IN std_logic ;
      regce1 : IN std_logic ;
      rst1 : IN std_logic) ;
end rom_new_0_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate ;

architecture INTERFACE of 
   rom_new_0_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate is 
   component rom_1_9_512_3_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate
      port (
         address : IN std_logic_vector (8 DOWNTO 0) ;
         inclock : IN std_logic ;
         outclock : IN std_logic ;
         outclockena : IN std_logic ;
         q : OUT std_logic_vector (0 DOWNTO 0)) ;
   end component ;
   for modgen_rom_ix715 : 
   rom_1_9_512_3_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate use entity work.
   rom_1_9_512_3_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate(
   INTERFACE_unfold_1);
   signal nx14, nx16: std_logic ;
   
   signal DANGLING : std_logic_vector (2 downto 0 );

begin
   nx14 <= '0' ;
   nx16 <= '1' ;
   modgen_rom_ix715 : 
      rom_1_9_512_3_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate port map ( 
      address(8)=>addr1(8), address(7)=>addr1(7), address(6)=>addr1(6), 
      address(5)=>addr1(5), address(4)=>addr1(4), address(3)=>addr1(3), 
      address(2)=>addr1(2), address(1)=>addr1(1), address(0)=>addr1(0), 
      inclock=>DANGLING(0), outclock=>DANGLING(1), outclockena=>DANGLING(2), 
      q(0)=>rd_data1(0));
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity rom_1_9_512_4_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate is 
   port (
      address : IN std_logic_vector (8 DOWNTO 0) ;
      inclock : IN std_logic ;
      outclock : IN std_logic ;
      outclockena : IN std_logic ;
      q : OUT std_logic_vector (0 DOWNTO 0)) ;
end rom_1_9_512_4_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate ;

architecture INTERFACE_unfold_1 of 
   rom_1_9_512_4_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate is 
   component mux_512u_512u
      port (
         a : IN std_logic_vector (511 DOWNTO 0) ;
         b : IN std_logic_vector (511 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   signal GND, PWR: std_logic ;

begin
   GND <= '0' ;
   PWR <= '1' ;
   modgen_mux_1361 : mux_512u_512u port map ( a(511)=>GND, a(510)=>GND, 
      a(509)=>GND, a(508)=>GND, a(507)=>GND, a(506)=>GND, a(505)=>GND, 
      a(504)=>GND, a(503)=>GND, a(502)=>GND, a(501)=>GND, a(500)=>GND, 
      a(499)=>GND, a(498)=>GND, a(497)=>GND, a(496)=>GND, a(495)=>GND, 
      a(494)=>GND, a(493)=>GND, a(492)=>GND, a(491)=>GND, a(490)=>GND, 
      a(489)=>GND, a(488)=>GND, a(487)=>GND, a(486)=>GND, a(485)=>GND, 
      a(484)=>GND, a(483)=>GND, a(482)=>GND, a(481)=>GND, a(480)=>GND, 
      a(479)=>GND, a(478)=>GND, a(477)=>GND, a(476)=>GND, a(475)=>GND, 
      a(474)=>GND, a(473)=>GND, a(472)=>GND, a(471)=>GND, a(470)=>GND, 
      a(469)=>GND, a(468)=>GND, a(467)=>GND, a(466)=>GND, a(465)=>GND, 
      a(464)=>GND, a(463)=>GND, a(462)=>GND, a(461)=>GND, a(460)=>GND, 
      a(459)=>GND, a(458)=>GND, a(457)=>GND, a(456)=>GND, a(455)=>GND, 
      a(454)=>GND, a(453)=>GND, a(452)=>GND, a(451)=>GND, a(450)=>GND, 
      a(449)=>GND, a(448)=>GND, a(447)=>GND, a(446)=>GND, a(445)=>GND, 
      a(444)=>GND, a(443)=>GND, a(442)=>GND, a(441)=>GND, a(440)=>GND, 
      a(439)=>GND, a(438)=>GND, a(437)=>GND, a(436)=>GND, a(435)=>GND, 
      a(434)=>GND, a(433)=>GND, a(432)=>GND, a(431)=>GND, a(430)=>GND, 
      a(429)=>GND, a(428)=>GND, a(427)=>GND, a(426)=>GND, a(425)=>GND, 
      a(424)=>GND, a(423)=>GND, a(422)=>GND, a(421)=>GND, a(420)=>GND, 
      a(419)=>GND, a(418)=>GND, a(417)=>GND, a(416)=>GND, a(415)=>GND, 
      a(414)=>GND, a(413)=>GND, a(412)=>GND, a(411)=>GND, a(410)=>GND, 
      a(409)=>GND, a(408)=>GND, a(407)=>GND, a(406)=>GND, a(405)=>GND, 
      a(404)=>GND, a(403)=>GND, a(402)=>GND, a(401)=>GND, a(400)=>GND, 
      a(399)=>GND, a(398)=>GND, a(397)=>GND, a(396)=>GND, a(395)=>GND, 
      a(394)=>GND, a(393)=>GND, a(392)=>GND, a(391)=>GND, a(390)=>GND, 
      a(389)=>GND, a(388)=>GND, a(387)=>GND, a(386)=>GND, a(385)=>GND, 
      a(384)=>GND, a(383)=>GND, a(382)=>GND, a(381)=>GND, a(380)=>GND, 
      a(379)=>GND, a(378)=>GND, a(377)=>GND, a(376)=>GND, a(375)=>GND, 
      a(374)=>GND, a(373)=>GND, a(372)=>GND, a(371)=>GND, a(370)=>GND, 
      a(369)=>GND, a(368)=>GND, a(367)=>GND, a(366)=>GND, a(365)=>GND, 
      a(364)=>GND, a(363)=>GND, a(362)=>GND, a(361)=>GND, a(360)=>GND, 
      a(359)=>GND, a(358)=>GND, a(357)=>GND, a(356)=>GND, a(355)=>GND, 
      a(354)=>GND, a(353)=>GND, a(352)=>GND, a(351)=>GND, a(350)=>GND, 
      a(349)=>GND, a(348)=>GND, a(347)=>GND, a(346)=>GND, a(345)=>GND, 
      a(344)=>GND, a(343)=>GND, a(342)=>GND, a(341)=>GND, a(340)=>GND, 
      a(339)=>GND, a(338)=>GND, a(337)=>GND, a(336)=>GND, a(335)=>GND, 
      a(334)=>GND, a(333)=>GND, a(332)=>GND, a(331)=>GND, a(330)=>GND, 
      a(329)=>GND, a(328)=>GND, a(327)=>GND, a(326)=>GND, a(325)=>GND, 
      a(324)=>GND, a(323)=>GND, a(322)=>GND, a(321)=>GND, a(320)=>GND, 
      a(319)=>GND, a(318)=>GND, a(317)=>GND, a(316)=>GND, a(315)=>GND, 
      a(314)=>GND, a(313)=>GND, a(312)=>GND, a(311)=>GND, a(310)=>GND, 
      a(309)=>GND, a(308)=>GND, a(307)=>GND, a(306)=>GND, a(305)=>GND, 
      a(304)=>GND, a(303)=>GND, a(302)=>GND, a(301)=>GND, a(300)=>GND, 
      a(299)=>GND, a(298)=>GND, a(297)=>GND, a(296)=>GND, a(295)=>GND, 
      a(294)=>GND, a(293)=>GND, a(292)=>GND, a(291)=>GND, a(290)=>GND, 
      a(289)=>GND, a(288)=>GND, a(287)=>GND, a(286)=>GND, a(285)=>GND, 
      a(284)=>GND, a(283)=>GND, a(282)=>GND, a(281)=>GND, a(280)=>GND, 
      a(279)=>GND, a(278)=>GND, a(277)=>GND, a(276)=>GND, a(275)=>GND, 
      a(274)=>GND, a(273)=>GND, a(272)=>GND, a(271)=>GND, a(270)=>GND, 
      a(269)=>GND, a(268)=>GND, a(267)=>PWR, a(266)=>GND, a(265)=>GND, 
      a(264)=>GND, a(263)=>GND, a(262)=>GND, a(261)=>GND, a(260)=>GND, 
      a(259)=>GND, a(258)=>GND, a(257)=>GND, a(256)=>GND, a(255)=>GND, 
      a(254)=>GND, a(253)=>GND, a(252)=>GND, a(251)=>GND, a(250)=>GND, 
      a(249)=>GND, a(248)=>GND, a(247)=>GND, a(246)=>GND, a(245)=>GND, 
      a(244)=>GND, a(243)=>GND, a(242)=>GND, a(241)=>GND, a(240)=>GND, 
      a(239)=>GND, a(238)=>GND, a(237)=>GND, a(236)=>GND, a(235)=>GND, 
      a(234)=>GND, a(233)=>GND, a(232)=>GND, a(231)=>GND, a(230)=>GND, 
      a(229)=>GND, a(228)=>GND, a(227)=>GND, a(226)=>GND, a(225)=>GND, 
      a(224)=>GND, a(223)=>GND, a(222)=>GND, a(221)=>GND, a(220)=>GND, 
      a(219)=>GND, a(218)=>GND, a(217)=>GND, a(216)=>GND, a(215)=>GND, 
      a(214)=>GND, a(213)=>GND, a(212)=>GND, a(211)=>GND, a(210)=>GND, 
      a(209)=>GND, a(208)=>GND, a(207)=>GND, a(206)=>GND, a(205)=>GND, 
      a(204)=>GND, a(203)=>GND, a(202)=>GND, a(201)=>GND, a(200)=>GND, 
      a(199)=>GND, a(198)=>GND, a(197)=>GND, a(196)=>GND, a(195)=>GND, 
      a(194)=>GND, a(193)=>GND, a(192)=>GND, a(191)=>GND, a(190)=>GND, 
      a(189)=>GND, a(188)=>GND, a(187)=>GND, a(186)=>GND, a(185)=>GND, 
      a(184)=>GND, a(183)=>GND, a(182)=>GND, a(181)=>GND, a(180)=>GND, 
      a(179)=>GND, a(178)=>GND, a(177)=>GND, a(176)=>GND, a(175)=>GND, 
      a(174)=>GND, a(173)=>GND, a(172)=>GND, a(171)=>GND, a(170)=>GND, 
      a(169)=>GND, a(168)=>GND, a(167)=>GND, a(166)=>GND, a(165)=>GND, 
      a(164)=>GND, a(163)=>GND, a(162)=>GND, a(161)=>GND, a(160)=>GND, 
      a(159)=>GND, a(158)=>GND, a(157)=>GND, a(156)=>GND, a(155)=>GND, 
      a(154)=>GND, a(153)=>GND, a(152)=>GND, a(151)=>GND, a(150)=>GND, 
      a(149)=>GND, a(148)=>GND, a(147)=>GND, a(146)=>GND, a(145)=>GND, 
      a(144)=>GND, a(143)=>GND, a(142)=>GND, a(141)=>GND, a(140)=>GND, 
      a(139)=>GND, a(138)=>GND, a(137)=>GND, a(136)=>GND, a(135)=>GND, 
      a(134)=>GND, a(133)=>GND, a(132)=>GND, a(131)=>GND, a(130)=>GND, 
      a(129)=>GND, a(128)=>GND, a(127)=>GND, a(126)=>GND, a(125)=>GND, 
      a(124)=>GND, a(123)=>GND, a(122)=>GND, a(121)=>GND, a(120)=>GND, 
      a(119)=>GND, a(118)=>GND, a(117)=>GND, a(116)=>GND, a(115)=>GND, 
      a(114)=>GND, a(113)=>GND, a(112)=>GND, a(111)=>GND, a(110)=>GND, 
      a(109)=>GND, a(108)=>GND, a(107)=>GND, a(106)=>GND, a(105)=>GND, 
      a(104)=>GND, a(103)=>GND, a(102)=>GND, a(101)=>GND, a(100)=>GND, a(99)
      =>GND, a(98)=>GND, a(97)=>GND, a(96)=>GND, a(95)=>GND, a(94)=>GND, 
      a(93)=>GND, a(92)=>GND, a(91)=>GND, a(90)=>GND, a(89)=>GND, a(88)=>GND, 
      a(87)=>GND, a(86)=>GND, a(85)=>GND, a(84)=>GND, a(83)=>GND, a(82)=>GND, 
      a(81)=>GND, a(80)=>GND, a(79)=>GND, a(78)=>GND, a(77)=>GND, a(76)=>GND, 
      a(75)=>GND, a(74)=>GND, a(73)=>GND, a(72)=>GND, a(71)=>GND, a(70)=>GND, 
      a(69)=>GND, a(68)=>GND, a(67)=>GND, a(66)=>GND, a(65)=>GND, a(64)=>GND, 
      a(63)=>GND, a(62)=>GND, a(61)=>GND, a(60)=>GND, a(59)=>GND, a(58)=>GND, 
      a(57)=>GND, a(56)=>GND, a(55)=>GND, a(54)=>GND, a(53)=>GND, a(52)=>GND, 
      a(51)=>GND, a(50)=>GND, a(49)=>GND, a(48)=>GND, a(47)=>GND, a(46)=>GND, 
      a(45)=>GND, a(44)=>GND, a(43)=>GND, a(42)=>GND, a(41)=>GND, a(40)=>GND, 
      a(39)=>GND, a(38)=>GND, a(37)=>GND, a(36)=>GND, a(35)=>GND, a(34)=>GND, 
      a(33)=>GND, a(32)=>GND, a(31)=>GND, a(30)=>GND, a(29)=>GND, a(28)=>GND, 
      a(27)=>GND, a(26)=>GND, a(25)=>GND, a(24)=>GND, a(23)=>GND, a(22)=>GND, 
      a(21)=>GND, a(20)=>GND, a(19)=>GND, a(18)=>GND, a(17)=>GND, a(16)=>GND, 
      a(15)=>GND, a(14)=>GND, a(13)=>GND, a(12)=>GND, a(11)=>GND, a(10)=>GND, 
      a(9)=>PWR, a(8)=>GND, a(7)=>GND, a(6)=>GND, a(5)=>GND, a(4)=>GND, a(3)
      =>GND, a(2)=>GND, a(1)=>GND, a(0)=>GND, b(511)=>GND, b(510)=>GND, 
      b(509)=>GND, b(508)=>GND, b(507)=>GND, b(506)=>GND, b(505)=>GND, 
      b(504)=>GND, b(503)=>GND, b(502)=>GND, b(501)=>GND, b(500)=>GND, 
      b(499)=>GND, b(498)=>GND, b(497)=>GND, b(496)=>GND, b(495)=>GND, 
      b(494)=>GND, b(493)=>GND, b(492)=>GND, b(491)=>GND, b(490)=>GND, 
      b(489)=>GND, b(488)=>GND, b(487)=>GND, b(486)=>GND, b(485)=>GND, 
      b(484)=>GND, b(483)=>GND, b(482)=>GND, b(481)=>GND, b(480)=>GND, 
      b(479)=>GND, b(478)=>GND, b(477)=>GND, b(476)=>GND, b(475)=>GND, 
      b(474)=>GND, b(473)=>GND, b(472)=>GND, b(471)=>GND, b(470)=>GND, 
      b(469)=>GND, b(468)=>GND, b(467)=>GND, b(466)=>GND, b(465)=>GND, 
      b(464)=>GND, b(463)=>GND, b(462)=>GND, b(461)=>GND, b(460)=>GND, 
      b(459)=>GND, b(458)=>GND, b(457)=>GND, b(456)=>GND, b(455)=>GND, 
      b(454)=>GND, b(453)=>GND, b(452)=>GND, b(451)=>GND, b(450)=>GND, 
      b(449)=>GND, b(448)=>GND, b(447)=>GND, b(446)=>GND, b(445)=>GND, 
      b(444)=>GND, b(443)=>GND, b(442)=>GND, b(441)=>GND, b(440)=>GND, 
      b(439)=>GND, b(438)=>GND, b(437)=>GND, b(436)=>GND, b(435)=>GND, 
      b(434)=>GND, b(433)=>GND, b(432)=>GND, b(431)=>GND, b(430)=>GND, 
      b(429)=>GND, b(428)=>GND, b(427)=>GND, b(426)=>GND, b(425)=>GND, 
      b(424)=>GND, b(423)=>GND, b(422)=>GND, b(421)=>GND, b(420)=>GND, 
      b(419)=>GND, b(418)=>GND, b(417)=>GND, b(416)=>GND, b(415)=>GND, 
      b(414)=>GND, b(413)=>GND, b(412)=>GND, b(411)=>GND, b(410)=>GND, 
      b(409)=>GND, b(408)=>GND, b(407)=>GND, b(406)=>GND, b(405)=>GND, 
      b(404)=>GND, b(403)=>GND, b(402)=>GND, b(401)=>GND, b(400)=>GND, 
      b(399)=>GND, b(398)=>GND, b(397)=>GND, b(396)=>GND, b(395)=>GND, 
      b(394)=>GND, b(393)=>GND, b(392)=>GND, b(391)=>GND, b(390)=>GND, 
      b(389)=>GND, b(388)=>GND, b(387)=>GND, b(386)=>GND, b(385)=>GND, 
      b(384)=>GND, b(383)=>GND, b(382)=>GND, b(381)=>GND, b(380)=>GND, 
      b(379)=>GND, b(378)=>GND, b(377)=>GND, b(376)=>GND, b(375)=>GND, 
      b(374)=>GND, b(373)=>GND, b(372)=>GND, b(371)=>GND, b(370)=>GND, 
      b(369)=>GND, b(368)=>GND, b(367)=>GND, b(366)=>GND, b(365)=>GND, 
      b(364)=>GND, b(363)=>GND, b(362)=>GND, b(361)=>GND, b(360)=>GND, 
      b(359)=>GND, b(358)=>GND, b(357)=>GND, b(356)=>GND, b(355)=>GND, 
      b(354)=>GND, b(353)=>GND, b(352)=>GND, b(351)=>GND, b(350)=>GND, 
      b(349)=>GND, b(348)=>GND, b(347)=>GND, b(346)=>GND, b(345)=>GND, 
      b(344)=>GND, b(343)=>GND, b(342)=>GND, b(341)=>GND, b(340)=>GND, 
      b(339)=>GND, b(338)=>GND, b(337)=>GND, b(336)=>GND, b(335)=>GND, 
      b(334)=>GND, b(333)=>GND, b(332)=>GND, b(331)=>GND, b(330)=>GND, 
      b(329)=>GND, b(328)=>GND, b(327)=>GND, b(326)=>GND, b(325)=>GND, 
      b(324)=>GND, b(323)=>GND, b(322)=>GND, b(321)=>GND, b(320)=>GND, 
      b(319)=>GND, b(318)=>GND, b(317)=>GND, b(316)=>GND, b(315)=>GND, 
      b(314)=>GND, b(313)=>GND, b(312)=>GND, b(311)=>GND, b(310)=>GND, 
      b(309)=>GND, b(308)=>GND, b(307)=>GND, b(306)=>GND, b(305)=>GND, 
      b(304)=>GND, b(303)=>GND, b(302)=>GND, b(301)=>GND, b(300)=>GND, 
      b(299)=>GND, b(298)=>GND, b(297)=>GND, b(296)=>GND, b(295)=>GND, 
      b(294)=>GND, b(293)=>GND, b(292)=>GND, b(291)=>GND, b(290)=>GND, 
      b(289)=>GND, b(288)=>GND, b(287)=>GND, b(286)=>GND, b(285)=>GND, 
      b(284)=>GND, b(283)=>GND, b(282)=>GND, b(281)=>GND, b(280)=>GND, 
      b(279)=>GND, b(278)=>GND, b(277)=>GND, b(276)=>GND, b(275)=>GND, 
      b(274)=>GND, b(273)=>GND, b(272)=>GND, b(271)=>GND, b(270)=>GND, 
      b(269)=>GND, b(268)=>GND, b(267)=>GND, b(266)=>GND, b(265)=>GND, 
      b(264)=>GND, b(263)=>GND, b(262)=>GND, b(261)=>GND, b(260)=>GND, 
      b(259)=>GND, b(258)=>GND, b(257)=>GND, b(256)=>GND, b(255)=>GND, 
      b(254)=>GND, b(253)=>GND, b(252)=>GND, b(251)=>GND, b(250)=>GND, 
      b(249)=>GND, b(248)=>GND, b(247)=>GND, b(246)=>GND, b(245)=>GND, 
      b(244)=>GND, b(243)=>GND, b(242)=>GND, b(241)=>GND, b(240)=>GND, 
      b(239)=>GND, b(238)=>GND, b(237)=>GND, b(236)=>GND, b(235)=>GND, 
      b(234)=>GND, b(233)=>GND, b(232)=>GND, b(231)=>GND, b(230)=>GND, 
      b(229)=>GND, b(228)=>GND, b(227)=>GND, b(226)=>GND, b(225)=>GND, 
      b(224)=>GND, b(223)=>GND, b(222)=>GND, b(221)=>GND, b(220)=>GND, 
      b(219)=>GND, b(218)=>GND, b(217)=>GND, b(216)=>GND, b(215)=>GND, 
      b(214)=>GND, b(213)=>GND, b(212)=>GND, b(211)=>GND, b(210)=>GND, 
      b(209)=>GND, b(208)=>GND, b(207)=>GND, b(206)=>GND, b(205)=>GND, 
      b(204)=>GND, b(203)=>GND, b(202)=>GND, b(201)=>GND, b(200)=>GND, 
      b(199)=>GND, b(198)=>GND, b(197)=>GND, b(196)=>GND, b(195)=>GND, 
      b(194)=>GND, b(193)=>GND, b(192)=>GND, b(191)=>GND, b(190)=>GND, 
      b(189)=>GND, b(188)=>GND, b(187)=>GND, b(186)=>GND, b(185)=>GND, 
      b(184)=>GND, b(183)=>GND, b(182)=>GND, b(181)=>GND, b(180)=>GND, 
      b(179)=>GND, b(178)=>GND, b(177)=>GND, b(176)=>GND, b(175)=>GND, 
      b(174)=>GND, b(173)=>GND, b(172)=>GND, b(171)=>GND, b(170)=>GND, 
      b(169)=>GND, b(168)=>GND, b(167)=>GND, b(166)=>GND, b(165)=>GND, 
      b(164)=>GND, b(163)=>GND, b(162)=>GND, b(161)=>GND, b(160)=>GND, 
      b(159)=>GND, b(158)=>GND, b(157)=>GND, b(156)=>GND, b(155)=>GND, 
      b(154)=>GND, b(153)=>GND, b(152)=>GND, b(151)=>GND, b(150)=>GND, 
      b(149)=>GND, b(148)=>GND, b(147)=>GND, b(146)=>GND, b(145)=>GND, 
      b(144)=>GND, b(143)=>GND, b(142)=>GND, b(141)=>GND, b(140)=>GND, 
      b(139)=>GND, b(138)=>GND, b(137)=>GND, b(136)=>GND, b(135)=>GND, 
      b(134)=>GND, b(133)=>GND, b(132)=>GND, b(131)=>GND, b(130)=>GND, 
      b(129)=>GND, b(128)=>GND, b(127)=>GND, b(126)=>GND, b(125)=>GND, 
      b(124)=>GND, b(123)=>GND, b(122)=>GND, b(121)=>GND, b(120)=>GND, 
      b(119)=>GND, b(118)=>GND, b(117)=>GND, b(116)=>GND, b(115)=>GND, 
      b(114)=>GND, b(113)=>GND, b(112)=>GND, b(111)=>GND, b(110)=>GND, 
      b(109)=>GND, b(108)=>GND, b(107)=>GND, b(106)=>GND, b(105)=>GND, 
      b(104)=>GND, b(103)=>GND, b(102)=>GND, b(101)=>GND, b(100)=>GND, b(99)
      =>GND, b(98)=>GND, b(97)=>GND, b(96)=>GND, b(95)=>GND, b(94)=>GND, 
      b(93)=>GND, b(92)=>GND, b(91)=>GND, b(90)=>GND, b(89)=>GND, b(88)=>GND, 
      b(87)=>GND, b(86)=>GND, b(85)=>GND, b(84)=>GND, b(83)=>GND, b(82)=>GND, 
      b(81)=>GND, b(80)=>GND, b(79)=>GND, b(78)=>GND, b(77)=>GND, b(76)=>GND, 
      b(75)=>GND, b(74)=>GND, b(73)=>GND, b(72)=>GND, b(71)=>GND, b(70)=>GND, 
      b(69)=>GND, b(68)=>GND, b(67)=>GND, b(66)=>GND, b(65)=>GND, b(64)=>GND, 
      b(63)=>GND, b(62)=>GND, b(61)=>GND, b(60)=>GND, b(59)=>GND, b(58)=>GND, 
      b(57)=>GND, b(56)=>GND, b(55)=>GND, b(54)=>GND, b(53)=>GND, b(52)=>GND, 
      b(51)=>GND, b(50)=>GND, b(49)=>GND, b(48)=>GND, b(47)=>GND, b(46)=>GND, 
      b(45)=>GND, b(44)=>GND, b(43)=>GND, b(42)=>GND, b(41)=>GND, b(40)=>GND, 
      b(39)=>GND, b(38)=>GND, b(37)=>GND, b(36)=>GND, b(35)=>GND, b(34)=>GND, 
      b(33)=>GND, b(32)=>GND, b(31)=>GND, b(30)=>GND, b(29)=>GND, b(28)=>GND, 
      b(27)=>GND, b(26)=>GND, b(25)=>GND, b(24)=>GND, b(23)=>GND, b(22)=>GND, 
      b(21)=>GND, b(20)=>GND, b(19)=>GND, b(18)=>GND, b(17)=>GND, b(16)=>GND, 
      b(15)=>GND, b(14)=>GND, b(13)=>GND, b(12)=>GND, b(11)=>GND, b(10)=>GND, 
      b(9)=>GND, b(8)=>address(8), b(7)=>address(7), b(6)=>address(6), b(5)
      =>address(5), b(4)=>address(4), b(3)=>address(3), b(2)=>address(2), 
      b(1)=>address(1), b(0)=>address(0), d=>q(0));
end INTERFACE_unfold_1 ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity rom_new_1_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate is 
   port (
      rd_data1 : OUT std_logic_vector (0 DOWNTO 0) ;
      addr1 : IN std_logic_vector (8 DOWNTO 0) ;
      rd_clk1 : IN std_logic ;
      rd_ena1 : IN std_logic ;
      regce1 : IN std_logic ;
      rst1 : IN std_logic) ;
end rom_new_1_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate ;

architecture INTERFACE of 
   rom_new_1_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate is 
   component rom_1_9_512_4_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate
      port (
         address : IN std_logic_vector (8 DOWNTO 0) ;
         inclock : IN std_logic ;
         outclock : IN std_logic ;
         outclockena : IN std_logic ;
         q : OUT std_logic_vector (0 DOWNTO 0)) ;
   end component ;
   for modgen_rom_ix716 : 
   rom_1_9_512_4_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate use entity work.
   rom_1_9_512_4_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate(
   INTERFACE_unfold_1);
   signal nx14, nx16: std_logic ;
   
   signal DANGLING : std_logic_vector (2 downto 0 );

begin
   nx14 <= '0' ;
   nx16 <= '1' ;
   modgen_rom_ix716 : 
      rom_1_9_512_4_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate port map ( 
      address(8)=>addr1(8), address(7)=>addr1(7), address(6)=>addr1(6), 
      address(5)=>addr1(5), address(4)=>addr1(4), address(3)=>addr1(3), 
      address(2)=>addr1(2), address(1)=>addr1(1), address(0)=>addr1(0), 
      inclock=>DANGLING(0), outclock=>DANGLING(1), outclockena=>DANGLING(2), 
      q(0)=>rd_data1(0));
end INTERFACE ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity Xcvr_Snubber_sital_8_4_5_40_7 is 
   port (
      CE : IN std_logic ;
      Regular : IN std_logic ;
      RxNSital : IN std_logic ;
      RxSital : IN std_logic ;
      Tx : IN std_logic ;
      TxN : IN std_logic ;
      Tx_Inhibit : IN std_logic ;
      clock : IN std_logic ;
      resetN : IN std_logic ;
      Rx : OUT std_logic ;
      RxN : OUT std_logic ;
      TxN_SN : OUT std_logic ;
      Tx_SN : OUT std_logic ;
      TxN_Sital : OUT std_logic ;
      TxSense : OUT std_logic ;
      Tx_Sital : OUT std_logic) ;
end Xcvr_Snubber_sital_8_4_5_40_7 ;

architecture OH_Calibrate_unfold_1 of Xcvr_Snubber_sital_8_4_5_40_7 is 
   component and_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component abs_5s_5s
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic_vector (4 DOWNTO 0)) ;
   end component ;
   component or_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_3_3
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         b : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_6u_6u
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component inc_7u_7u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component select_4_4
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_10u_10u
      port (
         a : IN std_logic_vector (9 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_6u_6u
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component counter_updn_aclear_clock_clk_en_0_7
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (6 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (6 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_dn_sload_aclear_clock_clk_en_0_6
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (5 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (5 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_dn_sload_aclear_clock_clk_en_0_5
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (4 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (4 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_dn_sload_aclear_clock_clk_en_0_4
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (3 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (3 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component add_4u_4u_4u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic_vector (3 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component sub_4u_4u_4u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic_vector (3 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component and_3u_3u
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component counter_updn_sclear_aclear_clock_clk_en_0_7
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (6 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (6 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_updn_sload_aclear_clock_clk_en_0_6
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (5 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (5 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component rom_new_0_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate
      port (
         rd_data1 : OUT std_logic_vector (0 DOWNTO 0) ;
         addr1 : IN std_logic_vector (8 DOWNTO 0) ;
         rd_clk1 : IN std_logic ;
         rd_ena1 : IN std_logic ;
         regce1 : IN std_logic ;
         rst1 : IN std_logic) ;
   end component ;
   component rom_new_1_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate
      port (
         rd_data1 : OUT std_logic_vector (0 DOWNTO 0) ;
         addr1 : IN std_logic_vector (8 DOWNTO 0) ;
         rd_clk1 : IN std_logic ;
         rd_ena1 : IN std_logic ;
         regce1 : IN std_logic ;
         rst1 : IN std_logic) ;
   end component ;
   component and_8u_8u
      port (
         a : IN std_logic_vector (7 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_7u_7u
      port (
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   for modgen_counter_Rx_energy : counter_updn_aclear_clock_clk_en_0_7
    use entity work.counter_updn_aclear_clock_clk_en_0_7(INTERFACE);
   for modgen_counter_Count_1us : counter_dn_sload_aclear_clock_clk_en_0_6
    use entity work.counter_dn_sload_aclear_clock_clk_en_0_6(INTERFACE);
   
   for modgen_counter_Count23us : counter_dn_sload_aclear_clock_clk_en_0_5
    use entity work.counter_dn_sload_aclear_clock_clk_en_0_5(INTERFACE);
   
   for modgen_counter_Fixed : counter_dn_sload_aclear_clock_clk_en_0_4
    use entity work.counter_dn_sload_aclear_clock_clk_en_0_4(INTERFACE);
   
   for modgen_counter_Sum : counter_updn_sclear_aclear_clock_clk_en_0_7
    use entity work.counter_updn_sclear_aclear_clock_clk_en_0_7(INTERFACE);
   
   for modgen_counter_Micro : counter_updn_sload_aclear_clock_clk_en_0_6
    use entity work.counter_updn_sload_aclear_clock_clk_en_0_6(INTERFACE);
   
   for modgen_rom_ix715 : 
   rom_new_0_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate use entity work.
   rom_new_0_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate(INTERFACE);
   for modgen_rom_ix716 : 
   rom_new_1_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate use entity work.
   rom_new_1_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate(INTERFACE);
   signal TxSense_EXMPLR3558: std_logic ;
   
   signal Cal: std_logic_vector (4 DOWNTO 0) ;
   
   signal Count: std_logic_vector (6 DOWNTO 0) ;
   
   signal Count23us: std_logic_vector (4 DOWNTO 0) ;
   
   signal Count_1us: std_logic_vector (5 DOWNTO 0) ;
   
   signal Delta: std_logic_vector (3 DOWNTO 0) ;
   
   signal Fixed: std_logic_vector (3 DOWNTO 0) ;
   
   signal Half_us: std_logic_vector (4 DOWNTO 0) ;
   
   signal Micro: std_logic_vector (5 DOWNTO 0) ;
   
   signal Num_Of_Fixes: std_logic_vector (3 DOWNTO 0) ;
   
   signal Reduce_Minus_On, Reduce_Plus_On, Rx_On: std_logic ;
   
   signal Rx_energy: std_logic_vector (6 DOWNTO 0) ;
   
   signal Rx_ok, Shorten_Minus, Shorten_Plus: std_logic ;
   
   signal Sum: std_logic_vector (6 DOWNTO 0) ;
   
   signal AmnonHofman: std_logic_vector (11 DOWNTO 0) ;
   
   signal calib: std_logic_vector (7 DOWNTO 0) ;
   
   signal snubb: std_logic_vector (1 DOWNTO 0) ;
   
   signal PWR, GND, not_resetN, Rx_On_17n1s2, not_Rx_On_17n1s2, not_CE, 
      rtlc17n121, not_Rx_On, rtlc17n124, rtlc17_X_0_n125, 
      not_rtlc17_X_0_n125, rtlc17n153, not_Rx_energy_6, rtlc17n221, 
      rtlc17n223, not_Half_us_4, rtlc20n86, not_Regular, rtlc23n168, 
      rtlc23n173, rtlc23n174, not_rtlcs6, rtlc23n228, rtlc23n240, rtlc23n274, 
      rtlc23n304, not_snubb_0, rtlc23_X_0_n397, rtlc23n423, rtlc23n424, 
      not_rtlc23n424, not_rtlc23n228, rtlc23n467, not_rtlc23n274, rtlc23n471, 
      rtlc23_X_0_n472, not_rtlc23_X_0_n472, not_Count23us_4, rtlc23n618, 
      not_rtlcn135, rtlc23n622, rtlc23n634, not_rtlcn136, rtlc23n649, 
      rtlc23n650, rtlc23n651, rtlc23n652, rtlc23n653, Cal_26n7ss1_4: 
   std_logic ;
   
   signal Cal_26n9ss1: std_logic_vector (3 DOWNTO 1) ;
   
   signal Cal_26n14ss1: std_logic_vector (4 DOWNTO 0) ;
   
   signal Delta_26n14ss1: std_logic_vector (2 DOWNTO 0) ;
   
   signal Num_Of_Fixes_26n1s1: std_logic_vector (3 DOWNTO 0) ;
   
   signal Reduce_Minus_On_26n1s1: std_logic ;
   
   signal rtlc26n347: std_logic_vector (5 DOWNTO 0) ;
   
   signal rtlc26n375: std_logic_vector (5 DOWNTO 0) ;
   
   signal rtlc26n457, rtlc26n625, rtlc26n628, rtlc26n665, rtlc26n674, 
      rtlc26n680, rtlc26n687, rtlc26n698, rtlc26n703, rtlc26n935, rtlc26n936, 
      rtlc26n937, rtlc26n938, rtlc26n939, rtlc26n940, not_Sum_6, rtlc26n942, 
      rtlc26n952, not_rtlc26n952, rtlc26n954, rtlc26n956, not_rtlcn137, 
      rtlc26n959, rtlc26n960, rtlc26n973, rtlc26n974, not_rtlc26n347_5, 
      rtlc26n976, rtlc26n995, not_rtlcn138, rtlc26n998, rtlc26n1011, 
      not_rtlcn4010, rtlc26n1074, not_Cal_4, AmnonHofman_fsm_29n4ss1_2, 
      AmnonHofman_fsm_29n8ss1_4: std_logic ;
   
   signal Count_29n20ss1: std_logic_vector (6 DOWNTO 0) ;
   
   signal Half_us_29n20ss1: std_logic_vector (4 DOWNTO 0) ;
   
   signal TxNSital_29n20ss1, TxN_SN_29n20ss1, TxSense_29n20ss1, 
      TxSital_29n20ss1, Tx_SN_29n20ss1, AmnonHofman_fsm_29n20ss1_4, 
      AmnonHofman_fsm_29n20ss1_2, not_TxN, not_Tx: std_logic ;
   
   signal Half_us_29n9s1: std_logic_vector (4 DOWNTO 0) ;
   
   signal Count_29n13s1_6, Count_29n13s1_5, rtlc29n670, rtlc29n695, 
      rtlc29n842, rtlc29n856, rtlc29n867, rtlc29n873, rtlc29n926, rtlc29n928, 
      rtlc29n929, rtlc29n992, rtlc29n1010, rtlc29n1260, rtlc29n1261, 
      rtlc29n1262, rtlc29n1263, rtlc29n1264, rtlc29n1293, rtlc29n1295, 
      not_rtlcn134, rtlc29n1347, rtlcn134, rtlcn135, rtlcn136, rtlcn137, 
      rtlcn138, rtlcn140, rtlcn316, rtlcn327, rtlcn334, rtlcn340, rtlcn347, 
      rtlcn353, not_rtlcn699, rtlcn389, rtlcn402, rtlcn409, rtlcn416, 
      rtlcn431, rtlcn442, rtlcn454, rtlcn462, rtlcn475, rtlcn478, rtlcn481, 
      rtlcn485, rtlcn489, rtlcn495, rtlcn502, rtlcn513, rtlcn527, rtlcn533, 
      rtlcn539, rtlcn549, rtlcn551, rtlcn552, rtlcn567, rtlcn573, rtlcn575, 
      rtlcn578, not_rtlcn828, not_rtlcn829, not_rtlcn830, not_rtlcn831, 
      not_rtlcn832, not_rtlcn833, rtlcn695, rtlcn699, rtlcn700, rtlcn701, 
      rtlcn702, rtlcn703, rtlcn704, rtlcn705, rtlcn706, rtlcn707, rtlcn708, 
      rtlcn710, rtlcn711, rtlcn712, rtlcn715, rtlcn716, not_rtlc26n998, 
      rtlcn720, not_rtlc26n976, rtlcn724, not_rtlc29n695, not_rtlc29n670, 
      rtlcn734, not_rtlcs28, rtlcn736, rtlcn737, not_rtlc29n856, rtlcn739, 
      not_rtlc29n842, rtlcn741, rtlcn742, rtlcn743, rtlcn744, rtlcn745, 
      not_rtlcs22, rtlcn747, not_rtlcs17, rtlcn749, rtlcn750, rtlcn751, 
      not_Tx_Inhibit, rtlcn753, rtlcn754, rtlcn755, rtlcn756, 
      not_rtlc29n1264, rtlcn758, rtlcn759, rtlcn760, not_rtlc29n867, 
      rtlcn762, not_rtlcn702, rtlcn764, not_rtlc29n873, rtlcn766, rtlcn768, 
      rtlcn769, not_rtlc23n304, rtlcn772, not_rtlcs11, rtlcn774, rtlcn775, 
      not_TxSense, rtlcn777, not_rtlcs12, rtlcn779, rtlcn780, rtlcn781, 
      rtlcn782, not_rtlc26n960, not_rtlc26n942, rtlcn785, not_Reduce_Plus_On, 
      rtlcn787, not_calib_7, not_RxSital, rtlcn828, rtlcn829, rtlcn830, 
      rtlcn831, rtlcn832, rtlcn833, rtlcn834, rtlcn835, rtlcn836, 
      not_rtlcn316, not_rtlc29n1347, not_rtlc29n1010, rtlcs2, rtlcs3, rtlcs6, 
      rtlcs7, rtlcs11, rtlcs12, rtlcs13, rtlcs14, rtlcs15, rtlcs16, rtlcs17, 
      rtlcs19, rtlcs20, rtlcs21, rtlcs22, rtlcs24, rtlcs25, rtlcs27, rtlcs28, 
      rtlcs29, rtlcs30, rtlcs31, rtlcs33, rtlcs34, rtlcs35, rtlcs36, rtlcs37, 
      not_Shorten_Minus, rtlcs39, not_Shorten_Plus, not_Rx_energy_5, 
      not_Rx_energy_4, not_Rx_energy_3, not_Rx_energy_2, not_Rx_energy_1, 
      not_Rx_energy_0, not_rtlcn695, not_Count_4, not_Count_2, not_Count_6, 
      not_Count_5, not_Count_3, not_Count_1, not_Count_0, not_Micro_5, 
      not_Micro_4, not_Micro_3, not_Micro_2, not_Micro_1, not_RxNSital, 
      not_Micro_0, not_calib_6, not_Count_1us_5, not_Count_1us_4, 
      not_Count_1us_2, not_Count23us_3, not_Count23us_2, not_Count23us_1, 
      not_Count_1us_3, not_Count_1us_1, not_Count_1us_0, not_rtlcn4027, 
      rtlcn4010, rtlcn4027: std_logic ;
   
   signal Count_29n13s1f1: std_logic_vector (4 DOWNTO 0) ;
   
   signal rtlc17_26_or_1300_nx0, rtlc23n436, rtlc23_268_or_1303_nx0, 
      rtlc26_209_or_1307_nx0, rtlc26_642_or_1308_nx0, rtlc26_660_or_1310_nx0, 
      rtlc29_208_or_1314_nx0, rtlc29_856_or_1319_nx0, rtlc_300_or_1321_nx0, 
      rtlc_1045_and_1333_nx0, rtlc_1050_and_1334_nx0, rtlc_1080_and_1337_nx0, 
      rtlc_1096_or_1341_nx0, rtlc_1102_or_1342_nx0, rtlc_1292_and_1343_nx0, 
      rtlc26n670, rtlc_1306_and_1345_nx0, rtlc_1325_and_1347_nx0, 
      rtlc_1433_and_1352_nx0, rtlc_1444_and_1354_nx0, rtlc_1460_and_1356_nx0
   : std_logic ;
   
   signal DANGLING : std_logic_vector (17 downto 0 );

begin
   TxSense <= TxSense_EXMPLR3558 ;
   PWR <= '1' ;
   GND <= '0' ;
   Rx <= RxSital ;
   RxN <= RxNSital ;
   not_Rx_On_17n1s2 <= NOT Rx_On_17n1s2 ;
   rtlc17n121 <= rtlc17n153 AND Rx_On ;
   not_rtlc17_X_0_n125 <= NOT rtlc17_X_0_n125 ;
   not_Rx_On <= NOT Rx_On ;
   not_Rx_energy_6 <= NOT Rx_energy(6) ;
   rtlc17_89_and_1301 : and_4u_4u port map ( a(3)=>Rx_energy(3), a(2)=>
      Rx_energy(2), a(1)=>Rx_energy(1), a(0)=>Rx_energy(0), d=>rtlc17n223);
   not_Half_us_4 <= NOT Half_us(4) ;
   rtlc20n86 <= not_rtlcn134 OR not_Half_us_4 ;
   not_rtlcs6 <= NOT rtlcs6 ;
   not_rtlc23n274 <= NOT rtlc23n274 ;
   rtlc23n471 <= not_rtlc23n274 AND snubb(0) ;
   rtlc23n467 <= not_rtlc23n228 AND snubb(0) ;
   not_rtlc23_X_0_n472 <= NOT rtlc23_X_0_n472 ;
   rtlc23n423 <= not_rtlcs6 AND snubb(0) ;
   rtlc23n424 <= not_CE OR rtlc23n423 ;
   not_rtlc23n424 <= NOT rtlc23n424 ;
   not_snubb_0 <= NOT snubb(0) ;
   rtlc23n240 <= not_rtlcn136 AND rtlc23n653 ;
   rtlc23n228 <= rtlc23n622 AND rtlc23n173 ;
   rtlc23n168 <= not_Regular AND TxSense_EXMPLR3558 ;
   rtlc23n174 <= rtlc23n168 AND rtlc23n173 ;
   not_Count23us_4 <= NOT Count23us(4) ;
   rtlc23n622 <= not_rtlcn135 OR not_Count23us_4 ;
   rtlc23_276_and_1304 : and_4u_4u port map ( a(3)=>Count_1us(4), a(2)=>
      Count_1us(3), a(1)=>Count_1us(2), a(0)=>Count_1us(1), d=>rtlc23n634);
   rtlc23n650 <= Count_1us(0) AND Count_1us(1) ;
   rtlc23n651 <= Count_1us(2) OR rtlc23n650 ;
   rtlc23n652 <= Count_1us(3) AND rtlc23n651 ;
   rtlc23n653 <= rtlc23n652 OR rtlc23n649 ;
   Num_Of_Fixes_abs5_26i1 : abs_5s_5s port map ( a(4)=>Cal(4), a(3)=>Cal(3), 
      a(2)=>Cal(2), a(1)=>Cal(1), a(0)=>Cal(0), d(4)=>DANGLING(0), d(3)=>
      Num_Of_Fixes_26n1s1(3), d(2)=>Num_Of_Fixes_26n1s1(2), d(1)=>
      Num_Of_Fixes_26n1s1(1), d(0)=>Num_Of_Fixes_26n1s1(0));
   rtlc26n625 <= calib(0) OR calib(6) ;
   rtlc26n628 <= calib(2) OR calib(7) ;
   rtlc26n457 <= rtlcs14 OR rtlcs13 ;
   rtlc26n936 <= Sum(4) AND Sum(3) ;
   rtlc26n937 <= Sum(0) AND Sum(1) ;
   rtlc26n938 <= Sum(2) OR rtlc26n937 ;
   rtlc26n939 <= rtlc26n936 AND rtlc26n938 ;
   rtlc26n940 <= rtlc26n939 OR rtlc26n935 ;
   not_Sum_6 <= NOT Sum(6) ;
   rtlc26n942 <= rtlc26n940 AND not_Sum_6 ;
   rtlc26n952 <= Sum(6) AND Sum(5) ;
   not_rtlc26n952 <= NOT rtlc26n952 ;
   rtlc26n956 <= Sum(2) AND Sum(1) ;
   rtlc26n959 <= not_rtlcn137 OR not_rtlc26n952 ;
   rtlc26n960 <= rtlc26n959 AND Sum(6) ;
   rtlc26n974 <= rtlc26n973 AND rtlc26n347(4) ;
   not_rtlc26n347_5 <= NOT rtlc26n347(5) ;
   rtlc26n976 <= rtlc26n974 OR not_rtlc26n347_5 ;
   rtlc26_649_and_1309 : and_4u_4u port map ( a(3)=>rtlc26n375(3), a(2)=>
      rtlc26n375(2), a(1)=>rtlc26n375(1), a(0)=>rtlc26n375(0), d=>rtlc26n995
   );
   rtlc26n998 <= not_rtlcn138 OR rtlc26n375(5) ;
   rtlc26n375(4) <= rtlcn4010 XOR Cal(4) ;
   not_rtlcn4010 <= NOT rtlcn4010 ;
   rtlc26n375(5) <= not_rtlcn4010 AND Cal(4) ;
   rtlc26n347(5) <= not_rtlcn4027 OR Cal(4) ;
   rtlc26_691_or_1311 : or_5u_5u port map ( a(4)=>Cal(0), a(3)=>Cal(1), a(2)
      =>Cal(2), a(1)=>Cal(3), a(0)=>Cal(4), d=>rtlc26n1074);
   not_Cal_4 <= NOT Cal(4) ;
   Reduce_Minus_On_26n1s1 <= rtlc26n1074 AND not_Cal_4 ;
   TxSense_select_29i1 : select_3_3 port map ( a(2)=>rtlc29n928, a(1)=>
      rtlc29n929, a(0)=>AmnonHofman(7), b(2)=>GND, b(1)=>PWR, b(0)=>
      Tx_Inhibit, d=>TxSense_29n20ss1);
   rtlc29_212_or_1316 : or_5u_5u port map ( a(4)=>AmnonHofman(0), a(3)=>
      AmnonHofman(8), a(2)=>AmnonHofman(9), a(1)=>AmnonHofman(10), a(0)=>
      AmnonHofman(11), d=>rtlc29n928);
   rtlc29_213_or_1317 : or_6u_6u port map ( a(5)=>AmnonHofman(1), a(4)=>
      AmnonHofman(2), a(3)=>AmnonHofman(3), a(2)=>AmnonHofman(4), a(1)=>
      AmnonHofman(5), a(0)=>AmnonHofman(6), d=>rtlc29n929);
   rtlc29_311_or_1318 : or_6u_6u port map ( a(5)=>AmnonHofman(1), a(4)=>
      AmnonHofman(3), a(3)=>AmnonHofman(5), a(2)=>AmnonHofman(6), a(1)=>
      AmnonHofman(8), a(0)=>AmnonHofman(9), d=>rtlc29n1010);
   rtlc29n695 <= Shorten_Minus AND not_TxN ;
   rtlc29n670 <= Shorten_Plus AND not_Tx ;
   rtlc29n1261 <= rtlc29n1260 AND Count(3) ;
   rtlc29n1262 <= Count(4) OR rtlc29n1261 ;
   rtlc29n1263 <= Count(5) AND rtlc29n1262 ;
   rtlc29n1264 <= rtlc29n1263 OR Count(6) ;
   rtlc29n1295 <= Half_us(1) AND Half_us(0) ;
   Count_inc7_29i2 : inc_7u_7u_0 port map ( cin=>PWR, a(6)=>Count(6), a(5)=>
      Count(5), a(4)=>Count_29n13s1f1(4), a(3)=>Count_29n13s1f1(3), a(2)=>
      Count_29n13s1f1(2), a(1)=>Count_29n13s1f1(1), a(0)=>Count_29n13s1f1(0), 
      d(6)=>Count_29n13s1_6, d(5)=>Count_29n13s1_5, d(4)=>Half_us_29n9s1(4), 
      d(3)=>Half_us_29n9s1(3), d(2)=>Half_us_29n9s1(2), d(1)=>
      Half_us_29n9s1(1), d(0)=>Half_us_29n9s1(0), cout=>DANGLING(1));
   rtlc29n1293 <= Half_us(3) OR Half_us(2) ;
   not_rtlcn134 <= NOT rtlcn134 ;
   rtlc29n1347 <= AmnonHofman(2) OR AmnonHofman(4) ;
   not_rtlcn135 <= NOT rtlcn135 ;
   not_rtlcn136 <= NOT rtlcn136 ;
   rtlc23n649 <= Count_1us(5) OR Count_1us(4) ;
   rtlc26n935 <= Sum(6) OR Sum(5) ;
   rtlc26n954 <= Sum(4) OR Sum(3) ;
   not_rtlcn137 <= NOT rtlcn137 ;
   not_rtlcn138 <= NOT rtlcn138 ;
   rtlc17n221 <= Rx_energy(5) OR Rx_energy(4) ;
   rtlcn134 <= rtlc29n1293 OR rtlc29n1295 ;
   rtlcn135 <= rtlc23n618 OR Count23us(0) ;
   rtlcn136 <= Count_1us(5) OR rtlc23n634 ;
   rtlcn137 <= rtlc26n954 OR rtlc26n956 ;
   rtlcn138 <= rtlc26n375(4) OR rtlc26n995 ;
   rtlcn140 <= rtlc17n221 OR rtlc17n223 ;
   AmnonHofman_fsm_select_29i3 : select_3_3 port map ( a(2)=>not_rtlcn828, 
      a(1)=>AmnonHofman(3), a(0)=>rtlcn334, b(2)=>GND, b(1)=>
      AmnonHofman_fsm_29n8ss1_4, b(0)=>PWR, d=>AmnonHofman_fsm_29n20ss1_4);
   AmnonHofman_fsm_select_29i4 : select_3_3 port map ( a(2)=>not_rtlcn829, 
      a(1)=>AmnonHofman(1), a(0)=>rtlcn347, b(2)=>GND, b(1)=>
      AmnonHofman_fsm_29n4ss1_2, b(0)=>PWR, d=>AmnonHofman_fsm_29n20ss1_2);
   Cal_select_26i7Bus12_4 : select_3_3 port map ( a(2)=>calib(4), a(1)=>
      rtlcn478, a(0)=>not_rtlcn830, b(2)=>Cal_26n7ss1_4, b(1)=>GND, b(0)=>
      rtlc26n375(4), d=>Cal_26n14ss1(4));
   Cal_select_26i7Bus12_3 : select_3_3 port map ( a(2)=>calib(5), a(1)=>
      rtlcn481, a(0)=>not_rtlcn831, b(2)=>Cal_26n9ss1(3), b(1)=>GND, b(0)=>
      rtlc26n347(3), d=>Cal_26n14ss1(3));
   Cal_select_26i7Bus12_2 : select_3_3 port map ( a(2)=>calib(5), a(1)=>
      rtlcn481, a(0)=>not_rtlcn831, b(2)=>Cal_26n9ss1(2), b(1)=>GND, b(0)=>
      rtlc26n347(2), d=>Cal_26n14ss1(2));
   Cal_select_26i7Bus12_1 : select_3_3 port map ( a(2)=>calib(5), a(1)=>
      rtlcn481, a(0)=>not_rtlcn831, b(2)=>Cal_26n9ss1(1), b(1)=>GND, b(0)=>
      rtlc26n347(1), d=>Cal_26n14ss1(1));
   Cal_select_26i8 : select_4_4 port map ( a(3)=>calib(6), a(2)=>rtlcn552, 
      a(1)=>rtlcn549, a(0)=>rtlcn551, b(3)=>GND, b(2)=>PWR, b(1)=>
      rtlc26n347(0), b(0)=>rtlc26n375(0), d=>Cal_26n14ss1(0));
   TxNSital_select_29i5 : select_3_3 port map ( a(2)=>not_rtlcn832, a(1)=>
      rtlc29n926, a(0)=>rtlcn575, b(2)=>GND, b(1)=>TxN, b(0)=>Rx_ok, d=>
      TxNSital_29n20ss1);
   TxSital_select_29i6 : select_3_3 port map ( a(2)=>not_rtlcn833, a(1)=>
      rtlc29n926, a(0)=>rtlcn578, b(2)=>GND, b(1)=>Tx, b(0)=>Rx_ok, d=>
      TxSital_29n20ss1);
   not_Tx <= NOT Tx ;
   not_TxN <= NOT TxN ;
   not_Regular <= NOT Regular ;
   not_rtlc23n228 <= NOT rtlc23n228 ;
   rtlc_886_or_1331 : or_5u_5u port map ( a(4)=>AmnonHofman(0), a(3)=>
      AmnonHofman(2), a(2)=>AmnonHofman(4), a(1)=>AmnonHofman(7), a(0)=>
      AmnonHofman(10), d=>rtlcn695);
   rtlcn316 <= calib(4) OR calib(5) ;
   rtlcn711 <= AmnonHofman(4) AND TxN ;
   rtlcn712 <= rtlcs25 AND AmnonHofman(9) ;
   rtlcn334 <= rtlcn711 OR rtlcn712 ;
   rtlcn715 <= AmnonHofman(2) AND Tx ;
   rtlcn716 <= rtlcs31 AND AmnonHofman(8) ;
   rtlcn347 <= rtlcn715 OR rtlcn716 ;
   not_rtlc26n998 <= NOT rtlc26n998 ;
   rtlcn720 <= calib(5) AND not_rtlc26n998 ;
   rtlcn478 <= calib(6) OR rtlcn720 ;
   not_rtlc26n976 <= NOT rtlc26n976 ;
   rtlcn724 <= calib(4) AND not_rtlc26n976 ;
   rtlcn481 <= calib(6) OR rtlcn724 ;
   rtlcn552 <= rtlcn720 OR rtlcn724 ;
   rtlcn549 <= rtlc26n976 AND calib(4) ;
   rtlcn551 <= rtlc26n998 AND calib(5) ;
   not_rtlc29n695 <= NOT rtlc29n695 ;
   rtlcn575 <= AmnonHofman(4) AND not_rtlc29n695 ;
   not_rtlc29n670 <= NOT rtlc29n670 ;
   rtlcn578 <= AmnonHofman(2) AND not_rtlc29n670 ;
   not_resetN <= NOT resetN ;
   rtlcn734 <= AmnonHofman(4) AND rtlcs15 ;
   not_rtlcs28 <= NOT rtlcs28 ;
   rtlcn736 <= AmnonHofman(6) AND not_rtlcs28 ;
   rtlcn327 <= rtlcn734 OR rtlcn736 ;
   rtlcn737 <= AmnonHofman(2) AND rtlcs21 ;
   not_rtlc29n856 <= NOT rtlc29n856 ;
   rtlcn739 <= AmnonHofman(3) AND not_rtlc29n856 ;
   rtlcn340 <= rtlcn737 OR rtlcn739 ;
   not_rtlc29n842 <= NOT rtlc29n842 ;
   rtlcn741 <= AmnonHofman(1) AND not_rtlc29n842 ;
   rtlcn742 <= AmnonHofman(4) AND rtlcs16 ;
   rtlcn353 <= rtlcn741 OR rtlcn742 ;
   rtlcn743 <= AmnonHofman(7) AND Regular ;
   rtlcn701 <= AmnonHofman(10) OR rtlcn743 ;
   rtlcn702 <= TxN OR Regular ;
   rtlcn704 <= Tx OR rtlcn702 ;
   rtlcn703 <= AmnonHofman(6) OR AmnonHofman(5) ;
   rtlcn744 <= TxN AND AmnonHofman(9) ;
   rtlcn745 <= Tx AND AmnonHofman(8) ;
   not_rtlcs22 <= NOT rtlcs22 ;
   rtlcn747 <= AmnonHofman(1) AND not_rtlcs22 ;
   not_rtlcs17 <= NOT rtlcs17 ;
   rtlcn749 <= AmnonHofman(3) AND not_rtlcs17 ;
   rtlcn750 <= AmnonHofman(0) AND rtlcn704 ;
   rtlcn751 <= not_rtlcs28 AND rtlcn703 ;
   rtlc_1026_or_1332 : or_10u_10u port map ( a(9)=>AmnonHofman(2), a(8)=>
      AmnonHofman(4), a(7)=>AmnonHofman(11), a(6)=>rtlcn701, a(5)=>rtlcn744, 
      a(4)=>rtlcn745, a(3)=>rtlcn747, a(2)=>rtlcn749, a(1)=>rtlcn750, a(0)=>
      rtlcn751, d=>rtlcn699);
   not_rtlcn699 <= NOT rtlcn699 ;
   not_Tx_Inhibit <= NOT Tx_Inhibit ;
   rtlcn389 <= not_Tx_Inhibit AND rtlcn701 ;
   rtlcn753 <= AmnonHofman(7) AND Tx_Inhibit ;
   rtlcn705 <= AmnonHofman(0) OR rtlcn753 ;
   rtlcn754 <= AmnonHofman(11) AND rtlc29n1264 ;
   rtlcn755 <= Regular AND rtlcn705 ;
   rtlcn402 <= rtlcn754 OR rtlcn755 ;
   rtlcn756 <= AmnonHofman(10) AND Tx_Inhibit ;
   not_rtlc29n1264 <= NOT rtlc29n1264 ;
   rtlcn758 <= AmnonHofman(11) AND not_rtlc29n1264 ;
   rtlcn409 <= rtlcn756 OR rtlcn758 ;
   rtlcn759 <= AmnonHofman(5) AND not_rtlcs28 ;
   rtlcn760 <= AmnonHofman(2) AND rtlcs20 ;
   rtlcn416 <= rtlcn759 OR rtlcn760 ;
   not_rtlc29n867 <= NOT rtlc29n867 ;
   rtlcn762 <= AmnonHofman(8) AND not_rtlc29n867 ;
   not_rtlcn702 <= NOT rtlcn702 ;
   rtlcn431 <= rtlcn762 OR rtlcn764 ;
   not_rtlc29n873 <= NOT rtlc29n873 ;
   rtlcn766 <= AmnonHofman(9) AND not_rtlc29n873 ;
   rtlcn442 <= rtlcn766 OR rtlcn768 ;
   rtlc_1052_and_1335 : and_4u_4u port map ( a(3)=>rtlc23n228, a(2)=>
      rtlc23n240, a(1)=>Reduce_Plus_On, a(0)=>snubb(0), d=>rtlcn454);
   rtlcn700 <= rtlc23n174 OR rtlcn769 ;
   not_rtlc23n304 <= NOT rtlc23n304 ;
   rtlcn772 <= TxSense_EXMPLR3558 AND not_rtlc23n304 ;
   rtlcn706 <= not_snubb_0 OR rtlcn772 ;
   rtlcn475 <= rtlcn700 AND rtlcn706 ;
   rtlcn485 <= calib(3) AND rtlc26n960 ;
   rtlcn489 <= calib(7) AND rtlcs11 ;
   not_rtlcs11 <= NOT rtlcs11 ;
   rtlcn774 <= calib(7) AND not_rtlcs11 ;
   rtlcn775 <= rtlcs12 AND calib(2) ;
   rtlcn495 <= rtlcn774 OR rtlcn775 ;
   not_TxSense <= NOT TxSense_EXMPLR3558 ;
   rtlcn777 <= calib(1) AND not_TxSense ;
   not_rtlcs12 <= NOT rtlcs12 ;
   rtlcn779 <= not_rtlcs12 AND calib(2) ;
   rtlcn502 <= rtlcn777 OR rtlcn779 ;
   rtlcn780 <= not_Regular AND calib(0) ;
   rtlcn707 <= calib(1) OR rtlcn780 ;
   rtlcn513 <= TxSense_EXMPLR3558 AND rtlcn707 ;
   rtlcn781 <= not_TxSense AND calib(0) ;
   rtlcn708 <= calib(6) OR rtlcn781 ;
   rtlcn782 <= not_Regular AND rtlcn708 ;
   not_rtlc26n960 <= NOT rtlc26n960 ;
   not_rtlc26n942 <= NOT rtlc26n942 ;
   rtlcn533 <= calib(3) AND rtlc26n942 ;
   rtlcn539 <= Regular AND rtlc26n625 ;
   not_Reduce_Plus_On <= NOT Reduce_Plus_On ;
   rtlc_1086_and_1338 : and_5u_5u port map ( a(4)=>rtlc23n228, a(3)=>
      rtlc23n240, a(2)=>not_Reduce_Plus_On, a(1)=>snubb(0), a(0)=>
      Reduce_Minus_On, d=>rtlcn567);
   rtlcn710 <= Rx_energy(1) OR Rx_energy(0) ;
   rtlcn787 <= Rx_energy(2) AND rtlcn710 ;
   rtlc_1089_or_1339 : or_6u_6u port map ( a(5)=>Rx_energy(3), a(4)=>
      Rx_energy(4), a(3)=>Rx_energy(5), a(2)=>Rx_energy(6), a(1)=>rtlc20n86, 
      a(0)=>rtlcn787, d=>rtlcn573);
   rtlc_1090_or_1340 : or_4u_4u port map ( a(3)=>calib(4), a(2)=>calib(5), 
      a(1)=>rtlcn782, a(0)=>rtlcn785, d=>rtlcn527);
   rtlc29n867 <= rtlcs27 OR not_Tx ;
   rtlc29n873 <= rtlcs27 OR not_TxN ;
   not_calib_7 <= NOT calib(7) ;
   not_RxSital <= NOT RxSital ;
   not_rtlcn828 <= NOT rtlcn828 ;
   not_rtlcn829 <= NOT rtlcn829 ;
   not_rtlcn830 <= NOT rtlcn830 ;
   not_rtlcn831 <= NOT rtlcn831 ;
   not_rtlcn832 <= NOT rtlcn832 ;
   not_rtlcn833 <= NOT rtlcn833 ;
   Count_29n13s1f1(4) <= Half_us(4) when rtlc29n1347 = '1' else Count(4) ;
   Count_29n13s1f1(3) <= Half_us(3) when rtlc29n1347 = '1' else Count(3) ;
   Count_29n13s1f1(2) <= Half_us(2) when rtlc29n1347 = '1' else Count(2) ;
   Count_29n13s1f1(1) <= Half_us(1) when rtlc29n1347 = '1' else Count(1) ;
   Count_29n13s1f1(0) <= Half_us(0) when rtlc29n1347 = '1' else Count(0) ;
   rtlcn834 <= rtlc26n457 OR not_calib_7 ;
   not_CE <= NOT CE ;
   rtlc26n680 <= CE AND rtlc26n703 ;
   not_rtlcn316 <= NOT rtlcn316 ;
   rtlcn835 <= rtlc26n1011 OR not_rtlcn316 ;
   rtlc26n665 <= CE AND rtlc26n625 ;
   not_rtlc29n1347 <= NOT rtlc29n1347 ;
   rtlcn836 <= rtlc20n86 OR not_rtlc29n1347 ;
   not_rtlc29n1010 <= NOT rtlc29n1010 ;
   rtlcs6 <= rtlcs7 AND rtlcs3 ;
   rtlcs17 <= not_TxN AND rtlcs19 ;
   rtlcs22 <= not_Tx AND rtlcs19 ;
   rtlcs25 <= TxN AND rtlcs27 ;
   rtlcs28 <= rtlcs29 AND rtlcs30 ;
   rtlcs31 <= Tx AND rtlcs27 ;
   rtlcs27 <= rtlcs33 AND rtlcs30 ;
   rtlcs34 <= rtlcs35 AND rtlcs30 ;
   rtlcs37 <= not_Shorten_Minus AND rtlcs19 ;
   rtlcs39 <= not_Shorten_Plus AND rtlcs19 ;
   not_Rx_energy_5 <= NOT Rx_energy(5) ;
   not_Rx_energy_4 <= NOT Rx_energy(4) ;
   not_Rx_energy_3 <= NOT Rx_energy(3) ;
   not_Rx_energy_2 <= NOT Rx_energy(2) ;
   not_Rx_energy_1 <= NOT Rx_energy(1) ;
   not_Rx_energy_0 <= NOT Rx_energy(0) ;
   not_rtlcn695 <= NOT rtlcn695 ;
   Count_29n20ss1(4) <= Half_us_29n9s1(4) AND not_rtlcn695 ;
   Count_29n20ss1(2) <= Half_us_29n9s1(2) AND not_rtlcn695 ;
   Count_29n20ss1(0) <= Half_us_29n9s1(0) AND not_rtlcn695 ;
   not_Count_4 <= NOT Count(4) ;
   not_Count_2 <= NOT Count(2) ;
   Count_29n20ss1(5) <= Count_29n13s1_5 AND not_rtlcn695 ;
   Count_29n20ss1(3) <= Half_us_29n9s1(3) AND not_rtlcn695 ;
   Count_29n20ss1(1) <= Half_us_29n9s1(1) AND not_rtlcn695 ;
   not_Count_6 <= NOT Count(6) ;
   not_Count_5 <= NOT Count(5) ;
   not_Count_3 <= NOT Count(3) ;
   not_Count_1 <= NOT Count(1) ;
   rtlc_1336_and_1348 : and_4u_4u port map ( a(3)=>not_Count_6, a(2)=>
      not_Count_5, a(1)=>not_Count_3, a(0)=>not_Count_1, d=>rtlcs30);
   rtlcs35 <= not_Count_4 AND Count(2) ;
   not_Count_0 <= NOT Count(0) ;
   rtlcs19 <= not_Count_0 AND rtlcs34 ;
   rtlcs21 <= not_Tx AND not_Tx_Inhibit ;
   Cal_26n9ss1(2) <= rtlc26n375(2) OR not_rtlc26n998 ;
   not_Micro_5 <= NOT Micro(5) ;
   not_Micro_4 <= NOT Micro(4) ;
   not_Micro_3 <= NOT Micro(3) ;
   not_Micro_2 <= NOT Micro(2) ;
   not_Micro_1 <= NOT Micro(1) ;
   rtlc_1364_and_1349 : and_6u_6u port map ( a(5)=>not_Micro_5, a(4)=>
      not_Micro_4, a(3)=>not_Micro_3, a(2)=>not_Micro_2, a(1)=>not_Micro_1, 
      a(0)=>Micro(0), d=>rtlcs12);
   not_RxNSital <= NOT RxNSital ;
   rtlcs14 <= not_RxNSital AND RxSital ;
   rtlcs13 <= RxNSital AND not_RxSital ;
   not_Micro_0 <= NOT Micro(0) ;
   rtlc_1392_and_1350 : and_6u_6u port map ( a(5)=>Micro(5), a(4)=>
      not_Micro_4, a(3)=>not_Micro_3, a(2)=>Micro(2), a(1)=>Micro(1), a(0)=>
      not_Micro_0, d=>rtlcs11);
   rtlcn831 <= calib(5) OR rtlcn481 ;
   Cal_26n9ss1(1) <= rtlc26n375(1) OR not_rtlc26n998 ;
   not_calib_6 <= NOT calib(6) ;
   Delta_26n14ss1(2) <= Delta(3) AND not_calib_6 ;
   Delta_26n14ss1(1) <= Delta(2) AND not_calib_6 ;
   Delta_26n14ss1(0) <= Delta(1) AND not_calib_6 ;
   Cal_26n9ss1(3) <= rtlc26n375(3) OR not_rtlc26n998 ;
   Cal_26n7ss1_4 <= rtlc26n347(4) OR not_rtlc26n976 ;
   rtlcn830 <= rtlcn478 OR calib(4) ;
   not_Shorten_Minus <= NOT Shorten_Minus ;
   rtlc_1428_and_1351 : and_4u_4u port map ( a(3)=>rtlcs34, a(2)=>
      Shorten_Minus, a(1)=>Count(0), a(0)=>TxN, d=>rtlcs24);
   rtlcn828 <= rtlcn334 OR AmnonHofman(3) ;
   rtlcs20 <= not_Tx AND Tx_Inhibit ;
   rtlcs15 <= not_TxN AND Tx_Inhibit ;
   not_Count_1us_5 <= NOT Count_1us(5) ;
   not_Count_1us_4 <= NOT Count_1us(4) ;
   not_Count_1us_2 <= NOT Count_1us(2) ;
   not_Count23us_3 <= NOT Count23us(3) ;
   not_Count23us_2 <= NOT Count23us(2) ;
   not_Count23us_1 <= NOT Count23us(1) ;
   not_Count_1us_3 <= NOT Count_1us(3) ;
   not_Count_1us_1 <= NOT Count_1us(1) ;
   not_Count_1us_0 <= NOT Count_1us(0) ;
   not_Shorten_Plus <= NOT Shorten_Plus ;
   rtlc_1469_and_1358 : and_4u_4u port map ( a(3)=>rtlcs34, a(2)=>
      Shorten_Plus, a(1)=>Count(0), a(0)=>Tx, d=>rtlcs36);
   rtlcs16 <= not_TxN AND not_Tx_Inhibit ;
   rtlcn829 <= rtlcn347 OR AmnonHofman(1) ;
   Count_29n20ss1(6) <= Count_29n13s1_6 AND not_rtlcn695 ;
   Half_us_29n20ss1(4) <= Half_us_29n9s1(4) AND rtlc29n1347 ;
   Half_us_29n20ss1(2) <= Half_us_29n9s1(2) AND rtlc29n1347 ;
   Half_us_29n20ss1(1) <= Half_us_29n9s1(1) AND rtlc29n1347 ;
   Half_us_29n20ss1(0) <= Half_us_29n9s1(0) AND rtlc29n1347 ;
   Half_us_29n20ss1(3) <= Half_us_29n9s1(3) AND rtlc29n1347 ;
   TxN_SN_29n20ss1 <= Rx_ok AND AmnonHofman(6) ;
   Tx_SN_29n20ss1 <= Rx_ok AND AmnonHofman(5) ;
   rtlcn832 <= rtlc29n926 OR rtlcn575 ;
   rtlcn833 <= rtlc29n926 OR rtlcn578 ;
   rtlc17n153 <= rtlcn140 AND Rx_energy(6) ;
   rtlc_1814_or_1359 : or_4u_4u port map ( a(3)=>Fixed(0), a(2)=>Fixed(1), 
      a(1)=>Fixed(2), a(0)=>Fixed(3), d=>rtlc23n173);
   rtlcn769 <= snubb(1) OR snubb(0) ;
   modgen_counter_Rx_energy : counter_updn_aclear_clock_clk_en_0_7
       port map ( clock=>clock, q(6)=>Rx_energy(6), q(5)=>Rx_energy(5), q(4)
      =>Rx_energy(4), q(3)=>Rx_energy(3), q(2)=>Rx_energy(2), q(1)=>
      Rx_energy(1), q(0)=>Rx_energy(0), clk_en=>not_rtlc17_X_0_n125, aclear
      =>not_resetN, sload=>GND, data(6)=>DANGLING(2), data(5)=>DANGLING(3), 
      data(4)=>DANGLING(4), data(3)=>DANGLING(5), data(2)=>DANGLING(6), 
      data(1)=>DANGLING(7), data(0)=>DANGLING(8), aset=>GND, sclear=>GND, 
      updn=>Rx_On, cnt_en=>PWR);
   modgen_counter_Count_1us : counter_dn_sload_aclear_clock_clk_en_0_6
       port map ( clock=>clock, q(5)=>Count_1us(5), q(4)=>Count_1us(4), q(3)
      =>Count_1us(3), q(2)=>Count_1us(2), q(1)=>Count_1us(1), q(0)=>
      Count_1us(0), clk_en=>CE, aclear=>not_resetN, sload=>rtlc23_X_0_n397, 
      data(5)=>PWR, data(4)=>GND, data(3)=>GND, data(2)=>PWR, data(1)=>PWR, 
      data(0)=>PWR, aset=>GND, sclear=>GND, updn=>GND, cnt_en=>PWR);
   modgen_counter_Count23us : counter_dn_sload_aclear_clock_clk_en_0_5
       port map ( clock=>clock, q(4)=>Count23us(4), q(3)=>Count23us(3), q(2)
      =>Count23us(2), q(1)=>Count23us(1), q(0)=>Count23us(0), clk_en=>
      not_rtlc23n424, aclear=>not_resetN, sload=>rtlc23n436, data(4)=>PWR, 
      data(3)=>GND, data(2)=>PWR, data(1)=>GND, data(0)=>GND, aset=>GND, 
      sclear=>GND, updn=>GND, cnt_en=>PWR);
   modgen_counter_Fixed : counter_dn_sload_aclear_clock_clk_en_0_4
       port map ( clock=>clock, q(3)=>Fixed(3), q(2)=>Fixed(2), q(1)=>
      Fixed(1), q(0)=>Fixed(0), clk_en=>not_rtlc23_X_0_n472, aclear=>
      not_resetN, sload=>rtlc23n436, data(3)=>Num_Of_Fixes(3), data(2)=>
      Num_Of_Fixes(2), data(1)=>Num_Of_Fixes(1), data(0)=>Num_Of_Fixes(0), 
      aset=>GND, sclear=>GND, updn=>GND, cnt_en=>PWR);
   not_rtlcn4027 <= NOT rtlcn4027 ;
   rtlc_2515_add_1362 : add_4u_4u_4u_0_0 port map ( cin=>GND, a(3)=>Cal(3), 
      a(2)=>Cal(2), a(1)=>Cal(1), a(0)=>Cal(0), b(3)=>Delta(3), b(2)=>
      Delta(2), b(1)=>Delta(1), b(0)=>Delta(0), d(3)=>rtlc26n375(3), d(2)=>
      rtlc26n375(2), d(1)=>rtlc26n375(1), d(0)=>rtlc26n375(0), cout=>
      rtlcn4010);
   rtlc_2524_sub_1363 : sub_4u_4u_4u_0 port map ( cin=>PWR, a(3)=>Cal(3), 
      a(2)=>Cal(2), a(1)=>Cal(1), a(0)=>Cal(0), b(3)=>Delta(3), b(2)=>
      Delta(2), b(1)=>Delta(1), b(0)=>Delta(0), d(3)=>rtlc26n347(3), d(2)=>
      rtlc26n347(2), d(1)=>rtlc26n347(1), d(0)=>rtlc26n347(0), cout=>
      rtlcn4027);
   Rx_On_17n1s2 <= NOT (RxSital XOR RxNSital) ;
   rtlc26n347(4) <= NOT (rtlcn4027 XOR Cal(4)) ;
   DFFPCE (not_Rx_On_17n1s2,GND,not_resetN,CE,clock,Rx_On) ;
   DFFPCE (rtlcn573,not_resetN,GND,CE,clock,Rx_ok) ;
   DFFPCE (rtlcn462,GND,not_resetN,CE,clock,snubb(1)) ;
   DFFPCE (rtlcn475,GND,not_resetN,CE,clock,snubb(0)) ;
   DFFPCE (rtlcn454,GND,not_resetN,CE,clock,Shorten_Plus) ;
   DFFPCE (rtlcn567,GND,not_resetN,CE,clock,Shorten_Minus) ;
   DFFPCE (rtlcn495,GND,not_resetN,CE,clock,calib(7)) ;
   DFFPCE (rtlcn539,not_resetN,GND,CE,clock,calib(6)) ;
   DFFPCE (rtlcn533,GND,not_resetN,CE,clock,calib(5)) ;
   DFFPCE (rtlcn485,GND,not_resetN,CE,clock,calib(4)) ;
   DFFPCE (rtlcn489,GND,not_resetN,CE,clock,calib(3)) ;
   DFFPCE (rtlcn502,GND,not_resetN,CE,clock,calib(2)) ;
   DFFPCE (rtlcn513,GND,not_resetN,CE,clock,calib(1)) ;
   DFFPCE (rtlcn527,GND,not_resetN,CE,clock,calib(0)) ;
   DFFPCE (calib(6),not_resetN,GND,rtlc26n674,clock,Delta(3)) ;
   DFFPCE (Delta_26n14ss1(2),GND,not_resetN,rtlc26n674,clock,Delta(2)) ;
   DFFPCE (Delta_26n14ss1(1),GND,not_resetN,rtlc26n674,clock,Delta(1)) ;
   DFFPCE (Delta_26n14ss1(0),GND,not_resetN,rtlc26n674,clock,Delta(0)) ;
   DFFPCE (Cal_26n14ss1(4),GND,not_resetN,rtlc26n670,clock,Cal(4)) ;
   DFFPCE (Cal_26n14ss1(3),GND,not_resetN,rtlc26n670,clock,Cal(3)) ;
   DFFPCE (Cal_26n14ss1(2),GND,not_resetN,rtlc26n670,clock,Cal(2)) ;
   DFFPCE (Cal_26n14ss1(1),GND,not_resetN,rtlc26n670,clock,Cal(1)) ;
   DFFPCE (Cal_26n14ss1(0),GND,not_resetN,rtlc26n670,clock,Cal(0)) ;
   DFFPCE (Cal(4),GND,not_resetN,rtlc26n665,clock,Reduce_Plus_On) ;
   DFFPCE (Reduce_Minus_On_26n1s1,GND,not_resetN,rtlc26n665,clock,
   Reduce_Minus_On) ;
   DFFPCE (Num_Of_Fixes_26n1s1(3),GND,not_resetN,rtlc26n665,clock,
   Num_Of_Fixes(3)) ;
   DFFPCE (Num_Of_Fixes_26n1s1(2),GND,not_resetN,rtlc26n665,clock,
   Num_Of_Fixes(2)) ;
   DFFPCE (Num_Of_Fixes_26n1s1(1),GND,not_resetN,rtlc26n665,clock,
   Num_Of_Fixes(1)) ;
   DFFPCE (Num_Of_Fixes_26n1s1(0),GND,not_resetN,rtlc26n665,clock,
   Num_Of_Fixes(0)) ;
   DFFPCE (rtlcn409,GND,not_resetN,CE,clock,AmnonHofman(11)) ;
   DFFPCE (rtlcn389,GND,not_resetN,CE,clock,AmnonHofman(10)) ;
   DFFPCE (rtlcn442,GND,not_resetN,CE,clock,AmnonHofman(9)) ;
   DFFPCE (rtlcn431,GND,not_resetN,CE,clock,AmnonHofman(8)) ;
   DFFPCE (rtlcn402,GND,not_resetN,CE,clock,AmnonHofman(7)) ;
   DFFPCE (rtlcn327,GND,not_resetN,CE,clock,AmnonHofman(6)) ;
   DFFPCE (rtlcn416,GND,not_resetN,CE,clock,AmnonHofman(5)) ;
   DFFPCE (AmnonHofman_fsm_29n20ss1_4,GND,not_resetN,CE,clock,AmnonHofman(4)
   ) ;
   DFFPCE (rtlcn340,GND,not_resetN,CE,clock,AmnonHofman(3)) ;
   DFFPCE (AmnonHofman_fsm_29n20ss1_2,GND,not_resetN,CE,clock,AmnonHofman(2)
   ) ;
   DFFPCE (rtlcn353,GND,not_resetN,CE,clock,AmnonHofman(1)) ;
   DFFPCE (not_rtlcn699,not_resetN,GND,CE,clock,AmnonHofman(0)) ;
   DFFPCE (Tx_SN_29n20ss1,GND,not_resetN,CE,clock,Tx_SN) ;
   DFFPCE (TxSital_29n20ss1,GND,not_resetN,CE,clock,Tx_Sital) ;
   DFFPCE (TxSense_29n20ss1,GND,not_resetN,CE,clock,TxSense_EXMPLR3558) ;
   DFFPCE (TxN_SN_29n20ss1,GND,not_resetN,CE,clock,TxN_SN) ;
   DFFPCE (TxNSital_29n20ss1,GND,not_resetN,CE,clock,TxN_Sital) ;
   DFFPCE (Half_us_29n20ss1(4),GND,not_resetN,rtlc29n992,clock,Half_us(4)) ;
   DFFPCE (Half_us_29n20ss1(3),GND,not_resetN,rtlc29n992,clock,Half_us(3)) ;
   DFFPCE (Half_us_29n20ss1(2),GND,not_resetN,rtlc29n992,clock,Half_us(2)) ;
   DFFPCE (Half_us_29n20ss1(1),GND,not_resetN,rtlc29n992,clock,Half_us(1)) ;
   DFFPCE (Half_us_29n20ss1(0),GND,not_resetN,rtlc29n992,clock,Half_us(0)) ;
   DFFPCE (Count_29n20ss1(6),GND,not_resetN,CE,clock,Count(6)) ;
   DFFPCE (Count_29n20ss1(5),GND,not_resetN,CE,clock,Count(5)) ;
   DFFPCE (Count_29n20ss1(4),GND,not_resetN,CE,clock,Count(4)) ;
   DFFPCE (Count_29n20ss1(3),GND,not_resetN,CE,clock,Count(3)) ;
   DFFPCE (Count_29n20ss1(2),GND,not_resetN,CE,clock,Count(2)) ;
   DFFPCE (Count_29n20ss1(1),GND,not_resetN,CE,clock,Count(1)) ;
   DFFPCE (Count_29n20ss1(0),GND,not_resetN,CE,clock,Count(0)) ;
   rtlc17_26_or_1300_nx0 <= not_CE OR rtlc17n121 ;
   rtlc17_X_0_n125 <= rtlc17_26_or_1300_nx0 OR rtlc17n124 ;
   rtlc23n436 <= snubb(1) OR not_snubb_0 ;
   rtlc23_X_0_n397 <= rtlc23n436 OR rtlcs6 ;
   rtlc23_268_or_1303_nx0 <= Count23us(1) OR Count23us(2) ;
   rtlc23n618 <= rtlc23_268_or_1303_nx0 OR Count23us(3) ;
   rtlc26n698 <= rtlcn316 OR calib(6) ;
   rtlc26_209_or_1307_nx0 <= calib(1) OR calib(2) ;
   rtlc26n703 <= rtlc26_209_or_1307_nx0 OR calib(7) ;
   rtlc26_642_or_1308_nx0 <= rtlc26n347(1) OR rtlc26n347(2) ;
   rtlc26n973 <= rtlc26_642_or_1308_nx0 OR rtlc26n347(3) ;
   rtlc26_660_or_1310_nx0 <= Delta(1) OR Delta(2) ;
   rtlc26n1011 <= rtlc26_660_or_1310_nx0 OR Delta(3) ;
   rtlc29_208_or_1314_nx0 <= AmnonHofman(7) OR AmnonHofman(10) ;
   rtlc29n926 <= rtlc29_208_or_1314_nx0 OR AmnonHofman(11) ;
   rtlc29_856_or_1319_nx0 <= Count(0) OR Count(1) ;
   rtlc29n1260 <= rtlc29_856_or_1319_nx0 OR Count(2) ;
   rtlc_300_or_1321_nx0 <= not_CE OR rtlc23n467 ;
   rtlc23_X_0_n472 <= rtlc_300_or_1321_nx0 OR rtlc23n471 ;
   rtlc_1045_and_1333_nx0 <= Tx AND AmnonHofman(0) ;
   rtlcn764 <= rtlc_1045_and_1333_nx0 AND not_rtlcn702 ;
   rtlc_1050_and_1334_nx0 <= TxN AND not_Regular ;
   rtlcn768 <= rtlc_1050_and_1334_nx0 AND AmnonHofman(0) ;
   rtlc_1080_and_1337_nx0 <= calib(3) AND not_rtlc26n960 ;
   rtlcn785 <= rtlc_1080_and_1337_nx0 AND not_rtlc26n942 ;
   rtlc_1096_or_1341_nx0 <= rtlcs17 OR rtlcs24 ;
   rtlc29n856 <= rtlc_1096_or_1341_nx0 OR rtlcs37 ;
   rtlc_1102_or_1342_nx0 <= rtlcs22 OR rtlcs36 ;
   rtlc29n842 <= rtlc_1102_or_1342_nx0 OR rtlcs39 ;
   rtlc_1292_and_1343_nx0 <= CE AND rtlc26n628 ;
   rtlc26n687 <= rtlc_1292_and_1343_nx0 AND rtlcn834 ;
   rtlc26n670 <= CE AND rtlc26n698 ;
   rtlc26n674 <= rtlc26n670 AND rtlcn835 ;
   rtlc_1306_and_1345_nx0 <= CE AND not_rtlc29n1010 ;
   rtlc29n992 <= rtlc_1306_and_1345_nx0 AND rtlcn836 ;
   rtlc_1325_and_1347_nx0 <= not_Count_4 AND not_Count_2 ;
   rtlcs33 <= rtlc_1325_and_1347_nx0 AND Count(0) ;
   rtlc_1433_and_1352_nx0 <= not_Count_2 AND Count(4) ;
   rtlcs29 <= rtlc_1433_and_1352_nx0 AND not_Count_0 ;
   rtlc_1444_and_1354_nx0 <= not_Count_1us_5 AND not_Count_1us_4 ;
   rtlcs3 <= rtlc_1444_and_1354_nx0 AND not_Count_1us_2 ;
   rtlc_1460_and_1356_nx0 <= not_Count_1us_3 AND not_Count_1us_1 ;
   rtlcs2 <= rtlc_1460_and_1356_nx0 AND Count_1us(0) ;
   rtlcs7 <= rtlc_1460_and_1356_nx0 AND not_Count_1us_0 ;
   modgen_and_0 : and_5u_5u port map ( a(4)=>Count_1us(0), a(3)=>
      Count_1us(3), a(2)=>Count_1us(1), a(1)=>rtlcs3, a(0)=>rtlc23n173, d=>
      rtlc23n274);
   modgen_and_1 : and_3u_3u port map ( a(2)=>snubb(0), a(1)=>
      TxSense_EXMPLR3558, a(0)=>rtlc23n304, d=>rtlcn462);
   modgen_counter_Sum : counter_updn_sclear_aclear_clock_clk_en_0_7
       port map ( clock=>clock, q(6)=>Sum(6), q(5)=>Sum(5), q(4)=>Sum(4), 
      q(3)=>Sum(3), q(2)=>Sum(2), q(1)=>Sum(1), q(0)=>Sum(0), clk_en=>
      rtlc26n687, aclear=>not_resetN, sload=>GND, data(6)=>DANGLING(9), 
      data(5)=>DANGLING(10), data(4)=>DANGLING(11), data(3)=>DANGLING(12), 
      data(2)=>DANGLING(13), data(1)=>DANGLING(14), data(0)=>DANGLING(15), 
      aset=>GND, sclear=>not_calib_7, updn=>RxSital, cnt_en=>PWR);
   modgen_counter_Micro : counter_updn_sload_aclear_clock_clk_en_0_6
       port map ( clock=>clock, q(5)=>Micro(5), q(4)=>Micro(4), q(3)=>
      Micro(3), q(2)=>Micro(2), q(1)=>Micro(1), q(0)=>Micro(0), clk_en=>
      rtlc26n680, aclear=>not_resetN, sload=>calib(1), data(5)=>GND, data(4)
      =>PWR, data(3)=>PWR, data(2)=>PWR, data(1)=>GND, data(0)=>PWR, aset=>
      GND, sclear=>GND, updn=>calib(7), cnt_en=>PWR);
   modgen_rom_ix715 : rom_new_0_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate
       port map ( rd_data1(0)=>AmnonHofman_fsm_29n4ss1_2, addr1(8)=>
      Shorten_Plus, addr1(7)=>Count(6), addr1(6)=>Count(5), addr1(5)=>
      Count(4), addr1(4)=>Count(3), addr1(3)=>Count(2), addr1(2)=>Count(1), 
      addr1(1)=>Count(0), addr1(0)=>Tx, rd_clk1=>DANGLING(16), rd_ena1=>PWR, 
      regce1=>PWR, rst1=>GND);
   modgen_rom_ix716 : rom_new_1_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate
       port map ( rd_data1(0)=>AmnonHofman_fsm_29n8ss1_4, addr1(8)=>
      Shorten_Minus, addr1(7)=>Count(6), addr1(6)=>Count(5), addr1(5)=>
      Count(4), addr1(4)=>Count(3), addr1(3)=>Count(2), addr1(2)=>Count(1), 
      addr1(1)=>Count(0), addr1(0)=>TxN, rd_clk1=>DANGLING(17), rd_ena1=>PWR, 
      regce1=>PWR, rst1=>GND);
   modgen_and_2 : and_8u_8u port map ( a(7)=>not_Rx_energy_6, a(6)=>
      not_Rx_energy_5, a(5)=>not_Rx_energy_4, a(4)=>not_Rx_energy_3, a(3)=>
      not_Rx_energy_2, a(2)=>not_Rx_energy_1, a(1)=>not_Rx_energy_0, a(0)=>
      not_Rx_On, d=>rtlc17n124);
   modgen_and_3 : and_7u_7u port map ( a(6)=>not_Count23us_4, a(5)=>
      not_Count23us_3, a(4)=>not_Count23us_2, a(3)=>not_Count23us_1, a(2)=>
      Count23us(0), a(1)=>rtlcs2, a(0)=>rtlcs3, d=>rtlc23n304);
end OH_Calibrate_unfold_1 ;


architecture INTERFACE_unfold_1 of counter_updn_aclear_clock_clk_en_0_7 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_7u_7u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component dec_7u_7u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx19, nx20, nx21, nx22, nx23, nx24, nx25, nx26, nx27, nx28, 
      nx29, nx30, nx31, nx32, nx33, nx34, nx35, nx36, nx37, nx38, nx39, PWR, 
      nx43, nx44, nx45, nx46, nx47, nx48, nx49: std_logic ;
   
   signal DANGLING : std_logic_vector (1 downto 0 );

begin
   q(6) <= nx20 ;
   q(5) <= nx22 ;
   q(4) <= nx24 ;
   q(3) <= nx26 ;
   q(2) <= nx28 ;
   q(1) <= nx30 ;
   q(0) <= nx32 ;
   GND <= '0' ;
   DFFPCE (nx19,GND,aclear,clk_en,clock,nx20) ;
   DFFPCE (nx21,GND,aclear,clk_en,clock,nx22) ;
   DFFPCE (nx23,GND,aclear,clk_en,clock,nx24) ;
   DFFPCE (nx25,GND,aclear,clk_en,clock,nx26) ;
   DFFPCE (nx27,GND,aclear,clk_en,clock,nx28) ;
   DFFPCE (nx29,GND,aclear,clk_en,clock,nx30) ;
   DFFPCE (nx31,GND,aclear,clk_en,clock,nx32) ;
   inc : inc_7u_7u_0_0 port map ( cin=>PWR, a(6)=>nx20, a(5)=>nx22, a(4)=>
      nx24, a(3)=>nx26, a(2)=>nx28, a(1)=>nx30, a(0)=>nx32, d(6)=>nx33, d(5)
      =>nx34, d(4)=>nx35, d(3)=>nx36, d(2)=>nx37, d(1)=>nx38, d(0)=>nx39, 
      cout=>DANGLING(0));
   PWR <= '1' ;
   dec : dec_7u_7u_0_0 port map ( cin=>GND, a(6)=>nx20, a(5)=>nx22, a(4)=>
      nx24, a(3)=>nx26, a(2)=>nx28, a(1)=>nx30, a(0)=>nx32, d(6)=>nx43, d(5)
      =>nx44, d(4)=>nx45, d(3)=>nx46, d(2)=>nx47, d(1)=>nx48, d(0)=>nx49, 
      cout=>DANGLING(1));
   nx19 <= nx33 when updn = '1' else nx43 ;
   nx21 <= nx34 when updn = '1' else nx44 ;
   nx23 <= nx35 when updn = '1' else nx45 ;
   nx25 <= nx36 when updn = '1' else nx46 ;
   nx27 <= nx37 when updn = '1' else nx47 ;
   nx29 <= nx38 when updn = '1' else nx48 ;
   nx31 <= nx39 when updn = '1' else nx49 ;
end INTERFACE_unfold_1 ;


architecture INTERFACE_unfold_1 of counter_dn_sload_aclear_clock_clk_en_0_6
    is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component dec_6u_6u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx17, nx18, nx19, nx20, nx21, nx22, nx23, nx24, nx25, nx26, 
      nx27, nx28, nx29, nx30, nx31, nx32, nx33, nx34: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(5) <= nx18 ;
   q(4) <= nx20 ;
   q(3) <= nx22 ;
   q(2) <= nx24 ;
   q(1) <= nx26 ;
   q(0) <= nx28 ;
   GND <= '0' ;
   DFFPCE (nx17,GND,aclear,clk_en,clock,nx18) ;
   DFFPCE (nx19,GND,aclear,clk_en,clock,nx20) ;
   DFFPCE (nx21,GND,aclear,clk_en,clock,nx22) ;
   DFFPCE (nx23,GND,aclear,clk_en,clock,nx24) ;
   DFFPCE (nx25,GND,aclear,clk_en,clock,nx26) ;
   DFFPCE (nx27,GND,aclear,clk_en,clock,nx28) ;
   dec : dec_6u_6u_0_0 port map ( cin=>GND, a(5)=>nx18, a(4)=>nx20, a(3)=>
      nx22, a(2)=>nx24, a(1)=>nx26, a(0)=>nx28, d(5)=>nx29, d(4)=>nx30, d(3)
      =>nx31, d(2)=>nx32, d(1)=>nx33, d(0)=>nx34, cout=>DANGLING(0));
   nx17 <= data(5) when sload = '1' else nx29 ;
   nx19 <= data(4) when sload = '1' else nx30 ;
   nx21 <= data(3) when sload = '1' else nx31 ;
   nx23 <= data(2) when sload = '1' else nx32 ;
   nx25 <= data(1) when sload = '1' else nx33 ;
   nx27 <= data(0) when sload = '1' else nx34 ;
end INTERFACE_unfold_1 ;


architecture INTERFACE_unfold_1 of counter_dn_sload_aclear_clock_clk_en_0_5
    is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component dec_5u_5u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic_vector (4 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx15, nx16, nx17, nx18, nx19, nx20, nx21, nx22, nx23, nx24, 
      nx25, nx26, nx27, nx28, nx29: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(4) <= nx16 ;
   q(3) <= nx18 ;
   q(2) <= nx20 ;
   q(1) <= nx22 ;
   q(0) <= nx24 ;
   GND <= '0' ;
   DFFPCE (nx15,GND,aclear,clk_en,clock,nx16) ;
   DFFPCE (nx17,GND,aclear,clk_en,clock,nx18) ;
   DFFPCE (nx19,GND,aclear,clk_en,clock,nx20) ;
   DFFPCE (nx21,GND,aclear,clk_en,clock,nx22) ;
   DFFPCE (nx23,GND,aclear,clk_en,clock,nx24) ;
   dec : dec_5u_5u_0_0 port map ( cin=>GND, a(4)=>nx16, a(3)=>nx18, a(2)=>
      nx20, a(1)=>nx22, a(0)=>nx24, d(4)=>nx25, d(3)=>nx26, d(2)=>nx27, d(1)
      =>nx28, d(0)=>nx29, cout=>DANGLING(0));
   nx15 <= data(4) when sload = '1' else nx25 ;
   nx17 <= data(3) when sload = '1' else nx26 ;
   nx19 <= data(2) when sload = '1' else nx27 ;
   nx21 <= data(1) when sload = '1' else nx28 ;
   nx23 <= data(0) when sload = '1' else nx29 ;
end INTERFACE_unfold_1 ;


architecture INTERFACE_unfold_1 of counter_dn_sload_aclear_clock_clk_en_0_4
    is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component dec_4u_4u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic_vector (3 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal GND, nx13, nx14, nx15, nx16, nx17, nx18, nx19, nx20, nx21, nx22, 
      nx23, nx24: std_logic ;
   
   signal DANGLING : std_logic_vector (0 downto 0 );

begin
   q(3) <= nx14 ;
   q(2) <= nx16 ;
   q(1) <= nx18 ;
   q(0) <= nx20 ;
   GND <= '0' ;
   DFFPCE (nx13,GND,aclear,clk_en,clock,nx14) ;
   DFFPCE (nx15,GND,aclear,clk_en,clock,nx16) ;
   DFFPCE (nx17,GND,aclear,clk_en,clock,nx18) ;
   DFFPCE (nx19,GND,aclear,clk_en,clock,nx20) ;
   dec : dec_4u_4u_0_0 port map ( cin=>GND, a(3)=>nx14, a(2)=>nx16, a(1)=>
      nx18, a(0)=>nx20, d(3)=>nx21, d(2)=>nx22, d(1)=>nx23, d(0)=>nx24, cout
      =>DANGLING(0));
   nx13 <= data(3) when sload = '1' else nx21 ;
   nx15 <= data(2) when sload = '1' else nx22 ;
   nx17 <= data(1) when sload = '1' else nx23 ;
   nx19 <= data(0) when sload = '1' else nx24 ;
end INTERFACE_unfold_1 ;


architecture INTERFACE_unfold_1 of 
   counter_updn_sclear_aclear_clock_clk_en_0_7 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_7u_7u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component dec_7u_7u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal q_EXMPLR3595: std_logic_vector (6 DOWNTO 0) ;
   
   signal nx15, nx19, nx20, nx21, nx22, nx23, nx24, nx25, nx26, nx27, nx28, 
      nx29, nx30, nx31, nx32, nx33, nx34, nx35, nx36, nx37, nx38, nx39, nx41, 
      nx43, nx44, nx45, nx46, nx47, nx48, nx49, nx51, nx53, nx55, nx57, nx59, 
      nx61, nx63, NOT_SCLEAR: std_logic ;
   
   signal DANGLING : std_logic_vector (1 downto 0 );

begin
   q(6) <= nx20 ;
   q(5) <= nx22 ;
   q(4) <= nx24 ;
   q(3) <= nx26 ;
   q(2) <= nx28 ;
   q(1) <= nx30 ;
   q(0) <= nx32 ;
   nx15 <= '0' ;
   DFFPCE (nx19,nx15,aclear,clk_en,clock,nx20) ;
   DFFPCE (nx21,nx15,aclear,clk_en,clock,nx22) ;
   DFFPCE (nx23,nx15,aclear,clk_en,clock,nx24) ;
   DFFPCE (nx25,nx15,aclear,clk_en,clock,nx26) ;
   DFFPCE (nx27,nx15,aclear,clk_en,clock,nx28) ;
   DFFPCE (nx29,nx15,aclear,clk_en,clock,nx30) ;
   DFFPCE (nx31,nx15,aclear,clk_en,clock,nx32) ;
   inc : inc_7u_7u_0_0 port map ( cin=>nx41, a(6)=>nx20, a(5)=>nx22, a(4)=>
      nx24, a(3)=>nx26, a(2)=>nx28, a(1)=>nx30, a(0)=>nx32, d(6)=>nx33, d(5)
      =>nx34, d(4)=>nx35, d(3)=>nx36, d(2)=>nx37, d(1)=>nx38, d(0)=>nx39, 
      cout=>DANGLING(0));
   nx41 <= '1' ;
   dec : dec_7u_7u_0_0 port map ( cin=>nx15, a(6)=>nx20, a(5)=>nx22, a(4)=>
      nx24, a(3)=>nx26, a(2)=>nx28, a(1)=>nx30, a(0)=>nx32, d(6)=>nx43, d(5)
      =>nx44, d(4)=>nx45, d(3)=>nx46, d(2)=>nx47, d(1)=>nx48, d(0)=>nx49, 
      cout=>DANGLING(1));
   nx51 <= nx33 when updn = '1' else nx43 ;
   nx53 <= nx34 when updn = '1' else nx44 ;
   nx55 <= nx35 when updn = '1' else nx45 ;
   nx57 <= nx36 when updn = '1' else nx46 ;
   nx59 <= nx37 when updn = '1' else nx47 ;
   nx61 <= nx38 when updn = '1' else nx48 ;
   nx63 <= nx39 when updn = '1' else nx49 ;
   NOT_SCLEAR <= NOT sclear ;
   nx19 <= nx51 AND NOT_SCLEAR ;
   nx21 <= nx53 AND NOT_SCLEAR ;
   nx23 <= nx55 AND NOT_SCLEAR ;
   nx25 <= nx57 AND NOT_SCLEAR ;
   nx27 <= nx59 AND NOT_SCLEAR ;
   nx29 <= nx61 AND NOT_SCLEAR ;
   nx31 <= nx63 AND NOT_SCLEAR ;
end INTERFACE_unfold_1 ;


architecture INTERFACE_unfold_1 of 
   counter_updn_sload_aclear_clock_clk_en_0_6 is 
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component inc_6u_6u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component dec_6u_6u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic_vector (5 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   signal q_EXMPLR3610: std_logic_vector (5 DOWNTO 0) ;
   
   signal nx13, nx17, nx18, nx19, nx20, nx21, nx22, nx23, nx24, nx25, nx26, 
      nx27, nx28, nx29, nx30, nx31, nx32, nx33, nx34, nx36, nx38, nx39, nx40, 
      nx41, nx42, nx43, nx45, nx47, nx49, nx51, nx53, nx55: std_logic ;
   
   signal DANGLING : std_logic_vector (1 downto 0 );

begin
   q(5) <= nx18 ;
   q(4) <= nx20 ;
   q(3) <= nx22 ;
   q(2) <= nx24 ;
   q(1) <= nx26 ;
   q(0) <= nx28 ;
   nx13 <= '0' ;
   DFFPCE (nx17,nx13,aclear,clk_en,clock,nx18) ;
   DFFPCE (nx19,nx13,aclear,clk_en,clock,nx20) ;
   DFFPCE (nx21,nx13,aclear,clk_en,clock,nx22) ;
   DFFPCE (nx23,nx13,aclear,clk_en,clock,nx24) ;
   DFFPCE (nx25,nx13,aclear,clk_en,clock,nx26) ;
   DFFPCE (nx27,nx13,aclear,clk_en,clock,nx28) ;
   inc : inc_6u_6u_0_0 port map ( cin=>nx36, a(5)=>nx18, a(4)=>nx20, a(3)=>
      nx22, a(2)=>nx24, a(1)=>nx26, a(0)=>nx28, d(5)=>nx29, d(4)=>nx30, d(3)
      =>nx31, d(2)=>nx32, d(1)=>nx33, d(0)=>nx34, cout=>DANGLING(0));
   nx36 <= '1' ;
   dec : dec_6u_6u_0_0 port map ( cin=>nx13, a(5)=>nx18, a(4)=>nx20, a(3)=>
      nx22, a(2)=>nx24, a(1)=>nx26, a(0)=>nx28, d(5)=>nx38, d(4)=>nx39, d(3)
      =>nx40, d(2)=>nx41, d(1)=>nx42, d(0)=>nx43, cout=>DANGLING(1));
   nx45 <= nx29 when updn = '1' else nx38 ;
   nx47 <= nx30 when updn = '1' else nx39 ;
   nx49 <= nx31 when updn = '1' else nx40 ;
   nx51 <= nx32 when updn = '1' else nx41 ;
   nx53 <= nx33 when updn = '1' else nx42 ;
   nx55 <= nx34 when updn = '1' else nx43 ;
   nx17 <= data(5) when sload = '1' else nx45 ;
   nx19 <= data(4) when sload = '1' else nx47 ;
   nx21 <= data(3) when sload = '1' else nx49 ;
   nx23 <= data(2) when sload = '1' else nx51 ;
   nx25 <= data(1) when sload = '1' else nx53 ;
   nx27 <= data(0) when sload = '1' else nx55 ;
end INTERFACE_unfold_1 ;


architecture INTERFACE of 
   rom_1_9_512_3_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate is 
   component mux_512u_512u
      port (
         a : IN std_logic_vector (511 DOWNTO 0) ;
         b : IN std_logic_vector (511 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   signal GND, PWR: std_logic ;

begin
   GND <= '0' ;
   PWR <= '1' ;
   modgen_mux_1360 : mux_512u_512u port map ( a(511)=>GND, a(510)=>GND, 
      a(509)=>GND, a(508)=>GND, a(507)=>GND, a(506)=>GND, a(505)=>GND, 
      a(504)=>GND, a(503)=>GND, a(502)=>GND, a(501)=>GND, a(500)=>GND, 
      a(499)=>GND, a(498)=>GND, a(497)=>GND, a(496)=>GND, a(495)=>GND, 
      a(494)=>GND, a(493)=>GND, a(492)=>GND, a(491)=>GND, a(490)=>GND, 
      a(489)=>GND, a(488)=>GND, a(487)=>GND, a(486)=>GND, a(485)=>GND, 
      a(484)=>GND, a(483)=>GND, a(482)=>GND, a(481)=>GND, a(480)=>GND, 
      a(479)=>GND, a(478)=>GND, a(477)=>GND, a(476)=>GND, a(475)=>GND, 
      a(474)=>GND, a(473)=>GND, a(472)=>GND, a(471)=>GND, a(470)=>GND, 
      a(469)=>GND, a(468)=>GND, a(467)=>GND, a(466)=>GND, a(465)=>GND, 
      a(464)=>GND, a(463)=>GND, a(462)=>GND, a(461)=>GND, a(460)=>GND, 
      a(459)=>GND, a(458)=>GND, a(457)=>GND, a(456)=>GND, a(455)=>GND, 
      a(454)=>GND, a(453)=>GND, a(452)=>GND, a(451)=>GND, a(450)=>GND, 
      a(449)=>GND, a(448)=>GND, a(447)=>GND, a(446)=>GND, a(445)=>GND, 
      a(444)=>GND, a(443)=>GND, a(442)=>GND, a(441)=>GND, a(440)=>GND, 
      a(439)=>GND, a(438)=>GND, a(437)=>GND, a(436)=>GND, a(435)=>GND, 
      a(434)=>GND, a(433)=>GND, a(432)=>GND, a(431)=>GND, a(430)=>GND, 
      a(429)=>GND, a(428)=>GND, a(427)=>GND, a(426)=>GND, a(425)=>GND, 
      a(424)=>GND, a(423)=>GND, a(422)=>GND, a(421)=>GND, a(420)=>GND, 
      a(419)=>GND, a(418)=>GND, a(417)=>GND, a(416)=>GND, a(415)=>GND, 
      a(414)=>GND, a(413)=>GND, a(412)=>GND, a(411)=>GND, a(410)=>GND, 
      a(409)=>GND, a(408)=>GND, a(407)=>GND, a(406)=>GND, a(405)=>GND, 
      a(404)=>GND, a(403)=>GND, a(402)=>GND, a(401)=>GND, a(400)=>GND, 
      a(399)=>GND, a(398)=>GND, a(397)=>GND, a(396)=>GND, a(395)=>GND, 
      a(394)=>GND, a(393)=>GND, a(392)=>GND, a(391)=>GND, a(390)=>GND, 
      a(389)=>GND, a(388)=>GND, a(387)=>GND, a(386)=>GND, a(385)=>GND, 
      a(384)=>GND, a(383)=>GND, a(382)=>GND, a(381)=>GND, a(380)=>GND, 
      a(379)=>GND, a(378)=>GND, a(377)=>GND, a(376)=>GND, a(375)=>GND, 
      a(374)=>GND, a(373)=>GND, a(372)=>GND, a(371)=>GND, a(370)=>GND, 
      a(369)=>GND, a(368)=>GND, a(367)=>GND, a(366)=>GND, a(365)=>GND, 
      a(364)=>GND, a(363)=>GND, a(362)=>GND, a(361)=>GND, a(360)=>GND, 
      a(359)=>GND, a(358)=>GND, a(357)=>GND, a(356)=>GND, a(355)=>GND, 
      a(354)=>GND, a(353)=>GND, a(352)=>GND, a(351)=>GND, a(350)=>GND, 
      a(349)=>GND, a(348)=>GND, a(347)=>GND, a(346)=>GND, a(345)=>GND, 
      a(344)=>GND, a(343)=>GND, a(342)=>GND, a(341)=>GND, a(340)=>GND, 
      a(339)=>GND, a(338)=>GND, a(337)=>GND, a(336)=>GND, a(335)=>GND, 
      a(334)=>GND, a(333)=>GND, a(332)=>GND, a(331)=>GND, a(330)=>GND, 
      a(329)=>GND, a(328)=>GND, a(327)=>GND, a(326)=>GND, a(325)=>GND, 
      a(324)=>GND, a(323)=>GND, a(322)=>GND, a(321)=>GND, a(320)=>GND, 
      a(319)=>GND, a(318)=>GND, a(317)=>GND, a(316)=>GND, a(315)=>GND, 
      a(314)=>GND, a(313)=>GND, a(312)=>GND, a(311)=>GND, a(310)=>GND, 
      a(309)=>GND, a(308)=>GND, a(307)=>GND, a(306)=>GND, a(305)=>GND, 
      a(304)=>GND, a(303)=>GND, a(302)=>GND, a(301)=>GND, a(300)=>GND, 
      a(299)=>GND, a(298)=>GND, a(297)=>GND, a(296)=>GND, a(295)=>GND, 
      a(294)=>GND, a(293)=>GND, a(292)=>GND, a(291)=>GND, a(290)=>GND, 
      a(289)=>GND, a(288)=>GND, a(287)=>GND, a(286)=>GND, a(285)=>GND, 
      a(284)=>GND, a(283)=>GND, a(282)=>GND, a(281)=>GND, a(280)=>GND, 
      a(279)=>GND, a(278)=>GND, a(277)=>GND, a(276)=>GND, a(275)=>GND, 
      a(274)=>GND, a(273)=>GND, a(272)=>GND, a(271)=>GND, a(270)=>GND, 
      a(269)=>GND, a(268)=>GND, a(267)=>PWR, a(266)=>GND, a(265)=>GND, 
      a(264)=>GND, a(263)=>GND, a(262)=>GND, a(261)=>GND, a(260)=>GND, 
      a(259)=>GND, a(258)=>GND, a(257)=>GND, a(256)=>GND, a(255)=>GND, 
      a(254)=>GND, a(253)=>GND, a(252)=>GND, a(251)=>GND, a(250)=>GND, 
      a(249)=>GND, a(248)=>GND, a(247)=>GND, a(246)=>GND, a(245)=>GND, 
      a(244)=>GND, a(243)=>GND, a(242)=>GND, a(241)=>GND, a(240)=>GND, 
      a(239)=>GND, a(238)=>GND, a(237)=>GND, a(236)=>GND, a(235)=>GND, 
      a(234)=>GND, a(233)=>GND, a(232)=>GND, a(231)=>GND, a(230)=>GND, 
      a(229)=>GND, a(228)=>GND, a(227)=>GND, a(226)=>GND, a(225)=>GND, 
      a(224)=>GND, a(223)=>GND, a(222)=>GND, a(221)=>GND, a(220)=>GND, 
      a(219)=>GND, a(218)=>GND, a(217)=>GND, a(216)=>GND, a(215)=>GND, 
      a(214)=>GND, a(213)=>GND, a(212)=>GND, a(211)=>GND, a(210)=>GND, 
      a(209)=>GND, a(208)=>GND, a(207)=>GND, a(206)=>GND, a(205)=>GND, 
      a(204)=>GND, a(203)=>GND, a(202)=>GND, a(201)=>GND, a(200)=>GND, 
      a(199)=>GND, a(198)=>GND, a(197)=>GND, a(196)=>GND, a(195)=>GND, 
      a(194)=>GND, a(193)=>GND, a(192)=>GND, a(191)=>GND, a(190)=>GND, 
      a(189)=>GND, a(188)=>GND, a(187)=>GND, a(186)=>GND, a(185)=>GND, 
      a(184)=>GND, a(183)=>GND, a(182)=>GND, a(181)=>GND, a(180)=>GND, 
      a(179)=>GND, a(178)=>GND, a(177)=>GND, a(176)=>GND, a(175)=>GND, 
      a(174)=>GND, a(173)=>GND, a(172)=>GND, a(171)=>GND, a(170)=>GND, 
      a(169)=>GND, a(168)=>GND, a(167)=>GND, a(166)=>GND, a(165)=>GND, 
      a(164)=>GND, a(163)=>GND, a(162)=>GND, a(161)=>GND, a(160)=>GND, 
      a(159)=>GND, a(158)=>GND, a(157)=>GND, a(156)=>GND, a(155)=>GND, 
      a(154)=>GND, a(153)=>GND, a(152)=>GND, a(151)=>GND, a(150)=>GND, 
      a(149)=>GND, a(148)=>GND, a(147)=>GND, a(146)=>GND, a(145)=>GND, 
      a(144)=>GND, a(143)=>GND, a(142)=>GND, a(141)=>GND, a(140)=>GND, 
      a(139)=>GND, a(138)=>GND, a(137)=>GND, a(136)=>GND, a(135)=>GND, 
      a(134)=>GND, a(133)=>GND, a(132)=>GND, a(131)=>GND, a(130)=>GND, 
      a(129)=>GND, a(128)=>GND, a(127)=>GND, a(126)=>GND, a(125)=>GND, 
      a(124)=>GND, a(123)=>GND, a(122)=>GND, a(121)=>GND, a(120)=>GND, 
      a(119)=>GND, a(118)=>GND, a(117)=>GND, a(116)=>GND, a(115)=>GND, 
      a(114)=>GND, a(113)=>GND, a(112)=>GND, a(111)=>GND, a(110)=>GND, 
      a(109)=>GND, a(108)=>GND, a(107)=>GND, a(106)=>GND, a(105)=>GND, 
      a(104)=>GND, a(103)=>GND, a(102)=>GND, a(101)=>GND, a(100)=>GND, a(99)
      =>GND, a(98)=>GND, a(97)=>GND, a(96)=>GND, a(95)=>GND, a(94)=>GND, 
      a(93)=>GND, a(92)=>GND, a(91)=>GND, a(90)=>GND, a(89)=>GND, a(88)=>GND, 
      a(87)=>GND, a(86)=>GND, a(85)=>GND, a(84)=>GND, a(83)=>GND, a(82)=>GND, 
      a(81)=>GND, a(80)=>GND, a(79)=>GND, a(78)=>GND, a(77)=>GND, a(76)=>GND, 
      a(75)=>GND, a(74)=>GND, a(73)=>GND, a(72)=>GND, a(71)=>GND, a(70)=>GND, 
      a(69)=>GND, a(68)=>GND, a(67)=>GND, a(66)=>GND, a(65)=>GND, a(64)=>GND, 
      a(63)=>GND, a(62)=>GND, a(61)=>GND, a(60)=>GND, a(59)=>GND, a(58)=>GND, 
      a(57)=>GND, a(56)=>GND, a(55)=>GND, a(54)=>GND, a(53)=>GND, a(52)=>GND, 
      a(51)=>GND, a(50)=>GND, a(49)=>GND, a(48)=>GND, a(47)=>GND, a(46)=>GND, 
      a(45)=>GND, a(44)=>GND, a(43)=>GND, a(42)=>GND, a(41)=>GND, a(40)=>GND, 
      a(39)=>GND, a(38)=>GND, a(37)=>GND, a(36)=>GND, a(35)=>GND, a(34)=>GND, 
      a(33)=>GND, a(32)=>GND, a(31)=>GND, a(30)=>GND, a(29)=>GND, a(28)=>GND, 
      a(27)=>GND, a(26)=>GND, a(25)=>GND, a(24)=>GND, a(23)=>GND, a(22)=>GND, 
      a(21)=>GND, a(20)=>GND, a(19)=>GND, a(18)=>GND, a(17)=>GND, a(16)=>GND, 
      a(15)=>GND, a(14)=>GND, a(13)=>GND, a(12)=>GND, a(11)=>GND, a(10)=>GND, 
      a(9)=>PWR, a(8)=>GND, a(7)=>GND, a(6)=>GND, a(5)=>GND, a(4)=>GND, a(3)
      =>GND, a(2)=>GND, a(1)=>GND, a(0)=>GND, b(511)=>GND, b(510)=>GND, 
      b(509)=>GND, b(508)=>GND, b(507)=>GND, b(506)=>GND, b(505)=>GND, 
      b(504)=>GND, b(503)=>GND, b(502)=>GND, b(501)=>GND, b(500)=>GND, 
      b(499)=>GND, b(498)=>GND, b(497)=>GND, b(496)=>GND, b(495)=>GND, 
      b(494)=>GND, b(493)=>GND, b(492)=>GND, b(491)=>GND, b(490)=>GND, 
      b(489)=>GND, b(488)=>GND, b(487)=>GND, b(486)=>GND, b(485)=>GND, 
      b(484)=>GND, b(483)=>GND, b(482)=>GND, b(481)=>GND, b(480)=>GND, 
      b(479)=>GND, b(478)=>GND, b(477)=>GND, b(476)=>GND, b(475)=>GND, 
      b(474)=>GND, b(473)=>GND, b(472)=>GND, b(471)=>GND, b(470)=>GND, 
      b(469)=>GND, b(468)=>GND, b(467)=>GND, b(466)=>GND, b(465)=>GND, 
      b(464)=>GND, b(463)=>GND, b(462)=>GND, b(461)=>GND, b(460)=>GND, 
      b(459)=>GND, b(458)=>GND, b(457)=>GND, b(456)=>GND, b(455)=>GND, 
      b(454)=>GND, b(453)=>GND, b(452)=>GND, b(451)=>GND, b(450)=>GND, 
      b(449)=>GND, b(448)=>GND, b(447)=>GND, b(446)=>GND, b(445)=>GND, 
      b(444)=>GND, b(443)=>GND, b(442)=>GND, b(441)=>GND, b(440)=>GND, 
      b(439)=>GND, b(438)=>GND, b(437)=>GND, b(436)=>GND, b(435)=>GND, 
      b(434)=>GND, b(433)=>GND, b(432)=>GND, b(431)=>GND, b(430)=>GND, 
      b(429)=>GND, b(428)=>GND, b(427)=>GND, b(426)=>GND, b(425)=>GND, 
      b(424)=>GND, b(423)=>GND, b(422)=>GND, b(421)=>GND, b(420)=>GND, 
      b(419)=>GND, b(418)=>GND, b(417)=>GND, b(416)=>GND, b(415)=>GND, 
      b(414)=>GND, b(413)=>GND, b(412)=>GND, b(411)=>GND, b(410)=>GND, 
      b(409)=>GND, b(408)=>GND, b(407)=>GND, b(406)=>GND, b(405)=>GND, 
      b(404)=>GND, b(403)=>GND, b(402)=>GND, b(401)=>GND, b(400)=>GND, 
      b(399)=>GND, b(398)=>GND, b(397)=>GND, b(396)=>GND, b(395)=>GND, 
      b(394)=>GND, b(393)=>GND, b(392)=>GND, b(391)=>GND, b(390)=>GND, 
      b(389)=>GND, b(388)=>GND, b(387)=>GND, b(386)=>GND, b(385)=>GND, 
      b(384)=>GND, b(383)=>GND, b(382)=>GND, b(381)=>GND, b(380)=>GND, 
      b(379)=>GND, b(378)=>GND, b(377)=>GND, b(376)=>GND, b(375)=>GND, 
      b(374)=>GND, b(373)=>GND, b(372)=>GND, b(371)=>GND, b(370)=>GND, 
      b(369)=>GND, b(368)=>GND, b(367)=>GND, b(366)=>GND, b(365)=>GND, 
      b(364)=>GND, b(363)=>GND, b(362)=>GND, b(361)=>GND, b(360)=>GND, 
      b(359)=>GND, b(358)=>GND, b(357)=>GND, b(356)=>GND, b(355)=>GND, 
      b(354)=>GND, b(353)=>GND, b(352)=>GND, b(351)=>GND, b(350)=>GND, 
      b(349)=>GND, b(348)=>GND, b(347)=>GND, b(346)=>GND, b(345)=>GND, 
      b(344)=>GND, b(343)=>GND, b(342)=>GND, b(341)=>GND, b(340)=>GND, 
      b(339)=>GND, b(338)=>GND, b(337)=>GND, b(336)=>GND, b(335)=>GND, 
      b(334)=>GND, b(333)=>GND, b(332)=>GND, b(331)=>GND, b(330)=>GND, 
      b(329)=>GND, b(328)=>GND, b(327)=>GND, b(326)=>GND, b(325)=>GND, 
      b(324)=>GND, b(323)=>GND, b(322)=>GND, b(321)=>GND, b(320)=>GND, 
      b(319)=>GND, b(318)=>GND, b(317)=>GND, b(316)=>GND, b(315)=>GND, 
      b(314)=>GND, b(313)=>GND, b(312)=>GND, b(311)=>GND, b(310)=>GND, 
      b(309)=>GND, b(308)=>GND, b(307)=>GND, b(306)=>GND, b(305)=>GND, 
      b(304)=>GND, b(303)=>GND, b(302)=>GND, b(301)=>GND, b(300)=>GND, 
      b(299)=>GND, b(298)=>GND, b(297)=>GND, b(296)=>GND, b(295)=>GND, 
      b(294)=>GND, b(293)=>GND, b(292)=>GND, b(291)=>GND, b(290)=>GND, 
      b(289)=>GND, b(288)=>GND, b(287)=>GND, b(286)=>GND, b(285)=>GND, 
      b(284)=>GND, b(283)=>GND, b(282)=>GND, b(281)=>GND, b(280)=>GND, 
      b(279)=>GND, b(278)=>GND, b(277)=>GND, b(276)=>GND, b(275)=>GND, 
      b(274)=>GND, b(273)=>GND, b(272)=>GND, b(271)=>GND, b(270)=>GND, 
      b(269)=>GND, b(268)=>GND, b(267)=>GND, b(266)=>GND, b(265)=>GND, 
      b(264)=>GND, b(263)=>GND, b(262)=>GND, b(261)=>GND, b(260)=>GND, 
      b(259)=>GND, b(258)=>GND, b(257)=>GND, b(256)=>GND, b(255)=>GND, 
      b(254)=>GND, b(253)=>GND, b(252)=>GND, b(251)=>GND, b(250)=>GND, 
      b(249)=>GND, b(248)=>GND, b(247)=>GND, b(246)=>GND, b(245)=>GND, 
      b(244)=>GND, b(243)=>GND, b(242)=>GND, b(241)=>GND, b(240)=>GND, 
      b(239)=>GND, b(238)=>GND, b(237)=>GND, b(236)=>GND, b(235)=>GND, 
      b(234)=>GND, b(233)=>GND, b(232)=>GND, b(231)=>GND, b(230)=>GND, 
      b(229)=>GND, b(228)=>GND, b(227)=>GND, b(226)=>GND, b(225)=>GND, 
      b(224)=>GND, b(223)=>GND, b(222)=>GND, b(221)=>GND, b(220)=>GND, 
      b(219)=>GND, b(218)=>GND, b(217)=>GND, b(216)=>GND, b(215)=>GND, 
      b(214)=>GND, b(213)=>GND, b(212)=>GND, b(211)=>GND, b(210)=>GND, 
      b(209)=>GND, b(208)=>GND, b(207)=>GND, b(206)=>GND, b(205)=>GND, 
      b(204)=>GND, b(203)=>GND, b(202)=>GND, b(201)=>GND, b(200)=>GND, 
      b(199)=>GND, b(198)=>GND, b(197)=>GND, b(196)=>GND, b(195)=>GND, 
      b(194)=>GND, b(193)=>GND, b(192)=>GND, b(191)=>GND, b(190)=>GND, 
      b(189)=>GND, b(188)=>GND, b(187)=>GND, b(186)=>GND, b(185)=>GND, 
      b(184)=>GND, b(183)=>GND, b(182)=>GND, b(181)=>GND, b(180)=>GND, 
      b(179)=>GND, b(178)=>GND, b(177)=>GND, b(176)=>GND, b(175)=>GND, 
      b(174)=>GND, b(173)=>GND, b(172)=>GND, b(171)=>GND, b(170)=>GND, 
      b(169)=>GND, b(168)=>GND, b(167)=>GND, b(166)=>GND, b(165)=>GND, 
      b(164)=>GND, b(163)=>GND, b(162)=>GND, b(161)=>GND, b(160)=>GND, 
      b(159)=>GND, b(158)=>GND, b(157)=>GND, b(156)=>GND, b(155)=>GND, 
      b(154)=>GND, b(153)=>GND, b(152)=>GND, b(151)=>GND, b(150)=>GND, 
      b(149)=>GND, b(148)=>GND, b(147)=>GND, b(146)=>GND, b(145)=>GND, 
      b(144)=>GND, b(143)=>GND, b(142)=>GND, b(141)=>GND, b(140)=>GND, 
      b(139)=>GND, b(138)=>GND, b(137)=>GND, b(136)=>GND, b(135)=>GND, 
      b(134)=>GND, b(133)=>GND, b(132)=>GND, b(131)=>GND, b(130)=>GND, 
      b(129)=>GND, b(128)=>GND, b(127)=>GND, b(126)=>GND, b(125)=>GND, 
      b(124)=>GND, b(123)=>GND, b(122)=>GND, b(121)=>GND, b(120)=>GND, 
      b(119)=>GND, b(118)=>GND, b(117)=>GND, b(116)=>GND, b(115)=>GND, 
      b(114)=>GND, b(113)=>GND, b(112)=>GND, b(111)=>GND, b(110)=>GND, 
      b(109)=>GND, b(108)=>GND, b(107)=>GND, b(106)=>GND, b(105)=>GND, 
      b(104)=>GND, b(103)=>GND, b(102)=>GND, b(101)=>GND, b(100)=>GND, b(99)
      =>GND, b(98)=>GND, b(97)=>GND, b(96)=>GND, b(95)=>GND, b(94)=>GND, 
      b(93)=>GND, b(92)=>GND, b(91)=>GND, b(90)=>GND, b(89)=>GND, b(88)=>GND, 
      b(87)=>GND, b(86)=>GND, b(85)=>GND, b(84)=>GND, b(83)=>GND, b(82)=>GND, 
      b(81)=>GND, b(80)=>GND, b(79)=>GND, b(78)=>GND, b(77)=>GND, b(76)=>GND, 
      b(75)=>GND, b(74)=>GND, b(73)=>GND, b(72)=>GND, b(71)=>GND, b(70)=>GND, 
      b(69)=>GND, b(68)=>GND, b(67)=>GND, b(66)=>GND, b(65)=>GND, b(64)=>GND, 
      b(63)=>GND, b(62)=>GND, b(61)=>GND, b(60)=>GND, b(59)=>GND, b(58)=>GND, 
      b(57)=>GND, b(56)=>GND, b(55)=>GND, b(54)=>GND, b(53)=>GND, b(52)=>GND, 
      b(51)=>GND, b(50)=>GND, b(49)=>GND, b(48)=>GND, b(47)=>GND, b(46)=>GND, 
      b(45)=>GND, b(44)=>GND, b(43)=>GND, b(42)=>GND, b(41)=>GND, b(40)=>GND, 
      b(39)=>GND, b(38)=>GND, b(37)=>GND, b(36)=>GND, b(35)=>GND, b(34)=>GND, 
      b(33)=>GND, b(32)=>GND, b(31)=>GND, b(30)=>GND, b(29)=>GND, b(28)=>GND, 
      b(27)=>GND, b(26)=>GND, b(25)=>GND, b(24)=>GND, b(23)=>GND, b(22)=>GND, 
      b(21)=>GND, b(20)=>GND, b(19)=>GND, b(18)=>GND, b(17)=>GND, b(16)=>GND, 
      b(15)=>GND, b(14)=>GND, b(13)=>GND, b(12)=>GND, b(11)=>GND, b(10)=>GND, 
      b(9)=>GND, b(8)=>address(8), b(7)=>address(7), b(6)=>address(6), b(5)
      =>address(5), b(4)=>address(4), b(3)=>address(3), b(2)=>address(2), 
      b(1)=>address(1), b(0)=>address(0), d=>q(0));
end INTERFACE ;


architecture INTERFACE_unfold_1 of 
   rom_new_0_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate is 
   component rom_1_9_512_3_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate
      port (
         address : IN std_logic_vector (8 DOWNTO 0) ;
         inclock : IN std_logic ;
         outclock : IN std_logic ;
         outclockena : IN std_logic ;
         q : OUT std_logic_vector (0 DOWNTO 0)) ;
   end component ;
   for modgen_rom_ix715 : 
   rom_1_9_512_3_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate use entity work.
   rom_1_9_512_3_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate(INTERFACE);
   signal nx14, nx16: std_logic ;
   
   signal DANGLING : std_logic_vector (2 downto 0 );

begin
   nx14 <= '0' ;
   nx16 <= '1' ;
   modgen_rom_ix715 : 
      rom_1_9_512_3_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate port map ( 
      address(8)=>addr1(8), address(7)=>addr1(7), address(6)=>addr1(6), 
      address(5)=>addr1(5), address(4)=>addr1(4), address(3)=>addr1(3), 
      address(2)=>addr1(2), address(1)=>addr1(1), address(0)=>addr1(0), 
      inclock=>DANGLING(0), outclock=>DANGLING(1), outclockena=>DANGLING(2), 
      q(0)=>rd_data1(0));
end INTERFACE_unfold_1 ;


architecture INTERFACE of 
   rom_1_9_512_4_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate is 
   component mux_512u_512u
      port (
         a : IN std_logic_vector (511 DOWNTO 0) ;
         b : IN std_logic_vector (511 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   signal GND, PWR: std_logic ;

begin
   GND <= '0' ;
   PWR <= '1' ;
   modgen_mux_1361 : mux_512u_512u port map ( a(511)=>GND, a(510)=>GND, 
      a(509)=>GND, a(508)=>GND, a(507)=>GND, a(506)=>GND, a(505)=>GND, 
      a(504)=>GND, a(503)=>GND, a(502)=>GND, a(501)=>GND, a(500)=>GND, 
      a(499)=>GND, a(498)=>GND, a(497)=>GND, a(496)=>GND, a(495)=>GND, 
      a(494)=>GND, a(493)=>GND, a(492)=>GND, a(491)=>GND, a(490)=>GND, 
      a(489)=>GND, a(488)=>GND, a(487)=>GND, a(486)=>GND, a(485)=>GND, 
      a(484)=>GND, a(483)=>GND, a(482)=>GND, a(481)=>GND, a(480)=>GND, 
      a(479)=>GND, a(478)=>GND, a(477)=>GND, a(476)=>GND, a(475)=>GND, 
      a(474)=>GND, a(473)=>GND, a(472)=>GND, a(471)=>GND, a(470)=>GND, 
      a(469)=>GND, a(468)=>GND, a(467)=>GND, a(466)=>GND, a(465)=>GND, 
      a(464)=>GND, a(463)=>GND, a(462)=>GND, a(461)=>GND, a(460)=>GND, 
      a(459)=>GND, a(458)=>GND, a(457)=>GND, a(456)=>GND, a(455)=>GND, 
      a(454)=>GND, a(453)=>GND, a(452)=>GND, a(451)=>GND, a(450)=>GND, 
      a(449)=>GND, a(448)=>GND, a(447)=>GND, a(446)=>GND, a(445)=>GND, 
      a(444)=>GND, a(443)=>GND, a(442)=>GND, a(441)=>GND, a(440)=>GND, 
      a(439)=>GND, a(438)=>GND, a(437)=>GND, a(436)=>GND, a(435)=>GND, 
      a(434)=>GND, a(433)=>GND, a(432)=>GND, a(431)=>GND, a(430)=>GND, 
      a(429)=>GND, a(428)=>GND, a(427)=>GND, a(426)=>GND, a(425)=>GND, 
      a(424)=>GND, a(423)=>GND, a(422)=>GND, a(421)=>GND, a(420)=>GND, 
      a(419)=>GND, a(418)=>GND, a(417)=>GND, a(416)=>GND, a(415)=>GND, 
      a(414)=>GND, a(413)=>GND, a(412)=>GND, a(411)=>GND, a(410)=>GND, 
      a(409)=>GND, a(408)=>GND, a(407)=>GND, a(406)=>GND, a(405)=>GND, 
      a(404)=>GND, a(403)=>GND, a(402)=>GND, a(401)=>GND, a(400)=>GND, 
      a(399)=>GND, a(398)=>GND, a(397)=>GND, a(396)=>GND, a(395)=>GND, 
      a(394)=>GND, a(393)=>GND, a(392)=>GND, a(391)=>GND, a(390)=>GND, 
      a(389)=>GND, a(388)=>GND, a(387)=>GND, a(386)=>GND, a(385)=>GND, 
      a(384)=>GND, a(383)=>GND, a(382)=>GND, a(381)=>GND, a(380)=>GND, 
      a(379)=>GND, a(378)=>GND, a(377)=>GND, a(376)=>GND, a(375)=>GND, 
      a(374)=>GND, a(373)=>GND, a(372)=>GND, a(371)=>GND, a(370)=>GND, 
      a(369)=>GND, a(368)=>GND, a(367)=>GND, a(366)=>GND, a(365)=>GND, 
      a(364)=>GND, a(363)=>GND, a(362)=>GND, a(361)=>GND, a(360)=>GND, 
      a(359)=>GND, a(358)=>GND, a(357)=>GND, a(356)=>GND, a(355)=>GND, 
      a(354)=>GND, a(353)=>GND, a(352)=>GND, a(351)=>GND, a(350)=>GND, 
      a(349)=>GND, a(348)=>GND, a(347)=>GND, a(346)=>GND, a(345)=>GND, 
      a(344)=>GND, a(343)=>GND, a(342)=>GND, a(341)=>GND, a(340)=>GND, 
      a(339)=>GND, a(338)=>GND, a(337)=>GND, a(336)=>GND, a(335)=>GND, 
      a(334)=>GND, a(333)=>GND, a(332)=>GND, a(331)=>GND, a(330)=>GND, 
      a(329)=>GND, a(328)=>GND, a(327)=>GND, a(326)=>GND, a(325)=>GND, 
      a(324)=>GND, a(323)=>GND, a(322)=>GND, a(321)=>GND, a(320)=>GND, 
      a(319)=>GND, a(318)=>GND, a(317)=>GND, a(316)=>GND, a(315)=>GND, 
      a(314)=>GND, a(313)=>GND, a(312)=>GND, a(311)=>GND, a(310)=>GND, 
      a(309)=>GND, a(308)=>GND, a(307)=>GND, a(306)=>GND, a(305)=>GND, 
      a(304)=>GND, a(303)=>GND, a(302)=>GND, a(301)=>GND, a(300)=>GND, 
      a(299)=>GND, a(298)=>GND, a(297)=>GND, a(296)=>GND, a(295)=>GND, 
      a(294)=>GND, a(293)=>GND, a(292)=>GND, a(291)=>GND, a(290)=>GND, 
      a(289)=>GND, a(288)=>GND, a(287)=>GND, a(286)=>GND, a(285)=>GND, 
      a(284)=>GND, a(283)=>GND, a(282)=>GND, a(281)=>GND, a(280)=>GND, 
      a(279)=>GND, a(278)=>GND, a(277)=>GND, a(276)=>GND, a(275)=>GND, 
      a(274)=>GND, a(273)=>GND, a(272)=>GND, a(271)=>GND, a(270)=>GND, 
      a(269)=>GND, a(268)=>GND, a(267)=>PWR, a(266)=>GND, a(265)=>GND, 
      a(264)=>GND, a(263)=>GND, a(262)=>GND, a(261)=>GND, a(260)=>GND, 
      a(259)=>GND, a(258)=>GND, a(257)=>GND, a(256)=>GND, a(255)=>GND, 
      a(254)=>GND, a(253)=>GND, a(252)=>GND, a(251)=>GND, a(250)=>GND, 
      a(249)=>GND, a(248)=>GND, a(247)=>GND, a(246)=>GND, a(245)=>GND, 
      a(244)=>GND, a(243)=>GND, a(242)=>GND, a(241)=>GND, a(240)=>GND, 
      a(239)=>GND, a(238)=>GND, a(237)=>GND, a(236)=>GND, a(235)=>GND, 
      a(234)=>GND, a(233)=>GND, a(232)=>GND, a(231)=>GND, a(230)=>GND, 
      a(229)=>GND, a(228)=>GND, a(227)=>GND, a(226)=>GND, a(225)=>GND, 
      a(224)=>GND, a(223)=>GND, a(222)=>GND, a(221)=>GND, a(220)=>GND, 
      a(219)=>GND, a(218)=>GND, a(217)=>GND, a(216)=>GND, a(215)=>GND, 
      a(214)=>GND, a(213)=>GND, a(212)=>GND, a(211)=>GND, a(210)=>GND, 
      a(209)=>GND, a(208)=>GND, a(207)=>GND, a(206)=>GND, a(205)=>GND, 
      a(204)=>GND, a(203)=>GND, a(202)=>GND, a(201)=>GND, a(200)=>GND, 
      a(199)=>GND, a(198)=>GND, a(197)=>GND, a(196)=>GND, a(195)=>GND, 
      a(194)=>GND, a(193)=>GND, a(192)=>GND, a(191)=>GND, a(190)=>GND, 
      a(189)=>GND, a(188)=>GND, a(187)=>GND, a(186)=>GND, a(185)=>GND, 
      a(184)=>GND, a(183)=>GND, a(182)=>GND, a(181)=>GND, a(180)=>GND, 
      a(179)=>GND, a(178)=>GND, a(177)=>GND, a(176)=>GND, a(175)=>GND, 
      a(174)=>GND, a(173)=>GND, a(172)=>GND, a(171)=>GND, a(170)=>GND, 
      a(169)=>GND, a(168)=>GND, a(167)=>GND, a(166)=>GND, a(165)=>GND, 
      a(164)=>GND, a(163)=>GND, a(162)=>GND, a(161)=>GND, a(160)=>GND, 
      a(159)=>GND, a(158)=>GND, a(157)=>GND, a(156)=>GND, a(155)=>GND, 
      a(154)=>GND, a(153)=>GND, a(152)=>GND, a(151)=>GND, a(150)=>GND, 
      a(149)=>GND, a(148)=>GND, a(147)=>GND, a(146)=>GND, a(145)=>GND, 
      a(144)=>GND, a(143)=>GND, a(142)=>GND, a(141)=>GND, a(140)=>GND, 
      a(139)=>GND, a(138)=>GND, a(137)=>GND, a(136)=>GND, a(135)=>GND, 
      a(134)=>GND, a(133)=>GND, a(132)=>GND, a(131)=>GND, a(130)=>GND, 
      a(129)=>GND, a(128)=>GND, a(127)=>GND, a(126)=>GND, a(125)=>GND, 
      a(124)=>GND, a(123)=>GND, a(122)=>GND, a(121)=>GND, a(120)=>GND, 
      a(119)=>GND, a(118)=>GND, a(117)=>GND, a(116)=>GND, a(115)=>GND, 
      a(114)=>GND, a(113)=>GND, a(112)=>GND, a(111)=>GND, a(110)=>GND, 
      a(109)=>GND, a(108)=>GND, a(107)=>GND, a(106)=>GND, a(105)=>GND, 
      a(104)=>GND, a(103)=>GND, a(102)=>GND, a(101)=>GND, a(100)=>GND, a(99)
      =>GND, a(98)=>GND, a(97)=>GND, a(96)=>GND, a(95)=>GND, a(94)=>GND, 
      a(93)=>GND, a(92)=>GND, a(91)=>GND, a(90)=>GND, a(89)=>GND, a(88)=>GND, 
      a(87)=>GND, a(86)=>GND, a(85)=>GND, a(84)=>GND, a(83)=>GND, a(82)=>GND, 
      a(81)=>GND, a(80)=>GND, a(79)=>GND, a(78)=>GND, a(77)=>GND, a(76)=>GND, 
      a(75)=>GND, a(74)=>GND, a(73)=>GND, a(72)=>GND, a(71)=>GND, a(70)=>GND, 
      a(69)=>GND, a(68)=>GND, a(67)=>GND, a(66)=>GND, a(65)=>GND, a(64)=>GND, 
      a(63)=>GND, a(62)=>GND, a(61)=>GND, a(60)=>GND, a(59)=>GND, a(58)=>GND, 
      a(57)=>GND, a(56)=>GND, a(55)=>GND, a(54)=>GND, a(53)=>GND, a(52)=>GND, 
      a(51)=>GND, a(50)=>GND, a(49)=>GND, a(48)=>GND, a(47)=>GND, a(46)=>GND, 
      a(45)=>GND, a(44)=>GND, a(43)=>GND, a(42)=>GND, a(41)=>GND, a(40)=>GND, 
      a(39)=>GND, a(38)=>GND, a(37)=>GND, a(36)=>GND, a(35)=>GND, a(34)=>GND, 
      a(33)=>GND, a(32)=>GND, a(31)=>GND, a(30)=>GND, a(29)=>GND, a(28)=>GND, 
      a(27)=>GND, a(26)=>GND, a(25)=>GND, a(24)=>GND, a(23)=>GND, a(22)=>GND, 
      a(21)=>GND, a(20)=>GND, a(19)=>GND, a(18)=>GND, a(17)=>GND, a(16)=>GND, 
      a(15)=>GND, a(14)=>GND, a(13)=>GND, a(12)=>GND, a(11)=>GND, a(10)=>GND, 
      a(9)=>PWR, a(8)=>GND, a(7)=>GND, a(6)=>GND, a(5)=>GND, a(4)=>GND, a(3)
      =>GND, a(2)=>GND, a(1)=>GND, a(0)=>GND, b(511)=>GND, b(510)=>GND, 
      b(509)=>GND, b(508)=>GND, b(507)=>GND, b(506)=>GND, b(505)=>GND, 
      b(504)=>GND, b(503)=>GND, b(502)=>GND, b(501)=>GND, b(500)=>GND, 
      b(499)=>GND, b(498)=>GND, b(497)=>GND, b(496)=>GND, b(495)=>GND, 
      b(494)=>GND, b(493)=>GND, b(492)=>GND, b(491)=>GND, b(490)=>GND, 
      b(489)=>GND, b(488)=>GND, b(487)=>GND, b(486)=>GND, b(485)=>GND, 
      b(484)=>GND, b(483)=>GND, b(482)=>GND, b(481)=>GND, b(480)=>GND, 
      b(479)=>GND, b(478)=>GND, b(477)=>GND, b(476)=>GND, b(475)=>GND, 
      b(474)=>GND, b(473)=>GND, b(472)=>GND, b(471)=>GND, b(470)=>GND, 
      b(469)=>GND, b(468)=>GND, b(467)=>GND, b(466)=>GND, b(465)=>GND, 
      b(464)=>GND, b(463)=>GND, b(462)=>GND, b(461)=>GND, b(460)=>GND, 
      b(459)=>GND, b(458)=>GND, b(457)=>GND, b(456)=>GND, b(455)=>GND, 
      b(454)=>GND, b(453)=>GND, b(452)=>GND, b(451)=>GND, b(450)=>GND, 
      b(449)=>GND, b(448)=>GND, b(447)=>GND, b(446)=>GND, b(445)=>GND, 
      b(444)=>GND, b(443)=>GND, b(442)=>GND, b(441)=>GND, b(440)=>GND, 
      b(439)=>GND, b(438)=>GND, b(437)=>GND, b(436)=>GND, b(435)=>GND, 
      b(434)=>GND, b(433)=>GND, b(432)=>GND, b(431)=>GND, b(430)=>GND, 
      b(429)=>GND, b(428)=>GND, b(427)=>GND, b(426)=>GND, b(425)=>GND, 
      b(424)=>GND, b(423)=>GND, b(422)=>GND, b(421)=>GND, b(420)=>GND, 
      b(419)=>GND, b(418)=>GND, b(417)=>GND, b(416)=>GND, b(415)=>GND, 
      b(414)=>GND, b(413)=>GND, b(412)=>GND, b(411)=>GND, b(410)=>GND, 
      b(409)=>GND, b(408)=>GND, b(407)=>GND, b(406)=>GND, b(405)=>GND, 
      b(404)=>GND, b(403)=>GND, b(402)=>GND, b(401)=>GND, b(400)=>GND, 
      b(399)=>GND, b(398)=>GND, b(397)=>GND, b(396)=>GND, b(395)=>GND, 
      b(394)=>GND, b(393)=>GND, b(392)=>GND, b(391)=>GND, b(390)=>GND, 
      b(389)=>GND, b(388)=>GND, b(387)=>GND, b(386)=>GND, b(385)=>GND, 
      b(384)=>GND, b(383)=>GND, b(382)=>GND, b(381)=>GND, b(380)=>GND, 
      b(379)=>GND, b(378)=>GND, b(377)=>GND, b(376)=>GND, b(375)=>GND, 
      b(374)=>GND, b(373)=>GND, b(372)=>GND, b(371)=>GND, b(370)=>GND, 
      b(369)=>GND, b(368)=>GND, b(367)=>GND, b(366)=>GND, b(365)=>GND, 
      b(364)=>GND, b(363)=>GND, b(362)=>GND, b(361)=>GND, b(360)=>GND, 
      b(359)=>GND, b(358)=>GND, b(357)=>GND, b(356)=>GND, b(355)=>GND, 
      b(354)=>GND, b(353)=>GND, b(352)=>GND, b(351)=>GND, b(350)=>GND, 
      b(349)=>GND, b(348)=>GND, b(347)=>GND, b(346)=>GND, b(345)=>GND, 
      b(344)=>GND, b(343)=>GND, b(342)=>GND, b(341)=>GND, b(340)=>GND, 
      b(339)=>GND, b(338)=>GND, b(337)=>GND, b(336)=>GND, b(335)=>GND, 
      b(334)=>GND, b(333)=>GND, b(332)=>GND, b(331)=>GND, b(330)=>GND, 
      b(329)=>GND, b(328)=>GND, b(327)=>GND, b(326)=>GND, b(325)=>GND, 
      b(324)=>GND, b(323)=>GND, b(322)=>GND, b(321)=>GND, b(320)=>GND, 
      b(319)=>GND, b(318)=>GND, b(317)=>GND, b(316)=>GND, b(315)=>GND, 
      b(314)=>GND, b(313)=>GND, b(312)=>GND, b(311)=>GND, b(310)=>GND, 
      b(309)=>GND, b(308)=>GND, b(307)=>GND, b(306)=>GND, b(305)=>GND, 
      b(304)=>GND, b(303)=>GND, b(302)=>GND, b(301)=>GND, b(300)=>GND, 
      b(299)=>GND, b(298)=>GND, b(297)=>GND, b(296)=>GND, b(295)=>GND, 
      b(294)=>GND, b(293)=>GND, b(292)=>GND, b(291)=>GND, b(290)=>GND, 
      b(289)=>GND, b(288)=>GND, b(287)=>GND, b(286)=>GND, b(285)=>GND, 
      b(284)=>GND, b(283)=>GND, b(282)=>GND, b(281)=>GND, b(280)=>GND, 
      b(279)=>GND, b(278)=>GND, b(277)=>GND, b(276)=>GND, b(275)=>GND, 
      b(274)=>GND, b(273)=>GND, b(272)=>GND, b(271)=>GND, b(270)=>GND, 
      b(269)=>GND, b(268)=>GND, b(267)=>GND, b(266)=>GND, b(265)=>GND, 
      b(264)=>GND, b(263)=>GND, b(262)=>GND, b(261)=>GND, b(260)=>GND, 
      b(259)=>GND, b(258)=>GND, b(257)=>GND, b(256)=>GND, b(255)=>GND, 
      b(254)=>GND, b(253)=>GND, b(252)=>GND, b(251)=>GND, b(250)=>GND, 
      b(249)=>GND, b(248)=>GND, b(247)=>GND, b(246)=>GND, b(245)=>GND, 
      b(244)=>GND, b(243)=>GND, b(242)=>GND, b(241)=>GND, b(240)=>GND, 
      b(239)=>GND, b(238)=>GND, b(237)=>GND, b(236)=>GND, b(235)=>GND, 
      b(234)=>GND, b(233)=>GND, b(232)=>GND, b(231)=>GND, b(230)=>GND, 
      b(229)=>GND, b(228)=>GND, b(227)=>GND, b(226)=>GND, b(225)=>GND, 
      b(224)=>GND, b(223)=>GND, b(222)=>GND, b(221)=>GND, b(220)=>GND, 
      b(219)=>GND, b(218)=>GND, b(217)=>GND, b(216)=>GND, b(215)=>GND, 
      b(214)=>GND, b(213)=>GND, b(212)=>GND, b(211)=>GND, b(210)=>GND, 
      b(209)=>GND, b(208)=>GND, b(207)=>GND, b(206)=>GND, b(205)=>GND, 
      b(204)=>GND, b(203)=>GND, b(202)=>GND, b(201)=>GND, b(200)=>GND, 
      b(199)=>GND, b(198)=>GND, b(197)=>GND, b(196)=>GND, b(195)=>GND, 
      b(194)=>GND, b(193)=>GND, b(192)=>GND, b(191)=>GND, b(190)=>GND, 
      b(189)=>GND, b(188)=>GND, b(187)=>GND, b(186)=>GND, b(185)=>GND, 
      b(184)=>GND, b(183)=>GND, b(182)=>GND, b(181)=>GND, b(180)=>GND, 
      b(179)=>GND, b(178)=>GND, b(177)=>GND, b(176)=>GND, b(175)=>GND, 
      b(174)=>GND, b(173)=>GND, b(172)=>GND, b(171)=>GND, b(170)=>GND, 
      b(169)=>GND, b(168)=>GND, b(167)=>GND, b(166)=>GND, b(165)=>GND, 
      b(164)=>GND, b(163)=>GND, b(162)=>GND, b(161)=>GND, b(160)=>GND, 
      b(159)=>GND, b(158)=>GND, b(157)=>GND, b(156)=>GND, b(155)=>GND, 
      b(154)=>GND, b(153)=>GND, b(152)=>GND, b(151)=>GND, b(150)=>GND, 
      b(149)=>GND, b(148)=>GND, b(147)=>GND, b(146)=>GND, b(145)=>GND, 
      b(144)=>GND, b(143)=>GND, b(142)=>GND, b(141)=>GND, b(140)=>GND, 
      b(139)=>GND, b(138)=>GND, b(137)=>GND, b(136)=>GND, b(135)=>GND, 
      b(134)=>GND, b(133)=>GND, b(132)=>GND, b(131)=>GND, b(130)=>GND, 
      b(129)=>GND, b(128)=>GND, b(127)=>GND, b(126)=>GND, b(125)=>GND, 
      b(124)=>GND, b(123)=>GND, b(122)=>GND, b(121)=>GND, b(120)=>GND, 
      b(119)=>GND, b(118)=>GND, b(117)=>GND, b(116)=>GND, b(115)=>GND, 
      b(114)=>GND, b(113)=>GND, b(112)=>GND, b(111)=>GND, b(110)=>GND, 
      b(109)=>GND, b(108)=>GND, b(107)=>GND, b(106)=>GND, b(105)=>GND, 
      b(104)=>GND, b(103)=>GND, b(102)=>GND, b(101)=>GND, b(100)=>GND, b(99)
      =>GND, b(98)=>GND, b(97)=>GND, b(96)=>GND, b(95)=>GND, b(94)=>GND, 
      b(93)=>GND, b(92)=>GND, b(91)=>GND, b(90)=>GND, b(89)=>GND, b(88)=>GND, 
      b(87)=>GND, b(86)=>GND, b(85)=>GND, b(84)=>GND, b(83)=>GND, b(82)=>GND, 
      b(81)=>GND, b(80)=>GND, b(79)=>GND, b(78)=>GND, b(77)=>GND, b(76)=>GND, 
      b(75)=>GND, b(74)=>GND, b(73)=>GND, b(72)=>GND, b(71)=>GND, b(70)=>GND, 
      b(69)=>GND, b(68)=>GND, b(67)=>GND, b(66)=>GND, b(65)=>GND, b(64)=>GND, 
      b(63)=>GND, b(62)=>GND, b(61)=>GND, b(60)=>GND, b(59)=>GND, b(58)=>GND, 
      b(57)=>GND, b(56)=>GND, b(55)=>GND, b(54)=>GND, b(53)=>GND, b(52)=>GND, 
      b(51)=>GND, b(50)=>GND, b(49)=>GND, b(48)=>GND, b(47)=>GND, b(46)=>GND, 
      b(45)=>GND, b(44)=>GND, b(43)=>GND, b(42)=>GND, b(41)=>GND, b(40)=>GND, 
      b(39)=>GND, b(38)=>GND, b(37)=>GND, b(36)=>GND, b(35)=>GND, b(34)=>GND, 
      b(33)=>GND, b(32)=>GND, b(31)=>GND, b(30)=>GND, b(29)=>GND, b(28)=>GND, 
      b(27)=>GND, b(26)=>GND, b(25)=>GND, b(24)=>GND, b(23)=>GND, b(22)=>GND, 
      b(21)=>GND, b(20)=>GND, b(19)=>GND, b(18)=>GND, b(17)=>GND, b(16)=>GND, 
      b(15)=>GND, b(14)=>GND, b(13)=>GND, b(12)=>GND, b(11)=>GND, b(10)=>GND, 
      b(9)=>GND, b(8)=>address(8), b(7)=>address(7), b(6)=>address(6), b(5)
      =>address(5), b(4)=>address(4), b(3)=>address(3), b(2)=>address(2), 
      b(1)=>address(1), b(0)=>address(0), d=>q(0));
end INTERFACE ;


architecture INTERFACE_unfold_1 of 
   rom_new_1_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate is 
   component rom_1_9_512_4_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate
      port (
         address : IN std_logic_vector (8 DOWNTO 0) ;
         inclock : IN std_logic ;
         outclock : IN std_logic ;
         outclockena : IN std_logic ;
         q : OUT std_logic_vector (0 DOWNTO 0)) ;
   end component ;
   for modgen_rom_ix716 : 
   rom_1_9_512_4_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate use entity work.
   rom_1_9_512_4_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate(INTERFACE);
   signal nx14, nx16: std_logic ;
   
   signal DANGLING : std_logic_vector (2 downto 0 );

begin
   nx14 <= '0' ;
   nx16 <= '1' ;
   modgen_rom_ix716 : 
      rom_1_9_512_4_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate port map ( 
      address(8)=>addr1(8), address(7)=>addr1(7), address(6)=>addr1(6), 
      address(5)=>addr1(5), address(4)=>addr1(4), address(3)=>addr1(3), 
      address(2)=>addr1(2), address(1)=>addr1(1), address(0)=>addr1(0), 
      inclock=>DANGLING(0), outclock=>DANGLING(1), outclockena=>DANGLING(2), 
      q(0)=>rd_data1(0));
end INTERFACE_unfold_1 ;


architecture OH_Calibrate of Xcvr_Snubber_sital_8_4_5_40_7 is 
   component and_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component abs_5s_5s
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic_vector (4 DOWNTO 0)) ;
   end component ;
   component or_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component select_3_3
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         b : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_6u_6u
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component inc_7u_7u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic_vector (6 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component select_4_4
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_10u_10u
      port (
         a : IN std_logic_vector (9 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_5u_5u
      port (
         a : IN std_logic_vector (4 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_6u_6u
      port (
         a : IN std_logic_vector (5 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component counter_updn_aclear_clock_clk_en_0_7
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (6 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (6 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_dn_sload_aclear_clock_clk_en_0_6
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (5 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (5 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_dn_sload_aclear_clock_clk_en_0_5
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (4 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (4 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_dn_sload_aclear_clock_clk_en_0_4
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (3 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (3 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component add_4u_4u_4u_0_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic_vector (3 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   component sub_4u_4u_4u_0
      port (
         cin : IN std_logic ;
         a : IN std_logic_vector (3 DOWNTO 0) ;
         b : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic_vector (3 DOWNTO 0) ;
         cout : OUT std_logic) ;
   end component ;
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component and_3u_3u
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component counter_updn_sclear_aclear_clock_clk_en_0_7
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (6 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (6 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component counter_updn_sload_aclear_clock_clk_en_0_6
      port (
         clock : IN std_logic ;
         q : OUT std_logic_vector (5 DOWNTO 0) ;
         clk_en : IN std_logic ;
         aclear : IN std_logic ;
         sload : IN std_logic ;
         data : IN std_logic_vector (5 DOWNTO 0) ;
         aset : IN std_logic ;
         sclear : IN std_logic ;
         updn : IN std_logic ;
         cnt_en : IN std_logic) ;
   end component ;
   component rom_new_0_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate
      port (
         rd_data1 : OUT std_logic_vector (0 DOWNTO 0) ;
         addr1 : IN std_logic_vector (8 DOWNTO 0) ;
         rd_clk1 : IN std_logic ;
         rd_ena1 : IN std_logic ;
         regce1 : IN std_logic ;
         rst1 : IN std_logic) ;
   end component ;
   component rom_new_1_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate
      port (
         rd_data1 : OUT std_logic_vector (0 DOWNTO 0) ;
         addr1 : IN std_logic_vector (8 DOWNTO 0) ;
         rd_clk1 : IN std_logic ;
         rd_ena1 : IN std_logic ;
         regce1 : IN std_logic ;
         rst1 : IN std_logic) ;
   end component ;
   component and_8u_8u
      port (
         a : IN std_logic_vector (7 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component and_7u_7u
      port (
         a : IN std_logic_vector (6 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   for modgen_counter_Rx_energy : counter_updn_aclear_clock_clk_en_0_7
    use entity work.counter_updn_aclear_clock_clk_en_0_7(INTERFACE_unfold_1
   );
   for modgen_counter_Count_1us : counter_dn_sload_aclear_clock_clk_en_0_6
    use entity work.counter_dn_sload_aclear_clock_clk_en_0_6(
   INTERFACE_unfold_1);
   for modgen_counter_Count23us : counter_dn_sload_aclear_clock_clk_en_0_5
    use entity work.counter_dn_sload_aclear_clock_clk_en_0_5(
   INTERFACE_unfold_1);
   for modgen_counter_Fixed : counter_dn_sload_aclear_clock_clk_en_0_4
    use entity work.counter_dn_sload_aclear_clock_clk_en_0_4(
   INTERFACE_unfold_1);
   for modgen_counter_Sum : counter_updn_sclear_aclear_clock_clk_en_0_7
    use entity work.counter_updn_sclear_aclear_clock_clk_en_0_7(
   INTERFACE_unfold_1);
   for modgen_counter_Micro : counter_updn_sload_aclear_clock_clk_en_0_6
    use entity work.counter_updn_sload_aclear_clock_clk_en_0_6(
   INTERFACE_unfold_1);
   for modgen_rom_ix715 : 
   rom_new_0_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate use entity work.
   rom_new_0_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate(INTERFACE_unfold_1);
   
   for modgen_rom_ix716 : 
   rom_new_1_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate use entity work.
   rom_new_1_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate(INTERFACE_unfold_1);
   signal TxSense_EXMPLR3682: std_logic ;
   
   signal Cal: std_logic_vector (4 DOWNTO 0) ;
   
   signal Count: std_logic_vector (6 DOWNTO 0) ;
   
   signal Count23us: std_logic_vector (4 DOWNTO 0) ;
   
   signal Count_1us: std_logic_vector (5 DOWNTO 0) ;
   
   signal Delta: std_logic_vector (3 DOWNTO 0) ;
   
   signal Fixed: std_logic_vector (3 DOWNTO 0) ;
   
   signal Half_us: std_logic_vector (4 DOWNTO 0) ;
   
   signal Micro: std_logic_vector (5 DOWNTO 0) ;
   
   signal Num_Of_Fixes: std_logic_vector (3 DOWNTO 0) ;
   
   signal Reduce_Minus_On, Reduce_Plus_On, Rx_On: std_logic ;
   
   signal Rx_energy: std_logic_vector (6 DOWNTO 0) ;
   
   signal Rx_ok, Shorten_Minus, Shorten_Plus: std_logic ;
   
   signal Sum: std_logic_vector (6 DOWNTO 0) ;
   
   signal AmnonHofman: std_logic_vector (11 DOWNTO 0) ;
   
   signal calib: std_logic_vector (7 DOWNTO 0) ;
   
   signal snubb: std_logic_vector (1 DOWNTO 0) ;
   
   signal PWR, GND, not_resetN, Rx_On_17n1s2, not_Rx_On_17n1s2, not_CE, 
      rtlc17n121, not_Rx_On, rtlc17n124, rtlc17_X_0_n125, 
      not_rtlc17_X_0_n125, rtlc17n153, not_Rx_energy_6, rtlc17n221, 
      rtlc17n223, not_Half_us_4, rtlc20n86, not_Regular, rtlc23n168, 
      rtlc23n173, rtlc23n174, not_rtlcs6, rtlc23n228, rtlc23n240, rtlc23n274, 
      rtlc23n304, not_snubb_0, rtlc23_X_0_n397, rtlc23n423, rtlc23n424, 
      not_rtlc23n424, not_rtlc23n228, rtlc23n467, not_rtlc23n274, rtlc23n471, 
      rtlc23_X_0_n472, not_rtlc23_X_0_n472, not_Count23us_4, rtlc23n618, 
      not_rtlcn135, rtlc23n622, rtlc23n634, not_rtlcn136, rtlc23n649, 
      rtlc23n650, rtlc23n651, rtlc23n652, rtlc23n653, Cal_26n7ss1_4: 
   std_logic ;
   
   signal Cal_26n9ss1: std_logic_vector (3 DOWNTO 1) ;
   
   signal Cal_26n14ss1: std_logic_vector (4 DOWNTO 0) ;
   
   signal Delta_26n14ss1: std_logic_vector (2 DOWNTO 0) ;
   
   signal Num_Of_Fixes_26n1s1: std_logic_vector (3 DOWNTO 0) ;
   
   signal Reduce_Minus_On_26n1s1: std_logic ;
   
   signal rtlc26n347: std_logic_vector (5 DOWNTO 0) ;
   
   signal rtlc26n375: std_logic_vector (5 DOWNTO 0) ;
   
   signal rtlc26n457, rtlc26n625, rtlc26n628, rtlc26n665, rtlc26n674, 
      rtlc26n680, rtlc26n687, rtlc26n698, rtlc26n703, rtlc26n935, rtlc26n936, 
      rtlc26n937, rtlc26n938, rtlc26n939, rtlc26n940, not_Sum_6, rtlc26n942, 
      rtlc26n952, not_rtlc26n952, rtlc26n954, rtlc26n956, not_rtlcn137, 
      rtlc26n959, rtlc26n960, rtlc26n973, rtlc26n974, not_rtlc26n347_5, 
      rtlc26n976, rtlc26n995, not_rtlcn138, rtlc26n998, rtlc26n1011, 
      not_rtlcn4010, rtlc26n1074, not_Cal_4, AmnonHofman_fsm_29n4ss1_2, 
      AmnonHofman_fsm_29n8ss1_4: std_logic ;
   
   signal Count_29n20ss1: std_logic_vector (6 DOWNTO 0) ;
   
   signal Half_us_29n20ss1: std_logic_vector (4 DOWNTO 0) ;
   
   signal TxNSital_29n20ss1, TxN_SN_29n20ss1, TxSense_29n20ss1, 
      TxSital_29n20ss1, Tx_SN_29n20ss1, AmnonHofman_fsm_29n20ss1_4, 
      AmnonHofman_fsm_29n20ss1_2, not_TxN, not_Tx: std_logic ;
   
   signal Half_us_29n9s1: std_logic_vector (4 DOWNTO 0) ;
   
   signal Count_29n13s1_6, Count_29n13s1_5, rtlc29n670, rtlc29n695, 
      rtlc29n842, rtlc29n856, rtlc29n867, rtlc29n873, rtlc29n926, rtlc29n928, 
      rtlc29n929, rtlc29n992, rtlc29n1010, rtlc29n1260, rtlc29n1261, 
      rtlc29n1262, rtlc29n1263, rtlc29n1264, rtlc29n1293, rtlc29n1295, 
      not_rtlcn134, rtlc29n1347, rtlcn134, rtlcn135, rtlcn136, rtlcn137, 
      rtlcn138, rtlcn140, rtlcn316, rtlcn327, rtlcn334, rtlcn340, rtlcn347, 
      rtlcn353, not_rtlcn699, rtlcn389, rtlcn402, rtlcn409, rtlcn416, 
      rtlcn431, rtlcn442, rtlcn454, rtlcn462, rtlcn475, rtlcn478, rtlcn481, 
      rtlcn485, rtlcn489, rtlcn495, rtlcn502, rtlcn513, rtlcn527, rtlcn533, 
      rtlcn539, rtlcn549, rtlcn551, rtlcn552, rtlcn567, rtlcn573, rtlcn575, 
      rtlcn578, not_rtlcn828, not_rtlcn829, not_rtlcn830, not_rtlcn831, 
      not_rtlcn832, not_rtlcn833, rtlcn695, rtlcn699, rtlcn700, rtlcn701, 
      rtlcn702, rtlcn703, rtlcn704, rtlcn705, rtlcn706, rtlcn707, rtlcn708, 
      rtlcn710, rtlcn711, rtlcn712, rtlcn715, rtlcn716, not_rtlc26n998, 
      rtlcn720, not_rtlc26n976, rtlcn724, not_rtlc29n695, not_rtlc29n670, 
      rtlcn734, not_rtlcs28, rtlcn736, rtlcn737, not_rtlc29n856, rtlcn739, 
      not_rtlc29n842, rtlcn741, rtlcn742, rtlcn743, rtlcn744, rtlcn745, 
      not_rtlcs22, rtlcn747, not_rtlcs17, rtlcn749, rtlcn750, rtlcn751, 
      not_Tx_Inhibit, rtlcn753, rtlcn754, rtlcn755, rtlcn756, 
      not_rtlc29n1264, rtlcn758, rtlcn759, rtlcn760, not_rtlc29n867, 
      rtlcn762, not_rtlcn702, rtlcn764, not_rtlc29n873, rtlcn766, rtlcn768, 
      rtlcn769, not_rtlc23n304, rtlcn772, not_rtlcs11, rtlcn774, rtlcn775, 
      not_TxSense, rtlcn777, not_rtlcs12, rtlcn779, rtlcn780, rtlcn781, 
      rtlcn782, not_rtlc26n960, not_rtlc26n942, rtlcn785, not_Reduce_Plus_On, 
      rtlcn787, not_calib_7, not_RxSital, rtlcn828, rtlcn829, rtlcn830, 
      rtlcn831, rtlcn832, rtlcn833, rtlcn834, rtlcn835, rtlcn836, 
      not_rtlcn316, not_rtlc29n1347, not_rtlc29n1010, rtlcs2, rtlcs3, rtlcs6, 
      rtlcs7, rtlcs11, rtlcs12, rtlcs13, rtlcs14, rtlcs15, rtlcs16, rtlcs17, 
      rtlcs19, rtlcs20, rtlcs21, rtlcs22, rtlcs24, rtlcs25, rtlcs27, rtlcs28, 
      rtlcs29, rtlcs30, rtlcs31, rtlcs33, rtlcs34, rtlcs35, rtlcs36, rtlcs37, 
      not_Shorten_Minus, rtlcs39, not_Shorten_Plus, not_Rx_energy_5, 
      not_Rx_energy_4, not_Rx_energy_3, not_Rx_energy_2, not_Rx_energy_1, 
      not_Rx_energy_0, not_rtlcn695, not_Count_4, not_Count_2, not_Count_6, 
      not_Count_5, not_Count_3, not_Count_1, not_Count_0, not_Micro_5, 
      not_Micro_4, not_Micro_3, not_Micro_2, not_Micro_1, not_RxNSital, 
      not_Micro_0, not_calib_6, not_Count_1us_5, not_Count_1us_4, 
      not_Count_1us_2, not_Count23us_3, not_Count23us_2, not_Count23us_1, 
      not_Count_1us_3, not_Count_1us_1, not_Count_1us_0, not_rtlcn4027, 
      rtlcn4010, rtlcn4027: std_logic ;
   
   signal Count_29n13s1f1: std_logic_vector (4 DOWNTO 0) ;
   
   signal rtlc17_26_or_1300_nx0, rtlc23n436, rtlc23_268_or_1303_nx0, 
      rtlc26_209_or_1307_nx0, rtlc26_642_or_1308_nx0, rtlc26_660_or_1310_nx0, 
      rtlc29_208_or_1314_nx0, rtlc29_856_or_1319_nx0, rtlc_300_or_1321_nx0, 
      rtlc_1045_and_1333_nx0, rtlc_1050_and_1334_nx0, rtlc_1080_and_1337_nx0, 
      rtlc_1096_or_1341_nx0, rtlc_1102_or_1342_nx0, rtlc_1292_and_1343_nx0, 
      rtlc26n670, rtlc_1306_and_1345_nx0, rtlc_1325_and_1347_nx0, 
      rtlc_1433_and_1352_nx0, rtlc_1444_and_1354_nx0, rtlc_1460_and_1356_nx0
   : std_logic ;
   
   signal DANGLING : std_logic_vector (17 downto 0 );

begin
   TxSense <= TxSense_EXMPLR3682 ;
   PWR <= '1' ;
   GND <= '0' ;
   Rx <= RxSital ;
   RxN <= RxNSital ;
   not_Rx_On_17n1s2 <= NOT Rx_On_17n1s2 ;
   rtlc17n121 <= rtlc17n153 AND Rx_On ;
   not_rtlc17_X_0_n125 <= NOT rtlc17_X_0_n125 ;
   not_Rx_On <= NOT Rx_On ;
   not_Rx_energy_6 <= NOT Rx_energy(6) ;
   rtlc17_89_and_1301 : and_4u_4u port map ( a(3)=>Rx_energy(3), a(2)=>
      Rx_energy(2), a(1)=>Rx_energy(1), a(0)=>Rx_energy(0), d=>rtlc17n223);
   not_Half_us_4 <= NOT Half_us(4) ;
   rtlc20n86 <= not_rtlcn134 OR not_Half_us_4 ;
   not_rtlcs6 <= NOT rtlcs6 ;
   not_rtlc23n274 <= NOT rtlc23n274 ;
   rtlc23n471 <= not_rtlc23n274 AND snubb(0) ;
   rtlc23n467 <= not_rtlc23n228 AND snubb(0) ;
   not_rtlc23_X_0_n472 <= NOT rtlc23_X_0_n472 ;
   rtlc23n423 <= not_rtlcs6 AND snubb(0) ;
   rtlc23n424 <= not_CE OR rtlc23n423 ;
   not_rtlc23n424 <= NOT rtlc23n424 ;
   not_snubb_0 <= NOT snubb(0) ;
   rtlc23n240 <= not_rtlcn136 AND rtlc23n653 ;
   rtlc23n228 <= rtlc23n622 AND rtlc23n173 ;
   rtlc23n168 <= not_Regular AND TxSense_EXMPLR3682 ;
   rtlc23n174 <= rtlc23n168 AND rtlc23n173 ;
   not_Count23us_4 <= NOT Count23us(4) ;
   rtlc23n622 <= not_rtlcn135 OR not_Count23us_4 ;
   rtlc23_276_and_1304 : and_4u_4u port map ( a(3)=>Count_1us(4), a(2)=>
      Count_1us(3), a(1)=>Count_1us(2), a(0)=>Count_1us(1), d=>rtlc23n634);
   rtlc23n650 <= Count_1us(0) AND Count_1us(1) ;
   rtlc23n651 <= Count_1us(2) OR rtlc23n650 ;
   rtlc23n652 <= Count_1us(3) AND rtlc23n651 ;
   rtlc23n653 <= rtlc23n652 OR rtlc23n649 ;
   Num_Of_Fixes_abs5_26i1 : abs_5s_5s port map ( a(4)=>Cal(4), a(3)=>Cal(3), 
      a(2)=>Cal(2), a(1)=>Cal(1), a(0)=>Cal(0), d(4)=>DANGLING(0), d(3)=>
      Num_Of_Fixes_26n1s1(3), d(2)=>Num_Of_Fixes_26n1s1(2), d(1)=>
      Num_Of_Fixes_26n1s1(1), d(0)=>Num_Of_Fixes_26n1s1(0));
   rtlc26n625 <= calib(0) OR calib(6) ;
   rtlc26n628 <= calib(2) OR calib(7) ;
   rtlc26n457 <= rtlcs14 OR rtlcs13 ;
   rtlc26n936 <= Sum(4) AND Sum(3) ;
   rtlc26n937 <= Sum(0) AND Sum(1) ;
   rtlc26n938 <= Sum(2) OR rtlc26n937 ;
   rtlc26n939 <= rtlc26n936 AND rtlc26n938 ;
   rtlc26n940 <= rtlc26n939 OR rtlc26n935 ;
   not_Sum_6 <= NOT Sum(6) ;
   rtlc26n942 <= rtlc26n940 AND not_Sum_6 ;
   rtlc26n952 <= Sum(6) AND Sum(5) ;
   not_rtlc26n952 <= NOT rtlc26n952 ;
   rtlc26n956 <= Sum(2) AND Sum(1) ;
   rtlc26n959 <= not_rtlcn137 OR not_rtlc26n952 ;
   rtlc26n960 <= rtlc26n959 AND Sum(6) ;
   rtlc26n974 <= rtlc26n973 AND rtlc26n347(4) ;
   not_rtlc26n347_5 <= NOT rtlc26n347(5) ;
   rtlc26n976 <= rtlc26n974 OR not_rtlc26n347_5 ;
   rtlc26_649_and_1309 : and_4u_4u port map ( a(3)=>rtlc26n375(3), a(2)=>
      rtlc26n375(2), a(1)=>rtlc26n375(1), a(0)=>rtlc26n375(0), d=>rtlc26n995
   );
   rtlc26n998 <= not_rtlcn138 OR rtlc26n375(5) ;
   rtlc26n375(4) <= rtlcn4010 XOR Cal(4) ;
   not_rtlcn4010 <= NOT rtlcn4010 ;
   rtlc26n375(5) <= not_rtlcn4010 AND Cal(4) ;
   rtlc26n347(5) <= not_rtlcn4027 OR Cal(4) ;
   rtlc26_691_or_1311 : or_5u_5u port map ( a(4)=>Cal(0), a(3)=>Cal(1), a(2)
      =>Cal(2), a(1)=>Cal(3), a(0)=>Cal(4), d=>rtlc26n1074);
   not_Cal_4 <= NOT Cal(4) ;
   Reduce_Minus_On_26n1s1 <= rtlc26n1074 AND not_Cal_4 ;
   TxSense_select_29i1 : select_3_3 port map ( a(2)=>rtlc29n928, a(1)=>
      rtlc29n929, a(0)=>AmnonHofman(7), b(2)=>GND, b(1)=>PWR, b(0)=>
      Tx_Inhibit, d=>TxSense_29n20ss1);
   rtlc29_212_or_1316 : or_5u_5u port map ( a(4)=>AmnonHofman(0), a(3)=>
      AmnonHofman(8), a(2)=>AmnonHofman(9), a(1)=>AmnonHofman(10), a(0)=>
      AmnonHofman(11), d=>rtlc29n928);
   rtlc29_213_or_1317 : or_6u_6u port map ( a(5)=>AmnonHofman(1), a(4)=>
      AmnonHofman(2), a(3)=>AmnonHofman(3), a(2)=>AmnonHofman(4), a(1)=>
      AmnonHofman(5), a(0)=>AmnonHofman(6), d=>rtlc29n929);
   rtlc29_311_or_1318 : or_6u_6u port map ( a(5)=>AmnonHofman(1), a(4)=>
      AmnonHofman(3), a(3)=>AmnonHofman(5), a(2)=>AmnonHofman(6), a(1)=>
      AmnonHofman(8), a(0)=>AmnonHofman(9), d=>rtlc29n1010);
   rtlc29n695 <= Shorten_Minus AND not_TxN ;
   rtlc29n670 <= Shorten_Plus AND not_Tx ;
   rtlc29n1261 <= rtlc29n1260 AND Count(3) ;
   rtlc29n1262 <= Count(4) OR rtlc29n1261 ;
   rtlc29n1263 <= Count(5) AND rtlc29n1262 ;
   rtlc29n1264 <= rtlc29n1263 OR Count(6) ;
   rtlc29n1295 <= Half_us(1) AND Half_us(0) ;
   Count_inc7_29i2 : inc_7u_7u_0 port map ( cin=>PWR, a(6)=>Count(6), a(5)=>
      Count(5), a(4)=>Count_29n13s1f1(4), a(3)=>Count_29n13s1f1(3), a(2)=>
      Count_29n13s1f1(2), a(1)=>Count_29n13s1f1(1), a(0)=>Count_29n13s1f1(0), 
      d(6)=>Count_29n13s1_6, d(5)=>Count_29n13s1_5, d(4)=>Half_us_29n9s1(4), 
      d(3)=>Half_us_29n9s1(3), d(2)=>Half_us_29n9s1(2), d(1)=>
      Half_us_29n9s1(1), d(0)=>Half_us_29n9s1(0), cout=>DANGLING(1));
   rtlc29n1293 <= Half_us(3) OR Half_us(2) ;
   not_rtlcn134 <= NOT rtlcn134 ;
   rtlc29n1347 <= AmnonHofman(2) OR AmnonHofman(4) ;
   not_rtlcn135 <= NOT rtlcn135 ;
   not_rtlcn136 <= NOT rtlcn136 ;
   rtlc23n649 <= Count_1us(5) OR Count_1us(4) ;
   rtlc26n935 <= Sum(6) OR Sum(5) ;
   rtlc26n954 <= Sum(4) OR Sum(3) ;
   not_rtlcn137 <= NOT rtlcn137 ;
   not_rtlcn138 <= NOT rtlcn138 ;
   rtlc17n221 <= Rx_energy(5) OR Rx_energy(4) ;
   rtlcn134 <= rtlc29n1293 OR rtlc29n1295 ;
   rtlcn135 <= rtlc23n618 OR Count23us(0) ;
   rtlcn136 <= Count_1us(5) OR rtlc23n634 ;
   rtlcn137 <= rtlc26n954 OR rtlc26n956 ;
   rtlcn138 <= rtlc26n375(4) OR rtlc26n995 ;
   rtlcn140 <= rtlc17n221 OR rtlc17n223 ;
   AmnonHofman_fsm_select_29i3 : select_3_3 port map ( a(2)=>not_rtlcn828, 
      a(1)=>AmnonHofman(3), a(0)=>rtlcn334, b(2)=>GND, b(1)=>
      AmnonHofman_fsm_29n8ss1_4, b(0)=>PWR, d=>AmnonHofman_fsm_29n20ss1_4);
   AmnonHofman_fsm_select_29i4 : select_3_3 port map ( a(2)=>not_rtlcn829, 
      a(1)=>AmnonHofman(1), a(0)=>rtlcn347, b(2)=>GND, b(1)=>
      AmnonHofman_fsm_29n4ss1_2, b(0)=>PWR, d=>AmnonHofman_fsm_29n20ss1_2);
   Cal_select_26i7Bus12_4 : select_3_3 port map ( a(2)=>calib(4), a(1)=>
      rtlcn478, a(0)=>not_rtlcn830, b(2)=>Cal_26n7ss1_4, b(1)=>GND, b(0)=>
      rtlc26n375(4), d=>Cal_26n14ss1(4));
   Cal_select_26i7Bus12_3 : select_3_3 port map ( a(2)=>calib(5), a(1)=>
      rtlcn481, a(0)=>not_rtlcn831, b(2)=>Cal_26n9ss1(3), b(1)=>GND, b(0)=>
      rtlc26n347(3), d=>Cal_26n14ss1(3));
   Cal_select_26i7Bus12_2 : select_3_3 port map ( a(2)=>calib(5), a(1)=>
      rtlcn481, a(0)=>not_rtlcn831, b(2)=>Cal_26n9ss1(2), b(1)=>GND, b(0)=>
      rtlc26n347(2), d=>Cal_26n14ss1(2));
   Cal_select_26i7Bus12_1 : select_3_3 port map ( a(2)=>calib(5), a(1)=>
      rtlcn481, a(0)=>not_rtlcn831, b(2)=>Cal_26n9ss1(1), b(1)=>GND, b(0)=>
      rtlc26n347(1), d=>Cal_26n14ss1(1));
   Cal_select_26i8 : select_4_4 port map ( a(3)=>calib(6), a(2)=>rtlcn552, 
      a(1)=>rtlcn549, a(0)=>rtlcn551, b(3)=>GND, b(2)=>PWR, b(1)=>
      rtlc26n347(0), b(0)=>rtlc26n375(0), d=>Cal_26n14ss1(0));
   TxNSital_select_29i5 : select_3_3 port map ( a(2)=>not_rtlcn832, a(1)=>
      rtlc29n926, a(0)=>rtlcn575, b(2)=>GND, b(1)=>TxN, b(0)=>Rx_ok, d=>
      TxNSital_29n20ss1);
   TxSital_select_29i6 : select_3_3 port map ( a(2)=>not_rtlcn833, a(1)=>
      rtlc29n926, a(0)=>rtlcn578, b(2)=>GND, b(1)=>Tx, b(0)=>Rx_ok, d=>
      TxSital_29n20ss1);
   not_Tx <= NOT Tx ;
   not_TxN <= NOT TxN ;
   not_Regular <= NOT Regular ;
   not_rtlc23n228 <= NOT rtlc23n228 ;
   rtlc_886_or_1331 : or_5u_5u port map ( a(4)=>AmnonHofman(0), a(3)=>
      AmnonHofman(2), a(2)=>AmnonHofman(4), a(1)=>AmnonHofman(7), a(0)=>
      AmnonHofman(10), d=>rtlcn695);
   rtlcn316 <= calib(4) OR calib(5) ;
   rtlcn711 <= AmnonHofman(4) AND TxN ;
   rtlcn712 <= rtlcs25 AND AmnonHofman(9) ;
   rtlcn334 <= rtlcn711 OR rtlcn712 ;
   rtlcn715 <= AmnonHofman(2) AND Tx ;
   rtlcn716 <= rtlcs31 AND AmnonHofman(8) ;
   rtlcn347 <= rtlcn715 OR rtlcn716 ;
   not_rtlc26n998 <= NOT rtlc26n998 ;
   rtlcn720 <= calib(5) AND not_rtlc26n998 ;
   rtlcn478 <= calib(6) OR rtlcn720 ;
   not_rtlc26n976 <= NOT rtlc26n976 ;
   rtlcn724 <= calib(4) AND not_rtlc26n976 ;
   rtlcn481 <= calib(6) OR rtlcn724 ;
   rtlcn552 <= rtlcn720 OR rtlcn724 ;
   rtlcn549 <= rtlc26n976 AND calib(4) ;
   rtlcn551 <= rtlc26n998 AND calib(5) ;
   not_rtlc29n695 <= NOT rtlc29n695 ;
   rtlcn575 <= AmnonHofman(4) AND not_rtlc29n695 ;
   not_rtlc29n670 <= NOT rtlc29n670 ;
   rtlcn578 <= AmnonHofman(2) AND not_rtlc29n670 ;
   not_resetN <= NOT resetN ;
   rtlcn734 <= AmnonHofman(4) AND rtlcs15 ;
   not_rtlcs28 <= NOT rtlcs28 ;
   rtlcn736 <= AmnonHofman(6) AND not_rtlcs28 ;
   rtlcn327 <= rtlcn734 OR rtlcn736 ;
   rtlcn737 <= AmnonHofman(2) AND rtlcs21 ;
   not_rtlc29n856 <= NOT rtlc29n856 ;
   rtlcn739 <= AmnonHofman(3) AND not_rtlc29n856 ;
   rtlcn340 <= rtlcn737 OR rtlcn739 ;
   not_rtlc29n842 <= NOT rtlc29n842 ;
   rtlcn741 <= AmnonHofman(1) AND not_rtlc29n842 ;
   rtlcn742 <= AmnonHofman(4) AND rtlcs16 ;
   rtlcn353 <= rtlcn741 OR rtlcn742 ;
   rtlcn743 <= AmnonHofman(7) AND Regular ;
   rtlcn701 <= AmnonHofman(10) OR rtlcn743 ;
   rtlcn702 <= TxN OR Regular ;
   rtlcn704 <= Tx OR rtlcn702 ;
   rtlcn703 <= AmnonHofman(6) OR AmnonHofman(5) ;
   rtlcn744 <= TxN AND AmnonHofman(9) ;
   rtlcn745 <= Tx AND AmnonHofman(8) ;
   not_rtlcs22 <= NOT rtlcs22 ;
   rtlcn747 <= AmnonHofman(1) AND not_rtlcs22 ;
   not_rtlcs17 <= NOT rtlcs17 ;
   rtlcn749 <= AmnonHofman(3) AND not_rtlcs17 ;
   rtlcn750 <= AmnonHofman(0) AND rtlcn704 ;
   rtlcn751 <= not_rtlcs28 AND rtlcn703 ;
   rtlc_1026_or_1332 : or_10u_10u port map ( a(9)=>AmnonHofman(2), a(8)=>
      AmnonHofman(4), a(7)=>AmnonHofman(11), a(6)=>rtlcn701, a(5)=>rtlcn744, 
      a(4)=>rtlcn745, a(3)=>rtlcn747, a(2)=>rtlcn749, a(1)=>rtlcn750, a(0)=>
      rtlcn751, d=>rtlcn699);
   not_rtlcn699 <= NOT rtlcn699 ;
   not_Tx_Inhibit <= NOT Tx_Inhibit ;
   rtlcn389 <= not_Tx_Inhibit AND rtlcn701 ;
   rtlcn753 <= AmnonHofman(7) AND Tx_Inhibit ;
   rtlcn705 <= AmnonHofman(0) OR rtlcn753 ;
   rtlcn754 <= AmnonHofman(11) AND rtlc29n1264 ;
   rtlcn755 <= Regular AND rtlcn705 ;
   rtlcn402 <= rtlcn754 OR rtlcn755 ;
   rtlcn756 <= AmnonHofman(10) AND Tx_Inhibit ;
   not_rtlc29n1264 <= NOT rtlc29n1264 ;
   rtlcn758 <= AmnonHofman(11) AND not_rtlc29n1264 ;
   rtlcn409 <= rtlcn756 OR rtlcn758 ;
   rtlcn759 <= AmnonHofman(5) AND not_rtlcs28 ;
   rtlcn760 <= AmnonHofman(2) AND rtlcs20 ;
   rtlcn416 <= rtlcn759 OR rtlcn760 ;
   not_rtlc29n867 <= NOT rtlc29n867 ;
   rtlcn762 <= AmnonHofman(8) AND not_rtlc29n867 ;
   not_rtlcn702 <= NOT rtlcn702 ;
   rtlcn431 <= rtlcn762 OR rtlcn764 ;
   not_rtlc29n873 <= NOT rtlc29n873 ;
   rtlcn766 <= AmnonHofman(9) AND not_rtlc29n873 ;
   rtlcn442 <= rtlcn766 OR rtlcn768 ;
   rtlc_1052_and_1335 : and_4u_4u port map ( a(3)=>rtlc23n228, a(2)=>
      rtlc23n240, a(1)=>Reduce_Plus_On, a(0)=>snubb(0), d=>rtlcn454);
   rtlcn700 <= rtlc23n174 OR rtlcn769 ;
   not_rtlc23n304 <= NOT rtlc23n304 ;
   rtlcn772 <= TxSense_EXMPLR3682 AND not_rtlc23n304 ;
   rtlcn706 <= not_snubb_0 OR rtlcn772 ;
   rtlcn475 <= rtlcn700 AND rtlcn706 ;
   rtlcn485 <= calib(3) AND rtlc26n960 ;
   rtlcn489 <= calib(7) AND rtlcs11 ;
   not_rtlcs11 <= NOT rtlcs11 ;
   rtlcn774 <= calib(7) AND not_rtlcs11 ;
   rtlcn775 <= rtlcs12 AND calib(2) ;
   rtlcn495 <= rtlcn774 OR rtlcn775 ;
   not_TxSense <= NOT TxSense_EXMPLR3682 ;
   rtlcn777 <= calib(1) AND not_TxSense ;
   not_rtlcs12 <= NOT rtlcs12 ;
   rtlcn779 <= not_rtlcs12 AND calib(2) ;
   rtlcn502 <= rtlcn777 OR rtlcn779 ;
   rtlcn780 <= not_Regular AND calib(0) ;
   rtlcn707 <= calib(1) OR rtlcn780 ;
   rtlcn513 <= TxSense_EXMPLR3682 AND rtlcn707 ;
   rtlcn781 <= not_TxSense AND calib(0) ;
   rtlcn708 <= calib(6) OR rtlcn781 ;
   rtlcn782 <= not_Regular AND rtlcn708 ;
   not_rtlc26n960 <= NOT rtlc26n960 ;
   not_rtlc26n942 <= NOT rtlc26n942 ;
   rtlcn533 <= calib(3) AND rtlc26n942 ;
   rtlcn539 <= Regular AND rtlc26n625 ;
   not_Reduce_Plus_On <= NOT Reduce_Plus_On ;
   rtlc_1086_and_1338 : and_5u_5u port map ( a(4)=>rtlc23n228, a(3)=>
      rtlc23n240, a(2)=>not_Reduce_Plus_On, a(1)=>snubb(0), a(0)=>
      Reduce_Minus_On, d=>rtlcn567);
   rtlcn710 <= Rx_energy(1) OR Rx_energy(0) ;
   rtlcn787 <= Rx_energy(2) AND rtlcn710 ;
   rtlc_1089_or_1339 : or_6u_6u port map ( a(5)=>Rx_energy(3), a(4)=>
      Rx_energy(4), a(3)=>Rx_energy(5), a(2)=>Rx_energy(6), a(1)=>rtlc20n86, 
      a(0)=>rtlcn787, d=>rtlcn573);
   rtlc_1090_or_1340 : or_4u_4u port map ( a(3)=>calib(4), a(2)=>calib(5), 
      a(1)=>rtlcn782, a(0)=>rtlcn785, d=>rtlcn527);
   rtlc29n867 <= rtlcs27 OR not_Tx ;
   rtlc29n873 <= rtlcs27 OR not_TxN ;
   not_calib_7 <= NOT calib(7) ;
   not_RxSital <= NOT RxSital ;
   not_rtlcn828 <= NOT rtlcn828 ;
   not_rtlcn829 <= NOT rtlcn829 ;
   not_rtlcn830 <= NOT rtlcn830 ;
   not_rtlcn831 <= NOT rtlcn831 ;
   not_rtlcn832 <= NOT rtlcn832 ;
   not_rtlcn833 <= NOT rtlcn833 ;
   Count_29n13s1f1(4) <= Half_us(4) when rtlc29n1347 = '1' else Count(4) ;
   Count_29n13s1f1(3) <= Half_us(3) when rtlc29n1347 = '1' else Count(3) ;
   Count_29n13s1f1(2) <= Half_us(2) when rtlc29n1347 = '1' else Count(2) ;
   Count_29n13s1f1(1) <= Half_us(1) when rtlc29n1347 = '1' else Count(1) ;
   Count_29n13s1f1(0) <= Half_us(0) when rtlc29n1347 = '1' else Count(0) ;
   rtlcn834 <= rtlc26n457 OR not_calib_7 ;
   not_CE <= NOT CE ;
   rtlc26n680 <= CE AND rtlc26n703 ;
   not_rtlcn316 <= NOT rtlcn316 ;
   rtlcn835 <= rtlc26n1011 OR not_rtlcn316 ;
   rtlc26n665 <= CE AND rtlc26n625 ;
   not_rtlc29n1347 <= NOT rtlc29n1347 ;
   rtlcn836 <= rtlc20n86 OR not_rtlc29n1347 ;
   not_rtlc29n1010 <= NOT rtlc29n1010 ;
   rtlcs6 <= rtlcs7 AND rtlcs3 ;
   rtlcs17 <= not_TxN AND rtlcs19 ;
   rtlcs22 <= not_Tx AND rtlcs19 ;
   rtlcs25 <= TxN AND rtlcs27 ;
   rtlcs28 <= rtlcs29 AND rtlcs30 ;
   rtlcs31 <= Tx AND rtlcs27 ;
   rtlcs27 <= rtlcs33 AND rtlcs30 ;
   rtlcs34 <= rtlcs35 AND rtlcs30 ;
   rtlcs37 <= not_Shorten_Minus AND rtlcs19 ;
   rtlcs39 <= not_Shorten_Plus AND rtlcs19 ;
   not_Rx_energy_5 <= NOT Rx_energy(5) ;
   not_Rx_energy_4 <= NOT Rx_energy(4) ;
   not_Rx_energy_3 <= NOT Rx_energy(3) ;
   not_Rx_energy_2 <= NOT Rx_energy(2) ;
   not_Rx_energy_1 <= NOT Rx_energy(1) ;
   not_Rx_energy_0 <= NOT Rx_energy(0) ;
   not_rtlcn695 <= NOT rtlcn695 ;
   Count_29n20ss1(4) <= Half_us_29n9s1(4) AND not_rtlcn695 ;
   Count_29n20ss1(2) <= Half_us_29n9s1(2) AND not_rtlcn695 ;
   Count_29n20ss1(0) <= Half_us_29n9s1(0) AND not_rtlcn695 ;
   not_Count_4 <= NOT Count(4) ;
   not_Count_2 <= NOT Count(2) ;
   Count_29n20ss1(5) <= Count_29n13s1_5 AND not_rtlcn695 ;
   Count_29n20ss1(3) <= Half_us_29n9s1(3) AND not_rtlcn695 ;
   Count_29n20ss1(1) <= Half_us_29n9s1(1) AND not_rtlcn695 ;
   not_Count_6 <= NOT Count(6) ;
   not_Count_5 <= NOT Count(5) ;
   not_Count_3 <= NOT Count(3) ;
   not_Count_1 <= NOT Count(1) ;
   rtlc_1336_and_1348 : and_4u_4u port map ( a(3)=>not_Count_6, a(2)=>
      not_Count_5, a(1)=>not_Count_3, a(0)=>not_Count_1, d=>rtlcs30);
   rtlcs35 <= not_Count_4 AND Count(2) ;
   not_Count_0 <= NOT Count(0) ;
   rtlcs19 <= not_Count_0 AND rtlcs34 ;
   rtlcs21 <= not_Tx AND not_Tx_Inhibit ;
   Cal_26n9ss1(2) <= rtlc26n375(2) OR not_rtlc26n998 ;
   not_Micro_5 <= NOT Micro(5) ;
   not_Micro_4 <= NOT Micro(4) ;
   not_Micro_3 <= NOT Micro(3) ;
   not_Micro_2 <= NOT Micro(2) ;
   not_Micro_1 <= NOT Micro(1) ;
   rtlc_1364_and_1349 : and_6u_6u port map ( a(5)=>not_Micro_5, a(4)=>
      not_Micro_4, a(3)=>not_Micro_3, a(2)=>not_Micro_2, a(1)=>not_Micro_1, 
      a(0)=>Micro(0), d=>rtlcs12);
   not_RxNSital <= NOT RxNSital ;
   rtlcs14 <= not_RxNSital AND RxSital ;
   rtlcs13 <= RxNSital AND not_RxSital ;
   not_Micro_0 <= NOT Micro(0) ;
   rtlc_1392_and_1350 : and_6u_6u port map ( a(5)=>Micro(5), a(4)=>
      not_Micro_4, a(3)=>not_Micro_3, a(2)=>Micro(2), a(1)=>Micro(1), a(0)=>
      not_Micro_0, d=>rtlcs11);
   rtlcn831 <= calib(5) OR rtlcn481 ;
   Cal_26n9ss1(1) <= rtlc26n375(1) OR not_rtlc26n998 ;
   not_calib_6 <= NOT calib(6) ;
   Delta_26n14ss1(2) <= Delta(3) AND not_calib_6 ;
   Delta_26n14ss1(1) <= Delta(2) AND not_calib_6 ;
   Delta_26n14ss1(0) <= Delta(1) AND not_calib_6 ;
   Cal_26n9ss1(3) <= rtlc26n375(3) OR not_rtlc26n998 ;
   Cal_26n7ss1_4 <= rtlc26n347(4) OR not_rtlc26n976 ;
   rtlcn830 <= rtlcn478 OR calib(4) ;
   not_Shorten_Minus <= NOT Shorten_Minus ;
   rtlc_1428_and_1351 : and_4u_4u port map ( a(3)=>rtlcs34, a(2)=>
      Shorten_Minus, a(1)=>Count(0), a(0)=>TxN, d=>rtlcs24);
   rtlcn828 <= rtlcn334 OR AmnonHofman(3) ;
   rtlcs20 <= not_Tx AND Tx_Inhibit ;
   rtlcs15 <= not_TxN AND Tx_Inhibit ;
   not_Count_1us_5 <= NOT Count_1us(5) ;
   not_Count_1us_4 <= NOT Count_1us(4) ;
   not_Count_1us_2 <= NOT Count_1us(2) ;
   not_Count23us_3 <= NOT Count23us(3) ;
   not_Count23us_2 <= NOT Count23us(2) ;
   not_Count23us_1 <= NOT Count23us(1) ;
   not_Count_1us_3 <= NOT Count_1us(3) ;
   not_Count_1us_1 <= NOT Count_1us(1) ;
   not_Count_1us_0 <= NOT Count_1us(0) ;
   not_Shorten_Plus <= NOT Shorten_Plus ;
   rtlc_1469_and_1358 : and_4u_4u port map ( a(3)=>rtlcs34, a(2)=>
      Shorten_Plus, a(1)=>Count(0), a(0)=>Tx, d=>rtlcs36);
   rtlcs16 <= not_TxN AND not_Tx_Inhibit ;
   rtlcn829 <= rtlcn347 OR AmnonHofman(1) ;
   Count_29n20ss1(6) <= Count_29n13s1_6 AND not_rtlcn695 ;
   Half_us_29n20ss1(4) <= Half_us_29n9s1(4) AND rtlc29n1347 ;
   Half_us_29n20ss1(2) <= Half_us_29n9s1(2) AND rtlc29n1347 ;
   Half_us_29n20ss1(1) <= Half_us_29n9s1(1) AND rtlc29n1347 ;
   Half_us_29n20ss1(0) <= Half_us_29n9s1(0) AND rtlc29n1347 ;
   Half_us_29n20ss1(3) <= Half_us_29n9s1(3) AND rtlc29n1347 ;
   TxN_SN_29n20ss1 <= Rx_ok AND AmnonHofman(6) ;
   Tx_SN_29n20ss1 <= Rx_ok AND AmnonHofman(5) ;
   rtlcn832 <= rtlc29n926 OR rtlcn575 ;
   rtlcn833 <= rtlc29n926 OR rtlcn578 ;
   rtlc17n153 <= rtlcn140 AND Rx_energy(6) ;
   rtlc_1814_or_1359 : or_4u_4u port map ( a(3)=>Fixed(0), a(2)=>Fixed(1), 
      a(1)=>Fixed(2), a(0)=>Fixed(3), d=>rtlc23n173);
   rtlcn769 <= snubb(1) OR snubb(0) ;
   modgen_counter_Rx_energy : counter_updn_aclear_clock_clk_en_0_7
       port map ( clock=>clock, q(6)=>Rx_energy(6), q(5)=>Rx_energy(5), q(4)
      =>Rx_energy(4), q(3)=>Rx_energy(3), q(2)=>Rx_energy(2), q(1)=>
      Rx_energy(1), q(0)=>Rx_energy(0), clk_en=>not_rtlc17_X_0_n125, aclear
      =>not_resetN, sload=>GND, data(6)=>DANGLING(2), data(5)=>DANGLING(3), 
      data(4)=>DANGLING(4), data(3)=>DANGLING(5), data(2)=>DANGLING(6), 
      data(1)=>DANGLING(7), data(0)=>DANGLING(8), aset=>GND, sclear=>GND, 
      updn=>Rx_On, cnt_en=>PWR);
   modgen_counter_Count_1us : counter_dn_sload_aclear_clock_clk_en_0_6
       port map ( clock=>clock, q(5)=>Count_1us(5), q(4)=>Count_1us(4), q(3)
      =>Count_1us(3), q(2)=>Count_1us(2), q(1)=>Count_1us(1), q(0)=>
      Count_1us(0), clk_en=>CE, aclear=>not_resetN, sload=>rtlc23_X_0_n397, 
      data(5)=>PWR, data(4)=>GND, data(3)=>GND, data(2)=>PWR, data(1)=>PWR, 
      data(0)=>PWR, aset=>GND, sclear=>GND, updn=>GND, cnt_en=>PWR);
   modgen_counter_Count23us : counter_dn_sload_aclear_clock_clk_en_0_5
       port map ( clock=>clock, q(4)=>Count23us(4), q(3)=>Count23us(3), q(2)
      =>Count23us(2), q(1)=>Count23us(1), q(0)=>Count23us(0), clk_en=>
      not_rtlc23n424, aclear=>not_resetN, sload=>rtlc23n436, data(4)=>PWR, 
      data(3)=>GND, data(2)=>PWR, data(1)=>GND, data(0)=>GND, aset=>GND, 
      sclear=>GND, updn=>GND, cnt_en=>PWR);
   modgen_counter_Fixed : counter_dn_sload_aclear_clock_clk_en_0_4
       port map ( clock=>clock, q(3)=>Fixed(3), q(2)=>Fixed(2), q(1)=>
      Fixed(1), q(0)=>Fixed(0), clk_en=>not_rtlc23_X_0_n472, aclear=>
      not_resetN, sload=>rtlc23n436, data(3)=>Num_Of_Fixes(3), data(2)=>
      Num_Of_Fixes(2), data(1)=>Num_Of_Fixes(1), data(0)=>Num_Of_Fixes(0), 
      aset=>GND, sclear=>GND, updn=>GND, cnt_en=>PWR);
   not_rtlcn4027 <= NOT rtlcn4027 ;
   rtlc_2515_add_1362 : add_4u_4u_4u_0_0 port map ( cin=>GND, a(3)=>Cal(3), 
      a(2)=>Cal(2), a(1)=>Cal(1), a(0)=>Cal(0), b(3)=>Delta(3), b(2)=>
      Delta(2), b(1)=>Delta(1), b(0)=>Delta(0), d(3)=>rtlc26n375(3), d(2)=>
      rtlc26n375(2), d(1)=>rtlc26n375(1), d(0)=>rtlc26n375(0), cout=>
      rtlcn4010);
   rtlc_2524_sub_1363 : sub_4u_4u_4u_0 port map ( cin=>PWR, a(3)=>Cal(3), 
      a(2)=>Cal(2), a(1)=>Cal(1), a(0)=>Cal(0), b(3)=>Delta(3), b(2)=>
      Delta(2), b(1)=>Delta(1), b(0)=>Delta(0), d(3)=>rtlc26n347(3), d(2)=>
      rtlc26n347(2), d(1)=>rtlc26n347(1), d(0)=>rtlc26n347(0), cout=>
      rtlcn4027);
   Rx_On_17n1s2 <= NOT (RxSital XOR RxNSital) ;
   rtlc26n347(4) <= NOT (rtlcn4027 XOR Cal(4)) ;
   DFFPCE (not_Rx_On_17n1s2,GND,not_resetN,CE,clock,Rx_On) ;
   DFFPCE (rtlcn573,not_resetN,GND,CE,clock,Rx_ok) ;
   DFFPCE (rtlcn462,GND,not_resetN,CE,clock,snubb(1)) ;
   DFFPCE (rtlcn475,GND,not_resetN,CE,clock,snubb(0)) ;
   DFFPCE (rtlcn454,GND,not_resetN,CE,clock,Shorten_Plus) ;
   DFFPCE (rtlcn567,GND,not_resetN,CE,clock,Shorten_Minus) ;
   DFFPCE (rtlcn495,GND,not_resetN,CE,clock,calib(7)) ;
   DFFPCE (rtlcn539,not_resetN,GND,CE,clock,calib(6)) ;
   DFFPCE (rtlcn533,GND,not_resetN,CE,clock,calib(5)) ;
   DFFPCE (rtlcn485,GND,not_resetN,CE,clock,calib(4)) ;
   DFFPCE (rtlcn489,GND,not_resetN,CE,clock,calib(3)) ;
   DFFPCE (rtlcn502,GND,not_resetN,CE,clock,calib(2)) ;
   DFFPCE (rtlcn513,GND,not_resetN,CE,clock,calib(1)) ;
   DFFPCE (rtlcn527,GND,not_resetN,CE,clock,calib(0)) ;
   DFFPCE (calib(6),not_resetN,GND,rtlc26n674,clock,Delta(3)) ;
   DFFPCE (Delta_26n14ss1(2),GND,not_resetN,rtlc26n674,clock,Delta(2)) ;
   DFFPCE (Delta_26n14ss1(1),GND,not_resetN,rtlc26n674,clock,Delta(1)) ;
   DFFPCE (Delta_26n14ss1(0),GND,not_resetN,rtlc26n674,clock,Delta(0)) ;
   DFFPCE (Cal_26n14ss1(4),GND,not_resetN,rtlc26n670,clock,Cal(4)) ;
   DFFPCE (Cal_26n14ss1(3),GND,not_resetN,rtlc26n670,clock,Cal(3)) ;
   DFFPCE (Cal_26n14ss1(2),GND,not_resetN,rtlc26n670,clock,Cal(2)) ;
   DFFPCE (Cal_26n14ss1(1),GND,not_resetN,rtlc26n670,clock,Cal(1)) ;
   DFFPCE (Cal_26n14ss1(0),GND,not_resetN,rtlc26n670,clock,Cal(0)) ;
   DFFPCE (Cal(4),GND,not_resetN,rtlc26n665,clock,Reduce_Plus_On) ;
   DFFPCE (Reduce_Minus_On_26n1s1,GND,not_resetN,rtlc26n665,clock,
   Reduce_Minus_On) ;
   DFFPCE (Num_Of_Fixes_26n1s1(3),GND,not_resetN,rtlc26n665,clock,
   Num_Of_Fixes(3)) ;
   DFFPCE (Num_Of_Fixes_26n1s1(2),GND,not_resetN,rtlc26n665,clock,
   Num_Of_Fixes(2)) ;
   DFFPCE (Num_Of_Fixes_26n1s1(1),GND,not_resetN,rtlc26n665,clock,
   Num_Of_Fixes(1)) ;
   DFFPCE (Num_Of_Fixes_26n1s1(0),GND,not_resetN,rtlc26n665,clock,
   Num_Of_Fixes(0)) ;
   DFFPCE (rtlcn409,GND,not_resetN,CE,clock,AmnonHofman(11)) ;
   DFFPCE (rtlcn389,GND,not_resetN,CE,clock,AmnonHofman(10)) ;
   DFFPCE (rtlcn442,GND,not_resetN,CE,clock,AmnonHofman(9)) ;
   DFFPCE (rtlcn431,GND,not_resetN,CE,clock,AmnonHofman(8)) ;
   DFFPCE (rtlcn402,GND,not_resetN,CE,clock,AmnonHofman(7)) ;
   DFFPCE (rtlcn327,GND,not_resetN,CE,clock,AmnonHofman(6)) ;
   DFFPCE (rtlcn416,GND,not_resetN,CE,clock,AmnonHofman(5)) ;
   DFFPCE (AmnonHofman_fsm_29n20ss1_4,GND,not_resetN,CE,clock,AmnonHofman(4)
   ) ;
   DFFPCE (rtlcn340,GND,not_resetN,CE,clock,AmnonHofman(3)) ;
   DFFPCE (AmnonHofman_fsm_29n20ss1_2,GND,not_resetN,CE,clock,AmnonHofman(2)
   ) ;
   DFFPCE (rtlcn353,GND,not_resetN,CE,clock,AmnonHofman(1)) ;
   DFFPCE (not_rtlcn699,not_resetN,GND,CE,clock,AmnonHofman(0)) ;
   DFFPCE (Tx_SN_29n20ss1,GND,not_resetN,CE,clock,Tx_SN) ;
   DFFPCE (TxSital_29n20ss1,GND,not_resetN,CE,clock,Tx_Sital) ;
   DFFPCE (TxSense_29n20ss1,GND,not_resetN,CE,clock,TxSense_EXMPLR3682) ;
   DFFPCE (TxN_SN_29n20ss1,GND,not_resetN,CE,clock,TxN_SN) ;
   DFFPCE (TxNSital_29n20ss1,GND,not_resetN,CE,clock,TxN_Sital) ;
   DFFPCE (Half_us_29n20ss1(4),GND,not_resetN,rtlc29n992,clock,Half_us(4)) ;
   DFFPCE (Half_us_29n20ss1(3),GND,not_resetN,rtlc29n992,clock,Half_us(3)) ;
   DFFPCE (Half_us_29n20ss1(2),GND,not_resetN,rtlc29n992,clock,Half_us(2)) ;
   DFFPCE (Half_us_29n20ss1(1),GND,not_resetN,rtlc29n992,clock,Half_us(1)) ;
   DFFPCE (Half_us_29n20ss1(0),GND,not_resetN,rtlc29n992,clock,Half_us(0)) ;
   DFFPCE (Count_29n20ss1(6),GND,not_resetN,CE,clock,Count(6)) ;
   DFFPCE (Count_29n20ss1(5),GND,not_resetN,CE,clock,Count(5)) ;
   DFFPCE (Count_29n20ss1(4),GND,not_resetN,CE,clock,Count(4)) ;
   DFFPCE (Count_29n20ss1(3),GND,not_resetN,CE,clock,Count(3)) ;
   DFFPCE (Count_29n20ss1(2),GND,not_resetN,CE,clock,Count(2)) ;
   DFFPCE (Count_29n20ss1(1),GND,not_resetN,CE,clock,Count(1)) ;
   DFFPCE (Count_29n20ss1(0),GND,not_resetN,CE,clock,Count(0)) ;
   rtlc17_26_or_1300_nx0 <= not_CE OR rtlc17n121 ;
   rtlc17_X_0_n125 <= rtlc17_26_or_1300_nx0 OR rtlc17n124 ;
   rtlc23n436 <= snubb(1) OR not_snubb_0 ;
   rtlc23_X_0_n397 <= rtlc23n436 OR rtlcs6 ;
   rtlc23_268_or_1303_nx0 <= Count23us(1) OR Count23us(2) ;
   rtlc23n618 <= rtlc23_268_or_1303_nx0 OR Count23us(3) ;
   rtlc26n698 <= rtlcn316 OR calib(6) ;
   rtlc26_209_or_1307_nx0 <= calib(1) OR calib(2) ;
   rtlc26n703 <= rtlc26_209_or_1307_nx0 OR calib(7) ;
   rtlc26_642_or_1308_nx0 <= rtlc26n347(1) OR rtlc26n347(2) ;
   rtlc26n973 <= rtlc26_642_or_1308_nx0 OR rtlc26n347(3) ;
   rtlc26_660_or_1310_nx0 <= Delta(1) OR Delta(2) ;
   rtlc26n1011 <= rtlc26_660_or_1310_nx0 OR Delta(3) ;
   rtlc29_208_or_1314_nx0 <= AmnonHofman(7) OR AmnonHofman(10) ;
   rtlc29n926 <= rtlc29_208_or_1314_nx0 OR AmnonHofman(11) ;
   rtlc29_856_or_1319_nx0 <= Count(0) OR Count(1) ;
   rtlc29n1260 <= rtlc29_856_or_1319_nx0 OR Count(2) ;
   rtlc_300_or_1321_nx0 <= not_CE OR rtlc23n467 ;
   rtlc23_X_0_n472 <= rtlc_300_or_1321_nx0 OR rtlc23n471 ;
   rtlc_1045_and_1333_nx0 <= Tx AND AmnonHofman(0) ;
   rtlcn764 <= rtlc_1045_and_1333_nx0 AND not_rtlcn702 ;
   rtlc_1050_and_1334_nx0 <= TxN AND not_Regular ;
   rtlcn768 <= rtlc_1050_and_1334_nx0 AND AmnonHofman(0) ;
   rtlc_1080_and_1337_nx0 <= calib(3) AND not_rtlc26n960 ;
   rtlcn785 <= rtlc_1080_and_1337_nx0 AND not_rtlc26n942 ;
   rtlc_1096_or_1341_nx0 <= rtlcs17 OR rtlcs24 ;
   rtlc29n856 <= rtlc_1096_or_1341_nx0 OR rtlcs37 ;
   rtlc_1102_or_1342_nx0 <= rtlcs22 OR rtlcs36 ;
   rtlc29n842 <= rtlc_1102_or_1342_nx0 OR rtlcs39 ;
   rtlc_1292_and_1343_nx0 <= CE AND rtlc26n628 ;
   rtlc26n687 <= rtlc_1292_and_1343_nx0 AND rtlcn834 ;
   rtlc26n670 <= CE AND rtlc26n698 ;
   rtlc26n674 <= rtlc26n670 AND rtlcn835 ;
   rtlc_1306_and_1345_nx0 <= CE AND not_rtlc29n1010 ;
   rtlc29n992 <= rtlc_1306_and_1345_nx0 AND rtlcn836 ;
   rtlc_1325_and_1347_nx0 <= not_Count_4 AND not_Count_2 ;
   rtlcs33 <= rtlc_1325_and_1347_nx0 AND Count(0) ;
   rtlc_1433_and_1352_nx0 <= not_Count_2 AND Count(4) ;
   rtlcs29 <= rtlc_1433_and_1352_nx0 AND not_Count_0 ;
   rtlc_1444_and_1354_nx0 <= not_Count_1us_5 AND not_Count_1us_4 ;
   rtlcs3 <= rtlc_1444_and_1354_nx0 AND not_Count_1us_2 ;
   rtlc_1460_and_1356_nx0 <= not_Count_1us_3 AND not_Count_1us_1 ;
   rtlcs2 <= rtlc_1460_and_1356_nx0 AND Count_1us(0) ;
   rtlcs7 <= rtlc_1460_and_1356_nx0 AND not_Count_1us_0 ;
   modgen_and_0 : and_5u_5u port map ( a(4)=>Count_1us(0), a(3)=>
      Count_1us(3), a(2)=>Count_1us(1), a(1)=>rtlcs3, a(0)=>rtlc23n173, d=>
      rtlc23n274);
   modgen_and_1 : and_3u_3u port map ( a(2)=>snubb(0), a(1)=>
      TxSense_EXMPLR3682, a(0)=>rtlc23n304, d=>rtlcn462);
   modgen_counter_Sum : counter_updn_sclear_aclear_clock_clk_en_0_7
       port map ( clock=>clock, q(6)=>Sum(6), q(5)=>Sum(5), q(4)=>Sum(4), 
      q(3)=>Sum(3), q(2)=>Sum(2), q(1)=>Sum(1), q(0)=>Sum(0), clk_en=>
      rtlc26n687, aclear=>not_resetN, sload=>GND, data(6)=>DANGLING(9), 
      data(5)=>DANGLING(10), data(4)=>DANGLING(11), data(3)=>DANGLING(12), 
      data(2)=>DANGLING(13), data(1)=>DANGLING(14), data(0)=>DANGLING(15), 
      aset=>GND, sclear=>not_calib_7, updn=>RxSital, cnt_en=>PWR);
   modgen_counter_Micro : counter_updn_sload_aclear_clock_clk_en_0_6
       port map ( clock=>clock, q(5)=>Micro(5), q(4)=>Micro(4), q(3)=>
      Micro(3), q(2)=>Micro(2), q(1)=>Micro(1), q(0)=>Micro(0), clk_en=>
      rtlc26n680, aclear=>not_resetN, sload=>calib(1), data(5)=>GND, data(4)
      =>PWR, data(3)=>PWR, data(2)=>PWR, data(1)=>GND, data(0)=>PWR, aset=>
      GND, sclear=>GND, updn=>calib(7), cnt_en=>PWR);
   modgen_rom_ix715 : rom_new_0_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate
       port map ( rd_data1(0)=>AmnonHofman_fsm_29n4ss1_2, addr1(8)=>
      Shorten_Plus, addr1(7)=>Count(6), addr1(6)=>Count(5), addr1(5)=>
      Count(4), addr1(4)=>Count(3), addr1(3)=>Count(2), addr1(2)=>Count(1), 
      addr1(1)=>Count(0), addr1(0)=>Tx, rd_clk1=>DANGLING(16), rd_ena1=>PWR, 
      regce1=>PWR, rst1=>GND);
   modgen_rom_ix716 : rom_new_1_Xcvr_Snubber_sital_8_4_5_40_7_OH_Calibrate
       port map ( rd_data1(0)=>AmnonHofman_fsm_29n8ss1_4, addr1(8)=>
      Shorten_Minus, addr1(7)=>Count(6), addr1(6)=>Count(5), addr1(5)=>
      Count(4), addr1(4)=>Count(3), addr1(3)=>Count(2), addr1(2)=>Count(1), 
      addr1(1)=>Count(0), addr1(0)=>TxN, rd_clk1=>DANGLING(17), rd_ena1=>PWR, 
      regce1=>PWR, rst1=>GND);
   modgen_and_2 : and_8u_8u port map ( a(7)=>not_Rx_energy_6, a(6)=>
      not_Rx_energy_5, a(5)=>not_Rx_energy_4, a(4)=>not_Rx_energy_3, a(3)=>
      not_Rx_energy_2, a(2)=>not_Rx_energy_1, a(1)=>not_Rx_energy_0, a(0)=>
      not_Rx_On, d=>rtlc17n124);
   modgen_and_3 : and_7u_7u port map ( a(6)=>not_Count23us_4, a(5)=>
      not_Count23us_3, a(4)=>not_Count23us_2, a(3)=>not_Count23us_1, a(2)=>
      Count23us(0), a(1)=>rtlcs2, a(0)=>rtlcs3, d=>rtlc23n304);
end OH_Calibrate ;

library IEEE;
 use IEEE.STD_LOGIC_1164.ALL;
 Library MODGEN_SITAL;

entity BRM1553D_ver8_4_Limited_40Mhz is 
   port (
      BC_DISABLE : IN std_logic ;
      CPU_Address : IN std_logic_vector (15 DOWNTO 0) ;
      CPU_CS : IN std_logic ;
      CPU_Data_in : IN std_logic_vector (31 DOWNTO 0) ;
      CPU_RE : IN std_logic_vector (1 DOWNTO 0) ;
      CPU_WE : IN std_logic_vector (1 DOWNTO 0) ;
      Ext_Trigger : IN std_logic ;
      M1760 : IN std_logic ;
      MEM_nREG : IN std_logic ;
      RTAD_SW_EN : IN std_logic ;
      RT_ADR_LAT : IN std_logic ;
      RT_Address_Parity : IN std_logic ;
      RT_Address_wire : IN std_logic_vector (4 DOWNTO 0) ;
      Raw_resetN : IN std_logic ;
      Regular_XCVR : IN std_logic ;
      RxA : IN std_logic ;
      RxAn : IN std_logic ;
      RxB : IN std_logic ;
      RxBn : IN std_logic ;
      Set_SSFLAG : IN std_logic ;
      Strobe_TT : IN std_logic ;
      Tag_CLK : IN std_logic ;
      Tx_InhB : IN std_logic ;
      Tx_inhA : IN std_logic ;
      clock : IN std_logic ;
      CPU_Data_out : OUT std_logic_vector (31 DOWNTO 0) ;
      Cyber_Attack_Bus_A : OUT std_logic ;
      Cyber_Attack_Command : OUT std_logic_vector (15 DOWNTO 0) ;
      Cyber_Attack_TTag : OUT std_logic_vector (15 DOWNTO 0) ;
      Cyber_Attck_Type1 : OUT std_logic ;
      DEBUG_A_command_sync : OUT std_logic ;
      DEBUG_F500Khz : OUT std_logic ;
      DEBUG_RxAs : OUT std_logic ;
      DEBUG_Rx_Ok : OUT std_logic ;
      DEBUG_Rx_Strobe : OUT std_logic ;
      DEBUG_TT_MSB : OUT std_logic ;
      INTn : OUT std_logic ;
      TxA : OUT std_logic ;
      TxAN : OUT std_logic ;
      TxB : OUT std_logic ;
      TxBN : OUT std_logic ;
      Tx_AN_SN : OUT std_logic ;
      Tx_A_SN : OUT std_logic ;
      Tx_BN_SN : OUT std_logic ;
      Tx_B_SN : OUT std_logic ;
      Tx_Inh_B : OUT std_logic ;
      Tx_inh_A : OUT std_logic) ;
end BRM1553D_ver8_4_Limited_40Mhz ;

architecture External_Mem of BRM1553D_ver8_4_Limited_40Mhz is 
   component BRM1553D_ver8_4_RTLC_LONGENT0
      port (
         Aux_in : IN std_logic_vector (15 DOWNTO 0) ;
         BC_DISABLE : IN std_logic ;
         CPU_Address : IN std_logic_vector (15 DOWNTO 0) ;
         CPU_CS : IN std_logic ;
         CPU_Data_in_wide : IN std_logic_vector (31 DOWNTO 0) ;
         CPU_RE_vec : IN std_logic_vector (1 DOWNTO 0) ;
         CPU_Side_MEM_Data_o : IN std_logic_vector (31 DOWNTO 0) ;
         CPU_WE : IN std_logic_vector (1 DOWNTO 0) ;
         Clock_0 : IN std_logic ;
         Clock_1 : IN std_logic ;
         Clock_2 : IN std_logic ;
         Clock_3 : IN std_logic ;
         Constants_readback : IN std_logic_vector (15 DOWNTO 0) ;
         Ext_Trigger : IN std_logic ;
         External_CE_In : IN std_logic ;
         FromK : IN std_logic ;
         Handshake_Error : IN std_logic ;
         M1760 : IN std_logic ;
         MEM_nREG : IN std_logic ;
         Mem_Ack : IN std_logic ;
         Mem_Data_o : IN std_logic_vector (15 DOWNTO 0) ;
         Minus_A : IN std_logic ;
         Minus_B : IN std_logic ;
         Plus_A : IN std_logic ;
         Plus_B : IN std_logic ;
         RTAD : IN std_logic_vector (4 DOWNTO 0) ;
         RTADP : IN std_logic ;
         RTAD_SW_EN : IN std_logic ;
         RT_ADR_LAT : IN std_logic ;
         Raw_resetN : IN std_logic ;
         Set_SSFLAG : IN std_logic ;
         Strobe_TT : IN std_logic ;
         Tag_CLK : IN std_logic ;
         Tx_InhB : IN std_logic ;
         Tx_inhA : IN std_logic ;
         clock : IN std_logic ;
         key_ports_In : IN std_logic_vector (23 DOWNTO 0) ;
         CE_out : OUT std_logic ;
         CPU_Data_out_wide : OUT std_logic_vector (31 DOWNTO 0) ;
         CPU_Side_WE : OUT std_logic_vector (1 DOWNTO 0) ;
         Fault_value : OUT std_logic_vector (15 DOWNTO 0) ;
         INTn : OUT std_logic ;
         IP_Freq_sel : OUT std_logic_vector (1 DOWNTO 0) ;
         Mem_Address : OUT std_logic_vector (15 DOWNTO 0) ;
         Mem_RE : OUT std_logic ;
         Mem_data_in : OUT std_logic_vector (15 DOWNTO 0) ;
         OE_High : OUT std_logic ;
         TT_Load : OUT std_logic ;
         Tok : OUT std_logic ;
         Tx_A : OUT std_logic ;
         Tx_A_N : OUT std_logic ;
         Tx_B : OUT std_logic ;
         Tx_B_N : OUT std_logic ;
         Tx_inh_A : OUT std_logic ;
         Tx_inh_B : OUT std_logic ;
         Update : OUT std_logic ;
         debug_out : OUT std_logic_vector (63 DOWNTO 0) ;
         fault_type : OUT std_logic_vector (3 DOWNTO 0) ;
         mem_WE : OUT std_logic ;
         n16Mhz_12 : OUT std_logic ;
         BC_Message_Active : OUT std_logic ;
         BC_on : OUT std_logic ;
         H15530_record_A_Sync_error : OUT std_logic ;
         H15530_record_A_Manchester_error : OUT std_logic ;
         H15530_record_A_Parity_error : OUT std_logic ;
         H15530_record_A_echo_back_bus : OUT std_logic ;
         H15530_record_A_R_Data : OUT std_logic_vector (15 DOWNTO 0) ;
         H15530_record_A_RAW_GAP : OUT std_logic_vector (6 DOWNTO 0) ;
         H15530_record_A_GAP : OUT std_logic_vector (6 DOWNTO 0) ;
         H15530_record_A_Gap_found : OUT std_logic_vector (2 DOWNTO 0) ;
         H15530_record_A_RxRDY_plus_12us : OUT std_logic ;
         H15530_record_A_RxRDY_plus_10us : OUT std_logic ;
         H15530_record_A_CS : OUT std_logic ;
         H15530_record_A_Pre_EchoRdy : OUT std_logic ;
         H15530_record_A_Command_Sync : OUT std_logic ;
         H15530_record_A_Pre_RxRdy : OUT std_logic ;
         H15530_record_A_recieving : OUT std_logic ;
         H15530_record_B_Sync_error : OUT std_logic ;
         H15530_record_B_Manchester_error : OUT std_logic ;
         H15530_record_B_Parity_error : OUT std_logic ;
         H15530_record_B_echo_back_bus : OUT std_logic ;
         H15530_record_B_R_Data : OUT std_logic_vector (15 DOWNTO 0) ;
         H15530_record_B_RAW_GAP : OUT std_logic_vector (6 DOWNTO 0) ;
         H15530_record_B_GAP : OUT std_logic_vector (6 DOWNTO 0) ;
         H15530_record_B_Gap_found : OUT std_logic_vector (2 DOWNTO 0) ;
         H15530_record_B_RxRDY_plus_12us : OUT std_logic ;
         H15530_record_B_RxRDY_plus_10us : OUT std_logic ;
         H15530_record_B_CS : OUT std_logic ;
         H15530_record_B_Pre_EchoRdy : OUT std_logic ;
         H15530_record_B_Command_Sync : OUT std_logic ;
         H15530_record_B_Pre_RxRdy : OUT std_logic ;
         H15530_record_B_recieving : OUT std_logic ;
         key_ports_out : OUT std_logic_vector (23 DOWNTO 0) ;
         one_micro_increment : OUT std_logic ;
         pTDR_INT : OUT std_logic ;
         time_tag : OUT std_logic_vector (15 DOWNTO 0)) ;
   end component ;
   component DPRAM_Interlaced2_16_1_0
      port (
         ADDr_i_A : IN std_logic_vector (15 DOWNTO 0) ;
         ADDr_i_B : IN std_logic_vector (15 DOWNTO 0) ;
         Data_i_A : IN std_logic_vector (15 DOWNTO 0) ;
         Data_i_B : IN std_logic_vector (31 DOWNTO 0) ;
         WE_A : IN std_logic ;
         WE_B_vec : IN std_logic_vector (1 DOWNTO 0) ;
         clock : IN std_logic ;
         Data_o_A : OUT std_logic_vector (15 DOWNTO 0) ;
         Data_o_B : OUT std_logic_vector (31 DOWNTO 0)) ;
   end component ;
   component Xcvr_Snubber_sital_8_4_5_40_7
      port (
         CE : IN std_logic ;
         Regular : IN std_logic ;
         RxNSital : IN std_logic ;
         RxSital : IN std_logic ;
         Tx : IN std_logic ;
         TxN : IN std_logic ;
         Tx_Inhibit : IN std_logic ;
         clock : IN std_logic ;
         resetN : IN std_logic ;
         Rx : OUT std_logic ;
         RxN : OUT std_logic ;
         TxN_SN : OUT std_logic ;
         Tx_SN : OUT std_logic ;
         TxN_Sital : OUT std_logic ;
         TxSense : OUT std_logic ;
         Tx_Sital : OUT std_logic) ;
   end component ;
   component and_4u_4u
      port (
         a : IN std_logic_vector (3 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   component or_11u_11u
      port (
         a : IN std_logic_vector (10 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   procedure DFFPC (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           q <= data and data ;    -- takes care of q<='X' if data='Z'
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPC ;
   procedure DFFPCE (
      constant data   : in std_logic;
      constant preset : in std_logic;
      constant clear  : in std_logic;
      constant enable : in std_logic;
      signal clk      : in std_logic;
      signal q        : out std_logic)
   is begin
       if (preset = '1') then
           q <= '1' ;
       elsif (clear = '1') then
           q <= '0' ;
       elsif (clk'event and clk'last_value = '0' and clk = '1') then
           if (enable = '1') then
               q <= data and data ;    -- takes care of q<='X' if data='Z'
           end if ;
       end if ;
       if ((clear/='1' or preset/='1') and clk/='0' and clk/='1') then
           q <= 'X' ;
       end if ;
   end DFFPCE ;
   component and_3u_3u
      port (
         a : IN std_logic_vector (2 DOWNTO 0) ;
         d : OUT std_logic) ;
   end component ;
   for I2 : Xcvr_Snubber_sital_8_4_5_40_7 use entity work.
   Xcvr_Snubber_sital_8_4_5_40_7(OH_Calibrate_unfold_1);
   for I3 : Xcvr_Snubber_sital_8_4_5_40_7 use entity work.
   Xcvr_Snubber_sital_8_4_5_40_7(OH_Calibrate);
   signal DEBUG_F500Khz_EXMPLR3825, Ack, BC_Message_Active, BC_on, CE_out: 
   std_logic ;
   
   signal Data_o_A: std_logic_vector (15 DOWNTO 0) ;
   
   signal Data_o_B: std_logic_vector (31 DOWNTO 0) ;
   
   signal Mem_Address: std_logic_vector (15 DOWNTO 0) ;
   
   signal Mem_RE: std_logic ;
   
   signal Mem_data_in: std_logic_vector (15 DOWNTO 0) ;
   
   signal Minus_A, Minus_B, Pipe_Delay, Plus_A, Plus_B, Tx_A, Tx_A_N, Tx_B, 
      Tx_B_N, Tx_inh_A1, Tx_inh_B1: std_logic ;
   
   signal WE_B_vec: std_logic_vector (1 DOWNTO 0) ;
   
   signal mem_WE, mem_WE_CE, one_micro_increment, resetN: std_logic ;
   
   signal time_tag: std_logic_vector (15 DOWNTO 0) ;
   
   signal GND, not_resetN, not_DEBUG_F500Khz, DEBUG_Rx_Strobe_4n2s2, 
      DEBUG_Rx_Ok_4n2s2, rtlc4n67, not_rtlc4n67, not_rtlcn0, rtlc8n45, 
      rtlc8n46, rtlc8n90: std_logic ;
   
   signal Cyber_Attack_Command_11n2ss1: std_logic_vector (15 DOWNTO 0) ;
   
   signal rtlc11n83, rtlc11n91, rtlc11n92, rtlc11n94, rtlc11n103, rtlc11n111, 
      rtlc11n112, rtlc11n114, rtlc11n193, rtlcn0, rtlcn12, rtlcn17, 
      not_BC_Message_Active, rtlcn25, not_rtlc8n46: std_logic ;
   
   signal H15530_record_A_R_Data: std_logic_vector (15 DOWNTO 0) ;
   
   signal H15530_record_A_CS, H15530_record_A_Command_Sync, 
      H15530_record_A_Pre_RxRdy: std_logic ;
   
   signal H15530_record_B_R_Data: std_logic_vector (15 DOWNTO 0) ;
   
   signal H15530_record_B_CS, H15530_record_B_Command_Sync, 
      H15530_record_B_Pre_RxRdy: std_logic ;
   
   signal DANGLING : std_logic_vector (165 downto 0 );

begin
   DEBUG_F500Khz <= DEBUG_F500Khz_EXMPLR3825 ;
   GND <= '0' ;
   I0 : BRM1553D_ver8_4_RTLC_LONGENT0 port map ( Aux_in(15)=>GND, Aux_in(14)
      =>GND, Aux_in(13)=>GND, Aux_in(12)=>GND, Aux_in(11)=>GND, Aux_in(10)=>
      GND, Aux_in(9)=>GND, Aux_in(8)=>GND, Aux_in(7)=>GND, Aux_in(6)=>GND, 
      Aux_in(5)=>GND, Aux_in(4)=>GND, Aux_in(3)=>GND, Aux_in(2)=>GND, 
      Aux_in(1)=>GND, Aux_in(0)=>GND, BC_DISABLE=>BC_DISABLE, 
      CPU_Address(15)=>GND, CPU_Address(14)=>GND, CPU_Address(13)=>GND, 
      CPU_Address(12)=>GND, CPU_Address(11)=>GND, CPU_Address(10)=>GND, 
      CPU_Address(9)=>GND, CPU_Address(8)=>GND, CPU_Address(7)=>GND, 
      CPU_Address(6)=>GND, CPU_Address(5)=>GND, CPU_Address(4)=>
      CPU_Address(4), CPU_Address(3)=>CPU_Address(3), CPU_Address(2)=>
      CPU_Address(2), CPU_Address(1)=>CPU_Address(1), CPU_Address(0)=>GND, 
      CPU_CS=>CPU_CS, CPU_Data_in_wide(31)=>CPU_Data_in(31), 
      CPU_Data_in_wide(30)=>CPU_Data_in(30), CPU_Data_in_wide(29)=>
      CPU_Data_in(29), CPU_Data_in_wide(28)=>CPU_Data_in(28), 
      CPU_Data_in_wide(27)=>CPU_Data_in(27), CPU_Data_in_wide(26)=>
      CPU_Data_in(26), CPU_Data_in_wide(25)=>CPU_Data_in(25), 
      CPU_Data_in_wide(24)=>CPU_Data_in(24), CPU_Data_in_wide(23)=>
      CPU_Data_in(23), CPU_Data_in_wide(22)=>CPU_Data_in(22), 
      CPU_Data_in_wide(21)=>CPU_Data_in(21), CPU_Data_in_wide(20)=>
      CPU_Data_in(20), CPU_Data_in_wide(19)=>CPU_Data_in(19), 
      CPU_Data_in_wide(18)=>CPU_Data_in(18), CPU_Data_in_wide(17)=>
      CPU_Data_in(17), CPU_Data_in_wide(16)=>CPU_Data_in(16), 
      CPU_Data_in_wide(15)=>CPU_Data_in(15), CPU_Data_in_wide(14)=>
      CPU_Data_in(14), CPU_Data_in_wide(13)=>CPU_Data_in(13), 
      CPU_Data_in_wide(12)=>CPU_Data_in(12), CPU_Data_in_wide(11)=>
      CPU_Data_in(11), CPU_Data_in_wide(10)=>CPU_Data_in(10), 
      CPU_Data_in_wide(9)=>CPU_Data_in(9), CPU_Data_in_wide(8)=>
      CPU_Data_in(8), CPU_Data_in_wide(7)=>CPU_Data_in(7), 
      CPU_Data_in_wide(6)=>CPU_Data_in(6), CPU_Data_in_wide(5)=>
      CPU_Data_in(5), CPU_Data_in_wide(4)=>CPU_Data_in(4), 
      CPU_Data_in_wide(3)=>CPU_Data_in(3), CPU_Data_in_wide(2)=>
      CPU_Data_in(2), CPU_Data_in_wide(1)=>CPU_Data_in(1), 
      CPU_Data_in_wide(0)=>CPU_Data_in(0), CPU_RE_vec(1)=>GND, CPU_RE_vec(0)
      =>CPU_RE(0), CPU_Side_MEM_Data_o(31)=>Data_o_B(31), 
      CPU_Side_MEM_Data_o(30)=>Data_o_B(30), CPU_Side_MEM_Data_o(29)=>
      Data_o_B(29), CPU_Side_MEM_Data_o(28)=>Data_o_B(28), 
      CPU_Side_MEM_Data_o(27)=>Data_o_B(27), CPU_Side_MEM_Data_o(26)=>
      Data_o_B(26), CPU_Side_MEM_Data_o(25)=>Data_o_B(25), 
      CPU_Side_MEM_Data_o(24)=>Data_o_B(24), CPU_Side_MEM_Data_o(23)=>
      Data_o_B(23), CPU_Side_MEM_Data_o(22)=>Data_o_B(22), 
      CPU_Side_MEM_Data_o(21)=>Data_o_B(21), CPU_Side_MEM_Data_o(20)=>
      Data_o_B(20), CPU_Side_MEM_Data_o(19)=>Data_o_B(19), 
      CPU_Side_MEM_Data_o(18)=>Data_o_B(18), CPU_Side_MEM_Data_o(17)=>
      Data_o_B(17), CPU_Side_MEM_Data_o(16)=>Data_o_B(16), 
      CPU_Side_MEM_Data_o(15)=>Data_o_B(15), CPU_Side_MEM_Data_o(14)=>
      Data_o_B(14), CPU_Side_MEM_Data_o(13)=>Data_o_B(13), 
      CPU_Side_MEM_Data_o(12)=>Data_o_B(12), CPU_Side_MEM_Data_o(11)=>
      Data_o_B(11), CPU_Side_MEM_Data_o(10)=>Data_o_B(10), 
      CPU_Side_MEM_Data_o(9)=>Data_o_B(9), CPU_Side_MEM_Data_o(8)=>
      Data_o_B(8), CPU_Side_MEM_Data_o(7)=>Data_o_B(7), 
      CPU_Side_MEM_Data_o(6)=>Data_o_B(6), CPU_Side_MEM_Data_o(5)=>
      Data_o_B(5), CPU_Side_MEM_Data_o(4)=>Data_o_B(4), 
      CPU_Side_MEM_Data_o(3)=>Data_o_B(3), CPU_Side_MEM_Data_o(2)=>
      Data_o_B(2), CPU_Side_MEM_Data_o(1)=>Data_o_B(1), 
      CPU_Side_MEM_Data_o(0)=>Data_o_B(0), CPU_WE(1)=>CPU_WE(1), CPU_WE(0)=>
      CPU_WE(0), Clock_0=>GND, Clock_1=>GND, Clock_2=>GND, Clock_3=>GND, 
      Constants_readback(15)=>GND, Constants_readback(14)=>GND, 
      Constants_readback(13)=>GND, Constants_readback(12)=>GND, 
      Constants_readback(11)=>GND, Constants_readback(10)=>GND, 
      Constants_readback(9)=>GND, Constants_readback(8)=>GND, 
      Constants_readback(7)=>GND, Constants_readback(6)=>GND, 
      Constants_readback(5)=>GND, Constants_readback(4)=>GND, 
      Constants_readback(3)=>GND, Constants_readback(2)=>GND, 
      Constants_readback(1)=>GND, Constants_readback(0)=>GND, Ext_Trigger=>
      Ext_Trigger, External_CE_In=>GND, FromK=>GND, Handshake_Error=>GND, 
      M1760=>GND, MEM_nREG=>MEM_nREG, Mem_Ack=>Ack, Mem_Data_o(15)=>
      Data_o_A(15), Mem_Data_o(14)=>Data_o_A(14), Mem_Data_o(13)=>
      Data_o_A(13), Mem_Data_o(12)=>Data_o_A(12), Mem_Data_o(11)=>
      Data_o_A(11), Mem_Data_o(10)=>Data_o_A(10), Mem_Data_o(9)=>Data_o_A(9), 
      Mem_Data_o(8)=>Data_o_A(8), Mem_Data_o(7)=>Data_o_A(7), Mem_Data_o(6)
      =>Data_o_A(6), Mem_Data_o(5)=>Data_o_A(5), Mem_Data_o(4)=>Data_o_A(4), 
      Mem_Data_o(3)=>Data_o_A(3), Mem_Data_o(2)=>Data_o_A(2), Mem_Data_o(1)
      =>Data_o_A(1), Mem_Data_o(0)=>Data_o_A(0), Minus_A=>Minus_A, Minus_B=>
      Minus_B, Plus_A=>Plus_A, Plus_B=>Plus_B, RTAD(4)=>RT_Address_wire(4), 
      RTAD(3)=>RT_Address_wire(3), RTAD(2)=>RT_Address_wire(2), RTAD(1)=>
      RT_Address_wire(1), RTAD(0)=>RT_Address_wire(0), RTADP=>
      RT_Address_Parity, RTAD_SW_EN=>RTAD_SW_EN, RT_ADR_LAT=>RT_ADR_LAT, 
      Raw_resetN=>Raw_resetN, Set_SSFLAG=>Set_SSFLAG, Strobe_TT=>Strobe_TT, 
      Tag_CLK=>Tag_CLK, Tx_InhB=>Tx_InhB, Tx_inhA=>Tx_inhA, clock=>clock, 
      key_ports_In(23)=>GND, key_ports_In(22)=>GND, key_ports_In(21)=>GND, 
      key_ports_In(20)=>GND, key_ports_In(19)=>GND, key_ports_In(18)=>GND, 
      key_ports_In(17)=>GND, key_ports_In(16)=>GND, key_ports_In(15)=>GND, 
      key_ports_In(14)=>GND, key_ports_In(13)=>GND, key_ports_In(12)=>GND, 
      key_ports_In(11)=>GND, key_ports_In(10)=>GND, key_ports_In(9)=>GND, 
      key_ports_In(8)=>GND, key_ports_In(7)=>GND, key_ports_In(6)=>GND, 
      key_ports_In(5)=>GND, key_ports_In(4)=>GND, key_ports_In(3)=>GND, 
      key_ports_In(2)=>GND, key_ports_In(1)=>GND, key_ports_In(0)=>GND, 
      CE_out=>CE_out, CPU_Data_out_wide(31)=>CPU_Data_out(31), 
      CPU_Data_out_wide(30)=>CPU_Data_out(30), CPU_Data_out_wide(29)=>
      CPU_Data_out(29), CPU_Data_out_wide(28)=>CPU_Data_out(28), 
      CPU_Data_out_wide(27)=>CPU_Data_out(27), CPU_Data_out_wide(26)=>
      CPU_Data_out(26), CPU_Data_out_wide(25)=>CPU_Data_out(25), 
      CPU_Data_out_wide(24)=>CPU_Data_out(24), CPU_Data_out_wide(23)=>
      CPU_Data_out(23), CPU_Data_out_wide(22)=>CPU_Data_out(22), 
      CPU_Data_out_wide(21)=>CPU_Data_out(21), CPU_Data_out_wide(20)=>
      CPU_Data_out(20), CPU_Data_out_wide(19)=>CPU_Data_out(19), 
      CPU_Data_out_wide(18)=>CPU_Data_out(18), CPU_Data_out_wide(17)=>
      CPU_Data_out(17), CPU_Data_out_wide(16)=>CPU_Data_out(16), 
      CPU_Data_out_wide(15)=>CPU_Data_out(15), CPU_Data_out_wide(14)=>
      CPU_Data_out(14), CPU_Data_out_wide(13)=>CPU_Data_out(13), 
      CPU_Data_out_wide(12)=>CPU_Data_out(12), CPU_Data_out_wide(11)=>
      CPU_Data_out(11), CPU_Data_out_wide(10)=>CPU_Data_out(10), 
      CPU_Data_out_wide(9)=>CPU_Data_out(9), CPU_Data_out_wide(8)=>
      CPU_Data_out(8), CPU_Data_out_wide(7)=>CPU_Data_out(7), 
      CPU_Data_out_wide(6)=>CPU_Data_out(6), CPU_Data_out_wide(5)=>
      CPU_Data_out(5), CPU_Data_out_wide(4)=>CPU_Data_out(4), 
      CPU_Data_out_wide(3)=>CPU_Data_out(3), CPU_Data_out_wide(2)=>
      CPU_Data_out(2), CPU_Data_out_wide(1)=>CPU_Data_out(1), 
      CPU_Data_out_wide(0)=>CPU_Data_out(0), CPU_Side_WE(1)=>WE_B_vec(1), 
      CPU_Side_WE(0)=>WE_B_vec(0), Fault_value(15)=>DANGLING(0), 
      Fault_value(14)=>DANGLING(1), Fault_value(13)=>DANGLING(2), 
      Fault_value(12)=>DANGLING(3), Fault_value(11)=>DANGLING(4), 
      Fault_value(10)=>DANGLING(5), Fault_value(9)=>DANGLING(6), 
      Fault_value(8)=>DANGLING(7), Fault_value(7)=>DANGLING(8), 
      Fault_value(6)=>DANGLING(9), Fault_value(5)=>DANGLING(10), 
      Fault_value(4)=>DANGLING(11), Fault_value(3)=>DANGLING(12), 
      Fault_value(2)=>DANGLING(13), Fault_value(1)=>DANGLING(14), 
      Fault_value(0)=>DANGLING(15), INTn=>INTn, IP_Freq_sel(1)=>DANGLING(16), 
      IP_Freq_sel(0)=>DANGLING(17), Mem_Address(15)=>Mem_Address(15), 
      Mem_Address(14)=>Mem_Address(14), Mem_Address(13)=>Mem_Address(13), 
      Mem_Address(12)=>Mem_Address(12), Mem_Address(11)=>Mem_Address(11), 
      Mem_Address(10)=>Mem_Address(10), Mem_Address(9)=>Mem_Address(9), 
      Mem_Address(8)=>Mem_Address(8), Mem_Address(7)=>Mem_Address(7), 
      Mem_Address(6)=>Mem_Address(6), Mem_Address(5)=>Mem_Address(5), 
      Mem_Address(4)=>Mem_Address(4), Mem_Address(3)=>Mem_Address(3), 
      Mem_Address(2)=>Mem_Address(2), Mem_Address(1)=>Mem_Address(1), 
      Mem_Address(0)=>Mem_Address(0), Mem_RE=>Mem_RE, Mem_data_in(15)=>
      Mem_data_in(15), Mem_data_in(14)=>Mem_data_in(14), Mem_data_in(13)=>
      Mem_data_in(13), Mem_data_in(12)=>Mem_data_in(12), Mem_data_in(11)=>
      Mem_data_in(11), Mem_data_in(10)=>Mem_data_in(10), Mem_data_in(9)=>
      Mem_data_in(9), Mem_data_in(8)=>Mem_data_in(8), Mem_data_in(7)=>
      Mem_data_in(7), Mem_data_in(6)=>Mem_data_in(6), Mem_data_in(5)=>
      Mem_data_in(5), Mem_data_in(4)=>Mem_data_in(4), Mem_data_in(3)=>
      Mem_data_in(3), Mem_data_in(2)=>Mem_data_in(2), Mem_data_in(1)=>
      Mem_data_in(1), Mem_data_in(0)=>Mem_data_in(0), OE_High=>DANGLING(18), 
      TT_Load=>DANGLING(19), Tok=>DANGLING(20), Tx_A=>Tx_A, Tx_A_N=>Tx_A_N, 
      Tx_B=>Tx_B, Tx_B_N=>Tx_B_N, Tx_inh_A=>Tx_inh_A1, Tx_inh_B=>Tx_inh_B1, 
      Update=>DANGLING(21), debug_out(63)=>DANGLING(22), debug_out(62)=>
      DANGLING(23), debug_out(61)=>DANGLING(24), debug_out(60)=>DANGLING(25), 
      debug_out(59)=>DANGLING(26), debug_out(58)=>DANGLING(27), 
      debug_out(57)=>DANGLING(28), debug_out(56)=>DANGLING(29), 
      debug_out(55)=>DANGLING(30), debug_out(54)=>DANGLING(31), 
      debug_out(53)=>DANGLING(32), debug_out(52)=>DANGLING(33), 
      debug_out(51)=>DANGLING(34), debug_out(50)=>DANGLING(35), 
      debug_out(49)=>DANGLING(36), debug_out(48)=>DANGLING(37), 
      debug_out(47)=>DANGLING(38), debug_out(46)=>DANGLING(39), 
      debug_out(45)=>DANGLING(40), debug_out(44)=>DANGLING(41), 
      debug_out(43)=>DANGLING(42), debug_out(42)=>DANGLING(43), 
      debug_out(41)=>DANGLING(44), debug_out(40)=>DANGLING(45), 
      debug_out(39)=>DANGLING(46), debug_out(38)=>DANGLING(47), 
      debug_out(37)=>DANGLING(48), debug_out(36)=>DANGLING(49), 
      debug_out(35)=>DANGLING(50), debug_out(34)=>DANGLING(51), 
      debug_out(33)=>DANGLING(52), debug_out(32)=>DANGLING(53), 
      debug_out(31)=>DANGLING(54), debug_out(30)=>DANGLING(55), 
      debug_out(29)=>DANGLING(56), debug_out(28)=>DANGLING(57), 
      debug_out(27)=>DANGLING(58), debug_out(26)=>DANGLING(59), 
      debug_out(25)=>DANGLING(60), debug_out(24)=>DANGLING(61), 
      debug_out(23)=>DANGLING(62), debug_out(22)=>DANGLING(63), 
      debug_out(21)=>DANGLING(64), debug_out(20)=>DANGLING(65), 
      debug_out(19)=>DANGLING(66), debug_out(18)=>DANGLING(67), 
      debug_out(17)=>DANGLING(68), debug_out(16)=>DANGLING(69), 
      debug_out(15)=>DANGLING(70), debug_out(14)=>DANGLING(71), 
      debug_out(13)=>DANGLING(72), debug_out(12)=>DANGLING(73), 
      debug_out(11)=>DANGLING(74), debug_out(10)=>DANGLING(75), debug_out(9)
      =>DANGLING(76), debug_out(8)=>DANGLING(77), debug_out(7)=>DANGLING(78), 
      debug_out(6)=>DANGLING(79), debug_out(5)=>DANGLING(80), debug_out(4)=>
      DANGLING(81), debug_out(3)=>DANGLING(82), debug_out(2)=>DANGLING(83), 
      debug_out(1)=>DANGLING(84), debug_out(0)=>DANGLING(85), fault_type(3)
      =>DANGLING(86), fault_type(2)=>DANGLING(87), fault_type(1)=>DANGLING(
      88), fault_type(0)=>DANGLING(89), mem_WE=>mem_WE, n16Mhz_12=>DANGLING(
      90), BC_Message_Active=>BC_Message_Active, BC_on=>BC_on, 
      H15530_record_A_Sync_error=>DANGLING(91), 
      H15530_record_A_Manchester_error=>DANGLING(92), 
      H15530_record_A_Parity_error=>DANGLING(93), 
      H15530_record_A_echo_back_bus=>DANGLING(94), 
      H15530_record_A_R_Data(15)=>H15530_record_A_R_Data(15), 
      H15530_record_A_R_Data(14)=>H15530_record_A_R_Data(14), 
      H15530_record_A_R_Data(13)=>H15530_record_A_R_Data(13), 
      H15530_record_A_R_Data(12)=>H15530_record_A_R_Data(12), 
      H15530_record_A_R_Data(11)=>H15530_record_A_R_Data(11), 
      H15530_record_A_R_Data(10)=>H15530_record_A_R_Data(10), 
      H15530_record_A_R_Data(9)=>H15530_record_A_R_Data(9), 
      H15530_record_A_R_Data(8)=>H15530_record_A_R_Data(8), 
      H15530_record_A_R_Data(7)=>H15530_record_A_R_Data(7), 
      H15530_record_A_R_Data(6)=>H15530_record_A_R_Data(6), 
      H15530_record_A_R_Data(5)=>H15530_record_A_R_Data(5), 
      H15530_record_A_R_Data(4)=>H15530_record_A_R_Data(4), 
      H15530_record_A_R_Data(3)=>H15530_record_A_R_Data(3), 
      H15530_record_A_R_Data(2)=>H15530_record_A_R_Data(2), 
      H15530_record_A_R_Data(1)=>H15530_record_A_R_Data(1), 
      H15530_record_A_R_Data(0)=>H15530_record_A_R_Data(0), 
      H15530_record_A_RAW_GAP(6)=>DANGLING(95), H15530_record_A_RAW_GAP(5)=>
      DANGLING(96), H15530_record_A_RAW_GAP(4)=>DANGLING(97), 
      H15530_record_A_RAW_GAP(3)=>DANGLING(98), H15530_record_A_RAW_GAP(2)=>
      DANGLING(99), H15530_record_A_RAW_GAP(1)=>DANGLING(100), 
      H15530_record_A_RAW_GAP(0)=>DANGLING(101), H15530_record_A_GAP(6)=>
      DANGLING(102), H15530_record_A_GAP(5)=>DANGLING(103), 
      H15530_record_A_GAP(4)=>DANGLING(104), H15530_record_A_GAP(3)=>
      DANGLING(105), H15530_record_A_GAP(2)=>DANGLING(106), 
      H15530_record_A_GAP(1)=>DANGLING(107), H15530_record_A_GAP(0)=>
      DANGLING(108), H15530_record_A_Gap_found(2)=>DANGLING(109), 
      H15530_record_A_Gap_found(1)=>DANGLING(110), 
      H15530_record_A_Gap_found(0)=>DANGLING(111), 
      H15530_record_A_RxRDY_plus_12us=>DANGLING(112), 
      H15530_record_A_RxRDY_plus_10us=>DANGLING(113), H15530_record_A_CS=>
      H15530_record_A_CS, H15530_record_A_Pre_EchoRdy=>DANGLING(114), 
      H15530_record_A_Command_Sync=>H15530_record_A_Command_Sync, 
      H15530_record_A_Pre_RxRdy=>H15530_record_A_Pre_RxRdy, 
      H15530_record_A_recieving=>DANGLING(115), H15530_record_B_Sync_error=>
      DANGLING(116), H15530_record_B_Manchester_error=>DANGLING(117), 
      H15530_record_B_Parity_error=>DANGLING(118), 
      H15530_record_B_echo_back_bus=>DANGLING(119), 
      H15530_record_B_R_Data(15)=>H15530_record_B_R_Data(15), 
      H15530_record_B_R_Data(14)=>H15530_record_B_R_Data(14), 
      H15530_record_B_R_Data(13)=>H15530_record_B_R_Data(13), 
      H15530_record_B_R_Data(12)=>H15530_record_B_R_Data(12), 
      H15530_record_B_R_Data(11)=>H15530_record_B_R_Data(11), 
      H15530_record_B_R_Data(10)=>H15530_record_B_R_Data(10), 
      H15530_record_B_R_Data(9)=>H15530_record_B_R_Data(9), 
      H15530_record_B_R_Data(8)=>H15530_record_B_R_Data(8), 
      H15530_record_B_R_Data(7)=>H15530_record_B_R_Data(7), 
      H15530_record_B_R_Data(6)=>H15530_record_B_R_Data(6), 
      H15530_record_B_R_Data(5)=>H15530_record_B_R_Data(5), 
      H15530_record_B_R_Data(4)=>H15530_record_B_R_Data(4), 
      H15530_record_B_R_Data(3)=>H15530_record_B_R_Data(3), 
      H15530_record_B_R_Data(2)=>H15530_record_B_R_Data(2), 
      H15530_record_B_R_Data(1)=>H15530_record_B_R_Data(1), 
      H15530_record_B_R_Data(0)=>H15530_record_B_R_Data(0), 
      H15530_record_B_RAW_GAP(6)=>DANGLING(120), H15530_record_B_RAW_GAP(5)
      =>DANGLING(121), H15530_record_B_RAW_GAP(4)=>DANGLING(122), 
      H15530_record_B_RAW_GAP(3)=>DANGLING(123), H15530_record_B_RAW_GAP(2)
      =>DANGLING(124), H15530_record_B_RAW_GAP(1)=>DANGLING(125), 
      H15530_record_B_RAW_GAP(0)=>DANGLING(126), H15530_record_B_GAP(6)=>
      DANGLING(127), H15530_record_B_GAP(5)=>DANGLING(128), 
      H15530_record_B_GAP(4)=>DANGLING(129), H15530_record_B_GAP(3)=>
      DANGLING(130), H15530_record_B_GAP(2)=>DANGLING(131), 
      H15530_record_B_GAP(1)=>DANGLING(132), H15530_record_B_GAP(0)=>
      DANGLING(133), H15530_record_B_Gap_found(2)=>DANGLING(134), 
      H15530_record_B_Gap_found(1)=>DANGLING(135), 
      H15530_record_B_Gap_found(0)=>DANGLING(136), 
      H15530_record_B_RxRDY_plus_12us=>DANGLING(137), 
      H15530_record_B_RxRDY_plus_10us=>DANGLING(138), H15530_record_B_CS=>
      H15530_record_B_CS, H15530_record_B_Pre_EchoRdy=>DANGLING(139), 
      H15530_record_B_Command_Sync=>H15530_record_B_Command_Sync, 
      H15530_record_B_Pre_RxRdy=>H15530_record_B_Pre_RxRdy, 
      H15530_record_B_recieving=>DANGLING(140), key_ports_out(23)=>DANGLING(
      141), key_ports_out(22)=>DANGLING(142), key_ports_out(21)=>DANGLING(
      143), key_ports_out(20)=>DANGLING(144), key_ports_out(19)=>DANGLING(
      145), key_ports_out(18)=>DANGLING(146), key_ports_out(17)=>DANGLING(
      147), key_ports_out(16)=>DANGLING(148), key_ports_out(15)=>DANGLING(
      149), key_ports_out(14)=>DANGLING(150), key_ports_out(13)=>DANGLING(
      151), key_ports_out(12)=>DANGLING(152), key_ports_out(11)=>DANGLING(
      153), key_ports_out(10)=>DANGLING(154), key_ports_out(9)=>DANGLING(155
      ), key_ports_out(8)=>DANGLING(156), key_ports_out(7)=>DANGLING(157), 
      key_ports_out(6)=>DANGLING(158), key_ports_out(5)=>DANGLING(159), 
      key_ports_out(4)=>DANGLING(160), key_ports_out(3)=>DANGLING(161), 
      key_ports_out(2)=>DANGLING(162), key_ports_out(1)=>DANGLING(163), 
      key_ports_out(0)=>DANGLING(164), one_micro_increment=>
      one_micro_increment, pTDR_INT=>DANGLING(165), time_tag(15)=>
      time_tag(15), time_tag(14)=>time_tag(14), time_tag(13)=>time_tag(13), 
      time_tag(12)=>time_tag(12), time_tag(11)=>time_tag(11), time_tag(10)=>
      time_tag(10), time_tag(9)=>time_tag(9), time_tag(8)=>time_tag(8), 
      time_tag(7)=>time_tag(7), time_tag(6)=>time_tag(6), time_tag(5)=>
      time_tag(5), time_tag(4)=>time_tag(4), time_tag(3)=>time_tag(3), 
      time_tag(2)=>time_tag(2), time_tag(1)=>time_tag(1), time_tag(0)=>
      time_tag(0));
   I1 : DPRAM_Interlaced2_16_1_0 port map ( ADDr_i_A(15)=>Mem_Address(15), 
      ADDr_i_A(14)=>Mem_Address(14), ADDr_i_A(13)=>Mem_Address(13), 
      ADDr_i_A(12)=>Mem_Address(12), ADDr_i_A(11)=>Mem_Address(11), 
      ADDr_i_A(10)=>Mem_Address(10), ADDr_i_A(9)=>Mem_Address(9), 
      ADDr_i_A(8)=>Mem_Address(8), ADDr_i_A(7)=>Mem_Address(7), ADDr_i_A(6)
      =>Mem_Address(6), ADDr_i_A(5)=>Mem_Address(5), ADDr_i_A(4)=>
      Mem_Address(4), ADDr_i_A(3)=>Mem_Address(3), ADDr_i_A(2)=>
      Mem_Address(2), ADDr_i_A(1)=>Mem_Address(1), ADDr_i_A(0)=>
      Mem_Address(0), ADDr_i_B(15)=>CPU_Address(15), ADDr_i_B(14)=>
      CPU_Address(14), ADDr_i_B(13)=>CPU_Address(13), ADDr_i_B(12)=>
      CPU_Address(12), ADDr_i_B(11)=>CPU_Address(11), ADDr_i_B(10)=>
      CPU_Address(10), ADDr_i_B(9)=>CPU_Address(9), ADDr_i_B(8)=>
      CPU_Address(8), ADDr_i_B(7)=>CPU_Address(7), ADDr_i_B(6)=>
      CPU_Address(6), ADDr_i_B(5)=>CPU_Address(5), ADDr_i_B(4)=>
      CPU_Address(4), ADDr_i_B(3)=>CPU_Address(3), ADDr_i_B(2)=>
      CPU_Address(2), ADDr_i_B(1)=>CPU_Address(1), ADDr_i_B(0)=>GND, 
      Data_i_A(15)=>Mem_data_in(15), Data_i_A(14)=>Mem_data_in(14), 
      Data_i_A(13)=>Mem_data_in(13), Data_i_A(12)=>Mem_data_in(12), 
      Data_i_A(11)=>Mem_data_in(11), Data_i_A(10)=>Mem_data_in(10), 
      Data_i_A(9)=>Mem_data_in(9), Data_i_A(8)=>Mem_data_in(8), Data_i_A(7)
      =>Mem_data_in(7), Data_i_A(6)=>Mem_data_in(6), Data_i_A(5)=>
      Mem_data_in(5), Data_i_A(4)=>Mem_data_in(4), Data_i_A(3)=>
      Mem_data_in(3), Data_i_A(2)=>Mem_data_in(2), Data_i_A(1)=>
      Mem_data_in(1), Data_i_A(0)=>Mem_data_in(0), Data_i_B(31)=>
      CPU_Data_in(31), Data_i_B(30)=>CPU_Data_in(30), Data_i_B(29)=>
      CPU_Data_in(29), Data_i_B(28)=>CPU_Data_in(28), Data_i_B(27)=>
      CPU_Data_in(27), Data_i_B(26)=>CPU_Data_in(26), Data_i_B(25)=>
      CPU_Data_in(25), Data_i_B(24)=>CPU_Data_in(24), Data_i_B(23)=>
      CPU_Data_in(23), Data_i_B(22)=>CPU_Data_in(22), Data_i_B(21)=>
      CPU_Data_in(21), Data_i_B(20)=>CPU_Data_in(20), Data_i_B(19)=>
      CPU_Data_in(19), Data_i_B(18)=>CPU_Data_in(18), Data_i_B(17)=>
      CPU_Data_in(17), Data_i_B(16)=>CPU_Data_in(16), Data_i_B(15)=>
      CPU_Data_in(15), Data_i_B(14)=>CPU_Data_in(14), Data_i_B(13)=>
      CPU_Data_in(13), Data_i_B(12)=>CPU_Data_in(12), Data_i_B(11)=>
      CPU_Data_in(11), Data_i_B(10)=>CPU_Data_in(10), Data_i_B(9)=>
      CPU_Data_in(9), Data_i_B(8)=>CPU_Data_in(8), Data_i_B(7)=>
      CPU_Data_in(7), Data_i_B(6)=>CPU_Data_in(6), Data_i_B(5)=>
      CPU_Data_in(5), Data_i_B(4)=>CPU_Data_in(4), Data_i_B(3)=>
      CPU_Data_in(3), Data_i_B(2)=>CPU_Data_in(2), Data_i_B(1)=>
      CPU_Data_in(1), Data_i_B(0)=>CPU_Data_in(0), WE_A=>mem_WE_CE, 
      WE_B_vec(1)=>WE_B_vec(1), WE_B_vec(0)=>WE_B_vec(0), clock=>clock, 
      Data_o_A(15)=>Data_o_A(15), Data_o_A(14)=>Data_o_A(14), Data_o_A(13)=>
      Data_o_A(13), Data_o_A(12)=>Data_o_A(12), Data_o_A(11)=>Data_o_A(11), 
      Data_o_A(10)=>Data_o_A(10), Data_o_A(9)=>Data_o_A(9), Data_o_A(8)=>
      Data_o_A(8), Data_o_A(7)=>Data_o_A(7), Data_o_A(6)=>Data_o_A(6), 
      Data_o_A(5)=>Data_o_A(5), Data_o_A(4)=>Data_o_A(4), Data_o_A(3)=>
      Data_o_A(3), Data_o_A(2)=>Data_o_A(2), Data_o_A(1)=>Data_o_A(1), 
      Data_o_A(0)=>Data_o_A(0), Data_o_B(31)=>Data_o_B(31), Data_o_B(30)=>
      Data_o_B(30), Data_o_B(29)=>Data_o_B(29), Data_o_B(28)=>Data_o_B(28), 
      Data_o_B(27)=>Data_o_B(27), Data_o_B(26)=>Data_o_B(26), Data_o_B(25)=>
      Data_o_B(25), Data_o_B(24)=>Data_o_B(24), Data_o_B(23)=>Data_o_B(23), 
      Data_o_B(22)=>Data_o_B(22), Data_o_B(21)=>Data_o_B(21), Data_o_B(20)=>
      Data_o_B(20), Data_o_B(19)=>Data_o_B(19), Data_o_B(18)=>Data_o_B(18), 
      Data_o_B(17)=>Data_o_B(17), Data_o_B(16)=>Data_o_B(16), Data_o_B(15)=>
      Data_o_B(15), Data_o_B(14)=>Data_o_B(14), Data_o_B(13)=>Data_o_B(13), 
      Data_o_B(12)=>Data_o_B(12), Data_o_B(11)=>Data_o_B(11), Data_o_B(10)=>
      Data_o_B(10), Data_o_B(9)=>Data_o_B(9), Data_o_B(8)=>Data_o_B(8), 
      Data_o_B(7)=>Data_o_B(7), Data_o_B(6)=>Data_o_B(6), Data_o_B(5)=>
      Data_o_B(5), Data_o_B(4)=>Data_o_B(4), Data_o_B(3)=>Data_o_B(3), 
      Data_o_B(2)=>Data_o_B(2), Data_o_B(1)=>Data_o_B(1), Data_o_B(0)=>
      Data_o_B(0));
   I2 : Xcvr_Snubber_sital_8_4_5_40_7 port map ( CE=>CE_out, Regular=>
      Regular_XCVR, RxNSital=>RxAn, RxSital=>RxA, Tx=>Tx_A, TxN=>Tx_A_N, 
      Tx_Inhibit=>Tx_inh_A1, clock=>clock, resetN=>resetN, Rx=>Plus_A, RxN=>
      Minus_A, TxN_SN=>Tx_AN_SN, Tx_SN=>Tx_A_SN, TxN_Sital=>TxAN, TxSense=>
      Tx_inh_A, Tx_Sital=>TxA);
   I3 : Xcvr_Snubber_sital_8_4_5_40_7 port map ( CE=>CE_out, Regular=>
      Regular_XCVR, RxNSital=>RxBn, RxSital=>RxB, Tx=>Tx_B, TxN=>Tx_B_N, 
      Tx_Inhibit=>Tx_inh_B1, clock=>clock, resetN=>resetN, Rx=>Plus_B, RxN=>
      Minus_B, TxN_SN=>Tx_BN_SN, Tx_SN=>Tx_B_SN, TxN_Sital=>TxBN, TxSense=>
      Tx_Inh_B, Tx_Sital=>TxB);
   mem_WE_CE <= mem_WE AND CE_out ;
   not_DEBUG_F500Khz <= NOT DEBUG_F500Khz_EXMPLR3825 ;
   DEBUG_Rx_Strobe_4n2s2 <= H15530_record_A_Pre_RxRdy OR 
   H15530_record_B_Pre_RxRdy ;
   DEBUG_Rx_Ok_4n2s2 <= H15530_record_A_CS AND H15530_record_B_CS ;
   rtlc8n45 <= mem_WE OR Mem_RE ;
   rtlc8n46 <= not_rtlcn0 AND rtlc8n45 ;
   rtlc11n103 <= H15530_record_B_Pre_RxRdy AND H15530_record_B_Command_Sync
    ;
   rtlc11n112 <= rtlc11n103 AND rtlc11n111 ;
   rtlc11n114 <= rtlc11n112 AND H15530_record_B_CS ;
   rtlc11n83 <= H15530_record_A_Pre_RxRdy AND H15530_record_A_Command_Sync ;
   rtlc11n92 <= rtlc11n83 AND rtlc11n91 ;
   rtlc11n94 <= rtlc11n92 AND H15530_record_A_CS ;
   not_rtlcn0 <= NOT rtlcn0 ;
   rtlcn0 <= Ack OR Pipe_Delay ;
   not_rtlc4n67 <= NOT rtlc4n67 ;
   not_resetN <= NOT resetN ;
   not_BC_Message_Active <= NOT BC_Message_Active ;
   Cyber_Attack_Command_11n2ss1(0) <= H15530_record_A_R_Data(0) when 
   rtlc11n94 = '1' else H15530_record_B_R_Data(0) ;
   Cyber_Attack_Command_11n2ss1(1) <= H15530_record_A_R_Data(1) when 
   rtlc11n94 = '1' else H15530_record_B_R_Data(1) ;
   Cyber_Attack_Command_11n2ss1(2) <= H15530_record_A_R_Data(2) when 
   rtlc11n94 = '1' else H15530_record_B_R_Data(2) ;
   Cyber_Attack_Command_11n2ss1(3) <= H15530_record_A_R_Data(3) when 
   rtlc11n94 = '1' else H15530_record_B_R_Data(3) ;
   Cyber_Attack_Command_11n2ss1(4) <= H15530_record_A_R_Data(4) when 
   rtlc11n94 = '1' else H15530_record_B_R_Data(4) ;
   Cyber_Attack_Command_11n2ss1(5) <= H15530_record_A_R_Data(5) when 
   rtlc11n94 = '1' else H15530_record_B_R_Data(5) ;
   Cyber_Attack_Command_11n2ss1(6) <= H15530_record_A_R_Data(6) when 
   rtlc11n94 = '1' else H15530_record_B_R_Data(6) ;
   Cyber_Attack_Command_11n2ss1(7) <= H15530_record_A_R_Data(7) when 
   rtlc11n94 = '1' else H15530_record_B_R_Data(7) ;
   Cyber_Attack_Command_11n2ss1(8) <= H15530_record_A_R_Data(8) when 
   rtlc11n94 = '1' else H15530_record_B_R_Data(8) ;
   Cyber_Attack_Command_11n2ss1(9) <= H15530_record_A_R_Data(9) when 
   rtlc11n94 = '1' else H15530_record_B_R_Data(9) ;
   Cyber_Attack_Command_11n2ss1(10) <= H15530_record_A_R_Data(10) when 
   rtlc11n94 = '1' else H15530_record_B_R_Data(10) ;
   Cyber_Attack_Command_11n2ss1(11) <= H15530_record_A_R_Data(11) when 
   rtlc11n94 = '1' else H15530_record_B_R_Data(11) ;
   Cyber_Attack_Command_11n2ss1(12) <= H15530_record_A_R_Data(12) when 
   rtlc11n94 = '1' else H15530_record_B_R_Data(12) ;
   Cyber_Attack_Command_11n2ss1(13) <= H15530_record_A_R_Data(13) when 
   rtlc11n94 = '1' else H15530_record_B_R_Data(13) ;
   Cyber_Attack_Command_11n2ss1(14) <= H15530_record_A_R_Data(14) when 
   rtlc11n94 = '1' else H15530_record_B_R_Data(14) ;
   Cyber_Attack_Command_11n2ss1(15) <= H15530_record_A_R_Data(15) when 
   rtlc11n94 = '1' else H15530_record_B_R_Data(15) ;
   rtlcn25 <= Pipe_Delay OR CE_out ;
   not_rtlc8n46 <= NOT rtlc8n46 ;
   rtlc8n90 <= not_rtlc8n46 AND rtlcn25 ;
   rtlcn17 <= rtlc11n114 OR rtlc11n94 ;
   rtlc_145_and_1365 : and_4u_4u port map ( a(3)=>CE_out, a(2)=>
      not_BC_Message_Active, a(1)=>BC_on, a(0)=>rtlcn17, d=>rtlc11n193);
   rtlc4n67 <= NOT (RxA XOR RxAn) ;
   rtlc_181_or_1366 : or_11u_11u port map ( a(10)=>H15530_record_A_R_Data(0), 
      a(9)=>H15530_record_A_R_Data(1), a(8)=>H15530_record_A_R_Data(2), a(7)
      =>H15530_record_A_R_Data(3), a(6)=>H15530_record_A_R_Data(4), a(5)=>
      H15530_record_A_R_Data(5), a(4)=>H15530_record_A_R_Data(6), a(3)=>
      H15530_record_A_R_Data(7), a(2)=>H15530_record_A_R_Data(8), a(1)=>
      H15530_record_A_R_Data(9), a(0)=>H15530_record_A_R_Data(10), d=>
      rtlc11n91);
   rtlc_182_or_1367 : or_11u_11u port map ( a(10)=>H15530_record_B_R_Data(0), 
      a(9)=>H15530_record_B_R_Data(1), a(8)=>H15530_record_B_R_Data(2), a(7)
      =>H15530_record_B_R_Data(3), a(6)=>H15530_record_B_R_Data(4), a(5)=>
      H15530_record_B_R_Data(5), a(4)=>H15530_record_B_R_Data(6), a(3)=>
      H15530_record_B_R_Data(7), a(2)=>H15530_record_B_R_Data(8), a(1)=>
      H15530_record_B_R_Data(9), a(0)=>H15530_record_B_R_Data(10), d=>
      rtlc11n111);
   DFFPC (Raw_resetN,GND,GND,clock,resetN) ;
   DFFPC (not_rtlc4n67,GND,not_resetN,clock,DEBUG_RxAs) ;
   DFFPC (DEBUG_Rx_Ok_4n2s2,GND,not_resetN,clock,DEBUG_Rx_Ok) ;
   DFFPC (DEBUG_Rx_Strobe_4n2s2,GND,not_resetN,clock,DEBUG_Rx_Strobe) ;
   DFFPC (H15530_record_A_Command_Sync,GND,not_resetN,clock,
   DEBUG_A_command_sync) ;
   DFFPC (time_tag(15),GND,not_resetN,clock,DEBUG_TT_MSB) ;
   DFFPCE (not_DEBUG_F500Khz,GND,not_resetN,one_micro_increment,clock,
   DEBUG_F500Khz_EXMPLR3825) ;
   DFFPCE (Pipe_Delay,GND,not_resetN,rtlc8n90,clock,Ack) ;
   DFFPCE (rtlc11n94,GND,not_resetN,rtlc11n193,clock,Cyber_Attack_Bus_A) ;
   DFFPCE (time_tag(15),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_TTag(15)) ;
   DFFPCE (time_tag(14),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_TTag(14)) ;
   DFFPCE (time_tag(13),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_TTag(13)) ;
   DFFPCE (time_tag(12),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_TTag(12)) ;
   DFFPCE (time_tag(11),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_TTag(11)) ;
   DFFPCE (time_tag(10),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_TTag(10)) ;
   DFFPCE (time_tag(9),GND,not_resetN,rtlc11n193,clock,Cyber_Attack_TTag(9))
    ;
   DFFPCE (time_tag(8),GND,not_resetN,rtlc11n193,clock,Cyber_Attack_TTag(8))
    ;
   DFFPCE (time_tag(7),GND,not_resetN,rtlc11n193,clock,Cyber_Attack_TTag(7))
    ;
   DFFPCE (time_tag(6),GND,not_resetN,rtlc11n193,clock,Cyber_Attack_TTag(6))
    ;
   DFFPCE (time_tag(5),GND,not_resetN,rtlc11n193,clock,Cyber_Attack_TTag(5))
    ;
   DFFPCE (time_tag(4),GND,not_resetN,rtlc11n193,clock,Cyber_Attack_TTag(4))
    ;
   DFFPCE (time_tag(3),GND,not_resetN,rtlc11n193,clock,Cyber_Attack_TTag(3))
    ;
   DFFPCE (time_tag(2),GND,not_resetN,rtlc11n193,clock,Cyber_Attack_TTag(2))
    ;
   DFFPCE (time_tag(1),GND,not_resetN,rtlc11n193,clock,Cyber_Attack_TTag(1))
    ;
   DFFPCE (time_tag(0),GND,not_resetN,rtlc11n193,clock,Cyber_Attack_TTag(0))
    ;
   DFFPCE (Cyber_Attack_Command_11n2ss1(15),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_Command(15)) ;
   DFFPCE (Cyber_Attack_Command_11n2ss1(14),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_Command(14)) ;
   DFFPCE (Cyber_Attack_Command_11n2ss1(13),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_Command(13)) ;
   DFFPCE (Cyber_Attack_Command_11n2ss1(12),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_Command(12)) ;
   DFFPCE (Cyber_Attack_Command_11n2ss1(11),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_Command(11)) ;
   DFFPCE (Cyber_Attack_Command_11n2ss1(10),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_Command(10)) ;
   DFFPCE (Cyber_Attack_Command_11n2ss1(9),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_Command(9)) ;
   DFFPCE (Cyber_Attack_Command_11n2ss1(8),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_Command(8)) ;
   DFFPCE (Cyber_Attack_Command_11n2ss1(7),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_Command(7)) ;
   DFFPCE (Cyber_Attack_Command_11n2ss1(6),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_Command(6)) ;
   DFFPCE (Cyber_Attack_Command_11n2ss1(5),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_Command(5)) ;
   DFFPCE (Cyber_Attack_Command_11n2ss1(4),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_Command(4)) ;
   DFFPCE (Cyber_Attack_Command_11n2ss1(3),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_Command(3)) ;
   DFFPCE (Cyber_Attack_Command_11n2ss1(2),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_Command(2)) ;
   DFFPCE (Cyber_Attack_Command_11n2ss1(1),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_Command(1)) ;
   DFFPCE (Cyber_Attack_Command_11n2ss1(0),GND,not_resetN,rtlc11n193,clock,
   Cyber_Attack_Command(0)) ;
   DFFPCE (rtlcn12,GND,not_resetN,CE_out,clock,Cyber_Attck_Type1) ;
   DFFPC (rtlc8n46,GND,not_resetN,clock,Pipe_Delay) ;
   modgen_and_0 : and_3u_3u port map ( a(2)=>BC_on, a(1)=>
      not_BC_Message_Active, a(0)=>rtlcn17, d=>rtlcn12);
end External_Mem ;

